#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AgentBase
      switch(to) {
        case 62: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 42: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 4: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 70: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 35: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentInstance
      switch(to) {
        case 6: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 29: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentManager
      switch(to) {
        case 62: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentType
      switch(to) {
        case 11: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 28: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 43: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 76: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentTypeModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::Attribute
      switch(to) {
        case 15: return (void*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AttributeFactory
      switch(to) {
        case 16: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::CachePolicy
      switch(to) {
        case 17: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::ChangeRecorder
      switch(to) {
        case 18: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Collection
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 19: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::CollectionStatistics
      switch(to) {
        case 20: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::Entity
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)xptr;
        case 19: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::EntityPrivate
      switch(to) {
        case 22: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::Exception
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Item
      switch(to) {
        case 24: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::PayloadException
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 26:   //KCharsets
      switch(to) {
        case 26: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 27:   //KComponentData
      switch(to) {
        case 27: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 28:   //KDialog
      switch(to) {
        case 43: return (void*)(QDialog*)(KDialog*)xptr;
        case 76: return (void*)(QWidget*)(KDialog*)xptr;
        case 62: return (void*)(QObject*)(KDialog*)xptr;
        case 28: return (void*)(KDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 29:   //KJob
      switch(to) {
        case 62: return (void*)(QObject*)(KJob*)xptr;
        case 29: return (void*)(KJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 30:   //KLocale
      switch(to) {
        case 30: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 31:   //KStandardDirs
      switch(to) {
        case 31: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 32:   //KUrl
      switch(to) {
        case 32: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractItemModel
      switch(to) {
        case 62: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractItemView
      switch(to) {
        case 34: return (void*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 35:   //QAbstractProxyModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 62: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 35: return (void*)(QAbstractProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 36:   //QActionEvent
      switch(to) {
        case 36: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QBool
      switch(to) {
        case 37: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 38:   //QByteArray
      switch(to) {
        case 38: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 39:   //QChildEvent
      switch(to) {
        case 48: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 39: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QCloseEvent
      switch(to) {
        case 40: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QContextMenuEvent
      switch(to) {
        case 41: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDBusContext
      switch(to) {
        case 42: return (void*)(QDBusContext*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 43:   //QDialog
      switch(to) {
        case 76: return (void*)(QWidget*)(QDialog*)xptr;
        case 62: return (void*)(QObject*)(QDialog*)xptr;
        case 43: return (void*)(QDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 44:   //QDragEnterEvent
      switch(to) {
        case 44: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragLeaveEvent
      switch(to) {
        case 45: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDragMoveEvent
      switch(to) {
        case 46: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDropEvent
      switch(to) {
        case 47: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QEvent
      switch(to) {
        case 48: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFocusEvent
      switch(to) {
        case 49: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QFont
      switch(to) {
        case 50: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 52:   //QHideEvent
      switch(to) {
        case 52: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QIcon
      switch(to) {
        case 53: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 54:   //QInputMethodEvent
      switch(to) {
        case 54: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QItemSelection
      switch(to) {
        case 55: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 56:   //QKeyEvent
      switch(to) {
        case 56: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QMimeData
      switch(to) {
        case 58: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 59:   //QModelIndex
      switch(to) {
        case 59: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 60:   //QMouseEvent
      switch(to) {
        case 60: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QMoveEvent
      switch(to) {
        case 61: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QObject
      switch(to) {
        case 62: return (void*)(QObject*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPalette
      switch(to) {
        case 65: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 66:   //QRegExp
      switch(to) {
        case 66: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 67:   //QResizeEvent
      switch(to) {
        case 67: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QShowEvent
      switch(to) {
        case 68: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QSize
      switch(to) {
        case 69: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 70:   //QSortFilterProxyModel
      switch(to) {
        case 35: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 62: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 70: return (void*)(QSortFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 71:   //QStyle
      switch(to) {
        case 71: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 72:   //QTabletEvent
      switch(to) {
        case 72: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QTimerEvent
      switch(to) {
        case 48: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 73: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QVariant
      switch(to) {
        case 74: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 75:   //QWheelEvent
      switch(to) {
        case 75: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QWidget
      switch(to) {
        case 62: return (void*)(QObject*)(QWidget*)xptr;
        case 76: return (void*)(QWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        default: return xptr;
      }
    case 77:   //boost::exception
      switch(to) {
        case 77: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 78:   //boost::exception_detail::large_size
      switch(to) {
        case 78: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 79:   //boost::exception_detail::small_size
      switch(to) {
        case 79: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 42, 0,	// 1: QObject, QDBusContext
    2, 0,	// 4: Akonadi::AgentBase::Observer
    70, 0,	// 6: QSortFilterProxyModel
    29, 0,	// 8: KJob
    33, 0,	// 10: QAbstractItemModel
    76, 0,	// 12: QWidget
    62, 0,	// 14: QObject
    28, 0,	// 16: KDialog
    21, 0,	// 18: Akonadi::Entity
    23, 0,	// 20: Akonadi::Exception
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AgentBase", false, 1, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//1
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//2
    { "Akonadi::AgentBase::ObserverV2", false, 4, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//3
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//4
    { "Akonadi::AgentFilterProxyModel", false, 6, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//5
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//6
    { "Akonadi::AgentInstanceCreateJob", false, 8, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//7
    { "Akonadi::AgentInstanceModel", false, 10, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//8
    { "Akonadi::AgentInstanceWidget", false, 12, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//9
    { "Akonadi::AgentManager", false, 14, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//10
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//11
    { "Akonadi::AgentTypeDialog", false, 16, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//12
    { "Akonadi::AgentTypeModel", false, 10, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//13
    { "Akonadi::AgentTypeWidget", false, 12, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//14
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//15
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//16
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//17
    { "Akonadi::ChangeRecorder", true, 0, 0, 0, 0, 0 },	//18
    { "Akonadi::Collection", false, 18, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//19
    { "Akonadi::CollectionStatistics", true, 0, 0, 0, 0, 0 },	//20
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//21
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//22
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//23
    { "Akonadi::Item", true, 0, 0, 0, 0, 0 },	//24
    { "Akonadi::PayloadException", false, 20, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//25
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//26
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//27
    { "KDialog", true, 0, 0, 0, 0, 0 },	//28
    { "KJob", true, 0, 0, 0, 0, 0 },	//29
    { "KLocale", true, 0, 0, 0, 0, 0 },	//30
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//31
    { "KUrl", true, 0, 0, 0, 0, 0 },	//32
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//33
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//34
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//35
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QBool", true, 0, 0, 0, 0, 0 },	//37
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//38
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//42
    { "QDialog", true, 0, 0, 0, 0, 0 },	//43
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QFont", true, 0, 0, 0, 0, 0 },	//50
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//51
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QIcon", true, 0, 0, 0, 0, 0 },	//53
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//55
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//58
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//59
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QObject", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPalette", true, 0, 0, 0, 0, 0 },	//65
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//66
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QSize", true, 0, 0, 0, 0, 0 },	//69
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//70
    { "QStyle", true, 0, 0, 0, 0, 0 },	//71
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QVariant", true, 0, 0, 0, 0, 0 },	//74
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QWidget", true, 0, 0, 0, 0, 0 },	//76
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//77
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//78
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AgentBase*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AgentBase::Observer*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AgentBase::ObserverV2*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AgentBase::Status", 1, Smoke::t_enum|Smoke::tf_stack },	//4
    { "Akonadi::AgentBasePrivate*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentFilterProxyModel*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentInstance", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "Akonadi::AgentInstance*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentInstance::Status", 6, Smoke::t_enum|Smoke::tf_stack },	//10
    { "Akonadi::AgentInstanceCreateJob*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Akonadi::AgentInstanceModel*", 8, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Akonadi::AgentInstanceModel::Roles", 8, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Akonadi::AgentInstanceWidget*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Akonadi::AgentManager*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentType", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Akonadi::AgentType*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentTypeDialog*", 12, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentTypeModel*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Akonadi::AgentTypeModel::Roles", 13, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Akonadi::AgentTypeWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::Attribute*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AttributeFactory*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::CachePolicy", 17, Smoke::t_class|Smoke::tf_stack },	//25
    { "Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Akonadi::CachePolicy*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::ChangeRecorder*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::Collection", 19, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::Collection*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::Collection::Right", 19, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Akonadi::CollectionStatistics", 20, Smoke::t_class|Smoke::tf_stack },	//33
    { "Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref },	//34
    { "Akonadi::Entity*", 21, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Akonadi::Entity::CreateOption", 21, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Akonadi::Exception*", 23, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Akonadi::PayloadException*", 25, Smoke::t_class|Smoke::tf_ptr },	//39
    { "KCharsets*", 26, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KComponentData", 27, Smoke::t_class|Smoke::tf_stack },	//41
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KLocale*", 30, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "KStandardDirs*", 31, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KUrl", 32, Smoke::t_class|Smoke::tf_stack },	//46
    { "QAbstractItemModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QAbstractItemView*", 34, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QActionEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QBool", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QByteArray", 38, Smoke::t_class|Smoke::tf_stack },	//51
    { "QChildEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QCloseEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QContextMenuEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "QDragEnterEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDragLeaveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDragMoveEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QDropEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFocusEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QHideEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QIcon", 53, Smoke::t_class|Smoke::tf_stack },	//67
    { "QInputMethodEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QItemSelection", 55, Smoke::t_class|Smoke::tf_stack },	//69
    { "QKeyEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QMimeData*", 58, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QModelIndex", 59, Smoke::t_class|Smoke::tf_stack },	//78
    { "QMouseEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QMoveEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QObject*", 62, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QRegExp&", 66, Smoke::t_class|Smoke::tf_ref },	//85
    { "QResizeEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QShowEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QSize", 69, Smoke::t_class|Smoke::tf_stack },	//88
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//91
    { "QStyle&", 71, Smoke::t_class|Smoke::tf_ref },	//92
    { "QTabletEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QTimerEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QVariant", 74, Smoke::t_class|Smoke::tf_stack },	//95
    { "QWheelEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWidget*", 76, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QtMsgType", 51, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QtValidLicenseForActiveQtModule", 51, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QtValidLicenseForCoreModule", 51, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QtValidLicenseForDBusModule", 51, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QtValidLicenseForDeclarativeModule", 51, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QtValidLicenseForGuiModule", 51, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QtValidLicenseForHelpModule", 51, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QtValidLicenseForMultimediaModule", 51, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QtValidLicenseForNetworkModule", 51, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtValidLicenseForOpenGLModule", 51, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QtValidLicenseForOpenVGModule", 51, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QtValidLicenseForQt3SupportLightModule", 51, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QtValidLicenseForQt3SupportModule", 51, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtValidLicenseForScriptModule", 51, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForScriptToolsModule", 51, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForSqlModule", 51, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QtValidLicenseForSvgModule", 51, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtValidLicenseForTestModule", 51, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QtValidLicenseForXmlModule", 51, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtValidLicenseForXmlPatternsModule", 51, Smoke::t_enum|Smoke::tf_stack },	//188
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//189
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//190
    { "__codecvt_result", 51, Smoke::t_enum|Smoke::tf_stack },	//191
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//192
    { "boost::exception*", 77, Smoke::t_class|Smoke::tf_ptr },	//193
    { "boost::exception_detail::large_size", 78, Smoke::t_class|Smoke::tf_stack },	//194
    { "boost::exception_detail::small_size", 79, Smoke::t_class|Smoke::tf_stack },	//195
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//197
    { "const Akonadi::AgentBase::Observer&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Akonadi::AgentBase::ObserverV2&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Akonadi::Attribute&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Akonadi::AttributeFactory&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Akonadi::CollectionStatistics&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//208
    { "const Akonadi::Exception&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Akonadi::Item&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const Akonadi::PayloadException&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const E&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const KComponentData&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const KUrl&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QByteArray&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QFont&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QItemSelection&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//221
    { "const QMimeData*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//222
    { "const QModelIndex&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QObject*", 62, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//224
    { "const QPalette&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QRegExp&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//230
    { "const QVariant&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//232
    { "const boost::exception&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const boost::exception*", 77, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//235
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//237
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//238
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//239
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//241
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//242
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//243
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//244
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//245
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//246
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    235, 0,	//1  const char*
    235, 235, 0,	//3  const char*, const char*
    235, 235, 238, 0,	//6  const char*, const char*, int
    76, 238, 245, 0,	//10  QMetaObject::Call, int, void**
    189, 0,	//14  WId
    2, 0,	//16  Akonadi::AgentBase::Observer*
    228, 0,	//18  const QString&
    238, 228, 0,	//20  int, const QString&
    238, 0,	//23  int
    232, 0,	//25  const QVariantMap&
    192, 0,	//27  bool
    5, 228, 0,	//29  Akonadi::AgentBasePrivate*, const QString&
    210, 205, 0,	//32  const Akonadi::Item&, const Akonadi::Collection&
    210, 227, 0,	//35  const Akonadi::Item&, const QSet<QByteArray>&
    210, 0,	//38  const Akonadi::Item&
    205, 205, 0,	//40  const Akonadi::Collection&, const Akonadi::Collection&
    205, 0,	//43  const Akonadi::Collection&
    198, 0,	//45  const Akonadi::AgentBase::Observer&
    210, 205, 205, 0,	//47  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    205, 205, 205, 0,	//51  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    205, 227, 0,	//55  const Akonadi::Collection&, const QSet<QByteArray>&
    199, 0,	//58  const Akonadi::AgentBase::ObserverV2&
    81, 0,	//60  QObject*
    238, 223, 0,	//62  int, const QModelIndex&
    200, 0,	//65  const Akonadi::AgentInstance&
    97, 0,	//67  QWidget*
    201, 81, 0,	//69  const Akonadi::AgentType&, QObject*
    228, 81, 0,	//72  const QString&, QObject*
    201, 0,	//75  const Akonadi::AgentType&
    223, 0,	//77  const QModelIndex&
    223, 238, 0,	//79  const QModelIndex&, int
    238, 143, 238, 0,	//82  int, Qt::Orientation, int
    238, 238, 223, 0,	//86  int, int, const QModelIndex&
    223, 231, 238, 0,	//90  const QModelIndex&, const QVariant&, int
    238, 143, 0,	//94  int, Qt::Orientation
    238, 238, 0,	//97  int, int
    200, 200, 0,	//100  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    205, 192, 0,	//103  const Akonadi::Collection&, bool
    200, 228, 0,	//106  const Akonadi::AgentInstance&, const QString&
    200, 192, 0,	//109  const Akonadi::AgentInstance&, bool
    201, 201, 0,	//112  const Akonadi::AgentType&, const Akonadi::AgentType&
    215, 0,	//115  const QByteArray&
    202, 0,	//117  const Akonadi::Attribute&
    203, 0,	//119  const Akonadi::AttributeFactory&
    204, 0,	//121  const Akonadi::CachePolicy&
    229, 0,	//123  const QStringList&
    240, 0,	//125  long long
    214, 0,	//127  const KUrl&
    61, 0,	//129  QFlags<Akonadi::Collection::Right>
    206, 0,	//131  const Akonadi::CollectionStatistics&
    207, 0,	//133  const Akonadi::Entity&
    23, 0,	//135  Akonadi::Attribute*
    37, 0,	//137  Akonadi::EntityPrivate*
    209, 0,	//139  const Akonadi::Exception&
    211, 0,	//141  const Akonadi::PayloadException&
    228, 192, 0,	//143  const QString&, bool
    66, 0,	//146  QHideEvent*
    53, 0,	//148  QCloseEvent*
    70, 0,	//150  QKeyEvent*
    238, 143, 231, 238, 0,	//152  int, Qt::Orientation, const QVariant&, int
    223, 219, 0,	//157  const QModelIndex&, const QMap<int,QVariant>&
    218, 0,	//160  const QList<QModelIndex>&
    222, 119, 238, 238, 223, 0,	//162  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    238, 151, 0,	//168  int, Qt::SortOrder
    223, 238, 231, 238, 64, 0,	//171  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    87, 0,	//177  QShowEvent*
    86, 0,	//179  QResizeEvent*
    54, 0,	//181  QContextMenuEvent*
    81, 60, 0,	//183  QObject*, QEvent*
    60, 0,	//186  QEvent*
    94, 0,	//188  QTimerEvent*
    52, 0,	//190  QChildEvent*
    47, 0,	//192  QAbstractItemModel*
    217, 0,	//194  const QItemSelection&
    223, 223, 0,	//196  const QModelIndex&, const QModelIndex&
    79, 0,	//199  QMouseEvent*
    96, 0,	//201  QWheelEvent*
    65, 0,	//203  QFocusEvent*
    84, 0,	//205  QPaintEvent*
    80, 0,	//207  QMoveEvent*
    93, 0,	//209  QTabletEvent*
    49, 0,	//211  QActionEvent*
    56, 0,	//213  QDragEnterEvent*
    58, 0,	//215  QDragMoveEvent*
    57, 0,	//217  QDragLeaveEvent*
    59, 0,	//219  QDropEvent*
    190, 0,	//221  _XEvent*
    82, 0,	//223  QPaintDevice::PaintDeviceMetric
    68, 0,	//225  QInputMethodEvent*
    131, 0,	//227  Qt::InputMethodQuery
    92, 0,	//229  QStyle&
    225, 0,	//231  const QPalette&
    216, 0,	//233  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AddIfMissing",	//2
    "AgentBase",	//3
    "AgentBase#$",	//4
    "AgentBase$",	//5
    "AgentFilterProxyModel",	//6
    "AgentFilterProxyModel#",	//7
    "AgentInstance",	//8
    "AgentInstance#",	//9
    "AgentInstanceCreateJob",	//10
    "AgentInstanceCreateJob#",	//11
    "AgentInstanceCreateJob##",	//12
    "AgentInstanceCreateJob$",	//13
    "AgentInstanceCreateJob$#",	//14
    "AgentInstanceModel",	//15
    "AgentInstanceModel#",	//16
    "AgentInstanceWidget",	//17
    "AgentInstanceWidget#",	//18
    "AgentType",	//19
    "AgentType#",	//20
    "AgentTypeDialog",	//21
    "AgentTypeDialog#",	//22
    "AgentTypeModel",	//23
    "AgentTypeModel#",	//24
    "AgentTypeWidget",	//25
    "AgentTypeWidget#",	//26
    "AllRights",	//27
    "AppNameCaption",	//28
    "Apply",	//29
    "Attribute",	//30
    "Attribute#",	//31
    "AttributeFactory",	//32
    "AttributeFactory#",	//33
    "Broken",	//34
    "Bytes",	//35
    "CachePolicy",	//36
    "CachePolicy#",	//37
    "CanChangeCollection",	//38
    "CanChangeItem",	//39
    "CanCreateCollection",	//40
    "CanCreateItem",	//41
    "CanDeleteCollection",	//42
    "CanDeleteItem",	//43
    "CanLinkItem",	//44
    "CanUnlinkItem",	//45
    "Cancel",	//46
    "CapabilitiesRole",	//47
    "Close",	//48
    "Collection",	//49
    "Collection#",	//50
    "Collection$",	//51
    "Default",	//52
    "DelayedPopup",	//53
    "DescriptionRole",	//54
    "Details",	//55
    "Directories",	//56
    "DrawChildren",	//57
    "DrawWindowBackground",	//58
    "EmitResult",	//59
    "Entity",	//60
    "Entity#",	//61
    "Exception",	//62
    "Exception#",	//63
    "Exception$",	//64
    "Files",	//65
    "HIGCompliantCaption",	//66
    "Help",	//67
    "IdentifierRole",	//68
    "Idle",	//69
    "IgnoreMask",	//70
    "InstanceIdentifierRole",	//71
    "InstanceRole",	//72
    "InstantPopup",	//73
    "Killable",	//74
    "KilledJobError",	//75
    "LicensedActiveQt",	//76
    "LicensedCore",	//77
    "LicensedDBus",	//78
    "LicensedDeclarative",	//79
    "LicensedGui",	//80
    "LicensedHelp",	//81
    "LicensedMultimedia",	//82
    "LicensedNetwork",	//83
    "LicensedOpenGL",	//84
    "LicensedOpenVG",	//85
    "LicensedQt3Support",	//86
    "LicensedQt3SupportLight",	//87
    "LicensedScript",	//88
    "LicensedScriptTools",	//89
    "LicensedSql",	//90
    "LicensedSvg",	//91
    "LicensedTest",	//92
    "LicensedXml",	//93
    "LicensedXmlPatterns",	//94
    "MimeTypesRole",	//95
    "ModifiedCaption",	//96
    "No",	//97
    "NoCapabilities",	//98
    "NoCaptionFlags",	//99
    "NoDefault",	//100
    "NoError",	//101
    "None",	//102
    "Observer",	//103
    "Observer#",	//104
    "ObserverV2",	//105
    "ObserverV2#",	//106
    "Ok",	//107
    "OnlineRole",	//108
    "PayloadException",	//109
    "PayloadException#",	//110
    "PayloadException$",	//111
    "ProgressRole",	//112
    "QtCriticalMsg",	//113
    "QtDebugMsg",	//114
    "QtFatalMsg",	//115
    "QtSystemMsg",	//116
    "QtWarningMsg",	//117
    "Quietly",	//118
    "ReadOnly",	//119
    "Rejected",	//120
    "Reset",	//121
    "Running",	//122
    "StatusMessageRole",	//123
    "StatusRole",	//124
    "Suspendable",	//125
    "Try",	//126
    "TypeIdentifierRole",	//127
    "TypeRole",	//128
    "User1",	//129
    "User2",	//130
    "User3",	//131
    "UserDefinedError",	//132
    "UserRole",	//133
    "Yes",	//134
    "_CS_GNU_LIBC_VERSION",	//135
    "_CS_GNU_LIBPTHREAD_VERSION",	//136
    "_CS_LFS64_CFLAGS",	//137
    "_CS_LFS64_LDFLAGS",	//138
    "_CS_LFS64_LIBS",	//139
    "_CS_LFS64_LINTFLAGS",	//140
    "_CS_LFS_CFLAGS",	//141
    "_CS_LFS_LDFLAGS",	//142
    "_CS_LFS_LIBS",	//143
    "_CS_LFS_LINTFLAGS",	//144
    "_CS_PATH",	//145
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//146
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//147
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//148
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//149
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//150
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//151
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//152
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//153
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//154
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//155
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//156
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//157
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//158
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//159
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//160
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//161
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//162
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//163
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//164
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//165
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//166
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//167
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//168
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//169
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//170
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//171
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//172
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//173
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//174
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//175
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//176
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//177
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//178
    "_CS_V6_ENV",	//179
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//180
    "_CS_V7_ENV",	//181
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//182
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//183
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//184
    "_CS_XBS5_ILP32_OFF32_LIBS",	//185
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//186
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//187
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//188
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//189
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//190
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//191
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//192
    "_CS_XBS5_LP64_OFF64_LIBS",	//193
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//194
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//195
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//196
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//197
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//198
    "__codecvt_error",	//199
    "__codecvt_noconv",	//200
    "__codecvt_ok",	//201
    "__codecvt_partial",	//202
    "abortCurrentTask",	//203
    "abortRequested",	//204
    "aboutToQuit",	//205
    "accept",	//206
    "actionEvent",	//207
    "activated",	//208
    "addAttribute",	//209
    "addAttribute#",	//210
    "addCapabilityFilter",	//211
    "addCapabilityFilter$",	//212
    "addMimeTypeFilter",	//213
    "addMimeTypeFilter$",	//214
    "advancedStatus",	//215
    "advancedStatus?",	//216
    "agentFilterProxyModel",	//217
    "agentName",	//218
    "agentNameChanged",	//219
    "agentNameChanged$",	//220
    "agentType",	//221
    "attribute",	//222
    "attribute#",	//223
    "attributes",	//224
    "buddy",	//225
    "cachePolicy",	//226
    "cacheTimeout",	//227
    "canFetchMore",	//228
    "capabilities",	//229
    "changeEvent",	//230
    "changeProcessed",	//231
    "changeRecorder",	//232
    "childEvent",	//233
    "cleanup",	//234
    "clearAttributes",	//235
    "clearFilters",	//236
    "clone",	//237
    "closeEvent",	//238
    "collectionAdded",	//239
    "collectionAdded##",	//240
    "collectionChanged",	//241
    "collectionChanged#",	//242
    "collectionChanged#?",	//243
    "collectionMoved",	//244
    "collectionMoved###",	//245
    "collectionRemoved",	//246
    "collectionRemoved#",	//247
    "columnCount",	//248
    "columnCount#",	//249
    "componentData",	//250
    "config",	//251
    "configurationDialogAccepted",	//252
    "configurationDialogRejected",	//253
    "configure",	//254
    "configure#",	//255
    "configure$",	//256
    "connectNotify",	//257
    "contentMimeTypes",	//258
    "contextMenuEvent",	//259
    "createAttribute",	//260
    "createAttribute#",	//261
    "currentAgentInstance",	//262
    "currentAgentType",	//263
    "currentChanged",	//264
    "currentChanged##",	//265
    "customEvent",	//266
    "d_func",	//267
    "data",	//268
    "data#",	//269
    "data#$",	//270
    "description",	//271
    "deserialize",	//272
    "deserialize#",	//273
    "devType",	//274
    "disconnectNotify",	//275
    "doKill",	//276
    "doResume",	//277
    "doSetOnline",	//278
    "doSetOnline$",	//279
    "doSuspend",	//280
    "done",	//281
    "done$",	//282
    "doubleClicked",	//283
    "doubleClicked#",	//284
    "dragEnterEvent",	//285
    "dragLeaveEvent",	//286
    "dragMoveEvent",	//287
    "dropEvent",	//288
    "dropMimeData",	//289
    "enabledChange",	//290
    "enterEvent",	//291
    "error",	//292
    "error$",	//293
    "errorString",	//294
    "event",	//295
    "eventFilter",	//296
    "excludeCapabilities",	//297
    "excludeCapabilities$",	//298
    "fetchMore",	//299
    "filterAcceptsColumn",	//300
    "filterAcceptsRow",	//301
    "filterAcceptsRow$#",	//302
    "flags",	//303
    "flags#",	//304
    "focusInEvent",	//305
    "focusNextPrevChild",	//306
    "focusOutEvent",	//307
    "fontChange",	//308
    "fromUrl",	//309
    "fromUrl#",	//310
    "hasAttribute",	//311
    "hasAttribute#",	//312
    "hasChildren",	//313
    "headerData",	//314
    "headerData$$",	//315
    "headerData$$$",	//316
    "heightForWidth",	//317
    "hideEvent",	//318
    "icon",	//319
    "iconName",	//320
    "id",	//321
    "identifier",	//322
    "index",	//323
    "index$$",	//324
    "index$$#",	//325
    "inheritFromParent",	//326
    "inputMethodEvent",	//327
    "inputMethodQuery",	//328
    "insertColumns",	//329
    "insertRows",	//330
    "instance",	//331
    "instance$",	//332
    "instanceAdded",	//333
    "instanceAdded#",	//334
    "instanceError",	//335
    "instanceError#$",	//336
    "instanceNameChanged",	//337
    "instanceNameChanged#",	//338
    "instanceOnline",	//339
    "instanceOnline#$",	//340
    "instanceProgressChanged",	//341
    "instanceProgressChanged#",	//342
    "instanceRemoved",	//343
    "instanceRemoved#",	//344
    "instanceStatusChanged",	//345
    "instanceStatusChanged#",	//346
    "instanceWarning",	//347
    "instanceWarning#$",	//348
    "instances",	//349
    "intervalCheckTime",	//350
    "isOnline",	//351
    "isValid",	//352
    "isVirtual",	//353
    "itemAdded",	//354
    "itemAdded##",	//355
    "itemChanged",	//356
    "itemChanged#?",	//357
    "itemData",	//358
    "itemLinked",	//359
    "itemLinked##",	//360
    "itemMoved",	//361
    "itemMoved###",	//362
    "itemRemoved",	//363
    "itemRemoved#",	//364
    "itemUnlinked",	//365
    "itemUnlinked##",	//366
    "keyPressEvent",	//367
    "keyReleaseEvent",	//368
    "languageChange",	//369
    "leaveEvent",	//370
    "lessThan",	//371
    "localParts",	//372
    "mapFromSource",	//373
    "mapSelectionFromSource",	//374
    "mapSelectionToSource",	//375
    "mapToSource",	//376
    "match",	//377
    "metaObject",	//378
    "metric",	//379
    "mimeData",	//380
    "mimeType",	//381
    "mimeTypes",	//382
    "minimumSizeHint",	//383
    "mouseDoubleClickEvent",	//384
    "mouseMoveEvent",	//385
    "mousePressEvent",	//386
    "mouseReleaseEvent",	//387
    "moveEvent",	//388
    "name",	//389
    "onlineChanged",	//390
    "onlineChanged$",	//391
    "operator!=",	//392
    "operator!=#",	//393
    "operator=",	//394
    "operator=#",	//395
    "operator==",	//396
    "operator==#",	//397
    "paintEngine",	//398
    "paintEvent",	//399
    "paletteChange",	//400
    "parent",	//401
    "parent#",	//402
    "parentCollection",	//403
    "parentRemoteId",	//404
    "percent",	//405
    "percent$",	//406
    "progress",	//407
    "progressMessage",	//408
    "qt_metacall",	//409
    "qt_metacall$$?",	//410
    "qt_metacast",	//411
    "qt_metacast$",	//412
    "reconfigure",	//413
    "registerObserver",	//414
    "registerObserver#",	//415
    "reject",	//416
    "reloadConfiguration",	//417
    "remoteId",	//418
    "remoteRevision",	//419
    "removeAttribute",	//420
    "removeAttribute#",	//421
    "removeColumns",	//422
    "removeInstance",	//423
    "removeInstance#",	//424
    "removeRows",	//425
    "resizeEvent",	//426
    "resource",	//427
    "restart",	//428
    "revert",	//429
    "rights",	//430
    "root",	//431
    "rowCount",	//432
    "rowCount#",	//433
    "selectedAgentInstances",	//434
    "self",	//435
    "serialized",	//436
    "setAgentName",	//437
    "setAgentName$",	//438
    "setCachePolicy",	//439
    "setCachePolicy#",	//440
    "setCacheTimeout",	//441
    "setCacheTimeout$",	//442
    "setCaption",	//443
    "setContentMimeTypes",	//444
    "setContentMimeTypes?",	//445
    "setData",	//446
    "setData##$",	//447
    "setHeaderData",	//448
    "setId",	//449
    "setId$",	//450
    "setInheritFromParent",	//451
    "setInheritFromParent$",	//452
    "setIntervalCheckTime",	//453
    "setIntervalCheckTime$",	//454
    "setIsOnline",	//455
    "setIsOnline$",	//456
    "setItemData",	//457
    "setLocalParts",	//458
    "setLocalParts?",	//459
    "setName",	//460
    "setName$",	//461
    "setNeedsNetwork",	//462
    "setNeedsNetwork$",	//463
    "setOnline",	//464
    "setOnline$",	//465
    "setParent",	//466
    "setParent#",	//467
    "setParent$",	//468
    "setParentCollection",	//469
    "setParentCollection#",	//470
    "setParentRemoteId",	//471
    "setParentRemoteId$",	//472
    "setPlainCaption",	//473
    "setRemoteId",	//474
    "setRemoteId$",	//475
    "setRemoteRevision",	//476
    "setRemoteRevision$",	//477
    "setResource",	//478
    "setResource$",	//479
    "setRights",	//480
    "setRights$",	//481
    "setSourceModel",	//482
    "setStatistics",	//483
    "setStatistics#",	//484
    "setSyncOnDemand",	//485
    "setSyncOnDemand$",	//486
    "setVisible",	//487
    "showEvent",	//488
    "sizeHint",	//489
    "slotButtonClicked",	//490
    "sort",	//491
    "span",	//492
    "start",	//493
    "staticMetaObject",	//494
    "statistics",	//495
    "status",	//496
    "status$",	//497
    "status$$",	//498
    "statusMessage",	//499
    "styleChange",	//500
    "submit",	//501
    "supportedDropActions",	//502
    "syncOnDemand",	//503
    "synchronize",	//504
    "synchronizeCollection",	//505
    "synchronizeCollection#",	//506
    "synchronizeCollection#$",	//507
    "synchronizeCollectionTree",	//508
    "tabletEvent",	//509
    "timerEvent",	//510
    "tr",	//511
    "tr$",	//512
    "tr$$",	//513
    "tr$$$",	//514
    "trUtf8",	//515
    "trUtf8$",	//516
    "trUtf8$$",	//517
    "trUtf8$$$",	//518
    "type",	//519
    "type$",	//520
    "typeAdded",	//521
    "typeAdded#",	//522
    "typeRemoved",	//523
    "typeRemoved#",	//524
    "types",	//525
    "url",	//526
    "view",	//527
    "warning",	//528
    "warning$",	//529
    "what",	//530
    "wheelEvent",	//531
    "winIdForDialogs",	//532
    "windowActivationChange",	//533
    "x11Event",	//534
    "~AgentBase",	//535
    "~AgentFilterProxyModel",	//536
    "~AgentInstance",	//537
    "~AgentInstanceCreateJob",	//538
    "~AgentInstanceModel",	//539
    "~AgentInstanceWidget",	//540
    "~AgentManager",	//541
    "~AgentType",	//542
    "~AgentTypeDialog",	//543
    "~AgentTypeModel",	//544
    "~AgentTypeWidget",	//545
    "~Attribute",	//546
    "~AttributeFactory",	//547
    "~CachePolicy",	//548
    "~Collection",	//549
    "~Entity",	//550
    "~Exception",	//551
    "~Observer",	//552
    "~ObserverV2",	//553
    "~PayloadException",	//554
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 1},	//1 Akonadi::AgentBase::metaObject() const
    {1, 411, 1, 1, Smoke::mf_virtual, 244, 2},	//2 Akonadi::AgentBase::qt_metacast(const char*)
    {1, 511, 3, 2, Smoke::mf_static, 89, 3},	//3 Akonadi::AgentBase::tr(const char*, const char*)
    {1, 515, 3, 2, Smoke::mf_static, 89, 4},	//4 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {1, 511, 6, 3, Smoke::mf_static, 89, 5},	//5 Akonadi::AgentBase::tr(const char*, const char*, int)
    {1, 515, 6, 3, Smoke::mf_static, 89, 6},	//6 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {1, 409, 10, 3, Smoke::mf_virtual, 238, 7},	//7 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {1, 496, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 8},	//8 Akonadi::AgentBase::status() const
    {1, 499, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 9},	//9 Akonadi::AgentBase::statusMessage() const
    {1, 407, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 10},	//10 Akonadi::AgentBase::progress() const
    {1, 408, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 11},	//11 Akonadi::AgentBase::progressMessage() const
    {1, 254, 14, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//12 Akonadi::AgentBase::configure(WId)
    {1, 532, 0, 0, Smoke::mf_const, 243, 13},	//13 Akonadi::AgentBase::winIdForDialogs() const
    {1, 322, 0, 0, Smoke::mf_const, 89, 14},	//14 Akonadi::AgentBase::identifier() const
    {1, 234, 0, 0, Smoke::mf_virtual, 0, 15},	//15 Akonadi::AgentBase::cleanup()
    {1, 414, 16, 1, 0, 0, 16},	//16 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {1, 437, 18, 1, 0, 0, 17},	//17 Akonadi::AgentBase::setAgentName(const QString&)
    {1, 218, 0, 0, Smoke::mf_const, 89, 18},	//18 Akonadi::AgentBase::agentName() const
    {1, 250, 0, 0, Smoke::mf_static, 41, 19},	//19 Akonadi::AgentBase::componentData()
    {1, 219, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//20 Akonadi::AgentBase::agentNameChanged(const QString&)
    {1, 496, 20, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//21 Akonadi::AgentBase::status(int, const QString&)
    {1, 405, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//22 Akonadi::AgentBase::percent(int)
    {1, 528, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//23 Akonadi::AgentBase::warning(const QString&)
    {1, 292, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//24 Akonadi::AgentBase::error(const QString&)
    {1, 215, 25, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//25 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {1, 204, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//26 Akonadi::AgentBase::abortRequested()
    {1, 417, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//27 Akonadi::AgentBase::reloadConfiguration()
    {1, 390, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//28 Akonadi::AgentBase::onlineChanged(bool)
    {1, 252, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//29 Akonadi::AgentBase::configurationDialogAccepted()
    {1, 253, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//30 Akonadi::AgentBase::configurationDialogRejected()
    {1, 3, 18, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 31},	//31 Akonadi::AgentBase::AgentBase(const QString&)
    {1, 205, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//32 Akonadi::AgentBase::aboutToQuit()
    {1, 232, 0, 0, Smoke::mf_const|Smoke::mf_protected, 28, 33},	//33 Akonadi::AgentBase::changeRecorder() const
    {1, 251, 0, 0, Smoke::mf_protected, 44, 34},	//34 Akonadi::AgentBase::config()
    {1, 231, 0, 0, Smoke::mf_protected, 0, 35},	//35 Akonadi::AgentBase::changeProcessed()
    {1, 351, 0, 0, Smoke::mf_const|Smoke::mf_protected, 192, 36},	//36 Akonadi::AgentBase::isOnline() const
    {1, 462, 27, 1, Smoke::mf_protected, 0, 37},	//37 Akonadi::AgentBase::setNeedsNetwork(bool)
    {1, 464, 27, 1, Smoke::mf_protected, 0, 38},	//38 Akonadi::AgentBase::setOnline(bool)
    {1, 3, 29, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 39},	//39 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {1, 278, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//40 Akonadi::AgentBase::doSetOnline(bool)
    {1, 511, 1, 1, Smoke::mf_static, 89, 41},	//41 Akonadi::AgentBase::tr(const char*)
    {1, 515, 1, 1, Smoke::mf_static, 89, 42},	//42 Akonadi::AgentBase::trUtf8(const char*)
    {1, 496, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//43 Akonadi::AgentBase::status(int)
    {1, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 44},	//44 Akonadi::AgentBase::staticMetaObject() const
    {1, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 45},	//45 Akonadi::AgentBase::Idle (enum)
    {1, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 46},	//46 Akonadi::AgentBase::Running (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 47},	//47 Akonadi::AgentBase::Broken (enum)
    {1, 535, 0, 0, Smoke::mf_dtor, 0, 48 },	//48 Akonadi::AgentBase::~AgentBase()
    {2, 103, 0, 0, Smoke::mf_ctor, 2, 1},	//49 Akonadi::AgentBase::Observer::Observer()
    {2, 354, 32, 2, Smoke::mf_virtual, 0, 2},	//50 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {2, 356, 35, 2, Smoke::mf_virtual, 0, 3},	//51 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {2, 363, 38, 1, Smoke::mf_virtual, 0, 4},	//52 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {2, 239, 40, 2, Smoke::mf_virtual, 0, 5},	//53 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {2, 241, 43, 1, Smoke::mf_virtual, 0, 6},	//54 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {2, 246, 43, 1, Smoke::mf_virtual, 0, 7},	//55 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {2, 103, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 8},	//56 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {2, 552, 0, 0, Smoke::mf_dtor, 0, 9 },	//57 Akonadi::AgentBase::Observer::~Observer()
    {3, 241, 43, 1, Smoke::mf_virtual, 0, 1},	//58 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {3, 361, 47, 3, Smoke::mf_virtual, 0, 2},	//59 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 359, 32, 2, Smoke::mf_virtual, 0, 3},	//60 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 365, 32, 2, Smoke::mf_virtual, 0, 4},	//61 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 244, 51, 3, Smoke::mf_virtual, 0, 5},	//62 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 241, 55, 2, Smoke::mf_virtual, 0, 6},	//63 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {3, 105, 0, 0, Smoke::mf_ctor, 3, 7},	//64 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {3, 105, 58, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 8},	//65 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {3, 553, 0, 0, Smoke::mf_dtor, 0, 9 },	//66 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {5, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 1},	//67 Akonadi::AgentFilterProxyModel::metaObject() const
    {5, 411, 1, 1, Smoke::mf_virtual, 244, 2},	//68 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {5, 511, 3, 2, Smoke::mf_static, 89, 3},	//69 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {5, 515, 3, 2, Smoke::mf_static, 89, 4},	//70 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {5, 511, 6, 3, Smoke::mf_static, 89, 5},	//71 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {5, 515, 6, 3, Smoke::mf_static, 89, 6},	//72 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {5, 409, 10, 3, Smoke::mf_virtual, 238, 7},	//73 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {5, 6, 60, 1, Smoke::mf_ctor, 6, 8},	//74 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {5, 213, 18, 1, 0, 0, 9},	//75 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {5, 211, 18, 1, 0, 0, 10},	//76 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {5, 236, 0, 0, 0, 0, 11},	//77 Akonadi::AgentFilterProxyModel::clearFilters()
    {5, 297, 18, 1, 0, 0, 12},	//78 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {5, 301, 62, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 192, 13},	//79 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {5, 511, 1, 1, Smoke::mf_static, 89, 14},	//80 Akonadi::AgentFilterProxyModel::tr(const char*)
    {5, 515, 1, 1, Smoke::mf_static, 89, 15},	//81 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {5, 6, 0, 0, Smoke::mf_ctor, 6, 16},	//82 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {5, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 17},	//83 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {5, 536, 0, 0, Smoke::mf_dtor, 0, 18 },	//84 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {6, 8, 0, 0, Smoke::mf_ctor, 9, 1},	//85 Akonadi::AgentInstance::AgentInstance()
    {6, 8, 65, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//86 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {6, 352, 0, 0, Smoke::mf_const, 192, 3},	//87 Akonadi::AgentInstance::isValid() const
    {6, 519, 0, 0, Smoke::mf_const, 16, 4},	//88 Akonadi::AgentInstance::type() const
    {6, 322, 0, 0, Smoke::mf_const, 89, 5},	//89 Akonadi::AgentInstance::identifier() const
    {6, 389, 0, 0, Smoke::mf_const, 89, 6},	//90 Akonadi::AgentInstance::name() const
    {6, 460, 18, 1, 0, 0, 7},	//91 Akonadi::AgentInstance::setName(const QString&)
    {6, 496, 0, 0, Smoke::mf_const, 10, 8},	//92 Akonadi::AgentInstance::status() const
    {6, 499, 0, 0, Smoke::mf_const, 89, 9},	//93 Akonadi::AgentInstance::statusMessage() const
    {6, 407, 0, 0, Smoke::mf_const, 238, 10},	//94 Akonadi::AgentInstance::progress() const
    {6, 351, 0, 0, Smoke::mf_const, 192, 11},	//95 Akonadi::AgentInstance::isOnline() const
    {6, 455, 27, 1, 0, 0, 12},	//96 Akonadi::AgentInstance::setIsOnline(bool)
    {6, 254, 67, 1, 0, 0, 13},	//97 Akonadi::AgentInstance::configure(QWidget*)
    {6, 504, 0, 0, 0, 0, 14},	//98 Akonadi::AgentInstance::synchronize()
    {6, 508, 0, 0, 0, 0, 15},	//99 Akonadi::AgentInstance::synchronizeCollectionTree()
    {6, 394, 65, 1, 0, 8, 16},	//100 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {6, 396, 65, 1, Smoke::mf_const, 192, 17},	//101 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {6, 203, 0, 0, Smoke::mf_const, 0, 18},	//102 Akonadi::AgentInstance::abortCurrentTask() const
    {6, 413, 0, 0, Smoke::mf_const, 0, 19},	//103 Akonadi::AgentInstance::reconfigure() const
    {6, 428, 0, 0, Smoke::mf_const, 0, 20},	//104 Akonadi::AgentInstance::restart() const
    {6, 254, 0, 0, 0, 0, 21},	//105 Akonadi::AgentInstance::configure()
    {6, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 22},	//106 Akonadi::AgentInstance::Idle (enum)
    {6, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 23},	//107 Akonadi::AgentInstance::Running (enum)
    {6, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 24},	//108 Akonadi::AgentInstance::Broken (enum)
    {6, 537, 0, 0, Smoke::mf_dtor, 0, 25 },	//109 Akonadi::AgentInstance::~AgentInstance()
    {7, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 1},	//110 Akonadi::AgentInstanceCreateJob::metaObject() const
    {7, 411, 1, 1, Smoke::mf_virtual, 244, 2},	//111 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {7, 511, 3, 2, Smoke::mf_static, 89, 3},	//112 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {7, 515, 3, 2, Smoke::mf_static, 89, 4},	//113 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {7, 511, 6, 3, Smoke::mf_static, 89, 5},	//114 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {7, 515, 6, 3, Smoke::mf_static, 89, 6},	//115 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {7, 409, 10, 3, Smoke::mf_virtual, 238, 7},	//116 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {7, 10, 69, 2, Smoke::mf_ctor, 11, 8},	//117 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {7, 10, 72, 2, Smoke::mf_ctor, 11, 9},	//118 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {7, 254, 67, 1, 0, 0, 10},	//119 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {7, 331, 0, 0, Smoke::mf_const, 7, 11},	//120 Akonadi::AgentInstanceCreateJob::instance() const
    {7, 493, 0, 0, Smoke::mf_virtual, 0, 12},	//121 Akonadi::AgentInstanceCreateJob::start()
    {7, 511, 1, 1, Smoke::mf_static, 89, 13},	//122 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {7, 515, 1, 1, Smoke::mf_static, 89, 14},	//123 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {7, 10, 75, 1, Smoke::mf_ctor, 11, 15},	//124 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {7, 10, 18, 1, Smoke::mf_ctor, 11, 16},	//125 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {7, 254, 0, 0, 0, 0, 17},	//126 Akonadi::AgentInstanceCreateJob::configure()
    {7, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 18},	//127 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {7, 538, 0, 0, Smoke::mf_dtor, 0, 19 },	//128 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {8, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 1},	//129 Akonadi::AgentInstanceModel::metaObject() const
    {8, 411, 1, 1, Smoke::mf_virtual, 244, 2},	//130 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {8, 511, 3, 2, Smoke::mf_static, 89, 3},	//131 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {8, 515, 3, 2, Smoke::mf_static, 89, 4},	//132 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {8, 511, 6, 3, Smoke::mf_static, 89, 5},	//133 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {8, 515, 6, 3, Smoke::mf_static, 89, 6},	//134 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {8, 409, 10, 3, Smoke::mf_virtual, 238, 7},	//135 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {8, 15, 60, 1, Smoke::mf_ctor, 12, 8},	//136 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {8, 248, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 238, 9},	//137 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {8, 432, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 238, 10},	//138 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {8, 268, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 95, 11},	//139 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {8, 314, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 95, 12},	//140 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {8, 323, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 78, 13},	//141 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {8, 401, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 14},	//142 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {8, 303, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 15},	//143 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {8, 446, 90, 3, Smoke::mf_virtual, 192, 16},	//144 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {8, 511, 1, 1, Smoke::mf_static, 89, 17},	//145 Akonadi::AgentInstanceModel::tr(const char*)
    {8, 515, 1, 1, Smoke::mf_static, 89, 18},	//146 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {8, 15, 0, 0, Smoke::mf_ctor, 12, 19},	//147 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {8, 248, 0, 0, Smoke::mf_const, 238, 20},	//148 Akonadi::AgentInstanceModel::columnCount() const
    {8, 432, 0, 0, Smoke::mf_const, 238, 21},	//149 Akonadi::AgentInstanceModel::rowCount() const
    {8, 268, 77, 1, Smoke::mf_const, 95, 22},	//150 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {8, 314, 94, 2, Smoke::mf_const, 95, 23},	//151 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {8, 323, 97, 2, Smoke::mf_const, 78, 24},	//152 Akonadi::AgentInstanceModel::index(int, int) const
    {8, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 25},	//153 Akonadi::AgentInstanceModel::staticMetaObject() const
    {8, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 26},	//154 Akonadi::AgentInstanceModel::TypeRole (enum)
    {8, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 27},	//155 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {8, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 28},	//156 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {8, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 29},	//157 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {8, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 30},	//158 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 31},	//159 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {8, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 32},	//160 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {8, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 33},	//161 Akonadi::AgentInstanceModel::StatusRole (enum)
    {8, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//162 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {8, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//163 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {8, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//164 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {8, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//165 Akonadi::AgentInstanceModel::UserRole (enum)
    {8, 539, 0, 0, Smoke::mf_dtor, 0, 38 },	//166 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {9, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 1},	//167 Akonadi::AgentInstanceWidget::metaObject() const
    {9, 411, 1, 1, Smoke::mf_virtual, 244, 2},	//168 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {9, 511, 3, 2, Smoke::mf_static, 89, 3},	//169 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {9, 515, 3, 2, Smoke::mf_static, 89, 4},	//170 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {9, 511, 6, 3, Smoke::mf_static, 89, 5},	//171 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {9, 515, 6, 3, Smoke::mf_static, 89, 6},	//172 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {9, 409, 10, 3, Smoke::mf_virtual, 238, 7},	//173 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {9, 17, 67, 1, Smoke::mf_ctor, 14, 8},	//174 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {9, 262, 0, 0, Smoke::mf_const, 7, 9},	//175 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {9, 434, 0, 0, Smoke::mf_const, 71, 10},	//176 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {9, 217, 0, 0, Smoke::mf_const, 6, 11},	//177 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {9, 527, 0, 0, Smoke::mf_const, 48, 12},	//178 Akonadi::AgentInstanceWidget::view() const
    {9, 264, 100, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//179 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {9, 283, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//180 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {9, 511, 1, 1, Smoke::mf_static, 89, 15},	//181 Akonadi::AgentInstanceWidget::tr(const char*)
    {9, 515, 1, 1, Smoke::mf_static, 89, 16},	//182 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {9, 17, 0, 0, Smoke::mf_ctor, 14, 17},	//183 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {9, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 18},	//184 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {9, 540, 0, 0, Smoke::mf_dtor, 0, 19 },	//185 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {10, 378, 0, 0, Smoke::mf_const, 221, 1},	//186 Akonadi::AgentManager::metaObject() const
    {10, 411, 1, 1, 0, 244, 2},	//187 Akonadi::AgentManager::qt_metacast(const char*)
    {10, 511, 3, 2, Smoke::mf_static, 89, 3},	//188 Akonadi::AgentManager::tr(const char*, const char*)
    {10, 515, 3, 2, Smoke::mf_static, 89, 4},	//189 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {10, 511, 6, 3, Smoke::mf_static, 89, 5},	//190 Akonadi::AgentManager::tr(const char*, const char*, int)
    {10, 515, 6, 3, Smoke::mf_static, 89, 6},	//191 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {10, 409, 10, 3, 0, 238, 7},	//192 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {10, 435, 0, 0, Smoke::mf_static, 15, 8},	//193 Akonadi::AgentManager::self()
    {10, 525, 0, 0, Smoke::mf_const, 72, 9},	//194 Akonadi::AgentManager::types() const
    {10, 519, 18, 1, Smoke::mf_const, 16, 10},	//195 Akonadi::AgentManager::type(const QString&) const
    {10, 349, 0, 0, Smoke::mf_const, 71, 11},	//196 Akonadi::AgentManager::instances() const
    {10, 331, 18, 1, Smoke::mf_const, 7, 12},	//197 Akonadi::AgentManager::instance(const QString&) const
    {10, 423, 65, 1, 0, 0, 13},	//198 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {10, 505, 43, 1, 0, 0, 14},	//199 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {10, 505, 103, 2, 0, 0, 15},	//200 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {10, 521, 75, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//201 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {10, 523, 75, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//202 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {10, 333, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//203 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {10, 343, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//204 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {10, 345, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//205 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {10, 341, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//206 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {10, 337, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//207 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {10, 335, 106, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//208 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {10, 347, 106, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//209 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {10, 339, 109, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//210 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {10, 511, 1, 1, Smoke::mf_static, 89, 26},	//211 Akonadi::AgentManager::tr(const char*)
    {10, 515, 1, 1, Smoke::mf_static, 89, 27},	//212 Akonadi::AgentManager::trUtf8(const char*)
    {10, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 28},	//213 Akonadi::AgentManager::staticMetaObject() const
    {10, 541, 0, 0, Smoke::mf_dtor, 0, 29 },	//214 Akonadi::AgentManager::~AgentManager()
    {11, 19, 0, 0, Smoke::mf_ctor, 18, 1},	//215 Akonadi::AgentType::AgentType()
    {11, 19, 75, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//216 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {11, 352, 0, 0, Smoke::mf_const, 192, 3},	//217 Akonadi::AgentType::isValid() const
    {11, 322, 0, 0, Smoke::mf_const, 89, 4},	//218 Akonadi::AgentType::identifier() const
    {11, 389, 0, 0, Smoke::mf_const, 89, 5},	//219 Akonadi::AgentType::name() const
    {11, 271, 0, 0, Smoke::mf_const, 89, 6},	//220 Akonadi::AgentType::description() const
    {11, 320, 0, 0, Smoke::mf_const, 89, 7},	//221 Akonadi::AgentType::iconName() const
    {11, 319, 0, 0, Smoke::mf_const, 67, 8},	//222 Akonadi::AgentType::icon() const
    {11, 382, 0, 0, Smoke::mf_const, 90, 9},	//223 Akonadi::AgentType::mimeTypes() const
    {11, 229, 0, 0, Smoke::mf_const, 90, 10},	//224 Akonadi::AgentType::capabilities() const
    {11, 394, 75, 1, 0, 17, 11},	//225 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {11, 396, 75, 1, Smoke::mf_const, 192, 12},	//226 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {11, 542, 0, 0, Smoke::mf_dtor, 0, 13 },	//227 Akonadi::AgentType::~AgentType()
    {12, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 1},	//228 Akonadi::AgentTypeDialog::metaObject() const
    {12, 411, 1, 1, Smoke::mf_virtual, 244, 2},	//229 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {12, 511, 3, 2, Smoke::mf_static, 89, 3},	//230 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {12, 515, 3, 2, Smoke::mf_static, 89, 4},	//231 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {12, 511, 6, 3, Smoke::mf_static, 89, 5},	//232 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {12, 515, 6, 3, Smoke::mf_static, 89, 6},	//233 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {12, 409, 10, 3, Smoke::mf_virtual, 238, 7},	//234 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {12, 21, 67, 1, Smoke::mf_ctor, 19, 8},	//235 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {12, 221, 0, 0, Smoke::mf_const, 16, 9},	//236 Akonadi::AgentTypeDialog::agentType() const
    {12, 217, 0, 0, Smoke::mf_const, 6, 10},	//237 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {12, 281, 23, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//238 Akonadi::AgentTypeDialog::done(int)
    {12, 511, 1, 1, Smoke::mf_static, 89, 12},	//239 Akonadi::AgentTypeDialog::tr(const char*)
    {12, 515, 1, 1, Smoke::mf_static, 89, 13},	//240 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {12, 21, 0, 0, Smoke::mf_ctor, 19, 14},	//241 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {12, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 15},	//242 Akonadi::AgentTypeDialog::staticMetaObject() const
    {12, 543, 0, 0, Smoke::mf_dtor, 0, 16 },	//243 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {13, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 1},	//244 Akonadi::AgentTypeModel::metaObject() const
    {13, 411, 1, 1, Smoke::mf_virtual, 244, 2},	//245 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {13, 511, 3, 2, Smoke::mf_static, 89, 3},	//246 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {13, 515, 3, 2, Smoke::mf_static, 89, 4},	//247 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {13, 511, 6, 3, Smoke::mf_static, 89, 5},	//248 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {13, 515, 6, 3, Smoke::mf_static, 89, 6},	//249 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {13, 409, 10, 3, Smoke::mf_virtual, 238, 7},	//250 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {13, 23, 60, 1, Smoke::mf_ctor, 20, 8},	//251 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {13, 248, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 238, 9},	//252 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {13, 432, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 238, 10},	//253 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {13, 268, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 95, 11},	//254 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {13, 323, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 78, 12},	//255 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {13, 401, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 13},	//256 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {13, 303, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 14},	//257 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {13, 511, 1, 1, Smoke::mf_static, 89, 15},	//258 Akonadi::AgentTypeModel::tr(const char*)
    {13, 515, 1, 1, Smoke::mf_static, 89, 16},	//259 Akonadi::AgentTypeModel::trUtf8(const char*)
    {13, 23, 0, 0, Smoke::mf_ctor, 20, 17},	//260 Akonadi::AgentTypeModel::AgentTypeModel()
    {13, 248, 0, 0, Smoke::mf_const, 238, 18},	//261 Akonadi::AgentTypeModel::columnCount() const
    {13, 432, 0, 0, Smoke::mf_const, 238, 19},	//262 Akonadi::AgentTypeModel::rowCount() const
    {13, 268, 77, 1, Smoke::mf_const, 95, 20},	//263 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {13, 323, 97, 2, Smoke::mf_const, 78, 21},	//264 Akonadi::AgentTypeModel::index(int, int) const
    {13, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 22},	//265 Akonadi::AgentTypeModel::staticMetaObject() const
    {13, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 23},	//266 Akonadi::AgentTypeModel::TypeRole (enum)
    {13, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 24},	//267 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {13, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 25},	//268 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {13, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 26},	//269 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {13, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 27},	//270 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {13, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 28},	//271 Akonadi::AgentTypeModel::UserRole (enum)
    {13, 544, 0, 0, Smoke::mf_dtor, 0, 29 },	//272 Akonadi::AgentTypeModel::~AgentTypeModel()
    {14, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 1},	//273 Akonadi::AgentTypeWidget::metaObject() const
    {14, 411, 1, 1, Smoke::mf_virtual, 244, 2},	//274 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {14, 511, 3, 2, Smoke::mf_static, 89, 3},	//275 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {14, 515, 3, 2, Smoke::mf_static, 89, 4},	//276 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {14, 511, 6, 3, Smoke::mf_static, 89, 5},	//277 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {14, 515, 6, 3, Smoke::mf_static, 89, 6},	//278 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {14, 409, 10, 3, Smoke::mf_virtual, 238, 7},	//279 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 25, 67, 1, Smoke::mf_ctor, 22, 8},	//280 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {14, 263, 0, 0, Smoke::mf_const, 16, 9},	//281 Akonadi::AgentTypeWidget::currentAgentType() const
    {14, 217, 0, 0, Smoke::mf_const, 6, 10},	//282 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {14, 264, 112, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//283 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {14, 208, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//284 Akonadi::AgentTypeWidget::activated()
    {14, 511, 1, 1, Smoke::mf_static, 89, 13},	//285 Akonadi::AgentTypeWidget::tr(const char*)
    {14, 515, 1, 1, Smoke::mf_static, 89, 14},	//286 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {14, 25, 0, 0, Smoke::mf_ctor, 22, 15},	//287 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {14, 494, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 220, 16},	//288 Akonadi::AgentTypeWidget::staticMetaObject() const
    {14, 545, 0, 0, Smoke::mf_dtor, 0, 17 },	//289 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {15, 519, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 1},	//290 Akonadi::Attribute::type() const [pure virtual]
    {15, 237, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//291 Akonadi::Attribute::clone() const [pure virtual]
    {15, 436, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 3},	//292 Akonadi::Attribute::serialized() const [pure virtual]
    {15, 272, 115, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//293 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {15, 30, 0, 0, Smoke::mf_ctor, 23, 5},	//294 Akonadi::Attribute::Attribute()
    {15, 30, 117, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 6},	//295 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {15, 546, 0, 0, Smoke::mf_dtor, 0, 7 },	//296 Akonadi::Attribute::~Attribute()
    {16, 260, 115, 1, Smoke::mf_static, 23, 1},	//297 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {16, 32, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 24, 2},	//298 Akonadi::AttributeFactory::AttributeFactory()
    {16, 32, 119, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//299 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {16, 547, 0, 0, Smoke::mf_dtor, 0, 4 },	//300 Akonadi::AttributeFactory::~AttributeFactory()
    {17, 36, 0, 0, Smoke::mf_ctor, 27, 1},	//301 Akonadi::CachePolicy::CachePolicy()
    {17, 36, 121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//302 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {17, 326, 0, 0, Smoke::mf_const, 192, 3},	//303 Akonadi::CachePolicy::inheritFromParent() const
    {17, 451, 27, 1, 0, 0, 4},	//304 Akonadi::CachePolicy::setInheritFromParent(bool)
    {17, 372, 0, 0, Smoke::mf_const, 90, 5},	//305 Akonadi::CachePolicy::localParts() const
    {17, 458, 123, 1, 0, 0, 6},	//306 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {17, 227, 0, 0, Smoke::mf_const, 238, 7},	//307 Akonadi::CachePolicy::cacheTimeout() const
    {17, 441, 23, 1, 0, 0, 8},	//308 Akonadi::CachePolicy::setCacheTimeout(int)
    {17, 350, 0, 0, Smoke::mf_const, 238, 9},	//309 Akonadi::CachePolicy::intervalCheckTime() const
    {17, 453, 23, 1, 0, 0, 10},	//310 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {17, 503, 0, 0, Smoke::mf_const, 192, 11},	//311 Akonadi::CachePolicy::syncOnDemand() const
    {17, 485, 27, 1, 0, 0, 12},	//312 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {17, 394, 121, 1, 0, 26, 13},	//313 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {17, 396, 121, 1, Smoke::mf_const, 192, 14},	//314 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {17, 548, 0, 0, Smoke::mf_dtor, 0, 15 },	//315 Akonadi::CachePolicy::~CachePolicy()
    {19, 49, 0, 0, Smoke::mf_ctor, 31, 1},	//316 Akonadi::Collection::Collection()
    {19, 49, 125, 1, Smoke::mf_ctor, 31, 2},	//317 Akonadi::Collection::Collection(long long)
    {19, 49, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//318 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {19, 309, 127, 1, Smoke::mf_static, 29, 4},	//319 Akonadi::Collection::fromUrl(const KUrl&)
    {19, 389, 0, 0, Smoke::mf_const, 89, 5},	//320 Akonadi::Collection::name() const
    {19, 460, 18, 1, 0, 0, 6},	//321 Akonadi::Collection::setName(const QString&)
    {19, 430, 0, 0, Smoke::mf_const, 61, 7},	//322 Akonadi::Collection::rights() const
    {19, 480, 129, 1, 0, 0, 8},	//323 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {19, 258, 0, 0, Smoke::mf_const, 90, 9},	//324 Akonadi::Collection::contentMimeTypes() const
    {19, 444, 123, 1, 0, 0, 10},	//325 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {19, 401, 0, 0, Smoke::mf_const, 240, 11},	//326 Akonadi::Collection::parent() const
    {19, 466, 125, 1, 0, 0, 12},	//327 Akonadi::Collection::setParent(long long)
    {19, 466, 43, 1, 0, 0, 13},	//328 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {19, 404, 0, 0, Smoke::mf_const, 89, 14},	//329 Akonadi::Collection::parentRemoteId() const
    {19, 471, 18, 1, 0, 0, 15},	//330 Akonadi::Collection::setParentRemoteId(const QString&)
    {19, 431, 0, 0, Smoke::mf_static, 29, 16},	//331 Akonadi::Collection::root()
    {19, 381, 0, 0, Smoke::mf_static, 89, 17},	//332 Akonadi::Collection::mimeType()
    {19, 427, 0, 0, Smoke::mf_const, 89, 18},	//333 Akonadi::Collection::resource() const
    {19, 478, 18, 1, 0, 0, 19},	//334 Akonadi::Collection::setResource(const QString&)
    {19, 226, 0, 0, Smoke::mf_const, 25, 20},	//335 Akonadi::Collection::cachePolicy() const
    {19, 439, 121, 1, 0, 0, 21},	//336 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {19, 495, 0, 0, Smoke::mf_const, 33, 22},	//337 Akonadi::Collection::statistics() const
    {19, 483, 131, 1, 0, 0, 23},	//338 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {19, 526, 0, 0, Smoke::mf_const, 46, 24},	//339 Akonadi::Collection::url() const
    {19, 353, 0, 0, Smoke::mf_const, 192, 25},	//340 Akonadi::Collection::isVirtual() const
    {19, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//341 Akonadi::Collection::ReadOnly (enum)
    {19, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//342 Akonadi::Collection::CanChangeItem (enum)
    {19, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//343 Akonadi::Collection::CanCreateItem (enum)
    {19, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//344 Akonadi::Collection::CanDeleteItem (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//345 Akonadi::Collection::CanChangeCollection (enum)
    {19, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//346 Akonadi::Collection::CanCreateCollection (enum)
    {19, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//347 Akonadi::Collection::CanDeleteCollection (enum)
    {19, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//348 Akonadi::Collection::CanLinkItem (enum)
    {19, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//349 Akonadi::Collection::CanUnlinkItem (enum)
    {19, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//350 Akonadi::Collection::AllRights (enum)
    {19, 549, 0, 0, Smoke::mf_dtor, 0, 36 },	//351 Akonadi::Collection::~Collection()
    {21, 449, 125, 1, 0, 0, 1},	//352 Akonadi::Entity::setId(long long)
    {21, 321, 0, 0, Smoke::mf_const, 240, 2},	//353 Akonadi::Entity::id() const
    {21, 474, 18, 1, 0, 0, 3},	//354 Akonadi::Entity::setRemoteId(const QString&)
    {21, 418, 0, 0, Smoke::mf_const, 89, 4},	//355 Akonadi::Entity::remoteId() const
    {21, 476, 18, 1, 0, 0, 5},	//356 Akonadi::Entity::setRemoteRevision(const QString&)
    {21, 419, 0, 0, Smoke::mf_const, 89, 6},	//357 Akonadi::Entity::remoteRevision() const
    {21, 352, 0, 0, Smoke::mf_const, 192, 7},	//358 Akonadi::Entity::isValid() const
    {21, 396, 133, 1, Smoke::mf_const, 192, 8},	//359 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {21, 392, 133, 1, Smoke::mf_const, 192, 9},	//360 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {21, 394, 133, 1, 0, 34, 10},	//361 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {21, 403, 0, 0, Smoke::mf_const, 29, 11},	//362 Akonadi::Entity::parentCollection() const
    {21, 403, 0, 0, 0, 30, 12},	//363 Akonadi::Entity::parentCollection()
    {21, 469, 43, 1, 0, 0, 13},	//364 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {21, 209, 135, 1, 0, 0, 14},	//365 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {21, 420, 115, 1, 0, 0, 15},	//366 Akonadi::Entity::removeAttribute(const QByteArray&)
    {21, 311, 115, 1, Smoke::mf_const, 192, 16},	//367 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {21, 224, 0, 0, Smoke::mf_const, 73, 17},	//368 Akonadi::Entity::attributes() const
    {21, 235, 0, 0, 0, 0, 18},	//369 Akonadi::Entity::clearAttributes()
    {21, 222, 115, 1, Smoke::mf_const, 23, 19},	//370 Akonadi::Entity::attribute(const QByteArray&) const
    {21, 60, 133, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 35, 20},	//371 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {21, 60, 137, 1, Smoke::mf_ctor|Smoke::mf_protected, 35, 21},	//372 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {21, 267, 0, 0, Smoke::mf_protected, 37, 22},	//373 Akonadi::Entity::d_func()
    {21, 267, 0, 0, Smoke::mf_const|Smoke::mf_protected, 208, 23},	//374 Akonadi::Entity::d_func() const
    {21, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 24},	//375 Akonadi::Entity::AddIfMissing (enum)
    {21, 550, 0, 0, Smoke::mf_dtor, 0, 25 },	//376 Akonadi::Entity::~Entity()
    {23, 62, 1, 1, Smoke::mf_ctor, 38, 1},	//377 Akonadi::Exception::Exception(const char*)
    {23, 62, 115, 1, Smoke::mf_ctor, 38, 2},	//378 Akonadi::Exception::Exception(const QByteArray&)
    {23, 62, 18, 1, Smoke::mf_ctor, 38, 3},	//379 Akonadi::Exception::Exception(const QString&)
    {23, 62, 139, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 4},	//380 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {23, 530, 0, 0, Smoke::mf_const, 235, 5},	//381 Akonadi::Exception::what() const
    {23, 519, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 6},	//382 Akonadi::Exception::type() const
    {23, 551, 0, 0, Smoke::mf_dtor, 0, 7 },	//383 Akonadi::Exception::~Exception()
    {25, 109, 1, 1, Smoke::mf_ctor, 39, 1},	//384 Akonadi::PayloadException::PayloadException(const char*)
    {25, 109, 115, 1, Smoke::mf_ctor, 39, 2},	//385 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {25, 109, 18, 1, Smoke::mf_ctor, 39, 3},	//386 Akonadi::PayloadException::PayloadException(const QString&)
    {25, 519, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 4},	//387 Akonadi::PayloadException::type() const
    {25, 109, 141, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 5},	//388 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {25, 554, 0, 0, Smoke::mf_dtor, 0, 6 },	//389 Akonadi::PayloadException::~PayloadException()
    {28, 489, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//390 KDialog::sizeHint() const
    {28, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//391 KDialog::minimumSizeHint() const
    {28, 443, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//392 KDialog::setCaption(const QString&)
    {28, 443, 143, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//393 KDialog::setCaption(const QString&, bool)
    {28, 473, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//394 KDialog::setPlainCaption(const QString&)
    {28, 318, 146, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//395 KDialog::hideEvent(QHideEvent*)
    {28, 238, 148, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//396 KDialog::closeEvent(QCloseEvent*)
    {28, 367, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//397 KDialog::keyPressEvent(QKeyEvent*)
    {28, 490, 23, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//398 KDialog::slotButtonClicked(int)
    {29, 276, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//399 KJob::doKill()
    {29, 280, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//400 KJob::doSuspend()
    {29, 277, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//401 KJob::doResume()
    {29, 294, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//402 KJob::errorString() const
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 5},	//403 KJob::NoError (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 6},	//404 KJob::KilledJobError (enum)
    {29, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 7},	//405 KJob::UserDefinedError (enum)
    {33, 313, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//406 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {33, 446, 90, 3, Smoke::mf_virtual, 192, 0},	//407 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 314, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//408 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {33, 448, 152, 4, Smoke::mf_virtual, 192, 0},	//409 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 358, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 75, 0},	//410 QAbstractItemModel::itemData(const QModelIndex&) const
    {33, 457, 157, 2, Smoke::mf_virtual, 192, 0},	//411 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {33, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//412 QAbstractItemModel::mimeTypes() const
    {33, 380, 160, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//413 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {33, 289, 162, 5, Smoke::mf_virtual, 192, 0},	//414 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 502, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//415 QAbstractItemModel::supportedDropActions() const
    {33, 330, 86, 3, Smoke::mf_virtual, 192, 0},	//416 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {33, 329, 86, 3, Smoke::mf_virtual, 192, 0},	//417 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {33, 425, 86, 3, Smoke::mf_virtual, 192, 0},	//418 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {33, 422, 86, 3, Smoke::mf_virtual, 192, 0},	//419 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {33, 299, 77, 1, Smoke::mf_virtual, 0, 0},	//420 QAbstractItemModel::fetchMore(const QModelIndex&)
    {33, 228, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//421 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {33, 491, 168, 2, Smoke::mf_virtual, 0, 0},	//422 QAbstractItemModel::sort(int, Qt::SortOrder)
    {33, 225, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//423 QAbstractItemModel::buddy(const QModelIndex&) const
    {33, 377, 171, 5, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//424 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {33, 492, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//425 QAbstractItemModel::span(const QModelIndex&) const
    {33, 501, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 192, 0},	//426 QAbstractItemModel::submit()
    {33, 429, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//427 QAbstractItemModel::revert()
    {35, 501, 0, 0, Smoke::mf_virtual, 192, 0},	//428 QAbstractProxyModel::submit()
    {35, 429, 0, 0, Smoke::mf_virtual, 0, 0},	//429 QAbstractProxyModel::revert()
    {35, 358, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 75, 0},	//430 QAbstractProxyModel::itemData(const QModelIndex&) const
    {43, 487, 27, 1, Smoke::mf_virtual, 0, 0},	//431 QDialog::setVisible(bool)
    {43, 206, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//432 QDialog::accept()
    {43, 416, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//433 QDialog::reject()
    {43, 488, 177, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//434 QDialog::showEvent(QShowEvent*)
    {43, 426, 179, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//435 QDialog::resizeEvent(QResizeEvent*)
    {43, 259, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//436 QDialog::contextMenuEvent(QContextMenuEvent*)
    {43, 296, 183, 2, Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//437 QDialog::eventFilter(QObject*, QEvent*)
    {51, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 1},	//438 QGlobalSpace::_CS_PATH (enum)
    {51, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 2},	//439 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {51, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 3},	//440 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {51, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 4},	//441 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {51, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 5},	//442 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {51, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 6},	//443 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {51, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 7},	//444 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {51, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 8},	//445 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {51, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 9},	//446 QGlobalSpace::_CS_LFS_LIBS (enum)
    {51, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 10},	//447 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {51, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 11},	//448 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {51, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 12},	//449 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {51, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 13},	//450 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {51, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 14},	//451 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {51, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 15},	//452 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {51, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 16},	//453 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {51, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 17},	//454 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {51, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 18},	//455 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {51, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 19},	//456 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {51, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 20},	//457 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 21},	//458 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {51, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 22},	//459 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 23},	//460 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {51, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 24},	//461 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {51, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 25},	//462 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {51, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 26},	//463 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {51, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 27},	//464 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 28},	//465 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 29},	//466 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {51, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 30},	//467 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 31},	//468 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {51, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 32},	//469 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {51, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 33},	//470 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {51, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 34},	//471 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {51, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 35},	//472 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {51, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 36},	//473 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 37},	//474 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {51, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 38},	//475 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 39},	//476 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {51, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 40},	//477 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {51, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 41},	//478 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {51, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 42},	//479 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {51, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 43},	//480 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 44},	//481 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 45},	//482 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {51, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 46},	//483 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 47},	//484 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {51, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 48},	//485 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {51, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 49},	//486 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {51, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 50},	//487 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {51, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 51},	//488 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {51, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 52},	//489 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 53},	//490 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {51, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 54},	//491 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 55},	//492 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {51, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 56},	//493 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 57},	//494 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {51, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 58},	//495 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {51, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 59},	//496 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 60},	//497 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 61},	//498 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {51, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 62},	//499 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 63},	//500 QGlobalSpace::_CS_V6_ENV (enum)
    {51, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 64},	//501 QGlobalSpace::_CS_V7_ENV (enum)
    {51, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 65},	//502 QGlobalSpace::LicensedGui (enum)
    {51, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 66},	//503 QGlobalSpace::LicensedXml (enum)
    {51, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 67},	//504 QGlobalSpace::LicensedQt3SupportLight (enum)
    {51, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 68},	//505 QGlobalSpace::LicensedScript (enum)
    {51, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 69},	//506 QGlobalSpace::LicensedOpenVG (enum)
    {51, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 70},	//507 QGlobalSpace::LicensedDBus (enum)
    {51, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 71},	//508 QGlobalSpace::LicensedTest (enum)
    {51, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 72},	//509 QGlobalSpace::LicensedActiveQt (enum)
    {51, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 73},	//510 QGlobalSpace::LicensedScriptTools (enum)
    {51, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 74},	//511 QGlobalSpace::LicensedSvg (enum)
    {51, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 75},	//512 QGlobalSpace::LicensedDeclarative (enum)
    {51, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 76},	//513 QGlobalSpace::LicensedSql (enum)
    {51, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 77},	//514 QGlobalSpace::LicensedOpenGL (enum)
    {51, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 78},	//515 QGlobalSpace::LicensedCore (enum)
    {51, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 79},	//516 QGlobalSpace::QtDebugMsg (enum)
    {51, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 80},	//517 QGlobalSpace::QtWarningMsg (enum)
    {51, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 81},	//518 QGlobalSpace::QtCriticalMsg (enum)
    {51, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 82},	//519 QGlobalSpace::QtFatalMsg (enum)
    {51, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 83},	//520 QGlobalSpace::QtSystemMsg (enum)
    {51, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 84},	//521 QGlobalSpace::LicensedHelp (enum)
    {51, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 85},	//522 QGlobalSpace::LicensedMultimedia (enum)
    {51, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 86},	//523 QGlobalSpace::LicensedQt3Support (enum)
    {51, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 87},	//524 QGlobalSpace::LicensedXmlPatterns (enum)
    {51, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 88},	//525 QGlobalSpace::LicensedNetwork (enum)
    {51, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 89},	//526 QGlobalSpace::__codecvt_ok (enum)
    {51, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 90},	//527 QGlobalSpace::__codecvt_partial (enum)
    {51, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 91},	//528 QGlobalSpace::__codecvt_error (enum)
    {51, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 92},	//529 QGlobalSpace::__codecvt_noconv (enum)
    {62, 295, 186, 1, Smoke::mf_virtual, 192, 0},	//530 QObject::event(QEvent*)
    {62, 296, 183, 2, Smoke::mf_virtual, 192, 0},	//531 QObject::eventFilter(QObject*, QEvent*)
    {62, 510, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//532 QObject::timerEvent(QTimerEvent*)
    {62, 233, 190, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//533 QObject::childEvent(QChildEvent*)
    {62, 266, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//534 QObject::customEvent(QEvent*)
    {62, 257, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//535 QObject::connectNotify(const char*)
    {62, 275, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//536 QObject::disconnectNotify(const char*)
    {70, 482, 192, 1, Smoke::mf_virtual, 0, 0},	//537 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {70, 376, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//538 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {70, 373, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//539 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {70, 375, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//540 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {70, 374, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//541 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {70, 300, 62, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//542 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {70, 371, 196, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//543 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {70, 323, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//544 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {70, 401, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//545 QSortFilterProxyModel::parent(const QModelIndex&) const
    {70, 432, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 238, 0},	//546 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {70, 248, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 238, 0},	//547 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {70, 313, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//548 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {70, 268, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//549 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {70, 446, 90, 3, Smoke::mf_virtual, 192, 0},	//550 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {70, 314, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//551 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {70, 448, 152, 4, Smoke::mf_virtual, 192, 0},	//552 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {70, 380, 160, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//553 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {70, 289, 162, 5, Smoke::mf_virtual, 192, 0},	//554 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {70, 330, 86, 3, Smoke::mf_virtual, 192, 0},	//555 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {70, 329, 86, 3, Smoke::mf_virtual, 192, 0},	//556 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {70, 425, 86, 3, Smoke::mf_virtual, 192, 0},	//557 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {70, 422, 86, 3, Smoke::mf_virtual, 192, 0},	//558 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {70, 299, 77, 1, Smoke::mf_virtual, 0, 0},	//559 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {70, 228, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//560 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {70, 303, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//561 QSortFilterProxyModel::flags(const QModelIndex&) const
    {70, 225, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//562 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {70, 377, 171, 5, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//563 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {70, 492, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//564 QSortFilterProxyModel::span(const QModelIndex&) const
    {70, 491, 168, 2, Smoke::mf_virtual, 0, 0},	//565 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {70, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//566 QSortFilterProxyModel::mimeTypes() const
    {70, 502, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//567 QSortFilterProxyModel::supportedDropActions() const
    {76, 274, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 0},	//568 QWidget::devType() const
    {76, 487, 27, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//569 QWidget::setVisible(bool)
    {76, 489, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 88, 0},	//570 QWidget::sizeHint() const
    {76, 383, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 88, 0},	//571 QWidget::minimumSizeHint() const
    {76, 317, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 238, 0},	//572 QWidget::heightForWidth(int) const
    {76, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//573 QWidget::paintEngine() const
    {76, 295, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//574 QWidget::event(QEvent*)
    {76, 386, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//575 QWidget::mousePressEvent(QMouseEvent*)
    {76, 387, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//576 QWidget::mouseReleaseEvent(QMouseEvent*)
    {76, 384, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {76, 385, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//578 QWidget::mouseMoveEvent(QMouseEvent*)
    {76, 531, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QWidget::wheelEvent(QWheelEvent*)
    {76, 367, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QWidget::keyPressEvent(QKeyEvent*)
    {76, 368, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::keyReleaseEvent(QKeyEvent*)
    {76, 305, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QWidget::focusInEvent(QFocusEvent*)
    {76, 307, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::focusOutEvent(QFocusEvent*)
    {76, 291, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QWidget::enterEvent(QEvent*)
    {76, 370, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QWidget::leaveEvent(QEvent*)
    {76, 399, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QWidget::paintEvent(QPaintEvent*)
    {76, 388, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//587 QWidget::moveEvent(QMoveEvent*)
    {76, 426, 179, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QWidget::resizeEvent(QResizeEvent*)
    {76, 238, 148, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//589 QWidget::closeEvent(QCloseEvent*)
    {76, 259, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//590 QWidget::contextMenuEvent(QContextMenuEvent*)
    {76, 509, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QWidget::tabletEvent(QTabletEvent*)
    {76, 207, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//592 QWidget::actionEvent(QActionEvent*)
    {76, 285, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//593 QWidget::dragEnterEvent(QDragEnterEvent*)
    {76, 287, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QWidget::dragMoveEvent(QDragMoveEvent*)
    {76, 286, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {76, 288, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::dropEvent(QDropEvent*)
    {76, 488, 177, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::showEvent(QShowEvent*)
    {76, 318, 146, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QWidget::hideEvent(QHideEvent*)
    {76, 534, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//599 QWidget::x11Event(_XEvent*)
    {76, 230, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//600 QWidget::changeEvent(QEvent*)
    {76, 379, 223, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 238, 0},	//601 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {76, 327, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//602 QWidget::inputMethodEvent(QInputMethodEvent*)
    {76, 328, 227, 1, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//603 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 306, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//604 QWidget::focusNextPrevChild(bool)
    {76, 500, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//605 QWidget::styleChange(QStyle&)
    {76, 290, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//606 QWidget::enabledChange(bool)
    {76, 400, 231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//607 QWidget::paletteChange(const QPalette&)
    {76, 308, 233, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//608 QWidget::fontChange(const QFont&)
    {76, 533, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//609 QWidget::windowActivationChange(bool)
    {76, 369, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//610 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    385,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    388,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    384,  // Akonadi::PayloadException::PayloadException(const char*)
    386,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    378,  // Akonadi::Exception::Exception(const QByteArray&)
    380,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    377,  // Akonadi::Exception::Exception(const char*)
    379,  // Akonadi::Exception::Exception(const QString&)
    0,
    371,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    372,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    373,  // Akonadi::Entity::d_func()
    374,  // Akonadi::Entity::d_func() const
    0,
    362,  // Akonadi::Entity::parentCollection() const
    363,  // Akonadi::Entity::parentCollection()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 4, 39},	// Akonadi::AgentBase::AgentBase#$
    {1, 5, 31},	// Akonadi::AgentBase::AgentBase$
    {1, 34, 47},	// Akonadi::AgentBase::Broken
    {1, 69, 45},	// Akonadi::AgentBase::Idle
    {1, 122, 46},	// Akonadi::AgentBase::Running
    {1, 204, 26},	// Akonadi::AgentBase::abortRequested
    {1, 205, 32},	// Akonadi::AgentBase::aboutToQuit
    {1, 216, 25},	// Akonadi::AgentBase::advancedStatus?
    {1, 218, 18},	// Akonadi::AgentBase::agentName
    {1, 220, 20},	// Akonadi::AgentBase::agentNameChanged$
    {1, 231, 35},	// Akonadi::AgentBase::changeProcessed
    {1, 232, 33},	// Akonadi::AgentBase::changeRecorder
    {1, 234, 15},	// Akonadi::AgentBase::cleanup
    {1, 250, 19},	// Akonadi::AgentBase::componentData
    {1, 251, 34},	// Akonadi::AgentBase::config
    {1, 252, 29},	// Akonadi::AgentBase::configurationDialogAccepted
    {1, 253, 30},	// Akonadi::AgentBase::configurationDialogRejected
    {1, 256, 12},	// Akonadi::AgentBase::configure$
    {1, 279, 40},	// Akonadi::AgentBase::doSetOnline$
    {1, 293, 24},	// Akonadi::AgentBase::error$
    {1, 322, 14},	// Akonadi::AgentBase::identifier
    {1, 351, 36},	// Akonadi::AgentBase::isOnline
    {1, 378, 1},	// Akonadi::AgentBase::metaObject
    {1, 391, 28},	// Akonadi::AgentBase::onlineChanged$
    {1, 406, 22},	// Akonadi::AgentBase::percent$
    {1, 407, 10},	// Akonadi::AgentBase::progress
    {1, 408, 11},	// Akonadi::AgentBase::progressMessage
    {1, 410, 7},	// Akonadi::AgentBase::qt_metacall$$?
    {1, 412, 2},	// Akonadi::AgentBase::qt_metacast$
    {1, 415, 16},	// Akonadi::AgentBase::registerObserver#
    {1, 417, 27},	// Akonadi::AgentBase::reloadConfiguration
    {1, 438, 17},	// Akonadi::AgentBase::setAgentName$
    {1, 463, 37},	// Akonadi::AgentBase::setNeedsNetwork$
    {1, 465, 38},	// Akonadi::AgentBase::setOnline$
    {1, 494, 44},	// Akonadi::AgentBase::staticMetaObject
    {1, 496, 8},	// Akonadi::AgentBase::status
    {1, 497, 43},	// Akonadi::AgentBase::status$
    {1, 498, 21},	// Akonadi::AgentBase::status$$
    {1, 499, 9},	// Akonadi::AgentBase::statusMessage
    {1, 512, 41},	// Akonadi::AgentBase::tr$
    {1, 513, 3},	// Akonadi::AgentBase::tr$$
    {1, 514, 5},	// Akonadi::AgentBase::tr$$$
    {1, 516, 42},	// Akonadi::AgentBase::trUtf8$
    {1, 517, 4},	// Akonadi::AgentBase::trUtf8$$
    {1, 518, 6},	// Akonadi::AgentBase::trUtf8$$$
    {1, 529, 23},	// Akonadi::AgentBase::warning$
    {1, 532, 13},	// Akonadi::AgentBase::winIdForDialogs
    {1, 535, 48},	// Akonadi::AgentBase::~AgentBase
    {2, 103, 49},	// Akonadi::AgentBase::Observer::Observer
    {2, 104, 56},	// Akonadi::AgentBase::Observer::Observer#
    {2, 240, 53},	// Akonadi::AgentBase::Observer::collectionAdded##
    {2, 242, 54},	// Akonadi::AgentBase::Observer::collectionChanged#
    {2, 247, 55},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {2, 355, 50},	// Akonadi::AgentBase::Observer::itemAdded##
    {2, 357, 51},	// Akonadi::AgentBase::Observer::itemChanged#?
    {2, 364, 52},	// Akonadi::AgentBase::Observer::itemRemoved#
    {2, 552, 57},	// Akonadi::AgentBase::Observer::~Observer
    {3, 105, 64},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {3, 106, 65},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {3, 242, 58},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {3, 243, 63},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {3, 245, 62},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {3, 360, 60},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {3, 362, 59},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {3, 366, 61},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {3, 553, 66},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {5, 6, 82},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {5, 7, 74},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {5, 212, 76},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {5, 214, 75},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {5, 236, 77},	// Akonadi::AgentFilterProxyModel::clearFilters
    {5, 298, 78},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {5, 302, 79},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {5, 378, 67},	// Akonadi::AgentFilterProxyModel::metaObject
    {5, 410, 73},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {5, 412, 68},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {5, 494, 83},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {5, 512, 80},	// Akonadi::AgentFilterProxyModel::tr$
    {5, 513, 69},	// Akonadi::AgentFilterProxyModel::tr$$
    {5, 514, 71},	// Akonadi::AgentFilterProxyModel::tr$$$
    {5, 516, 81},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {5, 517, 70},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {5, 518, 72},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {5, 536, 84},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {6, 8, 85},	// Akonadi::AgentInstance::AgentInstance
    {6, 9, 86},	// Akonadi::AgentInstance::AgentInstance#
    {6, 34, 108},	// Akonadi::AgentInstance::Broken
    {6, 69, 106},	// Akonadi::AgentInstance::Idle
    {6, 122, 107},	// Akonadi::AgentInstance::Running
    {6, 203, 102},	// Akonadi::AgentInstance::abortCurrentTask
    {6, 254, 105},	// Akonadi::AgentInstance::configure
    {6, 255, 97},	// Akonadi::AgentInstance::configure#
    {6, 322, 89},	// Akonadi::AgentInstance::identifier
    {6, 351, 95},	// Akonadi::AgentInstance::isOnline
    {6, 352, 87},	// Akonadi::AgentInstance::isValid
    {6, 389, 90},	// Akonadi::AgentInstance::name
    {6, 395, 100},	// Akonadi::AgentInstance::operator=#
    {6, 397, 101},	// Akonadi::AgentInstance::operator==#
    {6, 407, 94},	// Akonadi::AgentInstance::progress
    {6, 413, 103},	// Akonadi::AgentInstance::reconfigure
    {6, 428, 104},	// Akonadi::AgentInstance::restart
    {6, 456, 96},	// Akonadi::AgentInstance::setIsOnline$
    {6, 461, 91},	// Akonadi::AgentInstance::setName$
    {6, 496, 92},	// Akonadi::AgentInstance::status
    {6, 499, 93},	// Akonadi::AgentInstance::statusMessage
    {6, 504, 98},	// Akonadi::AgentInstance::synchronize
    {6, 508, 99},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {6, 519, 88},	// Akonadi::AgentInstance::type
    {6, 537, 109},	// Akonadi::AgentInstance::~AgentInstance
    {7, 11, 124},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {7, 12, 117},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {7, 13, 125},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {7, 14, 118},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {7, 254, 126},	// Akonadi::AgentInstanceCreateJob::configure
    {7, 255, 119},	// Akonadi::AgentInstanceCreateJob::configure#
    {7, 331, 120},	// Akonadi::AgentInstanceCreateJob::instance
    {7, 378, 110},	// Akonadi::AgentInstanceCreateJob::metaObject
    {7, 410, 116},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {7, 412, 111},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {7, 493, 121},	// Akonadi::AgentInstanceCreateJob::start
    {7, 494, 127},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {7, 512, 122},	// Akonadi::AgentInstanceCreateJob::tr$
    {7, 513, 112},	// Akonadi::AgentInstanceCreateJob::tr$$
    {7, 514, 114},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {7, 516, 123},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {7, 517, 113},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {7, 518, 115},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {7, 538, 128},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {8, 15, 147},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {8, 16, 136},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {8, 47, 158},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {8, 54, 156},	// Akonadi::AgentInstanceModel::DescriptionRole
    {8, 71, 160},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {8, 72, 159},	// Akonadi::AgentInstanceModel::InstanceRole
    {8, 95, 157},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {8, 108, 164},	// Akonadi::AgentInstanceModel::OnlineRole
    {8, 112, 163},	// Akonadi::AgentInstanceModel::ProgressRole
    {8, 123, 162},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {8, 124, 161},	// Akonadi::AgentInstanceModel::StatusRole
    {8, 127, 155},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {8, 128, 154},	// Akonadi::AgentInstanceModel::TypeRole
    {8, 133, 165},	// Akonadi::AgentInstanceModel::UserRole
    {8, 248, 148},	// Akonadi::AgentInstanceModel::columnCount
    {8, 249, 137},	// Akonadi::AgentInstanceModel::columnCount#
    {8, 269, 150},	// Akonadi::AgentInstanceModel::data#
    {8, 270, 139},	// Akonadi::AgentInstanceModel::data#$
    {8, 304, 143},	// Akonadi::AgentInstanceModel::flags#
    {8, 315, 151},	// Akonadi::AgentInstanceModel::headerData$$
    {8, 316, 140},	// Akonadi::AgentInstanceModel::headerData$$$
    {8, 324, 152},	// Akonadi::AgentInstanceModel::index$$
    {8, 325, 141},	// Akonadi::AgentInstanceModel::index$$#
    {8, 378, 129},	// Akonadi::AgentInstanceModel::metaObject
    {8, 402, 142},	// Akonadi::AgentInstanceModel::parent#
    {8, 410, 135},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {8, 412, 130},	// Akonadi::AgentInstanceModel::qt_metacast$
    {8, 432, 149},	// Akonadi::AgentInstanceModel::rowCount
    {8, 433, 138},	// Akonadi::AgentInstanceModel::rowCount#
    {8, 447, 144},	// Akonadi::AgentInstanceModel::setData##$
    {8, 494, 153},	// Akonadi::AgentInstanceModel::staticMetaObject
    {8, 512, 145},	// Akonadi::AgentInstanceModel::tr$
    {8, 513, 131},	// Akonadi::AgentInstanceModel::tr$$
    {8, 514, 133},	// Akonadi::AgentInstanceModel::tr$$$
    {8, 516, 146},	// Akonadi::AgentInstanceModel::trUtf8$
    {8, 517, 132},	// Akonadi::AgentInstanceModel::trUtf8$$
    {8, 518, 134},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {8, 539, 166},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {9, 17, 183},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {9, 18, 174},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {9, 217, 177},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {9, 262, 175},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {9, 265, 179},	// Akonadi::AgentInstanceWidget::currentChanged##
    {9, 284, 180},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {9, 378, 167},	// Akonadi::AgentInstanceWidget::metaObject
    {9, 410, 173},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {9, 412, 168},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {9, 434, 176},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {9, 494, 184},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {9, 512, 181},	// Akonadi::AgentInstanceWidget::tr$
    {9, 513, 169},	// Akonadi::AgentInstanceWidget::tr$$
    {9, 514, 171},	// Akonadi::AgentInstanceWidget::tr$$$
    {9, 516, 182},	// Akonadi::AgentInstanceWidget::trUtf8$
    {9, 517, 170},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {9, 518, 172},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {9, 527, 178},	// Akonadi::AgentInstanceWidget::view
    {9, 540, 185},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {10, 332, 197},	// Akonadi::AgentManager::instance$
    {10, 334, 203},	// Akonadi::AgentManager::instanceAdded#
    {10, 336, 208},	// Akonadi::AgentManager::instanceError#$
    {10, 338, 207},	// Akonadi::AgentManager::instanceNameChanged#
    {10, 340, 210},	// Akonadi::AgentManager::instanceOnline#$
    {10, 342, 206},	// Akonadi::AgentManager::instanceProgressChanged#
    {10, 344, 204},	// Akonadi::AgentManager::instanceRemoved#
    {10, 346, 205},	// Akonadi::AgentManager::instanceStatusChanged#
    {10, 348, 209},	// Akonadi::AgentManager::instanceWarning#$
    {10, 349, 196},	// Akonadi::AgentManager::instances
    {10, 378, 186},	// Akonadi::AgentManager::metaObject
    {10, 410, 192},	// Akonadi::AgentManager::qt_metacall$$?
    {10, 412, 187},	// Akonadi::AgentManager::qt_metacast$
    {10, 424, 198},	// Akonadi::AgentManager::removeInstance#
    {10, 435, 193},	// Akonadi::AgentManager::self
    {10, 494, 213},	// Akonadi::AgentManager::staticMetaObject
    {10, 506, 199},	// Akonadi::AgentManager::synchronizeCollection#
    {10, 507, 200},	// Akonadi::AgentManager::synchronizeCollection#$
    {10, 512, 211},	// Akonadi::AgentManager::tr$
    {10, 513, 188},	// Akonadi::AgentManager::tr$$
    {10, 514, 190},	// Akonadi::AgentManager::tr$$$
    {10, 516, 212},	// Akonadi::AgentManager::trUtf8$
    {10, 517, 189},	// Akonadi::AgentManager::trUtf8$$
    {10, 518, 191},	// Akonadi::AgentManager::trUtf8$$$
    {10, 520, 195},	// Akonadi::AgentManager::type$
    {10, 522, 201},	// Akonadi::AgentManager::typeAdded#
    {10, 524, 202},	// Akonadi::AgentManager::typeRemoved#
    {10, 525, 194},	// Akonadi::AgentManager::types
    {10, 541, 214},	// Akonadi::AgentManager::~AgentManager
    {11, 19, 215},	// Akonadi::AgentType::AgentType
    {11, 20, 216},	// Akonadi::AgentType::AgentType#
    {11, 229, 224},	// Akonadi::AgentType::capabilities
    {11, 271, 220},	// Akonadi::AgentType::description
    {11, 319, 222},	// Akonadi::AgentType::icon
    {11, 320, 221},	// Akonadi::AgentType::iconName
    {11, 322, 218},	// Akonadi::AgentType::identifier
    {11, 352, 217},	// Akonadi::AgentType::isValid
    {11, 382, 223},	// Akonadi::AgentType::mimeTypes
    {11, 389, 219},	// Akonadi::AgentType::name
    {11, 395, 225},	// Akonadi::AgentType::operator=#
    {11, 397, 226},	// Akonadi::AgentType::operator==#
    {11, 542, 227},	// Akonadi::AgentType::~AgentType
    {12, 21, 241},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {12, 22, 235},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {12, 217, 237},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {12, 221, 236},	// Akonadi::AgentTypeDialog::agentType
    {12, 282, 238},	// Akonadi::AgentTypeDialog::done$
    {12, 378, 228},	// Akonadi::AgentTypeDialog::metaObject
    {12, 410, 234},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {12, 412, 229},	// Akonadi::AgentTypeDialog::qt_metacast$
    {12, 494, 242},	// Akonadi::AgentTypeDialog::staticMetaObject
    {12, 512, 239},	// Akonadi::AgentTypeDialog::tr$
    {12, 513, 230},	// Akonadi::AgentTypeDialog::tr$$
    {12, 514, 232},	// Akonadi::AgentTypeDialog::tr$$$
    {12, 516, 240},	// Akonadi::AgentTypeDialog::trUtf8$
    {12, 517, 231},	// Akonadi::AgentTypeDialog::trUtf8$$
    {12, 518, 233},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {12, 543, 243},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {13, 23, 260},	// Akonadi::AgentTypeModel::AgentTypeModel
    {13, 24, 251},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {13, 47, 270},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {13, 54, 268},	// Akonadi::AgentTypeModel::DescriptionRole
    {13, 68, 267},	// Akonadi::AgentTypeModel::IdentifierRole
    {13, 95, 269},	// Akonadi::AgentTypeModel::MimeTypesRole
    {13, 128, 266},	// Akonadi::AgentTypeModel::TypeRole
    {13, 133, 271},	// Akonadi::AgentTypeModel::UserRole
    {13, 248, 261},	// Akonadi::AgentTypeModel::columnCount
    {13, 249, 252},	// Akonadi::AgentTypeModel::columnCount#
    {13, 269, 263},	// Akonadi::AgentTypeModel::data#
    {13, 270, 254},	// Akonadi::AgentTypeModel::data#$
    {13, 304, 257},	// Akonadi::AgentTypeModel::flags#
    {13, 324, 264},	// Akonadi::AgentTypeModel::index$$
    {13, 325, 255},	// Akonadi::AgentTypeModel::index$$#
    {13, 378, 244},	// Akonadi::AgentTypeModel::metaObject
    {13, 402, 256},	// Akonadi::AgentTypeModel::parent#
    {13, 410, 250},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {13, 412, 245},	// Akonadi::AgentTypeModel::qt_metacast$
    {13, 432, 262},	// Akonadi::AgentTypeModel::rowCount
    {13, 433, 253},	// Akonadi::AgentTypeModel::rowCount#
    {13, 494, 265},	// Akonadi::AgentTypeModel::staticMetaObject
    {13, 512, 258},	// Akonadi::AgentTypeModel::tr$
    {13, 513, 246},	// Akonadi::AgentTypeModel::tr$$
    {13, 514, 248},	// Akonadi::AgentTypeModel::tr$$$
    {13, 516, 259},	// Akonadi::AgentTypeModel::trUtf8$
    {13, 517, 247},	// Akonadi::AgentTypeModel::trUtf8$$
    {13, 518, 249},	// Akonadi::AgentTypeModel::trUtf8$$$
    {13, 544, 272},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {14, 25, 287},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {14, 26, 280},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {14, 208, 284},	// Akonadi::AgentTypeWidget::activated
    {14, 217, 282},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {14, 263, 281},	// Akonadi::AgentTypeWidget::currentAgentType
    {14, 265, 283},	// Akonadi::AgentTypeWidget::currentChanged##
    {14, 378, 273},	// Akonadi::AgentTypeWidget::metaObject
    {14, 410, 279},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {14, 412, 274},	// Akonadi::AgentTypeWidget::qt_metacast$
    {14, 494, 288},	// Akonadi::AgentTypeWidget::staticMetaObject
    {14, 512, 285},	// Akonadi::AgentTypeWidget::tr$
    {14, 513, 275},	// Akonadi::AgentTypeWidget::tr$$
    {14, 514, 277},	// Akonadi::AgentTypeWidget::tr$$$
    {14, 516, 286},	// Akonadi::AgentTypeWidget::trUtf8$
    {14, 517, 276},	// Akonadi::AgentTypeWidget::trUtf8$$
    {14, 518, 278},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {14, 545, 289},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {15, 30, 294},	// Akonadi::Attribute::Attribute
    {15, 31, 295},	// Akonadi::Attribute::Attribute#
    {15, 237, 291},	// Akonadi::Attribute::clone
    {15, 273, 293},	// Akonadi::Attribute::deserialize#
    {15, 436, 292},	// Akonadi::Attribute::serialized
    {15, 519, 290},	// Akonadi::Attribute::type
    {15, 546, 296},	// Akonadi::Attribute::~Attribute
    {16, 32, 298},	// Akonadi::AttributeFactory::AttributeFactory
    {16, 33, 299},	// Akonadi::AttributeFactory::AttributeFactory#
    {16, 261, 297},	// Akonadi::AttributeFactory::createAttribute#
    {16, 547, 300},	// Akonadi::AttributeFactory::~AttributeFactory
    {17, 36, 301},	// Akonadi::CachePolicy::CachePolicy
    {17, 37, 302},	// Akonadi::CachePolicy::CachePolicy#
    {17, 227, 307},	// Akonadi::CachePolicy::cacheTimeout
    {17, 326, 303},	// Akonadi::CachePolicy::inheritFromParent
    {17, 350, 309},	// Akonadi::CachePolicy::intervalCheckTime
    {17, 372, 305},	// Akonadi::CachePolicy::localParts
    {17, 395, 313},	// Akonadi::CachePolicy::operator=#
    {17, 397, 314},	// Akonadi::CachePolicy::operator==#
    {17, 442, 308},	// Akonadi::CachePolicy::setCacheTimeout$
    {17, 452, 304},	// Akonadi::CachePolicy::setInheritFromParent$
    {17, 454, 310},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {17, 459, 306},	// Akonadi::CachePolicy::setLocalParts?
    {17, 486, 312},	// Akonadi::CachePolicy::setSyncOnDemand$
    {17, 503, 311},	// Akonadi::CachePolicy::syncOnDemand
    {17, 548, 315},	// Akonadi::CachePolicy::~CachePolicy
    {19, 27, 350},	// Akonadi::Collection::AllRights
    {19, 38, 345},	// Akonadi::Collection::CanChangeCollection
    {19, 39, 342},	// Akonadi::Collection::CanChangeItem
    {19, 40, 346},	// Akonadi::Collection::CanCreateCollection
    {19, 41, 343},	// Akonadi::Collection::CanCreateItem
    {19, 42, 347},	// Akonadi::Collection::CanDeleteCollection
    {19, 43, 344},	// Akonadi::Collection::CanDeleteItem
    {19, 44, 348},	// Akonadi::Collection::CanLinkItem
    {19, 45, 349},	// Akonadi::Collection::CanUnlinkItem
    {19, 49, 316},	// Akonadi::Collection::Collection
    {19, 50, 318},	// Akonadi::Collection::Collection#
    {19, 51, 317},	// Akonadi::Collection::Collection$
    {19, 119, 341},	// Akonadi::Collection::ReadOnly
    {19, 226, 335},	// Akonadi::Collection::cachePolicy
    {19, 258, 324},	// Akonadi::Collection::contentMimeTypes
    {19, 310, 319},	// Akonadi::Collection::fromUrl#
    {19, 353, 340},	// Akonadi::Collection::isVirtual
    {19, 381, 332},	// Akonadi::Collection::mimeType
    {19, 389, 320},	// Akonadi::Collection::name
    {19, 401, 326},	// Akonadi::Collection::parent
    {19, 404, 329},	// Akonadi::Collection::parentRemoteId
    {19, 427, 333},	// Akonadi::Collection::resource
    {19, 430, 322},	// Akonadi::Collection::rights
    {19, 431, 331},	// Akonadi::Collection::root
    {19, 440, 336},	// Akonadi::Collection::setCachePolicy#
    {19, 445, 325},	// Akonadi::Collection::setContentMimeTypes?
    {19, 461, 321},	// Akonadi::Collection::setName$
    {19, 467, 328},	// Akonadi::Collection::setParent#
    {19, 468, 327},	// Akonadi::Collection::setParent$
    {19, 472, 330},	// Akonadi::Collection::setParentRemoteId$
    {19, 479, 334},	// Akonadi::Collection::setResource$
    {19, 481, 323},	// Akonadi::Collection::setRights$
    {19, 484, 338},	// Akonadi::Collection::setStatistics#
    {19, 495, 337},	// Akonadi::Collection::statistics
    {19, 526, 339},	// Akonadi::Collection::url
    {19, 549, 351},	// Akonadi::Collection::~Collection
    {21, 2, 375},	// Akonadi::Entity::AddIfMissing
    {21, 61, -13},	// Akonadi::Entity::Entity#
    {21, 210, 365},	// Akonadi::Entity::addAttribute#
    {21, 223, 370},	// Akonadi::Entity::attribute#
    {21, 224, 368},	// Akonadi::Entity::attributes
    {21, 235, 369},	// Akonadi::Entity::clearAttributes
    {21, 267, -16},	// Akonadi::Entity::d_func
    {21, 312, 367},	// Akonadi::Entity::hasAttribute#
    {21, 321, 353},	// Akonadi::Entity::id
    {21, 352, 358},	// Akonadi::Entity::isValid
    {21, 393, 360},	// Akonadi::Entity::operator!=#
    {21, 395, 361},	// Akonadi::Entity::operator=#
    {21, 397, 359},	// Akonadi::Entity::operator==#
    {21, 403, -19},	// Akonadi::Entity::parentCollection
    {21, 418, 355},	// Akonadi::Entity::remoteId
    {21, 419, 357},	// Akonadi::Entity::remoteRevision
    {21, 421, 366},	// Akonadi::Entity::removeAttribute#
    {21, 450, 352},	// Akonadi::Entity::setId$
    {21, 470, 364},	// Akonadi::Entity::setParentCollection#
    {21, 475, 354},	// Akonadi::Entity::setRemoteId$
    {21, 477, 356},	// Akonadi::Entity::setRemoteRevision$
    {21, 550, 376},	// Akonadi::Entity::~Entity
    {23, 63, -7},	// Akonadi::Exception::Exception#
    {23, 64, -10},	// Akonadi::Exception::Exception$
    {23, 519, 382},	// Akonadi::Exception::type
    {23, 530, 381},	// Akonadi::Exception::what
    {23, 551, 383},	// Akonadi::Exception::~Exception
    {25, 110, -1},	// Akonadi::PayloadException::PayloadException#
    {25, 111, -4},	// Akonadi::PayloadException::PayloadException$
    {25, 519, 387},	// Akonadi::PayloadException::type
    {25, 554, 389},	// Akonadi::PayloadException::~PayloadException
    {51, 76, 509},	// QGlobalSpace::LicensedActiveQt
    {51, 77, 515},	// QGlobalSpace::LicensedCore
    {51, 78, 507},	// QGlobalSpace::LicensedDBus
    {51, 79, 512},	// QGlobalSpace::LicensedDeclarative
    {51, 80, 502},	// QGlobalSpace::LicensedGui
    {51, 81, 521},	// QGlobalSpace::LicensedHelp
    {51, 82, 522},	// QGlobalSpace::LicensedMultimedia
    {51, 83, 525},	// QGlobalSpace::LicensedNetwork
    {51, 84, 514},	// QGlobalSpace::LicensedOpenGL
    {51, 85, 506},	// QGlobalSpace::LicensedOpenVG
    {51, 86, 523},	// QGlobalSpace::LicensedQt3Support
    {51, 87, 504},	// QGlobalSpace::LicensedQt3SupportLight
    {51, 88, 505},	// QGlobalSpace::LicensedScript
    {51, 89, 510},	// QGlobalSpace::LicensedScriptTools
    {51, 90, 513},	// QGlobalSpace::LicensedSql
    {51, 91, 511},	// QGlobalSpace::LicensedSvg
    {51, 92, 508},	// QGlobalSpace::LicensedTest
    {51, 93, 503},	// QGlobalSpace::LicensedXml
    {51, 94, 524},	// QGlobalSpace::LicensedXmlPatterns
    {51, 113, 518},	// QGlobalSpace::QtCriticalMsg
    {51, 114, 516},	// QGlobalSpace::QtDebugMsg
    {51, 115, 519},	// QGlobalSpace::QtFatalMsg
    {51, 116, 520},	// QGlobalSpace::QtSystemMsg
    {51, 117, 517},	// QGlobalSpace::QtWarningMsg
    {51, 135, 440},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {51, 136, 441},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {51, 137, 448},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {51, 138, 449},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {51, 139, 450},	// QGlobalSpace::_CS_LFS64_LIBS
    {51, 140, 451},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {51, 141, 444},	// QGlobalSpace::_CS_LFS_CFLAGS
    {51, 142, 445},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {51, 143, 446},	// QGlobalSpace::_CS_LFS_LIBS
    {51, 144, 447},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {51, 145, 438},	// QGlobalSpace::_CS_PATH
    {51, 146, 468},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {51, 147, 469},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {51, 148, 470},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {51, 149, 471},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {51, 150, 472},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {51, 151, 473},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {51, 152, 474},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {51, 153, 475},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {51, 154, 476},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {51, 155, 477},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {51, 156, 478},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {51, 157, 479},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {51, 158, 480},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {51, 159, 481},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {51, 160, 482},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {51, 161, 483},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {51, 162, 484},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {51, 163, 485},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {51, 164, 486},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {51, 165, 487},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {51, 166, 488},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {51, 167, 489},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {51, 168, 490},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {51, 169, 491},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {51, 170, 492},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {51, 171, 493},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {51, 172, 494},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {51, 173, 495},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {51, 174, 496},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {51, 175, 497},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {51, 176, 498},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {51, 177, 499},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {51, 178, 442},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {51, 179, 500},	// QGlobalSpace::_CS_V6_ENV
    {51, 180, 439},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {51, 181, 501},	// QGlobalSpace::_CS_V7_ENV
    {51, 182, 443},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {51, 183, 452},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {51, 184, 453},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {51, 185, 454},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {51, 186, 455},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {51, 187, 456},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {51, 188, 457},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {51, 189, 458},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {51, 190, 459},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {51, 191, 460},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {51, 192, 461},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {51, 193, 462},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {51, 194, 463},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {51, 195, 464},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {51, 196, 465},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {51, 197, 466},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {51, 198, 467},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {51, 199, 528},	// QGlobalSpace::__codecvt_error
    {51, 200, 529},	// QGlobalSpace::__codecvt_noconv
    {51, 201, 526},	// QGlobalSpace::__codecvt_ok
    {51, 202, 527},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 79,
        __smokeakonadi::methods, 611,
        __smokeakonadi::methodMaps, 475,
        __smokeakonadi::methodNames, 554,
        __smokeakonadi::types, 246,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
