#include <soprano_includes.h>

#include <smoke.h>
#include <soprano_smoke.h>

namespace __smokesoprano {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)(QObject*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
        case 26: return (void*)(Soprano::Model*)(QObject*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
        case 31: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTextStream
      switch(to) {
        case 8: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 9:   //QTimerEvent
      switch(to) {
        case 9: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QUrl
      switch(to) {
        case 10: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 11:   //QVariant
      switch(to) {
        case 11: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::Backend
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 13: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::BackendSetting
      switch(to) {
        case 14: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BindingSet
      switch(to) {
        case 15: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Error::Error
      switch(to) {
        case 16: return (void*)(Soprano::Error::Error*)xptr;
        case 20: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Error::ErrorCache
      switch(to) {
        case 17: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Error::ErrorCache*)xptr;
        case 35: return (void*)(Soprano::Serializer*)(Soprano::Error::ErrorCache*)xptr;
        case 13: return (void*)(Soprano::Backend*)(Soprano::Error::ErrorCache*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Error::ErrorCache*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Error::ErrorCache*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Error::ErrorCache*)xptr;
        case 29: return (void*)(Soprano::Parser*)(Soprano::Error::ErrorCache*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Error::ErrorCache*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Error::ErrorCache*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Error::ErrorCache*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Error::ErrorCache*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Error::ErrorData
      switch(to) {
        case 18: return (void*)(Soprano::Error::ErrorData*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Error::Locator
      switch(to) {
        case 19: return (void*)(Soprano::Error::Locator*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Error::ParserError
      switch(to) {
        case 16: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
        case 20: return (void*)(Soprano::Error::ParserError*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::FilterModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Inference::InferenceModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Inference::InferenceModel*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Inference::Rule
      switch(to) {
        case 23: return (void*)(Soprano::Inference::Rule*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::LanguageTag
      switch(to) {
        case 24: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::LiteralValue
      switch(to) {
        case 25: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::Model
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 26: return (void*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::Node
      switch(to) {
        case 27: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::NodeIterator
      switch(to) {
        case 28: return (void*)(Soprano::NodeIterator*)xptr;
        case 44: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Parser
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Parser*)xptr;
        case 29: return (void*)(Soprano::Parser*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::Plugin
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)xptr;
        case 35: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
        case 13: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
        case 29: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::PluginManager
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
        case 31: return (void*)(Soprano::PluginManager*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::QueryResultIterator
      switch(to) {
        case 32: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::QueryResultIteratorBackend
      switch(to) {
        case 33: return (void*)(Soprano::QueryResultIteratorBackend*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::RdfSchemaModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::RdfSchemaModel*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::Serializer
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Serializer*)xptr;
        case 35: return (void*)(Soprano::Serializer*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::Statement
      switch(to) {
        case 36: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::StatementIterator
      switch(to) {
        case 37: return (void*)(Soprano::StatementIterator*)xptr;
        case 45: return (void*)(Soprano::Util::SimpleStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::StorageModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::Util::AsyncModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncModel*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::Util::AsyncQuery
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncQuery*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncQuery*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Util::AsyncResult
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Util::ReadOnlyModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)xptr;
        default: return xptr;
      }
    case 43:   //Soprano::Util::SignalCacheModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::SignalCacheModel*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)xptr;
        default: return xptr;
      }
    case 44:   //Soprano::Util::SimpleNodeIterator
      switch(to) {
        case 28: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
        case 44: return (void*)(Soprano::Util::SimpleNodeIterator*)xptr;
        default: return xptr;
      }
    case 45:   //Soprano::Util::SimpleStatementIterator
      switch(to) {
        case 37: return (void*)(Soprano::StatementIterator*)(Soprano::Util::SimpleStatementIterator*)xptr;
        case 45: return (void*)(Soprano::Util::SimpleStatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    30, 17, 0,	// 1: Soprano::Plugin, Soprano::Error::ErrorCache
    16, 0,	// 4: Soprano::Error::Error
    26, 0,	// 6: Soprano::Model
    21, 0,	// 8: Soprano::FilterModel
    6, 17, 0,	// 10: QObject, Soprano::Error::ErrorCache
    0, 0,	// 13: Soprano::Iterator
    6, 0,	// 15: QObject
    28, 0,	// 17: Soprano::NodeIterator
    37, 0,	// 19: Soprano::StatementIterator
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ErrorCache(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//8
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QUrl", true, 0, 0, 0, 0, 0 },	//10
    { "QVariant", true, 0, 0, 0, 0, 0 },	//11
    { "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_namespace, 0 },	//12
    { "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Backend) },	//13
    { "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::BackendSetting) },	//14
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//15
    { "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::Error) },	//16
    { "Soprano::Error::ErrorCache", false, 0, xcall_Soprano__Error__ErrorCache, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ErrorCache) },	//17
    { "Soprano::Error::ErrorData", true, 0, 0, 0, 0, 0 },	//18
    { "Soprano::Error::Locator", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Error::ParserError", false, 4, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ParserError) },	//20
    { "Soprano::FilterModel", false, 6, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::FilterModel) },	//21
    { "Soprano::Inference::InferenceModel", false, 8, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Inference::InferenceModel) },	//22
    { "Soprano::Inference::Rule", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//24
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::Model", false, 10, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Model) },	//26
    { "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::Node) },	//27
    { "Soprano::NodeIterator", false, 13, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::NodeIterator) },	//28
    { "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Parser) },	//29
    { "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Plugin) },	//30
    { "Soprano::PluginManager", false, 15, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual, sizeof(Soprano::PluginManager) },	//31
    { "Soprano::QueryResultIterator", false, 13, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::QueryResultIterator) },	//32
    { "Soprano::QueryResultIteratorBackend", true, 0, 0, 0, 0, 0 },	//33
    { "Soprano::RdfSchemaModel", false, 8, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::RdfSchemaModel) },	//34
    { "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Serializer) },	//35
    { "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Statement) },	//36
    { "Soprano::StatementIterator", false, 13, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::StatementIterator) },	//37
    { "Soprano::StorageModel", false, 6, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::StorageModel) },	//38
    { "Soprano::Util::AsyncModel", false, 8, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::AsyncModel) },	//39
    { "Soprano::Util::AsyncQuery", false, 10, xcall_Soprano__Util__AsyncQuery, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncQuery) },	//40
    { "Soprano::Util::AsyncResult", false, 10, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncResult) },	//41
    { "Soprano::Util::ReadOnlyModel", false, 6, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::ReadOnlyModel) },	//42
    { "Soprano::Util::SignalCacheModel", false, 8, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::SignalCacheModel) },	//43
    { "Soprano::Util::SimpleNodeIterator", false, 17, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleNodeIterator) },	//44
    { "Soprano::Util::SimpleStatementIterator", false, 19, xcall_Soprano__Util__SimpleStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleStatementIterator) },	//45
    { "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_namespace, 0 },	//46
    { "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_namespace, 0 },	//47
    { "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_namespace, 0 },	//48
    { "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_namespace, 0 },	//49
    { "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_namespace, 0 },	//50
    { "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_namespace, 0 },	//51
    { "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_namespace, 0 },	//52
    { "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_namespace, 0 },	//53
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//4
    { "QFlags<Soprano::Node::N3ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Soprano::RdfSerialization>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QHash<QString,QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//8
    { "QList<Soprano::BindingSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<const Soprano::Backend*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QList<const Soprano::Parser*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//20
    { "QTextStream&", 8, Smoke::t_class|Smoke::tf_ref },	//21
    { "QTimerEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QUrl", 10, Smoke::t_class|Smoke::tf_stack },	//23
    { "QVariant", 11, Smoke::t_class|Smoke::tf_stack },	//24
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForActiveQtModule", 4, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForCoreModule", 4, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForDBusModule", 4, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForDeclarativeModule", 4, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForGuiModule", 4, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForHelpModule", 4, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForMultimediaModule", 4, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForNetworkModule", 4, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForOpenGLModule", 4, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForOpenVGModule", 4, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForQt3SupportLightModule", 4, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForQt3SupportModule", 4, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForScriptModule", 4, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForScriptToolsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForSqlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QtValidLicenseForSvgModule", 4, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QtValidLicenseForTestModule", 4, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QtValidLicenseForXmlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QtValidLicenseForXmlPatternsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Soprano::BackendFeature", 12, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Soprano::BackendOption", 12, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Soprano::BackendSetting", 14, Smoke::t_class|Smoke::tf_stack },	//119
    { "Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref },	//120
    { "Soprano::BackendSetting*", 14, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Soprano::BindingSet", 15, Smoke::t_class|Smoke::tf_stack },	//122
    { "Soprano::Error::Error", 16, Smoke::t_class|Smoke::tf_stack },	//123
    { "Soprano::Error::Error&", 16, Smoke::t_class|Smoke::tf_ref },	//124
    { "Soprano::Error::Error*", 16, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Soprano::Error::ErrorCache*", 17, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Soprano::Error::ErrorData*", 18, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Soprano::Error::Locator", 19, Smoke::t_class|Smoke::tf_stack },	//129
    { "Soprano::Error::ParserError", 20, Smoke::t_class|Smoke::tf_stack },	//130
    { "Soprano::Error::ParserError&", 20, Smoke::t_class|Smoke::tf_ref },	//131
    { "Soprano::Error::ParserError*", 20, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Soprano::FilterModel*", 21, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Soprano::Inference::InferenceModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Soprano::IteratorBackend<Soprano::Node>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//136
    { "Soprano::IteratorBackend<Soprano::Statement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//137
    { "Soprano::LiteralValue", 25, Smoke::t_class|Smoke::tf_stack },	//138
    { "Soprano::Model*", 26, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Soprano::Node", 27, Smoke::t_class|Smoke::tf_stack },	//140
    { "Soprano::Node&", 27, Smoke::t_class|Smoke::tf_ref },	//141
    { "Soprano::Node*", 27, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Soprano::Node::N3ParserFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Soprano::Node::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Soprano::NodeIterator", 28, Smoke::t_class|Smoke::tf_stack },	//145
    { "Soprano::NodeIterator&", 28, Smoke::t_class|Smoke::tf_ref },	//146
    { "Soprano::NodeIterator*", 28, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Soprano::Parser*", 29, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Soprano::Plugin*", 30, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Soprano::PluginManager*", 31, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Soprano::QueryResultIterator", 32, Smoke::t_class|Smoke::tf_stack },	//152
    { "Soprano::QueryResultIterator&", 32, Smoke::t_class|Smoke::tf_ref },	//153
    { "Soprano::QueryResultIterator*", 32, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Soprano::QueryResultIteratorBackend*", 33, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Soprano::RdfSchemaModel*", 34, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Soprano::RdfSerialization", 12, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Soprano::Serializer*", 35, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Soprano::Statement", 36, Smoke::t_class|Smoke::tf_stack },	//159
    { "Soprano::Statement&", 36, Smoke::t_class|Smoke::tf_ref },	//160
    { "Soprano::Statement*", 36, Smoke::t_class|Smoke::tf_ptr },	//161
    { "Soprano::StatementIterator", 37, Smoke::t_class|Smoke::tf_stack },	//162
    { "Soprano::StatementIterator&", 37, Smoke::t_class|Smoke::tf_ref },	//163
    { "Soprano::StatementIterator*", 37, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Soprano::StorageModel*", 38, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Soprano::Util::AsyncModel*", 39, Smoke::t_class|Smoke::tf_ptr },	//166
    { "Soprano::Util::AsyncModel::AsyncModelMode", 39, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Soprano::Util::AsyncQuery*", 40, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Soprano::Util::AsyncResult*", 41, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Soprano::Util::ReadOnlyModel*", 42, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Soprano::Util::SignalCacheModel*", 43, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Soprano::Util::SimpleNodeIterator&", 44, Smoke::t_class|Smoke::tf_ref },	//172
    { "Soprano::Util::SimpleNodeIterator*", 44, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Soprano::Util::SimpleStatementIterator&", 45, Smoke::t_class|Smoke::tf_ref },	//174
    { "Soprano::Util::SimpleStatementIterator*", 45, Smoke::t_class|Smoke::tf_ptr },	//175
    { "__codecvt_result", 4, Smoke::t_enum|Smoke::tf_stack },	//176
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//177
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const QList<Soprano::Statement>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//183
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//185
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//188
    { "const QUrl&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QVariant&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Soprano::Backend&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//192
    { "const Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Soprano::Error::Error&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Soprano::Error::ErrorCache&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Soprano::Error::Locator&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Soprano::Error::ParserError&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Soprano::Inference::Rule&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Soprano::LanguageTag&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Soprano::LiteralValue&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Soprano::Node&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Soprano::NodeIterator&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Soprano::Parser&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Soprano::Parser*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//204
    { "const Soprano::Plugin&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Soprano::QueryResultIterator&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Soprano::Serializer&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Soprano::Serializer*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//208
    { "const Soprano::Statement&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Soprano::StatementIterator&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const Soprano::Util::SimpleNodeIterator&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Soprano::Util::SimpleStatementIterator&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//214
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//215
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//216
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//217
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//218
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    16, 3, 0,	//3  QObject*, QEvent*
    22, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    213, 0,	//10  const char*
    8, 118, 186, 0,	//12  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    8, 118, 0,	//16  QList<Soprano::BackendSetting>&, Soprano::BackendOption
    201, 0,	//19  const Soprano::Node&
    4, 187, 0,	//21  QFlags<Soprano::BackendFeature>, const QStringList&
    4, 0,	//24  QFlags<Soprano::BackendFeature>
    209, 0,	//26  const Soprano::Statement&
    186, 0,	//28  const QString&
    157, 186, 0,	//30  Soprano::RdfSerialization, const QString&
    157, 0,	//33  Soprano::RdfSerialization
    178, 118, 190, 0,	//35  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&
    192, 0,	//39  const Soprano::Backend*
    199, 0,	//41  const Soprano::LanguageTag&
    178, 0,	//43  const QList<Soprano::BackendSetting>&
    178, 186, 190, 0,	//45  const QList<Soprano::BackendSetting>&, const QString&, const QVariant&
    178, 186, 0,	//49  const QList<Soprano::BackendSetting>&, const QString&
    178, 118, 186, 0,	//52  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    178, 118, 0,	//56  const QList<Soprano::BackendSetting>&, Soprano::BackendOption
    200, 0,	//59  const Soprano::LiteralValue&
    8, 186, 0,	//61  QList<Soprano::BackendSetting>&, const QString&
    191, 0,	//64  const Soprano::Backend&
    118, 0,	//66  Soprano::BackendOption
    118, 190, 0,	//68  Soprano::BackendOption, const QVariant&
    186, 190, 0,	//71  const QString&, const QVariant&
    193, 0,	//74  const Soprano::BackendSetting&
    190, 0,	//76  const QVariant&
    186, 214, 0,	//78  const QString&, int
    194, 0,	//81  const Soprano::Error::Error&
    128, 0,	//83  Soprano::Error::ErrorData*
    195, 0,	//85  const Soprano::Error::ErrorCache&
    196, 186, 214, 0,	//87  const Soprano::Error::Locator&, const QString&, int
    197, 0,	//91  const Soprano::Error::ParserError&
    196, 0,	//93  const Soprano::Error::Locator&
    196, 186, 0,	//95  const Soprano::Error::Locator&, const QString&
    213, 213, 0,	//98  const char*, const char*
    213, 213, 214, 0,	//101  const char*, const char*, int
    15, 214, 218, 0,	//105  QMetaObject::Call, int, void**
    139, 0,	//109  Soprano::Model*
    201, 201, 201, 201, 0,	//111  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    186, 151, 186, 0,	//116  const QString&, Soprano::Query::QueryLanguage, const QString&
    21, 0,	//120  QTextStream&
    201, 201, 201, 0,	//122  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    186, 151, 0,	//126  const QString&, Soprano::Query::QueryLanguage
    198, 0,	//129  const Soprano::Inference::Rule&
    179, 0,	//131  const QList<Soprano::Inference::Rule>&
    177, 0,	//133  bool
    181, 0,	//135  const QList<Soprano::Statement>&
    189, 0,	//137  const QUrl&
    200, 186, 0,	//139  const Soprano::LiteralValue&, const QString&
    186, 5, 0,	//142  const QString&, QFlags<Soprano::Node::N3ParserFlag>
    21, 5, 0,	//145  QTextStream&, QFlags<Soprano::Node::N3ParserFlag>
    136, 0,	//148  Soprano::IteratorBackend<Soprano::Node>*
    202, 0,	//150  const Soprano::NodeIterator&
    186, 189, 157, 186, 0,	//152  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&
    21, 189, 157, 186, 0,	//157  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&
    203, 0,	//162  const Soprano::Parser&
    186, 189, 157, 0,	//164  const QString&, const QUrl&, Soprano::RdfSerialization
    21, 189, 157, 0,	//168  QTextStream&, const QUrl&, Soprano::RdfSerialization
    205, 0,	//172  const Soprano::Plugin&
    187, 177, 0,	//174  const QStringList&, bool
    187, 0,	//177  const QStringList&
    206, 0,	//179  const Soprano::QueryResultIterator&
    155, 0,	//181  Soprano::QueryResultIteratorBackend*
    214, 0,	//183  int
    185, 0,	//185  const QString
    186, 186, 186, 186, 209, 0,	//187  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&
    186, 186, 186, 0,	//193  const QString&, const QString&, const QString&
    186, 186, 186, 186, 0,	//197  const QString&, const QString&, const QString&, const QString&
    201, 201, 0,	//202  const Soprano::Node&, const Soprano::Node&
    162, 21, 157, 186, 0,	//205  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&
    186, 189, 0,	//210  const QString&, const QUrl&
    207, 0,	//213  const Soprano::Serializer&
    162, 21, 157, 0,	//215  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization
    137, 0,	//219  Soprano::IteratorBackend<Soprano::Statement>*
    210, 0,	//221  const Soprano::StatementIterator&
    167, 0,	//223  Soprano::Util::AsyncModel::AsyncModelMode
    168, 0,	//225  Soprano::Util::AsyncQuery*
    139, 186, 151, 186, 0,	//227  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&
    139, 186, 151, 0,	//232  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage
    169, 0,	//236  Soprano::Util::AsyncResult*
    190, 194, 0,	//238  const QVariant&, const Soprano::Error::Error&
    180, 0,	//241  const QList<Soprano::Node>&
    211, 0,	//243  const Soprano::Util::SimpleNodeIterator&
    212, 0,	//245  const Soprano::Util::SimpleStatementIterator&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AllDifferent",	//1
    "Alt",	//2
    "Annotation",	//3
    "AnnotationProperty",	//4
    "Archive",	//5
    "ArchivedFile",	//6
    "AsymmetricProperty",	//7
    "AsyncModel",	//8
    "AsyncModel#",	//9
    "Audio",	//10
    "AudioList",	//11
    "Backend",	//12
    "Backend#",	//13
    "Backend$",	//14
    "BackendFeatureAddStatement",	//15
    "BackendFeatureAll",	//16
    "BackendFeatureContext",	//17
    "BackendFeatureInference",	//18
    "BackendFeatureInferenceOptional",	//19
    "BackendFeatureListStatements",	//20
    "BackendFeatureNone",	//21
    "BackendFeatureQuery",	//22
    "BackendFeatureRemoveStatements",	//23
    "BackendFeatureStorageMemory",	//24
    "BackendFeatureUser",	//25
    "BackendOptionEnableInference",	//26
    "BackendOptionHost",	//27
    "BackendOptionNone",	//28
    "BackendOptionPassword",	//29
    "BackendOptionPort",	//30
    "BackendOptionStorageDir",	//31
    "BackendOptionStorageMemory",	//32
    "BackendOptionUser",	//33
    "BackendOptionUsername",	//34
    "BackendSetting",	//35
    "BackendSetting#",	//36
    "BackendSetting$",	//37
    "BackendSetting$#",	//38
    "Bag",	//39
    "BlankNode",	//40
    "BlockDevice",	//41
    "Bookmark",	//42
    "Class",	//43
    "CommunicationChannel",	//44
    "Configuration",	//45
    "Contact",	//46
    "ContactGroup",	//47
    "Container",	//48
    "ContainerMembershipProperty",	//49
    "Content",	//50
    "Data",	//51
    "DataObject",	//52
    "DataRange",	//53
    "Datatype",	//54
    "DatatypeProperty",	//55
    "DefaultGraph",	//56
    "DeletedFile",	//57
    "DeprecatedClass",	//58
    "DeprecatedProperty",	//59
    "DiscardableInstanceBase",	//60
    "Document",	//61
    "DocumentGraph",	//62
    "Documentation",	//63
    "Email",	//64
    "EmailAttachment",	//65
    "EmbeddedObject",	//66
    "EmptyNode",	//67
    "Error",	//68
    "Error#",	//69
    "Error$",	//70
    "Error$$",	//71
    "ErrorCache",	//72
    "ErrorCache#",	//73
    "ExternalViewSpecification",	//74
    "File",	//75
    "FileSystem",	//76
    "Filelike",	//77
    "FilterModel",	//78
    "FilterModel#",	//79
    "Folder",	//80
    "FreeDesktopIcon",	//81
    "FunctionalProperty",	//82
    "Graph",	//83
    "GraphMetadata",	//84
    "GraphView",	//85
    "IMAP4Message",	//86
    "IMMessage",	//87
    "IgnorePrefixes",	//88
    "Image",	//89
    "InferenceGraph",	//90
    "InferenceMetaData",	//91
    "InferenceModel",	//92
    "InferenceModel#",	//93
    "InstanceBase",	//94
    "InverseFunctionalProperty",	//95
    "KnowledgeBase",	//96
    "LicensedActiveQt",	//97
    "LicensedCore",	//98
    "LicensedDBus",	//99
    "LicensedDeclarative",	//100
    "LicensedGui",	//101
    "LicensedHelp",	//102
    "LicensedMultimedia",	//103
    "LicensedNetwork",	//104
    "LicensedOpenGL",	//105
    "LicensedOpenVG",	//106
    "LicensedQt3Support",	//107
    "LicensedQt3SupportLight",	//108
    "LicensedScript",	//109
    "LicensedScriptTools",	//110
    "LicensedSql",	//111
    "LicensedSvg",	//112
    "LicensedTest",	//113
    "LicensedXml",	//114
    "LicensedXmlPatterns",	//115
    "List",	//116
    "Literal",	//117
    "LiteralNode",	//118
    "MailingList",	//119
    "MailingListEmail",	//120
    "Media",	//121
    "MediaList",	//122
    "Message",	//123
    "MessageboxMessage",	//124
    "Model",	//125
    "MultiThreaded",	//126
    "Music",	//127
    "NewsGroup",	//128
    "NewsGroupEmail",	//129
    "NoFlags",	//130
    "Node",	//131
    "Node#",	//132
    "Node#$",	//133
    "Node$",	//134
    "NodeIterator",	//135
    "NodeIterator#",	//136
    "NodeIterator?",	//137
    "Nothing",	//138
    "ObjectProperty",	//139
    "OfflineMedia",	//140
    "Ontology",	//141
    "OntologyProperty",	//142
    "Organization",	//143
    "POP3Message",	//144
    "Parser",	//145
    "Parser#",	//146
    "Parser$",	//147
    "ParserError",	//148
    "ParserError#",	//149
    "ParserError#$",	//150
    "ParserError#$$",	//151
    "Party",	//152
    "Person",	//153
    "PersonalEmail",	//154
    "Photo",	//155
    "Plugin",	//156
    "Plugin#",	//157
    "Plugin$",	//158
    "Presentation",	//159
    "Project",	//160
    "Property",	//161
    "Q_COMPLEX_TYPE",	//162
    "Q_DUMMY_TYPE",	//163
    "Q_MOVABLE_TYPE",	//164
    "Q_PRIMITIVE_TYPE",	//165
    "Q_STATIC_TYPE",	//166
    "QtCriticalMsg",	//167
    "QtDebugMsg",	//168
    "QtFatalMsg",	//169
    "QtSystemMsg",	//170
    "QtWarningMsg",	//171
    "QueryResultIterator",	//172
    "QueryResultIterator#",	//173
    "RSSFeed",	//174
    "RSSMessage",	//175
    "RdfSchemaModel",	//176
    "RdfSchemaModel#",	//177
    "ReadOnlyModel",	//178
    "ReadOnlyModel#",	//179
    "ReflexiveProperty",	//180
    "RemoteFile",	//181
    "RemoteMessageboxMessage",	//182
    "RemoteResource",	//183
    "Resource",	//184
    "ResourceNode",	//185
    "Restriction",	//186
    "RevisionControlledFile",	//187
    "RevisionControlledRepository",	//188
    "RuleViewSpecification",	//189
    "Schema",	//190
    "Semantics",	//191
    "Seq",	//192
    "SerializationN3",	//193
    "SerializationNQuads",	//194
    "SerializationNTriples",	//195
    "SerializationRdfXml",	//196
    "SerializationTrig",	//197
    "SerializationTurtle",	//198
    "SerializationUnknown",	//199
    "SerializationUser",	//200
    "Serializer",	//201
    "Serializer#",	//202
    "Serializer$",	//203
    "SignalCacheModel",	//204
    "SignalCacheModel#",	//205
    "SimpleNodeIterator",	//206
    "SimpleNodeIterator#",	//207
    "SimpleNodeIterator?",	//208
    "SimpleStatementIterator",	//209
    "SimpleStatementIterator#",	//210
    "SimpleStatementIterator?",	//211
    "SingleThreaded",	//212
    "SoftwarePackage",	//213
    "Source",	//214
    "SourceCode",	//215
    "Spreadsheet",	//216
    "Statement",	//217
    "Statement#",	//218
    "Statement###",	//219
    "Statement####",	//220
    "StatementIterator",	//221
    "StatementIterator#",	//222
    "StatementIterator?",	//223
    "StorageModel",	//224
    "StorageModel#",	//225
    "StrictLiteralTypes",	//226
    "StrictUris",	//227
    "Symbol",	//228
    "SymmetricProperty",	//229
    "SystemResource",	//230
    "Tag",	//231
    "Text",	//232
    "TextDocument",	//233
    "Thing",	//234
    "TransitiveProperty",	//235
    "UncategorizedText",	//236
    "Video",	//237
    "ViewSpecification",	//238
    "Visual",	//239
    "XML",	//240
    "XMLLiteral",	//241
    "__codecvt_error",	//242
    "__codecvt_noconv",	//243
    "__codecvt_ok",	//244
    "__codecvt_partial",	//245
    "acl",	//246
    "addPrefix",	//247
    "addPrefix$#",	//248
    "addRule",	//249
    "addRule#",	//250
    "addStatement",	//251
    "addStatement#",	//252
    "addStatement###",	//253
    "addStatement####",	//254
    "addStatementAsync",	//255
    "addStatementAsync#",	//256
    "addStatementAsync###",	//257
    "addStatementAsync####",	//258
    "addStatements",	//259
    "addStatements?",	//260
    "addStatementsAsync",	//261
    "addStatementsAsync?",	//262
    "album",	//263
    "albumArtist",	//264
    "albumGain",	//265
    "albumPeakGain",	//266
    "albumTrackCount",	//267
    "allBackends",	//268
    "allBindings",	//269
    "allNodes",	//270
    "allParsers",	//271
    "allSerializers",	//272
    "allStatements",	//273
    "allValuesFrom",	//274
    "altLabel",	//275
    "altSymbol",	//276
    "annotation",	//277
    "aperture",	//278
    "artist",	//279
    "asText",	//280
    "aspectRatio",	//281
    "attachmentEncoding",	//282
    "audioBPM",	//283
    "audioBitrate",	//284
    "audioChannels",	//285
    "audioCodec",	//286
    "audioCodecType",	//287
    "audioSampleBitDepth",	//288
    "audioSampleCount",	//289
    "audioSampleDataType",	//290
    "audioSampleRate",	//291
    "author",	//292
    "autoRating",	//293
    "backend",	//294
    "backwardCompatibleWith",	//295
    "base64Binary",	//296
    "baseRevisionID",	//297
    "bcc",	//298
    "binding",	//299
    "binding$",	//300
    "bindingCount",	//301
    "bindingNames",	//302
    "birthDate",	//303
    "blankToN3",	//304
    "blankToN3$",	//305
    "blogContactURL",	//306
    "boolValue",	//307
    "boolean",	//308
    "cacheTime",	//309
    "cameraManufacturer",	//310
    "cameraModel",	//311
    "cardinality",	//312
    "cc",	//313
    "ccdWidth",	//314
    "cellPhoneNumber",	//315
    "changeCommitTime",	//316
    "changeCommitter",	//317
    "characterCount",	//318
    "charset",	//319
    "chatRoom",	//320
    "childEvent",	//321
    "classes",	//322
    "clearError",	//323
    "clearInference",	//324
    "clearPrefixes",	//325
    "close",	//326
    "code",	//327
    "colorCount",	//328
    "colorSpace",	//329
    "columnCount",	//330
    "comment",	//331
    "commentCharacterCount",	//332
    "commitDiff",	//333
    "communicationChannel",	//334
    "complementOf",	//335
    "composer",	//336
    "compressionAlgorithm",	//337
    "compressionLevel",	//338
    "conflicts",	//339
    "connectNotify",	//340
    "contactMedium",	//341
    "contactNick",	//342
    "contactURL",	//343
    "contains",	//344
    "containsAnyStatement",	//345
    "containsAnyStatement#",	//346
    "containsAnyStatement###",	//347
    "containsAnyStatement####",	//348
    "containsAnyStatementAsync",	//349
    "containsAnyStatementAsync#",	//350
    "containsAnyStatementAsync###",	//351
    "containsAnyStatementAsync####",	//352
    "containsContext",	//353
    "containsContext#",	//354
    "containsStatement",	//355
    "containsStatement#",	//356
    "containsStatement###",	//357
    "containsStatement####",	//358
    "containsStatementAsync",	//359
    "containsStatementAsync#",	//360
    "containsStatementAsync###",	//361
    "containsStatementAsync####",	//362
    "contentComment",	//363
    "contentCreated",	//364
    "contentKeyword",	//365
    "contentModified",	//366
    "contentType",	//367
    "context",	//368
    "contributor",	//369
    "copyright",	//370
    "coreGraphMetadataFor",	//371
    "createBlankNode",	//372
    "createBlankNode$",	//373
    "createBlankNodeAsync",	//374
    "createEmptyNode",	//375
    "createLiteralNode",	//376
    "createLiteralNode#",	//377
    "createLiteralNode#$",	//378
    "createModel",	//379
    "createModel?",	//380
    "createResourceNode",	//381
    "createResourceNode#",	//382
    "createResult",	//383
    "created",	//384
    "creator",	//385
    "currentBindings",	//386
    "currentStatement",	//387
    "customEvent",	//388
    "dataType",	//389
    "date",	//390
    "dateTime",	//391
    "decimal",	//392
    "definesClass",	//393
    "definesFunction",	//394
    "definesGlobalVariable",	//395
    "deleteModelData",	//396
    "deleteModelData?",	//397
    "deletionTime",	//398
    "depends",	//399
    "deprecated",	//400
    "derivedFrom",	//401
    "description",	//402
    "differentFrom",	//403
    "directSubClassOf",	//404
    "directSubClassOf#",	//405
    "directSubClassOf##",	//406
    "directSubPropertyOf",	//407
    "directSubPropertyOf#",	//408
    "directSubPropertyOf##",	//409
    "directType",	//410
    "directType##",	//411
    "discNumber",	//412
    "disclaimer",	//413
    "disconnectNotify",	//414
    "discoverBackendByFeatures",	//415
    "discoverBackendByFeatures$",	//416
    "discoverBackendByFeatures$?",	//417
    "discoverBackendByName",	//418
    "discoverBackendByName$",	//419
    "discoverParserByName",	//420
    "discoverParserByName$",	//421
    "discoverParserForSerialization",	//422
    "discoverParserForSerialization$",	//423
    "discoverParserForSerialization$$",	//424
    "discoverSerializerByName",	//425
    "discoverSerializerByName$",	//426
    "discoverSerializerForSerialization",	//427
    "discoverSerializerForSerialization$",	//428
    "discoverSerializerForSerialization$$",	//429
    "disjointWith",	//430
    "distinctMembers",	//431
    "documentCategory",	//432
    "domain",	//433
    "domain##",	//434
    "emailAddress",	//435
    "engineeringTool",	//436
    "equivalentClass",	//437
    "equivalentGraph",	//438
    "equivalentProperty",	//439
    "errorCode",	//440
    "event",	//441
    "eventFilter",	//442
    "executeQuery",	//443
    "executeQuery#$$",	//444
    "executeQuery#$$$",	//445
    "executeQuery$$",	//446
    "executeQuery$$$",	//447
    "executeQueryAsync",	//448
    "executeQueryAsync$$",	//449
    "executeQueryAsync$$$",	//450
    "exposureBias",	//451
    "exposureProgram",	//452
    "exposureTime",	//453
    "externalRealizer",	//454
    "familyName",	//455
    "faxPhoneNumber",	//456
    "fileExtension",	//457
    "fileSystemType",	//458
    "fingerprint",	//459
    "finished",	//460
    "finished#",	//461
    "first",	//462
    "firstUsed",	//463
    "flashUsed",	//464
    "focalLength",	//465
    "focusDistance",	//466
    "formatSubtype",	//467
    "frameCount",	//468
    "frameRate",	//469
    "freeSpace",	//470
    "fromN3",	//471
    "fromN3$",	//472
    "fromN3$$",	//473
    "fromN3Stream",	//474
    "fromN3Stream#",	//475
    "fromN3Stream#$",	//476
    "gender",	//477
    "generator",	//478
    "generatorOptions",	//479
    "genre",	//480
    "givenName",	//481
    "graphMetadataFor",	//482
    "group",	//483
    "hasDefaultNamespace",	//484
    "hasDefaultNamespaceAbbreviation",	//485
    "hasSemantics",	//486
    "hasSpecification",	//487
    "hasSubResource",	//488
    "hasSuperResource",	//489
    "hasSymbol",	//490
    "hasTag",	//491
    "hasTopic",	//492
    "hasValue",	//493
    "height",	//494
    "homeEmailAddress",	//495
    "homePhoneNumber",	//496
    "homePostalAddress",	//497
    "homepageContactURL",	//498
    "honorificPrefix",	//499
    "honorificSuffix",	//500
    "horizontalResolution",	//501
    "iconName",	//502
    "id",	//503
    "identifier",	//504
    "imContactMedium",	//505
    "imports",	//506
    "inReplyTo",	//507
    "incompatibleWith",	//508
    "instance",	//509
    "integer",	//510
    "interest",	//511
    "interlaceMode",	//512
    "intersectionOf",	//513
    "inverseOf",	//514
    "inverseProperty",	//515
    "ircContactMedium",	//516
    "isAvailable",	//517
    "isBinding",	//518
    "isBlank",	//519
    "isBool",	//520
    "isClass",	//521
    "isClass#",	//522
    "isContentEncrypted",	//523
    "isDataGraphFor",	//524
    "isDefinedBy",	//525
    "isDirectSubClassOf",	//526
    "isDirectSubClassOf##",	//527
    "isDirectSubPropertyOf",	//528
    "isDirectSubPropertyOf##",	//529
    "isDirectType",	//530
    "isDirectType##",	//531
    "isEmpty",	//532
    "isEmptyAsync",	//533
    "isEncrypted",	//534
    "isGraph",	//535
    "isImportant",	//536
    "isInProgress",	//537
    "isLiteral",	//538
    "isOptionInSettings",	//539
    "isOptionInSettings?$",	//540
    "isOptionInSettings?$$",	//541
    "isParserError",	//542
    "isProperty",	//543
    "isProperty#",	//544
    "isPublicChannel",	//545
    "isRead",	//546
    "isRelated",	//547
    "isResource",	//548
    "isSourceEncrypted",	//549
    "isSubClassOf",	//550
    "isSubClassOf##",	//551
    "isSubPropertyOf",	//552
    "isSubPropertyOf##",	//553
    "isTagFor",	//554
    "isTopicOf",	//555
    "isType",	//556
    "isType##",	//557
    "isValid",	//558
    "isoEquivalent",	//559
    "iterateBindings",	//560
    "iterateBindings$",	//561
    "iterateContexts",	//562
    "iterateObjects",	//563
    "iteratePredicates",	//564
    "iterateStatements",	//565
    "iterateStatementsFromBindings",	//566
    "iterateStatementsFromBindings$$$",	//567
    "iterateStatementsFromBindings$$$$",	//568
    "iterateStatementsFromBindings$$$$#",	//569
    "iterateSubjects",	//570
    "jabberContactMedium",	//571
    "keyword",	//572
    "knows",	//573
    "label",	//574
    "language",	//575
    "lastError",	//576
    "lastModified",	//577
    "lastRefreshed",	//578
    "lastUsed",	//579
    "legal",	//580
    "license",	//581
    "licenseType",	//582
    "lineCount",	//583
    "links",	//584
    "listContexts",	//585
    "listContextsAsync",	//586
    "listStatements",	//587
    "listStatements#",	//588
    "listStatements###",	//589
    "listStatements####",	//590
    "listStatementsAsync",	//591
    "listStatementsAsync#",	//592
    "listStatementsAsync###",	//593
    "listStatementsAsync####",	//594
    "listStatementsInContext",	//595
    "listStatementsInContext#",	//596
    "literal",	//597
    "literalToN3",	//598
    "literalToN3#",	//599
    "loadCustomBackend",	//600
    "loadCustomBackend$",	//601
    "loadCustomParser",	//602
    "loadCustomParser$",	//603
    "loadCustomPlugin",	//604
    "loadCustomPlugin$",	//605
    "loadCustomSerializer",	//606
    "loadCustomSerializer$",	//607
    "localRevision",	//608
    "locator",	//609
    "lyricist",	//610
    "mailingList",	//611
    "mailingPostalAddress",	//612
    "maintainer",	//613
    "markupCharacterCount",	//614
    "matches",	//615
    "matches#",	//616
    "maxCardinality",	//617
    "md5Hash",	//618
    "mediaBitrate",	//619
    "mediaCodec",	//620
    "mediaCodecType",	//621
    "mediaDuration",	//622
    "member",	//623
    "mergeConflict",	//624
    "message",	//625
    "metaObject",	//626
    "meteringMode",	//627
    "mimeType",	//628
    "mimeTypeToSerialization",	//629
    "mimeTypeToSerialization$",	//630
    "minCardinality",	//631
    "mode",	//632
    "modified",	//633
    "mountPoint",	//634
    "name",	//635
    "naoNamespace",	//636
    "negativeInteger",	//637
    "newsGroup",	//638
    "next",	//639
    "nextReady",	//640
    "nextReady#",	//641
    "nil",	//642
    "node",	//643
    "nodeIterator",	//644
    "nonNegativeInteger",	//645
    "nrlNamespace",	//646
    "numericRating",	//647
    "object",	//648
    "occupiedSpace",	//649
    "onProperty",	//650
    "oneOf",	//651
    "operator bool",	//652
    "operator!=",	//653
    "operator!=#",	//654
    "operator=",	//655
    "operator=#",	//656
    "operator==",	//657
    "operator==#",	//658
    "operator=?",	//659
    "operator[]",	//660
    "operator[]$",	//661
    "option",	//662
    "orientation",	//663
    "originURL",	//664
    "originalLocation",	//665
    "otherName",	//666
    "owlNamespace",	//667
    "owner",	//668
    "pageCount",	//669
    "paragraphCount",	//670
    "parentModel",	//671
    "parentStatementAdded",	//672
    "parentStatementAdded#",	//673
    "parentStatementRemoved",	//674
    "parentStatementRemoved#",	//675
    "parentStatementsAdded",	//676
    "parentStatementsRemoved",	//677
    "parseFile",	//678
    "parseFile$#$",	//679
    "parseFile$#$$",	//680
    "parseStream",	//681
    "parseStream##$",	//682
    "parseStream##$$",	//683
    "parseString",	//684
    "parseString$#$",	//685
    "parseString$#$$",	//686
    "performInference",	//687
    "performer",	//688
    "permissions",	//689
    "personPhoto",	//690
    "personalIdentifier",	//691
    "phoneNumber",	//692
    "pixelDataBitDepth",	//693
    "pixelDataType",	//694
    "pluginName",	//695
    "pluralPrefLabel",	//696
    "postalAddress",	//697
    "predicate",	//698
    "prefLabel",	//699
    "prefSymbol",	//700
    "prefixes",	//701
    "primaryRecipient",	//702
    "priorVersion",	//703
    "programmingLanguage",	//704
    "properties",	//705
    "qHash",	//706
    "qHash#",	//707
    "qt_metacall",	//708
    "qt_metacall$$?",	//709
    "qt_metacast",	//710
    "qt_metacast$",	//711
    "queryResultIterator",	//712
    "range",	//713
    "range##",	//714
    "rating",	//715
    "rdfNamespace",	//716
    "rdfsNamespace",	//717
    "realizes",	//718
    "receptionTime",	//719
    "recipient",	//720
    "related",	//721
    "remotePassword",	//722
    "remotePort",	//723
    "remoteServer",	//724
    "remoteUser",	//725
    "removeAllStatements",	//726
    "removeAllStatements#",	//727
    "removeAllStatements###",	//728
    "removeAllStatements####",	//729
    "removeAllStatementsAsync",	//730
    "removeAllStatementsAsync#",	//731
    "removeAllStatementsAsync###",	//732
    "removeAllStatementsAsync####",	//733
    "removeContext",	//734
    "removeContext#",	//735
    "removeStatement",	//736
    "removeStatement#",	//737
    "removeStatement###",	//738
    "removeStatement####",	//739
    "removeStatementAsync",	//740
    "removeStatementAsync#",	//741
    "removeStatementAsync###",	//742
    "removeStatementAsync####",	//743
    "removeStatements",	//744
    "removeStatements?",	//745
    "removeStatementsAsync",	//746
    "removeStatementsAsync?",	//747
    "replyTo",	//748
    "resourceToN3",	//749
    "resourceToN3#",	//750
    "rest",	//751
    "resultReady",	//752
    "resultReady#",	//753
    "rowCount",	//754
    "rssFeed",	//755
    "rule",	//756
    "ruleLanguage",	//757
    "sameAs",	//758
    "sampleConfiguration",	//759
    "sampleDataBitDepth",	//760
    "sampleDataType",	//761
    "score",	//762
    "scoreParameter",	//763
    "secondaryRecipient",	//764
    "seeAlso",	//765
    "seenAttachedAs",	//766
    "semanticsDefinedBy",	//767
    "serializationLanguage",	//768
    "serializationMimeType",	//769
    "serializationMimeType$",	//770
    "serializationMimeType$$",	//771
    "serialize",	//772
    "serialize##$",	//773
    "serialize##$$",	//774
    "setCacheTime",	//775
    "setCacheTime$",	//776
    "setCompressedSourceStatements",	//777
    "setCompressedSourceStatements$",	//778
    "setContext",	//779
    "setContext#",	//780
    "setCount",	//781
    "setError",	//782
    "setError#",	//783
    "setError$",	//784
    "setError$$",	//785
    "setMode",	//786
    "setMode$",	//787
    "setObject",	//788
    "setObject#",	//789
    "setOptimizedQueriesEnabled",	//790
    "setOptimizedQueriesEnabled$",	//791
    "setParentModel",	//792
    "setParentModel#",	//793
    "setPluginSearchPath",	//794
    "setPluginSearchPath?",	//795
    "setPluginSearchPath?$",	//796
    "setPredicate",	//797
    "setPredicate#",	//798
    "setRate",	//799
    "setResult",	//800
    "setResult##",	//801
    "setRules",	//802
    "setRules?",	//803
    "setSubject",	//804
    "setSubject#",	//805
    "setUsedBackend",	//806
    "setUsedBackend#",	//807
    "setValue",	//808
    "setValue#",	//809
    "settingInSettings",	//810
    "settingInSettings?",	//811
    "settingInSettings?$",	//812
    "settingInSettings?$$",	//813
    "sha1Hash",	//814
    "silNamespace",	//815
    "size",	//816
    "someValuesFrom",	//817
    "sourceCreated",	//818
    "sourceModified",	//819
    "sourceStatement",	//820
    "statementAdded",	//821
    "statementAdded#",	//822
    "statementCount",	//823
    "statementCountAsync",	//824
    "statementIterator",	//825
    "statementRemoved",	//826
    "statementRemoved#",	//827
    "statementsAdded",	//828
    "statementsRemoved",	//829
    "staticMetaObject",	//830
    "status",	//831
    "storageSize",	//832
    "string",	//833
    "subClassOf",	//834
    "subClassOf#",	//835
    "subClassOf##",	//836
    "subGraphOf",	//837
    "subPropertyOf",	//838
    "subPropertyOf#",	//839
    "subPropertyOf##",	//840
    "subject",	//841
    "summary",	//842
    "superGraphOf",	//843
    "supercedes",	//844
    "supportedFeatures",	//845
    "supportedSerializations",	//846
    "supportedUserFeatures",	//847
    "supportedUserSerializations",	//848
    "supportsFeatures",	//849
    "supportsFeatures$",	//850
    "supportsFeatures$?",	//851
    "supportsSerialization",	//852
    "supportsSerialization$",	//853
    "supportsSerialization$$",	//854
    "targetQuality",	//855
    "time",	//856
    "timerEvent",	//857
    "timerEvent#",	//858
    "title",	//859
    "to",	//860
    "toN3",	//861
    "toParserError",	//862
    "toString",	//863
    "totalSpace",	//864
    "totalUncompressedSize",	//865
    "tr",	//866
    "tr$",	//867
    "tr$$",	//868
    "tr$$$",	//869
    "trUtf8",	//870
    "trUtf8$",	//871
    "trUtf8$$",	//872
    "trUtf8$$$",	//873
    "trackGain",	//874
    "trackNumber",	//875
    "trackPeakGain",	//876
    "type",	//877
    "type##",	//878
    "unionOf",	//879
    "unsignedInt",	//880
    "unsignedLong",	//881
    "unsignedShort",	//882
    "updatable",	//883
    "uri",	//884
    "url",	//885
    "useCount",	//886
    "usedBackend",	//887
    "userComment",	//888
    "userKeyword",	//889
    "userOptionName",	//890
    "userRating",	//891
    "userVisible",	//892
    "usesNamespace",	//893
    "value",	//894
    "valueInSettings",	//895
    "valueInSettings?$",	//896
    "valueInSettings?$#",	//897
    "valueInSettings?$$",	//898
    "valueInSettingsWithDefault",	//899
    "valueInSettingsWithDefault?$#",	//900
    "version",	//901
    "versionInfo",	//902
    "versionMajor",	//903
    "versionMinor",	//904
    "versionRelease",	//905
    "versionString",	//906
    "verticalResolution",	//907
    "videoBitrate",	//908
    "videoCodec",	//909
    "videoCodecType",	//910
    "viewOn",	//911
    "whiteBalance",	//912
    "width",	//913
    "wordCount",	//914
    "workEmailAddress",	//915
    "workPhoneNumber",	//916
    "workPostalAddress",	//917
    "write",	//918
    "write#",	//919
    "xesam35mmEquivalent",	//920
    "xesamNamespace",	//921
    "xsdDouble",	//922
    "xsdFloat",	//923
    "xsdInt",	//924
    "xsdLong",	//925
    "xsdNamespace",	//926
    "xsdShort",	//927
    "~AsyncModel",	//928
    "~AsyncQuery",	//929
    "~AsyncResult",	//930
    "~Backend",	//931
    "~BackendSetting",	//932
    "~Error",	//933
    "~ErrorCache",	//934
    "~FilterModel",	//935
    "~InferenceModel",	//936
    "~Model",	//937
    "~Node",	//938
    "~NodeIterator",	//939
    "~Parser",	//940
    "~ParserError",	//941
    "~Plugin",	//942
    "~PluginManager",	//943
    "~QueryResultIterator",	//944
    "~RdfSchemaModel",	//945
    "~ReadOnlyModel",	//946
    "~Serializer",	//947
    "~SignalCacheModel",	//948
    "~SimpleNodeIterator",	//949
    "~SimpleStatementIterator",	//950
    "~Statement",	//951
    "~StatementIterator",	//952
    "~StorageModel",	//953
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {4, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {4, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {4, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {4, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {4, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {4, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {4, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {4, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {4, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {4, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {4, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {4, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {4, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {4, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {4, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {4, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {4, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {4, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {4, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {4, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {4, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {4, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {4, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {4, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {4, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {4, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {4, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {6, 441, 1, 1, Smoke::mf_virtual, 177, 0},	//34 QObject::event(QEvent*)
    {6, 442, 3, 2, Smoke::mf_virtual, 177, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {6, 857, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {6, 321, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {6, 388, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {6, 340, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {6, 414, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {12, 810, 12, 3, Smoke::mf_static, 120, 1},	//41 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 810, 16, 2, Smoke::mf_static, 120, 2},	//42 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 706, 19, 1, Smoke::mf_static, 216, 3},	//43 Soprano::qHash(const Soprano::Node&)
    {12, 415, 21, 2, Smoke::mf_static, 192, 4},	//44 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {12, 415, 24, 1, Smoke::mf_static, 192, 5},	//45 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {12, 706, 26, 1, Smoke::mf_static, 216, 6},	//46 Soprano::qHash(const Soprano::Statement&)
    {12, 629, 28, 1, Smoke::mf_static, 157, 7},	//47 Soprano::mimeTypeToSerialization(const QString&)
    {12, 769, 30, 2, Smoke::mf_static, 18, 8},	//48 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
    {12, 769, 33, 1, Smoke::mf_static, 18, 9},	//49 Soprano::serializationMimeType(Soprano::RdfSerialization)
    {12, 418, 28, 1, Smoke::mf_static, 192, 10},	//50 Soprano::discoverBackendByName(const QString&)
    {12, 899, 35, 3, Smoke::mf_static, 24, 11},	//51 Soprano::valueInSettingsWithDefault(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&)
    {12, 806, 39, 1, Smoke::mf_static, 0, 12},	//52 Soprano::setUsedBackend(const Soprano::Backend*)
    {12, 706, 41, 1, Smoke::mf_static, 216, 13},	//53 Soprano::qHash(const Soprano::LanguageTag&)
    {12, 379, 43, 1, Smoke::mf_static, 139, 14},	//54 Soprano::createModel(const QList<Soprano::BackendSetting>&)
    {12, 379, 0, 0, Smoke::mf_static, 139, 15},	//55 Soprano::createModel()
    {12, 895, 45, 3, Smoke::mf_static, 24, 16},	//56 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&, const QVariant&)
    {12, 895, 49, 2, Smoke::mf_static, 24, 17},	//57 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {12, 810, 52, 3, Smoke::mf_static, 119, 18},	//58 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 810, 56, 2, Smoke::mf_static, 119, 19},	//59 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 810, 49, 2, Smoke::mf_static, 119, 20},	//60 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {12, 810, 43, 1, Smoke::mf_static, 119, 21},	//61 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&)
    {12, 539, 52, 3, Smoke::mf_static, 177, 22},	//62 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 539, 56, 2, Smoke::mf_static, 177, 23},	//63 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 906, 0, 0, Smoke::mf_static, 213, 24},	//64 Soprano::versionString()
    {12, 903, 0, 0, Smoke::mf_static, 216, 25},	//65 Soprano::versionMajor()
    {12, 905, 0, 0, Smoke::mf_static, 216, 26},	//66 Soprano::versionRelease()
    {12, 706, 59, 1, Smoke::mf_static, 216, 27},	//67 Soprano::qHash(const Soprano::LiteralValue&)
    {12, 895, 52, 3, Smoke::mf_static, 24, 28},	//68 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 895, 56, 2, Smoke::mf_static, 24, 29},	//69 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 887, 0, 0, Smoke::mf_static, 192, 30},	//70 Soprano::usedBackend()
    {12, 810, 61, 2, Smoke::mf_static, 120, 31},	//71 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    {12, 904, 0, 0, Smoke::mf_static, 216, 32},	//72 Soprano::versionMinor()
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 33},	//73 Soprano::BackendFeatureNone (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 34},	//74 Soprano::BackendFeatureAddStatement (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 35},	//75 Soprano::BackendFeatureRemoveStatements (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 36},	//76 Soprano::BackendFeatureListStatements (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 37},	//77 Soprano::BackendFeatureQuery (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 38},	//78 Soprano::BackendFeatureInference (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 39},	//79 Soprano::BackendFeatureInferenceOptional (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 40},	//80 Soprano::BackendFeatureContext (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 41},	//81 Soprano::BackendFeatureStorageMemory (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 42},	//82 Soprano::BackendFeatureAll (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 43},	//83 Soprano::BackendFeatureUser (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 44},	//84 Soprano::BackendOptionNone (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 45},	//85 Soprano::BackendOptionStorageMemory (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 46},	//86 Soprano::BackendOptionEnableInference (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 47},	//87 Soprano::BackendOptionStorageDir (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 48},	//88 Soprano::BackendOptionHost (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 49},	//89 Soprano::BackendOptionPort (enum)
    {12, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 50},	//90 Soprano::BackendOptionUsername (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 51},	//91 Soprano::BackendOptionPassword (enum)
    {12, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 52},	//92 Soprano::BackendOptionUser (enum)
    {12, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 53},	//93 Soprano::SerializationUnknown (enum)
    {12, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 54},	//94 Soprano::SerializationRdfXml (enum)
    {12, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 55},	//95 Soprano::SerializationN3 (enum)
    {12, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 56},	//96 Soprano::SerializationNTriples (enum)
    {12, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 57},	//97 Soprano::SerializationTurtle (enum)
    {12, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 58},	//98 Soprano::SerializationTrig (enum)
    {12, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 59},	//99 Soprano::SerializationNQuads (enum)
    {12, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 60},	//100 Soprano::SerializationUser (enum)
    {13, 12, 28, 1, Smoke::mf_ctor, 116, 1},	//101 Soprano::Backend::Backend(const QString&)
    {13, 379, 43, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 165, 2},	//102 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {13, 396, 43, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 3},	//103 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {13, 845, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 4, 4},	//104 Soprano::Backend::supportedFeatures() const [pure virtual]
    {13, 847, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 5},	//105 Soprano::Backend::supportedUserFeatures() const
    {13, 849, 21, 2, Smoke::mf_const, 177, 6},	//106 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>, const QStringList&) const
    {13, 12, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 7},	//107 Soprano::Backend::Backend(const Soprano::Backend&)
    {13, 379, 0, 0, Smoke::mf_const, 165, 8},	//108 Soprano::Backend::createModel() const
    {13, 849, 24, 1, Smoke::mf_const, 177, 9},	//109 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>) const
    {13, 931, 0, 0, Smoke::mf_dtor, 0, 10 },	//110 Soprano::Backend::~Backend()
    {14, 35, 0, 0, Smoke::mf_ctor, 121, 1},	//111 Soprano::BackendSetting::BackendSetting()
    {14, 35, 66, 1, Smoke::mf_ctor, 121, 2},	//112 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
    {14, 35, 68, 2, Smoke::mf_ctor, 121, 3},	//113 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    {14, 35, 71, 2, Smoke::mf_ctor, 121, 4},	//114 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    {14, 35, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 5},	//115 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
    {14, 655, 74, 1, 0, 120, 6},	//116 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
    {14, 662, 0, 0, Smoke::mf_const, 118, 7},	//117 Soprano::BackendSetting::option() const
    {14, 890, 0, 0, Smoke::mf_const, 18, 8},	//118 Soprano::BackendSetting::userOptionName() const
    {14, 894, 0, 0, Smoke::mf_const, 24, 9},	//119 Soprano::BackendSetting::value() const
    {14, 808, 76, 1, 0, 0, 10},	//120 Soprano::BackendSetting::setValue(const QVariant&)
    {14, 932, 0, 0, Smoke::mf_dtor, 0, 11 },	//121 Soprano::BackendSetting::~BackendSetting()
    {16, 68, 0, 0, Smoke::mf_ctor, 125, 1},	//122 Soprano::Error::Error::Error()
    {16, 68, 78, 2, Smoke::mf_ctor, 125, 2},	//123 Soprano::Error::Error::Error(const QString&, int)
    {16, 68, 81, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 3},	//124 Soprano::Error::Error::Error(const Soprano::Error::Error&)
    {16, 655, 81, 1, 0, 124, 4},	//125 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
    {16, 652, 0, 0, Smoke::mf_const, 177, 5},	//126 Soprano::Error::Error::operator bool() const
    {16, 625, 0, 0, Smoke::mf_const, 18, 6},	//127 Soprano::Error::Error::message() const
    {16, 327, 0, 0, Smoke::mf_const, 214, 7},	//128 Soprano::Error::Error::code() const
    {16, 542, 0, 0, Smoke::mf_const, 177, 8},	//129 Soprano::Error::Error::isParserError() const
    {16, 862, 0, 0, Smoke::mf_const, 130, 9},	//130 Soprano::Error::Error::toParserError() const
    {16, 68, 83, 1, Smoke::mf_ctor|Smoke::mf_protected, 125, 10},	//131 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    {16, 68, 28, 1, Smoke::mf_ctor, 125, 11},	//132 Soprano::Error::Error::Error(const QString&)
    {16, 933, 0, 0, Smoke::mf_dtor, 0, 12 },	//133 Soprano::Error::Error::~Error()
    {17, 576, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 1},	//134 Soprano::Error::ErrorCache::lastError() const
    {17, 72, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 126, 2},	//135 Soprano::Error::ErrorCache::ErrorCache()
    {17, 323, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 3},	//136 Soprano::Error::ErrorCache::clearError() const
    {17, 782, 81, 1, Smoke::mf_const|Smoke::mf_protected, 0, 4},	//137 Soprano::Error::ErrorCache::setError(const Soprano::Error::Error&) const
    {17, 782, 78, 2, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//138 Soprano::Error::ErrorCache::setError(const QString&, int) const
    {17, 72, 85, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 6},	//139 Soprano::Error::ErrorCache::ErrorCache(const Soprano::Error::ErrorCache&)
    {17, 782, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//140 Soprano::Error::ErrorCache::setError(const QString&) const
    {17, 934, 0, 0, Smoke::mf_dtor, 0, 8 },	//141 Soprano::Error::ErrorCache::~ErrorCache()
    {20, 148, 0, 0, Smoke::mf_ctor, 132, 1},	//142 Soprano::Error::ParserError::ParserError()
    {20, 148, 87, 3, Smoke::mf_ctor, 132, 2},	//143 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
    {20, 148, 81, 1, Smoke::mf_ctor, 132, 3},	//144 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    {20, 655, 81, 1, 0, 131, 4},	//145 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
    {20, 609, 0, 0, Smoke::mf_const, 129, 5},	//146 Soprano::Error::ParserError::locator() const
    {20, 148, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 6},	//147 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    {20, 148, 93, 1, Smoke::mf_ctor, 132, 7},	//148 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    {20, 148, 95, 2, Smoke::mf_ctor, 132, 8},	//149 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
    {20, 941, 0, 0, Smoke::mf_dtor, 0, 9 },	//150 Soprano::Error::ParserError::~ParserError()
    {21, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 183, 1},	//151 Soprano::FilterModel::metaObject() const
    {21, 710, 10, 1, Smoke::mf_virtual, 217, 2},	//152 Soprano::FilterModel::qt_metacast(const char*)
    {21, 866, 98, 2, Smoke::mf_static, 18, 3},	//153 Soprano::FilterModel::tr(const char*, const char*)
    {21, 870, 98, 2, Smoke::mf_static, 18, 4},	//154 Soprano::FilterModel::trUtf8(const char*, const char*)
    {21, 866, 101, 3, Smoke::mf_static, 18, 5},	//155 Soprano::FilterModel::tr(const char*, const char*, int)
    {21, 870, 101, 3, Smoke::mf_static, 18, 6},	//156 Soprano::FilterModel::trUtf8(const char*, const char*, int)
    {21, 708, 105, 3, Smoke::mf_virtual, 214, 7},	//157 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {21, 792, 109, 1, Smoke::mf_virtual, 0, 8},	//158 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {21, 671, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 139, 9},	//159 Soprano::FilterModel::parentModel() const
    {21, 251, 26, 1, Smoke::mf_virtual, 127, 10},	//160 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {21, 251, 111, 4, 0, 127, 11},	//161 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 736, 26, 1, Smoke::mf_virtual, 127, 12},	//162 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {21, 736, 111, 4, 0, 127, 13},	//163 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 726, 26, 1, Smoke::mf_virtual, 127, 14},	//164 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {21, 726, 111, 4, 0, 127, 15},	//165 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 587, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 162, 16},	//166 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {21, 587, 111, 4, Smoke::mf_const, 162, 17},	//167 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 585, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 18},	//168 Soprano::FilterModel::listContexts() const
    {21, 443, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 152, 19},	//169 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {21, 355, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 177, 20},	//170 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {21, 355, 111, 4, Smoke::mf_const, 177, 21},	//171 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 345, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 177, 22},	//172 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {21, 345, 111, 4, Smoke::mf_const, 177, 23},	//173 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 532, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 24},	//174 Soprano::FilterModel::isEmpty() const
    {21, 823, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 25},	//175 Soprano::FilterModel::statementCount() const
    {21, 918, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 127, 26},	//176 Soprano::FilterModel::write(QTextStream&) const
    {21, 372, 0, 0, Smoke::mf_virtual, 140, 27},	//177 Soprano::FilterModel::createBlankNode()
    {21, 726, 0, 0, 0, 127, 28},	//178 Soprano::FilterModel::removeAllStatements()
    {21, 587, 0, 0, Smoke::mf_const, 162, 29},	//179 Soprano::FilterModel::listStatements() const
    {21, 78, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 133, 30},	//180 Soprano::FilterModel::FilterModel()
    {21, 78, 109, 1, Smoke::mf_ctor|Smoke::mf_protected, 133, 31},	//181 Soprano::FilterModel::FilterModel(Soprano::Model*)
    {21, 676, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//182 Soprano::FilterModel::parentStatementsAdded()
    {21, 677, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//183 Soprano::FilterModel::parentStatementsRemoved()
    {21, 672, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//184 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {21, 674, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//185 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {21, 866, 10, 1, Smoke::mf_static, 18, 36},	//186 Soprano::FilterModel::tr(const char*)
    {21, 870, 10, 1, Smoke::mf_static, 18, 37},	//187 Soprano::FilterModel::trUtf8(const char*)
    {21, 251, 122, 3, 0, 127, 38},	//188 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 736, 122, 3, 0, 127, 39},	//189 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 726, 122, 3, 0, 127, 40},	//190 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 587, 122, 3, Smoke::mf_const, 162, 41},	//191 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 443, 126, 2, Smoke::mf_const, 152, 42},	//192 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {21, 355, 122, 3, Smoke::mf_const, 177, 43},	//193 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 345, 122, 3, Smoke::mf_const, 177, 44},	//194 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 45},	//195 Soprano::FilterModel::staticMetaObject() const
    {21, 935, 0, 0, Smoke::mf_dtor, 0, 46 },	//196 Soprano::FilterModel::~FilterModel()
    {22, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 183, 1},	//197 Soprano::Inference::InferenceModel::metaObject() const
    {22, 710, 10, 1, Smoke::mf_virtual, 217, 2},	//198 Soprano::Inference::InferenceModel::qt_metacast(const char*)
    {22, 866, 98, 2, Smoke::mf_static, 18, 3},	//199 Soprano::Inference::InferenceModel::tr(const char*, const char*)
    {22, 870, 98, 2, Smoke::mf_static, 18, 4},	//200 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*)
    {22, 866, 101, 3, Smoke::mf_static, 18, 5},	//201 Soprano::Inference::InferenceModel::tr(const char*, const char*, int)
    {22, 870, 101, 3, Smoke::mf_static, 18, 6},	//202 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*, int)
    {22, 708, 105, 3, Smoke::mf_virtual, 214, 7},	//203 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 92, 109, 1, Smoke::mf_ctor, 134, 8},	//204 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
    {22, 251, 26, 1, Smoke::mf_virtual, 127, 9},	//205 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
    {22, 736, 26, 1, Smoke::mf_virtual, 127, 10},	//206 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
    {22, 726, 26, 1, Smoke::mf_virtual, 127, 11},	//207 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
    {22, 249, 129, 1, 0, 0, 12},	//208 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
    {22, 802, 131, 1, 0, 0, 13},	//209 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
    {22, 251, 111, 4, 0, 127, 14},	//210 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 736, 111, 4, 0, 127, 15},	//211 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 726, 111, 4, 0, 127, 16},	//212 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 726, 0, 0, 0, 127, 17},	//213 Soprano::Inference::InferenceModel::removeAllStatements()
    {22, 687, 0, 0, Smoke::mf_slot, 0, 18},	//214 Soprano::Inference::InferenceModel::performInference()
    {22, 324, 0, 0, Smoke::mf_slot, 0, 19},	//215 Soprano::Inference::InferenceModel::clearInference()
    {22, 777, 133, 1, Smoke::mf_slot, 0, 20},	//216 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
    {22, 790, 133, 1, Smoke::mf_slot, 0, 21},	//217 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
    {22, 866, 10, 1, Smoke::mf_static, 18, 22},	//218 Soprano::Inference::InferenceModel::tr(const char*)
    {22, 870, 10, 1, Smoke::mf_static, 18, 23},	//219 Soprano::Inference::InferenceModel::trUtf8(const char*)
    {22, 251, 122, 3, 0, 127, 24},	//220 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 736, 122, 3, 0, 127, 25},	//221 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 726, 122, 3, 0, 127, 26},	//222 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 27},	//223 Soprano::Inference::InferenceModel::staticMetaObject() const
    {22, 936, 0, 0, Smoke::mf_dtor, 0, 28 },	//224 Soprano::Inference::InferenceModel::~InferenceModel()
    {26, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 183, 1},	//225 Soprano::Model::metaObject() const
    {26, 710, 10, 1, Smoke::mf_virtual, 217, 2},	//226 Soprano::Model::qt_metacast(const char*)
    {26, 866, 98, 2, Smoke::mf_static, 18, 3},	//227 Soprano::Model::tr(const char*, const char*)
    {26, 870, 98, 2, Smoke::mf_static, 18, 4},	//228 Soprano::Model::trUtf8(const char*, const char*)
    {26, 866, 101, 3, Smoke::mf_static, 18, 5},	//229 Soprano::Model::tr(const char*, const char*, int)
    {26, 870, 101, 3, Smoke::mf_static, 18, 6},	//230 Soprano::Model::trUtf8(const char*, const char*, int)
    {26, 708, 105, 3, Smoke::mf_virtual, 214, 7},	//231 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
    {26, 251, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 127, 8},	//232 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
    {26, 251, 111, 4, 0, 127, 9},	//233 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 259, 135, 1, 0, 127, 10},	//234 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
    {26, 736, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 127, 11},	//235 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
    {26, 736, 111, 4, 0, 127, 12},	//236 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 726, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 127, 13},	//237 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
    {26, 726, 111, 4, 0, 127, 14},	//238 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 744, 135, 1, 0, 127, 15},	//239 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
    {26, 734, 19, 1, 0, 127, 16},	//240 Soprano::Model::removeContext(const Soprano::Node&)
    {26, 726, 0, 0, 0, 127, 17},	//241 Soprano::Model::removeAllStatements()
    {26, 587, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 162, 18},	//242 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
    {26, 587, 111, 4, Smoke::mf_const, 162, 19},	//243 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 587, 0, 0, Smoke::mf_const, 162, 20},	//244 Soprano::Model::listStatements() const
    {26, 595, 19, 1, Smoke::mf_const, 162, 21},	//245 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
    {26, 585, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 22},	//246 Soprano::Model::listContexts() const [pure virtual]
    {26, 443, 116, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 23},	//247 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
    {26, 345, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 24},	//248 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
    {26, 345, 111, 4, Smoke::mf_const, 177, 25},	//249 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 355, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 26},	//250 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
    {26, 355, 111, 4, Smoke::mf_const, 177, 27},	//251 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 353, 19, 1, Smoke::mf_const, 177, 28},	//252 Soprano::Model::containsContext(const Soprano::Node&) const
    {26, 532, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 29},	//253 Soprano::Model::isEmpty() const [pure virtual]
    {26, 823, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 30},	//254 Soprano::Model::statementCount() const [pure virtual]
    {26, 918, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 127, 31},	//255 Soprano::Model::write(QTextStream&) const
    {26, 372, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 140, 32},	//256 Soprano::Model::createBlankNode() [pure virtual]
    {26, 828, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//257 Soprano::Model::statementsAdded()
    {26, 829, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//258 Soprano::Model::statementsRemoved()
    {26, 821, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//259 Soprano::Model::statementAdded(const Soprano::Statement&)
    {26, 826, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//260 Soprano::Model::statementRemoved(const Soprano::Statement&)
    {26, 125, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 139, 37},	//261 Soprano::Model::Model()
    {26, 866, 10, 1, Smoke::mf_static, 18, 38},	//262 Soprano::Model::tr(const char*)
    {26, 870, 10, 1, Smoke::mf_static, 18, 39},	//263 Soprano::Model::trUtf8(const char*)
    {26, 251, 122, 3, 0, 127, 40},	//264 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 736, 122, 3, 0, 127, 41},	//265 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 726, 122, 3, 0, 127, 42},	//266 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 587, 122, 3, Smoke::mf_const, 162, 43},	//267 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 443, 126, 2, Smoke::mf_const, 152, 44},	//268 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {26, 345, 122, 3, Smoke::mf_const, 177, 45},	//269 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 355, 122, 3, Smoke::mf_const, 177, 46},	//270 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 47},	//271 Soprano::Model::staticMetaObject() const
    {26, 937, 0, 0, Smoke::mf_dtor, 0, 48 },	//272 Soprano::Model::~Model()
    {27, 131, 0, 0, Smoke::mf_ctor, 142, 1},	//273 Soprano::Node::Node()
    {27, 131, 137, 1, Smoke::mf_ctor, 142, 2},	//274 Soprano::Node::Node(const QUrl&)
    {27, 131, 28, 1, Smoke::mf_ctor, 142, 3},	//275 Soprano::Node::Node(const QString&)
    {27, 131, 59, 1, Smoke::mf_ctor, 142, 4},	//276 Soprano::Node::Node(const Soprano::LiteralValue&)
    {27, 131, 139, 2, Smoke::mf_ctor, 142, 5},	//277 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
    {27, 131, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 6},	//278 Soprano::Node::Node(const Soprano::Node&)
    {27, 655, 19, 1, 0, 141, 7},	//279 Soprano::Node::operator=(const Soprano::Node&)
    {27, 655, 137, 1, 0, 141, 8},	//280 Soprano::Node::operator=(const QUrl&)
    {27, 655, 59, 1, 0, 141, 9},	//281 Soprano::Node::operator=(const Soprano::LiteralValue&)
    {27, 657, 19, 1, Smoke::mf_const, 177, 10},	//282 Soprano::Node::operator==(const Soprano::Node&) const
    {27, 653, 19, 1, Smoke::mf_const, 177, 11},	//283 Soprano::Node::operator!=(const Soprano::Node&) const
    {27, 657, 137, 1, Smoke::mf_const, 177, 12},	//284 Soprano::Node::operator==(const QUrl&) const
    {27, 657, 59, 1, Smoke::mf_const, 177, 13},	//285 Soprano::Node::operator==(const Soprano::LiteralValue&) const
    {27, 615, 19, 1, Smoke::mf_const, 177, 14},	//286 Soprano::Node::matches(const Soprano::Node&) const
    {27, 877, 0, 0, Smoke::mf_const, 144, 15},	//287 Soprano::Node::type() const
    {27, 532, 0, 0, Smoke::mf_const, 177, 16},	//288 Soprano::Node::isEmpty() const
    {27, 558, 0, 0, Smoke::mf_const, 177, 17},	//289 Soprano::Node::isValid() const
    {27, 538, 0, 0, Smoke::mf_const, 177, 18},	//290 Soprano::Node::isLiteral() const
    {27, 548, 0, 0, Smoke::mf_const, 177, 19},	//291 Soprano::Node::isResource() const
    {27, 519, 0, 0, Smoke::mf_const, 177, 20},	//292 Soprano::Node::isBlank() const
    {27, 884, 0, 0, Smoke::mf_const, 23, 21},	//293 Soprano::Node::uri() const
    {27, 504, 0, 0, Smoke::mf_const, 18, 22},	//294 Soprano::Node::identifier() const
    {27, 597, 0, 0, Smoke::mf_const, 138, 23},	//295 Soprano::Node::literal() const
    {27, 389, 0, 0, Smoke::mf_const, 23, 24},	//296 Soprano::Node::dataType() const
    {27, 575, 0, 0, Smoke::mf_const, 18, 25},	//297 Soprano::Node::language() const
    {27, 863, 0, 0, Smoke::mf_const, 18, 26},	//298 Soprano::Node::toString() const
    {27, 861, 0, 0, Smoke::mf_const, 18, 27},	//299 Soprano::Node::toN3() const
    {27, 375, 0, 0, Smoke::mf_static, 140, 28},	//300 Soprano::Node::createEmptyNode()
    {27, 381, 137, 1, Smoke::mf_static, 140, 29},	//301 Soprano::Node::createResourceNode(const QUrl&)
    {27, 372, 28, 1, Smoke::mf_static, 140, 30},	//302 Soprano::Node::createBlankNode(const QString&)
    {27, 376, 59, 1, Smoke::mf_static, 140, 31},	//303 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&)
    {27, 376, 139, 2, 0, 140, 32},	//304 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
    {27, 749, 137, 1, Smoke::mf_static, 18, 33},	//305 Soprano::Node::resourceToN3(const QUrl&)
    {27, 304, 28, 1, Smoke::mf_static, 18, 34},	//306 Soprano::Node::blankToN3(const QString&)
    {27, 598, 59, 1, Smoke::mf_static, 18, 35},	//307 Soprano::Node::literalToN3(const Soprano::LiteralValue&)
    {27, 471, 142, 2, Smoke::mf_static, 140, 36},	//308 Soprano::Node::fromN3(const QString&, QFlags<Soprano::Node::N3ParserFlag>)
    {27, 474, 145, 2, Smoke::mf_static, 140, 37},	//309 Soprano::Node::fromN3Stream(QTextStream&, QFlags<Soprano::Node::N3ParserFlag>)
    {27, 471, 28, 1, Smoke::mf_static, 140, 38},	//310 Soprano::Node::fromN3(const QString&)
    {27, 474, 120, 1, Smoke::mf_static, 140, 39},	//311 Soprano::Node::fromN3Stream(QTextStream&)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 40},	//312 Soprano::Node::EmptyNode (enum)
    {27, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 41},	//313 Soprano::Node::ResourceNode (enum)
    {27, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 42},	//314 Soprano::Node::LiteralNode (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 43},	//315 Soprano::Node::BlankNode (enum)
    {27, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 44},	//316 Soprano::Node::NoFlags (enum)
    {27, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 45},	//317 Soprano::Node::StrictLiteralTypes (enum)
    {27, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 46},	//318 Soprano::Node::StrictUris (enum)
    {27, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 47},	//319 Soprano::Node::IgnorePrefixes (enum)
    {27, 938, 0, 0, Smoke::mf_dtor, 0, 48 },	//320 Soprano::Node::~Node()
    {28, 135, 0, 0, Smoke::mf_ctor, 147, 1},	//321 Soprano::NodeIterator::NodeIterator()
    {28, 135, 148, 1, Smoke::mf_ctor, 147, 2},	//322 Soprano::NodeIterator::NodeIterator(Soprano::IteratorBackend<Soprano::Node>*)
    {28, 135, 150, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 3},	//323 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
    {28, 655, 150, 1, 0, 146, 4},	//324 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
    {28, 270, 0, 0, 0, 10, 5},	//325 Soprano::NodeIterator::allNodes()
    {28, 939, 0, 0, Smoke::mf_dtor, 0, 6 },	//326 Soprano::NodeIterator::~NodeIterator()
    {29, 846, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 6, 1},	//327 Soprano::Parser::supportedSerializations() const [pure virtual]
    {29, 848, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//328 Soprano::Parser::supportedUserSerializations() const
    {29, 852, 30, 2, Smoke::mf_const, 177, 3},	//329 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {29, 678, 152, 4, Smoke::mf_const|Smoke::mf_virtual, 162, 4},	//330 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {29, 684, 152, 4, Smoke::mf_const|Smoke::mf_virtual, 162, 5},	//331 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {29, 681, 157, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 162, 6},	//332 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {29, 145, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 148, 7},	//333 Soprano::Parser::Parser(const QString&)
    {29, 145, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 8},	//334 Soprano::Parser::Parser(const Soprano::Parser&)
    {29, 852, 33, 1, Smoke::mf_const, 177, 9},	//335 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
    {29, 678, 164, 3, Smoke::mf_const, 162, 10},	//336 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {29, 684, 164, 3, Smoke::mf_const, 162, 11},	//337 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {29, 681, 168, 3, Smoke::mf_const, 162, 12},	//338 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const
    {29, 940, 0, 0, Smoke::mf_dtor, 0, 13 },	//339 Soprano::Parser::~Parser()
    {30, 695, 0, 0, Smoke::mf_const, 18, 1},	//340 Soprano::Plugin::pluginName() const
    {30, 517, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 2},	//341 Soprano::Plugin::isAvailable() const
    {30, 156, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 149, 3},	//342 Soprano::Plugin::Plugin(const QString&)
    {30, 156, 172, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 4},	//343 Soprano::Plugin::Plugin(const Soprano::Plugin&)
    {30, 942, 0, 0, Smoke::mf_dtor, 0, 5 },	//344 Soprano::Plugin::~Plugin()
    {31, 626, 0, 0, Smoke::mf_const, 183, 1},	//345 Soprano::PluginManager::metaObject() const
    {31, 710, 10, 1, 0, 217, 2},	//346 Soprano::PluginManager::qt_metacast(const char*)
    {31, 866, 98, 2, Smoke::mf_static, 18, 3},	//347 Soprano::PluginManager::tr(const char*, const char*)
    {31, 870, 98, 2, Smoke::mf_static, 18, 4},	//348 Soprano::PluginManager::trUtf8(const char*, const char*)
    {31, 866, 101, 3, Smoke::mf_static, 18, 5},	//349 Soprano::PluginManager::tr(const char*, const char*, int)
    {31, 870, 101, 3, Smoke::mf_static, 18, 6},	//350 Soprano::PluginManager::trUtf8(const char*, const char*, int)
    {31, 708, 105, 3, 0, 214, 7},	//351 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {31, 794, 174, 2, 0, 0, 8},	//352 Soprano::PluginManager::setPluginSearchPath(const QStringList&, bool)
    {31, 604, 28, 1, 0, 177, 9},	//353 Soprano::PluginManager::loadCustomPlugin(const QString&)
    {31, 600, 28, 1, 0, 192, 10},	//354 Soprano::PluginManager::loadCustomBackend(const QString&)
    {31, 602, 28, 1, 0, 204, 11},	//355 Soprano::PluginManager::loadCustomParser(const QString&)
    {31, 606, 28, 1, 0, 208, 12},	//356 Soprano::PluginManager::loadCustomSerializer(const QString&)
    {31, 418, 28, 1, 0, 192, 13},	//357 Soprano::PluginManager::discoverBackendByName(const QString&)
    {31, 415, 21, 2, 0, 192, 14},	//358 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {31, 268, 0, 0, 0, 12, 15},	//359 Soprano::PluginManager::allBackends()
    {31, 420, 28, 1, 0, 204, 16},	//360 Soprano::PluginManager::discoverParserByName(const QString&)
    {31, 422, 30, 2, 0, 204, 17},	//361 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
    {31, 271, 0, 0, 0, 13, 18},	//362 Soprano::PluginManager::allParsers()
    {31, 425, 28, 1, 0, 208, 19},	//363 Soprano::PluginManager::discoverSerializerByName(const QString&)
    {31, 427, 30, 2, 0, 208, 20},	//364 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
    {31, 272, 0, 0, 0, 14, 21},	//365 Soprano::PluginManager::allSerializers()
    {31, 509, 0, 0, Smoke::mf_static, 150, 22},	//366 Soprano::PluginManager::instance()
    {31, 866, 10, 1, Smoke::mf_static, 18, 23},	//367 Soprano::PluginManager::tr(const char*)
    {31, 870, 10, 1, Smoke::mf_static, 18, 24},	//368 Soprano::PluginManager::trUtf8(const char*)
    {31, 794, 177, 1, 0, 0, 25},	//369 Soprano::PluginManager::setPluginSearchPath(const QStringList&)
    {31, 415, 24, 1, 0, 192, 26},	//370 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {31, 422, 33, 1, 0, 204, 27},	//371 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
    {31, 427, 33, 1, 0, 208, 28},	//372 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
    {31, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 29},	//373 Soprano::PluginManager::staticMetaObject() const
    {31, 943, 0, 0, Smoke::mf_dtor, 0, 30 },	//374 Soprano::PluginManager::~PluginManager()
    {32, 172, 0, 0, Smoke::mf_ctor, 154, 1},	//375 Soprano::QueryResultIterator::QueryResultIterator()
    {32, 172, 179, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//376 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    {32, 172, 181, 1, Smoke::mf_ctor, 154, 3},	//377 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    {32, 655, 179, 1, 0, 153, 4},	//378 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
    {32, 387, 0, 0, Smoke::mf_const, 159, 5},	//379 Soprano::QueryResultIterator::currentStatement() const
    {32, 386, 0, 0, Smoke::mf_const, 122, 6},	//380 Soprano::QueryResultIterator::currentBindings() const
    {32, 307, 0, 0, Smoke::mf_const, 177, 7},	//381 Soprano::QueryResultIterator::boolValue() const
    {32, 660, 183, 1, Smoke::mf_const, 140, 8},	//382 Soprano::QueryResultIterator::operator[](int) const
    {32, 660, 185, 1, Smoke::mf_const, 140, 9},	//383 Soprano::QueryResultIterator::operator[](const QString) const
    {32, 299, 28, 1, Smoke::mf_const, 140, 10},	//384 Soprano::QueryResultIterator::binding(const QString&) const
    {32, 299, 183, 1, Smoke::mf_const, 140, 11},	//385 Soprano::QueryResultIterator::binding(int) const
    {32, 301, 0, 0, Smoke::mf_const, 214, 12},	//386 Soprano::QueryResultIterator::bindingCount() const
    {32, 302, 0, 0, Smoke::mf_const, 19, 13},	//387 Soprano::QueryResultIterator::bindingNames() const
    {32, 535, 0, 0, Smoke::mf_const, 177, 14},	//388 Soprano::QueryResultIterator::isGraph() const
    {32, 518, 0, 0, Smoke::mf_const, 177, 15},	//389 Soprano::QueryResultIterator::isBinding() const
    {32, 520, 0, 0, Smoke::mf_const, 177, 16},	//390 Soprano::QueryResultIterator::isBool() const
    {32, 269, 0, 0, 0, 9, 17},	//391 Soprano::QueryResultIterator::allBindings()
    {32, 565, 0, 0, Smoke::mf_const, 162, 18},	//392 Soprano::QueryResultIterator::iterateStatements() const
    {32, 560, 28, 1, Smoke::mf_const, 145, 19},	//393 Soprano::QueryResultIterator::iterateBindings(const QString&) const
    {32, 560, 183, 1, Smoke::mf_const, 145, 20},	//394 Soprano::QueryResultIterator::iterateBindings(int) const
    {32, 566, 187, 5, Smoke::mf_const, 162, 21},	//395 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
    {32, 566, 193, 3, Smoke::mf_const, 162, 22},	//396 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
    {32, 566, 197, 4, Smoke::mf_const, 162, 23},	//397 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
    {32, 944, 0, 0, Smoke::mf_dtor, 0, 24 },	//398 Soprano::QueryResultIterator::~QueryResultIterator()
    {34, 176, 109, 1, Smoke::mf_ctor, 156, 1},	//399 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
    {34, 322, 0, 0, Smoke::mf_const, 162, 2},	//400 Soprano::RdfSchemaModel::classes() const
    {34, 404, 202, 2, Smoke::mf_const, 162, 3},	//401 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 407, 202, 2, Smoke::mf_const, 162, 4},	//402 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 410, 202, 2, Smoke::mf_const, 162, 5},	//403 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
    {34, 433, 202, 2, Smoke::mf_const, 162, 6},	//404 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
    {34, 705, 0, 0, Smoke::mf_const, 162, 7},	//405 Soprano::RdfSchemaModel::properties() const
    {34, 713, 202, 2, Smoke::mf_const, 162, 8},	//406 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
    {34, 834, 202, 2, Smoke::mf_const, 162, 9},	//407 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 838, 202, 2, Smoke::mf_const, 162, 10},	//408 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 877, 202, 2, Smoke::mf_const, 162, 11},	//409 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
    {34, 521, 19, 1, Smoke::mf_const, 177, 12},	//410 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
    {34, 543, 19, 1, Smoke::mf_const, 177, 13},	//411 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
    {34, 526, 202, 2, Smoke::mf_const, 177, 14},	//412 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 528, 202, 2, Smoke::mf_const, 177, 15},	//413 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 530, 202, 2, Smoke::mf_const, 177, 16},	//414 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
    {34, 550, 202, 2, Smoke::mf_const, 177, 17},	//415 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 552, 202, 2, Smoke::mf_const, 177, 18},	//416 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 556, 202, 2, Smoke::mf_const, 177, 19},	//417 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
    {34, 176, 0, 0, Smoke::mf_ctor, 156, 20},	//418 Soprano::RdfSchemaModel::RdfSchemaModel()
    {34, 404, 19, 1, Smoke::mf_const, 162, 21},	//419 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
    {34, 407, 19, 1, Smoke::mf_const, 162, 22},	//420 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
    {34, 834, 19, 1, Smoke::mf_const, 162, 23},	//421 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
    {34, 838, 19, 1, Smoke::mf_const, 162, 24},	//422 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
    {34, 945, 0, 0, Smoke::mf_dtor, 0, 25 },	//423 Soprano::RdfSchemaModel::~RdfSchemaModel()
    {35, 846, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 6, 1},	//424 Soprano::Serializer::supportedSerializations() const [pure virtual]
    {35, 848, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//425 Soprano::Serializer::supportedUserSerializations() const
    {35, 852, 30, 2, Smoke::mf_const, 177, 3},	//426 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {35, 772, 205, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 4},	//427 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {35, 247, 210, 2, Smoke::mf_const, 0, 5},	//428 Soprano::Serializer::addPrefix(const QString&, const QUrl&) const
    {35, 325, 0, 0, Smoke::mf_const, 0, 6},	//429 Soprano::Serializer::clearPrefixes() const
    {35, 701, 0, 0, Smoke::mf_const, 7, 7},	//430 Soprano::Serializer::prefixes() const
    {35, 201, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 158, 8},	//431 Soprano::Serializer::Serializer(const QString&)
    {35, 201, 213, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 158, 9},	//432 Soprano::Serializer::Serializer(const Soprano::Serializer&)
    {35, 852, 33, 1, Smoke::mf_const, 177, 10},	//433 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
    {35, 772, 215, 3, Smoke::mf_const, 177, 11},	//434 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const
    {35, 947, 0, 0, Smoke::mf_dtor, 0, 12 },	//435 Soprano::Serializer::~Serializer()
    {36, 217, 0, 0, Smoke::mf_ctor, 161, 1},	//436 Soprano::Statement::Statement()
    {36, 217, 111, 4, Smoke::mf_ctor, 161, 2},	//437 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {36, 217, 26, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 3},	//438 Soprano::Statement::Statement(const Soprano::Statement&)
    {36, 655, 26, 1, 0, 160, 4},	//439 Soprano::Statement::operator=(const Soprano::Statement&)
    {36, 657, 26, 1, Smoke::mf_const, 177, 5},	//440 Soprano::Statement::operator==(const Soprano::Statement&) const
    {36, 653, 26, 1, Smoke::mf_const, 177, 6},	//441 Soprano::Statement::operator!=(const Soprano::Statement&) const
    {36, 615, 26, 1, Smoke::mf_const, 177, 7},	//442 Soprano::Statement::matches(const Soprano::Statement&) const
    {36, 558, 0, 0, Smoke::mf_const, 177, 8},	//443 Soprano::Statement::isValid() const
    {36, 841, 0, 0, Smoke::mf_const, 140, 9},	//444 Soprano::Statement::subject() const
    {36, 698, 0, 0, Smoke::mf_const, 140, 10},	//445 Soprano::Statement::predicate() const
    {36, 648, 0, 0, Smoke::mf_const, 140, 11},	//446 Soprano::Statement::object() const
    {36, 368, 0, 0, Smoke::mf_const, 140, 12},	//447 Soprano::Statement::context() const
    {36, 804, 19, 1, 0, 0, 13},	//448 Soprano::Statement::setSubject(const Soprano::Node&)
    {36, 797, 19, 1, 0, 0, 14},	//449 Soprano::Statement::setPredicate(const Soprano::Node&)
    {36, 788, 19, 1, 0, 0, 15},	//450 Soprano::Statement::setObject(const Soprano::Node&)
    {36, 779, 19, 1, 0, 0, 16},	//451 Soprano::Statement::setContext(const Soprano::Node&)
    {36, 217, 122, 3, Smoke::mf_ctor, 161, 17},	//452 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {36, 951, 0, 0, Smoke::mf_dtor, 0, 18 },	//453 Soprano::Statement::~Statement()
    {37, 221, 0, 0, Smoke::mf_ctor, 164, 1},	//454 Soprano::StatementIterator::StatementIterator()
    {37, 221, 219, 1, Smoke::mf_ctor, 164, 2},	//455 Soprano::StatementIterator::StatementIterator(Soprano::IteratorBackend<Soprano::Statement>*)
    {37, 221, 221, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 164, 3},	//456 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
    {37, 655, 221, 1, 0, 163, 4},	//457 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
    {37, 273, 0, 0, 0, 11, 5},	//458 Soprano::StatementIterator::allStatements()
    {37, 570, 0, 0, Smoke::mf_const, 145, 6},	//459 Soprano::StatementIterator::iterateSubjects() const
    {37, 564, 0, 0, Smoke::mf_const, 145, 7},	//460 Soprano::StatementIterator::iteratePredicates() const
    {37, 563, 0, 0, Smoke::mf_const, 145, 8},	//461 Soprano::StatementIterator::iterateObjects() const
    {37, 562, 0, 0, Smoke::mf_const, 145, 9},	//462 Soprano::StatementIterator::iterateContexts() const
    {37, 952, 0, 0, Smoke::mf_dtor, 0, 10 },	//463 Soprano::StatementIterator::~StatementIterator()
    {38, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 183, 1},	//464 Soprano::StorageModel::metaObject() const
    {38, 710, 10, 1, Smoke::mf_virtual, 217, 2},	//465 Soprano::StorageModel::qt_metacast(const char*)
    {38, 866, 98, 2, Smoke::mf_static, 18, 3},	//466 Soprano::StorageModel::tr(const char*, const char*)
    {38, 870, 98, 2, Smoke::mf_static, 18, 4},	//467 Soprano::StorageModel::trUtf8(const char*, const char*)
    {38, 866, 101, 3, Smoke::mf_static, 18, 5},	//468 Soprano::StorageModel::tr(const char*, const char*, int)
    {38, 870, 101, 3, Smoke::mf_static, 18, 6},	//469 Soprano::StorageModel::trUtf8(const char*, const char*, int)
    {38, 708, 105, 3, Smoke::mf_virtual, 214, 7},	//470 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
    {38, 532, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 8},	//471 Soprano::StorageModel::isEmpty() const
    {38, 355, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 177, 9},	//472 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
    {38, 345, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 177, 10},	//473 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
    {38, 726, 26, 1, Smoke::mf_virtual, 127, 11},	//474 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
    {38, 294, 0, 0, Smoke::mf_const, 192, 12},	//475 Soprano::StorageModel::backend() const
    {38, 726, 111, 4, 0, 127, 13},	//476 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 726, 0, 0, 0, 127, 14},	//477 Soprano::StorageModel::removeAllStatements()
    {38, 355, 111, 4, Smoke::mf_const, 177, 15},	//478 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 345, 111, 4, Smoke::mf_const, 177, 16},	//479 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 224, 39, 1, Smoke::mf_ctor|Smoke::mf_protected, 165, 17},	//480 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
    {38, 866, 10, 1, Smoke::mf_static, 18, 18},	//481 Soprano::StorageModel::tr(const char*)
    {38, 870, 10, 1, Smoke::mf_static, 18, 19},	//482 Soprano::StorageModel::trUtf8(const char*)
    {38, 726, 122, 3, 0, 127, 20},	//483 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 355, 122, 3, Smoke::mf_const, 177, 21},	//484 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 345, 122, 3, Smoke::mf_const, 177, 22},	//485 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 23},	//486 Soprano::StorageModel::staticMetaObject() const
    {38, 953, 0, 0, Smoke::mf_dtor, 0, 24 },	//487 Soprano::StorageModel::~StorageModel()
    {39, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 183, 1},	//488 Soprano::Util::AsyncModel::metaObject() const
    {39, 710, 10, 1, Smoke::mf_virtual, 217, 2},	//489 Soprano::Util::AsyncModel::qt_metacast(const char*)
    {39, 866, 98, 2, Smoke::mf_static, 18, 3},	//490 Soprano::Util::AsyncModel::tr(const char*, const char*)
    {39, 870, 98, 2, Smoke::mf_static, 18, 4},	//491 Soprano::Util::AsyncModel::trUtf8(const char*, const char*)
    {39, 866, 101, 3, Smoke::mf_static, 18, 5},	//492 Soprano::Util::AsyncModel::tr(const char*, const char*, int)
    {39, 870, 101, 3, Smoke::mf_static, 18, 6},	//493 Soprano::Util::AsyncModel::trUtf8(const char*, const char*, int)
    {39, 708, 105, 3, Smoke::mf_virtual, 214, 7},	//494 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
    {39, 8, 109, 1, Smoke::mf_ctor, 166, 8},	//495 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
    {39, 786, 223, 1, 0, 0, 9},	//496 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
    {39, 632, 0, 0, Smoke::mf_const, 167, 10},	//497 Soprano::Util::AsyncModel::mode() const
    {39, 255, 26, 1, 0, 169, 11},	//498 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
    {39, 255, 111, 4, 0, 169, 12},	//499 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 261, 135, 1, 0, 169, 13},	//500 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
    {39, 740, 26, 1, 0, 169, 14},	//501 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
    {39, 740, 111, 4, 0, 169, 15},	//502 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 746, 135, 1, 0, 169, 16},	//503 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
    {39, 730, 26, 1, 0, 169, 17},	//504 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
    {39, 730, 111, 4, 0, 169, 18},	//505 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 533, 0, 0, Smoke::mf_const, 169, 19},	//506 Soprano::Util::AsyncModel::isEmptyAsync() const
    {39, 824, 0, 0, Smoke::mf_const, 169, 20},	//507 Soprano::Util::AsyncModel::statementCountAsync() const
    {39, 591, 26, 1, Smoke::mf_const, 169, 21},	//508 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
    {39, 591, 111, 4, Smoke::mf_const, 169, 22},	//509 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 591, 0, 0, Smoke::mf_const, 169, 23},	//510 Soprano::Util::AsyncModel::listStatementsAsync() const
    {39, 586, 0, 0, Smoke::mf_const, 169, 24},	//511 Soprano::Util::AsyncModel::listContextsAsync() const
    {39, 448, 116, 3, Smoke::mf_const, 169, 25},	//512 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {39, 359, 26, 1, Smoke::mf_const, 169, 26},	//513 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
    {39, 359, 111, 4, Smoke::mf_const, 169, 27},	//514 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 349, 26, 1, Smoke::mf_const, 169, 28},	//515 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
    {39, 349, 111, 4, Smoke::mf_const, 169, 29},	//516 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 374, 0, 0, 0, 169, 30},	//517 Soprano::Util::AsyncModel::createBlankNodeAsync()
    {39, 587, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 162, 31},	//518 Soprano::Util::AsyncModel::listStatements(const Soprano::Statement&) const
    {39, 585, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 32},	//519 Soprano::Util::AsyncModel::listContexts() const
    {39, 443, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 152, 33},	//520 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {39, 251, 26, 1, Smoke::mf_virtual, 127, 34},	//521 Soprano::Util::AsyncModel::addStatement(const Soprano::Statement&)
    {39, 251, 111, 4, 0, 127, 35},	//522 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 736, 26, 1, Smoke::mf_virtual, 127, 36},	//523 Soprano::Util::AsyncModel::removeStatement(const Soprano::Statement&)
    {39, 736, 111, 4, 0, 127, 37},	//524 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 726, 26, 1, Smoke::mf_virtual, 127, 38},	//525 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Statement&)
    {39, 726, 111, 4, 0, 127, 39},	//526 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 726, 0, 0, 0, 127, 40},	//527 Soprano::Util::AsyncModel::removeAllStatements()
    {39, 587, 111, 4, Smoke::mf_const, 162, 41},	//528 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 587, 0, 0, Smoke::mf_const, 162, 42},	//529 Soprano::Util::AsyncModel::listStatements() const
    {39, 355, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 177, 43},	//530 Soprano::Util::AsyncModel::containsStatement(const Soprano::Statement&) const
    {39, 355, 111, 4, Smoke::mf_const, 177, 44},	//531 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 345, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 177, 45},	//532 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Statement&) const
    {39, 345, 111, 4, Smoke::mf_const, 177, 46},	//533 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 866, 10, 1, Smoke::mf_static, 18, 47},	//534 Soprano::Util::AsyncModel::tr(const char*)
    {39, 870, 10, 1, Smoke::mf_static, 18, 48},	//535 Soprano::Util::AsyncModel::trUtf8(const char*)
    {39, 8, 0, 0, Smoke::mf_ctor, 166, 49},	//536 Soprano::Util::AsyncModel::AsyncModel()
    {39, 255, 122, 3, 0, 169, 50},	//537 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 740, 122, 3, 0, 169, 51},	//538 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 730, 122, 3, 0, 169, 52},	//539 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 591, 122, 3, Smoke::mf_const, 169, 53},	//540 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 448, 126, 2, Smoke::mf_const, 169, 54},	//541 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {39, 359, 122, 3, Smoke::mf_const, 169, 55},	//542 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 349, 122, 3, Smoke::mf_const, 169, 56},	//543 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 443, 126, 2, Smoke::mf_const, 152, 57},	//544 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {39, 251, 122, 3, 0, 127, 58},	//545 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 736, 122, 3, 0, 127, 59},	//546 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 726, 122, 3, 0, 127, 60},	//547 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 587, 122, 3, Smoke::mf_const, 162, 61},	//548 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 355, 122, 3, Smoke::mf_const, 177, 62},	//549 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 345, 122, 3, Smoke::mf_const, 177, 63},	//550 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 64},	//551 Soprano::Util::AsyncModel::staticMetaObject() const
    {39, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 65},	//552 Soprano::Util::AsyncModel::SingleThreaded (enum)
    {39, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 66},	//553 Soprano::Util::AsyncModel::MultiThreaded (enum)
    {39, 928, 0, 0, Smoke::mf_dtor, 0, 67 },	//554 Soprano::Util::AsyncModel::~AsyncModel()
    {40, 626, 0, 0, Smoke::mf_const, 183, 1},	//555 Soprano::Util::AsyncQuery::metaObject() const
    {40, 710, 10, 1, 0, 217, 2},	//556 Soprano::Util::AsyncQuery::qt_metacast(const char*)
    {40, 866, 98, 2, Smoke::mf_static, 18, 3},	//557 Soprano::Util::AsyncQuery::tr(const char*, const char*)
    {40, 870, 98, 2, Smoke::mf_static, 18, 4},	//558 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*)
    {40, 866, 101, 3, Smoke::mf_static, 18, 5},	//559 Soprano::Util::AsyncQuery::tr(const char*, const char*, int)
    {40, 870, 101, 3, Smoke::mf_static, 18, 6},	//560 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*, int)
    {40, 708, 105, 3, 0, 214, 7},	//561 Soprano::Util::AsyncQuery::qt_metacall(QMetaObject::Call, int, void**)
    {40, 387, 0, 0, Smoke::mf_const, 159, 8},	//562 Soprano::Util::AsyncQuery::currentStatement() const
    {40, 386, 0, 0, Smoke::mf_const, 122, 9},	//563 Soprano::Util::AsyncQuery::currentBindings() const
    {40, 307, 0, 0, Smoke::mf_const, 177, 10},	//564 Soprano::Util::AsyncQuery::boolValue() const
    {40, 299, 28, 1, Smoke::mf_const, 140, 11},	//565 Soprano::Util::AsyncQuery::binding(const QString&) const
    {40, 299, 183, 1, Smoke::mf_const, 140, 12},	//566 Soprano::Util::AsyncQuery::binding(int) const
    {40, 301, 0, 0, Smoke::mf_const, 214, 13},	//567 Soprano::Util::AsyncQuery::bindingCount() const
    {40, 302, 0, 0, Smoke::mf_const, 19, 14},	//568 Soprano::Util::AsyncQuery::bindingNames() const
    {40, 535, 0, 0, Smoke::mf_const, 177, 15},	//569 Soprano::Util::AsyncQuery::isGraph() const
    {40, 518, 0, 0, Smoke::mf_const, 177, 16},	//570 Soprano::Util::AsyncQuery::isBinding() const
    {40, 520, 0, 0, Smoke::mf_const, 177, 17},	//571 Soprano::Util::AsyncQuery::isBool() const
    {40, 639, 0, 0, Smoke::mf_slot, 177, 18},	//572 Soprano::Util::AsyncQuery::next()
    {40, 326, 0, 0, Smoke::mf_slot, 0, 19},	//573 Soprano::Util::AsyncQuery::close()
    {40, 640, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//574 Soprano::Util::AsyncQuery::nextReady(Soprano::Util::AsyncQuery*)
    {40, 460, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//575 Soprano::Util::AsyncQuery::finished(Soprano::Util::AsyncQuery*)
    {40, 443, 227, 4, Smoke::mf_static, 168, 22},	//576 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&)
    {40, 866, 10, 1, Smoke::mf_static, 18, 23},	//577 Soprano::Util::AsyncQuery::tr(const char*)
    {40, 870, 10, 1, Smoke::mf_static, 18, 24},	//578 Soprano::Util::AsyncQuery::trUtf8(const char*)
    {40, 443, 232, 3, Smoke::mf_static, 168, 25},	//579 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage)
    {40, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 26},	//580 Soprano::Util::AsyncQuery::staticMetaObject() const
    {40, 929, 0, 0, Smoke::mf_dtor, 0, 27 },	//581 Soprano::Util::AsyncQuery::~AsyncQuery()
    {41, 626, 0, 0, Smoke::mf_const, 183, 1},	//582 Soprano::Util::AsyncResult::metaObject() const
    {41, 710, 10, 1, 0, 217, 2},	//583 Soprano::Util::AsyncResult::qt_metacast(const char*)
    {41, 866, 98, 2, Smoke::mf_static, 18, 3},	//584 Soprano::Util::AsyncResult::tr(const char*, const char*)
    {41, 870, 98, 2, Smoke::mf_static, 18, 4},	//585 Soprano::Util::AsyncResult::trUtf8(const char*, const char*)
    {41, 866, 101, 3, Smoke::mf_static, 18, 5},	//586 Soprano::Util::AsyncResult::tr(const char*, const char*, int)
    {41, 870, 101, 3, Smoke::mf_static, 18, 6},	//587 Soprano::Util::AsyncResult::trUtf8(const char*, const char*, int)
    {41, 708, 105, 3, 0, 214, 7},	//588 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
    {41, 752, 236, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//589 Soprano::Util::AsyncResult::resultReady(Soprano::Util::AsyncResult*)
    {41, 383, 0, 0, Smoke::mf_static, 169, 9},	//590 Soprano::Util::AsyncResult::createResult()
    {41, 894, 0, 0, Smoke::mf_const, 24, 10},	//591 Soprano::Util::AsyncResult::value() const
    {41, 440, 0, 0, Smoke::mf_const, 127, 11},	//592 Soprano::Util::AsyncResult::errorCode() const
    {41, 825, 0, 0, Smoke::mf_const, 162, 12},	//593 Soprano::Util::AsyncResult::statementIterator() const
    {41, 644, 0, 0, Smoke::mf_const, 145, 13},	//594 Soprano::Util::AsyncResult::nodeIterator() const
    {41, 712, 0, 0, Smoke::mf_const, 152, 14},	//595 Soprano::Util::AsyncResult::queryResultIterator() const
    {41, 643, 0, 0, Smoke::mf_const, 140, 15},	//596 Soprano::Util::AsyncResult::node() const
    {41, 800, 238, 2, 0, 0, 16},	//597 Soprano::Util::AsyncResult::setResult(const QVariant&, const Soprano::Error::Error&)
    {41, 866, 10, 1, Smoke::mf_static, 18, 17},	//598 Soprano::Util::AsyncResult::tr(const char*)
    {41, 870, 10, 1, Smoke::mf_static, 18, 18},	//599 Soprano::Util::AsyncResult::trUtf8(const char*)
    {41, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 19},	//600 Soprano::Util::AsyncResult::staticMetaObject() const
    {41, 930, 0, 0, Smoke::mf_dtor, 0, 20 },	//601 Soprano::Util::AsyncResult::~AsyncResult()
    {42, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 183, 1},	//602 Soprano::Util::ReadOnlyModel::metaObject() const
    {42, 710, 10, 1, Smoke::mf_virtual, 217, 2},	//603 Soprano::Util::ReadOnlyModel::qt_metacast(const char*)
    {42, 866, 98, 2, Smoke::mf_static, 18, 3},	//604 Soprano::Util::ReadOnlyModel::tr(const char*, const char*)
    {42, 870, 98, 2, Smoke::mf_static, 18, 4},	//605 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*)
    {42, 866, 101, 3, Smoke::mf_static, 18, 5},	//606 Soprano::Util::ReadOnlyModel::tr(const char*, const char*, int)
    {42, 870, 101, 3, Smoke::mf_static, 18, 6},	//607 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*, int)
    {42, 708, 105, 3, Smoke::mf_virtual, 214, 7},	//608 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
    {42, 178, 109, 1, Smoke::mf_ctor, 170, 8},	//609 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
    {42, 792, 109, 1, 0, 0, 9},	//610 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
    {42, 587, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 162, 10},	//611 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
    {42, 585, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//612 Soprano::Util::ReadOnlyModel::listContexts() const
    {42, 443, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 152, 12},	//613 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {42, 355, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 177, 13},	//614 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
    {42, 345, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 177, 14},	//615 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
    {42, 532, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 15},	//616 Soprano::Util::ReadOnlyModel::isEmpty() const
    {42, 823, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//617 Soprano::Util::ReadOnlyModel::statementCount() const
    {42, 251, 26, 1, Smoke::mf_virtual, 127, 17},	//618 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
    {42, 736, 26, 1, Smoke::mf_virtual, 127, 18},	//619 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
    {42, 726, 26, 1, Smoke::mf_virtual, 127, 19},	//620 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
    {42, 372, 0, 0, Smoke::mf_virtual, 140, 20},	//621 Soprano::Util::ReadOnlyModel::createBlankNode()
    {42, 251, 111, 4, 0, 127, 21},	//622 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 736, 111, 4, 0, 127, 22},	//623 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 726, 111, 4, 0, 127, 23},	//624 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 726, 0, 0, 0, 127, 24},	//625 Soprano::Util::ReadOnlyModel::removeAllStatements()
    {42, 587, 111, 4, Smoke::mf_const, 162, 25},	//626 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 587, 0, 0, Smoke::mf_const, 162, 26},	//627 Soprano::Util::ReadOnlyModel::listStatements() const
    {42, 355, 111, 4, Smoke::mf_const, 177, 27},	//628 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 345, 111, 4, Smoke::mf_const, 177, 28},	//629 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 866, 10, 1, Smoke::mf_static, 18, 29},	//630 Soprano::Util::ReadOnlyModel::tr(const char*)
    {42, 870, 10, 1, Smoke::mf_static, 18, 30},	//631 Soprano::Util::ReadOnlyModel::trUtf8(const char*)
    {42, 178, 0, 0, Smoke::mf_ctor, 170, 31},	//632 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
    {42, 443, 126, 2, Smoke::mf_const, 152, 32},	//633 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {42, 251, 122, 3, 0, 127, 33},	//634 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 736, 122, 3, 0, 127, 34},	//635 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 726, 122, 3, 0, 127, 35},	//636 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 587, 122, 3, Smoke::mf_const, 162, 36},	//637 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 355, 122, 3, Smoke::mf_const, 177, 37},	//638 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 345, 122, 3, Smoke::mf_const, 177, 38},	//639 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 39},	//640 Soprano::Util::ReadOnlyModel::staticMetaObject() const
    {42, 946, 0, 0, Smoke::mf_dtor, 0, 40 },	//641 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
    {43, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 183, 1},	//642 Soprano::Util::SignalCacheModel::metaObject() const
    {43, 710, 10, 1, Smoke::mf_virtual, 217, 2},	//643 Soprano::Util::SignalCacheModel::qt_metacast(const char*)
    {43, 866, 98, 2, Smoke::mf_static, 18, 3},	//644 Soprano::Util::SignalCacheModel::tr(const char*, const char*)
    {43, 870, 98, 2, Smoke::mf_static, 18, 4},	//645 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*)
    {43, 866, 101, 3, Smoke::mf_static, 18, 5},	//646 Soprano::Util::SignalCacheModel::tr(const char*, const char*, int)
    {43, 870, 101, 3, Smoke::mf_static, 18, 6},	//647 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*, int)
    {43, 708, 105, 3, Smoke::mf_virtual, 214, 7},	//648 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
    {43, 204, 109, 1, Smoke::mf_ctor, 171, 8},	//649 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
    {43, 309, 0, 0, Smoke::mf_const, 214, 9},	//650 Soprano::Util::SignalCacheModel::cacheTime() const
    {43, 775, 183, 1, Smoke::mf_slot, 0, 10},	//651 Soprano::Util::SignalCacheModel::setCacheTime(int)
    {43, 676, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//652 Soprano::Util::SignalCacheModel::parentStatementsAdded()
    {43, 677, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//653 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
    {43, 857, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//654 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
    {43, 866, 10, 1, Smoke::mf_static, 18, 14},	//655 Soprano::Util::SignalCacheModel::tr(const char*)
    {43, 870, 10, 1, Smoke::mf_static, 18, 15},	//656 Soprano::Util::SignalCacheModel::trUtf8(const char*)
    {43, 204, 0, 0, Smoke::mf_ctor, 171, 16},	//657 Soprano::Util::SignalCacheModel::SignalCacheModel()
    {43, 830, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 182, 17},	//658 Soprano::Util::SignalCacheModel::staticMetaObject() const
    {43, 948, 0, 0, Smoke::mf_dtor, 0, 18 },	//659 Soprano::Util::SignalCacheModel::~SignalCacheModel()
    {44, 206, 0, 0, Smoke::mf_ctor, 173, 1},	//660 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
    {44, 206, 241, 1, Smoke::mf_ctor, 173, 2},	//661 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
    {44, 206, 243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 173, 3},	//662 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
    {44, 655, 241, 1, 0, 172, 4},	//663 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
    {44, 655, 243, 1, 0, 172, 5},	//664 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
    {44, 949, 0, 0, Smoke::mf_dtor, 0, 6 },	//665 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
    {45, 209, 0, 0, Smoke::mf_ctor, 175, 1},	//666 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator()
    {45, 209, 135, 1, Smoke::mf_ctor, 175, 2},	//667 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const QList<Soprano::Statement>&)
    {45, 209, 245, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 175, 3},	//668 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const Soprano::Util::SimpleStatementIterator&)
    {45, 655, 135, 1, 0, 174, 4},	//669 Soprano::Util::SimpleStatementIterator::operator=(const QList<Soprano::Statement>&)
    {45, 655, 245, 1, 0, 174, 5},	//670 Soprano::Util::SimpleStatementIterator::operator=(const Soprano::Util::SimpleStatementIterator&)
    {45, 950, 0, 0, Smoke::mf_dtor, 0, 6 },	//671 Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator()
    {46, 647, 0, 0, Smoke::mf_static, 23, 1},	//672 Soprano::Vocabulary::NAO::numericRating()
    {46, 901, 0, 0, Smoke::mf_static, 23, 2},	//673 Soprano::Vocabulary::NAO::version()
    {46, 554, 0, 0, Smoke::mf_static, 23, 3},	//674 Soprano::Vocabulary::NAO::isTagFor()
    {46, 276, 0, 0, Smoke::mf_static, 23, 4},	//675 Soprano::Vocabulary::NAO::altSymbol()
    {46, 715, 0, 0, Smoke::mf_static, 23, 5},	//676 Soprano::Vocabulary::NAO::rating()
    {46, 892, 0, 0, Smoke::mf_static, 23, 6},	//677 Soprano::Vocabulary::NAO::userVisible()
    {46, 696, 0, 0, Smoke::mf_static, 23, 7},	//678 Soprano::Vocabulary::NAO::pluralPrefLabel()
    {46, 277, 0, 0, Smoke::mf_static, 23, 8},	//679 Soprano::Vocabulary::NAO::annotation()
    {46, 763, 0, 0, Smoke::mf_static, 23, 9},	//680 Soprano::Vocabulary::NAO::scoreParameter()
    {46, 555, 0, 0, Smoke::mf_static, 23, 10},	//681 Soprano::Vocabulary::NAO::isTopicOf()
    {46, 402, 0, 0, Smoke::mf_static, 23, 11},	//682 Soprano::Vocabulary::NAO::description()
    {46, 691, 0, 0, Smoke::mf_static, 23, 12},	//683 Soprano::Vocabulary::NAO::personalIdentifier()
    {46, 231, 0, 0, Smoke::mf_static, 23, 13},	//684 Soprano::Vocabulary::NAO::Tag()
    {46, 228, 0, 0, Smoke::mf_static, 23, 14},	//685 Soprano::Vocabulary::NAO::Symbol()
    {46, 831, 0, 0, Smoke::mf_static, 23, 15},	//686 Soprano::Vocabulary::NAO::status()
    {46, 633, 0, 0, Smoke::mf_static, 23, 16},	//687 Soprano::Vocabulary::NAO::modified()
    {46, 489, 0, 0, Smoke::mf_static, 23, 17},	//688 Soprano::Vocabulary::NAO::hasSuperResource()
    {46, 700, 0, 0, Smoke::mf_static, 23, 18},	//689 Soprano::Vocabulary::NAO::prefSymbol()
    {46, 636, 0, 0, Smoke::mf_static, 23, 19},	//690 Soprano::Vocabulary::NAO::naoNamespace()
    {46, 152, 0, 0, Smoke::mf_static, 23, 20},	//691 Soprano::Vocabulary::NAO::Party()
    {46, 577, 0, 0, Smoke::mf_static, 23, 21},	//692 Soprano::Vocabulary::NAO::lastModified()
    {46, 699, 0, 0, Smoke::mf_static, 23, 22},	//693 Soprano::Vocabulary::NAO::prefLabel()
    {46, 490, 0, 0, Smoke::mf_static, 23, 23},	//694 Soprano::Vocabulary::NAO::hasSymbol()
    {46, 369, 0, 0, Smoke::mf_static, 23, 24},	//695 Soprano::Vocabulary::NAO::contributor()
    {46, 384, 0, 0, Smoke::mf_static, 23, 25},	//696 Soprano::Vocabulary::NAO::created()
    {46, 488, 0, 0, Smoke::mf_static, 23, 26},	//697 Soprano::Vocabulary::NAO::hasSubResource()
    {46, 504, 0, 0, Smoke::mf_static, 23, 27},	//698 Soprano::Vocabulary::NAO::identifier()
    {46, 492, 0, 0, Smoke::mf_static, 23, 28},	//699 Soprano::Vocabulary::NAO::hasTopic()
    {46, 502, 0, 0, Smoke::mf_static, 23, 29},	//700 Soprano::Vocabulary::NAO::iconName()
    {46, 524, 0, 0, Smoke::mf_static, 23, 30},	//701 Soprano::Vocabulary::NAO::isDataGraphFor()
    {46, 485, 0, 0, Smoke::mf_static, 23, 31},	//702 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
    {46, 547, 0, 0, Smoke::mf_static, 23, 32},	//703 Soprano::Vocabulary::NAO::isRelated()
    {46, 81, 0, 0, Smoke::mf_static, 23, 33},	//704 Soprano::Vocabulary::NAO::FreeDesktopIcon()
    {46, 768, 0, 0, Smoke::mf_static, 23, 34},	//705 Soprano::Vocabulary::NAO::serializationLanguage()
    {46, 484, 0, 0, Smoke::mf_static, 23, 35},	//706 Soprano::Vocabulary::NAO::hasDefaultNamespace()
    {46, 400, 0, 0, Smoke::mf_static, 23, 36},	//707 Soprano::Vocabulary::NAO::deprecated()
    {46, 436, 0, 0, Smoke::mf_static, 23, 37},	//708 Soprano::Vocabulary::NAO::engineeringTool()
    {46, 275, 0, 0, Smoke::mf_static, 23, 38},	//709 Soprano::Vocabulary::NAO::altLabel()
    {46, 491, 0, 0, Smoke::mf_static, 23, 39},	//710 Soprano::Vocabulary::NAO::hasTag()
    {46, 385, 0, 0, Smoke::mf_static, 23, 40},	//711 Soprano::Vocabulary::NAO::creator()
    {46, 762, 0, 0, Smoke::mf_static, 23, 41},	//712 Soprano::Vocabulary::NAO::score()
    {47, 767, 0, 0, Smoke::mf_static, 23, 1},	//713 Soprano::Vocabulary::NRL::semanticsDefinedBy()
    {47, 718, 0, 0, Smoke::mf_static, 23, 2},	//714 Soprano::Vocabulary::NRL::realizes()
    {47, 62, 0, 0, Smoke::mf_static, 23, 3},	//715 Soprano::Vocabulary::NRL::DocumentGraph()
    {47, 56, 0, 0, Smoke::mf_static, 23, 4},	//716 Soprano::Vocabulary::NRL::DefaultGraph()
    {47, 631, 0, 0, Smoke::mf_static, 23, 5},	//717 Soprano::Vocabulary::NRL::minCardinality()
    {47, 189, 0, 0, Smoke::mf_static, 23, 6},	//718 Soprano::Vocabulary::NRL::RuleViewSpecification()
    {47, 371, 0, 0, Smoke::mf_static, 23, 7},	//719 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
    {47, 82, 0, 0, Smoke::mf_static, 23, 8},	//720 Soprano::Vocabulary::NRL::FunctionalProperty()
    {47, 190, 0, 0, Smoke::mf_static, 23, 9},	//721 Soprano::Vocabulary::NRL::Schema()
    {47, 45, 0, 0, Smoke::mf_static, 23, 10},	//722 Soprano::Vocabulary::NRL::Configuration()
    {47, 235, 0, 0, Smoke::mf_static, 23, 11},	//723 Soprano::Vocabulary::NRL::TransitiveProperty()
    {47, 85, 0, 0, Smoke::mf_static, 23, 12},	//724 Soprano::Vocabulary::NRL::GraphView()
    {47, 191, 0, 0, Smoke::mf_static, 23, 13},	//725 Soprano::Vocabulary::NRL::Semantics()
    {47, 515, 0, 0, Smoke::mf_static, 23, 14},	//726 Soprano::Vocabulary::NRL::inverseProperty()
    {47, 141, 0, 0, Smoke::mf_static, 23, 15},	//727 Soprano::Vocabulary::NRL::Ontology()
    {47, 180, 0, 0, Smoke::mf_static, 23, 16},	//728 Soprano::Vocabulary::NRL::ReflexiveProperty()
    {47, 96, 0, 0, Smoke::mf_static, 23, 17},	//729 Soprano::Vocabulary::NRL::KnowledgeBase()
    {47, 486, 0, 0, Smoke::mf_static, 23, 18},	//730 Soprano::Vocabulary::NRL::hasSemantics()
    {47, 482, 0, 0, Smoke::mf_static, 23, 19},	//731 Soprano::Vocabulary::NRL::graphMetadataFor()
    {47, 506, 0, 0, Smoke::mf_static, 23, 20},	//732 Soprano::Vocabulary::NRL::imports()
    {47, 911, 0, 0, Smoke::mf_static, 23, 21},	//733 Soprano::Vocabulary::NRL::viewOn()
    {47, 883, 0, 0, Smoke::mf_static, 23, 22},	//734 Soprano::Vocabulary::NRL::updatable()
    {47, 74, 0, 0, Smoke::mf_static, 23, 23},	//735 Soprano::Vocabulary::NRL::ExternalViewSpecification()
    {47, 454, 0, 0, Smoke::mf_static, 23, 24},	//736 Soprano::Vocabulary::NRL::externalRealizer()
    {47, 60, 0, 0, Smoke::mf_static, 23, 25},	//737 Soprano::Vocabulary::NRL::DiscardableInstanceBase()
    {47, 487, 0, 0, Smoke::mf_static, 23, 26},	//738 Soprano::Vocabulary::NRL::hasSpecification()
    {47, 83, 0, 0, Smoke::mf_static, 23, 27},	//739 Soprano::Vocabulary::NRL::Graph()
    {47, 84, 0, 0, Smoke::mf_static, 23, 28},	//740 Soprano::Vocabulary::NRL::GraphMetadata()
    {47, 438, 0, 0, Smoke::mf_static, 23, 29},	//741 Soprano::Vocabulary::NRL::equivalentGraph()
    {47, 229, 0, 0, Smoke::mf_static, 23, 30},	//742 Soprano::Vocabulary::NRL::SymmetricProperty()
    {47, 94, 0, 0, Smoke::mf_static, 23, 31},	//743 Soprano::Vocabulary::NRL::InstanceBase()
    {47, 617, 0, 0, Smoke::mf_static, 23, 32},	//744 Soprano::Vocabulary::NRL::maxCardinality()
    {47, 757, 0, 0, Smoke::mf_static, 23, 33},	//745 Soprano::Vocabulary::NRL::ruleLanguage()
    {47, 51, 0, 0, Smoke::mf_static, 23, 34},	//746 Soprano::Vocabulary::NRL::Data()
    {47, 646, 0, 0, Smoke::mf_static, 23, 35},	//747 Soprano::Vocabulary::NRL::nrlNamespace()
    {47, 312, 0, 0, Smoke::mf_static, 23, 36},	//748 Soprano::Vocabulary::NRL::cardinality()
    {47, 7, 0, 0, Smoke::mf_static, 23, 37},	//749 Soprano::Vocabulary::NRL::AsymmetricProperty()
    {47, 756, 0, 0, Smoke::mf_static, 23, 38},	//750 Soprano::Vocabulary::NRL::rule()
    {47, 837, 0, 0, Smoke::mf_static, 23, 39},	//751 Soprano::Vocabulary::NRL::subGraphOf()
    {47, 95, 0, 0, Smoke::mf_static, 23, 40},	//752 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
    {47, 843, 0, 0, Smoke::mf_static, 23, 41},	//753 Soprano::Vocabulary::NRL::superGraphOf()
    {47, 238, 0, 0, Smoke::mf_static, 23, 42},	//754 Soprano::Vocabulary::NRL::ViewSpecification()
    {48, 667, 0, 0, Smoke::mf_static, 23, 1},	//755 Soprano::Vocabulary::OWL::owlNamespace()
    {48, 508, 0, 0, Smoke::mf_static, 23, 2},	//756 Soprano::Vocabulary::OWL::incompatibleWith()
    {48, 4, 0, 0, Smoke::mf_static, 23, 3},	//757 Soprano::Vocabulary::OWL::AnnotationProperty()
    {48, 58, 0, 0, Smoke::mf_static, 23, 4},	//758 Soprano::Vocabulary::OWL::DeprecatedClass()
    {48, 430, 0, 0, Smoke::mf_static, 23, 5},	//759 Soprano::Vocabulary::OWL::disjointWith()
    {48, 53, 0, 0, Smoke::mf_static, 23, 6},	//760 Soprano::Vocabulary::OWL::DataRange()
    {48, 506, 0, 0, Smoke::mf_static, 23, 7},	//761 Soprano::Vocabulary::OWL::imports()
    {48, 142, 0, 0, Smoke::mf_static, 23, 8},	//762 Soprano::Vocabulary::OWL::OntologyProperty()
    {48, 514, 0, 0, Smoke::mf_static, 23, 9},	//763 Soprano::Vocabulary::OWL::inverseOf()
    {48, 138, 0, 0, Smoke::mf_static, 23, 10},	//764 Soprano::Vocabulary::OWL::Nothing()
    {48, 59, 0, 0, Smoke::mf_static, 23, 11},	//765 Soprano::Vocabulary::OWL::DeprecatedProperty()
    {48, 513, 0, 0, Smoke::mf_static, 23, 12},	//766 Soprano::Vocabulary::OWL::intersectionOf()
    {48, 229, 0, 0, Smoke::mf_static, 23, 13},	//767 Soprano::Vocabulary::OWL::SymmetricProperty()
    {48, 186, 0, 0, Smoke::mf_static, 23, 14},	//768 Soprano::Vocabulary::OWL::Restriction()
    {48, 758, 0, 0, Smoke::mf_static, 23, 15},	//769 Soprano::Vocabulary::OWL::sameAs()
    {48, 82, 0, 0, Smoke::mf_static, 23, 16},	//770 Soprano::Vocabulary::OWL::FunctionalProperty()
    {48, 95, 0, 0, Smoke::mf_static, 23, 17},	//771 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
    {48, 295, 0, 0, Smoke::mf_static, 23, 18},	//772 Soprano::Vocabulary::OWL::backwardCompatibleWith()
    {48, 902, 0, 0, Smoke::mf_static, 23, 19},	//773 Soprano::Vocabulary::OWL::versionInfo()
    {48, 437, 0, 0, Smoke::mf_static, 23, 20},	//774 Soprano::Vocabulary::OWL::equivalentClass()
    {48, 431, 0, 0, Smoke::mf_static, 23, 21},	//775 Soprano::Vocabulary::OWL::distinctMembers()
    {48, 651, 0, 0, Smoke::mf_static, 23, 22},	//776 Soprano::Vocabulary::OWL::oneOf()
    {48, 617, 0, 0, Smoke::mf_static, 23, 23},	//777 Soprano::Vocabulary::OWL::maxCardinality()
    {48, 335, 0, 0, Smoke::mf_static, 23, 24},	//778 Soprano::Vocabulary::OWL::complementOf()
    {48, 141, 0, 0, Smoke::mf_static, 23, 25},	//779 Soprano::Vocabulary::OWL::Ontology()
    {48, 703, 0, 0, Smoke::mf_static, 23, 26},	//780 Soprano::Vocabulary::OWL::priorVersion()
    {48, 631, 0, 0, Smoke::mf_static, 23, 27},	//781 Soprano::Vocabulary::OWL::minCardinality()
    {48, 403, 0, 0, Smoke::mf_static, 23, 28},	//782 Soprano::Vocabulary::OWL::differentFrom()
    {48, 879, 0, 0, Smoke::mf_static, 23, 29},	//783 Soprano::Vocabulary::OWL::unionOf()
    {48, 234, 0, 0, Smoke::mf_static, 23, 30},	//784 Soprano::Vocabulary::OWL::Thing()
    {48, 817, 0, 0, Smoke::mf_static, 23, 31},	//785 Soprano::Vocabulary::OWL::someValuesFrom()
    {48, 235, 0, 0, Smoke::mf_static, 23, 32},	//786 Soprano::Vocabulary::OWL::TransitiveProperty()
    {48, 650, 0, 0, Smoke::mf_static, 23, 33},	//787 Soprano::Vocabulary::OWL::onProperty()
    {48, 139, 0, 0, Smoke::mf_static, 23, 34},	//788 Soprano::Vocabulary::OWL::ObjectProperty()
    {48, 439, 0, 0, Smoke::mf_static, 23, 35},	//789 Soprano::Vocabulary::OWL::equivalentProperty()
    {48, 55, 0, 0, Smoke::mf_static, 23, 36},	//790 Soprano::Vocabulary::OWL::DatatypeProperty()
    {48, 312, 0, 0, Smoke::mf_static, 23, 37},	//791 Soprano::Vocabulary::OWL::cardinality()
    {48, 1, 0, 0, Smoke::mf_static, 23, 38},	//792 Soprano::Vocabulary::OWL::AllDifferent()
    {48, 43, 0, 0, Smoke::mf_static, 23, 39},	//793 Soprano::Vocabulary::OWL::Class()
    {48, 493, 0, 0, Smoke::mf_static, 23, 40},	//794 Soprano::Vocabulary::OWL::hasValue()
    {48, 274, 0, 0, Smoke::mf_static, 23, 41},	//795 Soprano::Vocabulary::OWL::allValuesFrom()
    {49, 217, 0, 0, Smoke::mf_static, 23, 1},	//796 Soprano::Vocabulary::RDF::Statement()
    {49, 2, 0, 0, Smoke::mf_static, 23, 2},	//797 Soprano::Vocabulary::RDF::Alt()
    {49, 161, 0, 0, Smoke::mf_static, 23, 3},	//798 Soprano::Vocabulary::RDF::Property()
    {49, 841, 0, 0, Smoke::mf_static, 23, 4},	//799 Soprano::Vocabulary::RDF::subject()
    {49, 462, 0, 0, Smoke::mf_static, 23, 5},	//800 Soprano::Vocabulary::RDF::first()
    {49, 116, 0, 0, Smoke::mf_static, 23, 6},	//801 Soprano::Vocabulary::RDF::List()
    {49, 894, 0, 0, Smoke::mf_static, 23, 7},	//802 Soprano::Vocabulary::RDF::value()
    {49, 192, 0, 0, Smoke::mf_static, 23, 8},	//803 Soprano::Vocabulary::RDF::Seq()
    {49, 648, 0, 0, Smoke::mf_static, 23, 9},	//804 Soprano::Vocabulary::RDF::object()
    {49, 751, 0, 0, Smoke::mf_static, 23, 10},	//805 Soprano::Vocabulary::RDF::rest()
    {49, 698, 0, 0, Smoke::mf_static, 23, 11},	//806 Soprano::Vocabulary::RDF::predicate()
    {49, 39, 0, 0, Smoke::mf_static, 23, 12},	//807 Soprano::Vocabulary::RDF::Bag()
    {49, 241, 0, 0, Smoke::mf_static, 23, 13},	//808 Soprano::Vocabulary::RDF::XMLLiteral()
    {49, 877, 0, 0, Smoke::mf_static, 23, 14},	//809 Soprano::Vocabulary::RDF::type()
    {49, 642, 0, 0, Smoke::mf_static, 23, 15},	//810 Soprano::Vocabulary::RDF::nil()
    {49, 716, 0, 0, Smoke::mf_static, 23, 16},	//811 Soprano::Vocabulary::RDF::rdfNamespace()
    {50, 713, 0, 0, Smoke::mf_static, 23, 1},	//812 Soprano::Vocabulary::RDFS::range()
    {50, 574, 0, 0, Smoke::mf_static, 23, 2},	//813 Soprano::Vocabulary::RDFS::label()
    {50, 623, 0, 0, Smoke::mf_static, 23, 3},	//814 Soprano::Vocabulary::RDFS::member()
    {50, 525, 0, 0, Smoke::mf_static, 23, 4},	//815 Soprano::Vocabulary::RDFS::isDefinedBy()
    {50, 117, 0, 0, Smoke::mf_static, 23, 5},	//816 Soprano::Vocabulary::RDFS::Literal()
    {50, 54, 0, 0, Smoke::mf_static, 23, 6},	//817 Soprano::Vocabulary::RDFS::Datatype()
    {50, 838, 0, 0, Smoke::mf_static, 23, 7},	//818 Soprano::Vocabulary::RDFS::subPropertyOf()
    {50, 331, 0, 0, Smoke::mf_static, 23, 8},	//819 Soprano::Vocabulary::RDFS::comment()
    {50, 834, 0, 0, Smoke::mf_static, 23, 9},	//820 Soprano::Vocabulary::RDFS::subClassOf()
    {50, 433, 0, 0, Smoke::mf_static, 23, 10},	//821 Soprano::Vocabulary::RDFS::domain()
    {50, 49, 0, 0, Smoke::mf_static, 23, 11},	//822 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
    {50, 717, 0, 0, Smoke::mf_static, 23, 12},	//823 Soprano::Vocabulary::RDFS::rdfsNamespace()
    {50, 184, 0, 0, Smoke::mf_static, 23, 13},	//824 Soprano::Vocabulary::RDFS::Resource()
    {50, 765, 0, 0, Smoke::mf_static, 23, 14},	//825 Soprano::Vocabulary::RDFS::seeAlso()
    {50, 43, 0, 0, Smoke::mf_static, 23, 15},	//826 Soprano::Vocabulary::RDFS::Class()
    {50, 48, 0, 0, Smoke::mf_static, 23, 16},	//827 Soprano::Vocabulary::RDFS::Container()
    {51, 820, 0, 0, Smoke::mf_static, 23, 1},	//828 Soprano::Vocabulary::SIL::sourceStatement()
    {51, 91, 0, 0, Smoke::mf_static, 23, 2},	//829 Soprano::Vocabulary::SIL::InferenceMetaData()
    {51, 815, 0, 0, Smoke::mf_static, 23, 3},	//830 Soprano::Vocabulary::SIL::silNamespace()
    {51, 368, 0, 0, Smoke::mf_static, 23, 4},	//831 Soprano::Vocabulary::SIL::context()
    {51, 90, 0, 0, Smoke::mf_static, 23, 5},	//832 Soprano::Vocabulary::SIL::InferenceGraph()
    {52, 296, 0, 0, Smoke::mf_static, 23, 1},	//833 Soprano::Vocabulary::XMLSchema::base64Binary()
    {52, 922, 0, 0, Smoke::mf_static, 23, 2},	//834 Soprano::Vocabulary::XMLSchema::xsdDouble()
    {52, 880, 0, 0, Smoke::mf_static, 23, 3},	//835 Soprano::Vocabulary::XMLSchema::unsignedInt()
    {52, 308, 0, 0, Smoke::mf_static, 23, 4},	//836 Soprano::Vocabulary::XMLSchema::boolean()
    {52, 882, 0, 0, Smoke::mf_static, 23, 5},	//837 Soprano::Vocabulary::XMLSchema::unsignedShort()
    {52, 391, 0, 0, Smoke::mf_static, 23, 6},	//838 Soprano::Vocabulary::XMLSchema::dateTime()
    {52, 392, 0, 0, Smoke::mf_static, 23, 7},	//839 Soprano::Vocabulary::XMLSchema::decimal()
    {52, 924, 0, 0, Smoke::mf_static, 23, 8},	//840 Soprano::Vocabulary::XMLSchema::xsdInt()
    {52, 926, 0, 0, Smoke::mf_static, 23, 9},	//841 Soprano::Vocabulary::XMLSchema::xsdNamespace()
    {52, 637, 0, 0, Smoke::mf_static, 23, 10},	//842 Soprano::Vocabulary::XMLSchema::negativeInteger()
    {52, 881, 0, 0, Smoke::mf_static, 23, 11},	//843 Soprano::Vocabulary::XMLSchema::unsignedLong()
    {52, 856, 0, 0, Smoke::mf_static, 23, 12},	//844 Soprano::Vocabulary::XMLSchema::time()
    {52, 833, 0, 0, Smoke::mf_static, 23, 13},	//845 Soprano::Vocabulary::XMLSchema::string()
    {52, 923, 0, 0, Smoke::mf_static, 23, 14},	//846 Soprano::Vocabulary::XMLSchema::xsdFloat()
    {52, 927, 0, 0, Smoke::mf_static, 23, 15},	//847 Soprano::Vocabulary::XMLSchema::xsdShort()
    {52, 510, 0, 0, Smoke::mf_static, 23, 16},	//848 Soprano::Vocabulary::XMLSchema::integer()
    {52, 925, 0, 0, Smoke::mf_static, 23, 17},	//849 Soprano::Vocabulary::XMLSchema::xsdLong()
    {52, 645, 0, 0, Smoke::mf_static, 23, 18},	//850 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
    {52, 390, 0, 0, Smoke::mf_static, 23, 19},	//851 Soprano::Vocabulary::XMLSchema::date()
    {53, 702, 0, 0, Smoke::mf_static, 23, 1},	//852 Soprano::Vocabulary::Xesam::primaryRecipient()
    {53, 330, 0, 0, Smoke::mf_static, 23, 2},	//853 Soprano::Vocabulary::Xesam::columnCount()
    {53, 155, 0, 0, Smoke::mf_static, 23, 3},	//854 Soprano::Vocabulary::Xesam::Photo()
    {53, 720, 0, 0, Smoke::mf_static, 23, 4},	//855 Soprano::Vocabulary::Xesam::recipient()
    {53, 66, 0, 0, Smoke::mf_static, 23, 5},	//856 Soprano::Vocabulary::Xesam::EmbeddedObject()
    {53, 917, 0, 0, Smoke::mf_static, 23, 6},	//857 Soprano::Vocabulary::Xesam::workPostalAddress()
    {53, 814, 0, 0, Smoke::mf_static, 23, 7},	//858 Soprano::Vocabulary::Xesam::sha1Hash()
    {53, 494, 0, 0, Smoke::mf_static, 23, 8},	//859 Soprano::Vocabulary::Xesam::height()
    {53, 516, 0, 0, Smoke::mf_static, 23, 9},	//860 Soprano::Vocabulary::Xesam::ircContactMedium()
    {53, 546, 0, 0, Smoke::mf_static, 23, 10},	//861 Soprano::Vocabulary::Xesam::isRead()
    {53, 80, 0, 0, Smoke::mf_static, 23, 11},	//862 Soprano::Vocabulary::Xesam::Folder()
    {53, 293, 0, 0, Smoke::mf_static, 23, 12},	//863 Soprano::Vocabulary::Xesam::autoRating()
    {53, 339, 0, 0, Smoke::mf_static, 23, 13},	//864 Soprano::Vocabulary::Xesam::conflicts()
    {53, 159, 0, 0, Smoke::mf_static, 23, 14},	//865 Soprano::Vocabulary::Xesam::Presentation()
    {53, 582, 0, 0, Smoke::mf_static, 23, 15},	//866 Soprano::Vocabulary::Xesam::licenseType()
    {53, 265, 0, 0, Smoke::mf_static, 23, 16},	//867 Soprano::Vocabulary::Xesam::albumGain()
    {53, 41, 0, 0, Smoke::mf_static, 23, 17},	//868 Soprano::Vocabulary::Xesam::BlockDevice()
    {53, 317, 0, 0, Smoke::mf_static, 23, 18},	//869 Soprano::Vocabulary::Xesam::changeCommitter()
    {53, 303, 0, 0, Smoke::mf_static, 23, 19},	//870 Soprano::Vocabulary::Xesam::birthDate()
    {53, 3, 0, 0, Smoke::mf_static, 23, 20},	//871 Soprano::Vocabulary::Xesam::Annotation()
    {53, 670, 0, 0, Smoke::mf_static, 23, 21},	//872 Soprano::Vocabulary::Xesam::paragraphCount()
    {53, 621, 0, 0, Smoke::mf_static, 23, 22},	//873 Soprano::Vocabulary::Xesam::mediaCodecType()
    {53, 921, 0, 0, Smoke::mf_static, 23, 23},	//874 Soprano::Vocabulary::Xesam::xesamNamespace()
    {53, 581, 0, 0, Smoke::mf_static, 23, 24},	//875 Soprano::Vocabulary::Xesam::license()
    {53, 77, 0, 0, Smoke::mf_static, 23, 25},	//876 Soprano::Vocabulary::Xesam::Filelike()
    {53, 181, 0, 0, Smoke::mf_static, 23, 26},	//877 Soprano::Vocabulary::Xesam::RemoteFile()
    {53, 468, 0, 0, Smoke::mf_static, 23, 27},	//878 Soprano::Vocabulary::Xesam::frameCount()
    {53, 512, 0, 0, Smoke::mf_static, 23, 28},	//879 Soprano::Vocabulary::Xesam::interlaceMode()
    {53, 76, 0, 0, Smoke::mf_static, 23, 29},	//880 Soprano::Vocabulary::Xesam::FileSystem()
    {53, 628, 0, 0, Smoke::mf_static, 23, 30},	//881 Soprano::Vocabulary::Xesam::mimeType()
    {53, 385, 0, 0, Smoke::mf_static, 23, 31},	//882 Soprano::Vocabulary::Xesam::creator()
    {53, 364, 0, 0, Smoke::mf_static, 23, 32},	//883 Soprano::Vocabulary::Xesam::contentCreated()
    {53, 614, 0, 0, Smoke::mf_static, 23, 33},	//884 Soprano::Vocabulary::Xesam::markupCharacterCount()
    {53, 719, 0, 0, Smoke::mf_static, 23, 34},	//885 Soprano::Vocabulary::Xesam::receptionTime()
    {53, 781, 0, 0, Smoke::mf_static, 23, 35},	//886 Soprano::Vocabulary::Xesam::setCount()
    {53, 214, 0, 0, Smoke::mf_static, 23, 36},	//887 Soprano::Vocabulary::Xesam::Source()
    {53, 331, 0, 0, Smoke::mf_static, 23, 37},	//888 Soprano::Vocabulary::Xesam::comment()
    {53, 370, 0, 0, Smoke::mf_static, 23, 38},	//889 Soprano::Vocabulary::Xesam::copyright()
    {53, 237, 0, 0, Smoke::mf_static, 23, 39},	//890 Soprano::Vocabulary::Xesam::Video()
    {53, 914, 0, 0, Smoke::mf_static, 23, 40},	//891 Soprano::Vocabulary::Xesam::wordCount()
    {53, 334, 0, 0, Smoke::mf_static, 23, 41},	//892 Soprano::Vocabulary::Xesam::communicationChannel()
    {53, 483, 0, 0, Smoke::mf_static, 23, 42},	//893 Soprano::Vocabulary::Xesam::group()
    {53, 455, 0, 0, Smoke::mf_static, 23, 43},	//894 Soprano::Vocabulary::Xesam::familyName()
    {53, 608, 0, 0, Smoke::mf_static, 23, 44},	//895 Soprano::Vocabulary::Xesam::localRevision()
    {53, 341, 0, 0, Smoke::mf_static, 23, 45},	//896 Soprano::Vocabulary::Xesam::contactMedium()
    {53, 336, 0, 0, Smoke::mf_static, 23, 46},	//897 Soprano::Vocabulary::Xesam::composer()
    {53, 284, 0, 0, Smoke::mf_static, 23, 47},	//898 Soprano::Vocabulary::Xesam::audioBitrate()
    {53, 697, 0, 0, Smoke::mf_static, 23, 48},	//899 Soprano::Vocabulary::Xesam::postalAddress()
    {53, 622, 0, 0, Smoke::mf_static, 23, 49},	//900 Soprano::Vocabulary::Xesam::mediaDuration()
    {53, 498, 0, 0, Smoke::mf_static, 23, 50},	//901 Soprano::Vocabulary::Xesam::homepageContactURL()
    {53, 885, 0, 0, Smoke::mf_static, 23, 51},	//902 Soprano::Vocabulary::Xesam::url()
    {53, 344, 0, 0, Smoke::mf_static, 23, 52},	//903 Soprano::Vocabulary::Xesam::contains()
    {53, 122, 0, 0, Smoke::mf_static, 23, 53},	//904 Soprano::Vocabulary::Xesam::MediaList()
    {53, 333, 0, 0, Smoke::mf_static, 23, 54},	//905 Soprano::Vocabulary::Xesam::commitDiff()
    {53, 480, 0, 0, Smoke::mf_static, 23, 55},	//906 Soprano::Vocabulary::Xesam::genre()
    {53, 402, 0, 0, Smoke::mf_static, 23, 56},	//907 Soprano::Vocabulary::Xesam::description()
    {53, 412, 0, 0, Smoke::mf_static, 23, 57},	//908 Soprano::Vocabulary::Xesam::discNumber()
    {53, 123, 0, 0, Smoke::mf_static, 23, 58},	//909 Soprano::Vocabulary::Xesam::Message()
    {53, 287, 0, 0, Smoke::mf_static, 23, 59},	//910 Soprano::Vocabulary::Xesam::audioCodecType()
    {53, 143, 0, 0, Smoke::mf_static, 23, 60},	//911 Soprano::Vocabulary::Xesam::Organization()
    {53, 664, 0, 0, Smoke::mf_static, 23, 61},	//912 Soprano::Vocabulary::Xesam::originURL()
    {53, 875, 0, 0, Smoke::mf_static, 23, 62},	//913 Soprano::Vocabulary::Xesam::trackNumber()
    {53, 313, 0, 0, Smoke::mf_static, 23, 63},	//914 Soprano::Vocabulary::Xesam::cc()
    {53, 144, 0, 0, Smoke::mf_static, 23, 64},	//915 Soprano::Vocabulary::Xesam::POP3Message()
    {53, 393, 0, 0, Smoke::mf_static, 23, 65},	//916 Soprano::Vocabulary::Xesam::definesClass()
    {53, 665, 0, 0, Smoke::mf_static, 23, 66},	//917 Soprano::Vocabulary::Xesam::originalLocation()
    {53, 282, 0, 0, Smoke::mf_static, 23, 67},	//918 Soprano::Vocabulary::Xesam::attachmentEncoding()
    {53, 505, 0, 0, Smoke::mf_static, 23, 68},	//919 Soprano::Vocabulary::Xesam::imContactMedium()
    {53, 624, 0, 0, Smoke::mf_static, 23, 69},	//920 Soprano::Vocabulary::Xesam::mergeConflict()
    {53, 459, 0, 0, Smoke::mf_static, 23, 70},	//921 Soprano::Vocabulary::Xesam::fingerprint()
    {53, 500, 0, 0, Smoke::mf_static, 23, 71},	//922 Soprano::Vocabulary::Xesam::honorificSuffix()
    {53, 559, 0, 0, Smoke::mf_static, 23, 72},	//923 Soprano::Vocabulary::Xesam::isoEquivalent()
    {53, 916, 0, 0, Smoke::mf_static, 23, 73},	//924 Soprano::Vocabulary::Xesam::workPhoneNumber()
    {53, 290, 0, 0, Smoke::mf_static, 23, 74},	//925 Soprano::Vocabulary::Xesam::audioSampleDataType()
    {53, 435, 0, 0, Smoke::mf_static, 23, 75},	//926 Soprano::Vocabulary::Xesam::emailAddress()
    {53, 338, 0, 0, Smoke::mf_static, 23, 76},	//927 Soprano::Vocabulary::Xesam::compressionLevel()
    {53, 859, 0, 0, Smoke::mf_static, 23, 77},	//928 Soprano::Vocabulary::Xesam::title()
    {53, 316, 0, 0, Smoke::mf_static, 23, 78},	//929 Soprano::Vocabulary::Xesam::changeCommitTime()
    {53, 121, 0, 0, Smoke::mf_static, 23, 79},	//930 Soprano::Vocabulary::Xesam::Media()
    {53, 452, 0, 0, Smoke::mf_static, 23, 80},	//931 Soprano::Vocabulary::Xesam::exposureProgram()
    {53, 534, 0, 0, Smoke::mf_static, 23, 81},	//932 Soprano::Vocabulary::Xesam::isEncrypted()
    {53, 57, 0, 0, Smoke::mf_static, 23, 82},	//933 Soprano::Vocabulary::Xesam::DeletedFile()
    {53, 634, 0, 0, Smoke::mf_static, 23, 83},	//934 Soprano::Vocabulary::Xesam::mountPoint()
    {53, 458, 0, 0, Smoke::mf_static, 23, 84},	//935 Soprano::Vocabulary::Xesam::fileSystemType()
    {53, 320, 0, 0, Smoke::mf_static, 23, 85},	//936 Soprano::Vocabulary::Xesam::chatRoom()
    {53, 457, 0, 0, Smoke::mf_static, 23, 86},	//937 Soprano::Vocabulary::Xesam::fileExtension()
    {53, 154, 0, 0, Smoke::mf_static, 23, 87},	//938 Soprano::Vocabulary::Xesam::PersonalEmail()
    {53, 456, 0, 0, Smoke::mf_static, 23, 88},	//939 Soprano::Vocabulary::Xesam::faxPhoneNumber()
    {53, 42, 0, 0, Smoke::mf_static, 23, 89},	//940 Soprano::Vocabulary::Xesam::Bookmark()
    {53, 124, 0, 0, Smoke::mf_static, 23, 90},	//941 Soprano::Vocabulary::Xesam::MessageboxMessage()
    {53, 507, 0, 0, Smoke::mf_static, 23, 91},	//942 Soprano::Vocabulary::Xesam::inReplyTo()
    {53, 545, 0, 0, Smoke::mf_static, 23, 92},	//943 Soprano::Vocabulary::Xesam::isPublicChannel()
    {53, 620, 0, 0, Smoke::mf_static, 23, 93},	//944 Soprano::Vocabulary::Xesam::mediaCodec()
    {53, 920, 0, 0, Smoke::mf_static, 23, 94},	//945 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
    {53, 723, 0, 0, Smoke::mf_static, 23, 95},	//946 Soprano::Vocabulary::Xesam::remotePort()
    {53, 759, 0, 0, Smoke::mf_static, 23, 96},	//947 Soprano::Vocabulary::Xesam::sampleConfiguration()
    {53, 666, 0, 0, Smoke::mf_static, 23, 97},	//948 Soprano::Vocabulary::Xesam::otherName()
    {53, 315, 0, 0, Smoke::mf_static, 23, 98},	//949 Soprano::Vocabulary::Xesam::cellPhoneNumber()
    {53, 523, 0, 0, Smoke::mf_static, 23, 99},	//950 Soprano::Vocabulary::Xesam::isContentEncrypted()
    {53, 649, 0, 0, Smoke::mf_static, 23, 100},	//951 Soprano::Vocabulary::Xesam::occupiedSpace()
    {53, 10, 0, 0, Smoke::mf_static, 23, 101},	//952 Soprano::Vocabulary::Xesam::Audio()
    {53, 89, 0, 0, Smoke::mf_static, 23, 102},	//953 Soprano::Vocabulary::Xesam::Image()
    {53, 635, 0, 0, Smoke::mf_static, 23, 103},	//954 Soprano::Vocabulary::Xesam::name()
    {53, 11, 0, 0, Smoke::mf_static, 23, 104},	//955 Soprano::Vocabulary::Xesam::AudioList()
    {53, 619, 0, 0, Smoke::mf_static, 23, 105},	//956 Soprano::Vocabulary::Xesam::mediaBitrate()
    {53, 693, 0, 0, Smoke::mf_static, 23, 106},	//957 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
    {53, 236, 0, 0, Smoke::mf_static, 23, 107},	//958 Soprano::Vocabulary::Xesam::UncategorizedText()
    {53, 328, 0, 0, Smoke::mf_static, 23, 108},	//959 Soprano::Vocabulary::Xesam::colorCount()
    {53, 318, 0, 0, Smoke::mf_static, 23, 109},	//960 Soprano::Vocabulary::Xesam::characterCount()
    {53, 365, 0, 0, Smoke::mf_static, 23, 110},	//961 Soprano::Vocabulary::Xesam::contentKeyword()
    {53, 264, 0, 0, Smoke::mf_static, 23, 111},	//962 Soprano::Vocabulary::Xesam::albumArtist()
    {53, 288, 0, 0, Smoke::mf_static, 23, 112},	//963 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
    {53, 816, 0, 0, Smoke::mf_static, 23, 113},	//964 Soprano::Vocabulary::Xesam::size()
    {53, 578, 0, 0, Smoke::mf_static, 23, 114},	//965 Soprano::Vocabulary::Xesam::lastRefreshed()
    {53, 910, 0, 0, Smoke::mf_static, 23, 115},	//966 Soprano::Vocabulary::Xesam::videoCodecType()
    {53, 725, 0, 0, Smoke::mf_static, 23, 116},	//967 Soprano::Vocabulary::Xesam::remoteUser()
    {53, 463, 0, 0, Smoke::mf_static, 23, 117},	//968 Soprano::Vocabulary::Xesam::firstUsed()
    {53, 891, 0, 0, Smoke::mf_static, 23, 118},	//969 Soprano::Vocabulary::Xesam::userRating()
    {53, 819, 0, 0, Smoke::mf_static, 23, 119},	//970 Soprano::Vocabulary::Xesam::sourceModified()
    {53, 627, 0, 0, Smoke::mf_static, 23, 120},	//971 Soprano::Vocabulary::Xesam::meteringMode()
    {53, 912, 0, 0, Smoke::mf_static, 23, 121},	//972 Soprano::Vocabulary::Xesam::whiteBalance()
    {53, 86, 0, 0, Smoke::mf_static, 23, 122},	//973 Soprano::Vocabulary::Xesam::IMAP4Message()
    {53, 618, 0, 0, Smoke::mf_static, 23, 123},	//974 Soprano::Vocabulary::Xesam::md5Hash()
    {53, 469, 0, 0, Smoke::mf_static, 23, 124},	//975 Soprano::Vocabulary::Xesam::frameRate()
    {53, 573, 0, 0, Smoke::mf_static, 23, 125},	//976 Soprano::Vocabulary::Xesam::knows()
    {53, 612, 0, 0, Smoke::mf_static, 23, 126},	//977 Soprano::Vocabulary::Xesam::mailingPostalAddress()
    {53, 183, 0, 0, Smoke::mf_static, 23, 127},	//978 Soprano::Vocabulary::Xesam::RemoteResource()
    {53, 246, 0, 0, Smoke::mf_static, 23, 128},	//979 Soprano::Vocabulary::Xesam::acl()
    {53, 537, 0, 0, Smoke::mf_static, 23, 129},	//980 Soprano::Vocabulary::Xesam::isInProgress()
    {53, 889, 0, 0, Smoke::mf_static, 23, 130},	//981 Soprano::Vocabulary::Xesam::userKeyword()
    {53, 342, 0, 0, Smoke::mf_static, 23, 131},	//982 Soprano::Vocabulary::Xesam::contactNick()
    {53, 501, 0, 0, Smoke::mf_static, 23, 132},	//983 Soprano::Vocabulary::Xesam::horizontalResolution()
    {53, 908, 0, 0, Smoke::mf_static, 23, 133},	//984 Soprano::Vocabulary::Xesam::videoBitrate()
    {53, 47, 0, 0, Smoke::mf_static, 23, 134},	//985 Soprano::Vocabulary::Xesam::ContactGroup()
    {53, 580, 0, 0, Smoke::mf_static, 23, 135},	//986 Soprano::Vocabulary::Xesam::legal()
    {53, 87, 0, 0, Smoke::mf_static, 23, 136},	//987 Soprano::Vocabulary::Xesam::IMMessage()
    {53, 907, 0, 0, Smoke::mf_static, 23, 137},	//988 Soprano::Vocabulary::Xesam::verticalResolution()
    {53, 470, 0, 0, Smoke::mf_static, 23, 138},	//989 Soprano::Vocabulary::Xesam::freeSpace()
    {53, 754, 0, 0, Smoke::mf_static, 23, 139},	//990 Soprano::Vocabulary::Xesam::rowCount()
    {53, 704, 0, 0, Smoke::mf_static, 23, 140},	//991 Soprano::Vocabulary::Xesam::programmingLanguage()
    {53, 395, 0, 0, Smoke::mf_static, 23, 141},	//992 Soprano::Vocabulary::Xesam::definesGlobalVariable()
    {53, 865, 0, 0, Smoke::mf_static, 23, 142},	//993 Soprano::Vocabulary::Xesam::totalUncompressedSize()
    {53, 50, 0, 0, Smoke::mf_static, 23, 143},	//994 Soprano::Vocabulary::Xesam::Content()
    {53, 285, 0, 0, Smoke::mf_static, 23, 144},	//995 Soprano::Vocabulary::Xesam::audioChannels()
    {53, 451, 0, 0, Smoke::mf_static, 23, 145},	//996 Soprano::Vocabulary::Xesam::exposureBias()
    {53, 311, 0, 0, Smoke::mf_static, 23, 146},	//997 Soprano::Vocabulary::Xesam::cameraModel()
    {53, 453, 0, 0, Smoke::mf_static, 23, 147},	//998 Soprano::Vocabulary::Xesam::exposureTime()
    {53, 398, 0, 0, Smoke::mf_static, 23, 148},	//999 Soprano::Vocabulary::Xesam::deletionTime()
    {53, 572, 0, 0, Smoke::mf_static, 23, 149},	//1000 Soprano::Vocabulary::Xesam::keyword()
    {53, 886, 0, 0, Smoke::mf_static, 23, 150},	//1001 Soprano::Vocabulary::Xesam::useCount()
    {53, 876, 0, 0, Smoke::mf_static, 23, 151},	//1002 Soprano::Vocabulary::Xesam::trackPeakGain()
    {53, 477, 0, 0, Smoke::mf_static, 23, 152},	//1003 Soprano::Vocabulary::Xesam::gender()
    {53, 874, 0, 0, Smoke::mf_static, 23, 153},	//1004 Soprano::Vocabulary::Xesam::trackGain()
    {53, 233, 0, 0, Smoke::mf_static, 23, 154},	//1005 Soprano::Vocabulary::Xesam::TextDocument()
    {53, 613, 0, 0, Smoke::mf_static, 23, 155},	//1006 Soprano::Vocabulary::Xesam::maintainer()
    {53, 721, 0, 0, Smoke::mf_static, 23, 156},	//1007 Soprano::Vocabulary::Xesam::related()
    {53, 864, 0, 0, Smoke::mf_static, 23, 157},	//1008 Soprano::Vocabulary::Xesam::totalSpace()
    {53, 175, 0, 0, Smoke::mf_static, 23, 158},	//1009 Soprano::Vocabulary::Xesam::RSSMessage()
    {53, 310, 0, 0, Smoke::mf_static, 23, 159},	//1010 Soprano::Vocabulary::Xesam::cameraManufacturer()
    {53, 913, 0, 0, Smoke::mf_static, 23, 160},	//1011 Soprano::Vocabulary::Xesam::width()
    {53, 748, 0, 0, Smoke::mf_static, 23, 161},	//1012 Soprano::Vocabulary::Xesam::replyTo()
    {53, 668, 0, 0, Smoke::mf_static, 23, 162},	//1013 Soprano::Vocabulary::Xesam::owner()
    {53, 140, 0, 0, Smoke::mf_static, 23, 163},	//1014 Soprano::Vocabulary::Xesam::OfflineMedia()
    {53, 860, 0, 0, Smoke::mf_static, 23, 164},	//1015 Soprano::Vocabulary::Xesam::to()
    {53, 799, 0, 0, Smoke::mf_static, 23, 165},	//1016 Soprano::Vocabulary::Xesam::setRate()
    {53, 188, 0, 0, Smoke::mf_static, 23, 166},	//1017 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
    {53, 496, 0, 0, Smoke::mf_static, 23, 167},	//1018 Soprano::Vocabulary::Xesam::homePhoneNumber()
    {53, 511, 0, 0, Smoke::mf_static, 23, 168},	//1019 Soprano::Vocabulary::Xesam::interest()
    {53, 292, 0, 0, Smoke::mf_static, 23, 169},	//1020 Soprano::Vocabulary::Xesam::author()
    {53, 584, 0, 0, Smoke::mf_static, 23, 170},	//1021 Soprano::Vocabulary::Xesam::links()
    {53, 213, 0, 0, Smoke::mf_static, 23, 171},	//1022 Soprano::Vocabulary::Xesam::SoftwarePackage()
    {53, 129, 0, 0, Smoke::mf_static, 23, 172},	//1023 Soprano::Vocabulary::Xesam::NewsGroupEmail()
    {53, 64, 0, 0, Smoke::mf_static, 23, 173},	//1024 Soprano::Vocabulary::Xesam::Email()
    {53, 286, 0, 0, Smoke::mf_static, 23, 174},	//1025 Soprano::Vocabulary::Xesam::audioCodec()
    {53, 239, 0, 0, Smoke::mf_static, 23, 175},	//1026 Soprano::Vocabulary::Xesam::Visual()
    {53, 841, 0, 0, Smoke::mf_static, 23, 176},	//1027 Soprano::Vocabulary::Xesam::subject()
    {53, 638, 0, 0, Smoke::mf_static, 23, 177},	//1028 Soprano::Vocabulary::Xesam::newsGroup()
    {53, 536, 0, 0, Smoke::mf_static, 23, 178},	//1029 Soprano::Vocabulary::Xesam::isImportant()
    {53, 497, 0, 0, Smoke::mf_static, 23, 179},	//1030 Soprano::Vocabulary::Xesam::homePostalAddress()
    {53, 579, 0, 0, Smoke::mf_static, 23, 180},	//1031 Soprano::Vocabulary::Xesam::lastUsed()
    {53, 267, 0, 0, Smoke::mf_static, 23, 181},	//1032 Soprano::Vocabulary::Xesam::albumTrackCount()
    {53, 319, 0, 0, Smoke::mf_static, 23, 182},	//1033 Soprano::Vocabulary::Xesam::charset()
    {53, 844, 0, 0, Smoke::mf_static, 23, 183},	//1034 Soprano::Vocabulary::Xesam::supercedes()
    {53, 888, 0, 0, Smoke::mf_static, 23, 184},	//1035 Soprano::Vocabulary::Xesam::userComment()
    {53, 479, 0, 0, Smoke::mf_static, 23, 185},	//1036 Soprano::Vocabulary::Xesam::generatorOptions()
    {53, 432, 0, 0, Smoke::mf_static, 23, 186},	//1037 Soprano::Vocabulary::Xesam::documentCategory()
    {53, 832, 0, 0, Smoke::mf_static, 23, 187},	//1038 Soprano::Vocabulary::Xesam::storageSize()
    {53, 401, 0, 0, Smoke::mf_static, 23, 188},	//1039 Soprano::Vocabulary::Xesam::derivedFrom()
    {53, 610, 0, 0, Smoke::mf_static, 23, 189},	//1040 Soprano::Vocabulary::Xesam::lyricist()
    {53, 230, 0, 0, Smoke::mf_static, 23, 190},	//1041 Soprano::Vocabulary::Xesam::SystemResource()
    {53, 663, 0, 0, Smoke::mf_static, 23, 191},	//1042 Soprano::Vocabulary::Xesam::orientation()
    {53, 306, 0, 0, Smoke::mf_static, 23, 192},	//1043 Soprano::Vocabulary::Xesam::blogContactURL()
    {53, 281, 0, 0, Smoke::mf_static, 23, 193},	//1044 Soprano::Vocabulary::Xesam::aspectRatio()
    {53, 329, 0, 0, Smoke::mf_static, 23, 194},	//1045 Soprano::Vocabulary::Xesam::colorSpace()
    {53, 399, 0, 0, Smoke::mf_static, 23, 195},	//1046 Soprano::Vocabulary::Xesam::depends()
    {53, 289, 0, 0, Smoke::mf_static, 23, 196},	//1047 Soprano::Vocabulary::Xesam::audioSampleCount()
    {53, 694, 0, 0, Smoke::mf_static, 23, 197},	//1048 Soprano::Vocabulary::Xesam::pixelDataType()
    {53, 332, 0, 0, Smoke::mf_static, 23, 198},	//1049 Soprano::Vocabulary::Xesam::commentCharacterCount()
    {53, 367, 0, 0, Smoke::mf_static, 23, 199},	//1050 Soprano::Vocabulary::Xesam::contentType()
    {53, 669, 0, 0, Smoke::mf_static, 23, 200},	//1051 Soprano::Vocabulary::Xesam::pageCount()
    {53, 893, 0, 0, Smoke::mf_static, 23, 201},	//1052 Soprano::Vocabulary::Xesam::usesNamespace()
    {53, 466, 0, 0, Smoke::mf_static, 23, 202},	//1053 Soprano::Vocabulary::Xesam::focusDistance()
    {53, 575, 0, 0, Smoke::mf_static, 23, 203},	//1054 Soprano::Vocabulary::Xesam::language()
    {53, 842, 0, 0, Smoke::mf_static, 23, 204},	//1055 Soprano::Vocabulary::Xesam::summary()
    {53, 413, 0, 0, Smoke::mf_static, 23, 205},	//1056 Soprano::Vocabulary::Xesam::disclaimer()
    {53, 689, 0, 0, Smoke::mf_static, 23, 206},	//1057 Soprano::Vocabulary::Xesam::permissions()
    {53, 724, 0, 0, Smoke::mf_static, 23, 207},	//1058 Soprano::Vocabulary::Xesam::remoteServer()
    {53, 127, 0, 0, Smoke::mf_static, 23, 208},	//1059 Soprano::Vocabulary::Xesam::Music()
    {53, 298, 0, 0, Smoke::mf_static, 23, 209},	//1060 Soprano::Vocabulary::Xesam::bcc()
    {53, 128, 0, 0, Smoke::mf_static, 23, 210},	//1061 Soprano::Vocabulary::Xesam::NewsGroup()
    {53, 692, 0, 0, Smoke::mf_static, 23, 211},	//1062 Soprano::Vocabulary::Xesam::phoneNumber()
    {53, 465, 0, 0, Smoke::mf_static, 23, 212},	//1063 Soprano::Vocabulary::Xesam::focalLength()
    {53, 120, 0, 0, Smoke::mf_static, 23, 213},	//1064 Soprano::Vocabulary::Xesam::MailingListEmail()
    {53, 232, 0, 0, Smoke::mf_static, 23, 214},	//1065 Soprano::Vocabulary::Xesam::Text()
    {53, 263, 0, 0, Smoke::mf_static, 23, 215},	//1066 Soprano::Vocabulary::Xesam::album()
    {53, 266, 0, 0, Smoke::mf_static, 23, 216},	//1067 Soprano::Vocabulary::Xesam::albumPeakGain()
    {53, 464, 0, 0, Smoke::mf_static, 23, 217},	//1068 Soprano::Vocabulary::Xesam::flashUsed()
    {53, 46, 0, 0, Smoke::mf_static, 23, 218},	//1069 Soprano::Vocabulary::Xesam::Contact()
    {53, 503, 0, 0, Smoke::mf_static, 23, 219},	//1070 Soprano::Vocabulary::Xesam::id()
    {53, 52, 0, 0, Smoke::mf_static, 23, 220},	//1071 Soprano::Vocabulary::Xesam::DataObject()
    {53, 337, 0, 0, Smoke::mf_static, 23, 221},	//1072 Soprano::Vocabulary::Xesam::compressionAlgorithm()
    {53, 722, 0, 0, Smoke::mf_static, 23, 222},	//1073 Soprano::Vocabulary::Xesam::remotePassword()
    {53, 182, 0, 0, Smoke::mf_static, 23, 223},	//1074 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
    {53, 394, 0, 0, Smoke::mf_static, 23, 224},	//1075 Soprano::Vocabulary::Xesam::definesFunction()
    {53, 478, 0, 0, Smoke::mf_static, 23, 225},	//1076 Soprano::Vocabulary::Xesam::generator()
    {53, 755, 0, 0, Smoke::mf_static, 23, 226},	//1077 Soprano::Vocabulary::Xesam::rssFeed()
    {53, 291, 0, 0, Smoke::mf_static, 23, 227},	//1078 Soprano::Vocabulary::Xesam::audioSampleRate()
    {53, 119, 0, 0, Smoke::mf_static, 23, 228},	//1079 Soprano::Vocabulary::Xesam::MailingList()
    {53, 855, 0, 0, Smoke::mf_static, 23, 229},	//1080 Soprano::Vocabulary::Xesam::targetQuality()
    {53, 215, 0, 0, Smoke::mf_static, 23, 230},	//1081 Soprano::Vocabulary::Xesam::SourceCode()
    {53, 760, 0, 0, Smoke::mf_static, 23, 231},	//1082 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
    {53, 75, 0, 0, Smoke::mf_static, 23, 232},	//1083 Soprano::Vocabulary::Xesam::File()
    {53, 481, 0, 0, Smoke::mf_static, 23, 233},	//1084 Soprano::Vocabulary::Xesam::givenName()
    {53, 690, 0, 0, Smoke::mf_static, 23, 234},	//1085 Soprano::Vocabulary::Xesam::personPhoto()
    {53, 369, 0, 0, Smoke::mf_static, 23, 235},	//1086 Soprano::Vocabulary::Xesam::contributor()
    {53, 279, 0, 0, Smoke::mf_static, 23, 236},	//1087 Soprano::Vocabulary::Xesam::artist()
    {53, 216, 0, 0, Smoke::mf_static, 23, 237},	//1088 Soprano::Vocabulary::Xesam::Spreadsheet()
    {53, 343, 0, 0, Smoke::mf_static, 23, 238},	//1089 Soprano::Vocabulary::Xesam::contactURL()
    {53, 278, 0, 0, Smoke::mf_static, 23, 239},	//1090 Soprano::Vocabulary::Xesam::aperture()
    {53, 499, 0, 0, Smoke::mf_static, 23, 240},	//1091 Soprano::Vocabulary::Xesam::honorificPrefix()
    {53, 283, 0, 0, Smoke::mf_static, 23, 241},	//1092 Soprano::Vocabulary::Xesam::audioBPM()
    {53, 314, 0, 0, Smoke::mf_static, 23, 242},	//1093 Soprano::Vocabulary::Xesam::ccdWidth()
    {53, 549, 0, 0, Smoke::mf_static, 23, 243},	//1094 Soprano::Vocabulary::Xesam::isSourceEncrypted()
    {53, 571, 0, 0, Smoke::mf_static, 23, 244},	//1095 Soprano::Vocabulary::Xesam::jabberContactMedium()
    {53, 63, 0, 0, Smoke::mf_static, 23, 245},	//1096 Soprano::Vocabulary::Xesam::Documentation()
    {53, 240, 0, 0, Smoke::mf_static, 23, 246},	//1097 Soprano::Vocabulary::Xesam::XML()
    {53, 187, 0, 0, Smoke::mf_static, 23, 247},	//1098 Soprano::Vocabulary::Xesam::RevisionControlledFile()
    {53, 297, 0, 0, Smoke::mf_static, 23, 248},	//1099 Soprano::Vocabulary::Xesam::baseRevisionID()
    {53, 5, 0, 0, Smoke::mf_static, 23, 249},	//1100 Soprano::Vocabulary::Xesam::Archive()
    {53, 280, 0, 0, Smoke::mf_static, 23, 250},	//1101 Soprano::Vocabulary::Xesam::asText()
    {53, 44, 0, 0, Smoke::mf_static, 23, 251},	//1102 Soprano::Vocabulary::Xesam::CommunicationChannel()
    {53, 495, 0, 0, Smoke::mf_static, 23, 252},	//1103 Soprano::Vocabulary::Xesam::homeEmailAddress()
    {53, 915, 0, 0, Smoke::mf_static, 23, 253},	//1104 Soprano::Vocabulary::Xesam::workEmailAddress()
    {53, 366, 0, 0, Smoke::mf_static, 23, 254},	//1105 Soprano::Vocabulary::Xesam::contentModified()
    {53, 174, 0, 0, Smoke::mf_static, 23, 255},	//1106 Soprano::Vocabulary::Xesam::RSSFeed()
    {53, 61, 0, 0, Smoke::mf_static, 23, 256},	//1107 Soprano::Vocabulary::Xesam::Document()
    {53, 611, 0, 0, Smoke::mf_static, 23, 257},	//1108 Soprano::Vocabulary::Xesam::mailingList()
    {53, 583, 0, 0, Smoke::mf_static, 23, 258},	//1109 Soprano::Vocabulary::Xesam::lineCount()
    {53, 688, 0, 0, Smoke::mf_static, 23, 259},	//1110 Soprano::Vocabulary::Xesam::performer()
    {53, 6, 0, 0, Smoke::mf_static, 23, 260},	//1111 Soprano::Vocabulary::Xesam::ArchivedFile()
    {53, 65, 0, 0, Smoke::mf_static, 23, 261},	//1112 Soprano::Vocabulary::Xesam::EmailAttachment()
    {53, 363, 0, 0, Smoke::mf_static, 23, 262},	//1113 Soprano::Vocabulary::Xesam::contentComment()
    {53, 764, 0, 0, Smoke::mf_static, 23, 263},	//1114 Soprano::Vocabulary::Xesam::secondaryRecipient()
    {53, 467, 0, 0, Smoke::mf_static, 23, 264},	//1115 Soprano::Vocabulary::Xesam::formatSubtype()
    {53, 160, 0, 0, Smoke::mf_static, 23, 265},	//1116 Soprano::Vocabulary::Xesam::Project()
    {53, 766, 0, 0, Smoke::mf_static, 23, 266},	//1117 Soprano::Vocabulary::Xesam::seenAttachedAs()
    {53, 818, 0, 0, Smoke::mf_static, 23, 267},	//1118 Soprano::Vocabulary::Xesam::sourceCreated()
    {53, 231, 0, 0, Smoke::mf_static, 23, 268},	//1119 Soprano::Vocabulary::Xesam::Tag()
    {53, 901, 0, 0, Smoke::mf_static, 23, 269},	//1120 Soprano::Vocabulary::Xesam::version()
    {53, 909, 0, 0, Smoke::mf_static, 23, 270},	//1121 Soprano::Vocabulary::Xesam::videoCodec()
    {53, 761, 0, 0, Smoke::mf_static, 23, 271},	//1122 Soprano::Vocabulary::Xesam::sampleDataType()
    {53, 153, 0, 0, Smoke::mf_static, 23, 272},	//1123 Soprano::Vocabulary::Xesam::Person()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    113,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    114,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    0,
    144,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    147,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    148,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    0,
    43,  // Soprano::qHash(const Soprano::Node&)
    46,  // Soprano::qHash(const Soprano::Statement&)
    53,  // Soprano::qHash(const Soprano::LanguageTag&)
    67,  // Soprano::qHash(const Soprano::LiteralValue&)
    0,
    42,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    59,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    60,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    71,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    0,
    41,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    58,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    0,
    57,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    69,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    0,
    565,  // Soprano::Util::AsyncQuery::binding(const QString&) const
    566,  // Soprano::Util::AsyncQuery::binding(int) const
    0,
    376,  // Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    377,  // Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    0,
    384,  // Soprano::QueryResultIterator::binding(const QString&) const
    385,  // Soprano::QueryResultIterator::binding(int) const
    0,
    393,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    394,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    382,  // Soprano::QueryResultIterator::operator[](int) const
    383,  // Soprano::QueryResultIterator::operator[](const QString) const
    0,
    274,  // Soprano::Node::Node(const QUrl&)
    276,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    278,  // Soprano::Node::Node(const Soprano::Node&)
    0,
    279,  // Soprano::Node::operator=(const Soprano::Node&)
    280,  // Soprano::Node::operator=(const QUrl&)
    281,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    0,
    282,  // Soprano::Node::operator==(const Soprano::Node&) const
    284,  // Soprano::Node::operator==(const QUrl&) const
    285,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    124,  // Soprano::Error::Error::Error(const Soprano::Error::Error&)
    131,  // Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 97, 13},	// QGlobalSpace::LicensedActiveQt
    {4, 98, 19},	// QGlobalSpace::LicensedCore
    {4, 99, 11},	// QGlobalSpace::LicensedDBus
    {4, 100, 16},	// QGlobalSpace::LicensedDeclarative
    {4, 101, 6},	// QGlobalSpace::LicensedGui
    {4, 102, 25},	// QGlobalSpace::LicensedHelp
    {4, 103, 26},	// QGlobalSpace::LicensedMultimedia
    {4, 104, 29},	// QGlobalSpace::LicensedNetwork
    {4, 105, 18},	// QGlobalSpace::LicensedOpenGL
    {4, 106, 10},	// QGlobalSpace::LicensedOpenVG
    {4, 107, 27},	// QGlobalSpace::LicensedQt3Support
    {4, 108, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {4, 109, 9},	// QGlobalSpace::LicensedScript
    {4, 110, 14},	// QGlobalSpace::LicensedScriptTools
    {4, 111, 17},	// QGlobalSpace::LicensedSql
    {4, 112, 15},	// QGlobalSpace::LicensedSvg
    {4, 113, 12},	// QGlobalSpace::LicensedTest
    {4, 114, 7},	// QGlobalSpace::LicensedXml
    {4, 115, 28},	// QGlobalSpace::LicensedXmlPatterns
    {4, 162, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 163, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 164, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 165, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 166, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 167, 22},	// QGlobalSpace::QtCriticalMsg
    {4, 168, 20},	// QGlobalSpace::QtDebugMsg
    {4, 169, 23},	// QGlobalSpace::QtFatalMsg
    {4, 170, 24},	// QGlobalSpace::QtSystemMsg
    {4, 171, 21},	// QGlobalSpace::QtWarningMsg
    {4, 242, 32},	// QGlobalSpace::__codecvt_error
    {4, 243, 33},	// QGlobalSpace::__codecvt_noconv
    {4, 244, 30},	// QGlobalSpace::__codecvt_ok
    {4, 245, 31},	// QGlobalSpace::__codecvt_partial
    {12, 15, 74},	// Soprano::BackendFeatureAddStatement
    {12, 16, 82},	// Soprano::BackendFeatureAll
    {12, 17, 80},	// Soprano::BackendFeatureContext
    {12, 18, 78},	// Soprano::BackendFeatureInference
    {12, 19, 79},	// Soprano::BackendFeatureInferenceOptional
    {12, 20, 76},	// Soprano::BackendFeatureListStatements
    {12, 21, 73},	// Soprano::BackendFeatureNone
    {12, 22, 77},	// Soprano::BackendFeatureQuery
    {12, 23, 75},	// Soprano::BackendFeatureRemoveStatements
    {12, 24, 81},	// Soprano::BackendFeatureStorageMemory
    {12, 25, 83},	// Soprano::BackendFeatureUser
    {12, 26, 86},	// Soprano::BackendOptionEnableInference
    {12, 27, 88},	// Soprano::BackendOptionHost
    {12, 28, 84},	// Soprano::BackendOptionNone
    {12, 29, 91},	// Soprano::BackendOptionPassword
    {12, 30, 89},	// Soprano::BackendOptionPort
    {12, 31, 87},	// Soprano::BackendOptionStorageDir
    {12, 32, 85},	// Soprano::BackendOptionStorageMemory
    {12, 33, 92},	// Soprano::BackendOptionUser
    {12, 34, 90},	// Soprano::BackendOptionUsername
    {12, 193, 95},	// Soprano::SerializationN3
    {12, 194, 99},	// Soprano::SerializationNQuads
    {12, 195, 96},	// Soprano::SerializationNTriples
    {12, 196, 94},	// Soprano::SerializationRdfXml
    {12, 197, 98},	// Soprano::SerializationTrig
    {12, 198, 97},	// Soprano::SerializationTurtle
    {12, 199, 93},	// Soprano::SerializationUnknown
    {12, 200, 100},	// Soprano::SerializationUser
    {12, 379, 55},	// Soprano::createModel
    {12, 380, 54},	// Soprano::createModel?
    {12, 416, 45},	// Soprano::discoverBackendByFeatures$
    {12, 417, 44},	// Soprano::discoverBackendByFeatures$?
    {12, 419, 50},	// Soprano::discoverBackendByName$
    {12, 540, 63},	// Soprano::isOptionInSettings?$
    {12, 541, 62},	// Soprano::isOptionInSettings?$$
    {12, 630, 47},	// Soprano::mimeTypeToSerialization$
    {12, 707, -8},	// Soprano::qHash#
    {12, 770, 49},	// Soprano::serializationMimeType$
    {12, 771, 48},	// Soprano::serializationMimeType$$
    {12, 807, 52},	// Soprano::setUsedBackend#
    {12, 811, 61},	// Soprano::settingInSettings?
    {12, 812, -13},	// Soprano::settingInSettings?$
    {12, 813, -18},	// Soprano::settingInSettings?$$
    {12, 887, 70},	// Soprano::usedBackend
    {12, 896, -21},	// Soprano::valueInSettings?$
    {12, 897, 56},	// Soprano::valueInSettings?$#
    {12, 898, 68},	// Soprano::valueInSettings?$$
    {12, 900, 51},	// Soprano::valueInSettingsWithDefault?$#
    {12, 903, 65},	// Soprano::versionMajor
    {12, 904, 72},	// Soprano::versionMinor
    {12, 905, 66},	// Soprano::versionRelease
    {12, 906, 64},	// Soprano::versionString
    {13, 13, 107},	// Soprano::Backend::Backend#
    {13, 14, 101},	// Soprano::Backend::Backend$
    {13, 379, 108},	// Soprano::Backend::createModel
    {13, 380, 102},	// Soprano::Backend::createModel?
    {13, 397, 103},	// Soprano::Backend::deleteModelData?
    {13, 845, 104},	// Soprano::Backend::supportedFeatures
    {13, 847, 105},	// Soprano::Backend::supportedUserFeatures
    {13, 850, 109},	// Soprano::Backend::supportsFeatures$
    {13, 851, 106},	// Soprano::Backend::supportsFeatures$?
    {13, 931, 110},	// Soprano::Backend::~Backend
    {14, 35, 111},	// Soprano::BackendSetting::BackendSetting
    {14, 36, 115},	// Soprano::BackendSetting::BackendSetting#
    {14, 37, 112},	// Soprano::BackendSetting::BackendSetting$
    {14, 38, -1},	// Soprano::BackendSetting::BackendSetting$#
    {14, 656, 116},	// Soprano::BackendSetting::operator=#
    {14, 662, 117},	// Soprano::BackendSetting::option
    {14, 809, 120},	// Soprano::BackendSetting::setValue#
    {14, 890, 118},	// Soprano::BackendSetting::userOptionName
    {14, 894, 119},	// Soprano::BackendSetting::value
    {14, 932, 121},	// Soprano::BackendSetting::~BackendSetting
    {16, 68, 122},	// Soprano::Error::Error::Error
    {16, 69, -51},	// Soprano::Error::Error::Error#
    {16, 70, 132},	// Soprano::Error::Error::Error$
    {16, 71, 123},	// Soprano::Error::Error::Error$$
    {16, 327, 128},	// Soprano::Error::Error::code
    {16, 542, 129},	// Soprano::Error::Error::isParserError
    {16, 625, 127},	// Soprano::Error::Error::message
    {16, 652, 126},	// Soprano::Error::Error::operator bool
    {16, 656, 125},	// Soprano::Error::Error::operator=#
    {16, 862, 130},	// Soprano::Error::Error::toParserError
    {16, 933, 133},	// Soprano::Error::Error::~Error
    {17, 72, 135},	// Soprano::Error::ErrorCache::ErrorCache
    {17, 73, 139},	// Soprano::Error::ErrorCache::ErrorCache#
    {17, 323, 136},	// Soprano::Error::ErrorCache::clearError
    {17, 576, 134},	// Soprano::Error::ErrorCache::lastError
    {17, 783, 137},	// Soprano::Error::ErrorCache::setError#
    {17, 784, 140},	// Soprano::Error::ErrorCache::setError$
    {17, 785, 138},	// Soprano::Error::ErrorCache::setError$$
    {17, 934, 141},	// Soprano::Error::ErrorCache::~ErrorCache
    {20, 148, 142},	// Soprano::Error::ParserError::ParserError
    {20, 149, -4},	// Soprano::Error::ParserError::ParserError#
    {20, 150, 149},	// Soprano::Error::ParserError::ParserError#$
    {20, 151, 143},	// Soprano::Error::ParserError::ParserError#$$
    {20, 609, 146},	// Soprano::Error::ParserError::locator
    {20, 656, 145},	// Soprano::Error::ParserError::operator=#
    {20, 941, 150},	// Soprano::Error::ParserError::~ParserError
    {21, 78, 180},	// Soprano::FilterModel::FilterModel
    {21, 79, 181},	// Soprano::FilterModel::FilterModel#
    {21, 252, 160},	// Soprano::FilterModel::addStatement#
    {21, 253, 188},	// Soprano::FilterModel::addStatement###
    {21, 254, 161},	// Soprano::FilterModel::addStatement####
    {21, 346, 172},	// Soprano::FilterModel::containsAnyStatement#
    {21, 347, 194},	// Soprano::FilterModel::containsAnyStatement###
    {21, 348, 173},	// Soprano::FilterModel::containsAnyStatement####
    {21, 356, 170},	// Soprano::FilterModel::containsStatement#
    {21, 357, 193},	// Soprano::FilterModel::containsStatement###
    {21, 358, 171},	// Soprano::FilterModel::containsStatement####
    {21, 372, 177},	// Soprano::FilterModel::createBlankNode
    {21, 446, 192},	// Soprano::FilterModel::executeQuery$$
    {21, 447, 169},	// Soprano::FilterModel::executeQuery$$$
    {21, 532, 174},	// Soprano::FilterModel::isEmpty
    {21, 585, 168},	// Soprano::FilterModel::listContexts
    {21, 587, 179},	// Soprano::FilterModel::listStatements
    {21, 588, 166},	// Soprano::FilterModel::listStatements#
    {21, 589, 191},	// Soprano::FilterModel::listStatements###
    {21, 590, 167},	// Soprano::FilterModel::listStatements####
    {21, 626, 151},	// Soprano::FilterModel::metaObject
    {21, 671, 159},	// Soprano::FilterModel::parentModel
    {21, 673, 184},	// Soprano::FilterModel::parentStatementAdded#
    {21, 675, 185},	// Soprano::FilterModel::parentStatementRemoved#
    {21, 676, 182},	// Soprano::FilterModel::parentStatementsAdded
    {21, 677, 183},	// Soprano::FilterModel::parentStatementsRemoved
    {21, 709, 157},	// Soprano::FilterModel::qt_metacall$$?
    {21, 711, 152},	// Soprano::FilterModel::qt_metacast$
    {21, 726, 178},	// Soprano::FilterModel::removeAllStatements
    {21, 727, 164},	// Soprano::FilterModel::removeAllStatements#
    {21, 728, 190},	// Soprano::FilterModel::removeAllStatements###
    {21, 729, 165},	// Soprano::FilterModel::removeAllStatements####
    {21, 737, 162},	// Soprano::FilterModel::removeStatement#
    {21, 738, 189},	// Soprano::FilterModel::removeStatement###
    {21, 739, 163},	// Soprano::FilterModel::removeStatement####
    {21, 793, 158},	// Soprano::FilterModel::setParentModel#
    {21, 823, 175},	// Soprano::FilterModel::statementCount
    {21, 830, 195},	// Soprano::FilterModel::staticMetaObject
    {21, 867, 186},	// Soprano::FilterModel::tr$
    {21, 868, 153},	// Soprano::FilterModel::tr$$
    {21, 869, 155},	// Soprano::FilterModel::tr$$$
    {21, 871, 187},	// Soprano::FilterModel::trUtf8$
    {21, 872, 154},	// Soprano::FilterModel::trUtf8$$
    {21, 873, 156},	// Soprano::FilterModel::trUtf8$$$
    {21, 919, 176},	// Soprano::FilterModel::write#
    {21, 935, 196},	// Soprano::FilterModel::~FilterModel
    {22, 93, 204},	// Soprano::Inference::InferenceModel::InferenceModel#
    {22, 250, 208},	// Soprano::Inference::InferenceModel::addRule#
    {22, 252, 205},	// Soprano::Inference::InferenceModel::addStatement#
    {22, 253, 220},	// Soprano::Inference::InferenceModel::addStatement###
    {22, 254, 210},	// Soprano::Inference::InferenceModel::addStatement####
    {22, 324, 215},	// Soprano::Inference::InferenceModel::clearInference
    {22, 626, 197},	// Soprano::Inference::InferenceModel::metaObject
    {22, 687, 214},	// Soprano::Inference::InferenceModel::performInference
    {22, 709, 203},	// Soprano::Inference::InferenceModel::qt_metacall$$?
    {22, 711, 198},	// Soprano::Inference::InferenceModel::qt_metacast$
    {22, 726, 213},	// Soprano::Inference::InferenceModel::removeAllStatements
    {22, 727, 207},	// Soprano::Inference::InferenceModel::removeAllStatements#
    {22, 728, 222},	// Soprano::Inference::InferenceModel::removeAllStatements###
    {22, 729, 212},	// Soprano::Inference::InferenceModel::removeAllStatements####
    {22, 737, 206},	// Soprano::Inference::InferenceModel::removeStatement#
    {22, 738, 221},	// Soprano::Inference::InferenceModel::removeStatement###
    {22, 739, 211},	// Soprano::Inference::InferenceModel::removeStatement####
    {22, 778, 216},	// Soprano::Inference::InferenceModel::setCompressedSourceStatements$
    {22, 791, 217},	// Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
    {22, 803, 209},	// Soprano::Inference::InferenceModel::setRules?
    {22, 830, 223},	// Soprano::Inference::InferenceModel::staticMetaObject
    {22, 867, 218},	// Soprano::Inference::InferenceModel::tr$
    {22, 868, 199},	// Soprano::Inference::InferenceModel::tr$$
    {22, 869, 201},	// Soprano::Inference::InferenceModel::tr$$$
    {22, 871, 219},	// Soprano::Inference::InferenceModel::trUtf8$
    {22, 872, 200},	// Soprano::Inference::InferenceModel::trUtf8$$
    {22, 873, 202},	// Soprano::Inference::InferenceModel::trUtf8$$$
    {22, 936, 224},	// Soprano::Inference::InferenceModel::~InferenceModel
    {26, 125, 261},	// Soprano::Model::Model
    {26, 252, 232},	// Soprano::Model::addStatement#
    {26, 253, 264},	// Soprano::Model::addStatement###
    {26, 254, 233},	// Soprano::Model::addStatement####
    {26, 260, 234},	// Soprano::Model::addStatements?
    {26, 346, 248},	// Soprano::Model::containsAnyStatement#
    {26, 347, 269},	// Soprano::Model::containsAnyStatement###
    {26, 348, 249},	// Soprano::Model::containsAnyStatement####
    {26, 354, 252},	// Soprano::Model::containsContext#
    {26, 356, 250},	// Soprano::Model::containsStatement#
    {26, 357, 270},	// Soprano::Model::containsStatement###
    {26, 358, 251},	// Soprano::Model::containsStatement####
    {26, 372, 256},	// Soprano::Model::createBlankNode
    {26, 446, 268},	// Soprano::Model::executeQuery$$
    {26, 447, 247},	// Soprano::Model::executeQuery$$$
    {26, 532, 253},	// Soprano::Model::isEmpty
    {26, 585, 246},	// Soprano::Model::listContexts
    {26, 587, 244},	// Soprano::Model::listStatements
    {26, 588, 242},	// Soprano::Model::listStatements#
    {26, 589, 267},	// Soprano::Model::listStatements###
    {26, 590, 243},	// Soprano::Model::listStatements####
    {26, 596, 245},	// Soprano::Model::listStatementsInContext#
    {26, 626, 225},	// Soprano::Model::metaObject
    {26, 709, 231},	// Soprano::Model::qt_metacall$$?
    {26, 711, 226},	// Soprano::Model::qt_metacast$
    {26, 726, 241},	// Soprano::Model::removeAllStatements
    {26, 727, 237},	// Soprano::Model::removeAllStatements#
    {26, 728, 266},	// Soprano::Model::removeAllStatements###
    {26, 729, 238},	// Soprano::Model::removeAllStatements####
    {26, 735, 240},	// Soprano::Model::removeContext#
    {26, 737, 235},	// Soprano::Model::removeStatement#
    {26, 738, 265},	// Soprano::Model::removeStatement###
    {26, 739, 236},	// Soprano::Model::removeStatement####
    {26, 745, 239},	// Soprano::Model::removeStatements?
    {26, 822, 259},	// Soprano::Model::statementAdded#
    {26, 823, 254},	// Soprano::Model::statementCount
    {26, 827, 260},	// Soprano::Model::statementRemoved#
    {26, 828, 257},	// Soprano::Model::statementsAdded
    {26, 829, 258},	// Soprano::Model::statementsRemoved
    {26, 830, 271},	// Soprano::Model::staticMetaObject
    {26, 867, 262},	// Soprano::Model::tr$
    {26, 868, 227},	// Soprano::Model::tr$$
    {26, 869, 229},	// Soprano::Model::tr$$$
    {26, 871, 263},	// Soprano::Model::trUtf8$
    {26, 872, 228},	// Soprano::Model::trUtf8$$
    {26, 873, 230},	// Soprano::Model::trUtf8$$$
    {26, 919, 255},	// Soprano::Model::write#
    {26, 937, 272},	// Soprano::Model::~Model
    {27, 40, 315},	// Soprano::Node::BlankNode
    {27, 67, 312},	// Soprano::Node::EmptyNode
    {27, 88, 319},	// Soprano::Node::IgnorePrefixes
    {27, 118, 314},	// Soprano::Node::LiteralNode
    {27, 130, 316},	// Soprano::Node::NoFlags
    {27, 131, 273},	// Soprano::Node::Node
    {27, 132, -39},	// Soprano::Node::Node#
    {27, 133, 277},	// Soprano::Node::Node#$
    {27, 134, 275},	// Soprano::Node::Node$
    {27, 185, 313},	// Soprano::Node::ResourceNode
    {27, 226, 317},	// Soprano::Node::StrictLiteralTypes
    {27, 227, 318},	// Soprano::Node::StrictUris
    {27, 305, 306},	// Soprano::Node::blankToN3$
    {27, 373, 302},	// Soprano::Node::createBlankNode$
    {27, 375, 300},	// Soprano::Node::createEmptyNode
    {27, 377, 303},	// Soprano::Node::createLiteralNode#
    {27, 378, 304},	// Soprano::Node::createLiteralNode#$
    {27, 382, 301},	// Soprano::Node::createResourceNode#
    {27, 389, 296},	// Soprano::Node::dataType
    {27, 472, 310},	// Soprano::Node::fromN3$
    {27, 473, 308},	// Soprano::Node::fromN3$$
    {27, 475, 311},	// Soprano::Node::fromN3Stream#
    {27, 476, 309},	// Soprano::Node::fromN3Stream#$
    {27, 504, 294},	// Soprano::Node::identifier
    {27, 519, 292},	// Soprano::Node::isBlank
    {27, 532, 288},	// Soprano::Node::isEmpty
    {27, 538, 290},	// Soprano::Node::isLiteral
    {27, 548, 291},	// Soprano::Node::isResource
    {27, 558, 289},	// Soprano::Node::isValid
    {27, 575, 297},	// Soprano::Node::language
    {27, 597, 295},	// Soprano::Node::literal
    {27, 599, 307},	// Soprano::Node::literalToN3#
    {27, 616, 286},	// Soprano::Node::matches#
    {27, 654, 283},	// Soprano::Node::operator!=#
    {27, 656, -43},	// Soprano::Node::operator=#
    {27, 658, -47},	// Soprano::Node::operator==#
    {27, 750, 305},	// Soprano::Node::resourceToN3#
    {27, 861, 299},	// Soprano::Node::toN3
    {27, 863, 298},	// Soprano::Node::toString
    {27, 877, 287},	// Soprano::Node::type
    {27, 884, 293},	// Soprano::Node::uri
    {27, 938, 320},	// Soprano::Node::~Node
    {28, 135, 321},	// Soprano::NodeIterator::NodeIterator
    {28, 136, 323},	// Soprano::NodeIterator::NodeIterator#
    {28, 137, 322},	// Soprano::NodeIterator::NodeIterator?
    {28, 270, 325},	// Soprano::NodeIterator::allNodes
    {28, 656, 324},	// Soprano::NodeIterator::operator=#
    {28, 939, 326},	// Soprano::NodeIterator::~NodeIterator
    {29, 146, 334},	// Soprano::Parser::Parser#
    {29, 147, 333},	// Soprano::Parser::Parser$
    {29, 679, 336},	// Soprano::Parser::parseFile$#$
    {29, 680, 330},	// Soprano::Parser::parseFile$#$$
    {29, 682, 338},	// Soprano::Parser::parseStream##$
    {29, 683, 332},	// Soprano::Parser::parseStream##$$
    {29, 685, 337},	// Soprano::Parser::parseString$#$
    {29, 686, 331},	// Soprano::Parser::parseString$#$$
    {29, 846, 327},	// Soprano::Parser::supportedSerializations
    {29, 848, 328},	// Soprano::Parser::supportedUserSerializations
    {29, 853, 335},	// Soprano::Parser::supportsSerialization$
    {29, 854, 329},	// Soprano::Parser::supportsSerialization$$
    {29, 940, 339},	// Soprano::Parser::~Parser
    {30, 157, 343},	// Soprano::Plugin::Plugin#
    {30, 158, 342},	// Soprano::Plugin::Plugin$
    {30, 517, 341},	// Soprano::Plugin::isAvailable
    {30, 695, 340},	// Soprano::Plugin::pluginName
    {30, 942, 344},	// Soprano::Plugin::~Plugin
    {31, 268, 359},	// Soprano::PluginManager::allBackends
    {31, 271, 362},	// Soprano::PluginManager::allParsers
    {31, 272, 365},	// Soprano::PluginManager::allSerializers
    {31, 416, 370},	// Soprano::PluginManager::discoverBackendByFeatures$
    {31, 417, 358},	// Soprano::PluginManager::discoverBackendByFeatures$?
    {31, 419, 357},	// Soprano::PluginManager::discoverBackendByName$
    {31, 421, 360},	// Soprano::PluginManager::discoverParserByName$
    {31, 423, 371},	// Soprano::PluginManager::discoverParserForSerialization$
    {31, 424, 361},	// Soprano::PluginManager::discoverParserForSerialization$$
    {31, 426, 363},	// Soprano::PluginManager::discoverSerializerByName$
    {31, 428, 372},	// Soprano::PluginManager::discoverSerializerForSerialization$
    {31, 429, 364},	// Soprano::PluginManager::discoverSerializerForSerialization$$
    {31, 509, 366},	// Soprano::PluginManager::instance
    {31, 601, 354},	// Soprano::PluginManager::loadCustomBackend$
    {31, 603, 355},	// Soprano::PluginManager::loadCustomParser$
    {31, 605, 353},	// Soprano::PluginManager::loadCustomPlugin$
    {31, 607, 356},	// Soprano::PluginManager::loadCustomSerializer$
    {31, 626, 345},	// Soprano::PluginManager::metaObject
    {31, 709, 351},	// Soprano::PluginManager::qt_metacall$$?
    {31, 711, 346},	// Soprano::PluginManager::qt_metacast$
    {31, 795, 369},	// Soprano::PluginManager::setPluginSearchPath?
    {31, 796, 352},	// Soprano::PluginManager::setPluginSearchPath?$
    {31, 830, 373},	// Soprano::PluginManager::staticMetaObject
    {31, 867, 367},	// Soprano::PluginManager::tr$
    {31, 868, 347},	// Soprano::PluginManager::tr$$
    {31, 869, 349},	// Soprano::PluginManager::tr$$$
    {31, 871, 368},	// Soprano::PluginManager::trUtf8$
    {31, 872, 348},	// Soprano::PluginManager::trUtf8$$
    {31, 873, 350},	// Soprano::PluginManager::trUtf8$$$
    {31, 943, 374},	// Soprano::PluginManager::~PluginManager
    {32, 172, 375},	// Soprano::QueryResultIterator::QueryResultIterator
    {32, 173, -27},	// Soprano::QueryResultIterator::QueryResultIterator#
    {32, 269, 391},	// Soprano::QueryResultIterator::allBindings
    {32, 300, -30},	// Soprano::QueryResultIterator::binding$
    {32, 301, 386},	// Soprano::QueryResultIterator::bindingCount
    {32, 302, 387},	// Soprano::QueryResultIterator::bindingNames
    {32, 307, 381},	// Soprano::QueryResultIterator::boolValue
    {32, 386, 380},	// Soprano::QueryResultIterator::currentBindings
    {32, 387, 379},	// Soprano::QueryResultIterator::currentStatement
    {32, 518, 389},	// Soprano::QueryResultIterator::isBinding
    {32, 520, 390},	// Soprano::QueryResultIterator::isBool
    {32, 535, 388},	// Soprano::QueryResultIterator::isGraph
    {32, 561, -33},	// Soprano::QueryResultIterator::iterateBindings$
    {32, 565, 392},	// Soprano::QueryResultIterator::iterateStatements
    {32, 567, 396},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
    {32, 568, 397},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
    {32, 569, 395},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
    {32, 656, 378},	// Soprano::QueryResultIterator::operator=#
    {32, 661, -36},	// Soprano::QueryResultIterator::operator[]$
    {32, 944, 398},	// Soprano::QueryResultIterator::~QueryResultIterator
    {34, 176, 418},	// Soprano::RdfSchemaModel::RdfSchemaModel
    {34, 177, 399},	// Soprano::RdfSchemaModel::RdfSchemaModel#
    {34, 322, 400},	// Soprano::RdfSchemaModel::classes
    {34, 405, 419},	// Soprano::RdfSchemaModel::directSubClassOf#
    {34, 406, 401},	// Soprano::RdfSchemaModel::directSubClassOf##
    {34, 408, 420},	// Soprano::RdfSchemaModel::directSubPropertyOf#
    {34, 409, 402},	// Soprano::RdfSchemaModel::directSubPropertyOf##
    {34, 411, 403},	// Soprano::RdfSchemaModel::directType##
    {34, 434, 404},	// Soprano::RdfSchemaModel::domain##
    {34, 522, 410},	// Soprano::RdfSchemaModel::isClass#
    {34, 527, 412},	// Soprano::RdfSchemaModel::isDirectSubClassOf##
    {34, 529, 413},	// Soprano::RdfSchemaModel::isDirectSubPropertyOf##
    {34, 531, 414},	// Soprano::RdfSchemaModel::isDirectType##
    {34, 544, 411},	// Soprano::RdfSchemaModel::isProperty#
    {34, 551, 415},	// Soprano::RdfSchemaModel::isSubClassOf##
    {34, 553, 416},	// Soprano::RdfSchemaModel::isSubPropertyOf##
    {34, 557, 417},	// Soprano::RdfSchemaModel::isType##
    {34, 705, 405},	// Soprano::RdfSchemaModel::properties
    {34, 714, 406},	// Soprano::RdfSchemaModel::range##
    {34, 835, 421},	// Soprano::RdfSchemaModel::subClassOf#
    {34, 836, 407},	// Soprano::RdfSchemaModel::subClassOf##
    {34, 839, 422},	// Soprano::RdfSchemaModel::subPropertyOf#
    {34, 840, 408},	// Soprano::RdfSchemaModel::subPropertyOf##
    {34, 878, 409},	// Soprano::RdfSchemaModel::type##
    {34, 945, 423},	// Soprano::RdfSchemaModel::~RdfSchemaModel
    {35, 202, 432},	// Soprano::Serializer::Serializer#
    {35, 203, 431},	// Soprano::Serializer::Serializer$
    {35, 248, 428},	// Soprano::Serializer::addPrefix$#
    {35, 325, 429},	// Soprano::Serializer::clearPrefixes
    {35, 701, 430},	// Soprano::Serializer::prefixes
    {35, 773, 434},	// Soprano::Serializer::serialize##$
    {35, 774, 427},	// Soprano::Serializer::serialize##$$
    {35, 846, 424},	// Soprano::Serializer::supportedSerializations
    {35, 848, 425},	// Soprano::Serializer::supportedUserSerializations
    {35, 853, 433},	// Soprano::Serializer::supportsSerialization$
    {35, 854, 426},	// Soprano::Serializer::supportsSerialization$$
    {35, 947, 435},	// Soprano::Serializer::~Serializer
    {36, 217, 436},	// Soprano::Statement::Statement
    {36, 218, 438},	// Soprano::Statement::Statement#
    {36, 219, 452},	// Soprano::Statement::Statement###
    {36, 220, 437},	// Soprano::Statement::Statement####
    {36, 368, 447},	// Soprano::Statement::context
    {36, 558, 443},	// Soprano::Statement::isValid
    {36, 616, 442},	// Soprano::Statement::matches#
    {36, 648, 446},	// Soprano::Statement::object
    {36, 654, 441},	// Soprano::Statement::operator!=#
    {36, 656, 439},	// Soprano::Statement::operator=#
    {36, 658, 440},	// Soprano::Statement::operator==#
    {36, 698, 445},	// Soprano::Statement::predicate
    {36, 780, 451},	// Soprano::Statement::setContext#
    {36, 789, 450},	// Soprano::Statement::setObject#
    {36, 798, 449},	// Soprano::Statement::setPredicate#
    {36, 805, 448},	// Soprano::Statement::setSubject#
    {36, 841, 444},	// Soprano::Statement::subject
    {36, 951, 453},	// Soprano::Statement::~Statement
    {37, 221, 454},	// Soprano::StatementIterator::StatementIterator
    {37, 222, 456},	// Soprano::StatementIterator::StatementIterator#
    {37, 223, 455},	// Soprano::StatementIterator::StatementIterator?
    {37, 273, 458},	// Soprano::StatementIterator::allStatements
    {37, 562, 462},	// Soprano::StatementIterator::iterateContexts
    {37, 563, 461},	// Soprano::StatementIterator::iterateObjects
    {37, 564, 460},	// Soprano::StatementIterator::iteratePredicates
    {37, 570, 459},	// Soprano::StatementIterator::iterateSubjects
    {37, 656, 457},	// Soprano::StatementIterator::operator=#
    {37, 952, 463},	// Soprano::StatementIterator::~StatementIterator
    {38, 225, 480},	// Soprano::StorageModel::StorageModel#
    {38, 294, 475},	// Soprano::StorageModel::backend
    {38, 346, 473},	// Soprano::StorageModel::containsAnyStatement#
    {38, 347, 485},	// Soprano::StorageModel::containsAnyStatement###
    {38, 348, 479},	// Soprano::StorageModel::containsAnyStatement####
    {38, 356, 472},	// Soprano::StorageModel::containsStatement#
    {38, 357, 484},	// Soprano::StorageModel::containsStatement###
    {38, 358, 478},	// Soprano::StorageModel::containsStatement####
    {38, 532, 471},	// Soprano::StorageModel::isEmpty
    {38, 626, 464},	// Soprano::StorageModel::metaObject
    {38, 709, 470},	// Soprano::StorageModel::qt_metacall$$?
    {38, 711, 465},	// Soprano::StorageModel::qt_metacast$
    {38, 726, 477},	// Soprano::StorageModel::removeAllStatements
    {38, 727, 474},	// Soprano::StorageModel::removeAllStatements#
    {38, 728, 483},	// Soprano::StorageModel::removeAllStatements###
    {38, 729, 476},	// Soprano::StorageModel::removeAllStatements####
    {38, 830, 486},	// Soprano::StorageModel::staticMetaObject
    {38, 867, 481},	// Soprano::StorageModel::tr$
    {38, 868, 466},	// Soprano::StorageModel::tr$$
    {38, 869, 468},	// Soprano::StorageModel::tr$$$
    {38, 871, 482},	// Soprano::StorageModel::trUtf8$
    {38, 872, 467},	// Soprano::StorageModel::trUtf8$$
    {38, 873, 469},	// Soprano::StorageModel::trUtf8$$$
    {38, 953, 487},	// Soprano::StorageModel::~StorageModel
    {39, 8, 536},	// Soprano::Util::AsyncModel::AsyncModel
    {39, 9, 495},	// Soprano::Util::AsyncModel::AsyncModel#
    {39, 126, 553},	// Soprano::Util::AsyncModel::MultiThreaded
    {39, 212, 552},	// Soprano::Util::AsyncModel::SingleThreaded
    {39, 252, 521},	// Soprano::Util::AsyncModel::addStatement#
    {39, 253, 545},	// Soprano::Util::AsyncModel::addStatement###
    {39, 254, 522},	// Soprano::Util::AsyncModel::addStatement####
    {39, 256, 498},	// Soprano::Util::AsyncModel::addStatementAsync#
    {39, 257, 537},	// Soprano::Util::AsyncModel::addStatementAsync###
    {39, 258, 499},	// Soprano::Util::AsyncModel::addStatementAsync####
    {39, 262, 500},	// Soprano::Util::AsyncModel::addStatementsAsync?
    {39, 346, 532},	// Soprano::Util::AsyncModel::containsAnyStatement#
    {39, 347, 550},	// Soprano::Util::AsyncModel::containsAnyStatement###
    {39, 348, 533},	// Soprano::Util::AsyncModel::containsAnyStatement####
    {39, 350, 515},	// Soprano::Util::AsyncModel::containsAnyStatementAsync#
    {39, 351, 543},	// Soprano::Util::AsyncModel::containsAnyStatementAsync###
    {39, 352, 516},	// Soprano::Util::AsyncModel::containsAnyStatementAsync####
    {39, 356, 530},	// Soprano::Util::AsyncModel::containsStatement#
    {39, 357, 549},	// Soprano::Util::AsyncModel::containsStatement###
    {39, 358, 531},	// Soprano::Util::AsyncModel::containsStatement####
    {39, 360, 513},	// Soprano::Util::AsyncModel::containsStatementAsync#
    {39, 361, 542},	// Soprano::Util::AsyncModel::containsStatementAsync###
    {39, 362, 514},	// Soprano::Util::AsyncModel::containsStatementAsync####
    {39, 374, 517},	// Soprano::Util::AsyncModel::createBlankNodeAsync
    {39, 446, 544},	// Soprano::Util::AsyncModel::executeQuery$$
    {39, 447, 520},	// Soprano::Util::AsyncModel::executeQuery$$$
    {39, 449, 541},	// Soprano::Util::AsyncModel::executeQueryAsync$$
    {39, 450, 512},	// Soprano::Util::AsyncModel::executeQueryAsync$$$
    {39, 533, 506},	// Soprano::Util::AsyncModel::isEmptyAsync
    {39, 585, 519},	// Soprano::Util::AsyncModel::listContexts
    {39, 586, 511},	// Soprano::Util::AsyncModel::listContextsAsync
    {39, 587, 529},	// Soprano::Util::AsyncModel::listStatements
    {39, 588, 518},	// Soprano::Util::AsyncModel::listStatements#
    {39, 589, 548},	// Soprano::Util::AsyncModel::listStatements###
    {39, 590, 528},	// Soprano::Util::AsyncModel::listStatements####
    {39, 591, 510},	// Soprano::Util::AsyncModel::listStatementsAsync
    {39, 592, 508},	// Soprano::Util::AsyncModel::listStatementsAsync#
    {39, 593, 540},	// Soprano::Util::AsyncModel::listStatementsAsync###
    {39, 594, 509},	// Soprano::Util::AsyncModel::listStatementsAsync####
    {39, 626, 488},	// Soprano::Util::AsyncModel::metaObject
    {39, 632, 497},	// Soprano::Util::AsyncModel::mode
    {39, 709, 494},	// Soprano::Util::AsyncModel::qt_metacall$$?
    {39, 711, 489},	// Soprano::Util::AsyncModel::qt_metacast$
    {39, 726, 527},	// Soprano::Util::AsyncModel::removeAllStatements
    {39, 727, 525},	// Soprano::Util::AsyncModel::removeAllStatements#
    {39, 728, 547},	// Soprano::Util::AsyncModel::removeAllStatements###
    {39, 729, 526},	// Soprano::Util::AsyncModel::removeAllStatements####
    {39, 731, 504},	// Soprano::Util::AsyncModel::removeAllStatementsAsync#
    {39, 732, 539},	// Soprano::Util::AsyncModel::removeAllStatementsAsync###
    {39, 733, 505},	// Soprano::Util::AsyncModel::removeAllStatementsAsync####
    {39, 737, 523},	// Soprano::Util::AsyncModel::removeStatement#
    {39, 738, 546},	// Soprano::Util::AsyncModel::removeStatement###
    {39, 739, 524},	// Soprano::Util::AsyncModel::removeStatement####
    {39, 741, 501},	// Soprano::Util::AsyncModel::removeStatementAsync#
    {39, 742, 538},	// Soprano::Util::AsyncModel::removeStatementAsync###
    {39, 743, 502},	// Soprano::Util::AsyncModel::removeStatementAsync####
    {39, 747, 503},	// Soprano::Util::AsyncModel::removeStatementsAsync?
    {39, 787, 496},	// Soprano::Util::AsyncModel::setMode$
    {39, 824, 507},	// Soprano::Util::AsyncModel::statementCountAsync
    {39, 830, 551},	// Soprano::Util::AsyncModel::staticMetaObject
    {39, 867, 534},	// Soprano::Util::AsyncModel::tr$
    {39, 868, 490},	// Soprano::Util::AsyncModel::tr$$
    {39, 869, 492},	// Soprano::Util::AsyncModel::tr$$$
    {39, 871, 535},	// Soprano::Util::AsyncModel::trUtf8$
    {39, 872, 491},	// Soprano::Util::AsyncModel::trUtf8$$
    {39, 873, 493},	// Soprano::Util::AsyncModel::trUtf8$$$
    {39, 928, 554},	// Soprano::Util::AsyncModel::~AsyncModel
    {40, 300, -24},	// Soprano::Util::AsyncQuery::binding$
    {40, 301, 567},	// Soprano::Util::AsyncQuery::bindingCount
    {40, 302, 568},	// Soprano::Util::AsyncQuery::bindingNames
    {40, 307, 564},	// Soprano::Util::AsyncQuery::boolValue
    {40, 326, 573},	// Soprano::Util::AsyncQuery::close
    {40, 386, 563},	// Soprano::Util::AsyncQuery::currentBindings
    {40, 387, 562},	// Soprano::Util::AsyncQuery::currentStatement
    {40, 444, 579},	// Soprano::Util::AsyncQuery::executeQuery#$$
    {40, 445, 576},	// Soprano::Util::AsyncQuery::executeQuery#$$$
    {40, 461, 575},	// Soprano::Util::AsyncQuery::finished#
    {40, 518, 570},	// Soprano::Util::AsyncQuery::isBinding
    {40, 520, 571},	// Soprano::Util::AsyncQuery::isBool
    {40, 535, 569},	// Soprano::Util::AsyncQuery::isGraph
    {40, 626, 555},	// Soprano::Util::AsyncQuery::metaObject
    {40, 639, 572},	// Soprano::Util::AsyncQuery::next
    {40, 641, 574},	// Soprano::Util::AsyncQuery::nextReady#
    {40, 709, 561},	// Soprano::Util::AsyncQuery::qt_metacall$$?
    {40, 711, 556},	// Soprano::Util::AsyncQuery::qt_metacast$
    {40, 830, 580},	// Soprano::Util::AsyncQuery::staticMetaObject
    {40, 867, 577},	// Soprano::Util::AsyncQuery::tr$
    {40, 868, 557},	// Soprano::Util::AsyncQuery::tr$$
    {40, 869, 559},	// Soprano::Util::AsyncQuery::tr$$$
    {40, 871, 578},	// Soprano::Util::AsyncQuery::trUtf8$
    {40, 872, 558},	// Soprano::Util::AsyncQuery::trUtf8$$
    {40, 873, 560},	// Soprano::Util::AsyncQuery::trUtf8$$$
    {40, 929, 581},	// Soprano::Util::AsyncQuery::~AsyncQuery
    {41, 383, 590},	// Soprano::Util::AsyncResult::createResult
    {41, 440, 592},	// Soprano::Util::AsyncResult::errorCode
    {41, 626, 582},	// Soprano::Util::AsyncResult::metaObject
    {41, 643, 596},	// Soprano::Util::AsyncResult::node
    {41, 644, 594},	// Soprano::Util::AsyncResult::nodeIterator
    {41, 709, 588},	// Soprano::Util::AsyncResult::qt_metacall$$?
    {41, 711, 583},	// Soprano::Util::AsyncResult::qt_metacast$
    {41, 712, 595},	// Soprano::Util::AsyncResult::queryResultIterator
    {41, 753, 589},	// Soprano::Util::AsyncResult::resultReady#
    {41, 801, 597},	// Soprano::Util::AsyncResult::setResult##
    {41, 825, 593},	// Soprano::Util::AsyncResult::statementIterator
    {41, 830, 600},	// Soprano::Util::AsyncResult::staticMetaObject
    {41, 867, 598},	// Soprano::Util::AsyncResult::tr$
    {41, 868, 584},	// Soprano::Util::AsyncResult::tr$$
    {41, 869, 586},	// Soprano::Util::AsyncResult::tr$$$
    {41, 871, 599},	// Soprano::Util::AsyncResult::trUtf8$
    {41, 872, 585},	// Soprano::Util::AsyncResult::trUtf8$$
    {41, 873, 587},	// Soprano::Util::AsyncResult::trUtf8$$$
    {41, 894, 591},	// Soprano::Util::AsyncResult::value
    {41, 930, 601},	// Soprano::Util::AsyncResult::~AsyncResult
    {42, 178, 632},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel
    {42, 179, 609},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel#
    {42, 252, 618},	// Soprano::Util::ReadOnlyModel::addStatement#
    {42, 253, 634},	// Soprano::Util::ReadOnlyModel::addStatement###
    {42, 254, 622},	// Soprano::Util::ReadOnlyModel::addStatement####
    {42, 346, 615},	// Soprano::Util::ReadOnlyModel::containsAnyStatement#
    {42, 347, 639},	// Soprano::Util::ReadOnlyModel::containsAnyStatement###
    {42, 348, 629},	// Soprano::Util::ReadOnlyModel::containsAnyStatement####
    {42, 356, 614},	// Soprano::Util::ReadOnlyModel::containsStatement#
    {42, 357, 638},	// Soprano::Util::ReadOnlyModel::containsStatement###
    {42, 358, 628},	// Soprano::Util::ReadOnlyModel::containsStatement####
    {42, 372, 621},	// Soprano::Util::ReadOnlyModel::createBlankNode
    {42, 446, 633},	// Soprano::Util::ReadOnlyModel::executeQuery$$
    {42, 447, 613},	// Soprano::Util::ReadOnlyModel::executeQuery$$$
    {42, 532, 616},	// Soprano::Util::ReadOnlyModel::isEmpty
    {42, 585, 612},	// Soprano::Util::ReadOnlyModel::listContexts
    {42, 587, 627},	// Soprano::Util::ReadOnlyModel::listStatements
    {42, 588, 611},	// Soprano::Util::ReadOnlyModel::listStatements#
    {42, 589, 637},	// Soprano::Util::ReadOnlyModel::listStatements###
    {42, 590, 626},	// Soprano::Util::ReadOnlyModel::listStatements####
    {42, 626, 602},	// Soprano::Util::ReadOnlyModel::metaObject
    {42, 709, 608},	// Soprano::Util::ReadOnlyModel::qt_metacall$$?
    {42, 711, 603},	// Soprano::Util::ReadOnlyModel::qt_metacast$
    {42, 726, 625},	// Soprano::Util::ReadOnlyModel::removeAllStatements
    {42, 727, 620},	// Soprano::Util::ReadOnlyModel::removeAllStatements#
    {42, 728, 636},	// Soprano::Util::ReadOnlyModel::removeAllStatements###
    {42, 729, 624},	// Soprano::Util::ReadOnlyModel::removeAllStatements####
    {42, 737, 619},	// Soprano::Util::ReadOnlyModel::removeStatement#
    {42, 738, 635},	// Soprano::Util::ReadOnlyModel::removeStatement###
    {42, 739, 623},	// Soprano::Util::ReadOnlyModel::removeStatement####
    {42, 793, 610},	// Soprano::Util::ReadOnlyModel::setParentModel#
    {42, 823, 617},	// Soprano::Util::ReadOnlyModel::statementCount
    {42, 830, 640},	// Soprano::Util::ReadOnlyModel::staticMetaObject
    {42, 867, 630},	// Soprano::Util::ReadOnlyModel::tr$
    {42, 868, 604},	// Soprano::Util::ReadOnlyModel::tr$$
    {42, 869, 606},	// Soprano::Util::ReadOnlyModel::tr$$$
    {42, 871, 631},	// Soprano::Util::ReadOnlyModel::trUtf8$
    {42, 872, 605},	// Soprano::Util::ReadOnlyModel::trUtf8$$
    {42, 873, 607},	// Soprano::Util::ReadOnlyModel::trUtf8$$$
    {42, 946, 641},	// Soprano::Util::ReadOnlyModel::~ReadOnlyModel
    {43, 204, 657},	// Soprano::Util::SignalCacheModel::SignalCacheModel
    {43, 205, 649},	// Soprano::Util::SignalCacheModel::SignalCacheModel#
    {43, 309, 650},	// Soprano::Util::SignalCacheModel::cacheTime
    {43, 626, 642},	// Soprano::Util::SignalCacheModel::metaObject
    {43, 676, 652},	// Soprano::Util::SignalCacheModel::parentStatementsAdded
    {43, 677, 653},	// Soprano::Util::SignalCacheModel::parentStatementsRemoved
    {43, 709, 648},	// Soprano::Util::SignalCacheModel::qt_metacall$$?
    {43, 711, 643},	// Soprano::Util::SignalCacheModel::qt_metacast$
    {43, 776, 651},	// Soprano::Util::SignalCacheModel::setCacheTime$
    {43, 830, 658},	// Soprano::Util::SignalCacheModel::staticMetaObject
    {43, 858, 654},	// Soprano::Util::SignalCacheModel::timerEvent#
    {43, 867, 655},	// Soprano::Util::SignalCacheModel::tr$
    {43, 868, 644},	// Soprano::Util::SignalCacheModel::tr$$
    {43, 869, 646},	// Soprano::Util::SignalCacheModel::tr$$$
    {43, 871, 656},	// Soprano::Util::SignalCacheModel::trUtf8$
    {43, 872, 645},	// Soprano::Util::SignalCacheModel::trUtf8$$
    {43, 873, 647},	// Soprano::Util::SignalCacheModel::trUtf8$$$
    {43, 948, 659},	// Soprano::Util::SignalCacheModel::~SignalCacheModel
    {44, 206, 660},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
    {44, 207, 662},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
    {44, 208, 661},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
    {44, 656, 664},	// Soprano::Util::SimpleNodeIterator::operator=#
    {44, 659, 663},	// Soprano::Util::SimpleNodeIterator::operator=?
    {44, 949, 665},	// Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
    {45, 209, 666},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator
    {45, 210, 668},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator#
    {45, 211, 667},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator?
    {45, 656, 670},	// Soprano::Util::SimpleStatementIterator::operator=#
    {45, 659, 669},	// Soprano::Util::SimpleStatementIterator::operator=?
    {45, 950, 671},	// Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator
    {46, 81, 704},	// Soprano::Vocabulary::NAO::FreeDesktopIcon
    {46, 152, 691},	// Soprano::Vocabulary::NAO::Party
    {46, 228, 685},	// Soprano::Vocabulary::NAO::Symbol
    {46, 231, 684},	// Soprano::Vocabulary::NAO::Tag
    {46, 275, 709},	// Soprano::Vocabulary::NAO::altLabel
    {46, 276, 675},	// Soprano::Vocabulary::NAO::altSymbol
    {46, 277, 679},	// Soprano::Vocabulary::NAO::annotation
    {46, 369, 695},	// Soprano::Vocabulary::NAO::contributor
    {46, 384, 696},	// Soprano::Vocabulary::NAO::created
    {46, 385, 711},	// Soprano::Vocabulary::NAO::creator
    {46, 400, 707},	// Soprano::Vocabulary::NAO::deprecated
    {46, 402, 682},	// Soprano::Vocabulary::NAO::description
    {46, 436, 708},	// Soprano::Vocabulary::NAO::engineeringTool
    {46, 484, 706},	// Soprano::Vocabulary::NAO::hasDefaultNamespace
    {46, 485, 702},	// Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
    {46, 488, 697},	// Soprano::Vocabulary::NAO::hasSubResource
    {46, 489, 688},	// Soprano::Vocabulary::NAO::hasSuperResource
    {46, 490, 694},	// Soprano::Vocabulary::NAO::hasSymbol
    {46, 491, 710},	// Soprano::Vocabulary::NAO::hasTag
    {46, 492, 699},	// Soprano::Vocabulary::NAO::hasTopic
    {46, 502, 700},	// Soprano::Vocabulary::NAO::iconName
    {46, 504, 698},	// Soprano::Vocabulary::NAO::identifier
    {46, 524, 701},	// Soprano::Vocabulary::NAO::isDataGraphFor
    {46, 547, 703},	// Soprano::Vocabulary::NAO::isRelated
    {46, 554, 674},	// Soprano::Vocabulary::NAO::isTagFor
    {46, 555, 681},	// Soprano::Vocabulary::NAO::isTopicOf
    {46, 577, 692},	// Soprano::Vocabulary::NAO::lastModified
    {46, 633, 687},	// Soprano::Vocabulary::NAO::modified
    {46, 636, 690},	// Soprano::Vocabulary::NAO::naoNamespace
    {46, 647, 672},	// Soprano::Vocabulary::NAO::numericRating
    {46, 691, 683},	// Soprano::Vocabulary::NAO::personalIdentifier
    {46, 696, 678},	// Soprano::Vocabulary::NAO::pluralPrefLabel
    {46, 699, 693},	// Soprano::Vocabulary::NAO::prefLabel
    {46, 700, 689},	// Soprano::Vocabulary::NAO::prefSymbol
    {46, 715, 676},	// Soprano::Vocabulary::NAO::rating
    {46, 762, 712},	// Soprano::Vocabulary::NAO::score
    {46, 763, 680},	// Soprano::Vocabulary::NAO::scoreParameter
    {46, 768, 705},	// Soprano::Vocabulary::NAO::serializationLanguage
    {46, 831, 686},	// Soprano::Vocabulary::NAO::status
    {46, 892, 677},	// Soprano::Vocabulary::NAO::userVisible
    {46, 901, 673},	// Soprano::Vocabulary::NAO::version
    {47, 7, 749},	// Soprano::Vocabulary::NRL::AsymmetricProperty
    {47, 45, 722},	// Soprano::Vocabulary::NRL::Configuration
    {47, 51, 746},	// Soprano::Vocabulary::NRL::Data
    {47, 56, 716},	// Soprano::Vocabulary::NRL::DefaultGraph
    {47, 60, 737},	// Soprano::Vocabulary::NRL::DiscardableInstanceBase
    {47, 62, 715},	// Soprano::Vocabulary::NRL::DocumentGraph
    {47, 74, 735},	// Soprano::Vocabulary::NRL::ExternalViewSpecification
    {47, 82, 720},	// Soprano::Vocabulary::NRL::FunctionalProperty
    {47, 83, 739},	// Soprano::Vocabulary::NRL::Graph
    {47, 84, 740},	// Soprano::Vocabulary::NRL::GraphMetadata
    {47, 85, 724},	// Soprano::Vocabulary::NRL::GraphView
    {47, 94, 743},	// Soprano::Vocabulary::NRL::InstanceBase
    {47, 95, 752},	// Soprano::Vocabulary::NRL::InverseFunctionalProperty
    {47, 96, 729},	// Soprano::Vocabulary::NRL::KnowledgeBase
    {47, 141, 727},	// Soprano::Vocabulary::NRL::Ontology
    {47, 180, 728},	// Soprano::Vocabulary::NRL::ReflexiveProperty
    {47, 189, 718},	// Soprano::Vocabulary::NRL::RuleViewSpecification
    {47, 190, 721},	// Soprano::Vocabulary::NRL::Schema
    {47, 191, 725},	// Soprano::Vocabulary::NRL::Semantics
    {47, 229, 742},	// Soprano::Vocabulary::NRL::SymmetricProperty
    {47, 235, 723},	// Soprano::Vocabulary::NRL::TransitiveProperty
    {47, 238, 754},	// Soprano::Vocabulary::NRL::ViewSpecification
    {47, 312, 748},	// Soprano::Vocabulary::NRL::cardinality
    {47, 371, 719},	// Soprano::Vocabulary::NRL::coreGraphMetadataFor
    {47, 438, 741},	// Soprano::Vocabulary::NRL::equivalentGraph
    {47, 454, 736},	// Soprano::Vocabulary::NRL::externalRealizer
    {47, 482, 731},	// Soprano::Vocabulary::NRL::graphMetadataFor
    {47, 486, 730},	// Soprano::Vocabulary::NRL::hasSemantics
    {47, 487, 738},	// Soprano::Vocabulary::NRL::hasSpecification
    {47, 506, 732},	// Soprano::Vocabulary::NRL::imports
    {47, 515, 726},	// Soprano::Vocabulary::NRL::inverseProperty
    {47, 617, 744},	// Soprano::Vocabulary::NRL::maxCardinality
    {47, 631, 717},	// Soprano::Vocabulary::NRL::minCardinality
    {47, 646, 747},	// Soprano::Vocabulary::NRL::nrlNamespace
    {47, 718, 714},	// Soprano::Vocabulary::NRL::realizes
    {47, 756, 750},	// Soprano::Vocabulary::NRL::rule
    {47, 757, 745},	// Soprano::Vocabulary::NRL::ruleLanguage
    {47, 767, 713},	// Soprano::Vocabulary::NRL::semanticsDefinedBy
    {47, 837, 751},	// Soprano::Vocabulary::NRL::subGraphOf
    {47, 843, 753},	// Soprano::Vocabulary::NRL::superGraphOf
    {47, 883, 734},	// Soprano::Vocabulary::NRL::updatable
    {47, 911, 733},	// Soprano::Vocabulary::NRL::viewOn
    {48, 1, 792},	// Soprano::Vocabulary::OWL::AllDifferent
    {48, 4, 757},	// Soprano::Vocabulary::OWL::AnnotationProperty
    {48, 43, 793},	// Soprano::Vocabulary::OWL::Class
    {48, 53, 760},	// Soprano::Vocabulary::OWL::DataRange
    {48, 55, 790},	// Soprano::Vocabulary::OWL::DatatypeProperty
    {48, 58, 758},	// Soprano::Vocabulary::OWL::DeprecatedClass
    {48, 59, 765},	// Soprano::Vocabulary::OWL::DeprecatedProperty
    {48, 82, 770},	// Soprano::Vocabulary::OWL::FunctionalProperty
    {48, 95, 771},	// Soprano::Vocabulary::OWL::InverseFunctionalProperty
    {48, 138, 764},	// Soprano::Vocabulary::OWL::Nothing
    {48, 139, 788},	// Soprano::Vocabulary::OWL::ObjectProperty
    {48, 141, 779},	// Soprano::Vocabulary::OWL::Ontology
    {48, 142, 762},	// Soprano::Vocabulary::OWL::OntologyProperty
    {48, 186, 768},	// Soprano::Vocabulary::OWL::Restriction
    {48, 229, 767},	// Soprano::Vocabulary::OWL::SymmetricProperty
    {48, 234, 784},	// Soprano::Vocabulary::OWL::Thing
    {48, 235, 786},	// Soprano::Vocabulary::OWL::TransitiveProperty
    {48, 274, 795},	// Soprano::Vocabulary::OWL::allValuesFrom
    {48, 295, 772},	// Soprano::Vocabulary::OWL::backwardCompatibleWith
    {48, 312, 791},	// Soprano::Vocabulary::OWL::cardinality
    {48, 335, 778},	// Soprano::Vocabulary::OWL::complementOf
    {48, 403, 782},	// Soprano::Vocabulary::OWL::differentFrom
    {48, 430, 759},	// Soprano::Vocabulary::OWL::disjointWith
    {48, 431, 775},	// Soprano::Vocabulary::OWL::distinctMembers
    {48, 437, 774},	// Soprano::Vocabulary::OWL::equivalentClass
    {48, 439, 789},	// Soprano::Vocabulary::OWL::equivalentProperty
    {48, 493, 794},	// Soprano::Vocabulary::OWL::hasValue
    {48, 506, 761},	// Soprano::Vocabulary::OWL::imports
    {48, 508, 756},	// Soprano::Vocabulary::OWL::incompatibleWith
    {48, 513, 766},	// Soprano::Vocabulary::OWL::intersectionOf
    {48, 514, 763},	// Soprano::Vocabulary::OWL::inverseOf
    {48, 617, 777},	// Soprano::Vocabulary::OWL::maxCardinality
    {48, 631, 781},	// Soprano::Vocabulary::OWL::minCardinality
    {48, 650, 787},	// Soprano::Vocabulary::OWL::onProperty
    {48, 651, 776},	// Soprano::Vocabulary::OWL::oneOf
    {48, 667, 755},	// Soprano::Vocabulary::OWL::owlNamespace
    {48, 703, 780},	// Soprano::Vocabulary::OWL::priorVersion
    {48, 758, 769},	// Soprano::Vocabulary::OWL::sameAs
    {48, 817, 785},	// Soprano::Vocabulary::OWL::someValuesFrom
    {48, 879, 783},	// Soprano::Vocabulary::OWL::unionOf
    {48, 902, 773},	// Soprano::Vocabulary::OWL::versionInfo
    {49, 2, 797},	// Soprano::Vocabulary::RDF::Alt
    {49, 39, 807},	// Soprano::Vocabulary::RDF::Bag
    {49, 116, 801},	// Soprano::Vocabulary::RDF::List
    {49, 161, 798},	// Soprano::Vocabulary::RDF::Property
    {49, 192, 803},	// Soprano::Vocabulary::RDF::Seq
    {49, 217, 796},	// Soprano::Vocabulary::RDF::Statement
    {49, 241, 808},	// Soprano::Vocabulary::RDF::XMLLiteral
    {49, 462, 800},	// Soprano::Vocabulary::RDF::first
    {49, 642, 810},	// Soprano::Vocabulary::RDF::nil
    {49, 648, 804},	// Soprano::Vocabulary::RDF::object
    {49, 698, 806},	// Soprano::Vocabulary::RDF::predicate
    {49, 716, 811},	// Soprano::Vocabulary::RDF::rdfNamespace
    {49, 751, 805},	// Soprano::Vocabulary::RDF::rest
    {49, 841, 799},	// Soprano::Vocabulary::RDF::subject
    {49, 877, 809},	// Soprano::Vocabulary::RDF::type
    {49, 894, 802},	// Soprano::Vocabulary::RDF::value
    {50, 43, 826},	// Soprano::Vocabulary::RDFS::Class
    {50, 48, 827},	// Soprano::Vocabulary::RDFS::Container
    {50, 49, 822},	// Soprano::Vocabulary::RDFS::ContainerMembershipProperty
    {50, 54, 817},	// Soprano::Vocabulary::RDFS::Datatype
    {50, 117, 816},	// Soprano::Vocabulary::RDFS::Literal
    {50, 184, 824},	// Soprano::Vocabulary::RDFS::Resource
    {50, 331, 819},	// Soprano::Vocabulary::RDFS::comment
    {50, 433, 821},	// Soprano::Vocabulary::RDFS::domain
    {50, 525, 815},	// Soprano::Vocabulary::RDFS::isDefinedBy
    {50, 574, 813},	// Soprano::Vocabulary::RDFS::label
    {50, 623, 814},	// Soprano::Vocabulary::RDFS::member
    {50, 713, 812},	// Soprano::Vocabulary::RDFS::range
    {50, 717, 823},	// Soprano::Vocabulary::RDFS::rdfsNamespace
    {50, 765, 825},	// Soprano::Vocabulary::RDFS::seeAlso
    {50, 834, 820},	// Soprano::Vocabulary::RDFS::subClassOf
    {50, 838, 818},	// Soprano::Vocabulary::RDFS::subPropertyOf
    {51, 90, 832},	// Soprano::Vocabulary::SIL::InferenceGraph
    {51, 91, 829},	// Soprano::Vocabulary::SIL::InferenceMetaData
    {51, 368, 831},	// Soprano::Vocabulary::SIL::context
    {51, 815, 830},	// Soprano::Vocabulary::SIL::silNamespace
    {51, 820, 828},	// Soprano::Vocabulary::SIL::sourceStatement
    {52, 296, 833},	// Soprano::Vocabulary::XMLSchema::base64Binary
    {52, 308, 836},	// Soprano::Vocabulary::XMLSchema::boolean
    {52, 390, 851},	// Soprano::Vocabulary::XMLSchema::date
    {52, 391, 838},	// Soprano::Vocabulary::XMLSchema::dateTime
    {52, 392, 839},	// Soprano::Vocabulary::XMLSchema::decimal
    {52, 510, 848},	// Soprano::Vocabulary::XMLSchema::integer
    {52, 637, 842},	// Soprano::Vocabulary::XMLSchema::negativeInteger
    {52, 645, 850},	// Soprano::Vocabulary::XMLSchema::nonNegativeInteger
    {52, 833, 845},	// Soprano::Vocabulary::XMLSchema::string
    {52, 856, 844},	// Soprano::Vocabulary::XMLSchema::time
    {52, 880, 835},	// Soprano::Vocabulary::XMLSchema::unsignedInt
    {52, 881, 843},	// Soprano::Vocabulary::XMLSchema::unsignedLong
    {52, 882, 837},	// Soprano::Vocabulary::XMLSchema::unsignedShort
    {52, 922, 834},	// Soprano::Vocabulary::XMLSchema::xsdDouble
    {52, 923, 846},	// Soprano::Vocabulary::XMLSchema::xsdFloat
    {52, 924, 840},	// Soprano::Vocabulary::XMLSchema::xsdInt
    {52, 925, 849},	// Soprano::Vocabulary::XMLSchema::xsdLong
    {52, 926, 841},	// Soprano::Vocabulary::XMLSchema::xsdNamespace
    {52, 927, 847},	// Soprano::Vocabulary::XMLSchema::xsdShort
    {53, 3, 871},	// Soprano::Vocabulary::Xesam::Annotation
    {53, 5, 1100},	// Soprano::Vocabulary::Xesam::Archive
    {53, 6, 1111},	// Soprano::Vocabulary::Xesam::ArchivedFile
    {53, 10, 952},	// Soprano::Vocabulary::Xesam::Audio
    {53, 11, 955},	// Soprano::Vocabulary::Xesam::AudioList
    {53, 41, 868},	// Soprano::Vocabulary::Xesam::BlockDevice
    {53, 42, 940},	// Soprano::Vocabulary::Xesam::Bookmark
    {53, 44, 1102},	// Soprano::Vocabulary::Xesam::CommunicationChannel
    {53, 46, 1069},	// Soprano::Vocabulary::Xesam::Contact
    {53, 47, 985},	// Soprano::Vocabulary::Xesam::ContactGroup
    {53, 50, 994},	// Soprano::Vocabulary::Xesam::Content
    {53, 52, 1071},	// Soprano::Vocabulary::Xesam::DataObject
    {53, 57, 933},	// Soprano::Vocabulary::Xesam::DeletedFile
    {53, 61, 1107},	// Soprano::Vocabulary::Xesam::Document
    {53, 63, 1096},	// Soprano::Vocabulary::Xesam::Documentation
    {53, 64, 1024},	// Soprano::Vocabulary::Xesam::Email
    {53, 65, 1112},	// Soprano::Vocabulary::Xesam::EmailAttachment
    {53, 66, 856},	// Soprano::Vocabulary::Xesam::EmbeddedObject
    {53, 75, 1083},	// Soprano::Vocabulary::Xesam::File
    {53, 76, 880},	// Soprano::Vocabulary::Xesam::FileSystem
    {53, 77, 876},	// Soprano::Vocabulary::Xesam::Filelike
    {53, 80, 862},	// Soprano::Vocabulary::Xesam::Folder
    {53, 86, 973},	// Soprano::Vocabulary::Xesam::IMAP4Message
    {53, 87, 987},	// Soprano::Vocabulary::Xesam::IMMessage
    {53, 89, 953},	// Soprano::Vocabulary::Xesam::Image
    {53, 119, 1079},	// Soprano::Vocabulary::Xesam::MailingList
    {53, 120, 1064},	// Soprano::Vocabulary::Xesam::MailingListEmail
    {53, 121, 930},	// Soprano::Vocabulary::Xesam::Media
    {53, 122, 904},	// Soprano::Vocabulary::Xesam::MediaList
    {53, 123, 909},	// Soprano::Vocabulary::Xesam::Message
    {53, 124, 941},	// Soprano::Vocabulary::Xesam::MessageboxMessage
    {53, 127, 1059},	// Soprano::Vocabulary::Xesam::Music
    {53, 128, 1061},	// Soprano::Vocabulary::Xesam::NewsGroup
    {53, 129, 1023},	// Soprano::Vocabulary::Xesam::NewsGroupEmail
    {53, 140, 1014},	// Soprano::Vocabulary::Xesam::OfflineMedia
    {53, 143, 911},	// Soprano::Vocabulary::Xesam::Organization
    {53, 144, 915},	// Soprano::Vocabulary::Xesam::POP3Message
    {53, 153, 1123},	// Soprano::Vocabulary::Xesam::Person
    {53, 154, 938},	// Soprano::Vocabulary::Xesam::PersonalEmail
    {53, 155, 854},	// Soprano::Vocabulary::Xesam::Photo
    {53, 159, 865},	// Soprano::Vocabulary::Xesam::Presentation
    {53, 160, 1116},	// Soprano::Vocabulary::Xesam::Project
    {53, 174, 1106},	// Soprano::Vocabulary::Xesam::RSSFeed
    {53, 175, 1009},	// Soprano::Vocabulary::Xesam::RSSMessage
    {53, 181, 877},	// Soprano::Vocabulary::Xesam::RemoteFile
    {53, 182, 1074},	// Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
    {53, 183, 978},	// Soprano::Vocabulary::Xesam::RemoteResource
    {53, 187, 1098},	// Soprano::Vocabulary::Xesam::RevisionControlledFile
    {53, 188, 1017},	// Soprano::Vocabulary::Xesam::RevisionControlledRepository
    {53, 213, 1022},	// Soprano::Vocabulary::Xesam::SoftwarePackage
    {53, 214, 887},	// Soprano::Vocabulary::Xesam::Source
    {53, 215, 1081},	// Soprano::Vocabulary::Xesam::SourceCode
    {53, 216, 1088},	// Soprano::Vocabulary::Xesam::Spreadsheet
    {53, 230, 1041},	// Soprano::Vocabulary::Xesam::SystemResource
    {53, 231, 1119},	// Soprano::Vocabulary::Xesam::Tag
    {53, 232, 1065},	// Soprano::Vocabulary::Xesam::Text
    {53, 233, 1005},	// Soprano::Vocabulary::Xesam::TextDocument
    {53, 236, 958},	// Soprano::Vocabulary::Xesam::UncategorizedText
    {53, 237, 890},	// Soprano::Vocabulary::Xesam::Video
    {53, 239, 1026},	// Soprano::Vocabulary::Xesam::Visual
    {53, 240, 1097},	// Soprano::Vocabulary::Xesam::XML
    {53, 246, 979},	// Soprano::Vocabulary::Xesam::acl
    {53, 263, 1066},	// Soprano::Vocabulary::Xesam::album
    {53, 264, 962},	// Soprano::Vocabulary::Xesam::albumArtist
    {53, 265, 867},	// Soprano::Vocabulary::Xesam::albumGain
    {53, 266, 1067},	// Soprano::Vocabulary::Xesam::albumPeakGain
    {53, 267, 1032},	// Soprano::Vocabulary::Xesam::albumTrackCount
    {53, 278, 1090},	// Soprano::Vocabulary::Xesam::aperture
    {53, 279, 1087},	// Soprano::Vocabulary::Xesam::artist
    {53, 280, 1101},	// Soprano::Vocabulary::Xesam::asText
    {53, 281, 1044},	// Soprano::Vocabulary::Xesam::aspectRatio
    {53, 282, 918},	// Soprano::Vocabulary::Xesam::attachmentEncoding
    {53, 283, 1092},	// Soprano::Vocabulary::Xesam::audioBPM
    {53, 284, 898},	// Soprano::Vocabulary::Xesam::audioBitrate
    {53, 285, 995},	// Soprano::Vocabulary::Xesam::audioChannels
    {53, 286, 1025},	// Soprano::Vocabulary::Xesam::audioCodec
    {53, 287, 910},	// Soprano::Vocabulary::Xesam::audioCodecType
    {53, 288, 963},	// Soprano::Vocabulary::Xesam::audioSampleBitDepth
    {53, 289, 1047},	// Soprano::Vocabulary::Xesam::audioSampleCount
    {53, 290, 925},	// Soprano::Vocabulary::Xesam::audioSampleDataType
    {53, 291, 1078},	// Soprano::Vocabulary::Xesam::audioSampleRate
    {53, 292, 1020},	// Soprano::Vocabulary::Xesam::author
    {53, 293, 863},	// Soprano::Vocabulary::Xesam::autoRating
    {53, 297, 1099},	// Soprano::Vocabulary::Xesam::baseRevisionID
    {53, 298, 1060},	// Soprano::Vocabulary::Xesam::bcc
    {53, 303, 870},	// Soprano::Vocabulary::Xesam::birthDate
    {53, 306, 1043},	// Soprano::Vocabulary::Xesam::blogContactURL
    {53, 310, 1010},	// Soprano::Vocabulary::Xesam::cameraManufacturer
    {53, 311, 997},	// Soprano::Vocabulary::Xesam::cameraModel
    {53, 313, 914},	// Soprano::Vocabulary::Xesam::cc
    {53, 314, 1093},	// Soprano::Vocabulary::Xesam::ccdWidth
    {53, 315, 949},	// Soprano::Vocabulary::Xesam::cellPhoneNumber
    {53, 316, 929},	// Soprano::Vocabulary::Xesam::changeCommitTime
    {53, 317, 869},	// Soprano::Vocabulary::Xesam::changeCommitter
    {53, 318, 960},	// Soprano::Vocabulary::Xesam::characterCount
    {53, 319, 1033},	// Soprano::Vocabulary::Xesam::charset
    {53, 320, 936},	// Soprano::Vocabulary::Xesam::chatRoom
    {53, 328, 959},	// Soprano::Vocabulary::Xesam::colorCount
    {53, 329, 1045},	// Soprano::Vocabulary::Xesam::colorSpace
    {53, 330, 853},	// Soprano::Vocabulary::Xesam::columnCount
    {53, 331, 888},	// Soprano::Vocabulary::Xesam::comment
    {53, 332, 1049},	// Soprano::Vocabulary::Xesam::commentCharacterCount
    {53, 333, 905},	// Soprano::Vocabulary::Xesam::commitDiff
    {53, 334, 892},	// Soprano::Vocabulary::Xesam::communicationChannel
    {53, 336, 897},	// Soprano::Vocabulary::Xesam::composer
    {53, 337, 1072},	// Soprano::Vocabulary::Xesam::compressionAlgorithm
    {53, 338, 927},	// Soprano::Vocabulary::Xesam::compressionLevel
    {53, 339, 864},	// Soprano::Vocabulary::Xesam::conflicts
    {53, 341, 896},	// Soprano::Vocabulary::Xesam::contactMedium
    {53, 342, 982},	// Soprano::Vocabulary::Xesam::contactNick
    {53, 343, 1089},	// Soprano::Vocabulary::Xesam::contactURL
    {53, 344, 903},	// Soprano::Vocabulary::Xesam::contains
    {53, 363, 1113},	// Soprano::Vocabulary::Xesam::contentComment
    {53, 364, 883},	// Soprano::Vocabulary::Xesam::contentCreated
    {53, 365, 961},	// Soprano::Vocabulary::Xesam::contentKeyword
    {53, 366, 1105},	// Soprano::Vocabulary::Xesam::contentModified
    {53, 367, 1050},	// Soprano::Vocabulary::Xesam::contentType
    {53, 369, 1086},	// Soprano::Vocabulary::Xesam::contributor
    {53, 370, 889},	// Soprano::Vocabulary::Xesam::copyright
    {53, 385, 882},	// Soprano::Vocabulary::Xesam::creator
    {53, 393, 916},	// Soprano::Vocabulary::Xesam::definesClass
    {53, 394, 1075},	// Soprano::Vocabulary::Xesam::definesFunction
    {53, 395, 992},	// Soprano::Vocabulary::Xesam::definesGlobalVariable
    {53, 398, 999},	// Soprano::Vocabulary::Xesam::deletionTime
    {53, 399, 1046},	// Soprano::Vocabulary::Xesam::depends
    {53, 401, 1039},	// Soprano::Vocabulary::Xesam::derivedFrom
    {53, 402, 907},	// Soprano::Vocabulary::Xesam::description
    {53, 412, 908},	// Soprano::Vocabulary::Xesam::discNumber
    {53, 413, 1056},	// Soprano::Vocabulary::Xesam::disclaimer
    {53, 432, 1037},	// Soprano::Vocabulary::Xesam::documentCategory
    {53, 435, 926},	// Soprano::Vocabulary::Xesam::emailAddress
    {53, 451, 996},	// Soprano::Vocabulary::Xesam::exposureBias
    {53, 452, 931},	// Soprano::Vocabulary::Xesam::exposureProgram
    {53, 453, 998},	// Soprano::Vocabulary::Xesam::exposureTime
    {53, 455, 894},	// Soprano::Vocabulary::Xesam::familyName
    {53, 456, 939},	// Soprano::Vocabulary::Xesam::faxPhoneNumber
    {53, 457, 937},	// Soprano::Vocabulary::Xesam::fileExtension
    {53, 458, 935},	// Soprano::Vocabulary::Xesam::fileSystemType
    {53, 459, 921},	// Soprano::Vocabulary::Xesam::fingerprint
    {53, 463, 968},	// Soprano::Vocabulary::Xesam::firstUsed
    {53, 464, 1068},	// Soprano::Vocabulary::Xesam::flashUsed
    {53, 465, 1063},	// Soprano::Vocabulary::Xesam::focalLength
    {53, 466, 1053},	// Soprano::Vocabulary::Xesam::focusDistance
    {53, 467, 1115},	// Soprano::Vocabulary::Xesam::formatSubtype
    {53, 468, 878},	// Soprano::Vocabulary::Xesam::frameCount
    {53, 469, 975},	// Soprano::Vocabulary::Xesam::frameRate
    {53, 470, 989},	// Soprano::Vocabulary::Xesam::freeSpace
    {53, 477, 1003},	// Soprano::Vocabulary::Xesam::gender
    {53, 478, 1076},	// Soprano::Vocabulary::Xesam::generator
    {53, 479, 1036},	// Soprano::Vocabulary::Xesam::generatorOptions
    {53, 480, 906},	// Soprano::Vocabulary::Xesam::genre
    {53, 481, 1084},	// Soprano::Vocabulary::Xesam::givenName
    {53, 483, 893},	// Soprano::Vocabulary::Xesam::group
    {53, 494, 859},	// Soprano::Vocabulary::Xesam::height
    {53, 495, 1103},	// Soprano::Vocabulary::Xesam::homeEmailAddress
    {53, 496, 1018},	// Soprano::Vocabulary::Xesam::homePhoneNumber
    {53, 497, 1030},	// Soprano::Vocabulary::Xesam::homePostalAddress
    {53, 498, 901},	// Soprano::Vocabulary::Xesam::homepageContactURL
    {53, 499, 1091},	// Soprano::Vocabulary::Xesam::honorificPrefix
    {53, 500, 922},	// Soprano::Vocabulary::Xesam::honorificSuffix
    {53, 501, 983},	// Soprano::Vocabulary::Xesam::horizontalResolution
    {53, 503, 1070},	// Soprano::Vocabulary::Xesam::id
    {53, 505, 919},	// Soprano::Vocabulary::Xesam::imContactMedium
    {53, 507, 942},	// Soprano::Vocabulary::Xesam::inReplyTo
    {53, 511, 1019},	// Soprano::Vocabulary::Xesam::interest
    {53, 512, 879},	// Soprano::Vocabulary::Xesam::interlaceMode
    {53, 516, 860},	// Soprano::Vocabulary::Xesam::ircContactMedium
    {53, 523, 950},	// Soprano::Vocabulary::Xesam::isContentEncrypted
    {53, 534, 932},	// Soprano::Vocabulary::Xesam::isEncrypted
    {53, 536, 1029},	// Soprano::Vocabulary::Xesam::isImportant
    {53, 537, 980},	// Soprano::Vocabulary::Xesam::isInProgress
    {53, 545, 943},	// Soprano::Vocabulary::Xesam::isPublicChannel
    {53, 546, 861},	// Soprano::Vocabulary::Xesam::isRead
    {53, 549, 1094},	// Soprano::Vocabulary::Xesam::isSourceEncrypted
    {53, 559, 923},	// Soprano::Vocabulary::Xesam::isoEquivalent
    {53, 571, 1095},	// Soprano::Vocabulary::Xesam::jabberContactMedium
    {53, 572, 1000},	// Soprano::Vocabulary::Xesam::keyword
    {53, 573, 976},	// Soprano::Vocabulary::Xesam::knows
    {53, 575, 1054},	// Soprano::Vocabulary::Xesam::language
    {53, 578, 965},	// Soprano::Vocabulary::Xesam::lastRefreshed
    {53, 579, 1031},	// Soprano::Vocabulary::Xesam::lastUsed
    {53, 580, 986},	// Soprano::Vocabulary::Xesam::legal
    {53, 581, 875},	// Soprano::Vocabulary::Xesam::license
    {53, 582, 866},	// Soprano::Vocabulary::Xesam::licenseType
    {53, 583, 1109},	// Soprano::Vocabulary::Xesam::lineCount
    {53, 584, 1021},	// Soprano::Vocabulary::Xesam::links
    {53, 608, 895},	// Soprano::Vocabulary::Xesam::localRevision
    {53, 610, 1040},	// Soprano::Vocabulary::Xesam::lyricist
    {53, 611, 1108},	// Soprano::Vocabulary::Xesam::mailingList
    {53, 612, 977},	// Soprano::Vocabulary::Xesam::mailingPostalAddress
    {53, 613, 1006},	// Soprano::Vocabulary::Xesam::maintainer
    {53, 614, 884},	// Soprano::Vocabulary::Xesam::markupCharacterCount
    {53, 618, 974},	// Soprano::Vocabulary::Xesam::md5Hash
    {53, 619, 956},	// Soprano::Vocabulary::Xesam::mediaBitrate
    {53, 620, 944},	// Soprano::Vocabulary::Xesam::mediaCodec
    {53, 621, 873},	// Soprano::Vocabulary::Xesam::mediaCodecType
    {53, 622, 900},	// Soprano::Vocabulary::Xesam::mediaDuration
    {53, 624, 920},	// Soprano::Vocabulary::Xesam::mergeConflict
    {53, 627, 971},	// Soprano::Vocabulary::Xesam::meteringMode
    {53, 628, 881},	// Soprano::Vocabulary::Xesam::mimeType
    {53, 634, 934},	// Soprano::Vocabulary::Xesam::mountPoint
    {53, 635, 954},	// Soprano::Vocabulary::Xesam::name
    {53, 638, 1028},	// Soprano::Vocabulary::Xesam::newsGroup
    {53, 649, 951},	// Soprano::Vocabulary::Xesam::occupiedSpace
    {53, 663, 1042},	// Soprano::Vocabulary::Xesam::orientation
    {53, 664, 912},	// Soprano::Vocabulary::Xesam::originURL
    {53, 665, 917},	// Soprano::Vocabulary::Xesam::originalLocation
    {53, 666, 948},	// Soprano::Vocabulary::Xesam::otherName
    {53, 668, 1013},	// Soprano::Vocabulary::Xesam::owner
    {53, 669, 1051},	// Soprano::Vocabulary::Xesam::pageCount
    {53, 670, 872},	// Soprano::Vocabulary::Xesam::paragraphCount
    {53, 688, 1110},	// Soprano::Vocabulary::Xesam::performer
    {53, 689, 1057},	// Soprano::Vocabulary::Xesam::permissions
    {53, 690, 1085},	// Soprano::Vocabulary::Xesam::personPhoto
    {53, 692, 1062},	// Soprano::Vocabulary::Xesam::phoneNumber
    {53, 693, 957},	// Soprano::Vocabulary::Xesam::pixelDataBitDepth
    {53, 694, 1048},	// Soprano::Vocabulary::Xesam::pixelDataType
    {53, 697, 899},	// Soprano::Vocabulary::Xesam::postalAddress
    {53, 702, 852},	// Soprano::Vocabulary::Xesam::primaryRecipient
    {53, 704, 991},	// Soprano::Vocabulary::Xesam::programmingLanguage
    {53, 719, 885},	// Soprano::Vocabulary::Xesam::receptionTime
    {53, 720, 855},	// Soprano::Vocabulary::Xesam::recipient
    {53, 721, 1007},	// Soprano::Vocabulary::Xesam::related
    {53, 722, 1073},	// Soprano::Vocabulary::Xesam::remotePassword
    {53, 723, 946},	// Soprano::Vocabulary::Xesam::remotePort
    {53, 724, 1058},	// Soprano::Vocabulary::Xesam::remoteServer
    {53, 725, 967},	// Soprano::Vocabulary::Xesam::remoteUser
    {53, 748, 1012},	// Soprano::Vocabulary::Xesam::replyTo
    {53, 754, 990},	// Soprano::Vocabulary::Xesam::rowCount
    {53, 755, 1077},	// Soprano::Vocabulary::Xesam::rssFeed
    {53, 759, 947},	// Soprano::Vocabulary::Xesam::sampleConfiguration
    {53, 760, 1082},	// Soprano::Vocabulary::Xesam::sampleDataBitDepth
    {53, 761, 1122},	// Soprano::Vocabulary::Xesam::sampleDataType
    {53, 764, 1114},	// Soprano::Vocabulary::Xesam::secondaryRecipient
    {53, 766, 1117},	// Soprano::Vocabulary::Xesam::seenAttachedAs
    {53, 781, 886},	// Soprano::Vocabulary::Xesam::setCount
    {53, 799, 1016},	// Soprano::Vocabulary::Xesam::setRate
    {53, 814, 858},	// Soprano::Vocabulary::Xesam::sha1Hash
    {53, 816, 964},	// Soprano::Vocabulary::Xesam::size
    {53, 818, 1118},	// Soprano::Vocabulary::Xesam::sourceCreated
    {53, 819, 970},	// Soprano::Vocabulary::Xesam::sourceModified
    {53, 832, 1038},	// Soprano::Vocabulary::Xesam::storageSize
    {53, 841, 1027},	// Soprano::Vocabulary::Xesam::subject
    {53, 842, 1055},	// Soprano::Vocabulary::Xesam::summary
    {53, 844, 1034},	// Soprano::Vocabulary::Xesam::supercedes
    {53, 855, 1080},	// Soprano::Vocabulary::Xesam::targetQuality
    {53, 859, 928},	// Soprano::Vocabulary::Xesam::title
    {53, 860, 1015},	// Soprano::Vocabulary::Xesam::to
    {53, 864, 1008},	// Soprano::Vocabulary::Xesam::totalSpace
    {53, 865, 993},	// Soprano::Vocabulary::Xesam::totalUncompressedSize
    {53, 874, 1004},	// Soprano::Vocabulary::Xesam::trackGain
    {53, 875, 913},	// Soprano::Vocabulary::Xesam::trackNumber
    {53, 876, 1002},	// Soprano::Vocabulary::Xesam::trackPeakGain
    {53, 885, 902},	// Soprano::Vocabulary::Xesam::url
    {53, 886, 1001},	// Soprano::Vocabulary::Xesam::useCount
    {53, 888, 1035},	// Soprano::Vocabulary::Xesam::userComment
    {53, 889, 981},	// Soprano::Vocabulary::Xesam::userKeyword
    {53, 891, 969},	// Soprano::Vocabulary::Xesam::userRating
    {53, 893, 1052},	// Soprano::Vocabulary::Xesam::usesNamespace
    {53, 901, 1120},	// Soprano::Vocabulary::Xesam::version
    {53, 907, 988},	// Soprano::Vocabulary::Xesam::verticalResolution
    {53, 908, 984},	// Soprano::Vocabulary::Xesam::videoBitrate
    {53, 909, 1121},	// Soprano::Vocabulary::Xesam::videoCodec
    {53, 910, 966},	// Soprano::Vocabulary::Xesam::videoCodecType
    {53, 912, 972},	// Soprano::Vocabulary::Xesam::whiteBalance
    {53, 913, 1011},	// Soprano::Vocabulary::Xesam::width
    {53, 914, 891},	// Soprano::Vocabulary::Xesam::wordCount
    {53, 915, 1104},	// Soprano::Vocabulary::Xesam::workEmailAddress
    {53, 916, 924},	// Soprano::Vocabulary::Xesam::workPhoneNumber
    {53, 917, 857},	// Soprano::Vocabulary::Xesam::workPostalAddress
    {53, 920, 945},	// Soprano::Vocabulary::Xesam::xesam35mmEquivalent
    {53, 921, 874},	// Soprano::Vocabulary::Xesam::xesamNamespace
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    soprano_Smoke = new Smoke(
        "soprano",
        __smokesoprano::classes, 53,
        __smokesoprano::methods, 1124,
        __smokesoprano::methodMaps, 1094,
        __smokesoprano::methodNames, 953,
        __smokesoprano::types, 218,
        __smokesoprano::inheritanceList,
        __smokesoprano::argumentList,
        __smokesoprano::ambiguousMethodList,
        __smokesoprano::cast );
    initialized = true;
}

void delete_soprano_Smoke() { delete soprano_Smoke; }

}
