#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 15: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 44: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 25: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 83: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QCloseEvent
      switch(to) {
        case 5: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QColor
      switch(to) {
        case 6: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDragEnterEvent
      switch(to) {
        case 8: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragLeaveEvent
      switch(to) {
        case 9: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragMoveEvent
      switch(to) {
        case 10: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDropEvent
      switch(to) {
        case 11: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QEvent
      switch(to) {
        case 12: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFont
      switch(to) {
        case 14: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 15:   //QFrame
      switch(to) {
        case 44: return (void*)(QWidget*)(QFrame*)xptr;
        case 25: return (void*)(QObject*)(QFrame*)xptr;
        case 15: return (void*)(QFrame*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 83: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIODevice
      switch(to) {
        case 25: return (void*)(QObject*)(QIODevice*)xptr;
        case 18: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMetaObject
      switch(to) {
        case 21: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 22:   //QMimeData
      switch(to) {
        case 22: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 23:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QObject
      switch(to) {
        case 25: return (void*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 51: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 46: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 45: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 50: return (void*)(QsciLexer*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 83: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 81: return (void*)(QsciMacro*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 26:   //QPaintEngine
      switch(to) {
        case 26: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 27:   //QPaintEvent
      switch(to) {
        case 27: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QPainter
      switch(to) {
        case 28: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 29:   //QPalette
      switch(to) {
        case 29: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 30:   //QPixmap
      switch(to) {
        case 30: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 31:   //QPoint
      switch(to) {
        case 31: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 32:   //QPrinter
      switch(to) {
        case 32: return (void*)(QPrinter*)xptr;
        case 82: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 33:   //QRect
      switch(to) {
        case 33: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 34:   //QRegExp
      switch(to) {
        case 34: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 35:   //QResizeEvent
      switch(to) {
        case 35: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QSettings
      switch(to) {
        case 36: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 37:   //QShowEvent
      switch(to) {
        case 37: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QSize
      switch(to) {
        case 38: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 39:   //QStyle
      switch(to) {
        case 39: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 40:   //QTabletEvent
      switch(to) {
        case 40: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QTimerEvent
      switch(to) {
        case 41: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QVariant
      switch(to) {
        case 42: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 43:   //QWheelEvent
      switch(to) {
        case 43: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QWidget
      switch(to) {
        case 25: return (void*)(QObject*)(QWidget*)xptr;
        case 44: return (void*)(QWidget*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 83: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 45:   //QsciAPIs
      switch(to) {
        case 46: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 25: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 45: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 46:   //QsciAbstractAPIs
      switch(to) {
        case 25: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 46: return (void*)(QsciAbstractAPIs*)xptr;
        case 45: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 47:   //QsciCommand
      switch(to) {
        case 47: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 48:   //QsciCommandSet
      switch(to) {
        case 48: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 49:   //QsciDocument
      switch(to) {
        case 49: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 50:   //QsciLexer
      switch(to) {
        case 25: return (void*)(QObject*)(QsciLexer*)xptr;
        case 50: return (void*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexerBash
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 51: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerBatch
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 52: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerCMake
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 53: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCPP
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 54: return (void*)(QsciLexerCPP*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCSS
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 55: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCSharp
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCustom
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 57: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerD
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 58: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerDiff
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 59: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerFortran
      switch(to) {
        case 61: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 60: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerFortran77
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerHTML
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 62: return (void*)(QsciLexerHTML*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerIDL
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 63: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerJava
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 64: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerJavaScript
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerLua
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 66: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerMakefile
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerPOV
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 68: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerPascal
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 69: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerPerl
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 70: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPostScript
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerProperties
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 72: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPython
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 73: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerRuby
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 74: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerSQL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 75: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerTCL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 76: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerTeX
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 77: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerVHDL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerXML
      switch(to) {
        case 62: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 79: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerYAML
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 80: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 81:   //QsciMacro
      switch(to) {
        case 25: return (void*)(QObject*)(QsciMacro*)xptr;
        case 81: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 82:   //QsciPrinter
      switch(to) {
        case 32: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 82: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 83:   //QsciScintilla
      switch(to) {
        case 84: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 44: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 25: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 83: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 84:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 44: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 25: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 84: return (void*)(QsciScintillaBase*)xptr;
        case 83: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 85:   //QsciStyle
      switch(to) {
        case 85: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 86:   //QsciStyledText
      switch(to) {
        case 86: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    46, 0,	// 1: QsciAbstractAPIs
    25, 0,	// 3: QObject
    50, 0,	// 5: QsciLexer
    54, 0,	// 7: QsciLexerCPP
    61, 0,	// 9: QsciLexerFortran77
    62, 0,	// 11: QsciLexerHTML
    32, 0,	// 13: QPrinter
    84, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QColor", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFont", true, 0, 0, 0, 0, 0 },	//14
    { "QFrame", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//21
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//22
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QObject", true, 0, 0, 0, 0, 0 },	//25
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//26
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QPainter", true, 0, 0, 0, 0, 0 },	//28
    { "QPalette", true, 0, 0, 0, 0, 0 },	//29
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//30
    { "QPoint", true, 0, 0, 0, 0, 0 },	//31
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//32
    { "QRect", true, 0, 0, 0, 0, 0 },	//33
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//34
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QSettings", true, 0, 0, 0, 0, 0 },	//36
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QSize", true, 0, 0, 0, 0, 0 },	//38
    { "QStyle", true, 0, 0, 0, 0, 0 },	//39
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QVariant", true, 0, 0, 0, 0, 0 },	//42
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QWidget", true, 0, 0, 0, 0, 0 },	//44
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//45
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//46
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//47
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//48
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//49
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//50
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//51
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//52
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//53
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//54
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//55
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//56
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//57
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//58
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//59
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//60
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//61
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//62
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//63
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//64
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//65
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//66
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//67
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//68
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//69
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//70
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//71
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//72
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//73
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//74
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//75
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//76
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//77
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//78
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//79
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//80
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//81
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//82
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//83
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//84
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//85
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//86
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QCloseEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QColor", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QDragEnterEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragLeaveEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragMoveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDropEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QFocusEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFont", 14, Smoke::t_class|Smoke::tf_stack },	//13
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QIODevice*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QMetaObject::Call", 21, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QMimeData*", 22, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QMouseEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMoveEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QPaintEngine*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPaintEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPainter&", 28, Smoke::t_class|Smoke::tf_ref },	//28
    { "QPainter*", 28, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPrinter::PrinterMode", 32, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QRect&", 33, Smoke::t_class|Smoke::tf_ref },	//31
    { "QRegExp&", 34, Smoke::t_class|Smoke::tf_ref },	//32
    { "QResizeEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QSettings&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QShowEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QSize", 38, Smoke::t_class|Smoke::tf_stack },	//36
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//40
    { "QStyle&", 39, Smoke::t_class|Smoke::tf_ref },	//41
    { "QTabletEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QTimerEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QVariant", 42, Smoke::t_class|Smoke::tf_stack },	//44
    { "QWheelEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QWidget*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QsciAPIs*", 45, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QsciAbstractAPIs*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciCommandSet*", 48, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciDocument", 49, Smoke::t_class|Smoke::tf_stack },	//50
    { "QsciDocument&", 49, Smoke::t_class|Smoke::tf_ref },	//51
    { "QsciDocument*", 49, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciLexer*", 50, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciLexerBash*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexerBatch*", 52, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerCMake*", 53, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerCPP*", 54, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCSS*", 55, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerCSharp*", 56, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerCustom*", 57, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerD*", 58, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerDiff*", 59, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerFortran*", 60, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerFortran77*", 61, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerHTML*", 62, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerIDL*", 63, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerJava*", 64, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerJavaScript*", 65, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerLua*", 66, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerMakefile*", 67, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerPOV*", 68, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerPascal*", 69, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerPerl*", 70, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerPostScript*", 71, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerProperties*", 72, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPython*", 73, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPython::IndentationWarning", 73, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QsciLexerRuby*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerSQL*", 75, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerTCL*", 76, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerTeX*", 77, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerVHDL*", 78, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerXML*", 79, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerYAML*", 80, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciMacro*", 81, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciPrinter*", 82, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciScintilla*", 83, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciScintilla::AnnotationDisplay", 83, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QsciScintilla::AutoCompletionSource", 83, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QsciScintilla::BraceMatch", 83, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::CallTipsStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintilla::EdgeMode", 83, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QsciScintilla::EolMode", 83, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::FoldStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::IndentState", 83, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::IndicatorStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::MarginType", 83, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::MarkerSymbol", 83, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::WhitespaceVisibility", 83, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::WrapMode", 83, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::WrapVisualFlag", 83, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintillaBase*", 84, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QsciStyle*", 85, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QsciStyle::TextCase", 85, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciStyledText*", 86, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//145
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//197
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//198
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//199
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//200
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//201
    { "const QColor&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QFont&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QMetaObject&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QMetaObject*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//206
    { "const QMimeData*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//207
    { "const QPalette&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QPixmap&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QPoint&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QRect&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QRegExp&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const QsciDocument&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QsciStyle&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QsciStyledText&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//219
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//220
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//221
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//222
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//223
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//224
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//225
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//226
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//228
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//229
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  QEvent*
    45, 0,	//3  QWheelEvent*
    24, 11, 0,	//5  QObject*, QEvent*
    43, 0,	//8  QTimerEvent*
    3, 0,	//10  QChildEvent*
    219, 0,	//12  const char*
    25, 0,	//14  QPaintDevice::PaintDeviceMetric
    199, 0,	//16  bool
    221, 0,	//18  int
    17, 0,	//20  QKeyEvent*
    23, 0,	//22  QMoveEvent*
    4, 0,	//24  QCloseEvent*
    42, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    35, 0,	//30  QShowEvent*
    14, 0,	//32  QHideEvent*
    198, 0,	//34  _XEvent*
    139, 0,	//36  Qt::InputMethodQuery
    41, 0,	//38  QStyle&
    208, 0,	//40  const QPalette&
    203, 0,	//42  const QFont&
    219, 219, 0,	//44  const char*, const char*
    219, 219, 221, 0,	//47  const char*, const char*, int
    20, 221, 228, 0,	//51  QMetaObject::Call, int, void**
    53, 0,	//55  QsciLexer*
    213, 0,	//57  const QString&
    214, 39, 0,	//59  const QStringList&, QStringList&
    214, 221, 91, 19, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    34, 219, 0,	//67  QSettings&, const char*
    34, 0,	//70  QSettings&
    216, 0,	//72  const QsciDocument&
    24, 0,	//74  QObject*
    223, 0,	//76  int*
    48, 0,	//78  QsciAbstractAPIs*
    202, 0,	//80  const QColor&
    87, 0,	//82  QsciScintilla*
    202, 221, 0,	//84  const QColor&, int
    199, 221, 0,	//87  bool, int
    203, 221, 0,	//90  const QFont&, int
    34, 213, 0,	//93  QSettings&, const QString&
    24, 199, 0,	//96  QObject*, bool
    221, 221, 0,	//99  int, int
    221, 217, 0,	//102  int, const QsciStyle&
    77, 0,	//105  QsciLexerPython::IndentationWarning
    213, 87, 0,	//107  const QString&, QsciScintilla*
    30, 0,	//110  QPrinter::PrinterMode
    28, 199, 31, 221, 0,	//112  QPainter&, bool, QRect&, int
    102, 221, 221, 0,	//117  QsciScintillaBase*, int, int
    100, 0,	//121  QsciScintilla::WrapMode
    102, 0,	//123  QsciScintillaBase*
    102, 221, 0,	//125  QsciScintillaBase*, int
    46, 0,	//128  QWidget*
    221, 222, 222, 0,	//130  int, int&, int&
    221, 213, 221, 0,	//134  int, const QString&, int
    221, 213, 217, 0,	//138  int, const QString&, const QsciStyle&
    221, 218, 0,	//142  int, const QsciStyledText&
    221, 204, 0,	//145  int, const QList<QsciStyledText>&
    221, 221, 221, 221, 221, 0,	//148  int, int, int, int, int
    93, 0,	//154  QsciScintilla::EolMode
    213, 199, 199, 199, 199, 199, 221, 221, 199, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool
    223, 223, 0,	//166  int*, int*
    223, 223, 223, 223, 0,	//169  int*, int*, int*, int*
    96, 221, 0,	//174  QsciScintilla::IndicatorStyle, int
    200, 0,	//177  char
    210, 0,	//179  const QPoint&
    221, 223, 223, 0,	//181  int, int*, int*
    98, 221, 0,	//185  QsciScintilla::MarkerSymbol, int
    200, 221, 0,	//188  char, int
    209, 221, 0,	//191  const QPixmap&, int
    221, 225, 0,	//194  int, unsigned int
    15, 0,	//197  QIODevice*
    221, 209, 0,	//199  int, const QPixmap&
    202, 202, 0,	//202  const QColor&, const QColor&
    88, 0,	//205  QsciScintilla::AnnotationDisplay
    214, 0,	//207  const QStringList&
    91, 0,	//209  QsciScintilla::CallTipsStyle
    92, 0,	//211  QsciScintilla::EdgeMode
    221, 97, 0,	//213  int, QsciScintilla::MarginType
    101, 101, 221, 0,	//216  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    221, 214, 0,	//220  int, const QStringList&
    213, 221, 221, 0,	//223  const QString&, int, int
    89, 0,	//227  QsciScintilla::AutoCompletionSource
    90, 0,	//229  QsciScintilla::BraceMatch
    94, 221, 0,	//231  QsciScintilla::FoldStyle, int
    221, 199, 0,	//234  int, bool
    221, 213, 0,	//237  int, const QString&
    221, 221, 221, 221, 0,	//240  int, int, int, int
    99, 0,	//245  QsciScintilla::WhitespaceVisibility
    221, 221, 145, 0,	//247  int, int, Qt::KeyboardModifiers
    213, 199, 199, 199, 199, 0,	//251  const QString&, bool, bool, bool, bool
    213, 199, 199, 199, 199, 199, 0,	//257  const QString&, bool, bool, bool, bool, bool
    213, 199, 199, 199, 199, 199, 221, 0,	//264  const QString&, bool, bool, bool, bool, bool, int
    213, 199, 199, 199, 199, 199, 221, 221, 0,	//272  const QString&, bool, bool, bool, bool, bool, int, int
    96, 0,	//281  QsciScintilla::IndicatorStyle
    98, 0,	//283  QsciScintilla::MarkerSymbol
    209, 0,	//285  const QPixmap&
    101, 0,	//287  QsciScintilla::WrapVisualFlag
    101, 101, 0,	//289  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    94, 0,	//292  QsciScintilla::FoldStyle
    225, 226, 224, 0,	//294  unsigned int, unsigned long, long
    225, 226, 227, 0,	//298  unsigned int, unsigned long, void*
    225, 226, 219, 0,	//302  unsigned int, unsigned long, const char*
    225, 219, 0,	//306  unsigned int, const char*
    225, 219, 219, 0,	//309  unsigned int, const char*, const char*
    225, 224, 0,	//313  unsigned int, long
    225, 221, 0,	//316  unsigned int, int
    225, 224, 224, 201, 0,	//319  unsigned int, long, long, char*
    225, 226, 202, 0,	//324  unsigned int, unsigned long, const QColor&
    225, 202, 0,	//328  unsigned int, const QColor&
    225, 226, 29, 211, 224, 224, 0,	//331  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    225, 226, 209, 0,	//338  unsigned int, unsigned long, const QPixmap&
    225, 0,	//342  unsigned int
    219, 221, 0,	//344  const char*, int
    221, 221, 221, 0,	//347  int, int, int
    221, 221, 219, 221, 221, 221, 221, 221, 221, 221, 0,	//351  int, int, const char*, int, int, int, int, int, int, int
    207, 0,	//362  const QMimeData*
    6, 0,	//364  QContextMenuEvent*
    7, 0,	//366  QDragEnterEvent*
    8, 0,	//368  QDragLeaveEvent*
    9, 0,	//370  QDragMoveEvent*
    10, 0,	//372  QDropEvent*
    12, 0,	//374  QFocusEvent*
    16, 0,	//376  QInputMethodEvent*
    22, 0,	//378  QMouseEvent*
    27, 0,	//380  QPaintEvent*
    33, 0,	//382  QResizeEvent*
    225, 226, 0,	//384  unsigned int, unsigned long
    221, 213, 202, 202, 203, 199, 0,	//387  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    104, 0,	//394  QsciStyle::TextCase
    217, 0,	//396  const QsciStyle&
    221, 213, 202, 202, 203, 0,	//398  int, const QString&, const QColor&, const QColor&, const QFont&
    213, 221, 0,	//404  const QString&, int
    213, 217, 0,	//407  const QString&, const QsciStyle&
    218, 0,	//410  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AiClosing",	//54
    "AiMaintain",	//55
    "AiOpening",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BacktickHereDocument",	//80
    "Backticks",	//81
    "BadDirective",	//82
    "BadStringCharacter",	//83
    "Base85String",	//84
    "BasicFunctions",	//85
    "BlockForeach",	//86
    "BlockIf",	//87
    "BlockMacro",	//88
    "BlockWhile",	//89
    "BottomLeftCorner",	//90
    "Box",	//91
    "BoxIndicator",	//92
    "BoxedFoldStyle",	//93
    "BoxedMinus",	//94
    "BoxedMinusConnected",	//95
    "BoxedPlus",	//96
    "BoxedPlusConnected",	//97
    "BoxedTreeFoldStyle",	//98
    "C5E",	//99
    "CDATA",	//100
    "CSS1Property",	//101
    "CSS2Property",	//102
    "CSS3Property",	//103
    "CallTipsContext",	//104
    "CallTipsNoAutoCompletionContext",	//105
    "CallTipsNoContext",	//106
    "CallTipsNone",	//107
    "Cassette",	//108
    "Character",	//109
    "Cicero",	//110
    "Circle",	//111
    "CircledFoldStyle",	//112
    "CircledMinus",	//113
    "CircledMinusConnected",	//114
    "CircledPlus",	//115
    "CircledPlusConnected",	//116
    "CircledTreeFoldStyle",	//117
    "ClassName",	//118
    "ClassSelector",	//119
    "ClassVariable",	//120
    "Color",	//121
    "Comm10E",	//122
    "Command",	//123
    "Comment",	//124
    "CommentBlock",	//125
    "CommentBox",	//126
    "CommentDoc",	//127
    "CommentDocKeyword",	//128
    "CommentDocKeywordError",	//129
    "CommentLine",	//130
    "CommentLineDoc",	//131
    "CommentLineHash",	//132
    "CommentNested",	//133
    "CommentParenthesis",	//134
    "Continuation",	//135
    "CoroutinesIOSystemFacilities",	//136
    "CurrentPage",	//137
    "Custom",	//138
    "DLE",	//139
    "DSCComment",	//140
    "DSCCommentValue",	//141
    "DataSection",	//142
    "Decorator",	//143
    "Default",	//144
    "DefaultValue",	//145
    "DemotedKeyword",	//146
    "DevicePixel",	//147
    "DiagonalIndicator",	//148
    "DictionaryParenthesis",	//149
    "Didot",	//150
    "Directive",	//151
    "DocumentDelimiter",	//152
    "DottedOperator",	//153
    "DoubleQuotedHereDocument",	//154
    "DoubleQuotedString",	//155
    "DownTriangle",	//156
    "DrawChildren",	//157
    "DrawWindowBackground",	//158
    "DuplexAuto",	//159
    "DuplexLongSide",	//160
    "DuplexNone",	//161
    "DuplexShortSide",	//162
    "EdgeBackground",	//163
    "EdgeLine",	//164
    "EdgeNone",	//165
    "Entity",	//166
    "Envelope",	//167
    "EnvelopeManual",	//168
    "EolMac",	//169
    "EolUnix",	//170
    "EolWindows",	//171
    "Error",	//172
    "Executive",	//173
    "ExpandKeyword",	//174
    "ExtendedCSSProperty",	//175
    "ExtendedFunction",	//176
    "ExtendedPseudoClass",	//177
    "ExtendedPseudoElement",	//178
    "ExternalCommand",	//179
    "FirstPageFirst",	//180
    "Folio",	//181
    "FormSource",	//182
    "FormatBody",	//183
    "FormatIdentifier",	//184
    "Function",	//185
    "FunctionMethodName",	//186
    "Global",	//187
    "GlobalClass",	//188
    "GrayScale",	//189
    "Group",	//190
    "HLine",	//191
    "HTMLComment",	//192
    "HTMLDoubleQuotedString",	//193
    "HTMLNumber",	//194
    "HTMLSingleQuotedString",	//195
    "HTMLValue",	//196
    "Hash",	//197
    "Header",	//198
    "HereDocument",	//199
    "HereDocumentDelimiter",	//200
    "HexNumber",	//201
    "HexString",	//202
    "HiddenIndicator",	//203
    "HideCommandChar",	//204
    "HighResolution",	//205
    "HighlightedIdentifier",	//206
    "IDSelector",	//207
    "ITCLKeyword",	//208
    "Identifier",	//209
    "Idle",	//210
    "IgnoreMask",	//211
    "ImmediateEvalLiteral",	//212
    "Important",	//213
    "Inch",	//214
    "Inconsistent",	//215
    "InstanceVariable",	//216
    "IntrinsicFunction",	//217
    "Invisible",	//218
    "JavaScriptComment",	//219
    "JavaScriptCommentDoc",	//220
    "JavaScriptCommentLine",	//221
    "JavaScriptDefault",	//222
    "JavaScriptDoubleQuotedString",	//223
    "JavaScriptKeyword",	//224
    "JavaScriptNumber",	//225
    "JavaScriptRegex",	//226
    "JavaScriptSingleQuotedString",	//227
    "JavaScriptStart",	//228
    "JavaScriptSymbol",	//229
    "JavaScriptUnclosedString",	//230
    "JavaScriptWord",	//231
    "Key",	//232
    "Keyword",	//233
    "KeywordDoc",	//234
    "KeywordSecondary",	//235
    "KeywordSet2",	//236
    "KeywordSet3",	//237
    "KeywordSet5",	//238
    "KeywordSet6",	//239
    "KeywordSet7",	//240
    "KeywordSet8",	//241
    "KeywordSet9",	//242
    "Label",	//243
    "Landscape",	//244
    "LargeCapacity",	//245
    "LargeFormat",	//246
    "LastPageFirst",	//247
    "Ledger",	//248
    "LeftSideRoundedSplitter",	//249
    "LeftSideSplitter",	//250
    "Legal",	//251
    "Letter",	//252
    "LicensedActiveQt",	//253
    "LicensedCore",	//254
    "LicensedDBus",	//255
    "LicensedDeclarative",	//256
    "LicensedGui",	//257
    "LicensedHelp",	//258
    "LicensedMultimedia",	//259
    "LicensedNetwork",	//260
    "LicensedOpenGL",	//261
    "LicensedOpenVG",	//262
    "LicensedQt3Support",	//263
    "LicensedQt3SupportLight",	//264
    "LicensedScript",	//265
    "LicensedScriptTools",	//266
    "LicensedSql",	//267
    "LicensedSvg",	//268
    "LicensedTest",	//269
    "LicensedXml",	//270
    "LicensedXmlPatterns",	//271
    "LineAdded",	//272
    "LineChanged",	//273
    "LineComment",	//274
    "LineRemoved",	//275
    "Literal",	//276
    "LiteralString",	//277
    "Lower",	//278
    "LowerCase",	//279
    "Manual",	//280
    "MaxPageSource",	//281
    "Middle",	//282
    "Millimeter",	//283
    "Minus",	//284
    "Modifier",	//285
    "ModuleName",	//286
    "NPageSize",	//287
    "NPaperSize",	//288
    "Name",	//289
    "NativeFormat",	//290
    "NoBraceMatch",	//291
    "NoFoldStyle",	//292
    "NoFrame",	//293
    "NoWarning",	//294
    "Number",	//295
    "NumberMargin",	//296
    "ObjectsCSGAppearance",	//297
    "OnlyOne",	//298
    "Operator",	//299
    "OriginalCase",	//300
    "OtherInTag",	//301
    "PHPComment",	//302
    "PHPCommentLine",	//303
    "PHPDefault",	//304
    "PHPDoubleQuotedString",	//305
    "PHPDoubleQuotedVariable",	//306
    "PHPKeyword",	//307
    "PHPNumber",	//308
    "PHPOperator",	//309
    "PHPSingleQuotedString",	//310
    "PHPStart",	//311
    "PHPVariable",	//312
    "POD",	//313
    "PODVerbatim",	//314
    "PageRange",	//315
    "Panel",	//316
    "ParameterExpansion",	//317
    "PdfFormat",	//318
    "PercentStringQ",	//319
    "PercentStringq",	//320
    "PercentStringr",	//321
    "PercentStringw",	//322
    "PercentStringx",	//323
    "Pica",	//324
    "Plain",	//325
    "PlainFoldStyle",	//326
    "PlainIndicator",	//327
    "Plus",	//328
    "PlusComment",	//329
    "PlusKeyword",	//330
    "PlusPrompt",	//331
    "Point",	//332
    "Portrait",	//333
    "Position",	//334
    "PostScriptFormat",	//335
    "PreProcessor",	//336
    "PreProcessorParenthesis",	//337
    "PredefinedFunctions",	//338
    "PredefinedIdentifiers",	//339
    "Preprocessor",	//340
    "PrinterResolution",	//341
    "ProcedureParenthesis",	//342
    "PseudoClass",	//343
    "PseudoElement",	//344
    "PythonClassName",	//345
    "PythonComment",	//346
    "PythonDefault",	//347
    "PythonDoubleQuotedString",	//348
    "PythonFunctionMethodName",	//349
    "PythonIdentifier",	//350
    "PythonKeyword",	//351
    "PythonNumber",	//352
    "PythonOperator",	//353
    "PythonSingleQuotedString",	//354
    "PythonStart",	//355
    "PythonTripleDoubleQuotedString",	//356
    "PythonTripleSingleQuotedString",	//357
    "QSCN_SELCHANGED",	//358
    "QSCN_SELCHANGED$",	//359
    "Q_COMPLEX_TYPE",	//360
    "Q_DUMMY_TYPE",	//361
    "Q_MOVABLE_TYPE",	//362
    "Q_PRIMITIVE_TYPE",	//363
    "Q_STATIC_TYPE",	//364
    "QsciAPIs",	//365
    "QsciAPIs#",	//366
    "QsciAbstractAPIs",	//367
    "QsciAbstractAPIs#",	//368
    "QsciDocument",	//369
    "QsciDocument#",	//370
    "QsciLexer",	//371
    "QsciLexer#",	//372
    "QsciLexerBash",	//373
    "QsciLexerBash#",	//374
    "QsciLexerBatch",	//375
    "QsciLexerBatch#",	//376
    "QsciLexerCMake",	//377
    "QsciLexerCMake#",	//378
    "QsciLexerCPP",	//379
    "QsciLexerCPP#",	//380
    "QsciLexerCPP#$",	//381
    "QsciLexerCSS",	//382
    "QsciLexerCSS#",	//383
    "QsciLexerCSharp",	//384
    "QsciLexerCSharp#",	//385
    "QsciLexerCustom",	//386
    "QsciLexerCustom#",	//387
    "QsciLexerD",	//388
    "QsciLexerD#",	//389
    "QsciLexerDiff",	//390
    "QsciLexerDiff#",	//391
    "QsciLexerFortran",	//392
    "QsciLexerFortran#",	//393
    "QsciLexerFortran77",	//394
    "QsciLexerFortran77#",	//395
    "QsciLexerHTML",	//396
    "QsciLexerHTML#",	//397
    "QsciLexerIDL",	//398
    "QsciLexerIDL#",	//399
    "QsciLexerJava",	//400
    "QsciLexerJava#",	//401
    "QsciLexerJavaScript",	//402
    "QsciLexerJavaScript#",	//403
    "QsciLexerLua",	//404
    "QsciLexerLua#",	//405
    "QsciLexerMakefile",	//406
    "QsciLexerMakefile#",	//407
    "QsciLexerPOV",	//408
    "QsciLexerPOV#",	//409
    "QsciLexerPascal",	//410
    "QsciLexerPascal#",	//411
    "QsciLexerPerl",	//412
    "QsciLexerPerl#",	//413
    "QsciLexerPostScript",	//414
    "QsciLexerPostScript#",	//415
    "QsciLexerProperties",	//416
    "QsciLexerProperties#",	//417
    "QsciLexerPython",	//418
    "QsciLexerPython#",	//419
    "QsciLexerRuby",	//420
    "QsciLexerRuby#",	//421
    "QsciLexerSQL",	//422
    "QsciLexerSQL#",	//423
    "QsciLexerTCL",	//424
    "QsciLexerTCL#",	//425
    "QsciLexerTeX",	//426
    "QsciLexerTeX#",	//427
    "QsciLexerVHDL",	//428
    "QsciLexerVHDL#",	//429
    "QsciLexerXML",	//430
    "QsciLexerXML#",	//431
    "QsciLexerYAML",	//432
    "QsciLexerYAML#",	//433
    "QsciMacro",	//434
    "QsciMacro#",	//435
    "QsciMacro$#",	//436
    "QsciPrinter",	//437
    "QsciPrinter$",	//438
    "QsciScintilla",	//439
    "QsciScintilla#",	//440
    "QsciScintillaBase",	//441
    "QsciScintillaBase#",	//442
    "QsciStyle",	//443
    "QsciStyle#",	//444
    "QsciStyle$",	//445
    "QsciStyle$$###",	//446
    "QsciStyle$$###$",	//447
    "QsciStyledText",	//448
    "QsciStyledText#",	//449
    "QsciStyledText$#",	//450
    "QsciStyledText$$",	//451
    "QtCriticalMsg",	//452
    "QtDebugMsg",	//453
    "QtFatalMsg",	//454
    "QtSystemMsg",	//455
    "QtWarningMsg",	//456
    "QuotedKeyword",	//457
    "QuotedString",	//458
    "QuotedStringQ",	//459
    "QuotedStringQQ",	//460
    "QuotedStringQR",	//461
    "QuotedStringQW",	//462
    "QuotedStringQX",	//463
    "Raised",	//464
    "Rectangle",	//465
    "Reference",	//466
    "Regex",	//467
    "RightArrow",	//468
    "RightTriangle",	//469
    "RoundBoxIndicator",	//470
    "RoundedBottomLeftCorner",	//471
    "SCEN_CHANGE",	//472
    "SCLEX_ABAQUS",	//473
    "SCLEX_ADA",	//474
    "SCLEX_APDL",	//475
    "SCLEX_ASM",	//476
    "SCLEX_ASN1",	//477
    "SCLEX_ASP",	//478
    "SCLEX_ASYMPTOTE",	//479
    "SCLEX_AU3",	//480
    "SCLEX_AVE",	//481
    "SCLEX_BAAN",	//482
    "SCLEX_BASH",	//483
    "SCLEX_BATCH",	//484
    "SCLEX_BLITZBASIC",	//485
    "SCLEX_BULLANT",	//486
    "SCLEX_CAML",	//487
    "SCLEX_CLW",	//488
    "SCLEX_CLWNOCASE",	//489
    "SCLEX_CMAKE",	//490
    "SCLEX_COBOL",	//491
    "SCLEX_CONF",	//492
    "SCLEX_CONTAINER",	//493
    "SCLEX_CPP",	//494
    "SCLEX_CPPNOCASE",	//495
    "SCLEX_CSOUND",	//496
    "SCLEX_CSS",	//497
    "SCLEX_D",	//498
    "SCLEX_DIFF",	//499
    "SCLEX_EIFFEL",	//500
    "SCLEX_EIFFELKW",	//501
    "SCLEX_ERLANG",	//502
    "SCLEX_ERRORLIST",	//503
    "SCLEX_ESCRIPT",	//504
    "SCLEX_F77",	//505
    "SCLEX_FLAGSHIP",	//506
    "SCLEX_FORTH",	//507
    "SCLEX_FORTRAN",	//508
    "SCLEX_FREEBASIC",	//509
    "SCLEX_GAP",	//510
    "SCLEX_GUI4CLI",	//511
    "SCLEX_HASKELL",	//512
    "SCLEX_HTML",	//513
    "SCLEX_INNOSETUP",	//514
    "SCLEX_KIX",	//515
    "SCLEX_LATEX",	//516
    "SCLEX_LISP",	//517
    "SCLEX_LOT",	//518
    "SCLEX_LOUT",	//519
    "SCLEX_LUA",	//520
    "SCLEX_MAGIK",	//521
    "SCLEX_MAKEFILE",	//522
    "SCLEX_MATLAB",	//523
    "SCLEX_METAPOST",	//524
    "SCLEX_MMIXAL",	//525
    "SCLEX_MSSQL",	//526
    "SCLEX_MYSQL",	//527
    "SCLEX_NIMROD",	//528
    "SCLEX_NNCRONTAB",	//529
    "SCLEX_NSIS",	//530
    "SCLEX_NULL",	//531
    "SCLEX_OCTAVE",	//532
    "SCLEX_OPAL",	//533
    "SCLEX_PASCAL",	//534
    "SCLEX_PERL",	//535
    "SCLEX_PHP",	//536
    "SCLEX_PHPSCRIPT",	//537
    "SCLEX_PLM",	//538
    "SCLEX_PO",	//539
    "SCLEX_POV",	//540
    "SCLEX_POWERBASIC",	//541
    "SCLEX_POWERPRO",	//542
    "SCLEX_POWERSHELL",	//543
    "SCLEX_PROGRESS",	//544
    "SCLEX_PROPERTIES",	//545
    "SCLEX_PS",	//546
    "SCLEX_PUREBASIC",	//547
    "SCLEX_PYTHON",	//548
    "SCLEX_R",	//549
    "SCLEX_REBOL",	//550
    "SCLEX_RUBY",	//551
    "SCLEX_SCRIPTOL",	//552
    "SCLEX_SMALLTALK",	//553
    "SCLEX_SML",	//554
    "SCLEX_SORCUS",	//555
    "SCLEX_SPECMAN",	//556
    "SCLEX_SPICE",	//557
    "SCLEX_SQL",	//558
    "SCLEX_TACL",	//559
    "SCLEX_TADS3",	//560
    "SCLEX_TAL",	//561
    "SCLEX_TCL",	//562
    "SCLEX_TEX",	//563
    "SCLEX_VB",	//564
    "SCLEX_VBSCRIPT",	//565
    "SCLEX_VERILOG",	//566
    "SCLEX_VHDL",	//567
    "SCLEX_XML",	//568
    "SCLEX_YAML",	//569
    "SCN_AUTOCCANCELLED",	//570
    "SCN_AUTOCCHARDELETED",	//571
    "SCN_AUTOCSELECTION",	//572
    "SCN_AUTOCSELECTION$$",	//573
    "SCN_CALLTIPCLICK",	//574
    "SCN_CALLTIPCLICK$",	//575
    "SCN_CHARADDED",	//576
    "SCN_CHARADDED$",	//577
    "SCN_DOUBLECLICK",	//578
    "SCN_DOUBLECLICK$$$",	//579
    "SCN_DWELLEND",	//580
    "SCN_DWELLEND$$$",	//581
    "SCN_DWELLSTART",	//582
    "SCN_DWELLSTART$$$",	//583
    "SCN_HOTSPOTCLICK",	//584
    "SCN_HOTSPOTCLICK$$",	//585
    "SCN_HOTSPOTDOUBLECLICK",	//586
    "SCN_HOTSPOTDOUBLECLICK$$",	//587
    "SCN_INDICATORCLICK",	//588
    "SCN_INDICATORCLICK$$",	//589
    "SCN_INDICATORRELEASE",	//590
    "SCN_INDICATORRELEASE$$",	//591
    "SCN_MACRORECORD",	//592
    "SCN_MACRORECORD$$$",	//593
    "SCN_MARGINCLICK",	//594
    "SCN_MARGINCLICK$$$",	//595
    "SCN_MODIFIED",	//596
    "SCN_MODIFIED$$$$$$$$$$",	//597
    "SCN_MODIFYATTEMPTRO",	//598
    "SCN_NEEDSHOWN",	//599
    "SCN_NEEDSHOWN$$",	//600
    "SCN_PAINTED",	//601
    "SCN_SAVEPOINTLEFT",	//602
    "SCN_SAVEPOINTREACHED",	//603
    "SCN_STYLENEEDED",	//604
    "SCN_STYLENEEDED$",	//605
    "SCN_UPDATEUI",	//606
    "SCN_USERLISTSELECTION",	//607
    "SCN_USERLISTSELECTION$$",	//608
    "SCN_ZOOM",	//609
    "SGMLBlockDefault",	//610
    "SGMLCommand",	//611
    "SGMLComment",	//612
    "SGMLDefault",	//613
    "SGMLDoubleQuotedString",	//614
    "SGMLEntity",	//615
    "SGMLError",	//616
    "SGMLParameter",	//617
    "SGMLParameterComment",	//618
    "SGMLSingleQuotedString",	//619
    "SGMLSpecial",	//620
    "Scalar",	//621
    "ScreenResolution",	//622
    "Script",	//623
    "Section",	//624
    "Selection",	//625
    "SendScintilla",	//626
    "SendScintilla$",	//627
    "SendScintilla$#",	//628
    "SendScintilla$$",	//629
    "SendScintilla$$#",	//630
    "SendScintilla$$##$$",	//631
    "SendScintilla$$$",	//632
    "SendScintilla$$$$",	//633
    "SendScintillaPtrResult",	//634
    "SendScintillaPtrResult$",	//635
    "Shadow_Mask",	//636
    "Shape_Mask",	//637
    "SingleQuotedHereDocument",	//638
    "SingleQuotedString",	//639
    "SloppyBraceMatch",	//640
    "SmallFormat",	//641
    "SmallRectangle",	//642
    "Spaces",	//643
    "Special",	//644
    "SquiggleIndicator",	//645
    "StandardFunction",	//646
    "StandardOperator",	//647
    "StandardPackage",	//648
    "StandardType",	//649
    "Stderr",	//650
    "Stdin",	//651
    "Stdout",	//652
    "StrictBraceMatch",	//653
    "StrikeIndicator",	//654
    "String",	//655
    "StringLeftQuote",	//656
    "StringRightQuote",	//657
    "StringTableMathsFunctions",	//658
    "StringVariable",	//659
    "StyledPanel",	//660
    "SubroutinePrototype",	//661
    "Substitution",	//662
    "SubstitutionBrace",	//663
    "Sunken",	//664
    "Symbol",	//665
    "SymbolMargin",	//666
    "SymbolMarginDefaultBackgroundColor",	//667
    "SymbolMarginDefaultForegroundColor",	//668
    "SymbolTable",	//669
    "SyntaxErrorMarker",	//670
    "TCLKeyword",	//671
    "TTIndicator",	//672
    "Tabloid",	//673
    "Tabs",	//674
    "TabsAfterSpaces",	//675
    "Tag",	//676
    "Target",	//677
    "Text",	//678
    "TextBlockMarker",	//679
    "TextMargin",	//680
    "TextMarginRightJustified",	//681
    "ThreeDots",	//682
    "ThreeRightArrows",	//683
    "TkCommand",	//684
    "TkKeyword",	//685
    "Tractor",	//686
    "TripleDoubleQuotedString",	//687
    "TripleSingleQuotedString",	//688
    "Typedefs",	//689
    "TypesModifiersItems",	//690
    "UUID",	//691
    "UnclosedString",	//692
    "UnknownAttribute",	//693
    "UnknownProperty",	//694
    "UnknownPseudoClass",	//695
    "UnknownTag",	//696
    "UpperCase",	//697
    "VBScriptComment",	//698
    "VBScriptDefault",	//699
    "VBScriptIdentifier",	//700
    "VBScriptKeyword",	//701
    "VBScriptNumber",	//702
    "VBScriptStart",	//703
    "VBScriptString",	//704
    "VBScriptUnclosedString",	//705
    "VLine",	//706
    "Value",	//707
    "Variable",	//708
    "VerbatimString",	//709
    "VerticalLine",	//710
    "WinPanel",	//711
    "WrapCharacter",	//712
    "WrapFlagByBorder",	//713
    "WrapFlagByText",	//714
    "WrapFlagNone",	//715
    "WrapNone",	//716
    "WrapWord",	//717
    "WsInvisible",	//718
    "WsVisible",	//719
    "WsVisibleAfterIndent",	//720
    "XMLEnd",	//721
    "XMLStart",	//722
    "XMLTagEnd",	//723
    "actionEvent",	//724
    "add",	//725
    "add$",	//726
    "alternateKey",	//727
    "annotate",	//728
    "annotate$#",	//729
    "annotate$$#",	//730
    "annotate$$$",	//731
    "annotate$?",	//732
    "annotation",	//733
    "annotation$",	//734
    "annotationDisplay",	//735
    "apiContext",	//736
    "apiContext$$$",	//737
    "apiPreparationCancelled",	//738
    "apiPreparationFinished",	//739
    "apiPreparationStarted",	//740
    "apis",	//741
    "append",	//742
    "append$",	//743
    "autoCompleteFromAPIs",	//744
    "autoCompleteFromAll",	//745
    "autoCompleteFromDocument",	//746
    "autoCompletionCaseSensitivity",	//747
    "autoCompletionFillups",	//748
    "autoCompletionFillupsEnabled",	//749
    "autoCompletionReplaceWord",	//750
    "autoCompletionSelected",	//751
    "autoCompletionSelected$",	//752
    "autoCompletionShowSingle",	//753
    "autoCompletionSource",	//754
    "autoCompletionThreshold",	//755
    "autoCompletionWordSeparators",	//756
    "autoIndent",	//757
    "autoIndentStyle",	//758
    "backslashEscapes",	//759
    "backspaceUnindents",	//760
    "beginUndoAction",	//761
    "blockEnd",	//762
    "blockEnd$",	//763
    "blockLookback",	//764
    "blockStart",	//765
    "blockStart$",	//766
    "blockStartKeyword",	//767
    "blockStartKeyword$",	//768
    "braceMatching",	//769
    "braceStyle",	//770
    "callTip",	//771
    "callTips",	//772
    "callTips?$$?",	//773
    "callTipsStyle",	//774
    "callTipsVisible",	//775
    "canInsertFromMimeData",	//776
    "canInsertFromMimeData#",	//777
    "cancelList",	//778
    "cancelPreparation",	//779
    "caseSensitive",	//780
    "caseSensitiveTags",	//781
    "changeEvent",	//782
    "changeable",	//783
    "childEvent",	//784
    "clear",	//785
    "clearAlternateKeys",	//786
    "clearAnnotations",	//787
    "clearAnnotations$",	//788
    "clearFolds",	//789
    "clearIndicatorRange",	//790
    "clearIndicatorRange$$$$$",	//791
    "clearKeys",	//792
    "clearMarginText",	//793
    "clearMarginText$",	//794
    "clearRegisteredImages",	//795
    "closeEvent",	//796
    "color",	//797
    "color$",	//798
    "colorChanged",	//799
    "colorChanged#$",	//800
    "commands",	//801
    "connectNotify",	//802
    "contextMenuEvent",	//803
    "contextMenuEvent#",	//804
    "convertEols",	//805
    "convertEols$",	//806
    "copy",	//807
    "copyAvailable",	//808
    "copyAvailable$",	//809
    "cursorPositionChanged",	//810
    "cursorPositionChanged$$",	//811
    "customEvent",	//812
    "cut",	//813
    "defaultColor",	//814
    "defaultColor$",	//815
    "defaultEolFill",	//816
    "defaultEolFill$",	//817
    "defaultFont",	//818
    "defaultFont$",	//819
    "defaultPaper",	//820
    "defaultPaper$",	//821
    "defaultPreparedName",	//822
    "defaultStyle",	//823
    "description",	//824
    "description$",	//825
    "devType",	//826
    "disconnectNotify",	//827
    "document",	//828
    "dollarsAllowed",	//829
    "dragEnterEvent",	//830
    "dragEnterEvent#",	//831
    "dragLeaveEvent",	//832
    "dragLeaveEvent#",	//833
    "dragMoveEvent",	//834
    "dragMoveEvent#",	//835
    "dropEvent",	//836
    "dropEvent#",	//837
    "edgeColor",	//838
    "edgeColumn",	//839
    "edgeMode",	//840
    "editor",	//841
    "enabledChange",	//842
    "endRecording",	//843
    "endUndoAction",	//844
    "ensureCursorVisible",	//845
    "ensureLineVisible",	//846
    "ensureLineVisible$",	//847
    "enterEvent",	//848
    "eolFill",	//849
    "eolFill$",	//850
    "eolFillChanged",	//851
    "eolFillChanged$$",	//852
    "eolMode",	//853
    "eolVisibility",	//854
    "event",	//855
    "event#",	//856
    "eventFilter",	//857
    "fillIndicatorRange",	//858
    "fillIndicatorRange$$$$$",	//859
    "findFirst",	//860
    "findFirst$$$$$",	//861
    "findFirst$$$$$$",	//862
    "findFirst$$$$$$$",	//863
    "findFirst$$$$$$$$",	//864
    "findFirst$$$$$$$$$",	//865
    "findNext",	//866
    "firstVisibleLine",	//867
    "focusInEvent",	//868
    "focusInEvent#",	//869
    "focusNextPrevChild",	//870
    "focusNextPrevChild$",	//871
    "focusOutEvent",	//872
    "focusOutEvent#",	//873
    "foldAll",	//874
    "foldAll$",	//875
    "foldAtBegin",	//876
    "foldAtElse",	//877
    "foldAtParenthesis",	//878
    "foldComments",	//879
    "foldCompact",	//880
    "foldDirectives",	//881
    "foldLine",	//882
    "foldLine$",	//883
    "foldPODBlocks",	//884
    "foldPackages",	//885
    "foldPreprocessor",	//886
    "foldQuotes",	//887
    "foldScriptComments",	//888
    "foldScriptHeredocs",	//889
    "folding",	//890
    "font",	//891
    "font$",	//892
    "fontChange",	//893
    "fontChanged",	//894
    "fontChanged#$",	//895
    "formatPage",	//896
    "formatPage#$#$",	//897
    "fromMimeData",	//898
    "fromMimeData#",	//899
    "getCursorPosition",	//900
    "getCursorPosition$$",	//901
    "getSelection",	//902
    "getSelection$$$$",	//903
    "hasSelectedText",	//904
    "heightForWidth",	//905
    "hideEvent",	//906
    "hotspot",	//907
    "indent",	//908
    "indent$",	//909
    "indentation",	//910
    "indentation$",	//911
    "indentationGuideView",	//912
    "indentationGuides",	//913
    "indentationWarning",	//914
    "indentationWidth",	//915
    "indentationsUseTabs",	//916
    "indicatorClicked",	//917
    "indicatorClicked$$$",	//918
    "indicatorDefine",	//919
    "indicatorDefine$",	//920
    "indicatorDefine$$",	//921
    "indicatorDrawUnder",	//922
    "indicatorDrawUnder$",	//923
    "indicatorReleased",	//924
    "indicatorReleased$$$",	//925
    "inputMethodEvent",	//926
    "inputMethodEvent#",	//927
    "inputMethodQuery",	//928
    "insert",	//929
    "insert$",	//930
    "insertAt",	//931
    "insertAt$$$",	//932
    "installedAPIFiles",	//933
    "isCallTipActive",	//934
    "isListActive",	//935
    "isModified",	//936
    "isPrepared",	//937
    "isPrepared$",	//938
    "isReadOnly",	//939
    "isRedoAvailable",	//940
    "isUndoAvailable",	//941
    "isUtf8",	//942
    "isWordCharacter",	//943
    "isWordCharacter$",	//944
    "key",	//945
    "keyPressEvent",	//946
    "keyPressEvent#",	//947
    "keyReleaseEvent",	//948
    "keywords",	//949
    "keywords$",	//950
    "language",	//951
    "languageChange",	//952
    "leaveEvent",	//953
    "length",	//954
    "level",	//955
    "lexer",	//956
    "lexerId",	//957
    "lineAt",	//958
    "lineAt#",	//959
    "lineIndexFromPosition",	//960
    "lineIndexFromPosition$$$",	//961
    "lineLength",	//962
    "lineLength$",	//963
    "lines",	//964
    "linesChanged",	//965
    "load",	//966
    "load$",	//967
    "loadPrepared",	//968
    "loadPrepared$",	//969
    "magnification",	//970
    "marginClicked",	//971
    "marginClicked$$$",	//972
    "marginLineNumbers",	//973
    "marginLineNumbers$",	//974
    "marginMarkerMask",	//975
    "marginMarkerMask$",	//976
    "marginSensitivity",	//977
    "marginSensitivity$",	//978
    "marginType",	//979
    "marginType$",	//980
    "marginWidth",	//981
    "marginWidth$",	//982
    "markerAdd",	//983
    "markerAdd$$",	//984
    "markerDefine",	//985
    "markerDefine#",	//986
    "markerDefine#$",	//987
    "markerDefine$",	//988
    "markerDefine$$",	//989
    "markerDelete",	//990
    "markerDelete$",	//991
    "markerDelete$$",	//992
    "markerDeleteAll",	//993
    "markerDeleteAll$",	//994
    "markerDeleteHandle",	//995
    "markerDeleteHandle$",	//996
    "markerFindNext",	//997
    "markerFindNext$$",	//998
    "markerFindPrevious",	//999
    "markerFindPrevious$$",	//1000
    "markerLine",	//1001
    "markerLine$",	//1002
    "markersAtLine",	//1003
    "markersAtLine$",	//1004
    "metaObject",	//1005
    "metric",	//1006
    "minimumSizeHint",	//1007
    "modificationAttempted",	//1008
    "modificationChanged",	//1009
    "modificationChanged$",	//1010
    "mouseDoubleClickEvent",	//1011
    "mouseDoubleClickEvent#",	//1012
    "mouseMoveEvent",	//1013
    "mouseMoveEvent#",	//1014
    "mousePressEvent",	//1015
    "mousePressEvent#",	//1016
    "mouseReleaseEvent",	//1017
    "mouseReleaseEvent#",	//1018
    "moveEvent",	//1019
    "moveToMatchingBrace",	//1020
    "operator=",	//1021
    "operator=#",	//1022
    "paintEngine",	//1023
    "paintEvent",	//1024
    "paintEvent#",	//1025
    "paletteChange",	//1026
    "paper",	//1027
    "paper$",	//1028
    "paperChanged",	//1029
    "paperChanged#$",	//1030
    "paste",	//1031
    "play",	//1032
    "pool",	//1033
    "positionFromLineIndex",	//1034
    "positionFromLineIndex$$",	//1035
    "prepare",	//1036
    "printRange",	//1037
    "printRange#",	//1038
    "printRange#$",	//1039
    "printRange#$$",	//1040
    "propertyChanged",	//1041
    "propertyChanged$$",	//1042
    "qt_metacall",	//1043
    "qt_metacall$$?",	//1044
    "qt_metacast",	//1045
    "qt_metacast$",	//1046
    "read",	//1047
    "read#",	//1048
    "readProperties",	//1049
    "readProperties#$",	//1050
    "readSettings",	//1051
    "readSettings#",	//1052
    "readSettings#$",	//1053
    "recolor",	//1054
    "recolor$",	//1055
    "recolor$$",	//1056
    "redo",	//1057
    "refresh",	//1058
    "refreshProperties",	//1059
    "registerImage",	//1060
    "registerImage$#",	//1061
    "remove",	//1062
    "remove$",	//1063
    "removeSelectedText",	//1064
    "replace",	//1065
    "replace$",	//1066
    "resetFoldMarginColors",	//1067
    "resetSelectionBackgroundColor",	//1068
    "resetSelectionForegroundColor",	//1069
    "resizeEvent",	//1070
    "resizeEvent#",	//1071
    "save",	//1072
    "savePrepared",	//1073
    "savePrepared$",	//1074
    "scriptsStyled",	//1075
    "scrollContentsBy",	//1076
    "scrollContentsBy$$",	//1077
    "selectAll",	//1078
    "selectAll$",	//1079
    "selectToMatchingBrace",	//1080
    "selectedText",	//1081
    "selectionChanged",	//1082
    "selectionToEol",	//1083
    "setAPIs",	//1084
    "setAPIs#",	//1085
    "setAlternateKey",	//1086
    "setAlternateKey$",	//1087
    "setAnnotationDisplay",	//1088
    "setAnnotationDisplay$",	//1089
    "setAutoCompletionCaseSensitivity",	//1090
    "setAutoCompletionCaseSensitivity$",	//1091
    "setAutoCompletionFillups",	//1092
    "setAutoCompletionFillups$",	//1093
    "setAutoCompletionFillupsEnabled",	//1094
    "setAutoCompletionFillupsEnabled$",	//1095
    "setAutoCompletionReplaceWord",	//1096
    "setAutoCompletionReplaceWord$",	//1097
    "setAutoCompletionShowSingle",	//1098
    "setAutoCompletionShowSingle$",	//1099
    "setAutoCompletionSource",	//1100
    "setAutoCompletionSource$",	//1101
    "setAutoCompletionThreshold",	//1102
    "setAutoCompletionThreshold$",	//1103
    "setAutoCompletionWordSeparators",	//1104
    "setAutoCompletionWordSeparators?",	//1105
    "setAutoIndent",	//1106
    "setAutoIndent$",	//1107
    "setAutoIndentStyle",	//1108
    "setAutoIndentStyle$",	//1109
    "setBackslashEscapes",	//1110
    "setBackslashEscapes$",	//1111
    "setBackspaceUnindents",	//1112
    "setBackspaceUnindents$",	//1113
    "setBraceMatching",	//1114
    "setBraceMatching$",	//1115
    "setCallTipsBackgroundColor",	//1116
    "setCallTipsBackgroundColor#",	//1117
    "setCallTipsForegroundColor",	//1118
    "setCallTipsForegroundColor#",	//1119
    "setCallTipsHighlightColor",	//1120
    "setCallTipsHighlightColor#",	//1121
    "setCallTipsStyle",	//1122
    "setCallTipsStyle$",	//1123
    "setCallTipsVisible",	//1124
    "setCallTipsVisible$",	//1125
    "setCaretForegroundColor",	//1126
    "setCaretForegroundColor#",	//1127
    "setCaretLineBackgroundColor",	//1128
    "setCaretLineBackgroundColor#",	//1129
    "setCaretLineVisible",	//1130
    "setCaretLineVisible$",	//1131
    "setCaretWidth",	//1132
    "setCaretWidth$",	//1133
    "setCaseSensitiveTags",	//1134
    "setCaseSensitiveTags$",	//1135
    "setChangeable",	//1136
    "setChangeable$",	//1137
    "setColor",	//1138
    "setColor#",	//1139
    "setColor#$",	//1140
    "setCursorPosition",	//1141
    "setCursorPosition$$",	//1142
    "setDefaultColor",	//1143
    "setDefaultColor#",	//1144
    "setDefaultFont",	//1145
    "setDefaultFont#",	//1146
    "setDefaultPaper",	//1147
    "setDefaultPaper#",	//1148
    "setDescription",	//1149
    "setDescription$",	//1150
    "setDocument",	//1151
    "setDocument#",	//1152
    "setDollarsAllowed",	//1153
    "setDollarsAllowed$",	//1154
    "setEdgeColor",	//1155
    "setEdgeColor#",	//1156
    "setEdgeColumn",	//1157
    "setEdgeColumn$",	//1158
    "setEdgeMode",	//1159
    "setEdgeMode$",	//1160
    "setEditor",	//1161
    "setEditor#",	//1162
    "setEolFill",	//1163
    "setEolFill$",	//1164
    "setEolFill$$",	//1165
    "setEolMode",	//1166
    "setEolMode$",	//1167
    "setEolVisibility",	//1168
    "setEolVisibility$",	//1169
    "setFoldAtBegin",	//1170
    "setFoldAtBegin$",	//1171
    "setFoldAtElse",	//1172
    "setFoldAtElse$",	//1173
    "setFoldAtParenthesis",	//1174
    "setFoldAtParenthesis$",	//1175
    "setFoldComments",	//1176
    "setFoldComments$",	//1177
    "setFoldCompact",	//1178
    "setFoldCompact$",	//1179
    "setFoldDirectives",	//1180
    "setFoldDirectives$",	//1181
    "setFoldMarginColors",	//1182
    "setFoldMarginColors##",	//1183
    "setFoldPODBlocks",	//1184
    "setFoldPODBlocks$",	//1185
    "setFoldPackages",	//1186
    "setFoldPackages$",	//1187
    "setFoldPreprocessor",	//1188
    "setFoldPreprocessor$",	//1189
    "setFoldQuotes",	//1190
    "setFoldQuotes$",	//1191
    "setFoldScriptComments",	//1192
    "setFoldScriptComments$",	//1193
    "setFoldScriptHeredocs",	//1194
    "setFoldScriptHeredocs$",	//1195
    "setFolding",	//1196
    "setFolding$",	//1197
    "setFolding$$",	//1198
    "setFont",	//1199
    "setFont#",	//1200
    "setFont#$",	//1201
    "setHotspot",	//1202
    "setHotspot$",	//1203
    "setIndentation",	//1204
    "setIndentation$$",	//1205
    "setIndentationGuides",	//1206
    "setIndentationGuides$",	//1207
    "setIndentationGuidesBackgroundColor",	//1208
    "setIndentationGuidesBackgroundColor#",	//1209
    "setIndentationGuidesForegroundColor",	//1210
    "setIndentationGuidesForegroundColor#",	//1211
    "setIndentationWarning",	//1212
    "setIndentationWarning$",	//1213
    "setIndentationWidth",	//1214
    "setIndentationWidth$",	//1215
    "setIndentationsUseTabs",	//1216
    "setIndentationsUseTabs$",	//1217
    "setIndicatorDrawUnder",	//1218
    "setIndicatorDrawUnder$",	//1219
    "setIndicatorDrawUnder$$",	//1220
    "setIndicatorForegroundColor",	//1221
    "setIndicatorForegroundColor#",	//1222
    "setIndicatorForegroundColor#$",	//1223
    "setKey",	//1224
    "setKey$",	//1225
    "setLevel",	//1226
    "setLevel$",	//1227
    "setLexer",	//1228
    "setLexer#",	//1229
    "setMagnification",	//1230
    "setMagnification$",	//1231
    "setMarginLineNumbers",	//1232
    "setMarginLineNumbers$$",	//1233
    "setMarginMarkerMask",	//1234
    "setMarginMarkerMask$$",	//1235
    "setMarginSensitivity",	//1236
    "setMarginSensitivity$$",	//1237
    "setMarginText",	//1238
    "setMarginText$#",	//1239
    "setMarginText$$#",	//1240
    "setMarginText$$$",	//1241
    "setMarginText$?",	//1242
    "setMarginType",	//1243
    "setMarginType$$",	//1244
    "setMarginWidth",	//1245
    "setMarginWidth$$",	//1246
    "setMarginsBackgroundColor",	//1247
    "setMarginsBackgroundColor#",	//1248
    "setMarginsFont",	//1249
    "setMarginsFont#",	//1250
    "setMarginsForegroundColor",	//1251
    "setMarginsForegroundColor#",	//1252
    "setMarkerBackgroundColor",	//1253
    "setMarkerBackgroundColor#",	//1254
    "setMarkerBackgroundColor#$",	//1255
    "setMarkerForegroundColor",	//1256
    "setMarkerForegroundColor#",	//1257
    "setMarkerForegroundColor#$",	//1258
    "setMatchedBraceBackgroundColor",	//1259
    "setMatchedBraceBackgroundColor#",	//1260
    "setMatchedBraceForegroundColor",	//1261
    "setMatchedBraceForegroundColor#",	//1262
    "setModified",	//1263
    "setModified$",	//1264
    "setPaper",	//1265
    "setPaper#",	//1266
    "setPaper#$",	//1267
    "setReadOnly",	//1268
    "setReadOnly$",	//1269
    "setScriptsStyled",	//1270
    "setScriptsStyled$",	//1271
    "setSelection",	//1272
    "setSelection$$$$",	//1273
    "setSelectionBackgroundColor",	//1274
    "setSelectionBackgroundColor#",	//1275
    "setSelectionForegroundColor",	//1276
    "setSelectionForegroundColor#",	//1277
    "setSelectionToEol",	//1278
    "setSelectionToEol$",	//1279
    "setSmartHighlighting",	//1280
    "setSmartHighlighting$",	//1281
    "setStylePreprocessor",	//1282
    "setStylePreprocessor$",	//1283
    "setStyling",	//1284
    "setStyling$#",	//1285
    "setStyling$$",	//1286
    "setTabIndents",	//1287
    "setTabIndents$",	//1288
    "setTabWidth",	//1289
    "setTabWidth$",	//1290
    "setText",	//1291
    "setText$",	//1292
    "setTextCase",	//1293
    "setTextCase$",	//1294
    "setTokenize",	//1295
    "setTokenize$",	//1296
    "setUnmatchedBraceBackgroundColor",	//1297
    "setUnmatchedBraceBackgroundColor#",	//1298
    "setUnmatchedBraceForegroundColor",	//1299
    "setUnmatchedBraceForegroundColor#",	//1300
    "setUtf8",	//1301
    "setUtf8$",	//1302
    "setV2UnicodeAllowed",	//1303
    "setV2UnicodeAllowed$",	//1304
    "setV3BinaryOctalAllowed",	//1305
    "setV3BinaryOctalAllowed$",	//1306
    "setV3BytesAllowed",	//1307
    "setV3BytesAllowed$",	//1308
    "setVisible",	//1309
    "setVisible$",	//1310
    "setWhitespaceVisibility",	//1311
    "setWhitespaceVisibility$",	//1312
    "setWrapMode",	//1313
    "setWrapMode$",	//1314
    "setWrapVisualFlags",	//1315
    "setWrapVisualFlags$",	//1316
    "setWrapVisualFlags$$",	//1317
    "setWrapVisualFlags$$$",	//1318
    "showEvent",	//1319
    "showUserList",	//1320
    "showUserList$?",	//1321
    "sizeHint",	//1322
    "smartHighlighting",	//1323
    "standardCommands",	//1324
    "startRecording",	//1325
    "startStyling",	//1326
    "startStyling$",	//1327
    "startStyling$$",	//1328
    "staticMetaObject",	//1329
    "style",	//1330
    "styleBitsNeeded",	//1331
    "styleChange",	//1332
    "stylePreprocessor",	//1333
    "styleText",	//1334
    "styleText$$",	//1335
    "tabIndents",	//1336
    "tabWidth",	//1337
    "tabletEvent",	//1338
    "text",	//1339
    "text$",	//1340
    "textCase",	//1341
    "textChanged",	//1342
    "textHeight",	//1343
    "textHeight$",	//1344
    "timerEvent",	//1345
    "toMimeData",	//1346
    "toMimeData$",	//1347
    "tokenize",	//1348
    "tr",	//1349
    "tr$",	//1350
    "tr$$",	//1351
    "tr$$$",	//1352
    "trUtf8",	//1353
    "trUtf8$",	//1354
    "trUtf8$$",	//1355
    "trUtf8$$$",	//1356
    "undo",	//1357
    "unindent",	//1358
    "unindent$",	//1359
    "updateAutoCompletionList",	//1360
    "updateAutoCompletionList??",	//1361
    "userListActivated",	//1362
    "userListActivated$$",	//1363
    "v2UnicodeAllowed",	//1364
    "v3BinaryOctalAllowed",	//1365
    "v3BytesAllowed",	//1366
    "validKey",	//1367
    "validKey$",	//1368
    "viewportEvent",	//1369
    "visible",	//1370
    "wheelEvent",	//1371
    "whitespaceVisibility",	//1372
    "windowActivationChange",	//1373
    "wordAtPoint",	//1374
    "wordAtPoint#",	//1375
    "wordCharacters",	//1376
    "wrapMode",	//1377
    "write",	//1378
    "write#",	//1379
    "writeProperties",	//1380
    "writeProperties#$",	//1381
    "writeSettings",	//1382
    "writeSettings#",	//1383
    "writeSettings#$",	//1384
    "x11Event",	//1385
    "zoomIn",	//1386
    "zoomIn$",	//1387
    "zoomOut",	//1388
    "zoomOut$",	//1389
    "zoomTo",	//1390
    "zoomTo$",	//1391
    "~QsciAPIs",	//1392
    "~QsciAbstractAPIs",	//1393
    "~QsciCommand",	//1394
    "~QsciDocument",	//1395
    "~QsciLexer",	//1396
    "~QsciLexerBash",	//1397
    "~QsciLexerBatch",	//1398
    "~QsciLexerCMake",	//1399
    "~QsciLexerCPP",	//1400
    "~QsciLexerCSS",	//1401
    "~QsciLexerCSharp",	//1402
    "~QsciLexerCustom",	//1403
    "~QsciLexerD",	//1404
    "~QsciLexerDiff",	//1405
    "~QsciLexerFortran",	//1406
    "~QsciLexerFortran77",	//1407
    "~QsciLexerHTML",	//1408
    "~QsciLexerIDL",	//1409
    "~QsciLexerJava",	//1410
    "~QsciLexerJavaScript",	//1411
    "~QsciLexerLua",	//1412
    "~QsciLexerMakefile",	//1413
    "~QsciLexerPOV",	//1414
    "~QsciLexerPascal",	//1415
    "~QsciLexerPerl",	//1416
    "~QsciLexerPostScript",	//1417
    "~QsciLexerProperties",	//1418
    "~QsciLexerPython",	//1419
    "~QsciLexerRuby",	//1420
    "~QsciLexerSQL",	//1421
    "~QsciLexerTCL",	//1422
    "~QsciLexerTeX",	//1423
    "~QsciLexerVHDL",	//1424
    "~QsciLexerXML",	//1425
    "~QsciLexerYAML",	//1426
    "~QsciMacro",	//1427
    "~QsciPrinter",	//1428
    "~QsciScintilla",	//1429
    "~QsciScintillaBase",	//1430
    "~QsciStyle",	//1431
    "~QsciStyledText",	//1432
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1007, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1322, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 855, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 199, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1369, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 199, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1371, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {15, 782, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {16, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 6},	//12 QGlobalSpace::LicensedGui (enum)
    {16, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 7},	//13 QGlobalSpace::LicensedXml (enum)
    {16, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 8},	//14 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 9},	//15 QGlobalSpace::LicensedScript (enum)
    {16, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 10},	//16 QGlobalSpace::LicensedOpenVG (enum)
    {16, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 11},	//17 QGlobalSpace::LicensedDBus (enum)
    {16, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 12},	//18 QGlobalSpace::LicensedTest (enum)
    {16, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 13},	//19 QGlobalSpace::LicensedActiveQt (enum)
    {16, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 14},	//20 QGlobalSpace::LicensedScriptTools (enum)
    {16, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 15},	//21 QGlobalSpace::LicensedSvg (enum)
    {16, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 16},	//22 QGlobalSpace::LicensedDeclarative (enum)
    {16, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 17},	//23 QGlobalSpace::LicensedSql (enum)
    {16, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 18},	//24 QGlobalSpace::LicensedOpenGL (enum)
    {16, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 19},	//25 QGlobalSpace::LicensedCore (enum)
    {16, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 20},	//26 QGlobalSpace::QtDebugMsg (enum)
    {16, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 21},	//27 QGlobalSpace::QtWarningMsg (enum)
    {16, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 22},	//28 QGlobalSpace::QtCriticalMsg (enum)
    {16, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 23},	//29 QGlobalSpace::QtFatalMsg (enum)
    {16, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 24},	//30 QGlobalSpace::QtSystemMsg (enum)
    {16, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 25},	//31 QGlobalSpace::LicensedHelp (enum)
    {16, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 26},	//32 QGlobalSpace::LicensedMultimedia (enum)
    {16, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 27},	//33 QGlobalSpace::LicensedQt3Support (enum)
    {16, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 28},	//34 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 29},	//35 QGlobalSpace::LicensedNetwork (enum)
    {25, 855, 1, 1, Smoke::mf_virtual, 199, 0},	//36 QObject::event(QEvent*)
    {25, 857, 5, 2, Smoke::mf_virtual, 199, 0},	//37 QObject::eventFilter(QObject*, QEvent*)
    {25, 1345, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::timerEvent(QTimerEvent*)
    {25, 784, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::childEvent(QChildEvent*)
    {25, 812, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::customEvent(QEvent*)
    {25, 802, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QObject::connectNotify(const char*)
    {25, 827, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QObject::disconnectNotify(const char*)
    {32, 826, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 0},	//43 QPrinter::devType() const
    {32, 1023, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 0},	//44 QPrinter::paintEngine() const
    {32, 1006, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 221, 0},	//45 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {32, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 4},	//46 QPrinter::ScreenResolution (enum)
    {32, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 5},	//47 QPrinter::PrinterResolution (enum)
    {32, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 6},	//48 QPrinter::HighResolution (enum)
    {44, 826, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 0},	//49 QWidget::devType() const
    {44, 1309, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 QWidget::setVisible(bool)
    {44, 905, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 221, 0},	//51 QWidget::heightForWidth(int) const
    {44, 1023, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 0},	//52 QWidget::paintEngine() const
    {44, 948, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 QWidget::keyReleaseEvent(QKeyEvent*)
    {44, 848, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 QWidget::enterEvent(QEvent*)
    {44, 953, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 QWidget::leaveEvent(QEvent*)
    {44, 1019, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//56 QWidget::moveEvent(QMoveEvent*)
    {44, 796, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//57 QWidget::closeEvent(QCloseEvent*)
    {44, 1338, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//58 QWidget::tabletEvent(QTabletEvent*)
    {44, 724, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//59 QWidget::actionEvent(QActionEvent*)
    {44, 1319, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 QWidget::showEvent(QShowEvent*)
    {44, 906, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//61 QWidget::hideEvent(QHideEvent*)
    {44, 1385, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 199, 0},	//62 QWidget::x11Event(_XEvent*)
    {44, 1006, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 221, 0},	//63 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {44, 928, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 44, 0},	//64 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {44, 1332, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//65 QWidget::styleChange(QStyle&)
    {44, 842, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 QWidget::enabledChange(bool)
    {44, 1026, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 QWidget::paletteChange(const QPalette&)
    {44, 893, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//68 QWidget::fontChange(const QFont&)
    {44, 1373, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//69 QWidget::windowActivationChange(bool)
    {44, 952, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//70 QWidget::languageChange()
    {45, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//71 QsciAPIs::metaObject() const
    {45, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//72 QsciAPIs::qt_metacast(const char*)
    {45, 1349, 44, 2, Smoke::mf_static, 37, 3},	//73 QsciAPIs::tr(const char*, const char*)
    {45, 1353, 44, 2, Smoke::mf_static, 37, 4},	//74 QsciAPIs::trUtf8(const char*, const char*)
    {45, 1349, 47, 3, Smoke::mf_static, 37, 5},	//75 QsciAPIs::tr(const char*, const char*, int)
    {45, 1353, 47, 3, Smoke::mf_static, 37, 6},	//76 QsciAPIs::trUtf8(const char*, const char*, int)
    {45, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//77 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {45, 365, 55, 1, Smoke::mf_ctor, 47, 8},	//78 QsciAPIs::QsciAPIs(QsciLexer*)
    {45, 725, 57, 1, 0, 0, 9},	//79 QsciAPIs::add(const QString&)
    {45, 785, 0, 0, 0, 0, 10},	//80 QsciAPIs::clear()
    {45, 966, 57, 1, 0, 199, 11},	//81 QsciAPIs::load(const QString&)
    {45, 1062, 57, 1, 0, 0, 12},	//82 QsciAPIs::remove(const QString&)
    {45, 1036, 0, 0, 0, 0, 13},	//83 QsciAPIs::prepare()
    {45, 779, 0, 0, 0, 0, 14},	//84 QsciAPIs::cancelPreparation()
    {45, 822, 0, 0, Smoke::mf_const, 37, 15},	//85 QsciAPIs::defaultPreparedName() const
    {45, 937, 57, 1, Smoke::mf_const, 199, 16},	//86 QsciAPIs::isPrepared(const QString&) const
    {45, 968, 57, 1, 0, 199, 17},	//87 QsciAPIs::loadPrepared(const QString&)
    {45, 1073, 57, 1, Smoke::mf_const, 199, 18},	//88 QsciAPIs::savePrepared(const QString&) const
    {45, 1360, 59, 2, Smoke::mf_virtual, 0, 19},	//89 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {45, 751, 57, 1, Smoke::mf_virtual, 0, 20},	//90 QsciAPIs::autoCompletionSelected(const QString&)
    {45, 772, 62, 4, Smoke::mf_virtual, 38, 21},	//91 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {45, 855, 1, 1, Smoke::mf_virtual, 199, 22},	//92 QsciAPIs::event(QEvent*)
    {45, 933, 0, 0, Smoke::mf_const, 38, 23},	//93 QsciAPIs::installedAPIFiles() const
    {45, 738, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//94 QsciAPIs::apiPreparationCancelled()
    {45, 740, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//95 QsciAPIs::apiPreparationStarted()
    {45, 739, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//96 QsciAPIs::apiPreparationFinished()
    {45, 1349, 12, 1, Smoke::mf_static, 37, 27},	//97 QsciAPIs::tr(const char*)
    {45, 1353, 12, 1, Smoke::mf_static, 37, 28},	//98 QsciAPIs::trUtf8(const char*)
    {45, 937, 0, 0, Smoke::mf_const, 199, 29},	//99 QsciAPIs::isPrepared() const
    {45, 968, 0, 0, 0, 199, 30},	//100 QsciAPIs::loadPrepared()
    {45, 1073, 0, 0, Smoke::mf_const, 199, 31},	//101 QsciAPIs::savePrepared() const
    {45, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 32},	//102 QsciAPIs::staticMetaObject() const
    {45, 1392, 0, 0, Smoke::mf_dtor, 0, 33 },	//103 QsciAPIs::~QsciAPIs()
    {46, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//104 QsciAbstractAPIs::metaObject() const
    {46, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//105 QsciAbstractAPIs::qt_metacast(const char*)
    {46, 1349, 44, 2, Smoke::mf_static, 37, 3},	//106 QsciAbstractAPIs::tr(const char*, const char*)
    {46, 1353, 44, 2, Smoke::mf_static, 37, 4},	//107 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {46, 1349, 47, 3, Smoke::mf_static, 37, 5},	//108 QsciAbstractAPIs::tr(const char*, const char*, int)
    {46, 1353, 47, 3, Smoke::mf_static, 37, 6},	//109 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {46, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//110 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {46, 367, 55, 1, Smoke::mf_ctor, 48, 8},	//111 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {46, 956, 0, 0, Smoke::mf_const, 53, 9},	//112 QsciAbstractAPIs::lexer() const
    {46, 1360, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//113 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {46, 751, 57, 1, Smoke::mf_virtual, 0, 11},	//114 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {46, 772, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 38, 12},	//115 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {46, 1349, 12, 1, Smoke::mf_static, 37, 13},	//116 QsciAbstractAPIs::tr(const char*)
    {46, 1353, 12, 1, Smoke::mf_static, 37, 14},	//117 QsciAbstractAPIs::trUtf8(const char*)
    {46, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 15},	//118 QsciAbstractAPIs::staticMetaObject() const
    {46, 1393, 0, 0, Smoke::mf_dtor, 0, 16 },	//119 QsciAbstractAPIs::~QsciAbstractAPIs()
    {47, 1224, 18, 1, 0, 0, 1},	//120 QsciCommand::setKey(int)
    {47, 1086, 18, 1, 0, 0, 2},	//121 QsciCommand::setAlternateKey(int)
    {47, 945, 0, 0, Smoke::mf_const, 221, 3},	//122 QsciCommand::key() const
    {47, 727, 0, 0, Smoke::mf_const, 221, 4},	//123 QsciCommand::alternateKey() const
    {47, 1367, 18, 1, Smoke::mf_static, 199, 5},	//124 QsciCommand::validKey(int)
    {47, 824, 0, 0, Smoke::mf_const, 37, 6},	//125 QsciCommand::description() const
    {47, 1394, 0, 0, Smoke::mf_dtor, 0, 7 },	//126 QsciCommand::~QsciCommand()
    {48, 1051, 67, 2, 0, 199, 1},	//127 QsciCommandSet::readSettings(QSettings&, const char*)
    {48, 1382, 67, 2, 0, 199, 2},	//128 QsciCommandSet::writeSettings(QSettings&, const char*)
    {48, 801, 0, 0, 0, 18, 3},	//129 QsciCommandSet::commands()
    {48, 792, 0, 0, 0, 0, 4},	//130 QsciCommandSet::clearKeys()
    {48, 786, 0, 0, 0, 0, 5},	//131 QsciCommandSet::clearAlternateKeys()
    {48, 1051, 70, 1, 0, 199, 6},	//132 QsciCommandSet::readSettings(QSettings&)
    {48, 1382, 70, 1, 0, 199, 7},	//133 QsciCommandSet::writeSettings(QSettings&)
    {49, 369, 0, 0, Smoke::mf_ctor, 52, 1},	//134 QsciDocument::QsciDocument()
    {49, 369, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 2},	//135 QsciDocument::QsciDocument(const QsciDocument&)
    {49, 1021, 72, 1, 0, 51, 3},	//136 QsciDocument::operator=(const QsciDocument&)
    {49, 1395, 0, 0, Smoke::mf_dtor, 0, 4 },	//137 QsciDocument::~QsciDocument()
    {50, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//138 QsciLexer::metaObject() const
    {50, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//139 QsciLexer::qt_metacast(const char*)
    {50, 1349, 44, 2, Smoke::mf_static, 37, 3},	//140 QsciLexer::tr(const char*, const char*)
    {50, 1353, 44, 2, Smoke::mf_static, 37, 4},	//141 QsciLexer::trUtf8(const char*, const char*)
    {50, 1349, 47, 3, Smoke::mf_static, 37, 5},	//142 QsciLexer::tr(const char*, const char*, int)
    {50, 1353, 47, 3, Smoke::mf_static, 37, 6},	//143 QsciLexer::trUtf8(const char*, const char*, int)
    {50, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//144 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {50, 371, 74, 1, Smoke::mf_ctor, 53, 8},	//145 QsciLexer::QsciLexer(QObject*)
    {50, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 219, 9},	//146 QsciLexer::language() const [pure virtual]
    {50, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//147 QsciLexer::lexer() const
    {50, 957, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 11},	//148 QsciLexer::lexerId() const
    {50, 741, 0, 0, Smoke::mf_const, 48, 12},	//149 QsciLexer::apis() const
    {50, 748, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//150 QsciLexer::autoCompletionFillups() const
    {50, 756, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 14},	//151 QsciLexer::autoCompletionWordSeparators() const
    {50, 758, 0, 0, 0, 221, 15},	//152 QsciLexer::autoIndentStyle()
    {50, 762, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 16},	//153 QsciLexer::blockEnd(int*) const
    {50, 764, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 17},	//154 QsciLexer::blockLookback() const
    {50, 765, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 18},	//155 QsciLexer::blockStart(int*) const
    {50, 767, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 19},	//156 QsciLexer::blockStartKeyword(int*) const
    {50, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 20},	//157 QsciLexer::braceStyle() const
    {50, 780, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 21},	//158 QsciLexer::caseSensitive() const
    {50, 797, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 22},	//159 QsciLexer::color(int) const
    {50, 849, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 23},	//160 QsciLexer::eolFill(int) const
    {50, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 24},	//161 QsciLexer::font(int) const
    {50, 912, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 25},	//162 QsciLexer::indentationGuideView() const
    {50, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 26},	//163 QsciLexer::keywords(int) const
    {50, 823, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 27},	//164 QsciLexer::defaultStyle() const
    {50, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 37, 28},	//165 QsciLexer::description(int) const [pure virtual]
    {50, 1027, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 29},	//166 QsciLexer::paper(int) const
    {50, 814, 0, 0, Smoke::mf_const, 5, 30},	//167 QsciLexer::defaultColor() const
    {50, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 31},	//168 QsciLexer::defaultColor(int) const
    {50, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 32},	//169 QsciLexer::defaultEolFill(int) const
    {50, 818, 0, 0, Smoke::mf_const, 13, 33},	//170 QsciLexer::defaultFont() const
    {50, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 34},	//171 QsciLexer::defaultFont(int) const
    {50, 820, 0, 0, Smoke::mf_const, 5, 35},	//172 QsciLexer::defaultPaper() const
    {50, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 36},	//173 QsciLexer::defaultPaper(int) const
    {50, 841, 0, 0, Smoke::mf_const, 87, 37},	//174 QsciLexer::editor() const
    {50, 1084, 78, 1, 0, 0, 38},	//175 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {50, 1143, 80, 1, 0, 0, 39},	//176 QsciLexer::setDefaultColor(const QColor&)
    {50, 1145, 42, 1, 0, 0, 40},	//177 QsciLexer::setDefaultFont(const QFont&)
    {50, 1147, 80, 1, 0, 0, 41},	//178 QsciLexer::setDefaultPaper(const QColor&)
    {50, 1161, 82, 1, Smoke::mf_virtual, 0, 42},	//179 QsciLexer::setEditor(QsciScintilla*)
    {50, 1051, 67, 2, 0, 199, 43},	//180 QsciLexer::readSettings(QSettings&, const char*)
    {50, 1059, 0, 0, Smoke::mf_virtual, 0, 44},	//181 QsciLexer::refreshProperties()
    {50, 1331, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 45},	//182 QsciLexer::styleBitsNeeded() const
    {50, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 46},	//183 QsciLexer::wordCharacters() const
    {50, 1382, 67, 2, Smoke::mf_const, 199, 47},	//184 QsciLexer::writeSettings(QSettings&, const char*) const
    {50, 1108, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//185 QsciLexer::setAutoIndentStyle(int)
    {50, 1138, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//186 QsciLexer::setColor(const QColor&, int)
    {50, 1163, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//187 QsciLexer::setEolFill(bool, int)
    {50, 1199, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//188 QsciLexer::setFont(const QFont&, int)
    {50, 1265, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//189 QsciLexer::setPaper(const QColor&, int)
    {50, 799, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//190 QsciLexer::colorChanged(const QColor&, int)
    {50, 851, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//191 QsciLexer::eolFillChanged(bool, int)
    {50, 894, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//192 QsciLexer::fontChanged(const QFont&, int)
    {50, 1029, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//193 QsciLexer::paperChanged(const QColor&, int)
    {50, 1041, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//194 QsciLexer::propertyChanged(const char*, const char*)
    {50, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 58},	//195 QsciLexer::readProperties(QSettings&, const QString&)
    {50, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 59},	//196 QsciLexer::writeProperties(QSettings&, const QString&) const
    {50, 1349, 12, 1, Smoke::mf_static, 37, 60},	//197 QsciLexer::tr(const char*)
    {50, 1353, 12, 1, Smoke::mf_static, 37, 61},	//198 QsciLexer::trUtf8(const char*)
    {50, 371, 0, 0, Smoke::mf_ctor, 53, 62},	//199 QsciLexer::QsciLexer()
    {50, 762, 0, 0, Smoke::mf_const, 219, 63},	//200 QsciLexer::blockEnd() const
    {50, 765, 0, 0, Smoke::mf_const, 219, 64},	//201 QsciLexer::blockStart() const
    {50, 767, 0, 0, Smoke::mf_const, 219, 65},	//202 QsciLexer::blockStartKeyword() const
    {50, 1051, 70, 1, 0, 199, 66},	//203 QsciLexer::readSettings(QSettings&)
    {50, 1382, 70, 1, Smoke::mf_const, 199, 67},	//204 QsciLexer::writeSettings(QSettings&) const
    {50, 1138, 80, 1, Smoke::mf_slot, 0, 68},	//205 QsciLexer::setColor(const QColor&)
    {50, 1163, 16, 1, Smoke::mf_slot, 0, 69},	//206 QsciLexer::setEolFill(bool)
    {50, 1199, 42, 1, Smoke::mf_slot, 0, 70},	//207 QsciLexer::setFont(const QFont&)
    {50, 1265, 80, 1, Smoke::mf_slot, 0, 71},	//208 QsciLexer::setPaper(const QColor&)
    {50, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 72},	//209 QsciLexer::staticMetaObject() const
    {50, 1396, 0, 0, Smoke::mf_dtor, 0, 73 },	//210 QsciLexer::~QsciLexer()
    {51, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//211 QsciLexerBash::metaObject() const
    {51, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//212 QsciLexerBash::qt_metacast(const char*)
    {51, 1349, 44, 2, Smoke::mf_static, 37, 3},	//213 QsciLexerBash::tr(const char*, const char*)
    {51, 1353, 44, 2, Smoke::mf_static, 37, 4},	//214 QsciLexerBash::trUtf8(const char*, const char*)
    {51, 1349, 47, 3, Smoke::mf_static, 37, 5},	//215 QsciLexerBash::tr(const char*, const char*, int)
    {51, 1353, 47, 3, Smoke::mf_static, 37, 6},	//216 QsciLexerBash::trUtf8(const char*, const char*, int)
    {51, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//217 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {51, 373, 74, 1, Smoke::mf_ctor, 54, 8},	//218 QsciLexerBash::QsciLexerBash(QObject*)
    {51, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//219 QsciLexerBash::language() const
    {51, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//220 QsciLexerBash::lexer() const
    {51, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 11},	//221 QsciLexerBash::braceStyle() const
    {51, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//222 QsciLexerBash::wordCharacters() const
    {51, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//223 QsciLexerBash::defaultColor(int) const
    {51, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//224 QsciLexerBash::defaultEolFill(int) const
    {51, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//225 QsciLexerBash::defaultFont(int) const
    {51, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//226 QsciLexerBash::defaultPaper(int) const
    {51, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 17},	//227 QsciLexerBash::keywords(int) const
    {51, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//228 QsciLexerBash::description(int) const
    {51, 1059, 0, 0, Smoke::mf_virtual, 0, 19},	//229 QsciLexerBash::refreshProperties()
    {51, 879, 0, 0, Smoke::mf_const, 199, 20},	//230 QsciLexerBash::foldComments() const
    {51, 880, 0, 0, Smoke::mf_const, 199, 21},	//231 QsciLexerBash::foldCompact() const
    {51, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//232 QsciLexerBash::setFoldComments(bool)
    {51, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//233 QsciLexerBash::setFoldCompact(bool)
    {51, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 24},	//234 QsciLexerBash::readProperties(QSettings&, const QString&)
    {51, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 25},	//235 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {51, 1349, 12, 1, Smoke::mf_static, 37, 26},	//236 QsciLexerBash::tr(const char*)
    {51, 1353, 12, 1, Smoke::mf_static, 37, 27},	//237 QsciLexerBash::trUtf8(const char*)
    {51, 373, 0, 0, Smoke::mf_ctor, 54, 28},	//238 QsciLexerBash::QsciLexerBash()
    {51, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 29},	//239 QsciLexerBash::staticMetaObject() const
    {51, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//240 QsciLexerBash::Default (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//241 QsciLexerBash::Error (enum)
    {51, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//242 QsciLexerBash::Comment (enum)
    {51, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//243 QsciLexerBash::Number (enum)
    {51, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//244 QsciLexerBash::Keyword (enum)
    {51, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//245 QsciLexerBash::DoubleQuotedString (enum)
    {51, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//246 QsciLexerBash::SingleQuotedString (enum)
    {51, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//247 QsciLexerBash::Operator (enum)
    {51, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//248 QsciLexerBash::Identifier (enum)
    {51, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//249 QsciLexerBash::Scalar (enum)
    {51, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//250 QsciLexerBash::ParameterExpansion (enum)
    {51, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//251 QsciLexerBash::Backticks (enum)
    {51, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//252 QsciLexerBash::HereDocumentDelimiter (enum)
    {51, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//253 QsciLexerBash::SingleQuotedHereDocument (enum)
    {51, 1397, 0, 0, Smoke::mf_dtor, 0, 44 },	//254 QsciLexerBash::~QsciLexerBash()
    {52, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//255 QsciLexerBatch::metaObject() const
    {52, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//256 QsciLexerBatch::qt_metacast(const char*)
    {52, 1349, 44, 2, Smoke::mf_static, 37, 3},	//257 QsciLexerBatch::tr(const char*, const char*)
    {52, 1353, 44, 2, Smoke::mf_static, 37, 4},	//258 QsciLexerBatch::trUtf8(const char*, const char*)
    {52, 1349, 47, 3, Smoke::mf_static, 37, 5},	//259 QsciLexerBatch::tr(const char*, const char*, int)
    {52, 1353, 47, 3, Smoke::mf_static, 37, 6},	//260 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {52, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//261 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {52, 375, 74, 1, Smoke::mf_ctor, 55, 8},	//262 QsciLexerBatch::QsciLexerBatch(QObject*)
    {52, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//263 QsciLexerBatch::language() const
    {52, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//264 QsciLexerBatch::lexer() const
    {52, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//265 QsciLexerBatch::wordCharacters() const
    {52, 780, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//266 QsciLexerBatch::caseSensitive() const
    {52, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//267 QsciLexerBatch::defaultColor(int) const
    {52, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//268 QsciLexerBatch::defaultEolFill(int) const
    {52, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//269 QsciLexerBatch::defaultFont(int) const
    {52, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//270 QsciLexerBatch::defaultPaper(int) const
    {52, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 17},	//271 QsciLexerBatch::keywords(int) const
    {52, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//272 QsciLexerBatch::description(int) const
    {52, 1349, 12, 1, Smoke::mf_static, 37, 19},	//273 QsciLexerBatch::tr(const char*)
    {52, 1353, 12, 1, Smoke::mf_static, 37, 20},	//274 QsciLexerBatch::trUtf8(const char*)
    {52, 375, 0, 0, Smoke::mf_ctor, 55, 21},	//275 QsciLexerBatch::QsciLexerBatch()
    {52, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 22},	//276 QsciLexerBatch::staticMetaObject() const
    {52, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 23},	//277 QsciLexerBatch::Default (enum)
    {52, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 24},	//278 QsciLexerBatch::Comment (enum)
    {52, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 25},	//279 QsciLexerBatch::Keyword (enum)
    {52, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 26},	//280 QsciLexerBatch::Label (enum)
    {52, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 27},	//281 QsciLexerBatch::HideCommandChar (enum)
    {52, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 28},	//282 QsciLexerBatch::ExternalCommand (enum)
    {52, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 29},	//283 QsciLexerBatch::Variable (enum)
    {52, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//284 QsciLexerBatch::Operator (enum)
    {52, 1398, 0, 0, Smoke::mf_dtor, 0, 31 },	//285 QsciLexerBatch::~QsciLexerBatch()
    {53, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//286 QsciLexerCMake::metaObject() const
    {53, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//287 QsciLexerCMake::qt_metacast(const char*)
    {53, 1349, 44, 2, Smoke::mf_static, 37, 3},	//288 QsciLexerCMake::tr(const char*, const char*)
    {53, 1353, 44, 2, Smoke::mf_static, 37, 4},	//289 QsciLexerCMake::trUtf8(const char*, const char*)
    {53, 1349, 47, 3, Smoke::mf_static, 37, 5},	//290 QsciLexerCMake::tr(const char*, const char*, int)
    {53, 1353, 47, 3, Smoke::mf_static, 37, 6},	//291 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {53, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//292 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {53, 377, 74, 1, Smoke::mf_ctor, 56, 8},	//293 QsciLexerCMake::QsciLexerCMake(QObject*)
    {53, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//294 QsciLexerCMake::language() const
    {53, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//295 QsciLexerCMake::lexer() const
    {53, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//296 QsciLexerCMake::defaultColor(int) const
    {53, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//297 QsciLexerCMake::defaultFont(int) const
    {53, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//298 QsciLexerCMake::defaultPaper(int) const
    {53, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 14},	//299 QsciLexerCMake::keywords(int) const
    {53, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//300 QsciLexerCMake::description(int) const
    {53, 1059, 0, 0, Smoke::mf_virtual, 0, 16},	//301 QsciLexerCMake::refreshProperties()
    {53, 877, 0, 0, Smoke::mf_const, 199, 17},	//302 QsciLexerCMake::foldAtElse() const
    {53, 1172, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//303 QsciLexerCMake::setFoldAtElse(bool)
    {53, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 19},	//304 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {53, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 20},	//305 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {53, 1349, 12, 1, Smoke::mf_static, 37, 21},	//306 QsciLexerCMake::tr(const char*)
    {53, 1353, 12, 1, Smoke::mf_static, 37, 22},	//307 QsciLexerCMake::trUtf8(const char*)
    {53, 377, 0, 0, Smoke::mf_ctor, 56, 23},	//308 QsciLexerCMake::QsciLexerCMake()
    {53, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 24},	//309 QsciLexerCMake::staticMetaObject() const
    {53, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 25},	//310 QsciLexerCMake::Default (enum)
    {53, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 26},	//311 QsciLexerCMake::Comment (enum)
    {53, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 27},	//312 QsciLexerCMake::String (enum)
    {53, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 28},	//313 QsciLexerCMake::StringLeftQuote (enum)
    {53, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 29},	//314 QsciLexerCMake::StringRightQuote (enum)
    {53, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//315 QsciLexerCMake::Function (enum)
    {53, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//316 QsciLexerCMake::Variable (enum)
    {53, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//317 QsciLexerCMake::Label (enum)
    {53, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//318 QsciLexerCMake::KeywordSet3 (enum)
    {53, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//319 QsciLexerCMake::BlockWhile (enum)
    {53, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//320 QsciLexerCMake::BlockForeach (enum)
    {53, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//321 QsciLexerCMake::BlockIf (enum)
    {53, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//322 QsciLexerCMake::BlockMacro (enum)
    {53, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//323 QsciLexerCMake::StringVariable (enum)
    {53, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//324 QsciLexerCMake::Number (enum)
    {53, 1399, 0, 0, Smoke::mf_dtor, 0, 40 },	//325 QsciLexerCMake::~QsciLexerCMake()
    {54, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//326 QsciLexerCPP::metaObject() const
    {54, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//327 QsciLexerCPP::qt_metacast(const char*)
    {54, 1349, 44, 2, Smoke::mf_static, 37, 3},	//328 QsciLexerCPP::tr(const char*, const char*)
    {54, 1353, 44, 2, Smoke::mf_static, 37, 4},	//329 QsciLexerCPP::trUtf8(const char*, const char*)
    {54, 1349, 47, 3, Smoke::mf_static, 37, 5},	//330 QsciLexerCPP::tr(const char*, const char*, int)
    {54, 1353, 47, 3, Smoke::mf_static, 37, 6},	//331 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {54, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//332 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {54, 379, 96, 2, Smoke::mf_ctor, 57, 8},	//333 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {54, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//334 QsciLexerCPP::language() const
    {54, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//335 QsciLexerCPP::lexer() const
    {54, 756, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//336 QsciLexerCPP::autoCompletionWordSeparators() const
    {54, 762, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//337 QsciLexerCPP::blockEnd(int*) const
    {54, 765, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//338 QsciLexerCPP::blockStart(int*) const
    {54, 767, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 14},	//339 QsciLexerCPP::blockStartKeyword(int*) const
    {54, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 15},	//340 QsciLexerCPP::braceStyle() const
    {54, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 16},	//341 QsciLexerCPP::wordCharacters() const
    {54, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//342 QsciLexerCPP::defaultColor(int) const
    {54, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 18},	//343 QsciLexerCPP::defaultEolFill(int) const
    {54, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//344 QsciLexerCPP::defaultFont(int) const
    {54, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//345 QsciLexerCPP::defaultPaper(int) const
    {54, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 21},	//346 QsciLexerCPP::keywords(int) const
    {54, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 22},	//347 QsciLexerCPP::description(int) const
    {54, 1059, 0, 0, Smoke::mf_virtual, 0, 23},	//348 QsciLexerCPP::refreshProperties()
    {54, 877, 0, 0, Smoke::mf_const, 199, 24},	//349 QsciLexerCPP::foldAtElse() const
    {54, 879, 0, 0, Smoke::mf_const, 199, 25},	//350 QsciLexerCPP::foldComments() const
    {54, 880, 0, 0, Smoke::mf_const, 199, 26},	//351 QsciLexerCPP::foldCompact() const
    {54, 886, 0, 0, Smoke::mf_const, 199, 27},	//352 QsciLexerCPP::foldPreprocessor() const
    {54, 1333, 0, 0, Smoke::mf_const, 199, 28},	//353 QsciLexerCPP::stylePreprocessor() const
    {54, 1153, 16, 1, 0, 0, 29},	//354 QsciLexerCPP::setDollarsAllowed(bool)
    {54, 829, 0, 0, Smoke::mf_const, 199, 30},	//355 QsciLexerCPP::dollarsAllowed() const
    {54, 1172, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//356 QsciLexerCPP::setFoldAtElse(bool)
    {54, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//357 QsciLexerCPP::setFoldComments(bool)
    {54, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//358 QsciLexerCPP::setFoldCompact(bool)
    {54, 1188, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//359 QsciLexerCPP::setFoldPreprocessor(bool)
    {54, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//360 QsciLexerCPP::setStylePreprocessor(bool)
    {54, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 36},	//361 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {54, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 37},	//362 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {54, 1349, 12, 1, Smoke::mf_static, 37, 38},	//363 QsciLexerCPP::tr(const char*)
    {54, 1353, 12, 1, Smoke::mf_static, 37, 39},	//364 QsciLexerCPP::trUtf8(const char*)
    {54, 379, 0, 0, Smoke::mf_ctor, 57, 40},	//365 QsciLexerCPP::QsciLexerCPP()
    {54, 379, 74, 1, Smoke::mf_ctor, 57, 41},	//366 QsciLexerCPP::QsciLexerCPP(QObject*)
    {54, 762, 0, 0, Smoke::mf_const, 219, 42},	//367 QsciLexerCPP::blockEnd() const
    {54, 765, 0, 0, Smoke::mf_const, 219, 43},	//368 QsciLexerCPP::blockStart() const
    {54, 767, 0, 0, Smoke::mf_const, 219, 44},	//369 QsciLexerCPP::blockStartKeyword() const
    {54, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 45},	//370 QsciLexerCPP::staticMetaObject() const
    {54, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//371 QsciLexerCPP::Default (enum)
    {54, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//372 QsciLexerCPP::Comment (enum)
    {54, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//373 QsciLexerCPP::CommentLine (enum)
    {54, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//374 QsciLexerCPP::CommentDoc (enum)
    {54, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//375 QsciLexerCPP::Number (enum)
    {54, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 51},	//376 QsciLexerCPP::Keyword (enum)
    {54, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 52},	//377 QsciLexerCPP::DoubleQuotedString (enum)
    {54, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 53},	//378 QsciLexerCPP::SingleQuotedString (enum)
    {54, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 54},	//379 QsciLexerCPP::UUID (enum)
    {54, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 55},	//380 QsciLexerCPP::PreProcessor (enum)
    {54, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 56},	//381 QsciLexerCPP::Operator (enum)
    {54, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 57},	//382 QsciLexerCPP::Identifier (enum)
    {54, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 58},	//383 QsciLexerCPP::UnclosedString (enum)
    {54, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 59},	//384 QsciLexerCPP::VerbatimString (enum)
    {54, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 60},	//385 QsciLexerCPP::Regex (enum)
    {54, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 61},	//386 QsciLexerCPP::CommentLineDoc (enum)
    {54, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 62},	//387 QsciLexerCPP::KeywordSet2 (enum)
    {54, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 63},	//388 QsciLexerCPP::CommentDocKeyword (enum)
    {54, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 64},	//389 QsciLexerCPP::CommentDocKeywordError (enum)
    {54, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 65},	//390 QsciLexerCPP::GlobalClass (enum)
    {54, 1400, 0, 0, Smoke::mf_dtor, 0, 66 },	//391 QsciLexerCPP::~QsciLexerCPP()
    {55, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//392 QsciLexerCSS::metaObject() const
    {55, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//393 QsciLexerCSS::qt_metacast(const char*)
    {55, 1349, 44, 2, Smoke::mf_static, 37, 3},	//394 QsciLexerCSS::tr(const char*, const char*)
    {55, 1353, 44, 2, Smoke::mf_static, 37, 4},	//395 QsciLexerCSS::trUtf8(const char*, const char*)
    {55, 1349, 47, 3, Smoke::mf_static, 37, 5},	//396 QsciLexerCSS::tr(const char*, const char*, int)
    {55, 1353, 47, 3, Smoke::mf_static, 37, 6},	//397 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {55, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//398 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {55, 382, 74, 1, Smoke::mf_ctor, 58, 8},	//399 QsciLexerCSS::QsciLexerCSS(QObject*)
    {55, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//400 QsciLexerCSS::language() const
    {55, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//401 QsciLexerCSS::lexer() const
    {55, 762, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//402 QsciLexerCSS::blockEnd(int*) const
    {55, 765, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//403 QsciLexerCSS::blockStart(int*) const
    {55, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//404 QsciLexerCSS::wordCharacters() const
    {55, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//405 QsciLexerCSS::defaultColor(int) const
    {55, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//406 QsciLexerCSS::defaultFont(int) const
    {55, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 16},	//407 QsciLexerCSS::keywords(int) const
    {55, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//408 QsciLexerCSS::description(int) const
    {55, 1059, 0, 0, Smoke::mf_virtual, 0, 18},	//409 QsciLexerCSS::refreshProperties()
    {55, 879, 0, 0, Smoke::mf_const, 199, 19},	//410 QsciLexerCSS::foldComments() const
    {55, 880, 0, 0, Smoke::mf_const, 199, 20},	//411 QsciLexerCSS::foldCompact() const
    {55, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//412 QsciLexerCSS::setFoldComments(bool)
    {55, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//413 QsciLexerCSS::setFoldCompact(bool)
    {55, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 23},	//414 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {55, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 24},	//415 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {55, 1349, 12, 1, Smoke::mf_static, 37, 25},	//416 QsciLexerCSS::tr(const char*)
    {55, 1353, 12, 1, Smoke::mf_static, 37, 26},	//417 QsciLexerCSS::trUtf8(const char*)
    {55, 382, 0, 0, Smoke::mf_ctor, 58, 27},	//418 QsciLexerCSS::QsciLexerCSS()
    {55, 762, 0, 0, Smoke::mf_const, 219, 28},	//419 QsciLexerCSS::blockEnd() const
    {55, 765, 0, 0, Smoke::mf_const, 219, 29},	//420 QsciLexerCSS::blockStart() const
    {55, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 30},	//421 QsciLexerCSS::staticMetaObject() const
    {55, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//422 QsciLexerCSS::Default (enum)
    {55, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//423 QsciLexerCSS::Tag (enum)
    {55, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//424 QsciLexerCSS::ClassSelector (enum)
    {55, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//425 QsciLexerCSS::PseudoClass (enum)
    {55, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//426 QsciLexerCSS::UnknownPseudoClass (enum)
    {55, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//427 QsciLexerCSS::Operator (enum)
    {55, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//428 QsciLexerCSS::CSS1Property (enum)
    {55, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//429 QsciLexerCSS::UnknownProperty (enum)
    {55, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//430 QsciLexerCSS::Value (enum)
    {55, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//431 QsciLexerCSS::Comment (enum)
    {55, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//432 QsciLexerCSS::IDSelector (enum)
    {55, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//433 QsciLexerCSS::Important (enum)
    {55, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//434 QsciLexerCSS::AtRule (enum)
    {55, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//435 QsciLexerCSS::DoubleQuotedString (enum)
    {55, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//436 QsciLexerCSS::SingleQuotedString (enum)
    {55, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//437 QsciLexerCSS::CSS2Property (enum)
    {55, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//438 QsciLexerCSS::Attribute (enum)
    {55, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//439 QsciLexerCSS::CSS3Property (enum)
    {55, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//440 QsciLexerCSS::PseudoElement (enum)
    {55, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//441 QsciLexerCSS::ExtendedCSSProperty (enum)
    {55, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 51},	//442 QsciLexerCSS::ExtendedPseudoClass (enum)
    {55, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 52},	//443 QsciLexerCSS::ExtendedPseudoElement (enum)
    {55, 1401, 0, 0, Smoke::mf_dtor, 0, 53 },	//444 QsciLexerCSS::~QsciLexerCSS()
    {56, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//445 QsciLexerCSharp::metaObject() const
    {56, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//446 QsciLexerCSharp::qt_metacast(const char*)
    {56, 1349, 44, 2, Smoke::mf_static, 37, 3},	//447 QsciLexerCSharp::tr(const char*, const char*)
    {56, 1353, 44, 2, Smoke::mf_static, 37, 4},	//448 QsciLexerCSharp::trUtf8(const char*, const char*)
    {56, 1349, 47, 3, Smoke::mf_static, 37, 5},	//449 QsciLexerCSharp::tr(const char*, const char*, int)
    {56, 1353, 47, 3, Smoke::mf_static, 37, 6},	//450 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {56, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//451 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {56, 384, 74, 1, Smoke::mf_ctor, 59, 8},	//452 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {56, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//453 QsciLexerCSharp::language() const
    {56, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//454 QsciLexerCSharp::defaultColor(int) const
    {56, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//455 QsciLexerCSharp::defaultEolFill(int) const
    {56, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//456 QsciLexerCSharp::defaultFont(int) const
    {56, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//457 QsciLexerCSharp::defaultPaper(int) const
    {56, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 14},	//458 QsciLexerCSharp::keywords(int) const
    {56, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//459 QsciLexerCSharp::description(int) const
    {56, 1349, 12, 1, Smoke::mf_static, 37, 16},	//460 QsciLexerCSharp::tr(const char*)
    {56, 1353, 12, 1, Smoke::mf_static, 37, 17},	//461 QsciLexerCSharp::trUtf8(const char*)
    {56, 384, 0, 0, Smoke::mf_ctor, 59, 18},	//462 QsciLexerCSharp::QsciLexerCSharp()
    {56, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 19},	//463 QsciLexerCSharp::staticMetaObject() const
    {56, 1402, 0, 0, Smoke::mf_dtor, 0, 20 },	//464 QsciLexerCSharp::~QsciLexerCSharp()
    {57, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//465 QsciLexerCustom::metaObject() const
    {57, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//466 QsciLexerCustom::qt_metacast(const char*)
    {57, 1349, 44, 2, Smoke::mf_static, 37, 3},	//467 QsciLexerCustom::tr(const char*, const char*)
    {57, 1353, 44, 2, Smoke::mf_static, 37, 4},	//468 QsciLexerCustom::trUtf8(const char*, const char*)
    {57, 1349, 47, 3, Smoke::mf_static, 37, 5},	//469 QsciLexerCustom::tr(const char*, const char*, int)
    {57, 1353, 47, 3, Smoke::mf_static, 37, 6},	//470 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {57, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//471 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {57, 386, 74, 1, Smoke::mf_ctor, 60, 8},	//472 QsciLexerCustom::QsciLexerCustom(QObject*)
    {57, 1284, 99, 2, 0, 0, 9},	//473 QsciLexerCustom::setStyling(int, int)
    {57, 1284, 102, 2, 0, 0, 10},	//474 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {57, 1326, 99, 2, 0, 0, 11},	//475 QsciLexerCustom::startStyling(int, int)
    {57, 1334, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//476 QsciLexerCustom::styleText(int, int) [pure virtual]
    {57, 1161, 82, 1, Smoke::mf_virtual, 0, 13},	//477 QsciLexerCustom::setEditor(QsciScintilla*)
    {57, 1331, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 14},	//478 QsciLexerCustom::styleBitsNeeded() const
    {57, 1349, 12, 1, Smoke::mf_static, 37, 15},	//479 QsciLexerCustom::tr(const char*)
    {57, 1353, 12, 1, Smoke::mf_static, 37, 16},	//480 QsciLexerCustom::trUtf8(const char*)
    {57, 386, 0, 0, Smoke::mf_ctor, 60, 17},	//481 QsciLexerCustom::QsciLexerCustom()
    {57, 1326, 18, 1, 0, 0, 18},	//482 QsciLexerCustom::startStyling(int)
    {57, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 19},	//483 QsciLexerCustom::staticMetaObject() const
    {57, 1403, 0, 0, Smoke::mf_dtor, 0, 20 },	//484 QsciLexerCustom::~QsciLexerCustom()
    {58, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//485 QsciLexerD::metaObject() const
    {58, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//486 QsciLexerD::qt_metacast(const char*)
    {58, 1349, 44, 2, Smoke::mf_static, 37, 3},	//487 QsciLexerD::tr(const char*, const char*)
    {58, 1353, 44, 2, Smoke::mf_static, 37, 4},	//488 QsciLexerD::trUtf8(const char*, const char*)
    {58, 1349, 47, 3, Smoke::mf_static, 37, 5},	//489 QsciLexerD::tr(const char*, const char*, int)
    {58, 1353, 47, 3, Smoke::mf_static, 37, 6},	//490 QsciLexerD::trUtf8(const char*, const char*, int)
    {58, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//491 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {58, 388, 74, 1, Smoke::mf_ctor, 61, 8},	//492 QsciLexerD::QsciLexerD(QObject*)
    {58, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//493 QsciLexerD::language() const
    {58, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//494 QsciLexerD::lexer() const
    {58, 756, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//495 QsciLexerD::autoCompletionWordSeparators() const
    {58, 762, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//496 QsciLexerD::blockEnd(int*) const
    {58, 765, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//497 QsciLexerD::blockStart(int*) const
    {58, 767, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 14},	//498 QsciLexerD::blockStartKeyword(int*) const
    {58, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 15},	//499 QsciLexerD::braceStyle() const
    {58, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 16},	//500 QsciLexerD::wordCharacters() const
    {58, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//501 QsciLexerD::defaultColor(int) const
    {58, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 18},	//502 QsciLexerD::defaultEolFill(int) const
    {58, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//503 QsciLexerD::defaultFont(int) const
    {58, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//504 QsciLexerD::defaultPaper(int) const
    {58, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 21},	//505 QsciLexerD::keywords(int) const
    {58, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 22},	//506 QsciLexerD::description(int) const
    {58, 1059, 0, 0, Smoke::mf_virtual, 0, 23},	//507 QsciLexerD::refreshProperties()
    {58, 877, 0, 0, Smoke::mf_const, 199, 24},	//508 QsciLexerD::foldAtElse() const
    {58, 879, 0, 0, Smoke::mf_const, 199, 25},	//509 QsciLexerD::foldComments() const
    {58, 880, 0, 0, Smoke::mf_const, 199, 26},	//510 QsciLexerD::foldCompact() const
    {58, 1172, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//511 QsciLexerD::setFoldAtElse(bool)
    {58, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//512 QsciLexerD::setFoldComments(bool)
    {58, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//513 QsciLexerD::setFoldCompact(bool)
    {58, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 30},	//514 QsciLexerD::readProperties(QSettings&, const QString&)
    {58, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 31},	//515 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {58, 1349, 12, 1, Smoke::mf_static, 37, 32},	//516 QsciLexerD::tr(const char*)
    {58, 1353, 12, 1, Smoke::mf_static, 37, 33},	//517 QsciLexerD::trUtf8(const char*)
    {58, 388, 0, 0, Smoke::mf_ctor, 61, 34},	//518 QsciLexerD::QsciLexerD()
    {58, 762, 0, 0, Smoke::mf_const, 219, 35},	//519 QsciLexerD::blockEnd() const
    {58, 765, 0, 0, Smoke::mf_const, 219, 36},	//520 QsciLexerD::blockStart() const
    {58, 767, 0, 0, Smoke::mf_const, 219, 37},	//521 QsciLexerD::blockStartKeyword() const
    {58, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 38},	//522 QsciLexerD::staticMetaObject() const
    {58, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//523 QsciLexerD::Default (enum)
    {58, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//524 QsciLexerD::Comment (enum)
    {58, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//525 QsciLexerD::CommentLine (enum)
    {58, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//526 QsciLexerD::CommentDoc (enum)
    {58, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//527 QsciLexerD::CommentNested (enum)
    {58, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//528 QsciLexerD::Number (enum)
    {58, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//529 QsciLexerD::Keyword (enum)
    {58, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//530 QsciLexerD::KeywordSecondary (enum)
    {58, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//531 QsciLexerD::KeywordDoc (enum)
    {58, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//532 QsciLexerD::Typedefs (enum)
    {58, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//533 QsciLexerD::String (enum)
    {58, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//534 QsciLexerD::UnclosedString (enum)
    {58, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 51},	//535 QsciLexerD::Character (enum)
    {58, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 52},	//536 QsciLexerD::Operator (enum)
    {58, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 53},	//537 QsciLexerD::Identifier (enum)
    {58, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 54},	//538 QsciLexerD::CommentLineDoc (enum)
    {58, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 55},	//539 QsciLexerD::CommentDocKeyword (enum)
    {58, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 56},	//540 QsciLexerD::CommentDocKeywordError (enum)
    {58, 1404, 0, 0, Smoke::mf_dtor, 0, 57 },	//541 QsciLexerD::~QsciLexerD()
    {59, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//542 QsciLexerDiff::metaObject() const
    {59, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//543 QsciLexerDiff::qt_metacast(const char*)
    {59, 1349, 44, 2, Smoke::mf_static, 37, 3},	//544 QsciLexerDiff::tr(const char*, const char*)
    {59, 1353, 44, 2, Smoke::mf_static, 37, 4},	//545 QsciLexerDiff::trUtf8(const char*, const char*)
    {59, 1349, 47, 3, Smoke::mf_static, 37, 5},	//546 QsciLexerDiff::tr(const char*, const char*, int)
    {59, 1353, 47, 3, Smoke::mf_static, 37, 6},	//547 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {59, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//548 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {59, 390, 74, 1, Smoke::mf_ctor, 62, 8},	//549 QsciLexerDiff::QsciLexerDiff(QObject*)
    {59, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//550 QsciLexerDiff::language() const
    {59, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//551 QsciLexerDiff::lexer() const
    {59, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//552 QsciLexerDiff::wordCharacters() const
    {59, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//553 QsciLexerDiff::defaultColor(int) const
    {59, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 13},	//554 QsciLexerDiff::description(int) const
    {59, 1349, 12, 1, Smoke::mf_static, 37, 14},	//555 QsciLexerDiff::tr(const char*)
    {59, 1353, 12, 1, Smoke::mf_static, 37, 15},	//556 QsciLexerDiff::trUtf8(const char*)
    {59, 390, 0, 0, Smoke::mf_ctor, 62, 16},	//557 QsciLexerDiff::QsciLexerDiff()
    {59, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 17},	//558 QsciLexerDiff::staticMetaObject() const
    {59, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 18},	//559 QsciLexerDiff::Default (enum)
    {59, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 19},	//560 QsciLexerDiff::Comment (enum)
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 20},	//561 QsciLexerDiff::Command (enum)
    {59, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 21},	//562 QsciLexerDiff::Header (enum)
    {59, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 22},	//563 QsciLexerDiff::Position (enum)
    {59, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 23},	//564 QsciLexerDiff::LineRemoved (enum)
    {59, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 24},	//565 QsciLexerDiff::LineAdded (enum)
    {59, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 25},	//566 QsciLexerDiff::LineChanged (enum)
    {59, 1405, 0, 0, Smoke::mf_dtor, 0, 26 },	//567 QsciLexerDiff::~QsciLexerDiff()
    {60, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//568 QsciLexerFortran::metaObject() const
    {60, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//569 QsciLexerFortran::qt_metacast(const char*)
    {60, 1349, 44, 2, Smoke::mf_static, 37, 3},	//570 QsciLexerFortran::tr(const char*, const char*)
    {60, 1353, 44, 2, Smoke::mf_static, 37, 4},	//571 QsciLexerFortran::trUtf8(const char*, const char*)
    {60, 1349, 47, 3, Smoke::mf_static, 37, 5},	//572 QsciLexerFortran::tr(const char*, const char*, int)
    {60, 1353, 47, 3, Smoke::mf_static, 37, 6},	//573 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {60, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//574 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {60, 392, 74, 1, Smoke::mf_ctor, 63, 8},	//575 QsciLexerFortran::QsciLexerFortran(QObject*)
    {60, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//576 QsciLexerFortran::language() const
    {60, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//577 QsciLexerFortran::lexer() const
    {60, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//578 QsciLexerFortran::keywords(int) const
    {60, 1349, 12, 1, Smoke::mf_static, 37, 12},	//579 QsciLexerFortran::tr(const char*)
    {60, 1353, 12, 1, Smoke::mf_static, 37, 13},	//580 QsciLexerFortran::trUtf8(const char*)
    {60, 392, 0, 0, Smoke::mf_ctor, 63, 14},	//581 QsciLexerFortran::QsciLexerFortran()
    {60, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 15},	//582 QsciLexerFortran::staticMetaObject() const
    {60, 1406, 0, 0, Smoke::mf_dtor, 0, 16 },	//583 QsciLexerFortran::~QsciLexerFortran()
    {61, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//584 QsciLexerFortran77::metaObject() const
    {61, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//585 QsciLexerFortran77::qt_metacast(const char*)
    {61, 1349, 44, 2, Smoke::mf_static, 37, 3},	//586 QsciLexerFortran77::tr(const char*, const char*)
    {61, 1353, 44, 2, Smoke::mf_static, 37, 4},	//587 QsciLexerFortran77::trUtf8(const char*, const char*)
    {61, 1349, 47, 3, Smoke::mf_static, 37, 5},	//588 QsciLexerFortran77::tr(const char*, const char*, int)
    {61, 1353, 47, 3, Smoke::mf_static, 37, 6},	//589 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {61, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//590 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {61, 394, 74, 1, Smoke::mf_ctor, 64, 8},	//591 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {61, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//592 QsciLexerFortran77::language() const
    {61, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//593 QsciLexerFortran77::lexer() const
    {61, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 11},	//594 QsciLexerFortran77::braceStyle() const
    {61, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//595 QsciLexerFortran77::defaultColor(int) const
    {61, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//596 QsciLexerFortran77::defaultEolFill(int) const
    {61, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//597 QsciLexerFortran77::defaultFont(int) const
    {61, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//598 QsciLexerFortran77::defaultPaper(int) const
    {61, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 16},	//599 QsciLexerFortran77::keywords(int) const
    {61, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//600 QsciLexerFortran77::description(int) const
    {61, 1059, 0, 0, Smoke::mf_virtual, 0, 18},	//601 QsciLexerFortran77::refreshProperties()
    {61, 880, 0, 0, Smoke::mf_const, 199, 19},	//602 QsciLexerFortran77::foldCompact() const
    {61, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//603 QsciLexerFortran77::setFoldCompact(bool)
    {61, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 21},	//604 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {61, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 22},	//605 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {61, 1349, 12, 1, Smoke::mf_static, 37, 23},	//606 QsciLexerFortran77::tr(const char*)
    {61, 1353, 12, 1, Smoke::mf_static, 37, 24},	//607 QsciLexerFortran77::trUtf8(const char*)
    {61, 394, 0, 0, Smoke::mf_ctor, 64, 25},	//608 QsciLexerFortran77::QsciLexerFortran77()
    {61, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 26},	//609 QsciLexerFortran77::staticMetaObject() const
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 27},	//610 QsciLexerFortran77::Default (enum)
    {61, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 28},	//611 QsciLexerFortran77::Comment (enum)
    {61, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 29},	//612 QsciLexerFortran77::Number (enum)
    {61, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//613 QsciLexerFortran77::SingleQuotedString (enum)
    {61, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//614 QsciLexerFortran77::DoubleQuotedString (enum)
    {61, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//615 QsciLexerFortran77::UnclosedString (enum)
    {61, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//616 QsciLexerFortran77::Operator (enum)
    {61, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//617 QsciLexerFortran77::Identifier (enum)
    {61, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//618 QsciLexerFortran77::Keyword (enum)
    {61, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//619 QsciLexerFortran77::IntrinsicFunction (enum)
    {61, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//620 QsciLexerFortran77::ExtendedFunction (enum)
    {61, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//621 QsciLexerFortran77::PreProcessor (enum)
    {61, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//622 QsciLexerFortran77::DottedOperator (enum)
    {61, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//623 QsciLexerFortran77::Label (enum)
    {61, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//624 QsciLexerFortran77::Continuation (enum)
    {61, 1407, 0, 0, Smoke::mf_dtor, 0, 42 },	//625 QsciLexerFortran77::~QsciLexerFortran77()
    {62, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//626 QsciLexerHTML::metaObject() const
    {62, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//627 QsciLexerHTML::qt_metacast(const char*)
    {62, 1349, 44, 2, Smoke::mf_static, 37, 3},	//628 QsciLexerHTML::tr(const char*, const char*)
    {62, 1353, 44, 2, Smoke::mf_static, 37, 4},	//629 QsciLexerHTML::trUtf8(const char*, const char*)
    {62, 1349, 47, 3, Smoke::mf_static, 37, 5},	//630 QsciLexerHTML::tr(const char*, const char*, int)
    {62, 1353, 47, 3, Smoke::mf_static, 37, 6},	//631 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {62, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//632 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {62, 396, 74, 1, Smoke::mf_ctor, 65, 8},	//633 QsciLexerHTML::QsciLexerHTML(QObject*)
    {62, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//634 QsciLexerHTML::language() const
    {62, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//635 QsciLexerHTML::lexer() const
    {62, 748, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//636 QsciLexerHTML::autoCompletionFillups() const
    {62, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//637 QsciLexerHTML::wordCharacters() const
    {62, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//638 QsciLexerHTML::defaultColor(int) const
    {62, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//639 QsciLexerHTML::defaultEolFill(int) const
    {62, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//640 QsciLexerHTML::defaultFont(int) const
    {62, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//641 QsciLexerHTML::defaultPaper(int) const
    {62, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 17},	//642 QsciLexerHTML::keywords(int) const
    {62, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//643 QsciLexerHTML::description(int) const
    {62, 1059, 0, 0, Smoke::mf_virtual, 0, 19},	//644 QsciLexerHTML::refreshProperties()
    {62, 880, 0, 0, Smoke::mf_const, 199, 20},	//645 QsciLexerHTML::foldCompact() const
    {62, 886, 0, 0, Smoke::mf_const, 199, 21},	//646 QsciLexerHTML::foldPreprocessor() const
    {62, 781, 0, 0, Smoke::mf_const, 199, 22},	//647 QsciLexerHTML::caseSensitiveTags() const
    {62, 1192, 16, 1, 0, 0, 23},	//648 QsciLexerHTML::setFoldScriptComments(bool)
    {62, 888, 0, 0, Smoke::mf_const, 199, 24},	//649 QsciLexerHTML::foldScriptComments() const
    {62, 1194, 16, 1, 0, 0, 25},	//650 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {62, 889, 0, 0, Smoke::mf_const, 199, 26},	//651 QsciLexerHTML::foldScriptHeredocs() const
    {62, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//652 QsciLexerHTML::setFoldCompact(bool)
    {62, 1188, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//653 QsciLexerHTML::setFoldPreprocessor(bool)
    {62, 1134, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//654 QsciLexerHTML::setCaseSensitiveTags(bool)
    {62, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 30},	//655 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {62, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 31},	//656 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {62, 1349, 12, 1, Smoke::mf_static, 37, 32},	//657 QsciLexerHTML::tr(const char*)
    {62, 1353, 12, 1, Smoke::mf_static, 37, 33},	//658 QsciLexerHTML::trUtf8(const char*)
    {62, 396, 0, 0, Smoke::mf_ctor, 65, 34},	//659 QsciLexerHTML::QsciLexerHTML()
    {62, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 35},	//660 QsciLexerHTML::staticMetaObject() const
    {62, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//661 QsciLexerHTML::Default (enum)
    {62, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//662 QsciLexerHTML::Tag (enum)
    {62, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//663 QsciLexerHTML::UnknownTag (enum)
    {62, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//664 QsciLexerHTML::Attribute (enum)
    {62, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//665 QsciLexerHTML::UnknownAttribute (enum)
    {62, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//666 QsciLexerHTML::HTMLNumber (enum)
    {62, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//667 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {62, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//668 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {62, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//669 QsciLexerHTML::OtherInTag (enum)
    {62, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//670 QsciLexerHTML::HTMLComment (enum)
    {62, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//671 QsciLexerHTML::Entity (enum)
    {62, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//672 QsciLexerHTML::XMLTagEnd (enum)
    {62, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//673 QsciLexerHTML::XMLStart (enum)
    {62, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//674 QsciLexerHTML::XMLEnd (enum)
    {62, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//675 QsciLexerHTML::Script (enum)
    {62, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 51},	//676 QsciLexerHTML::ASPAtStart (enum)
    {62, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 52},	//677 QsciLexerHTML::ASPStart (enum)
    {62, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 53},	//678 QsciLexerHTML::CDATA (enum)
    {62, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 54},	//679 QsciLexerHTML::PHPStart (enum)
    {62, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 55},	//680 QsciLexerHTML::HTMLValue (enum)
    {62, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 56},	//681 QsciLexerHTML::ASPXCComment (enum)
    {62, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 57},	//682 QsciLexerHTML::SGMLDefault (enum)
    {62, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 58},	//683 QsciLexerHTML::SGMLCommand (enum)
    {62, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 59},	//684 QsciLexerHTML::SGMLParameter (enum)
    {62, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 60},	//685 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {62, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 61},	//686 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {62, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 62},	//687 QsciLexerHTML::SGMLError (enum)
    {62, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 63},	//688 QsciLexerHTML::SGMLSpecial (enum)
    {62, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 64},	//689 QsciLexerHTML::SGMLEntity (enum)
    {62, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 65},	//690 QsciLexerHTML::SGMLComment (enum)
    {62, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 66},	//691 QsciLexerHTML::SGMLParameterComment (enum)
    {62, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 67},	//692 QsciLexerHTML::SGMLBlockDefault (enum)
    {62, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 68},	//693 QsciLexerHTML::JavaScriptStart (enum)
    {62, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 69},	//694 QsciLexerHTML::JavaScriptDefault (enum)
    {62, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 70},	//695 QsciLexerHTML::JavaScriptComment (enum)
    {62, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 71},	//696 QsciLexerHTML::JavaScriptCommentLine (enum)
    {62, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 72},	//697 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {62, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 73},	//698 QsciLexerHTML::JavaScriptNumber (enum)
    {62, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 74},	//699 QsciLexerHTML::JavaScriptWord (enum)
    {62, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 75},	//700 QsciLexerHTML::JavaScriptKeyword (enum)
    {62, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 76},	//701 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {62, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 77},	//702 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {62, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 78},	//703 QsciLexerHTML::JavaScriptSymbol (enum)
    {62, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 79},	//704 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {62, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 80},	//705 QsciLexerHTML::JavaScriptRegex (enum)
    {62, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 81},	//706 QsciLexerHTML::ASPJavaScriptStart (enum)
    {62, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 82},	//707 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {62, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 83},	//708 QsciLexerHTML::ASPJavaScriptComment (enum)
    {62, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 84},	//709 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {62, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 85},	//710 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {62, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 86},	//711 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {62, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 87},	//712 QsciLexerHTML::ASPJavaScriptWord (enum)
    {62, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 88},	//713 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {62, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 89},	//714 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {62, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 90},	//715 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {62, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 91},	//716 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {62, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 92},	//717 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {62, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 93},	//718 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {62, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 94},	//719 QsciLexerHTML::VBScriptStart (enum)
    {62, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 95},	//720 QsciLexerHTML::VBScriptDefault (enum)
    {62, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 96},	//721 QsciLexerHTML::VBScriptComment (enum)
    {62, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 97},	//722 QsciLexerHTML::VBScriptNumber (enum)
    {62, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 98},	//723 QsciLexerHTML::VBScriptKeyword (enum)
    {62, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 99},	//724 QsciLexerHTML::VBScriptString (enum)
    {62, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 100},	//725 QsciLexerHTML::VBScriptIdentifier (enum)
    {62, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 101},	//726 QsciLexerHTML::VBScriptUnclosedString (enum)
    {62, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 102},	//727 QsciLexerHTML::ASPVBScriptStart (enum)
    {62, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 103},	//728 QsciLexerHTML::ASPVBScriptDefault (enum)
    {62, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 104},	//729 QsciLexerHTML::ASPVBScriptComment (enum)
    {62, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 105},	//730 QsciLexerHTML::ASPVBScriptNumber (enum)
    {62, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 106},	//731 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {62, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 107},	//732 QsciLexerHTML::ASPVBScriptString (enum)
    {62, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 108},	//733 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {62, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 109},	//734 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {62, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 110},	//735 QsciLexerHTML::PythonStart (enum)
    {62, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 111},	//736 QsciLexerHTML::PythonDefault (enum)
    {62, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 112},	//737 QsciLexerHTML::PythonComment (enum)
    {62, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 113},	//738 QsciLexerHTML::PythonNumber (enum)
    {62, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 114},	//739 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {62, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 115},	//740 QsciLexerHTML::PythonSingleQuotedString (enum)
    {62, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 116},	//741 QsciLexerHTML::PythonKeyword (enum)
    {62, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 117},	//742 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {62, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 118},	//743 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {62, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 119},	//744 QsciLexerHTML::PythonClassName (enum)
    {62, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 120},	//745 QsciLexerHTML::PythonFunctionMethodName (enum)
    {62, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 121},	//746 QsciLexerHTML::PythonOperator (enum)
    {62, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 122},	//747 QsciLexerHTML::PythonIdentifier (enum)
    {62, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 123},	//748 QsciLexerHTML::ASPPythonStart (enum)
    {62, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 124},	//749 QsciLexerHTML::ASPPythonDefault (enum)
    {62, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 125},	//750 QsciLexerHTML::ASPPythonComment (enum)
    {62, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 126},	//751 QsciLexerHTML::ASPPythonNumber (enum)
    {62, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 127},	//752 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {62, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 128},	//753 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {62, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 129},	//754 QsciLexerHTML::ASPPythonKeyword (enum)
    {62, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 130},	//755 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {62, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 131},	//756 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {62, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 132},	//757 QsciLexerHTML::ASPPythonClassName (enum)
    {62, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 133},	//758 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {62, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 134},	//759 QsciLexerHTML::ASPPythonOperator (enum)
    {62, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 135},	//760 QsciLexerHTML::ASPPythonIdentifier (enum)
    {62, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 136},	//761 QsciLexerHTML::PHPDefault (enum)
    {62, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 137},	//762 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {62, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 138},	//763 QsciLexerHTML::PHPSingleQuotedString (enum)
    {62, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 139},	//764 QsciLexerHTML::PHPKeyword (enum)
    {62, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 140},	//765 QsciLexerHTML::PHPNumber (enum)
    {62, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 141},	//766 QsciLexerHTML::PHPVariable (enum)
    {62, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 142},	//767 QsciLexerHTML::PHPComment (enum)
    {62, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 143},	//768 QsciLexerHTML::PHPCommentLine (enum)
    {62, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 144},	//769 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {62, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 145},	//770 QsciLexerHTML::PHPOperator (enum)
    {62, 1408, 0, 0, Smoke::mf_dtor, 0, 146 },	//771 QsciLexerHTML::~QsciLexerHTML()
    {63, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//772 QsciLexerIDL::metaObject() const
    {63, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//773 QsciLexerIDL::qt_metacast(const char*)
    {63, 1349, 44, 2, Smoke::mf_static, 37, 3},	//774 QsciLexerIDL::tr(const char*, const char*)
    {63, 1353, 44, 2, Smoke::mf_static, 37, 4},	//775 QsciLexerIDL::trUtf8(const char*, const char*)
    {63, 1349, 47, 3, Smoke::mf_static, 37, 5},	//776 QsciLexerIDL::tr(const char*, const char*, int)
    {63, 1353, 47, 3, Smoke::mf_static, 37, 6},	//777 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {63, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//778 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {63, 398, 74, 1, Smoke::mf_ctor, 66, 8},	//779 QsciLexerIDL::QsciLexerIDL(QObject*)
    {63, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//780 QsciLexerIDL::language() const
    {63, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//781 QsciLexerIDL::defaultColor(int) const
    {63, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//782 QsciLexerIDL::keywords(int) const
    {63, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 12},	//783 QsciLexerIDL::description(int) const
    {63, 1349, 12, 1, Smoke::mf_static, 37, 13},	//784 QsciLexerIDL::tr(const char*)
    {63, 1353, 12, 1, Smoke::mf_static, 37, 14},	//785 QsciLexerIDL::trUtf8(const char*)
    {63, 398, 0, 0, Smoke::mf_ctor, 66, 15},	//786 QsciLexerIDL::QsciLexerIDL()
    {63, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 16},	//787 QsciLexerIDL::staticMetaObject() const
    {63, 1409, 0, 0, Smoke::mf_dtor, 0, 17 },	//788 QsciLexerIDL::~QsciLexerIDL()
    {64, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//789 QsciLexerJava::metaObject() const
    {64, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//790 QsciLexerJava::qt_metacast(const char*)
    {64, 1349, 44, 2, Smoke::mf_static, 37, 3},	//791 QsciLexerJava::tr(const char*, const char*)
    {64, 1353, 44, 2, Smoke::mf_static, 37, 4},	//792 QsciLexerJava::trUtf8(const char*, const char*)
    {64, 1349, 47, 3, Smoke::mf_static, 37, 5},	//793 QsciLexerJava::tr(const char*, const char*, int)
    {64, 1353, 47, 3, Smoke::mf_static, 37, 6},	//794 QsciLexerJava::trUtf8(const char*, const char*, int)
    {64, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//795 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {64, 400, 74, 1, Smoke::mf_ctor, 67, 8},	//796 QsciLexerJava::QsciLexerJava(QObject*)
    {64, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//797 QsciLexerJava::language() const
    {64, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//798 QsciLexerJava::keywords(int) const
    {64, 1349, 12, 1, Smoke::mf_static, 37, 11},	//799 QsciLexerJava::tr(const char*)
    {64, 1353, 12, 1, Smoke::mf_static, 37, 12},	//800 QsciLexerJava::trUtf8(const char*)
    {64, 400, 0, 0, Smoke::mf_ctor, 67, 13},	//801 QsciLexerJava::QsciLexerJava()
    {64, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 14},	//802 QsciLexerJava::staticMetaObject() const
    {64, 1410, 0, 0, Smoke::mf_dtor, 0, 15 },	//803 QsciLexerJava::~QsciLexerJava()
    {65, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//804 QsciLexerJavaScript::metaObject() const
    {65, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//805 QsciLexerJavaScript::qt_metacast(const char*)
    {65, 1349, 44, 2, Smoke::mf_static, 37, 3},	//806 QsciLexerJavaScript::tr(const char*, const char*)
    {65, 1353, 44, 2, Smoke::mf_static, 37, 4},	//807 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {65, 1349, 47, 3, Smoke::mf_static, 37, 5},	//808 QsciLexerJavaScript::tr(const char*, const char*, int)
    {65, 1353, 47, 3, Smoke::mf_static, 37, 6},	//809 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {65, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//810 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {65, 402, 74, 1, Smoke::mf_ctor, 68, 8},	//811 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {65, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//812 QsciLexerJavaScript::language() const
    {65, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//813 QsciLexerJavaScript::defaultColor(int) const
    {65, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//814 QsciLexerJavaScript::defaultEolFill(int) const
    {65, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//815 QsciLexerJavaScript::defaultFont(int) const
    {65, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//816 QsciLexerJavaScript::defaultPaper(int) const
    {65, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 14},	//817 QsciLexerJavaScript::keywords(int) const
    {65, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//818 QsciLexerJavaScript::description(int) const
    {65, 1349, 12, 1, Smoke::mf_static, 37, 16},	//819 QsciLexerJavaScript::tr(const char*)
    {65, 1353, 12, 1, Smoke::mf_static, 37, 17},	//820 QsciLexerJavaScript::trUtf8(const char*)
    {65, 402, 0, 0, Smoke::mf_ctor, 68, 18},	//821 QsciLexerJavaScript::QsciLexerJavaScript()
    {65, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 19},	//822 QsciLexerJavaScript::staticMetaObject() const
    {65, 1411, 0, 0, Smoke::mf_dtor, 0, 20 },	//823 QsciLexerJavaScript::~QsciLexerJavaScript()
    {66, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//824 QsciLexerLua::metaObject() const
    {66, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//825 QsciLexerLua::qt_metacast(const char*)
    {66, 1349, 44, 2, Smoke::mf_static, 37, 3},	//826 QsciLexerLua::tr(const char*, const char*)
    {66, 1353, 44, 2, Smoke::mf_static, 37, 4},	//827 QsciLexerLua::trUtf8(const char*, const char*)
    {66, 1349, 47, 3, Smoke::mf_static, 37, 5},	//828 QsciLexerLua::tr(const char*, const char*, int)
    {66, 1353, 47, 3, Smoke::mf_static, 37, 6},	//829 QsciLexerLua::trUtf8(const char*, const char*, int)
    {66, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//830 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {66, 404, 74, 1, Smoke::mf_ctor, 69, 8},	//831 QsciLexerLua::QsciLexerLua(QObject*)
    {66, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//832 QsciLexerLua::language() const
    {66, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//833 QsciLexerLua::lexer() const
    {66, 756, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//834 QsciLexerLua::autoCompletionWordSeparators() const
    {66, 765, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//835 QsciLexerLua::blockStart(int*) const
    {66, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 13},	//836 QsciLexerLua::braceStyle() const
    {66, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//837 QsciLexerLua::defaultColor(int) const
    {66, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 15},	//838 QsciLexerLua::defaultEolFill(int) const
    {66, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//839 QsciLexerLua::defaultFont(int) const
    {66, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//840 QsciLexerLua::defaultPaper(int) const
    {66, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 18},	//841 QsciLexerLua::keywords(int) const
    {66, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 19},	//842 QsciLexerLua::description(int) const
    {66, 1059, 0, 0, Smoke::mf_virtual, 0, 20},	//843 QsciLexerLua::refreshProperties()
    {66, 880, 0, 0, Smoke::mf_const, 199, 21},	//844 QsciLexerLua::foldCompact() const
    {66, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//845 QsciLexerLua::setFoldCompact(bool)
    {66, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 23},	//846 QsciLexerLua::readProperties(QSettings&, const QString&)
    {66, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 24},	//847 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {66, 1349, 12, 1, Smoke::mf_static, 37, 25},	//848 QsciLexerLua::tr(const char*)
    {66, 1353, 12, 1, Smoke::mf_static, 37, 26},	//849 QsciLexerLua::trUtf8(const char*)
    {66, 404, 0, 0, Smoke::mf_ctor, 69, 27},	//850 QsciLexerLua::QsciLexerLua()
    {66, 765, 0, 0, Smoke::mf_const, 219, 28},	//851 QsciLexerLua::blockStart() const
    {66, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 29},	//852 QsciLexerLua::staticMetaObject() const
    {66, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//853 QsciLexerLua::Default (enum)
    {66, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//854 QsciLexerLua::Comment (enum)
    {66, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//855 QsciLexerLua::LineComment (enum)
    {66, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//856 QsciLexerLua::Number (enum)
    {66, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//857 QsciLexerLua::Keyword (enum)
    {66, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//858 QsciLexerLua::String (enum)
    {66, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//859 QsciLexerLua::Character (enum)
    {66, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//860 QsciLexerLua::LiteralString (enum)
    {66, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//861 QsciLexerLua::Preprocessor (enum)
    {66, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//862 QsciLexerLua::Operator (enum)
    {66, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//863 QsciLexerLua::Identifier (enum)
    {66, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//864 QsciLexerLua::UnclosedString (enum)
    {66, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//865 QsciLexerLua::BasicFunctions (enum)
    {66, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//866 QsciLexerLua::StringTableMathsFunctions (enum)
    {66, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//867 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {66, 1412, 0, 0, Smoke::mf_dtor, 0, 45 },	//868 QsciLexerLua::~QsciLexerLua()
    {67, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//869 QsciLexerMakefile::metaObject() const
    {67, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//870 QsciLexerMakefile::qt_metacast(const char*)
    {67, 1349, 44, 2, Smoke::mf_static, 37, 3},	//871 QsciLexerMakefile::tr(const char*, const char*)
    {67, 1353, 44, 2, Smoke::mf_static, 37, 4},	//872 QsciLexerMakefile::trUtf8(const char*, const char*)
    {67, 1349, 47, 3, Smoke::mf_static, 37, 5},	//873 QsciLexerMakefile::tr(const char*, const char*, int)
    {67, 1353, 47, 3, Smoke::mf_static, 37, 6},	//874 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {67, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//875 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {67, 406, 74, 1, Smoke::mf_ctor, 70, 8},	//876 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {67, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//877 QsciLexerMakefile::language() const
    {67, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//878 QsciLexerMakefile::lexer() const
    {67, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//879 QsciLexerMakefile::wordCharacters() const
    {67, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//880 QsciLexerMakefile::defaultColor(int) const
    {67, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//881 QsciLexerMakefile::defaultEolFill(int) const
    {67, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//882 QsciLexerMakefile::defaultFont(int) const
    {67, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//883 QsciLexerMakefile::defaultPaper(int) const
    {67, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//884 QsciLexerMakefile::description(int) const
    {67, 1349, 12, 1, Smoke::mf_static, 37, 17},	//885 QsciLexerMakefile::tr(const char*)
    {67, 1353, 12, 1, Smoke::mf_static, 37, 18},	//886 QsciLexerMakefile::trUtf8(const char*)
    {67, 406, 0, 0, Smoke::mf_ctor, 70, 19},	//887 QsciLexerMakefile::QsciLexerMakefile()
    {67, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 20},	//888 QsciLexerMakefile::staticMetaObject() const
    {67, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 21},	//889 QsciLexerMakefile::Default (enum)
    {67, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 22},	//890 QsciLexerMakefile::Comment (enum)
    {67, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 23},	//891 QsciLexerMakefile::Preprocessor (enum)
    {67, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 24},	//892 QsciLexerMakefile::Variable (enum)
    {67, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 25},	//893 QsciLexerMakefile::Operator (enum)
    {67, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 26},	//894 QsciLexerMakefile::Target (enum)
    {67, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 27},	//895 QsciLexerMakefile::Error (enum)
    {67, 1413, 0, 0, Smoke::mf_dtor, 0, 28 },	//896 QsciLexerMakefile::~QsciLexerMakefile()
    {68, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//897 QsciLexerPOV::metaObject() const
    {68, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//898 QsciLexerPOV::qt_metacast(const char*)
    {68, 1349, 44, 2, Smoke::mf_static, 37, 3},	//899 QsciLexerPOV::tr(const char*, const char*)
    {68, 1353, 44, 2, Smoke::mf_static, 37, 4},	//900 QsciLexerPOV::trUtf8(const char*, const char*)
    {68, 1349, 47, 3, Smoke::mf_static, 37, 5},	//901 QsciLexerPOV::tr(const char*, const char*, int)
    {68, 1353, 47, 3, Smoke::mf_static, 37, 6},	//902 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {68, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//903 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {68, 408, 74, 1, Smoke::mf_ctor, 71, 8},	//904 QsciLexerPOV::QsciLexerPOV(QObject*)
    {68, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//905 QsciLexerPOV::language() const
    {68, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//906 QsciLexerPOV::lexer() const
    {68, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 11},	//907 QsciLexerPOV::braceStyle() const
    {68, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//908 QsciLexerPOV::wordCharacters() const
    {68, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//909 QsciLexerPOV::defaultColor(int) const
    {68, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//910 QsciLexerPOV::defaultEolFill(int) const
    {68, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//911 QsciLexerPOV::defaultFont(int) const
    {68, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//912 QsciLexerPOV::defaultPaper(int) const
    {68, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 17},	//913 QsciLexerPOV::keywords(int) const
    {68, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//914 QsciLexerPOV::description(int) const
    {68, 1059, 0, 0, Smoke::mf_virtual, 0, 19},	//915 QsciLexerPOV::refreshProperties()
    {68, 879, 0, 0, Smoke::mf_const, 199, 20},	//916 QsciLexerPOV::foldComments() const
    {68, 880, 0, 0, Smoke::mf_const, 199, 21},	//917 QsciLexerPOV::foldCompact() const
    {68, 881, 0, 0, Smoke::mf_const, 199, 22},	//918 QsciLexerPOV::foldDirectives() const
    {68, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//919 QsciLexerPOV::setFoldComments(bool)
    {68, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//920 QsciLexerPOV::setFoldCompact(bool)
    {68, 1180, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//921 QsciLexerPOV::setFoldDirectives(bool)
    {68, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 26},	//922 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {68, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 27},	//923 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {68, 1349, 12, 1, Smoke::mf_static, 37, 28},	//924 QsciLexerPOV::tr(const char*)
    {68, 1353, 12, 1, Smoke::mf_static, 37, 29},	//925 QsciLexerPOV::trUtf8(const char*)
    {68, 408, 0, 0, Smoke::mf_ctor, 71, 30},	//926 QsciLexerPOV::QsciLexerPOV()
    {68, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 31},	//927 QsciLexerPOV::staticMetaObject() const
    {68, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//928 QsciLexerPOV::Default (enum)
    {68, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//929 QsciLexerPOV::Comment (enum)
    {68, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//930 QsciLexerPOV::CommentLine (enum)
    {68, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//931 QsciLexerPOV::Number (enum)
    {68, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//932 QsciLexerPOV::Operator (enum)
    {68, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//933 QsciLexerPOV::Identifier (enum)
    {68, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//934 QsciLexerPOV::String (enum)
    {68, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//935 QsciLexerPOV::UnclosedString (enum)
    {68, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//936 QsciLexerPOV::Directive (enum)
    {68, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//937 QsciLexerPOV::BadDirective (enum)
    {68, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//938 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {68, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//939 QsciLexerPOV::TypesModifiersItems (enum)
    {68, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//940 QsciLexerPOV::PredefinedIdentifiers (enum)
    {68, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//941 QsciLexerPOV::PredefinedFunctions (enum)
    {68, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//942 QsciLexerPOV::KeywordSet6 (enum)
    {68, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//943 QsciLexerPOV::KeywordSet7 (enum)
    {68, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//944 QsciLexerPOV::KeywordSet8 (enum)
    {68, 1414, 0, 0, Smoke::mf_dtor, 0, 49 },	//945 QsciLexerPOV::~QsciLexerPOV()
    {69, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//946 QsciLexerPascal::metaObject() const
    {69, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//947 QsciLexerPascal::qt_metacast(const char*)
    {69, 1349, 44, 2, Smoke::mf_static, 37, 3},	//948 QsciLexerPascal::tr(const char*, const char*)
    {69, 1353, 44, 2, Smoke::mf_static, 37, 4},	//949 QsciLexerPascal::trUtf8(const char*, const char*)
    {69, 1349, 47, 3, Smoke::mf_static, 37, 5},	//950 QsciLexerPascal::tr(const char*, const char*, int)
    {69, 1353, 47, 3, Smoke::mf_static, 37, 6},	//951 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {69, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//952 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {69, 410, 74, 1, Smoke::mf_ctor, 72, 8},	//953 QsciLexerPascal::QsciLexerPascal(QObject*)
    {69, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//954 QsciLexerPascal::language() const
    {69, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//955 QsciLexerPascal::lexer() const
    {69, 756, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//956 QsciLexerPascal::autoCompletionWordSeparators() const
    {69, 762, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//957 QsciLexerPascal::blockEnd(int*) const
    {69, 765, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//958 QsciLexerPascal::blockStart(int*) const
    {69, 767, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 14},	//959 QsciLexerPascal::blockStartKeyword(int*) const
    {69, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 15},	//960 QsciLexerPascal::braceStyle() const
    {69, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//961 QsciLexerPascal::defaultColor(int) const
    {69, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 17},	//962 QsciLexerPascal::defaultEolFill(int) const
    {69, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 18},	//963 QsciLexerPascal::defaultFont(int) const
    {69, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 19},	//964 QsciLexerPascal::defaultPaper(int) const
    {69, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 20},	//965 QsciLexerPascal::keywords(int) const
    {69, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 21},	//966 QsciLexerPascal::description(int) const
    {69, 1059, 0, 0, Smoke::mf_virtual, 0, 22},	//967 QsciLexerPascal::refreshProperties()
    {69, 879, 0, 0, Smoke::mf_const, 199, 23},	//968 QsciLexerPascal::foldComments() const
    {69, 880, 0, 0, Smoke::mf_const, 199, 24},	//969 QsciLexerPascal::foldCompact() const
    {69, 886, 0, 0, Smoke::mf_const, 199, 25},	//970 QsciLexerPascal::foldPreprocessor() const
    {69, 1280, 16, 1, 0, 0, 26},	//971 QsciLexerPascal::setSmartHighlighting(bool)
    {69, 1323, 0, 0, Smoke::mf_const, 199, 27},	//972 QsciLexerPascal::smartHighlighting() const
    {69, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//973 QsciLexerPascal::setFoldComments(bool)
    {69, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//974 QsciLexerPascal::setFoldCompact(bool)
    {69, 1188, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//975 QsciLexerPascal::setFoldPreprocessor(bool)
    {69, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 31},	//976 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {69, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 32},	//977 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {69, 1349, 12, 1, Smoke::mf_static, 37, 33},	//978 QsciLexerPascal::tr(const char*)
    {69, 1353, 12, 1, Smoke::mf_static, 37, 34},	//979 QsciLexerPascal::trUtf8(const char*)
    {69, 410, 0, 0, Smoke::mf_ctor, 72, 35},	//980 QsciLexerPascal::QsciLexerPascal()
    {69, 762, 0, 0, Smoke::mf_const, 219, 36},	//981 QsciLexerPascal::blockEnd() const
    {69, 765, 0, 0, Smoke::mf_const, 219, 37},	//982 QsciLexerPascal::blockStart() const
    {69, 767, 0, 0, Smoke::mf_const, 219, 38},	//983 QsciLexerPascal::blockStartKeyword() const
    {69, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 39},	//984 QsciLexerPascal::staticMetaObject() const
    {69, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//985 QsciLexerPascal::Default (enum)
    {69, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//986 QsciLexerPascal::Identifier (enum)
    {69, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//987 QsciLexerPascal::Comment (enum)
    {69, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//988 QsciLexerPascal::CommentParenthesis (enum)
    {69, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//989 QsciLexerPascal::CommentLine (enum)
    {69, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//990 QsciLexerPascal::PreProcessor (enum)
    {69, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//991 QsciLexerPascal::PreProcessorParenthesis (enum)
    {69, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//992 QsciLexerPascal::Number (enum)
    {69, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//993 QsciLexerPascal::HexNumber (enum)
    {69, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//994 QsciLexerPascal::Keyword (enum)
    {69, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//995 QsciLexerPascal::SingleQuotedString (enum)
    {69, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 51},	//996 QsciLexerPascal::UnclosedString (enum)
    {69, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 52},	//997 QsciLexerPascal::Character (enum)
    {69, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 53},	//998 QsciLexerPascal::Operator (enum)
    {69, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 54},	//999 QsciLexerPascal::Asm (enum)
    {69, 1415, 0, 0, Smoke::mf_dtor, 0, 55 },	//1000 QsciLexerPascal::~QsciLexerPascal()
    {70, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1001 QsciLexerPerl::metaObject() const
    {70, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1002 QsciLexerPerl::qt_metacast(const char*)
    {70, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1003 QsciLexerPerl::tr(const char*, const char*)
    {70, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1004 QsciLexerPerl::trUtf8(const char*, const char*)
    {70, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1005 QsciLexerPerl::tr(const char*, const char*, int)
    {70, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1006 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {70, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1007 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {70, 412, 74, 1, Smoke::mf_ctor, 73, 8},	//1008 QsciLexerPerl::QsciLexerPerl(QObject*)
    {70, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1009 QsciLexerPerl::language() const
    {70, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1010 QsciLexerPerl::lexer() const
    {70, 756, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//1011 QsciLexerPerl::autoCompletionWordSeparators() const
    {70, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 12},	//1012 QsciLexerPerl::braceStyle() const
    {70, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//1013 QsciLexerPerl::wordCharacters() const
    {70, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1014 QsciLexerPerl::defaultColor(int) const
    {70, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 15},	//1015 QsciLexerPerl::defaultEolFill(int) const
    {70, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//1016 QsciLexerPerl::defaultFont(int) const
    {70, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//1017 QsciLexerPerl::defaultPaper(int) const
    {70, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 18},	//1018 QsciLexerPerl::keywords(int) const
    {70, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 19},	//1019 QsciLexerPerl::description(int) const
    {70, 1059, 0, 0, Smoke::mf_virtual, 0, 20},	//1020 QsciLexerPerl::refreshProperties()
    {70, 879, 0, 0, Smoke::mf_const, 199, 21},	//1021 QsciLexerPerl::foldComments() const
    {70, 880, 0, 0, Smoke::mf_const, 199, 22},	//1022 QsciLexerPerl::foldCompact() const
    {70, 1186, 16, 1, 0, 0, 23},	//1023 QsciLexerPerl::setFoldPackages(bool)
    {70, 885, 0, 0, Smoke::mf_const, 199, 24},	//1024 QsciLexerPerl::foldPackages() const
    {70, 1184, 16, 1, 0, 0, 25},	//1025 QsciLexerPerl::setFoldPODBlocks(bool)
    {70, 884, 0, 0, Smoke::mf_const, 199, 26},	//1026 QsciLexerPerl::foldPODBlocks() const
    {70, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1027 QsciLexerPerl::setFoldComments(bool)
    {70, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1028 QsciLexerPerl::setFoldCompact(bool)
    {70, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 29},	//1029 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {70, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 30},	//1030 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {70, 1349, 12, 1, Smoke::mf_static, 37, 31},	//1031 QsciLexerPerl::tr(const char*)
    {70, 1353, 12, 1, Smoke::mf_static, 37, 32},	//1032 QsciLexerPerl::trUtf8(const char*)
    {70, 412, 0, 0, Smoke::mf_ctor, 73, 33},	//1033 QsciLexerPerl::QsciLexerPerl()
    {70, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 34},	//1034 QsciLexerPerl::staticMetaObject() const
    {70, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//1035 QsciLexerPerl::Default (enum)
    {70, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//1036 QsciLexerPerl::Error (enum)
    {70, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//1037 QsciLexerPerl::Comment (enum)
    {70, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//1038 QsciLexerPerl::POD (enum)
    {70, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//1039 QsciLexerPerl::Number (enum)
    {70, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//1040 QsciLexerPerl::Keyword (enum)
    {70, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//1041 QsciLexerPerl::DoubleQuotedString (enum)
    {70, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//1042 QsciLexerPerl::SingleQuotedString (enum)
    {70, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//1043 QsciLexerPerl::Operator (enum)
    {70, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//1044 QsciLexerPerl::Identifier (enum)
    {70, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//1045 QsciLexerPerl::Scalar (enum)
    {70, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//1046 QsciLexerPerl::Array (enum)
    {70, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//1047 QsciLexerPerl::Hash (enum)
    {70, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//1048 QsciLexerPerl::SymbolTable (enum)
    {70, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//1049 QsciLexerPerl::Regex (enum)
    {70, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//1050 QsciLexerPerl::Substitution (enum)
    {70, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 51},	//1051 QsciLexerPerl::Backticks (enum)
    {70, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 52},	//1052 QsciLexerPerl::DataSection (enum)
    {70, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 53},	//1053 QsciLexerPerl::HereDocumentDelimiter (enum)
    {70, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 54},	//1054 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {70, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 55},	//1055 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {70, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 56},	//1056 QsciLexerPerl::BacktickHereDocument (enum)
    {70, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 57},	//1057 QsciLexerPerl::QuotedStringQ (enum)
    {70, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 58},	//1058 QsciLexerPerl::QuotedStringQQ (enum)
    {70, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 59},	//1059 QsciLexerPerl::QuotedStringQX (enum)
    {70, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 60},	//1060 QsciLexerPerl::QuotedStringQR (enum)
    {70, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 61},	//1061 QsciLexerPerl::QuotedStringQW (enum)
    {70, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 62},	//1062 QsciLexerPerl::PODVerbatim (enum)
    {70, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 63},	//1063 QsciLexerPerl::SubroutinePrototype (enum)
    {70, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 64},	//1064 QsciLexerPerl::FormatIdentifier (enum)
    {70, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 65},	//1065 QsciLexerPerl::FormatBody (enum)
    {70, 1416, 0, 0, Smoke::mf_dtor, 0, 66 },	//1066 QsciLexerPerl::~QsciLexerPerl()
    {71, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1067 QsciLexerPostScript::metaObject() const
    {71, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1068 QsciLexerPostScript::qt_metacast(const char*)
    {71, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1069 QsciLexerPostScript::tr(const char*, const char*)
    {71, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1070 QsciLexerPostScript::trUtf8(const char*, const char*)
    {71, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1071 QsciLexerPostScript::tr(const char*, const char*, int)
    {71, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1072 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {71, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1073 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {71, 414, 74, 1, Smoke::mf_ctor, 74, 8},	//1074 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {71, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1075 QsciLexerPostScript::language() const
    {71, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1076 QsciLexerPostScript::lexer() const
    {71, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 11},	//1077 QsciLexerPostScript::braceStyle() const
    {71, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1078 QsciLexerPostScript::defaultColor(int) const
    {71, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1079 QsciLexerPostScript::defaultFont(int) const
    {71, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1080 QsciLexerPostScript::defaultPaper(int) const
    {71, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 15},	//1081 QsciLexerPostScript::keywords(int) const
    {71, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1082 QsciLexerPostScript::description(int) const
    {71, 1059, 0, 0, Smoke::mf_virtual, 0, 17},	//1083 QsciLexerPostScript::refreshProperties()
    {71, 1348, 0, 0, Smoke::mf_const, 199, 18},	//1084 QsciLexerPostScript::tokenize() const
    {71, 955, 0, 0, Smoke::mf_const, 221, 19},	//1085 QsciLexerPostScript::level() const
    {71, 880, 0, 0, Smoke::mf_const, 199, 20},	//1086 QsciLexerPostScript::foldCompact() const
    {71, 877, 0, 0, Smoke::mf_const, 199, 21},	//1087 QsciLexerPostScript::foldAtElse() const
    {71, 1295, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1088 QsciLexerPostScript::setTokenize(bool)
    {71, 1226, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1089 QsciLexerPostScript::setLevel(int)
    {71, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1090 QsciLexerPostScript::setFoldCompact(bool)
    {71, 1172, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1091 QsciLexerPostScript::setFoldAtElse(bool)
    {71, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 26},	//1092 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {71, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 27},	//1093 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {71, 1349, 12, 1, Smoke::mf_static, 37, 28},	//1094 QsciLexerPostScript::tr(const char*)
    {71, 1353, 12, 1, Smoke::mf_static, 37, 29},	//1095 QsciLexerPostScript::trUtf8(const char*)
    {71, 414, 0, 0, Smoke::mf_ctor, 74, 30},	//1096 QsciLexerPostScript::QsciLexerPostScript()
    {71, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 31},	//1097 QsciLexerPostScript::staticMetaObject() const
    {71, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//1098 QsciLexerPostScript::Default (enum)
    {71, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//1099 QsciLexerPostScript::Comment (enum)
    {71, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//1100 QsciLexerPostScript::DSCComment (enum)
    {71, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//1101 QsciLexerPostScript::DSCCommentValue (enum)
    {71, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//1102 QsciLexerPostScript::Number (enum)
    {71, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//1103 QsciLexerPostScript::Name (enum)
    {71, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//1104 QsciLexerPostScript::Keyword (enum)
    {71, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//1105 QsciLexerPostScript::Literal (enum)
    {71, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//1106 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {71, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//1107 QsciLexerPostScript::ArrayParenthesis (enum)
    {71, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//1108 QsciLexerPostScript::DictionaryParenthesis (enum)
    {71, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//1109 QsciLexerPostScript::ProcedureParenthesis (enum)
    {71, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//1110 QsciLexerPostScript::Text (enum)
    {71, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//1111 QsciLexerPostScript::HexString (enum)
    {71, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//1112 QsciLexerPostScript::Base85String (enum)
    {71, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//1113 QsciLexerPostScript::BadStringCharacter (enum)
    {71, 1417, 0, 0, Smoke::mf_dtor, 0, 48 },	//1114 QsciLexerPostScript::~QsciLexerPostScript()
    {72, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1115 QsciLexerProperties::metaObject() const
    {72, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1116 QsciLexerProperties::qt_metacast(const char*)
    {72, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1117 QsciLexerProperties::tr(const char*, const char*)
    {72, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1118 QsciLexerProperties::trUtf8(const char*, const char*)
    {72, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1119 QsciLexerProperties::tr(const char*, const char*, int)
    {72, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1120 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {72, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1121 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {72, 416, 74, 1, Smoke::mf_ctor, 75, 8},	//1122 QsciLexerProperties::QsciLexerProperties(QObject*)
    {72, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1123 QsciLexerProperties::language() const
    {72, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1124 QsciLexerProperties::lexer() const
    {72, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//1125 QsciLexerProperties::wordCharacters() const
    {72, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1126 QsciLexerProperties::defaultColor(int) const
    {72, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//1127 QsciLexerProperties::defaultEolFill(int) const
    {72, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1128 QsciLexerProperties::defaultFont(int) const
    {72, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1129 QsciLexerProperties::defaultPaper(int) const
    {72, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1130 QsciLexerProperties::description(int) const
    {72, 1059, 0, 0, Smoke::mf_virtual, 0, 17},	//1131 QsciLexerProperties::refreshProperties()
    {72, 880, 0, 0, Smoke::mf_const, 199, 18},	//1132 QsciLexerProperties::foldCompact() const
    {72, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1133 QsciLexerProperties::setFoldCompact(bool)
    {72, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 20},	//1134 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {72, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 21},	//1135 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {72, 1349, 12, 1, Smoke::mf_static, 37, 22},	//1136 QsciLexerProperties::tr(const char*)
    {72, 1353, 12, 1, Smoke::mf_static, 37, 23},	//1137 QsciLexerProperties::trUtf8(const char*)
    {72, 416, 0, 0, Smoke::mf_ctor, 75, 24},	//1138 QsciLexerProperties::QsciLexerProperties()
    {72, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 25},	//1139 QsciLexerProperties::staticMetaObject() const
    {72, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 26},	//1140 QsciLexerProperties::Default (enum)
    {72, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 27},	//1141 QsciLexerProperties::Comment (enum)
    {72, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 28},	//1142 QsciLexerProperties::Section (enum)
    {72, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 29},	//1143 QsciLexerProperties::Assignment (enum)
    {72, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//1144 QsciLexerProperties::DefaultValue (enum)
    {72, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//1145 QsciLexerProperties::Key (enum)
    {72, 1418, 0, 0, Smoke::mf_dtor, 0, 32 },	//1146 QsciLexerProperties::~QsciLexerProperties()
    {73, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1147 QsciLexerPython::metaObject() const
    {73, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1148 QsciLexerPython::qt_metacast(const char*)
    {73, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1149 QsciLexerPython::tr(const char*, const char*)
    {73, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1150 QsciLexerPython::trUtf8(const char*, const char*)
    {73, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1151 QsciLexerPython::tr(const char*, const char*, int)
    {73, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1152 QsciLexerPython::trUtf8(const char*, const char*, int)
    {73, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1153 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {73, 418, 74, 1, Smoke::mf_ctor, 76, 8},	//1154 QsciLexerPython::QsciLexerPython(QObject*)
    {73, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1155 QsciLexerPython::language() const
    {73, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1156 QsciLexerPython::lexer() const
    {73, 756, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//1157 QsciLexerPython::autoCompletionWordSeparators() const
    {73, 764, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 12},	//1158 QsciLexerPython::blockLookback() const
    {73, 765, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//1159 QsciLexerPython::blockStart(int*) const
    {73, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 14},	//1160 QsciLexerPython::braceStyle() const
    {73, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1161 QsciLexerPython::defaultColor(int) const
    {73, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//1162 QsciLexerPython::defaultEolFill(int) const
    {73, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1163 QsciLexerPython::defaultFont(int) const
    {73, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1164 QsciLexerPython::defaultPaper(int) const
    {73, 912, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 19},	//1165 QsciLexerPython::indentationGuideView() const
    {73, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 20},	//1166 QsciLexerPython::keywords(int) const
    {73, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 21},	//1167 QsciLexerPython::description(int) const
    {73, 1059, 0, 0, Smoke::mf_virtual, 0, 22},	//1168 QsciLexerPython::refreshProperties()
    {73, 879, 0, 0, Smoke::mf_const, 199, 23},	//1169 QsciLexerPython::foldComments() const
    {73, 887, 0, 0, Smoke::mf_const, 199, 24},	//1170 QsciLexerPython::foldQuotes() const
    {73, 914, 0, 0, Smoke::mf_const, 77, 25},	//1171 QsciLexerPython::indentationWarning() const
    {73, 1303, 16, 1, 0, 0, 26},	//1172 QsciLexerPython::setV2UnicodeAllowed(bool)
    {73, 1364, 0, 0, Smoke::mf_const, 199, 27},	//1173 QsciLexerPython::v2UnicodeAllowed() const
    {73, 1305, 16, 1, 0, 0, 28},	//1174 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {73, 1365, 0, 0, Smoke::mf_const, 199, 29},	//1175 QsciLexerPython::v3BinaryOctalAllowed() const
    {73, 1307, 16, 1, 0, 0, 30},	//1176 QsciLexerPython::setV3BytesAllowed(bool)
    {73, 1366, 0, 0, Smoke::mf_const, 199, 31},	//1177 QsciLexerPython::v3BytesAllowed() const
    {73, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1178 QsciLexerPython::setFoldComments(bool)
    {73, 1190, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1179 QsciLexerPython::setFoldQuotes(bool)
    {73, 1212, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1180 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {73, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 35},	//1181 QsciLexerPython::readProperties(QSettings&, const QString&)
    {73, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 36},	//1182 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {73, 1349, 12, 1, Smoke::mf_static, 37, 37},	//1183 QsciLexerPython::tr(const char*)
    {73, 1353, 12, 1, Smoke::mf_static, 37, 38},	//1184 QsciLexerPython::trUtf8(const char*)
    {73, 418, 0, 0, Smoke::mf_ctor, 76, 39},	//1185 QsciLexerPython::QsciLexerPython()
    {73, 765, 0, 0, Smoke::mf_const, 219, 40},	//1186 QsciLexerPython::blockStart() const
    {73, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 41},	//1187 QsciLexerPython::staticMetaObject() const
    {73, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//1188 QsciLexerPython::Default (enum)
    {73, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//1189 QsciLexerPython::Comment (enum)
    {73, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//1190 QsciLexerPython::Number (enum)
    {73, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//1191 QsciLexerPython::DoubleQuotedString (enum)
    {73, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//1192 QsciLexerPython::SingleQuotedString (enum)
    {73, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//1193 QsciLexerPython::Keyword (enum)
    {73, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//1194 QsciLexerPython::TripleSingleQuotedString (enum)
    {73, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//1195 QsciLexerPython::TripleDoubleQuotedString (enum)
    {73, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//1196 QsciLexerPython::ClassName (enum)
    {73, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 51},	//1197 QsciLexerPython::FunctionMethodName (enum)
    {73, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 52},	//1198 QsciLexerPython::Operator (enum)
    {73, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 53},	//1199 QsciLexerPython::Identifier (enum)
    {73, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 54},	//1200 QsciLexerPython::CommentBlock (enum)
    {73, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 55},	//1201 QsciLexerPython::UnclosedString (enum)
    {73, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 56},	//1202 QsciLexerPython::HighlightedIdentifier (enum)
    {73, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 57},	//1203 QsciLexerPython::Decorator (enum)
    {73, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 58},	//1204 QsciLexerPython::NoWarning (enum)
    {73, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 59},	//1205 QsciLexerPython::Inconsistent (enum)
    {73, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 60},	//1206 QsciLexerPython::TabsAfterSpaces (enum)
    {73, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 61},	//1207 QsciLexerPython::Spaces (enum)
    {73, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 62},	//1208 QsciLexerPython::Tabs (enum)
    {73, 1419, 0, 0, Smoke::mf_dtor, 0, 63 },	//1209 QsciLexerPython::~QsciLexerPython()
    {74, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1210 QsciLexerRuby::metaObject() const
    {74, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1211 QsciLexerRuby::qt_metacast(const char*)
    {74, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1212 QsciLexerRuby::tr(const char*, const char*)
    {74, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1213 QsciLexerRuby::trUtf8(const char*, const char*)
    {74, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1214 QsciLexerRuby::tr(const char*, const char*, int)
    {74, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1215 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {74, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1216 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {74, 420, 74, 1, Smoke::mf_ctor, 78, 8},	//1217 QsciLexerRuby::QsciLexerRuby(QObject*)
    {74, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1218 QsciLexerRuby::language() const
    {74, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1219 QsciLexerRuby::lexer() const
    {74, 762, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//1220 QsciLexerRuby::blockEnd(int*) const
    {74, 765, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 12},	//1221 QsciLexerRuby::blockStart(int*) const
    {74, 767, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//1222 QsciLexerRuby::blockStartKeyword(int*) const
    {74, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 14},	//1223 QsciLexerRuby::braceStyle() const
    {74, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1224 QsciLexerRuby::defaultColor(int) const
    {74, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//1225 QsciLexerRuby::defaultEolFill(int) const
    {74, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1226 QsciLexerRuby::defaultFont(int) const
    {74, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1227 QsciLexerRuby::defaultPaper(int) const
    {74, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 19},	//1228 QsciLexerRuby::keywords(int) const
    {74, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 20},	//1229 QsciLexerRuby::description(int) const
    {74, 1349, 12, 1, Smoke::mf_static, 37, 21},	//1230 QsciLexerRuby::tr(const char*)
    {74, 1353, 12, 1, Smoke::mf_static, 37, 22},	//1231 QsciLexerRuby::trUtf8(const char*)
    {74, 420, 0, 0, Smoke::mf_ctor, 78, 23},	//1232 QsciLexerRuby::QsciLexerRuby()
    {74, 762, 0, 0, Smoke::mf_const, 219, 24},	//1233 QsciLexerRuby::blockEnd() const
    {74, 765, 0, 0, Smoke::mf_const, 219, 25},	//1234 QsciLexerRuby::blockStart() const
    {74, 767, 0, 0, Smoke::mf_const, 219, 26},	//1235 QsciLexerRuby::blockStartKeyword() const
    {74, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 27},	//1236 QsciLexerRuby::staticMetaObject() const
    {74, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 28},	//1237 QsciLexerRuby::Default (enum)
    {74, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 29},	//1238 QsciLexerRuby::Error (enum)
    {74, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//1239 QsciLexerRuby::Comment (enum)
    {74, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//1240 QsciLexerRuby::POD (enum)
    {74, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//1241 QsciLexerRuby::Number (enum)
    {74, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//1242 QsciLexerRuby::Keyword (enum)
    {74, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//1243 QsciLexerRuby::DoubleQuotedString (enum)
    {74, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//1244 QsciLexerRuby::SingleQuotedString (enum)
    {74, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//1245 QsciLexerRuby::ClassName (enum)
    {74, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//1246 QsciLexerRuby::FunctionMethodName (enum)
    {74, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//1247 QsciLexerRuby::Operator (enum)
    {74, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//1248 QsciLexerRuby::Identifier (enum)
    {74, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//1249 QsciLexerRuby::Regex (enum)
    {74, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//1250 QsciLexerRuby::Global (enum)
    {74, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//1251 QsciLexerRuby::Symbol (enum)
    {74, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//1252 QsciLexerRuby::ModuleName (enum)
    {74, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//1253 QsciLexerRuby::InstanceVariable (enum)
    {74, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//1254 QsciLexerRuby::ClassVariable (enum)
    {74, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//1255 QsciLexerRuby::Backticks (enum)
    {74, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//1256 QsciLexerRuby::DataSection (enum)
    {74, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//1257 QsciLexerRuby::HereDocumentDelimiter (enum)
    {74, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//1258 QsciLexerRuby::HereDocument (enum)
    {74, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//1259 QsciLexerRuby::PercentStringq (enum)
    {74, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 51},	//1260 QsciLexerRuby::PercentStringQ (enum)
    {74, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 52},	//1261 QsciLexerRuby::PercentStringx (enum)
    {74, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 53},	//1262 QsciLexerRuby::PercentStringr (enum)
    {74, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 54},	//1263 QsciLexerRuby::PercentStringw (enum)
    {74, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 55},	//1264 QsciLexerRuby::DemotedKeyword (enum)
    {74, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 56},	//1265 QsciLexerRuby::Stdin (enum)
    {74, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 57},	//1266 QsciLexerRuby::Stdout (enum)
    {74, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 58},	//1267 QsciLexerRuby::Stderr (enum)
    {74, 1420, 0, 0, Smoke::mf_dtor, 0, 59 },	//1268 QsciLexerRuby::~QsciLexerRuby()
    {75, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1269 QsciLexerSQL::metaObject() const
    {75, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1270 QsciLexerSQL::qt_metacast(const char*)
    {75, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1271 QsciLexerSQL::tr(const char*, const char*)
    {75, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1272 QsciLexerSQL::trUtf8(const char*, const char*)
    {75, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1273 QsciLexerSQL::tr(const char*, const char*, int)
    {75, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1274 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {75, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1275 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {75, 422, 74, 1, Smoke::mf_ctor, 79, 8},	//1276 QsciLexerSQL::QsciLexerSQL(QObject*)
    {75, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1277 QsciLexerSQL::language() const
    {75, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1278 QsciLexerSQL::lexer() const
    {75, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 11},	//1279 QsciLexerSQL::braceStyle() const
    {75, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1280 QsciLexerSQL::defaultColor(int) const
    {75, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//1281 QsciLexerSQL::defaultEolFill(int) const
    {75, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1282 QsciLexerSQL::defaultFont(int) const
    {75, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1283 QsciLexerSQL::defaultPaper(int) const
    {75, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 16},	//1284 QsciLexerSQL::keywords(int) const
    {75, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1285 QsciLexerSQL::description(int) const
    {75, 1059, 0, 0, Smoke::mf_virtual, 0, 18},	//1286 QsciLexerSQL::refreshProperties()
    {75, 879, 0, 0, Smoke::mf_const, 199, 19},	//1287 QsciLexerSQL::foldComments() const
    {75, 880, 0, 0, Smoke::mf_const, 199, 20},	//1288 QsciLexerSQL::foldCompact() const
    {75, 759, 0, 0, Smoke::mf_const, 199, 21},	//1289 QsciLexerSQL::backslashEscapes() const
    {75, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1290 QsciLexerSQL::setFoldComments(bool)
    {75, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1291 QsciLexerSQL::setFoldCompact(bool)
    {75, 1110, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1292 QsciLexerSQL::setBackslashEscapes(bool)
    {75, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 25},	//1293 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {75, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 26},	//1294 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {75, 1349, 12, 1, Smoke::mf_static, 37, 27},	//1295 QsciLexerSQL::tr(const char*)
    {75, 1353, 12, 1, Smoke::mf_static, 37, 28},	//1296 QsciLexerSQL::trUtf8(const char*)
    {75, 422, 0, 0, Smoke::mf_ctor, 79, 29},	//1297 QsciLexerSQL::QsciLexerSQL()
    {75, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 30},	//1298 QsciLexerSQL::staticMetaObject() const
    {75, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//1299 QsciLexerSQL::Default (enum)
    {75, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//1300 QsciLexerSQL::Comment (enum)
    {75, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//1301 QsciLexerSQL::CommentLine (enum)
    {75, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//1302 QsciLexerSQL::CommentDoc (enum)
    {75, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//1303 QsciLexerSQL::Number (enum)
    {75, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//1304 QsciLexerSQL::Keyword (enum)
    {75, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//1305 QsciLexerSQL::DoubleQuotedString (enum)
    {75, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//1306 QsciLexerSQL::SingleQuotedString (enum)
    {75, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//1307 QsciLexerSQL::PlusKeyword (enum)
    {75, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//1308 QsciLexerSQL::PlusPrompt (enum)
    {75, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//1309 QsciLexerSQL::Operator (enum)
    {75, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//1310 QsciLexerSQL::Identifier (enum)
    {75, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//1311 QsciLexerSQL::PlusComment (enum)
    {75, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//1312 QsciLexerSQL::CommentLineHash (enum)
    {75, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//1313 QsciLexerSQL::CommentDocKeyword (enum)
    {75, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//1314 QsciLexerSQL::CommentDocKeywordError (enum)
    {75, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//1315 QsciLexerSQL::KeywordSet5 (enum)
    {75, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//1316 QsciLexerSQL::KeywordSet6 (enum)
    {75, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//1317 QsciLexerSQL::KeywordSet7 (enum)
    {75, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 50},	//1318 QsciLexerSQL::KeywordSet8 (enum)
    {75, 1421, 0, 0, Smoke::mf_dtor, 0, 51 },	//1319 QsciLexerSQL::~QsciLexerSQL()
    {76, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1320 QsciLexerTCL::metaObject() const
    {76, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1321 QsciLexerTCL::qt_metacast(const char*)
    {76, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1322 QsciLexerTCL::tr(const char*, const char*)
    {76, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1323 QsciLexerTCL::trUtf8(const char*, const char*)
    {76, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1324 QsciLexerTCL::tr(const char*, const char*, int)
    {76, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1325 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {76, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1326 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {76, 424, 74, 1, Smoke::mf_ctor, 80, 8},	//1327 QsciLexerTCL::QsciLexerTCL(QObject*)
    {76, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1328 QsciLexerTCL::language() const
    {76, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1329 QsciLexerTCL::lexer() const
    {76, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 11},	//1330 QsciLexerTCL::braceStyle() const
    {76, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1331 QsciLexerTCL::defaultColor(int) const
    {76, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//1332 QsciLexerTCL::defaultEolFill(int) const
    {76, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1333 QsciLexerTCL::defaultFont(int) const
    {76, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1334 QsciLexerTCL::defaultPaper(int) const
    {76, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 16},	//1335 QsciLexerTCL::keywords(int) const
    {76, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1336 QsciLexerTCL::description(int) const
    {76, 1059, 0, 0, Smoke::mf_virtual, 0, 18},	//1337 QsciLexerTCL::refreshProperties()
    {76, 880, 0, 0, Smoke::mf_const, 199, 19},	//1338 QsciLexerTCL::foldCompact() const
    {76, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1339 QsciLexerTCL::setFoldCompact(bool)
    {76, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 21},	//1340 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {76, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 22},	//1341 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {76, 1349, 12, 1, Smoke::mf_static, 37, 23},	//1342 QsciLexerTCL::tr(const char*)
    {76, 1353, 12, 1, Smoke::mf_static, 37, 24},	//1343 QsciLexerTCL::trUtf8(const char*)
    {76, 424, 0, 0, Smoke::mf_ctor, 80, 25},	//1344 QsciLexerTCL::QsciLexerTCL()
    {76, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 26},	//1345 QsciLexerTCL::staticMetaObject() const
    {76, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 27},	//1346 QsciLexerTCL::Default (enum)
    {76, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 28},	//1347 QsciLexerTCL::Comment (enum)
    {76, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 29},	//1348 QsciLexerTCL::CommentLine (enum)
    {76, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//1349 QsciLexerTCL::Number (enum)
    {76, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//1350 QsciLexerTCL::QuotedKeyword (enum)
    {76, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//1351 QsciLexerTCL::QuotedString (enum)
    {76, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//1352 QsciLexerTCL::Operator (enum)
    {76, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//1353 QsciLexerTCL::Identifier (enum)
    {76, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//1354 QsciLexerTCL::Substitution (enum)
    {76, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//1355 QsciLexerTCL::SubstitutionBrace (enum)
    {76, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//1356 QsciLexerTCL::Modifier (enum)
    {76, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//1357 QsciLexerTCL::ExpandKeyword (enum)
    {76, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//1358 QsciLexerTCL::TCLKeyword (enum)
    {76, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//1359 QsciLexerTCL::TkKeyword (enum)
    {76, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//1360 QsciLexerTCL::ITCLKeyword (enum)
    {76, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//1361 QsciLexerTCL::TkCommand (enum)
    {76, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//1362 QsciLexerTCL::KeywordSet6 (enum)
    {76, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//1363 QsciLexerTCL::KeywordSet7 (enum)
    {76, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//1364 QsciLexerTCL::KeywordSet8 (enum)
    {76, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//1365 QsciLexerTCL::KeywordSet9 (enum)
    {76, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//1366 QsciLexerTCL::CommentBox (enum)
    {76, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//1367 QsciLexerTCL::CommentBlock (enum)
    {76, 1422, 0, 0, Smoke::mf_dtor, 0, 49 },	//1368 QsciLexerTCL::~QsciLexerTCL()
    {77, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1369 QsciLexerTeX::metaObject() const
    {77, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1370 QsciLexerTeX::qt_metacast(const char*)
    {77, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1371 QsciLexerTeX::tr(const char*, const char*)
    {77, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1372 QsciLexerTeX::trUtf8(const char*, const char*)
    {77, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1373 QsciLexerTeX::tr(const char*, const char*, int)
    {77, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1374 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {77, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1375 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {77, 426, 74, 1, Smoke::mf_ctor, 81, 8},	//1376 QsciLexerTeX::QsciLexerTeX(QObject*)
    {77, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1377 QsciLexerTeX::language() const
    {77, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1378 QsciLexerTeX::lexer() const
    {77, 1376, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//1379 QsciLexerTeX::wordCharacters() const
    {77, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1380 QsciLexerTeX::defaultColor(int) const
    {77, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 13},	//1381 QsciLexerTeX::keywords(int) const
    {77, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 14},	//1382 QsciLexerTeX::description(int) const
    {77, 1349, 12, 1, Smoke::mf_static, 37, 15},	//1383 QsciLexerTeX::tr(const char*)
    {77, 1353, 12, 1, Smoke::mf_static, 37, 16},	//1384 QsciLexerTeX::trUtf8(const char*)
    {77, 426, 0, 0, Smoke::mf_ctor, 81, 17},	//1385 QsciLexerTeX::QsciLexerTeX()
    {77, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 18},	//1386 QsciLexerTeX::staticMetaObject() const
    {77, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 19},	//1387 QsciLexerTeX::Default (enum)
    {77, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 20},	//1388 QsciLexerTeX::Special (enum)
    {77, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 21},	//1389 QsciLexerTeX::Group (enum)
    {77, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 22},	//1390 QsciLexerTeX::Symbol (enum)
    {77, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 23},	//1391 QsciLexerTeX::Command (enum)
    {77, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 24},	//1392 QsciLexerTeX::Text (enum)
    {77, 1423, 0, 0, Smoke::mf_dtor, 0, 25 },	//1393 QsciLexerTeX::~QsciLexerTeX()
    {78, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1394 QsciLexerVHDL::metaObject() const
    {78, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1395 QsciLexerVHDL::qt_metacast(const char*)
    {78, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1396 QsciLexerVHDL::tr(const char*, const char*)
    {78, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1397 QsciLexerVHDL::trUtf8(const char*, const char*)
    {78, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1398 QsciLexerVHDL::tr(const char*, const char*, int)
    {78, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1399 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {78, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1400 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 428, 74, 1, Smoke::mf_ctor, 82, 8},	//1401 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {78, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1402 QsciLexerVHDL::language() const
    {78, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1403 QsciLexerVHDL::lexer() const
    {78, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 11},	//1404 QsciLexerVHDL::braceStyle() const
    {78, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1405 QsciLexerVHDL::defaultColor(int) const
    {78, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//1406 QsciLexerVHDL::defaultEolFill(int) const
    {78, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1407 QsciLexerVHDL::defaultFont(int) const
    {78, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1408 QsciLexerVHDL::defaultPaper(int) const
    {78, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 16},	//1409 QsciLexerVHDL::keywords(int) const
    {78, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1410 QsciLexerVHDL::description(int) const
    {78, 1059, 0, 0, Smoke::mf_virtual, 0, 18},	//1411 QsciLexerVHDL::refreshProperties()
    {78, 879, 0, 0, Smoke::mf_const, 199, 19},	//1412 QsciLexerVHDL::foldComments() const
    {78, 880, 0, 0, Smoke::mf_const, 199, 20},	//1413 QsciLexerVHDL::foldCompact() const
    {78, 877, 0, 0, Smoke::mf_const, 199, 21},	//1414 QsciLexerVHDL::foldAtElse() const
    {78, 876, 0, 0, Smoke::mf_const, 199, 22},	//1415 QsciLexerVHDL::foldAtBegin() const
    {78, 878, 0, 0, Smoke::mf_const, 199, 23},	//1416 QsciLexerVHDL::foldAtParenthesis() const
    {78, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1417 QsciLexerVHDL::setFoldComments(bool)
    {78, 1178, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1418 QsciLexerVHDL::setFoldCompact(bool)
    {78, 1172, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1419 QsciLexerVHDL::setFoldAtElse(bool)
    {78, 1170, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1420 QsciLexerVHDL::setFoldAtBegin(bool)
    {78, 1174, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1421 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {78, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 29},	//1422 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {78, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 30},	//1423 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {78, 1349, 12, 1, Smoke::mf_static, 37, 31},	//1424 QsciLexerVHDL::tr(const char*)
    {78, 1353, 12, 1, Smoke::mf_static, 37, 32},	//1425 QsciLexerVHDL::trUtf8(const char*)
    {78, 428, 0, 0, Smoke::mf_ctor, 82, 33},	//1426 QsciLexerVHDL::QsciLexerVHDL()
    {78, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 34},	//1427 QsciLexerVHDL::staticMetaObject() const
    {78, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//1428 QsciLexerVHDL::Default (enum)
    {78, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 36},	//1429 QsciLexerVHDL::Comment (enum)
    {78, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 37},	//1430 QsciLexerVHDL::CommentLine (enum)
    {78, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 38},	//1431 QsciLexerVHDL::Number (enum)
    {78, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 39},	//1432 QsciLexerVHDL::String (enum)
    {78, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 40},	//1433 QsciLexerVHDL::Operator (enum)
    {78, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 41},	//1434 QsciLexerVHDL::Identifier (enum)
    {78, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 42},	//1435 QsciLexerVHDL::UnclosedString (enum)
    {78, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 43},	//1436 QsciLexerVHDL::Keyword (enum)
    {78, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 44},	//1437 QsciLexerVHDL::StandardOperator (enum)
    {78, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 45},	//1438 QsciLexerVHDL::Attribute (enum)
    {78, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 46},	//1439 QsciLexerVHDL::StandardFunction (enum)
    {78, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 47},	//1440 QsciLexerVHDL::StandardPackage (enum)
    {78, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 48},	//1441 QsciLexerVHDL::StandardType (enum)
    {78, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 49},	//1442 QsciLexerVHDL::KeywordSet7 (enum)
    {78, 1424, 0, 0, Smoke::mf_dtor, 0, 50 },	//1443 QsciLexerVHDL::~QsciLexerVHDL()
    {79, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1444 QsciLexerXML::metaObject() const
    {79, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1445 QsciLexerXML::qt_metacast(const char*)
    {79, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1446 QsciLexerXML::tr(const char*, const char*)
    {79, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1447 QsciLexerXML::trUtf8(const char*, const char*)
    {79, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1448 QsciLexerXML::tr(const char*, const char*, int)
    {79, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1449 QsciLexerXML::trUtf8(const char*, const char*, int)
    {79, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1450 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {79, 430, 74, 1, Smoke::mf_ctor, 83, 8},	//1451 QsciLexerXML::QsciLexerXML(QObject*)
    {79, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1452 QsciLexerXML::language() const
    {79, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1453 QsciLexerXML::lexer() const
    {79, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1454 QsciLexerXML::defaultColor(int) const
    {79, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//1455 QsciLexerXML::defaultEolFill(int) const
    {79, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1456 QsciLexerXML::defaultFont(int) const
    {79, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1457 QsciLexerXML::defaultPaper(int) const
    {79, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 15},	//1458 QsciLexerXML::keywords(int) const
    {79, 1059, 0, 0, Smoke::mf_virtual, 0, 16},	//1459 QsciLexerXML::refreshProperties()
    {79, 1270, 16, 1, 0, 0, 17},	//1460 QsciLexerXML::setScriptsStyled(bool)
    {79, 1075, 0, 0, Smoke::mf_const, 199, 18},	//1461 QsciLexerXML::scriptsStyled() const
    {79, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 19},	//1462 QsciLexerXML::readProperties(QSettings&, const QString&)
    {79, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 20},	//1463 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {79, 1349, 12, 1, Smoke::mf_static, 37, 21},	//1464 QsciLexerXML::tr(const char*)
    {79, 1353, 12, 1, Smoke::mf_static, 37, 22},	//1465 QsciLexerXML::trUtf8(const char*)
    {79, 430, 0, 0, Smoke::mf_ctor, 83, 23},	//1466 QsciLexerXML::QsciLexerXML()
    {79, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 24},	//1467 QsciLexerXML::staticMetaObject() const
    {79, 1425, 0, 0, Smoke::mf_dtor, 0, 25 },	//1468 QsciLexerXML::~QsciLexerXML()
    {80, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1469 QsciLexerYAML::metaObject() const
    {80, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1470 QsciLexerYAML::qt_metacast(const char*)
    {80, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1471 QsciLexerYAML::tr(const char*, const char*)
    {80, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1472 QsciLexerYAML::trUtf8(const char*, const char*)
    {80, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1473 QsciLexerYAML::tr(const char*, const char*, int)
    {80, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1474 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {80, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1475 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {80, 432, 74, 1, Smoke::mf_ctor, 84, 8},	//1476 QsciLexerYAML::QsciLexerYAML(QObject*)
    {80, 951, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 9},	//1477 QsciLexerYAML::language() const
    {80, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 10},	//1478 QsciLexerYAML::lexer() const
    {80, 814, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1479 QsciLexerYAML::defaultColor(int) const
    {80, 816, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//1480 QsciLexerYAML::defaultEolFill(int) const
    {80, 818, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1481 QsciLexerYAML::defaultFont(int) const
    {80, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1482 QsciLexerYAML::defaultPaper(int) const
    {80, 949, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 15},	//1483 QsciLexerYAML::keywords(int) const
    {80, 824, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1484 QsciLexerYAML::description(int) const
    {80, 1059, 0, 0, Smoke::mf_virtual, 0, 17},	//1485 QsciLexerYAML::refreshProperties()
    {80, 879, 0, 0, Smoke::mf_const, 199, 18},	//1486 QsciLexerYAML::foldComments() const
    {80, 1176, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1487 QsciLexerYAML::setFoldComments(bool)
    {80, 1049, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 199, 20},	//1488 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {80, 1380, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 21},	//1489 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {80, 1349, 12, 1, Smoke::mf_static, 37, 22},	//1490 QsciLexerYAML::tr(const char*)
    {80, 1353, 12, 1, Smoke::mf_static, 37, 23},	//1491 QsciLexerYAML::trUtf8(const char*)
    {80, 432, 0, 0, Smoke::mf_ctor, 84, 24},	//1492 QsciLexerYAML::QsciLexerYAML()
    {80, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 25},	//1493 QsciLexerYAML::staticMetaObject() const
    {80, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 26},	//1494 QsciLexerYAML::Default (enum)
    {80, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 27},	//1495 QsciLexerYAML::Comment (enum)
    {80, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 28},	//1496 QsciLexerYAML::Identifier (enum)
    {80, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 29},	//1497 QsciLexerYAML::Keyword (enum)
    {80, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 30},	//1498 QsciLexerYAML::Number (enum)
    {80, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 31},	//1499 QsciLexerYAML::Reference (enum)
    {80, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 32},	//1500 QsciLexerYAML::DocumentDelimiter (enum)
    {80, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 33},	//1501 QsciLexerYAML::TextBlockMarker (enum)
    {80, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 34},	//1502 QsciLexerYAML::SyntaxErrorMarker (enum)
    {80, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 35},	//1503 QsciLexerYAML::Operator (enum)
    {80, 1426, 0, 0, Smoke::mf_dtor, 0, 36 },	//1504 QsciLexerYAML::~QsciLexerYAML()
    {81, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1505 QsciMacro::metaObject() const
    {81, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1506 QsciMacro::qt_metacast(const char*)
    {81, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1507 QsciMacro::tr(const char*, const char*)
    {81, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1508 QsciMacro::trUtf8(const char*, const char*)
    {81, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1509 QsciMacro::tr(const char*, const char*, int)
    {81, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1510 QsciMacro::trUtf8(const char*, const char*, int)
    {81, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1511 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {81, 434, 82, 1, Smoke::mf_ctor, 85, 8},	//1512 QsciMacro::QsciMacro(QsciScintilla*)
    {81, 434, 107, 2, Smoke::mf_ctor, 85, 9},	//1513 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {81, 785, 0, 0, 0, 0, 10},	//1514 QsciMacro::clear()
    {81, 966, 57, 1, 0, 199, 11},	//1515 QsciMacro::load(const QString&)
    {81, 1072, 0, 0, Smoke::mf_const, 37, 12},	//1516 QsciMacro::save() const
    {81, 1032, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1517 QsciMacro::play()
    {81, 1325, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1518 QsciMacro::startRecording()
    {81, 843, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1519 QsciMacro::endRecording()
    {81, 1349, 12, 1, Smoke::mf_static, 37, 16},	//1520 QsciMacro::tr(const char*)
    {81, 1353, 12, 1, Smoke::mf_static, 37, 17},	//1521 QsciMacro::trUtf8(const char*)
    {81, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 18},	//1522 QsciMacro::staticMetaObject() const
    {81, 1427, 0, 0, Smoke::mf_dtor, 0, 19 },	//1523 QsciMacro::~QsciMacro()
    {82, 437, 110, 1, Smoke::mf_ctor, 86, 1},	//1524 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {82, 896, 112, 4, Smoke::mf_virtual, 0, 2},	//1525 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {82, 970, 0, 0, Smoke::mf_const, 221, 3},	//1526 QsciPrinter::magnification() const
    {82, 1230, 18, 1, Smoke::mf_virtual, 0, 4},	//1527 QsciPrinter::setMagnification(int)
    {82, 1037, 117, 3, Smoke::mf_virtual, 221, 5},	//1528 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {82, 1377, 0, 0, Smoke::mf_const, 100, 6},	//1529 QsciPrinter::wrapMode() const
    {82, 1313, 121, 1, Smoke::mf_virtual, 0, 7},	//1530 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {82, 437, 0, 0, Smoke::mf_ctor, 86, 8},	//1531 QsciPrinter::QsciPrinter()
    {82, 1037, 123, 1, 0, 221, 9},	//1532 QsciPrinter::printRange(QsciScintillaBase*)
    {82, 1037, 125, 2, 0, 221, 10},	//1533 QsciPrinter::printRange(QsciScintillaBase*, int)
    {82, 1428, 0, 0, Smoke::mf_dtor, 0, 11 },	//1534 QsciPrinter::~QsciPrinter()
    {83, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1535 QsciScintilla::metaObject() const
    {83, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1536 QsciScintilla::qt_metacast(const char*)
    {83, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1537 QsciScintilla::tr(const char*, const char*)
    {83, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1538 QsciScintilla::trUtf8(const char*, const char*)
    {83, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1539 QsciScintilla::tr(const char*, const char*, int)
    {83, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1540 QsciScintilla::trUtf8(const char*, const char*, int)
    {83, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1541 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {83, 439, 128, 1, Smoke::mf_ctor, 87, 8},	//1542 QsciScintilla::QsciScintilla(QWidget*)
    {83, 736, 130, 3, Smoke::mf_virtual, 38, 9},	//1543 QsciScintilla::apiContext(int, int&, int&)
    {83, 728, 134, 3, 0, 0, 10},	//1544 QsciScintilla::annotate(int, const QString&, int)
    {83, 728, 138, 3, 0, 0, 11},	//1545 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {83, 728, 142, 2, 0, 0, 12},	//1546 QsciScintilla::annotate(int, const QsciStyledText&)
    {83, 728, 145, 2, 0, 0, 13},	//1547 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {83, 733, 18, 1, Smoke::mf_const, 37, 14},	//1548 QsciScintilla::annotation(int) const
    {83, 735, 0, 0, Smoke::mf_const, 88, 15},	//1549 QsciScintilla::annotationDisplay() const
    {83, 787, 18, 1, 0, 0, 16},	//1550 QsciScintilla::clearAnnotations(int)
    {83, 747, 0, 0, Smoke::mf_const, 199, 17},	//1551 QsciScintilla::autoCompletionCaseSensitivity() const
    {83, 749, 0, 0, Smoke::mf_const, 199, 18},	//1552 QsciScintilla::autoCompletionFillupsEnabled() const
    {83, 750, 0, 0, Smoke::mf_const, 199, 19},	//1553 QsciScintilla::autoCompletionReplaceWord() const
    {83, 753, 0, 0, Smoke::mf_const, 199, 20},	//1554 QsciScintilla::autoCompletionShowSingle() const
    {83, 754, 0, 0, Smoke::mf_const, 89, 21},	//1555 QsciScintilla::autoCompletionSource() const
    {83, 755, 0, 0, Smoke::mf_const, 221, 22},	//1556 QsciScintilla::autoCompletionThreshold() const
    {83, 757, 0, 0, Smoke::mf_const, 199, 23},	//1557 QsciScintilla::autoIndent() const
    {83, 760, 0, 0, Smoke::mf_const, 199, 24},	//1558 QsciScintilla::backspaceUnindents() const
    {83, 761, 0, 0, 0, 0, 25},	//1559 QsciScintilla::beginUndoAction()
    {83, 769, 0, 0, Smoke::mf_const, 90, 26},	//1560 QsciScintilla::braceMatching() const
    {83, 774, 0, 0, Smoke::mf_const, 91, 27},	//1561 QsciScintilla::callTipsStyle() const
    {83, 775, 0, 0, Smoke::mf_const, 221, 28},	//1562 QsciScintilla::callTipsVisible() const
    {83, 778, 0, 0, 0, 0, 29},	//1563 QsciScintilla::cancelList()
    {83, 780, 0, 0, Smoke::mf_const, 199, 30},	//1564 QsciScintilla::caseSensitive() const
    {83, 789, 0, 0, 0, 0, 31},	//1565 QsciScintilla::clearFolds()
    {83, 790, 148, 5, 0, 0, 32},	//1566 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {83, 795, 0, 0, 0, 0, 33},	//1567 QsciScintilla::clearRegisteredImages()
    {83, 797, 0, 0, Smoke::mf_const, 5, 34},	//1568 QsciScintilla::color() const
    {83, 805, 154, 1, 0, 0, 35},	//1569 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {83, 828, 0, 0, Smoke::mf_const, 50, 36},	//1570 QsciScintilla::document() const
    {83, 844, 0, 0, 0, 0, 37},	//1571 QsciScintilla::endUndoAction()
    {83, 838, 0, 0, Smoke::mf_const, 5, 38},	//1572 QsciScintilla::edgeColor() const
    {83, 839, 0, 0, Smoke::mf_const, 221, 39},	//1573 QsciScintilla::edgeColumn() const
    {83, 840, 0, 0, Smoke::mf_const, 92, 40},	//1574 QsciScintilla::edgeMode() const
    {83, 1199, 42, 1, 0, 0, 41},	//1575 QsciScintilla::setFont(const QFont&)
    {83, 853, 0, 0, Smoke::mf_const, 93, 42},	//1576 QsciScintilla::eolMode() const
    {83, 854, 0, 0, Smoke::mf_const, 199, 43},	//1577 QsciScintilla::eolVisibility() const
    {83, 858, 148, 5, 0, 0, 44},	//1578 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {83, 860, 156, 9, Smoke::mf_virtual, 199, 45},	//1579 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {83, 866, 0, 0, Smoke::mf_virtual, 199, 46},	//1580 QsciScintilla::findNext()
    {83, 867, 0, 0, Smoke::mf_const, 221, 47},	//1581 QsciScintilla::firstVisibleLine() const
    {83, 890, 0, 0, Smoke::mf_const, 94, 48},	//1582 QsciScintilla::folding() const
    {83, 900, 166, 2, Smoke::mf_const, 0, 49},	//1583 QsciScintilla::getCursorPosition(int*, int*) const
    {83, 902, 169, 4, Smoke::mf_const, 0, 50},	//1584 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {83, 904, 0, 0, Smoke::mf_const, 199, 51},	//1585 QsciScintilla::hasSelectedText() const
    {83, 910, 18, 1, Smoke::mf_const, 221, 52},	//1586 QsciScintilla::indentation(int) const
    {83, 913, 0, 0, Smoke::mf_const, 199, 53},	//1587 QsciScintilla::indentationGuides() const
    {83, 916, 0, 0, Smoke::mf_const, 199, 54},	//1588 QsciScintilla::indentationsUseTabs() const
    {83, 915, 0, 0, Smoke::mf_const, 221, 55},	//1589 QsciScintilla::indentationWidth() const
    {83, 919, 174, 2, 0, 221, 56},	//1590 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {83, 922, 18, 1, Smoke::mf_const, 199, 57},	//1591 QsciScintilla::indicatorDrawUnder(int) const
    {83, 934, 0, 0, Smoke::mf_const, 199, 58},	//1592 QsciScintilla::isCallTipActive() const
    {83, 935, 0, 0, Smoke::mf_const, 199, 59},	//1593 QsciScintilla::isListActive() const
    {83, 936, 0, 0, Smoke::mf_const, 199, 60},	//1594 QsciScintilla::isModified() const
    {83, 939, 0, 0, Smoke::mf_const, 199, 61},	//1595 QsciScintilla::isReadOnly() const
    {83, 940, 0, 0, Smoke::mf_const, 199, 62},	//1596 QsciScintilla::isRedoAvailable() const
    {83, 941, 0, 0, Smoke::mf_const, 199, 63},	//1597 QsciScintilla::isUndoAvailable() const
    {83, 942, 0, 0, Smoke::mf_const, 199, 64},	//1598 QsciScintilla::isUtf8() const
    {83, 943, 177, 1, Smoke::mf_const, 199, 65},	//1599 QsciScintilla::isWordCharacter(char) const
    {83, 958, 179, 1, Smoke::mf_const, 221, 66},	//1600 QsciScintilla::lineAt(const QPoint&) const
    {83, 960, 181, 3, Smoke::mf_const, 0, 67},	//1601 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {83, 962, 18, 1, Smoke::mf_const, 221, 68},	//1602 QsciScintilla::lineLength(int) const
    {83, 964, 0, 0, Smoke::mf_const, 221, 69},	//1603 QsciScintilla::lines() const
    {83, 954, 0, 0, Smoke::mf_const, 221, 70},	//1604 QsciScintilla::length() const
    {83, 956, 0, 0, Smoke::mf_const, 53, 71},	//1605 QsciScintilla::lexer() const
    {83, 973, 18, 1, Smoke::mf_const, 199, 72},	//1606 QsciScintilla::marginLineNumbers(int) const
    {83, 975, 18, 1, Smoke::mf_const, 221, 73},	//1607 QsciScintilla::marginMarkerMask(int) const
    {83, 977, 18, 1, Smoke::mf_const, 199, 74},	//1608 QsciScintilla::marginSensitivity(int) const
    {83, 979, 18, 1, Smoke::mf_const, 97, 75},	//1609 QsciScintilla::marginType(int) const
    {83, 981, 18, 1, Smoke::mf_const, 221, 76},	//1610 QsciScintilla::marginWidth(int) const
    {83, 985, 185, 2, 0, 221, 77},	//1611 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {83, 985, 188, 2, 0, 221, 78},	//1612 QsciScintilla::markerDefine(char, int)
    {83, 985, 191, 2, 0, 221, 79},	//1613 QsciScintilla::markerDefine(const QPixmap&, int)
    {83, 983, 99, 2, 0, 221, 80},	//1614 QsciScintilla::markerAdd(int, int)
    {83, 1003, 18, 1, Smoke::mf_const, 225, 81},	//1615 QsciScintilla::markersAtLine(int) const
    {83, 990, 99, 2, 0, 0, 82},	//1616 QsciScintilla::markerDelete(int, int)
    {83, 993, 18, 1, 0, 0, 83},	//1617 QsciScintilla::markerDeleteAll(int)
    {83, 995, 18, 1, 0, 0, 84},	//1618 QsciScintilla::markerDeleteHandle(int)
    {83, 1001, 18, 1, Smoke::mf_const, 221, 85},	//1619 QsciScintilla::markerLine(int) const
    {83, 997, 194, 2, Smoke::mf_const, 221, 86},	//1620 QsciScintilla::markerFindNext(int, unsigned int) const
    {83, 999, 194, 2, Smoke::mf_const, 221, 87},	//1621 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {83, 1027, 0, 0, Smoke::mf_const, 5, 88},	//1622 QsciScintilla::paper() const
    {83, 1034, 99, 2, Smoke::mf_const, 221, 89},	//1623 QsciScintilla::positionFromLineIndex(int, int) const
    {83, 1047, 197, 1, 0, 199, 90},	//1624 QsciScintilla::read(QIODevice*)
    {83, 1054, 99, 2, Smoke::mf_virtual, 0, 91},	//1625 QsciScintilla::recolor(int, int)
    {83, 1060, 199, 2, 0, 0, 92},	//1626 QsciScintilla::registerImage(int, const QPixmap&)
    {83, 1065, 57, 1, Smoke::mf_virtual, 0, 93},	//1627 QsciScintilla::replace(const QString&)
    {83, 1067, 0, 0, 0, 0, 94},	//1628 QsciScintilla::resetFoldMarginColors()
    {83, 1182, 202, 2, 0, 0, 95},	//1629 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {83, 1088, 205, 1, 0, 0, 96},	//1630 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {83, 1094, 16, 1, 0, 0, 97},	//1631 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {83, 1092, 12, 1, 0, 0, 98},	//1632 QsciScintilla::setAutoCompletionFillups(const char*)
    {83, 1104, 207, 1, 0, 0, 99},	//1633 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {83, 1116, 80, 1, 0, 0, 100},	//1634 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {83, 1118, 80, 1, 0, 0, 101},	//1635 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {83, 1120, 80, 1, 0, 0, 102},	//1636 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {83, 1122, 209, 1, 0, 0, 103},	//1637 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {83, 1124, 18, 1, 0, 0, 104},	//1638 QsciScintilla::setCallTipsVisible(int)
    {83, 1151, 72, 1, 0, 0, 105},	//1639 QsciScintilla::setDocument(const QsciDocument&)
    {83, 1155, 80, 1, 0, 0, 106},	//1640 QsciScintilla::setEdgeColor(const QColor&)
    {83, 1157, 18, 1, 0, 0, 107},	//1641 QsciScintilla::setEdgeColumn(int)
    {83, 1159, 211, 1, 0, 0, 108},	//1642 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {83, 1218, 87, 2, 0, 0, 109},	//1643 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {83, 1221, 84, 2, 0, 0, 110},	//1644 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {83, 1238, 134, 3, 0, 0, 111},	//1645 QsciScintilla::setMarginText(int, const QString&, int)
    {83, 1238, 138, 3, 0, 0, 112},	//1646 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {83, 1238, 142, 2, 0, 0, 113},	//1647 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {83, 1238, 145, 2, 0, 0, 114},	//1648 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {83, 1243, 213, 2, 0, 0, 115},	//1649 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {83, 793, 18, 1, 0, 0, 116},	//1650 QsciScintilla::clearMarginText(int)
    {83, 1253, 84, 2, 0, 0, 117},	//1651 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {83, 1256, 84, 2, 0, 0, 118},	//1652 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {83, 1259, 80, 1, 0, 0, 119},	//1653 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {83, 1261, 80, 1, 0, 0, 120},	//1654 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {83, 1297, 80, 1, 0, 0, 121},	//1655 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {83, 1299, 80, 1, 0, 0, 122},	//1656 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {83, 1315, 216, 3, 0, 0, 123},	//1657 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {83, 1081, 0, 0, Smoke::mf_const, 37, 124},	//1658 QsciScintilla::selectedText() const
    {83, 1083, 0, 0, Smoke::mf_const, 199, 125},	//1659 QsciScintilla::selectionToEol() const
    {83, 1278, 16, 1, 0, 0, 126},	//1660 QsciScintilla::setSelectionToEol(bool)
    {83, 1320, 220, 2, 0, 0, 127},	//1661 QsciScintilla::showUserList(int, const QStringList&)
    {83, 1324, 0, 0, Smoke::mf_const, 49, 128},	//1662 QsciScintilla::standardCommands() const
    {83, 1336, 0, 0, Smoke::mf_const, 199, 129},	//1663 QsciScintilla::tabIndents() const
    {83, 1337, 0, 0, Smoke::mf_const, 221, 130},	//1664 QsciScintilla::tabWidth() const
    {83, 1339, 0, 0, Smoke::mf_const, 37, 131},	//1665 QsciScintilla::text() const
    {83, 1339, 18, 1, Smoke::mf_const, 37, 132},	//1666 QsciScintilla::text(int) const
    {83, 1343, 18, 1, Smoke::mf_const, 221, 133},	//1667 QsciScintilla::textHeight(int) const
    {83, 1372, 0, 0, Smoke::mf_const, 99, 134},	//1668 QsciScintilla::whitespaceVisibility() const
    {83, 1374, 179, 1, Smoke::mf_const, 37, 135},	//1669 QsciScintilla::wordAtPoint(const QPoint&) const
    {83, 1376, 0, 0, Smoke::mf_const, 219, 136},	//1670 QsciScintilla::wordCharacters() const
    {83, 1377, 0, 0, Smoke::mf_const, 100, 137},	//1671 QsciScintilla::wrapMode() const
    {83, 1378, 197, 1, Smoke::mf_const, 199, 138},	//1672 QsciScintilla::write(QIODevice*) const
    {83, 742, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 139},	//1673 QsciScintilla::append(const QString&)
    {83, 745, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 140},	//1674 QsciScintilla::autoCompleteFromAll()
    {83, 744, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 141},	//1675 QsciScintilla::autoCompleteFromAPIs()
    {83, 746, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 142},	//1676 QsciScintilla::autoCompleteFromDocument()
    {83, 771, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 143},	//1677 QsciScintilla::callTip()
    {83, 785, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 144},	//1678 QsciScintilla::clear()
    {83, 807, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 145},	//1679 QsciScintilla::copy()
    {83, 813, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 146},	//1680 QsciScintilla::cut()
    {83, 845, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 147},	//1681 QsciScintilla::ensureCursorVisible()
    {83, 846, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 148},	//1682 QsciScintilla::ensureLineVisible(int)
    {83, 874, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 149},	//1683 QsciScintilla::foldAll(bool)
    {83, 882, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 150},	//1684 QsciScintilla::foldLine(int)
    {83, 908, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 151},	//1685 QsciScintilla::indent(int)
    {83, 929, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 152},	//1686 QsciScintilla::insert(const QString&)
    {83, 931, 223, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1687 QsciScintilla::insertAt(const QString&, int, int)
    {83, 1020, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1688 QsciScintilla::moveToMatchingBrace()
    {83, 1031, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1689 QsciScintilla::paste()
    {83, 1057, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1690 QsciScintilla::redo()
    {83, 1064, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1691 QsciScintilla::removeSelectedText()
    {83, 1068, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1692 QsciScintilla::resetSelectionBackgroundColor()
    {83, 1069, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1693 QsciScintilla::resetSelectionForegroundColor()
    {83, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1694 QsciScintilla::selectAll(bool)
    {83, 1080, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1695 QsciScintilla::selectToMatchingBrace()
    {83, 1090, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1696 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {83, 1096, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1697 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {83, 1098, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1698 QsciScintilla::setAutoCompletionShowSingle(bool)
    {83, 1100, 227, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1699 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {83, 1102, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1700 QsciScintilla::setAutoCompletionThreshold(int)
    {83, 1106, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1701 QsciScintilla::setAutoIndent(bool)
    {83, 1114, 229, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1702 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {83, 1112, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1703 QsciScintilla::setBackspaceUnindents(bool)
    {83, 1126, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1704 QsciScintilla::setCaretForegroundColor(const QColor&)
    {83, 1128, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1705 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {83, 1130, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1706 QsciScintilla::setCaretLineVisible(bool)
    {83, 1132, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1707 QsciScintilla::setCaretWidth(int)
    {83, 1138, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1708 QsciScintilla::setColor(const QColor&)
    {83, 1141, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1709 QsciScintilla::setCursorPosition(int, int)
    {83, 1166, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1710 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {83, 1168, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1711 QsciScintilla::setEolVisibility(bool)
    {83, 1196, 231, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1712 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {83, 1204, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1713 QsciScintilla::setIndentation(int, int)
    {83, 1206, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1714 QsciScintilla::setIndentationGuides(bool)
    {83, 1208, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1715 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {83, 1210, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1716 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {83, 1216, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1717 QsciScintilla::setIndentationsUseTabs(bool)
    {83, 1214, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1718 QsciScintilla::setIndentationWidth(int)
    {83, 1228, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1719 QsciScintilla::setLexer(QsciLexer*)
    {83, 1247, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1720 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {83, 1249, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1721 QsciScintilla::setMarginsFont(const QFont&)
    {83, 1251, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1722 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {83, 1232, 234, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1723 QsciScintilla::setMarginLineNumbers(int, bool)
    {83, 1234, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1724 QsciScintilla::setMarginMarkerMask(int, int)
    {83, 1236, 234, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1725 QsciScintilla::setMarginSensitivity(int, bool)
    {83, 1245, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1726 QsciScintilla::setMarginWidth(int, int)
    {83, 1245, 237, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1727 QsciScintilla::setMarginWidth(int, const QString&)
    {83, 1263, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1728 QsciScintilla::setModified(bool)
    {83, 1265, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1729 QsciScintilla::setPaper(const QColor&)
    {83, 1268, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1730 QsciScintilla::setReadOnly(bool)
    {83, 1272, 240, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1731 QsciScintilla::setSelection(int, int, int, int)
    {83, 1274, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1732 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {83, 1276, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1733 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {83, 1287, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1734 QsciScintilla::setTabIndents(bool)
    {83, 1289, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1735 QsciScintilla::setTabWidth(int)
    {83, 1291, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1736 QsciScintilla::setText(const QString&)
    {83, 1301, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1737 QsciScintilla::setUtf8(bool)
    {83, 1311, 245, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1738 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {83, 1313, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1739 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {83, 1357, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1740 QsciScintilla::undo()
    {83, 1358, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1741 QsciScintilla::unindent(int)
    {83, 1386, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1742 QsciScintilla::zoomIn(int)
    {83, 1386, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1743 QsciScintilla::zoomIn()
    {83, 1388, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1744 QsciScintilla::zoomOut(int)
    {83, 1388, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1745 QsciScintilla::zoomOut()
    {83, 1390, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1746 QsciScintilla::zoomTo(int)
    {83, 810, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 213},	//1747 QsciScintilla::cursorPositionChanged(int, int)
    {83, 808, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 214},	//1748 QsciScintilla::copyAvailable(bool)
    {83, 917, 247, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 215},	//1749 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {83, 924, 247, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 216},	//1750 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {83, 965, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 217},	//1751 QsciScintilla::linesChanged()
    {83, 971, 247, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 218},	//1752 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {83, 1008, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 219},	//1753 QsciScintilla::modificationAttempted()
    {83, 1009, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 220},	//1754 QsciScintilla::modificationChanged(bool)
    {83, 1082, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 221},	//1755 QsciScintilla::selectionChanged()
    {83, 1342, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 222},	//1756 QsciScintilla::textChanged()
    {83, 1362, 237, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 223},	//1757 QsciScintilla::userListActivated(int, const QString&)
    {83, 1349, 12, 1, Smoke::mf_static, 37, 224},	//1758 QsciScintilla::tr(const char*)
    {83, 1353, 12, 1, Smoke::mf_static, 37, 225},	//1759 QsciScintilla::trUtf8(const char*)
    {83, 439, 0, 0, Smoke::mf_ctor, 87, 226},	//1760 QsciScintilla::QsciScintilla()
    {83, 787, 0, 0, 0, 0, 227},	//1761 QsciScintilla::clearAnnotations()
    {83, 860, 251, 5, 0, 199, 228},	//1762 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {83, 860, 257, 6, 0, 199, 229},	//1763 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {83, 860, 264, 7, 0, 199, 230},	//1764 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {83, 860, 272, 8, 0, 199, 231},	//1765 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {83, 919, 281, 1, 0, 221, 232},	//1766 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {83, 985, 283, 1, 0, 221, 233},	//1767 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {83, 985, 177, 1, 0, 221, 234},	//1768 QsciScintilla::markerDefine(char)
    {83, 985, 285, 1, 0, 221, 235},	//1769 QsciScintilla::markerDefine(const QPixmap&)
    {83, 990, 18, 1, 0, 0, 236},	//1770 QsciScintilla::markerDelete(int)
    {83, 993, 0, 0, 0, 0, 237},	//1771 QsciScintilla::markerDeleteAll()
    {83, 1054, 0, 0, 0, 0, 238},	//1772 QsciScintilla::recolor()
    {83, 1054, 18, 1, 0, 0, 239},	//1773 QsciScintilla::recolor(int)
    {83, 1218, 16, 1, 0, 0, 240},	//1774 QsciScintilla::setIndicatorDrawUnder(bool)
    {83, 1221, 80, 1, 0, 0, 241},	//1775 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {83, 793, 0, 0, 0, 0, 242},	//1776 QsciScintilla::clearMarginText()
    {83, 1253, 80, 1, 0, 0, 243},	//1777 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {83, 1256, 80, 1, 0, 0, 244},	//1778 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {83, 1315, 287, 1, 0, 0, 245},	//1779 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {83, 1315, 289, 2, 0, 0, 246},	//1780 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {83, 874, 0, 0, Smoke::mf_slot, 0, 247},	//1781 QsciScintilla::foldAll()
    {83, 1078, 0, 0, Smoke::mf_slot, 0, 248},	//1782 QsciScintilla::selectAll()
    {83, 1196, 292, 1, Smoke::mf_slot, 0, 249},	//1783 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {83, 1228, 0, 0, Smoke::mf_slot, 0, 250},	//1784 QsciScintilla::setLexer()
    {83, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 251},	//1785 QsciScintilla::staticMetaObject() const
    {83, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 252},	//1786 QsciScintilla::AiMaintain (enum)
    {83, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 253},	//1787 QsciScintilla::AiOpening (enum)
    {83, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 254},	//1788 QsciScintilla::AiClosing (enum)
    {83, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 255},	//1789 QsciScintilla::AnnotationHidden (enum)
    {83, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 256},	//1790 QsciScintilla::AnnotationStandard (enum)
    {83, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 257},	//1791 QsciScintilla::AnnotationBoxed (enum)
    {83, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 258},	//1792 QsciScintilla::AcsNone (enum)
    {83, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 259},	//1793 QsciScintilla::AcsAll (enum)
    {83, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 260},	//1794 QsciScintilla::AcsDocument (enum)
    {83, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 261},	//1795 QsciScintilla::AcsAPIs (enum)
    {83, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 262},	//1796 QsciScintilla::NoBraceMatch (enum)
    {83, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 263},	//1797 QsciScintilla::StrictBraceMatch (enum)
    {83, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 264},	//1798 QsciScintilla::SloppyBraceMatch (enum)
    {83, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 265},	//1799 QsciScintilla::CallTipsNone (enum)
    {83, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 266},	//1800 QsciScintilla::CallTipsNoContext (enum)
    {83, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 267},	//1801 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {83, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 268},	//1802 QsciScintilla::CallTipsContext (enum)
    {83, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 269},	//1803 QsciScintilla::EdgeNone (enum)
    {83, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 270},	//1804 QsciScintilla::EdgeLine (enum)
    {83, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 271},	//1805 QsciScintilla::EdgeBackground (enum)
    {83, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 272},	//1806 QsciScintilla::EolWindows (enum)
    {83, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 273},	//1807 QsciScintilla::EolUnix (enum)
    {83, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 274},	//1808 QsciScintilla::EolMac (enum)
    {83, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 275},	//1809 QsciScintilla::NoFoldStyle (enum)
    {83, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 276},	//1810 QsciScintilla::PlainFoldStyle (enum)
    {83, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 277},	//1811 QsciScintilla::CircledFoldStyle (enum)
    {83, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 278},	//1812 QsciScintilla::BoxedFoldStyle (enum)
    {83, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 279},	//1813 QsciScintilla::CircledTreeFoldStyle (enum)
    {83, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 280},	//1814 QsciScintilla::BoxedTreeFoldStyle (enum)
    {83, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 281},	//1815 QsciScintilla::PlainIndicator (enum)
    {83, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 282},	//1816 QsciScintilla::SquiggleIndicator (enum)
    {83, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 283},	//1817 QsciScintilla::TTIndicator (enum)
    {83, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 284},	//1818 QsciScintilla::DiagonalIndicator (enum)
    {83, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 285},	//1819 QsciScintilla::StrikeIndicator (enum)
    {83, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 286},	//1820 QsciScintilla::HiddenIndicator (enum)
    {83, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 287},	//1821 QsciScintilla::BoxIndicator (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 288},	//1822 QsciScintilla::RoundBoxIndicator (enum)
    {83, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 289},	//1823 QsciScintilla::SymbolMargin (enum)
    {83, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 290},	//1824 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {83, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 291},	//1825 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {83, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 292},	//1826 QsciScintilla::NumberMargin (enum)
    {83, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 293},	//1827 QsciScintilla::TextMargin (enum)
    {83, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 294},	//1828 QsciScintilla::TextMarginRightJustified (enum)
    {83, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 295},	//1829 QsciScintilla::Circle (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 296},	//1830 QsciScintilla::Rectangle (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 297},	//1831 QsciScintilla::RightTriangle (enum)
    {83, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 298},	//1832 QsciScintilla::SmallRectangle (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 299},	//1833 QsciScintilla::RightArrow (enum)
    {83, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 300},	//1834 QsciScintilla::Invisible (enum)
    {83, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 301},	//1835 QsciScintilla::DownTriangle (enum)
    {83, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 302},	//1836 QsciScintilla::Minus (enum)
    {83, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 303},	//1837 QsciScintilla::Plus (enum)
    {83, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 304},	//1838 QsciScintilla::VerticalLine (enum)
    {83, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 305},	//1839 QsciScintilla::BottomLeftCorner (enum)
    {83, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 306},	//1840 QsciScintilla::LeftSideSplitter (enum)
    {83, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 307},	//1841 QsciScintilla::BoxedPlus (enum)
    {83, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 308},	//1842 QsciScintilla::BoxedPlusConnected (enum)
    {83, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 309},	//1843 QsciScintilla::BoxedMinus (enum)
    {83, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 310},	//1844 QsciScintilla::BoxedMinusConnected (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 311},	//1845 QsciScintilla::RoundedBottomLeftCorner (enum)
    {83, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 312},	//1846 QsciScintilla::LeftSideRoundedSplitter (enum)
    {83, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 313},	//1847 QsciScintilla::CircledPlus (enum)
    {83, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 314},	//1848 QsciScintilla::CircledPlusConnected (enum)
    {83, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 315},	//1849 QsciScintilla::CircledMinus (enum)
    {83, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 316},	//1850 QsciScintilla::CircledMinusConnected (enum)
    {83, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 317},	//1851 QsciScintilla::Background (enum)
    {83, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 318},	//1852 QsciScintilla::ThreeDots (enum)
    {83, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 319},	//1853 QsciScintilla::ThreeRightArrows (enum)
    {83, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 320},	//1854 QsciScintilla::WsInvisible (enum)
    {83, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 321},	//1855 QsciScintilla::WsVisible (enum)
    {83, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 322},	//1856 QsciScintilla::WsVisibleAfterIndent (enum)
    {83, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 323},	//1857 QsciScintilla::WrapNone (enum)
    {83, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 324},	//1858 QsciScintilla::WrapWord (enum)
    {83, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 325},	//1859 QsciScintilla::WrapCharacter (enum)
    {83, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 326},	//1860 QsciScintilla::WrapFlagNone (enum)
    {83, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 327},	//1861 QsciScintilla::WrapFlagByText (enum)
    {83, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 328},	//1862 QsciScintilla::WrapFlagByBorder (enum)
    {83, 1429, 0, 0, Smoke::mf_dtor, 0, 329 },	//1863 QsciScintilla::~QsciScintilla()
    {84, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//1864 QsciScintillaBase::metaObject() const
    {84, 1045, 12, 1, Smoke::mf_virtual, 227, 2},	//1865 QsciScintillaBase::qt_metacast(const char*)
    {84, 1349, 44, 2, Smoke::mf_static, 37, 3},	//1866 QsciScintillaBase::tr(const char*, const char*)
    {84, 1353, 44, 2, Smoke::mf_static, 37, 4},	//1867 QsciScintillaBase::trUtf8(const char*, const char*)
    {84, 1349, 47, 3, Smoke::mf_static, 37, 5},	//1868 QsciScintillaBase::tr(const char*, const char*, int)
    {84, 1353, 47, 3, Smoke::mf_static, 37, 6},	//1869 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {84, 1043, 51, 3, Smoke::mf_virtual, 221, 7},	//1870 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {84, 441, 128, 1, Smoke::mf_ctor, 102, 8},	//1871 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {84, 1033, 0, 0, Smoke::mf_static, 102, 9},	//1872 QsciScintillaBase::pool()
    {84, 626, 294, 3, Smoke::mf_const, 224, 10},	//1873 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {84, 626, 298, 3, Smoke::mf_const, 224, 11},	//1874 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {84, 626, 302, 3, Smoke::mf_const, 224, 12},	//1875 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {84, 626, 306, 2, Smoke::mf_const, 224, 13},	//1876 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {84, 626, 309, 3, Smoke::mf_const, 224, 14},	//1877 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {84, 626, 313, 2, Smoke::mf_const, 224, 15},	//1878 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {84, 626, 316, 2, Smoke::mf_const, 224, 16},	//1879 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {84, 626, 319, 4, Smoke::mf_const, 224, 17},	//1880 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {84, 626, 324, 3, Smoke::mf_const, 224, 18},	//1881 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {84, 626, 328, 2, Smoke::mf_const, 224, 19},	//1882 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {84, 626, 331, 6, Smoke::mf_const, 224, 20},	//1883 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {84, 626, 338, 3, Smoke::mf_const, 224, 21},	//1884 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {84, 634, 342, 1, Smoke::mf_const, 227, 22},	//1885 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {84, 358, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1886 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {84, 570, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1887 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {84, 571, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1888 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {84, 572, 344, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1889 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {84, 472, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1890 QsciScintillaBase::SCEN_CHANGE()
    {84, 574, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1891 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {84, 576, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1892 QsciScintillaBase::SCN_CHARADDED(int)
    {84, 578, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1893 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {84, 580, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1894 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {84, 582, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1895 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {84, 584, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1896 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {84, 586, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1897 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {84, 588, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1898 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {84, 590, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1899 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {84, 592, 298, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1900 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {84, 594, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1901 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {84, 596, 351, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1902 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {84, 598, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1903 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {84, 599, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1904 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {84, 601, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1905 QsciScintillaBase::SCN_PAINTED()
    {84, 602, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1906 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {84, 603, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1907 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {84, 604, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1908 QsciScintillaBase::SCN_STYLENEEDED(int)
    {84, 606, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1909 QsciScintillaBase::SCN_UPDATEUI()
    {84, 607, 344, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1910 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {84, 609, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1911 QsciScintillaBase::SCN_ZOOM()
    {84, 776, 362, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 49},	//1912 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {84, 898, 362, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 37, 50},	//1913 QsciScintillaBase::fromMimeData(const QMimeData*) const
    {84, 1346, 57, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 21, 51},	//1914 QsciScintillaBase::toMimeData(const QString&) const
    {84, 803, 364, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//1915 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {84, 830, 366, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1916 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {84, 832, 368, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1917 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {84, 834, 370, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1918 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {84, 836, 372, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1919 QsciScintillaBase::dropEvent(QDropEvent*)
    {84, 868, 374, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1920 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {84, 872, 374, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1921 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {84, 870, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 199, 59},	//1922 QsciScintillaBase::focusNextPrevChild(bool)
    {84, 946, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1923 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {84, 926, 376, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1924 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {84, 1011, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1925 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {84, 1013, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1926 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {84, 1015, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1927 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {84, 1017, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1928 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {84, 1024, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//1929 QsciScintillaBase::paintEvent(QPaintEvent*)
    {84, 1070, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//1930 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {84, 1076, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//1931 QsciScintillaBase::scrollContentsBy(int, int)
    {84, 1349, 12, 1, Smoke::mf_static, 37, 69},	//1932 QsciScintillaBase::tr(const char*)
    {84, 1353, 12, 1, Smoke::mf_static, 37, 70},	//1933 QsciScintillaBase::trUtf8(const char*)
    {84, 441, 0, 0, Smoke::mf_ctor, 102, 71},	//1934 QsciScintillaBase::QsciScintillaBase()
    {84, 626, 342, 1, Smoke::mf_const, 224, 72},	//1935 QsciScintillaBase::SendScintilla(unsigned int) const
    {84, 626, 384, 2, Smoke::mf_const, 224, 73},	//1936 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {84, 1329, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 74},	//1937 QsciScintillaBase::staticMetaObject() const
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 75},	//1938 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 76},	//1939 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 77},	//1940 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 78},	//1941 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 79},	//1942 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 80},	//1943 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 81},	//1944 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 82},	//1945 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 83},	//1946 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 84},	//1947 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 85},	//1948 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 86},	//1949 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 87},	//1950 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 88},	//1951 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 89},	//1952 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 90},	//1953 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 91},	//1954 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 92},	//1955 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 93},	//1956 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 94},	//1957 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 95},	//1958 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 96},	//1959 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 97},	//1960 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 98},	//1961 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 99},	//1962 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 100},	//1963 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 101},	//1964 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 102},	//1965 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 103},	//1966 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 104},	//1967 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 105},	//1968 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 106},	//1969 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 107},	//1970 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 108},	//1971 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 109},	//1972 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 110},	//1973 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 111},	//1974 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 112},	//1975 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 113},	//1976 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 114},	//1977 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 115},	//1978 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 116},	//1979 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 117},	//1980 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 118},	//1981 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 119},	//1982 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 120},	//1983 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 121},	//1984 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 122},	//1985 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 123},	//1986 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 124},	//1987 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 125},	//1988 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 126},	//1989 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 127},	//1990 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 128},	//1991 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 129},	//1992 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 130},	//1993 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 131},	//1994 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 132},	//1995 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 133},	//1996 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 134},	//1997 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 135},	//1998 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 136},	//1999 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 137},	//2000 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 138},	//2001 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 139},	//2002 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 140},	//2003 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 141},	//2004 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 142},	//2005 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 143},	//2006 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 144},	//2007 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 145},	//2008 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 146},	//2009 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 147},	//2010 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 148},	//2011 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 149},	//2012 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 150},	//2013 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 151},	//2014 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 152},	//2015 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 153},	//2016 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 154},	//2017 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 155},	//2018 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 156},	//2019 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 157},	//2020 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 158},	//2021 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 159},	//2022 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 160},	//2023 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 161},	//2024 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 162},	//2025 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 163},	//2026 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 164},	//2027 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 165},	//2028 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 166},	//2029 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 167},	//2030 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 168},	//2031 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 169},	//2032 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 170},	//2033 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 171},	//2034 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 172},	//2035 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 173},	//2036 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 174},	//2037 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 175},	//2038 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 176},	//2039 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 177},	//2040 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 178},	//2041 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 179},	//2042 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 180},	//2043 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 181},	//2044 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 182},	//2045 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 183},	//2046 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 184},	//2047 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 185},	//2048 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 186},	//2049 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 187},	//2050 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 188},	//2051 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 189},	//2052 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 190},	//2053 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 191},	//2054 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 192},	//2055 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 193},	//2056 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 194},	//2057 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 195},	//2058 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 196},	//2059 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 197},	//2060 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 198},	//2061 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 199},	//2062 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 200},	//2063 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 201},	//2064 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 202},	//2065 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 203},	//2066 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 204},	//2067 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 205},	//2068 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 206},	//2069 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 207},	//2070 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 208},	//2071 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 209},	//2072 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 210},	//2073 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 211},	//2074 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 212},	//2075 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 213},	//2076 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 214},	//2077 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 215},	//2078 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 216},	//2079 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 217},	//2080 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 218},	//2081 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 219},	//2082 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 220},	//2083 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 221},	//2084 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 222},	//2085 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 223},	//2086 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 224},	//2087 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 225},	//2088 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 226},	//2089 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 227},	//2090 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 228},	//2091 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 229},	//2092 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 230},	//2093 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 231},	//2094 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 232},	//2095 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 233},	//2096 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 234},	//2097 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 235},	//2098 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 236},	//2099 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 237},	//2100 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 238},	//2101 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 239},	//2102 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 240},	//2103 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 241},	//2104 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 242},	//2105 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 243},	//2106 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 244},	//2107 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 245},	//2108 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 246},	//2109 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 247},	//2110 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 248},	//2111 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 249},	//2112 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 250},	//2113 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 251},	//2114 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 252},	//2115 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 253},	//2116 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 254},	//2117 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 255},	//2118 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 256},	//2119 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 257},	//2120 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 258},	//2121 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 259},	//2122 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 260},	//2123 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 261},	//2124 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 262},	//2125 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 263},	//2126 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 264},	//2127 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 265},	//2128 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 266},	//2129 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 267},	//2130 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 268},	//2131 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 269},	//2132 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 270},	//2133 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 271},	//2134 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 272},	//2135 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 273},	//2136 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 274},	//2137 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 275},	//2138 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 276},	//2139 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 277},	//2140 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 278},	//2141 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 279},	//2142 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 280},	//2143 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 281},	//2144 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 282},	//2145 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 283},	//2146 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 284},	//2147 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 285},	//2148 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 286},	//2149 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 287},	//2150 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 288},	//2151 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 289},	//2152 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 290},	//2153 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 291},	//2154 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 292},	//2155 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 293},	//2156 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 294},	//2157 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 295},	//2158 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 296},	//2159 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 297},	//2160 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 298},	//2161 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 299},	//2162 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 300},	//2163 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 301},	//2164 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 302},	//2165 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 303},	//2166 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 304},	//2167 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 305},	//2168 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 306},	//2169 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 307},	//2170 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 308},	//2171 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 309},	//2172 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 310},	//2173 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 311},	//2174 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 312},	//2175 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 313},	//2176 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 314},	//2177 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 315},	//2178 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 316},	//2179 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 317},	//2180 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 318},	//2181 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 319},	//2182 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 320},	//2183 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 321},	//2184 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 322},	//2185 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 323},	//2186 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 324},	//2187 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 325},	//2188 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 326},	//2189 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 327},	//2190 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 328},	//2191 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 329},	//2192 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 330},	//2193 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 331},	//2194 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 332},	//2195 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 333},	//2196 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 334},	//2197 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 335},	//2198 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 336},	//2199 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 337},	//2200 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 338},	//2201 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 339},	//2202 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 340},	//2203 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 341},	//2204 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 342},	//2205 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 343},	//2206 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 344},	//2207 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 345},	//2208 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 346},	//2209 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 347},	//2210 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 348},	//2211 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 349},	//2212 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 350},	//2213 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 351},	//2214 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 352},	//2215 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 353},	//2216 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 354},	//2217 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 355},	//2218 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 356},	//2219 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 357},	//2220 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 358},	//2221 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 359},	//2222 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 360},	//2223 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 361},	//2224 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 362},	//2225 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 363},	//2226 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 364},	//2227 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 365},	//2228 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 366},	//2229 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 367},	//2230 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 368},	//2231 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 369},	//2232 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 370},	//2233 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 371},	//2234 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 372},	//2235 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 373},	//2236 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 374},	//2237 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 375},	//2238 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 376},	//2239 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 377},	//2240 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 378},	//2241 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 379},	//2242 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 380},	//2243 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 381},	//2244 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 382},	//2245 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 383},	//2246 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 384},	//2247 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 385},	//2248 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 386},	//2249 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 387},	//2250 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 388},	//2251 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 389},	//2252 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 390},	//2253 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 391},	//2254 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 392},	//2255 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 393},	//2256 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 394},	//2257 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 395},	//2258 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 396},	//2259 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 397},	//2260 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 398},	//2261 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 399},	//2262 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 400},	//2263 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 401},	//2264 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 402},	//2265 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 403},	//2266 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 404},	//2267 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 405},	//2268 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 406},	//2269 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 407},	//2270 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 408},	//2271 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 409},	//2272 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 410},	//2273 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 411},	//2274 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 412},	//2275 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 413},	//2276 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 414},	//2277 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 415},	//2278 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 416},	//2279 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 417},	//2280 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 418},	//2281 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 419},	//2282 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 420},	//2283 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 421},	//2284 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 422},	//2285 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 423},	//2286 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 424},	//2287 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 425},	//2288 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 426},	//2289 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 427},	//2290 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 428},	//2291 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 429},	//2292 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 430},	//2293 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 431},	//2294 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 432},	//2295 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 433},	//2296 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 434},	//2297 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 435},	//2298 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 436},	//2299 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 437},	//2300 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 438},	//2301 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 439},	//2302 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 440},	//2303 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 441},	//2304 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 442},	//2305 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 443},	//2306 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 444},	//2307 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 445},	//2308 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 446},	//2309 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 447},	//2310 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 448},	//2311 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 449},	//2312 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 450},	//2313 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 451},	//2314 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 452},	//2315 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 453},	//2316 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 454},	//2317 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 455},	//2318 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 456},	//2319 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 457},	//2320 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 458},	//2321 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 459},	//2322 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 460},	//2323 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 461},	//2324 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 462},	//2325 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 463},	//2326 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 464},	//2327 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 465},	//2328 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 466},	//2329 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 467},	//2330 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 468},	//2331 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 469},	//2332 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 470},	//2333 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 471},	//2334 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 472},	//2335 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 473},	//2336 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 474},	//2337 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 475},	//2338 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 476},	//2339 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 477},	//2340 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 478},	//2341 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 479},	//2342 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 480},	//2343 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 481},	//2344 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 482},	//2345 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 483},	//2346 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 484},	//2347 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 485},	//2348 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 486},	//2349 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 487},	//2350 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 488},	//2351 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 489},	//2352 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 490},	//2353 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 491},	//2354 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 492},	//2355 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 493},	//2356 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 494},	//2357 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 495},	//2358 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 496},	//2359 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 497},	//2360 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 498},	//2361 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 499},	//2362 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 500},	//2363 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 501},	//2364 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 502},	//2365 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 503},	//2366 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 504},	//2367 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 505},	//2368 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 506},	//2369 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 507},	//2370 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 508},	//2371 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 509},	//2372 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 510},	//2373 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 511},	//2374 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 512},	//2375 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 513},	//2376 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 514},	//2377 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 515},	//2378 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 516},	//2379 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 517},	//2380 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 518},	//2381 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 519},	//2382 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 520},	//2383 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 521},	//2384 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 522},	//2385 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 523},	//2386 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 524},	//2387 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 525},	//2388 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 526},	//2389 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 527},	//2390 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 528},	//2391 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 529},	//2392 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 530},	//2393 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 531},	//2394 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 532},	//2395 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 533},	//2396 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 534},	//2397 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 535},	//2398 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 536},	//2399 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 537},	//2400 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 538},	//2401 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 539},	//2402 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 540},	//2403 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 541},	//2404 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 542},	//2405 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 543},	//2406 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 544},	//2407 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 545},	//2408 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 546},	//2409 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 547},	//2410 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 548},	//2411 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 549},	//2412 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 550},	//2413 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 551},	//2414 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 552},	//2415 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 553},	//2416 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 554},	//2417 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 555},	//2418 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 556},	//2419 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 557},	//2420 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 558},	//2421 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 559},	//2422 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 560},	//2423 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 561},	//2424 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 562},	//2425 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 563},	//2426 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 564},	//2427 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 565},	//2428 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 566},	//2429 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 567},	//2430 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 568},	//2431 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 569},	//2432 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 570},	//2433 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 571},	//2434 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 572},	//2435 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 573},	//2436 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 574},	//2437 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 575},	//2438 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 576},	//2439 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 577},	//2440 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 578},	//2441 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 579},	//2442 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 580},	//2443 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 581},	//2444 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 582},	//2445 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 583},	//2446 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 584},	//2447 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 585},	//2448 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 586},	//2449 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 587},	//2450 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 588},	//2451 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 589},	//2452 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 590},	//2453 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 591},	//2454 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 592},	//2455 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 593},	//2456 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 594},	//2457 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 595},	//2458 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 596},	//2459 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 597},	//2460 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 598},	//2461 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 599},	//2462 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 600},	//2463 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 601},	//2464 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 602},	//2465 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 603},	//2466 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 604},	//2467 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 605},	//2468 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 606},	//2469 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 607},	//2470 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 608},	//2471 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 609},	//2472 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 610},	//2473 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 611},	//2474 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 612},	//2475 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 613},	//2476 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 614},	//2477 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 615},	//2478 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 616},	//2479 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 617},	//2480 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 618},	//2481 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 619},	//2482 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 620},	//2483 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 621},	//2484 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 622},	//2485 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 623},	//2486 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 624},	//2487 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 625},	//2488 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 626},	//2489 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 627},	//2490 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 628},	//2491 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 629},	//2492 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 630},	//2493 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 631},	//2494 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 632},	//2495 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 633},	//2496 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 634},	//2497 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 635},	//2498 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 636},	//2499 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 637},	//2500 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 638},	//2501 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 639},	//2502 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 640},	//2503 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 641},	//2504 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 642},	//2505 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 643},	//2506 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 644},	//2507 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 645},	//2508 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 646},	//2509 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 647},	//2510 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 648},	//2511 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 649},	//2512 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 650},	//2513 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 651},	//2514 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 652},	//2515 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 653},	//2516 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 654},	//2517 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 655},	//2518 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 656},	//2519 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 657},	//2520 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 658},	//2521 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 659},	//2522 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 660},	//2523 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 661},	//2524 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 662},	//2525 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 663},	//2526 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 664},	//2527 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 665},	//2528 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 666},	//2529 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 667},	//2530 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 668},	//2531 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 669},	//2532 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 670},	//2533 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 671},	//2534 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 672},	//2535 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 673},	//2536 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 674},	//2537 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 675},	//2538 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 676},	//2539 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 677},	//2540 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 678},	//2541 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 679},	//2542 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 680},	//2543 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 681},	//2544 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 682},	//2545 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 683},	//2546 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 684},	//2547 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 685},	//2548 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 686},	//2549 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 687},	//2550 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 688},	//2551 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 689},	//2552 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 690},	//2553 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 691},	//2554 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 692},	//2555 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 693},	//2556 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 694},	//2557 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 695},	//2558 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 696},	//2559 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 697},	//2560 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 698},	//2561 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 699},	//2562 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 700},	//2563 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 701},	//2564 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 702},	//2565 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 703},	//2566 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 704},	//2567 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 705},	//2568 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 706},	//2569 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 707},	//2570 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 708},	//2571 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 709},	//2572 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 710},	//2573 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 711},	//2574 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 712},	//2575 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 713},	//2576 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 714},	//2577 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 715},	//2578 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 716},	//2579 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 717},	//2580 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 718},	//2581 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 719},	//2582 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 720},	//2583 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 721},	//2584 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 722},	//2585 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 723},	//2586 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 724},	//2587 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 725},	//2588 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 726},	//2589 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 727},	//2590 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 728},	//2591 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 729},	//2592 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 730},	//2593 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 731},	//2594 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 732},	//2595 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 733},	//2596 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 734},	//2597 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 735},	//2598 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 736},	//2599 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 737},	//2600 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 738},	//2601 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 739},	//2602 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 740},	//2603 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 741},	//2604 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 742},	//2605 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 743},	//2606 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 744},	//2607 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 745},	//2608 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 746},	//2609 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 747},	//2610 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 748},	//2611 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 749},	//2612 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 750},	//2613 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 751},	//2614 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 752},	//2615 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 753},	//2616 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 754},	//2617 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 755},	//2618 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 756},	//2619 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 757},	//2620 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 758},	//2621 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 759},	//2622 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 760},	//2623 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 761},	//2624 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 762},	//2625 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 763},	//2626 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 764},	//2627 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 765},	//2628 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 766},	//2629 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 767},	//2630 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 768},	//2631 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 769},	//2632 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 770},	//2633 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 771},	//2634 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 772},	//2635 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 773},	//2636 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 774},	//2637 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 775},	//2638 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 776},	//2639 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 777},	//2640 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 778},	//2641 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 779},	//2642 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 780},	//2643 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 781},	//2644 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 782},	//2645 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 783},	//2646 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 784},	//2647 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 785},	//2648 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 786},	//2649 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 787},	//2650 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 788},	//2651 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 789},	//2652 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 790},	//2653 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 791},	//2654 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 792},	//2655 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 793},	//2656 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 794},	//2657 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 795},	//2658 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 796},	//2659 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 797},	//2660 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 798},	//2661 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 799},	//2662 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 800},	//2663 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 801},	//2664 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 802},	//2665 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 803},	//2666 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 804},	//2667 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 805},	//2668 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 806},	//2669 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 807},	//2670 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 808},	//2671 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 809},	//2672 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 810},	//2673 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 811},	//2674 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 812},	//2675 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 813},	//2676 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 814},	//2677 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 815},	//2678 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 816},	//2679 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 817},	//2680 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 818},	//2681 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 819},	//2682 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 820},	//2683 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 821},	//2684 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 822},	//2685 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 823},	//2686 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 824},	//2687 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 825},	//2688 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 826},	//2689 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 827},	//2690 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 828},	//2691 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 829},	//2692 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 830},	//2693 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 831},	//2694 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 832},	//2695 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 833},	//2696 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 834},	//2697 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 835},	//2698 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 836},	//2699 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 837},	//2700 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 838},	//2701 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 839},	//2702 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 840},	//2703 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 841},	//2704 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 842},	//2705 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 843},	//2706 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 844},	//2707 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 845},	//2708 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 846},	//2709 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 847},	//2710 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 848},	//2711 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 849},	//2712 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 850},	//2713 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 851},	//2714 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 852},	//2715 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 853},	//2716 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 854},	//2717 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 855},	//2718 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 856},	//2719 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 857},	//2720 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 858},	//2721 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 859},	//2722 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 860},	//2723 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 861},	//2724 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 862},	//2725 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 863},	//2726 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 864},	//2727 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 865},	//2728 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 866},	//2729 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 867},	//2730 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 868},	//2731 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 869},	//2732 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 870},	//2733 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 871},	//2734 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 872},	//2735 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 873},	//2736 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 874},	//2737 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 875},	//2738 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 876},	//2739 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 877},	//2740 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 878},	//2741 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 879},	//2742 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 880},	//2743 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 881},	//2744 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 882},	//2745 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 883},	//2746 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 884},	//2747 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 885},	//2748 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 886},	//2749 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 887},	//2750 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 888},	//2751 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 889},	//2752 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 890},	//2753 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 891},	//2754 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 892},	//2755 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 893},	//2756 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 894},	//2757 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 895},	//2758 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 896},	//2759 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 897},	//2760 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 898},	//2761 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 899},	//2762 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 900},	//2763 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 901},	//2764 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 902},	//2765 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 903},	//2766 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 904},	//2767 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 905},	//2768 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 906},	//2769 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 907},	//2770 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 908},	//2771 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 909},	//2772 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 910},	//2773 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 911},	//2774 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 912},	//2775 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 913},	//2776 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 914},	//2777 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 915},	//2778 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 916},	//2779 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 917},	//2780 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 918},	//2781 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 919},	//2782 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 920},	//2783 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 921},	//2784 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 922},	//2785 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 923},	//2786 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 924},	//2787 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 925},	//2788 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 926},	//2789 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 927},	//2790 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 928},	//2791 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 929},	//2792 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 930},	//2793 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 931},	//2794 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 932},	//2795 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 933},	//2796 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 934},	//2797 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 935},	//2798 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 936},	//2799 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 937},	//2800 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 938},	//2801 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 939},	//2802 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 940},	//2803 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 941},	//2804 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 942},	//2805 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 943},	//2806 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 944},	//2807 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 945},	//2808 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 946},	//2809 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 947},	//2810 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 948},	//2811 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 949},	//2812 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 950},	//2813 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 951},	//2814 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 952},	//2815 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 953},	//2816 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 954},	//2817 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 955},	//2818 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 956},	//2819 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 957},	//2820 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 958},	//2821 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 959},	//2822 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 960},	//2823 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 961},	//2824 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 962},	//2825 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 963},	//2826 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 964},	//2827 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 965},	//2828 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 966},	//2829 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 967},	//2830 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 968},	//2831 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 969},	//2832 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 970},	//2833 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 971},	//2834 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 972},	//2835 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 973},	//2836 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 974},	//2837 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 975},	//2838 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 976},	//2839 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 977},	//2840 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 978},	//2841 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 979},	//2842 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 980},	//2843 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 981},	//2844 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 982},	//2845 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 983},	//2846 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 984},	//2847 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 985},	//2848 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 986},	//2849 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 987},	//2850 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 988},	//2851 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 989},	//2852 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 990},	//2853 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 991},	//2854 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 992},	//2855 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 993},	//2856 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 994},	//2857 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 995},	//2858 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 996},	//2859 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 997},	//2860 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 998},	//2861 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 999},	//2862 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1000},	//2863 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1001},	//2864 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1002},	//2865 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1003},	//2866 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1004},	//2867 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1005},	//2868 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1006},	//2869 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1007},	//2870 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1008},	//2871 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1009},	//2872 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1010},	//2873 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1011},	//2874 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1012},	//2875 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1013},	//2876 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1014},	//2877 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1015},	//2878 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1016},	//2879 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1017},	//2880 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1018},	//2881 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1019},	//2882 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1020},	//2883 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1021},	//2884 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1022},	//2885 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1023},	//2886 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1024},	//2887 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1025},	//2888 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1026},	//2889 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1027},	//2890 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1028},	//2891 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1029},	//2892 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1030},	//2893 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1031},	//2894 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1032},	//2895 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1033},	//2896 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1034},	//2897 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1035},	//2898 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1036},	//2899 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1037},	//2900 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1038},	//2901 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1039},	//2902 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1040},	//2903 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1041},	//2904 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1042},	//2905 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1043},	//2906 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1044},	//2907 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1045},	//2908 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1046},	//2909 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1047},	//2910 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1048},	//2911 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1049},	//2912 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1050},	//2913 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1051},	//2914 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1052},	//2915 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1053},	//2916 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1054},	//2917 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1055},	//2918 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1056},	//2919 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1057},	//2920 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1058},	//2921 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1059},	//2922 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1060},	//2923 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1061},	//2924 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1062},	//2925 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1063},	//2926 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1064},	//2927 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1065},	//2928 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1066},	//2929 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1067},	//2930 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1068},	//2931 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1069},	//2932 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1070},	//2933 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1071},	//2934 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1072},	//2935 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1073},	//2936 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1074},	//2937 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1075},	//2938 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1076},	//2939 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1077},	//2940 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1078},	//2941 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1079},	//2942 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1080},	//2943 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1081},	//2944 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1082},	//2945 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1083},	//2946 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1084},	//2947 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1085},	//2948 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1086},	//2949 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1087},	//2950 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1088},	//2951 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1089},	//2952 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1090},	//2953 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1091},	//2954 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1092},	//2955 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1093},	//2956 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1094},	//2957 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1095},	//2958 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1096},	//2959 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1097},	//2960 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1098},	//2961 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1099},	//2962 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1100},	//2963 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1101},	//2964 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1102},	//2965 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1103},	//2966 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1104},	//2967 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1105},	//2968 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1106},	//2969 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1107},	//2970 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1108},	//2971 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1109},	//2972 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1110},	//2973 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1111},	//2974 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1112},	//2975 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1113},	//2976 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1114},	//2977 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1115},	//2978 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1116},	//2979 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1117},	//2980 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1118},	//2981 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1119},	//2982 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1120},	//2983 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1121},	//2984 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1122},	//2985 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1123},	//2986 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1124},	//2987 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1125},	//2988 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1126},	//2989 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1127},	//2990 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1128},	//2991 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1129},	//2992 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1130},	//2993 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1131},	//2994 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1132},	//2995 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1133},	//2996 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1134},	//2997 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1135},	//2998 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1136},	//2999 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1137},	//3000 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1138},	//3001 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1139},	//3002 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1140},	//3003 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1141},	//3004 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1142},	//3005 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1143},	//3006 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1144},	//3007 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1145},	//3008 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1146},	//3009 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1147},	//3010 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1148},	//3011 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1149},	//3012 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1150},	//3013 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1151},	//3014 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1152},	//3015 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1153},	//3016 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1154},	//3017 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1155},	//3018 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1156},	//3019 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1157},	//3020 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1158},	//3021 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1159},	//3022 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1160},	//3023 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1161},	//3024 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1162},	//3025 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1163},	//3026 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1164},	//3027 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1165},	//3028 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1166},	//3029 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1167},	//3030 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1168},	//3031 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1169},	//3032 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1170},	//3033 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1171},	//3034 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1172},	//3035 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1173},	//3036 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1174},	//3037 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1175},	//3038 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1176},	//3039 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1177},	//3040 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1178},	//3041 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1179},	//3042 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1180},	//3043 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1181},	//3044 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1182},	//3045 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1183},	//3046 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1184},	//3047 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1185},	//3048 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1186},	//3049 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1187},	//3050 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1188},	//3051 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1189},	//3052 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1190},	//3053 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1191},	//3054 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1192},	//3055 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1193},	//3056 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1194},	//3057 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1195},	//3058 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1196},	//3059 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1197},	//3060 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1198},	//3061 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1199},	//3062 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1200},	//3063 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1201},	//3064 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1202},	//3065 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1203},	//3066 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1204},	//3067 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1205},	//3068 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1206},	//3069 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1207},	//3070 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1208},	//3071 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1209},	//3072 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1210},	//3073 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1211},	//3074 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1212},	//3075 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1213},	//3076 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1214},	//3077 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1215},	//3078 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1216},	//3079 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1217},	//3080 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1218},	//3081 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1219},	//3082 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1220},	//3083 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1221},	//3084 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1222},	//3085 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1223},	//3086 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1224},	//3087 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1225},	//3088 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1226},	//3089 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1227},	//3090 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1228},	//3091 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1229},	//3092 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1230},	//3093 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1231},	//3094 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1232},	//3095 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1233},	//3096 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1234},	//3097 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1235},	//3098 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1236},	//3099 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1237},	//3100 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1238},	//3101 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1239},	//3102 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1240},	//3103 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1241},	//3104 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1242},	//3105 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1243},	//3106 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1244},	//3107 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1245},	//3108 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1246},	//3109 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1247},	//3110 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1248},	//3111 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1249},	//3112 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1250},	//3113 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1251},	//3114 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1252},	//3115 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1253},	//3116 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1254},	//3117 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1255},	//3118 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1256},	//3119 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1257},	//3120 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1258},	//3121 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1259},	//3122 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1260},	//3123 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1261},	//3124 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1262},	//3125 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1263},	//3126 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1264},	//3127 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1265},	//3128 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1266},	//3129 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1267},	//3130 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1268},	//3131 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1269},	//3132 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1270},	//3133 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1271},	//3134 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1272},	//3135 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1273},	//3136 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1274},	//3137 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1275},	//3138 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1276},	//3139 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1277},	//3140 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1278},	//3141 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1279},	//3142 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1280},	//3143 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1281},	//3144 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1282},	//3145 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1283},	//3146 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1284},	//3147 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1285},	//3148 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1286},	//3149 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1287},	//3150 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1288},	//3151 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1289},	//3152 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1290},	//3153 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1291},	//3154 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1292},	//3155 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1293},	//3156 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1294},	//3157 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1295},	//3158 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1296},	//3159 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1297},	//3160 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1298},	//3161 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1299},	//3162 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1300},	//3163 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1301},	//3164 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1302},	//3165 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1303},	//3166 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1304},	//3167 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1305},	//3168 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1306},	//3169 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1307},	//3170 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1308},	//3171 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1309},	//3172 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1310},	//3173 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1311},	//3174 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1312},	//3175 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1313},	//3176 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1314},	//3177 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1315},	//3178 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1316},	//3179 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1317},	//3180 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1318},	//3181 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1319},	//3182 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1320},	//3183 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1321},	//3184 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1322},	//3185 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1323},	//3186 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1324},	//3187 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1325},	//3188 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1326},	//3189 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1327},	//3190 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1328},	//3191 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1329},	//3192 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1330},	//3193 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1331},	//3194 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1332},	//3195 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1333},	//3196 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1334},	//3197 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1335},	//3198 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1336},	//3199 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1337},	//3200 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1338},	//3201 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1339},	//3202 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1340},	//3203 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1341},	//3204 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1342},	//3205 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1343},	//3206 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1344},	//3207 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1345},	//3208 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1346},	//3209 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1347},	//3210 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1348},	//3211 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1349},	//3212 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1350},	//3213 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1351},	//3214 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1352},	//3215 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1353},	//3216 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1354},	//3217 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1355},	//3218 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1356},	//3219 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1357},	//3220 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1358},	//3221 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1359},	//3222 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1360},	//3223 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1361},	//3224 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1362},	//3225 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1363},	//3226 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1364},	//3227 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1365},	//3228 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1366},	//3229 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1367},	//3230 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1368},	//3231 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1369},	//3232 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1370},	//3233 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1371},	//3234 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1372},	//3235 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1373},	//3236 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1374},	//3237 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1375},	//3238 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1376},	//3239 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1377},	//3240 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1378},	//3241 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1379},	//3242 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1380},	//3243 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1381},	//3244 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1382},	//3245 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1383},	//3246 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1384},	//3247 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1385},	//3248 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1386},	//3249 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1387},	//3250 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1388},	//3251 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1389},	//3252 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1390},	//3253 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1391},	//3254 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1392},	//3255 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1393},	//3256 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1394},	//3257 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1395},	//3258 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1396},	//3259 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1397},	//3260 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1398},	//3261 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1399},	//3262 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1400},	//3263 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1401},	//3264 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1402},	//3265 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1403},	//3266 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1404},	//3267 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1405},	//3268 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1406},	//3269 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1407},	//3270 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1408},	//3271 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1409},	//3272 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1410},	//3273 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1411},	//3274 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1412},	//3275 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1413},	//3276 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1414},	//3277 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1415},	//3278 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1416},	//3279 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1417},	//3280 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1418},	//3281 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1419},	//3282 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1420},	//3283 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1421},	//3284 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1422},	//3285 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1423},	//3286 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1424},	//3287 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1425},	//3288 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1426},	//3289 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1427},	//3290 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1428},	//3291 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1429},	//3292 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1430},	//3293 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1431},	//3294 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1432},	//3295 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1433},	//3296 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1434},	//3297 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1435},	//3298 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1436},	//3299 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1437},	//3300 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1438},	//3301 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1439},	//3302 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1440},	//3303 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1441},	//3304 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1442},	//3305 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1443},	//3306 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1444},	//3307 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1445},	//3308 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1446},	//3309 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1447},	//3310 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1448},	//3311 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1449},	//3312 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1450},	//3313 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1451},	//3314 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1452},	//3315 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1453},	//3316 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1454},	//3317 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1455},	//3318 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1456},	//3319 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1457},	//3320 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1458},	//3321 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1459},	//3322 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1460},	//3323 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1461},	//3324 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1462},	//3325 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1463},	//3326 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1464},	//3327 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1465},	//3328 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1466},	//3329 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1467},	//3330 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1468},	//3331 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1469},	//3332 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1470},	//3333 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1471},	//3334 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1472},	//3335 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1473},	//3336 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1474},	//3337 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1475},	//3338 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1476},	//3339 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1477},	//3340 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1478},	//3341 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1479},	//3342 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1480},	//3343 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1481},	//3344 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1482},	//3345 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1483},	//3346 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1484},	//3347 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1485},	//3348 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1486},	//3349 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1487},	//3350 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1488},	//3351 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1489},	//3352 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1490},	//3353 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1491},	//3354 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1492},	//3355 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1493},	//3356 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1494},	//3357 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1495},	//3358 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1496},	//3359 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1497},	//3360 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1498},	//3361 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1499},	//3362 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1500},	//3363 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1501},	//3364 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1502},	//3365 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1503},	//3366 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1504},	//3367 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1505},	//3368 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1506},	//3369 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1507},	//3370 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1508},	//3371 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1509},	//3372 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1510},	//3373 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1511},	//3374 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1512},	//3375 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1513},	//3376 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1514},	//3377 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1515},	//3378 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1516},	//3379 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1517},	//3380 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1518},	//3381 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1519},	//3382 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1520},	//3383 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1521},	//3384 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1522},	//3385 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1523},	//3386 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1524},	//3387 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1525},	//3388 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1526},	//3389 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1527},	//3390 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1528},	//3391 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1529},	//3392 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1530},	//3393 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1531},	//3394 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1532},	//3395 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1533},	//3396 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1534},	//3397 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1535},	//3398 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1536},	//3399 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1537},	//3400 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1538},	//3401 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1539},	//3402 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1540},	//3403 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1541},	//3404 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1542},	//3405 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1543},	//3406 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1544},	//3407 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1545},	//3408 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1546},	//3409 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1547},	//3410 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1548},	//3411 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1549},	//3412 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1550},	//3413 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1551},	//3414 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1552},	//3415 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1553},	//3416 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1554},	//3417 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1555},	//3418 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1556},	//3419 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1557},	//3420 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1558},	//3421 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1559},	//3422 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1560},	//3423 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1561},	//3424 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1562},	//3425 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1563},	//3426 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1564},	//3427 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1565},	//3428 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1566},	//3429 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1567},	//3430 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1568},	//3431 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1569},	//3432 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1570},	//3433 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1571},	//3434 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1572},	//3435 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1573},	//3436 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1574},	//3437 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1575},	//3438 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1576},	//3439 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1577},	//3440 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1578},	//3441 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1579},	//3442 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1580},	//3443 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1581},	//3444 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1582},	//3445 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1583},	//3446 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1584},	//3447 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1585},	//3448 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1586},	//3449 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1587},	//3450 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1588},	//3451 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1589},	//3452 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1590},	//3453 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1591},	//3454 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1592},	//3455 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1593},	//3456 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1594},	//3457 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1595},	//3458 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1596},	//3459 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1597},	//3460 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1598},	//3461 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1599},	//3462 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1600},	//3463 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1601},	//3464 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1602},	//3465 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1603},	//3466 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1604},	//3467 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1605},	//3468 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1606},	//3469 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1607},	//3470 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1608},	//3471 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1609},	//3472 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1610},	//3473 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1611},	//3474 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1612},	//3475 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1613},	//3476 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1614},	//3477 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1615},	//3478 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1616},	//3479 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1617},	//3480 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1618},	//3481 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1619},	//3482 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1620},	//3483 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1621},	//3484 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1622},	//3485 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1623},	//3486 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1624},	//3487 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1625},	//3488 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1626},	//3489 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1627},	//3490 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1628},	//3491 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1629},	//3492 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1630},	//3493 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1631},	//3494 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1632},	//3495 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1633},	//3496 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1634},	//3497 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1635},	//3498 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1636},	//3499 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1637},	//3500 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1638},	//3501 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1639},	//3502 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1640},	//3503 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1641},	//3504 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1642},	//3505 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1643},	//3506 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1644},	//3507 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1645},	//3508 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1646},	//3509 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1647},	//3510 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1648},	//3511 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1649},	//3512 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1650},	//3513 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1651},	//3514 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1652},	//3515 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1653},	//3516 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1654},	//3517 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1655},	//3518 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1656},	//3519 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1657},	//3520 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1658},	//3521 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1659},	//3522 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1660},	//3523 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1661},	//3524 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1662},	//3525 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1663},	//3526 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1664},	//3527 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1665},	//3528 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1666},	//3529 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1667},	//3530 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1668},	//3531 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1669},	//3532 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1670},	//3533 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1671},	//3534 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1672},	//3535 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1673},	//3536 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1674},	//3537 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1675},	//3538 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1676},	//3539 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1677},	//3540 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1678},	//3541 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1679},	//3542 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1680},	//3543 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1681},	//3544 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1682},	//3545 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1683},	//3546 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1684},	//3547 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1685},	//3548 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1686},	//3549 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1687},	//3550 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1688},	//3551 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1689},	//3552 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1690},	//3553 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1691},	//3554 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1692},	//3555 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1693},	//3556 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1694},	//3557 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1695},	//3558 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1696},	//3559 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1697},	//3560 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1698},	//3561 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1699},	//3562 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1700},	//3563 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1701},	//3564 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1702},	//3565 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1703},	//3566 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1704},	//3567 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1705},	//3568 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1706},	//3569 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1707},	//3570 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1708},	//3571 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1709},	//3572 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1710},	//3573 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1711},	//3574 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1712},	//3575 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1713},	//3576 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1714},	//3577 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1715},	//3578 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1716},	//3579 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1717},	//3580 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1718},	//3581 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1719},	//3582 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1720},	//3583 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1721},	//3584 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1722},	//3585 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1723},	//3586 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1724},	//3587 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1725},	//3588 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1726},	//3589 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1727},	//3590 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1728},	//3591 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1729},	//3592 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1730},	//3593 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1731},	//3594 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1732},	//3595 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1733},	//3596 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1734},	//3597 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1735},	//3598 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1736},	//3599 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1737},	//3600 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1738},	//3601 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1739},	//3602 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1740},	//3603 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1741},	//3604 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1742},	//3605 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1743},	//3606 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1744},	//3607 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1745},	//3608 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1746},	//3609 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1747},	//3610 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1748},	//3611 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1749},	//3612 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1750},	//3613 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1751},	//3614 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1752},	//3615 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1753},	//3616 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1754},	//3617 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1755},	//3618 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1756},	//3619 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1757},	//3620 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1758},	//3621 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1759},	//3622 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1760},	//3623 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1761},	//3624 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1762},	//3625 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1763},	//3626 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1764},	//3627 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1765},	//3628 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1766},	//3629 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1767},	//3630 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1768},	//3631 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1769},	//3632 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1770},	//3633 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1771},	//3634 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1772},	//3635 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1773},	//3636 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1774},	//3637 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1775},	//3638 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1776},	//3639 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1777},	//3640 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1778},	//3641 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1779},	//3642 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1780},	//3643 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1781},	//3644 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1782},	//3645 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1783},	//3646 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1784},	//3647 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1785},	//3648 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1786},	//3649 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1787},	//3650 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1788},	//3651 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1789},	//3652 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1790},	//3653 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1791},	//3654 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1792},	//3655 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1793},	//3656 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1794},	//3657 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1795},	//3658 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1796},	//3659 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1797},	//3660 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1798},	//3661 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1799},	//3662 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1800},	//3663 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1801},	//3664 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1802},	//3665 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1803},	//3666 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1804},	//3667 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1805},	//3668 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1806},	//3669 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1807},	//3670 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1808},	//3671 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1809},	//3672 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1810},	//3673 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1811},	//3674 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1812},	//3675 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1813},	//3676 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1814},	//3677 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1815},	//3678 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1816},	//3679 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1817},	//3680 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1818},	//3681 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1819},	//3682 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1820},	//3683 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1821},	//3684 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1822},	//3685 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1823},	//3686 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1824},	//3687 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1825},	//3688 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1826},	//3689 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1827},	//3690 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1828},	//3691 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1829},	//3692 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1830},	//3693 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1831},	//3694 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1832},	//3695 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1833},	//3696 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1834},	//3697 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1835},	//3698 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1836},	//3699 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1837},	//3700 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1838},	//3701 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1839},	//3702 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1840},	//3703 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1841},	//3704 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1842},	//3705 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1843},	//3706 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1844},	//3707 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1845},	//3708 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1846},	//3709 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1847},	//3710 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1848},	//3711 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1849},	//3712 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1850},	//3713 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1851},	//3714 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1852},	//3715 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1853},	//3716 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1854},	//3717 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1855},	//3718 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1856},	//3719 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1857},	//3720 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1858},	//3721 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1859},	//3722 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1860},	//3723 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1861},	//3724 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1862},	//3725 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1863},	//3726 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1864},	//3727 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1865},	//3728 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1866},	//3729 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1867},	//3730 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1868},	//3731 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1869},	//3732 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1870},	//3733 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1871},	//3734 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1872},	//3735 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1873},	//3736 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1874},	//3737 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1875},	//3738 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1876},	//3739 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1877},	//3740 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1878},	//3741 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1879},	//3742 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1880},	//3743 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1881},	//3744 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1882},	//3745 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1883},	//3746 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1884},	//3747 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1885},	//3748 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1886},	//3749 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1887},	//3750 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1888},	//3751 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1889},	//3752 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1890},	//3753 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1891},	//3754 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1892},	//3755 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1893},	//3756 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1894},	//3757 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1895},	//3758 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1896},	//3759 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1897},	//3760 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1898},	//3761 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1899},	//3762 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1900},	//3763 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1901},	//3764 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1902},	//3765 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1903},	//3766 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1904},	//3767 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1905},	//3768 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1906},	//3769 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1907},	//3770 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1908},	//3771 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1909},	//3772 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1910},	//3773 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1911},	//3774 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1912},	//3775 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1913},	//3776 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1914},	//3777 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1915},	//3778 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1916},	//3779 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1917},	//3780 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1918},	//3781 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1919},	//3782 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1920},	//3783 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1921},	//3784 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1922},	//3785 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1923},	//3786 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1924},	//3787 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1925},	//3788 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1926},	//3789 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1927},	//3790 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1928},	//3791 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1929},	//3792 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1930},	//3793 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1931},	//3794 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1932},	//3795 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1933},	//3796 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1934},	//3797 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1935},	//3798 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1936},	//3799 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1937},	//3800 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1938},	//3801 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1939},	//3802 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1940},	//3803 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1941},	//3804 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1942},	//3805 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1943},	//3806 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1944},	//3807 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1945},	//3808 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1946},	//3809 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1947},	//3810 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1948},	//3811 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1949},	//3812 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1950},	//3813 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1951},	//3814 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1952},	//3815 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1953},	//3816 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1954},	//3817 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1955},	//3818 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1956},	//3819 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1957},	//3820 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1958},	//3821 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1959},	//3822 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1960},	//3823 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1961},	//3824 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1962},	//3825 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1963},	//3826 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1964},	//3827 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1965},	//3828 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1966},	//3829 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1967},	//3830 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1968},	//3831 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1969},	//3832 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1970},	//3833 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1971},	//3834 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1972},	//3835 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1973},	//3836 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1974},	//3837 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1975},	//3838 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1976},	//3839 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1977},	//3840 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1978},	//3841 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1979},	//3842 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1980},	//3843 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1981},	//3844 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1982},	//3845 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1983},	//3846 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1984},	//3847 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1985},	//3848 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1986},	//3849 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1987},	//3850 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1988},	//3851 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1989},	//3852 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1990},	//3853 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1991},	//3854 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1992},	//3855 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1993},	//3856 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1994},	//3857 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1995},	//3858 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1996},	//3859 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1997},	//3860 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1998},	//3861 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1999},	//3862 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2000},	//3863 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2001},	//3864 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2002},	//3865 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2003},	//3866 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2004},	//3867 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2005},	//3868 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2006},	//3869 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2007},	//3870 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2008},	//3871 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2009},	//3872 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2010},	//3873 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2011},	//3874 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2012},	//3875 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2013},	//3876 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2014},	//3877 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2015},	//3878 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2016},	//3879 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2017},	//3880 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2018},	//3881 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2019},	//3882 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2020},	//3883 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2021},	//3884 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2022},	//3885 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2023},	//3886 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2024},	//3887 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2025},	//3888 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2026},	//3889 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2027},	//3890 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2028},	//3891 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2029},	//3892 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2030},	//3893 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2031},	//3894 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2032},	//3895 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2033},	//3896 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2034},	//3897 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2035},	//3898 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2036},	//3899 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2037},	//3900 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2038},	//3901 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2039},	//3902 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2040},	//3903 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2041},	//3904 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2042},	//3905 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2043},	//3906 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2044},	//3907 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2045},	//3908 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2046},	//3909 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2047},	//3910 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2048},	//3911 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2049},	//3912 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2050},	//3913 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2051},	//3914 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2052},	//3915 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2053},	//3916 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2054},	//3917 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2055},	//3918 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2056},	//3919 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2057},	//3920 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2058},	//3921 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2059},	//3922 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2060},	//3923 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2061},	//3924 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2062},	//3925 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2063},	//3926 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2064},	//3927 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2065},	//3928 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2066},	//3929 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2067},	//3930 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2068},	//3931 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2069},	//3932 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2070},	//3933 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2071},	//3934 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2072},	//3935 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2073},	//3936 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2074},	//3937 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2075},	//3938 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2076},	//3939 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2077},	//3940 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2078},	//3941 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2079},	//3942 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2080},	//3943 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2081},	//3944 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2082},	//3945 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2083},	//3946 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2084},	//3947 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2085},	//3948 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2086},	//3949 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2087},	//3950 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2088},	//3951 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2089},	//3952 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2090},	//3953 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2091},	//3954 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2092},	//3955 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2093},	//3956 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2094},	//3957 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2095},	//3958 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2096},	//3959 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2097},	//3960 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2098},	//3961 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2099},	//3962 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2100},	//3963 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2101},	//3964 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2102},	//3965 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2103},	//3966 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2104},	//3967 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2105},	//3968 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2106},	//3969 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2107},	//3970 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2108},	//3971 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2109},	//3972 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2110},	//3973 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2111},	//3974 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2112},	//3975 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2113},	//3976 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2114},	//3977 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2115},	//3978 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2116},	//3979 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2117},	//3980 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2118},	//3981 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2119},	//3982 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2120},	//3983 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2121},	//3984 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2122},	//3985 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2123},	//3986 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2124},	//3987 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2125},	//3988 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2126},	//3989 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2127},	//3990 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2128},	//3991 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2129},	//3992 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2130},	//3993 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2131},	//3994 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2132},	//3995 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2133},	//3996 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2134},	//3997 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2135},	//3998 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2136},	//3999 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2137},	//4000 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2138},	//4001 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2139},	//4002 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2140},	//4003 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2141},	//4004 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2142},	//4005 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2143},	//4006 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2144},	//4007 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2145},	//4008 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2146},	//4009 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2147},	//4010 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2148},	//4011 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2149},	//4012 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2150},	//4013 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2151},	//4014 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2152},	//4015 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2153},	//4016 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2154},	//4017 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2155},	//4018 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2156},	//4019 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2157},	//4020 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2158},	//4021 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2159},	//4022 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2160},	//4023 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2161},	//4024 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2162},	//4025 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2163},	//4026 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2164},	//4027 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2165},	//4028 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2166},	//4029 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2167},	//4030 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2168},	//4031 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2169},	//4032 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2170},	//4033 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2171},	//4034 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2172},	//4035 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2173},	//4036 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2174},	//4037 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2175},	//4038 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2176},	//4039 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2177},	//4040 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2178},	//4041 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2179},	//4042 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2180},	//4043 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2181},	//4044 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2182},	//4045 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2183},	//4046 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2184},	//4047 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2185},	//4048 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2186},	//4049 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2187},	//4050 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2188},	//4051 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2189},	//4052 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2190},	//4053 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2191},	//4054 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2192},	//4055 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2193},	//4056 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2194},	//4057 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2195},	//4058 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2196},	//4059 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2197},	//4060 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2198},	//4061 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2199},	//4062 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2200},	//4063 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2201},	//4064 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2202},	//4065 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2203},	//4066 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2204},	//4067 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2205},	//4068 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2206},	//4069 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2207},	//4070 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2208},	//4071 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2209},	//4072 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2210},	//4073 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2211},	//4074 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2212},	//4075 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2213},	//4076 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2214},	//4077 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2215},	//4078 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2216},	//4079 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2217},	//4080 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2218},	//4081 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2219},	//4082 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2220},	//4083 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2221},	//4084 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2222},	//4085 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2223},	//4086 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2224},	//4087 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2225},	//4088 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2226},	//4089 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2227},	//4090 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2228},	//4091 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2229},	//4092 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2230},	//4093 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2231},	//4094 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2232},	//4095 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2233},	//4096 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2234},	//4097 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2235},	//4098 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2236},	//4099 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2237},	//4100 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2238},	//4101 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2239},	//4102 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2240},	//4103 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2241},	//4104 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2242},	//4105 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2243},	//4106 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2244},	//4107 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2245},	//4108 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2246},	//4109 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2247},	//4110 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2248},	//4111 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2249},	//4112 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2250},	//4113 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2251},	//4114 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2252},	//4115 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2253},	//4116 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2254},	//4117 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2255},	//4118 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2256},	//4119 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2257},	//4120 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2258},	//4121 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2259},	//4122 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2260},	//4123 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2261},	//4124 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2262},	//4125 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2263},	//4126 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2264},	//4127 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2265},	//4128 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2266},	//4129 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2267},	//4130 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2268},	//4131 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2269},	//4132 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2270},	//4133 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2271},	//4134 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2272},	//4135 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2273},	//4136 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2274},	//4137 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2275},	//4138 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2276},	//4139 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2277},	//4140 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2278},	//4141 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2279},	//4142 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2280},	//4143 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2281},	//4144 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2282},	//4145 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2283},	//4146 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2284},	//4147 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2285},	//4148 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2286},	//4149 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2287},	//4150 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2288},	//4151 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2289},	//4152 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2290},	//4153 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2291},	//4154 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2292},	//4155 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2293},	//4156 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2294},	//4157 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2295},	//4158 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2296},	//4159 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2297},	//4160 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2298},	//4161 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2299},	//4162 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2300},	//4163 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2301},	//4164 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2302},	//4165 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2303},	//4166 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2304},	//4167 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2305},	//4168 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2306},	//4169 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2307},	//4170 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2308},	//4171 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2309},	//4172 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2310},	//4173 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2311},	//4174 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2312},	//4175 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2313},	//4176 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2314},	//4177 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2315},	//4178 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2316},	//4179 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2317},	//4180 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2318},	//4181 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2319},	//4182 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2320},	//4183 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2321},	//4184 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2322},	//4185 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2323},	//4186 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2324},	//4187 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2325},	//4188 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2326},	//4189 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2327},	//4190 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2328},	//4191 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2329},	//4192 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2330},	//4193 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2331},	//4194 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2332},	//4195 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2333},	//4196 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2334},	//4197 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2335},	//4198 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2336},	//4199 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2337},	//4200 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2338},	//4201 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2339},	//4202 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2340},	//4203 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2341},	//4204 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2342},	//4205 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2343},	//4206 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2344},	//4207 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2345},	//4208 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2346},	//4209 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2347},	//4210 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2348},	//4211 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2349},	//4212 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2350},	//4213 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2351},	//4214 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2352},	//4215 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2353},	//4216 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2354},	//4217 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2355},	//4218 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2356},	//4219 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2357},	//4220 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2358},	//4221 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2359},	//4222 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2360},	//4223 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2361},	//4224 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2362},	//4225 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2363},	//4226 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2364},	//4227 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2365},	//4228 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2366},	//4229 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2367},	//4230 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2368},	//4231 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2369},	//4232 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2370},	//4233 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2371},	//4234 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2372},	//4235 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2373},	//4236 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2374},	//4237 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2375},	//4238 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2376},	//4239 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2377},	//4240 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2378},	//4241 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2379},	//4242 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2380},	//4243 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2381},	//4244 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2382},	//4245 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2383},	//4246 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2384},	//4247 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2385},	//4248 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2386},	//4249 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2387},	//4250 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2388},	//4251 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2389},	//4252 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2390},	//4253 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2391},	//4254 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2392},	//4255 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2393},	//4256 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2394},	//4257 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2395},	//4258 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2396},	//4259 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2397},	//4260 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2398},	//4261 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2399},	//4262 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2400},	//4263 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2401},	//4264 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2402},	//4265 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2403},	//4266 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2404},	//4267 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2405},	//4268 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2406},	//4269 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2407},	//4270 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2408},	//4271 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2409},	//4272 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2410},	//4273 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2411},	//4274 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2412},	//4275 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2413},	//4276 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2414},	//4277 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2415},	//4278 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2416},	//4279 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2417},	//4280 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2418},	//4281 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2419},	//4282 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2420},	//4283 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2421},	//4284 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2422},	//4285 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2423},	//4286 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2424},	//4287 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2425},	//4288 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2426},	//4289 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2427},	//4290 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2428},	//4291 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2429},	//4292 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2430},	//4293 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2431},	//4294 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2432},	//4295 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2433},	//4296 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2434},	//4297 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2435},	//4298 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2436},	//4299 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2437},	//4300 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2438},	//4301 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2439},	//4302 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2440},	//4303 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2441},	//4304 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2442},	//4305 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2443},	//4306 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2444},	//4307 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2445},	//4308 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2446},	//4309 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2447},	//4310 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2448},	//4311 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2449},	//4312 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2450},	//4313 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2451},	//4314 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2452},	//4315 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2453},	//4316 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2454},	//4317 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2455},	//4318 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2456},	//4319 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2457},	//4320 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2458},	//4321 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2459},	//4322 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2460},	//4323 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2461},	//4324 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2462},	//4325 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2463},	//4326 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2464},	//4327 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2465},	//4328 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2466},	//4329 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2467},	//4330 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2468},	//4331 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2469},	//4332 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2470},	//4333 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2471},	//4334 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2472},	//4335 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2473},	//4336 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2474},	//4337 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2475},	//4338 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2476},	//4339 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2477},	//4340 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2478},	//4341 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2479},	//4342 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2480},	//4343 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2481},	//4344 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2482},	//4345 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2483},	//4346 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2484},	//4347 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2485},	//4348 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2486},	//4349 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2487},	//4350 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2488},	//4351 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2489},	//4352 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2490},	//4353 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2491},	//4354 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2492},	//4355 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2493},	//4356 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2494},	//4357 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2495},	//4358 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2496},	//4359 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2497},	//4360 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2498},	//4361 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2499},	//4362 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2500},	//4363 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2501},	//4364 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2502},	//4365 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2503},	//4366 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2504},	//4367 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2505},	//4368 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2506},	//4369 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2507},	//4370 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2508},	//4371 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2509},	//4372 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2510},	//4373 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2511},	//4374 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2512},	//4375 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2513},	//4376 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2514},	//4377 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2515},	//4378 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2516},	//4379 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2517},	//4380 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2518},	//4381 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2519},	//4382 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2520},	//4383 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2521},	//4384 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2522},	//4385 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2523},	//4386 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2524},	//4387 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2525},	//4388 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2526},	//4389 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2527},	//4390 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2528},	//4391 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2529},	//4392 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2530},	//4393 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2531},	//4394 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2532},	//4395 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2533},	//4396 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2534},	//4397 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2535},	//4398 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2536},	//4399 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2537},	//4400 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2538},	//4401 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2539},	//4402 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2540},	//4403 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2541},	//4404 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2542},	//4405 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2543},	//4406 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2544},	//4407 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2545},	//4408 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2546},	//4409 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2547},	//4410 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2548},	//4411 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2549},	//4412 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2550},	//4413 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2551},	//4414 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2552},	//4415 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2553},	//4416 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2554},	//4417 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2555},	//4418 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2556},	//4419 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2557},	//4420 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2558},	//4421 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2559},	//4422 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2560},	//4423 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2561},	//4424 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2562},	//4425 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2563},	//4426 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2564},	//4427 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2565},	//4428 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2566},	//4429 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2567},	//4430 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2568},	//4431 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2569},	//4432 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2570},	//4433 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2571},	//4434 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2572},	//4435 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2573},	//4436 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2574},	//4437 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2575},	//4438 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2576},	//4439 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2577},	//4440 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2578},	//4441 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2579},	//4442 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2580},	//4443 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2581},	//4444 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2582},	//4445 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2583},	//4446 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2584},	//4447 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2585},	//4448 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2586},	//4449 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2587},	//4450 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2588},	//4451 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2589},	//4452 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2590},	//4453 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2591},	//4454 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2592},	//4455 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2593},	//4456 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2594},	//4457 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2595},	//4458 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2596},	//4459 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2597},	//4460 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2598},	//4461 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2599},	//4462 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2600},	//4463 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2601},	//4464 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2602},	//4465 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2603},	//4466 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2604},	//4467 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2605},	//4468 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2606},	//4469 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2607},	//4470 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2608},	//4471 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2609},	//4472 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2610},	//4473 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2611},	//4474 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2612},	//4475 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2613},	//4476 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2614},	//4477 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2615},	//4478 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2616},	//4479 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2617},	//4480 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2618},	//4481 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2619},	//4482 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2620},	//4483 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2621},	//4484 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2622},	//4485 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2623},	//4486 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2624},	//4487 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2625},	//4488 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2626},	//4489 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2627},	//4490 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2628},	//4491 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2629},	//4492 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2630},	//4493 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2631},	//4494 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2632},	//4495 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2633},	//4496 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2634},	//4497 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2635},	//4498 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2636},	//4499 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2637},	//4500 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2638},	//4501 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2639},	//4502 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2640},	//4503 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2641},	//4504 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2642},	//4505 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2643},	//4506 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2644},	//4507 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2645},	//4508 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2646},	//4509 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2647},	//4510 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2648},	//4511 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2649},	//4512 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2650},	//4513 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2651},	//4514 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2652},	//4515 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2653},	//4516 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2654},	//4517 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2655},	//4518 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2656},	//4519 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2657},	//4520 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2658},	//4521 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2659},	//4522 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2660},	//4523 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2661},	//4524 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2662},	//4525 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2663},	//4526 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2664},	//4527 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2665},	//4528 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2666},	//4529 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2667},	//4530 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2668},	//4531 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2669},	//4532 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2670},	//4533 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2671},	//4534 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2672},	//4535 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2673},	//4536 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2674},	//4537 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2675},	//4538 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2676},	//4539 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2677},	//4540 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2678},	//4541 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2679},	//4542 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2680},	//4543 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2681},	//4544 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2682},	//4545 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2683},	//4546 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2684},	//4547 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2685},	//4548 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2686},	//4549 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2687},	//4550 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2688},	//4551 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2689},	//4552 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2690},	//4553 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2691},	//4554 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2692},	//4555 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2693},	//4556 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2694},	//4557 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2695},	//4558 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2696},	//4559 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2697},	//4560 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2698},	//4561 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2699},	//4562 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2700},	//4563 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2701},	//4564 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2702},	//4565 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2703},	//4566 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2704},	//4567 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2705},	//4568 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2706},	//4569 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2707},	//4570 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2708},	//4571 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2709},	//4572 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2710},	//4573 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2711},	//4574 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2712},	//4575 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2713},	//4576 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2714},	//4577 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2715},	//4578 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2716},	//4579 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2717},	//4580 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2718},	//4581 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2719},	//4582 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2720},	//4583 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2721},	//4584 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2722},	//4585 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2723},	//4586 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2724},	//4587 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2725},	//4588 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2726},	//4589 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2727},	//4590 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2728},	//4591 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2729},	//4592 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2730},	//4593 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2731},	//4594 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2732},	//4595 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2733},	//4596 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2734},	//4597 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2735},	//4598 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2736},	//4599 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2737},	//4600 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2738},	//4601 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2739},	//4602 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2740},	//4603 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2741},	//4604 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2742},	//4605 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2743},	//4606 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2744},	//4607 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2745},	//4608 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2746},	//4609 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2747},	//4610 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2748},	//4611 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2749},	//4612 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2750},	//4613 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2751},	//4614 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2752},	//4615 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2753},	//4616 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2754},	//4617 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2755},	//4618 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2756},	//4619 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2757},	//4620 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2758},	//4621 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2759},	//4622 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2760},	//4623 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2761},	//4624 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2762},	//4625 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2763},	//4626 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2764},	//4627 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2765},	//4628 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2766},	//4629 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2767},	//4630 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2768},	//4631 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2769},	//4632 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2770},	//4633 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2771},	//4634 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2772},	//4635 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2773},	//4636 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2774},	//4637 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2775},	//4638 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2776},	//4639 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2777},	//4640 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2778},	//4641 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2779},	//4642 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2780},	//4643 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2781},	//4644 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2782},	//4645 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2783},	//4646 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2784},	//4647 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2785},	//4648 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2786},	//4649 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2787},	//4650 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2788},	//4651 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2789},	//4652 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2790},	//4653 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2791},	//4654 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2792},	//4655 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2793},	//4656 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2794},	//4657 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2795},	//4658 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2796},	//4659 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2797},	//4660 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2798},	//4661 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2799},	//4662 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2800},	//4663 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2801},	//4664 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2802},	//4665 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2803},	//4666 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2804},	//4667 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2805},	//4668 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2806},	//4669 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2807},	//4670 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2808},	//4671 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2809},	//4672 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2810},	//4673 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2811},	//4674 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2812},	//4675 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2813},	//4676 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2814},	//4677 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2815},	//4678 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2816},	//4679 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2817},	//4680 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2818},	//4681 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2819},	//4682 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2820},	//4683 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2821},	//4684 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2822},	//4685 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2823},	//4686 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2824},	//4687 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2825},	//4688 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2826},	//4689 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2827},	//4690 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2828},	//4691 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2829},	//4692 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2830},	//4693 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2831},	//4694 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2832},	//4695 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2833},	//4696 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2834},	//4697 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2835},	//4698 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2836},	//4699 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2837},	//4700 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2838},	//4701 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2839},	//4702 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2840},	//4703 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2841},	//4704 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2842},	//4705 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2843},	//4706 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2844},	//4707 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2845},	//4708 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2846},	//4709 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2847},	//4710 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2848},	//4711 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2849},	//4712 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2850},	//4713 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2851},	//4714 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2852},	//4715 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2853},	//4716 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2854},	//4717 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2855},	//4718 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2856},	//4719 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2857},	//4720 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2858},	//4721 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2859},	//4722 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2860},	//4723 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2861},	//4724 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2862},	//4725 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2863},	//4726 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2864},	//4727 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2865},	//4728 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2866},	//4729 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2867},	//4730 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2868},	//4731 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2869},	//4732 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2870},	//4733 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2871},	//4734 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2872},	//4735 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2873},	//4736 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2874},	//4737 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2875},	//4738 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2876},	//4739 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2877},	//4740 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2878},	//4741 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2879},	//4742 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2880},	//4743 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2881},	//4744 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2882},	//4745 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2883},	//4746 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2884},	//4747 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2885},	//4748 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2886},	//4749 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2887},	//4750 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2888},	//4751 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2889},	//4752 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2890},	//4753 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2891},	//4754 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2892},	//4755 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2893},	//4756 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2894},	//4757 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2895},	//4758 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2896},	//4759 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2897},	//4760 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2898},	//4761 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2899},	//4762 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2900},	//4763 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2901},	//4764 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2902},	//4765 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2903},	//4766 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2904},	//4767 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2905},	//4768 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2906},	//4769 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2907},	//4770 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2908},	//4771 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2909},	//4772 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2910},	//4773 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2911},	//4774 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2912},	//4775 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2913},	//4776 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2914},	//4777 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2915},	//4778 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2916},	//4779 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2917},	//4780 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2918},	//4781 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2919},	//4782 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2920},	//4783 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2921},	//4784 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2922},	//4785 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2923},	//4786 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2924},	//4787 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2925},	//4788 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2926},	//4789 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2927},	//4790 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2928},	//4791 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2929},	//4792 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2930},	//4793 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2931},	//4794 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2932},	//4795 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2933},	//4796 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2934},	//4797 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2935},	//4798 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2936},	//4799 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2937},	//4800 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2938},	//4801 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2939},	//4802 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2940},	//4803 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2941},	//4804 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2942},	//4805 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2943},	//4806 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2944},	//4807 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2945},	//4808 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2946},	//4809 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2947},	//4810 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2948},	//4811 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2949},	//4812 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2950},	//4813 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2951},	//4814 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2952},	//4815 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2953},	//4816 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2954},	//4817 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2955},	//4818 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2956},	//4819 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2957},	//4820 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2958},	//4821 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2959},	//4822 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2960},	//4823 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2961},	//4824 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2962},	//4825 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2963},	//4826 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2964},	//4827 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2965},	//4828 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2966},	//4829 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2967},	//4830 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2968},	//4831 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2969},	//4832 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2970},	//4833 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2971},	//4834 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2972},	//4835 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2973},	//4836 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2974},	//4837 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2975},	//4838 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2976},	//4839 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2977},	//4840 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2978},	//4841 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2979},	//4842 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2980},	//4843 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2981},	//4844 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2982},	//4845 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2983},	//4846 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2984},	//4847 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2985},	//4848 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2986},	//4849 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2987},	//4850 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2988},	//4851 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2989},	//4852 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2990},	//4853 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2991},	//4854 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2992},	//4855 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2993},	//4856 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2994},	//4857 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2995},	//4858 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2996},	//4859 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2997},	//4860 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2998},	//4861 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2999},	//4862 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3000},	//4863 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3001},	//4864 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3002},	//4865 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3003},	//4866 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3004},	//4867 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3005},	//4868 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3006},	//4869 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3007},	//4870 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3008},	//4871 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3009},	//4872 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3010},	//4873 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3011},	//4874 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3012},	//4875 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3013},	//4876 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3014},	//4877 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3015},	//4878 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3016},	//4879 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3017},	//4880 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3018},	//4881 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3019},	//4882 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3020},	//4883 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3021},	//4884 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3022},	//4885 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3023},	//4886 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3024},	//4887 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3025},	//4888 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3026},	//4889 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3027},	//4890 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3028},	//4891 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3029},	//4892 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3030},	//4893 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3031},	//4894 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3032},	//4895 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3033},	//4896 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3034},	//4897 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3035},	//4898 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3036},	//4899 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3037},	//4900 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3038},	//4901 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3039},	//4902 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3040},	//4903 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3041},	//4904 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3042},	//4905 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3043},	//4906 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3044},	//4907 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3045},	//4908 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3046},	//4909 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3047},	//4910 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3048},	//4911 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3049},	//4912 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3050},	//4913 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3051},	//4914 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3052},	//4915 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3053},	//4916 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3054},	//4917 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3055},	//4918 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3056},	//4919 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3057},	//4920 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3058},	//4921 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3059},	//4922 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3060},	//4923 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3061},	//4924 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3062},	//4925 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3063},	//4926 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3064},	//4927 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3065},	//4928 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3066},	//4929 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3067},	//4930 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3068},	//4931 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3069},	//4932 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3070},	//4933 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3071},	//4934 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3072},	//4935 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3073},	//4936 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3074},	//4937 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3075},	//4938 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3076},	//4939 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3077},	//4940 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3078},	//4941 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3079},	//4942 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3080},	//4943 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3081},	//4944 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3082},	//4945 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3083},	//4946 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3084},	//4947 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3085},	//4948 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3086},	//4949 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3087},	//4950 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3088},	//4951 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3089},	//4952 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3090},	//4953 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3091},	//4954 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3092},	//4955 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3093},	//4956 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3094},	//4957 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3095},	//4958 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3096},	//4959 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3097},	//4960 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3098},	//4961 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3099},	//4962 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3100},	//4963 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3101},	//4964 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3102},	//4965 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3103},	//4966 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3104},	//4967 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3105},	//4968 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3106},	//4969 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3107},	//4970 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3108},	//4971 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3109},	//4972 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3110},	//4973 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3111},	//4974 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3112},	//4975 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3113},	//4976 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3114},	//4977 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3115},	//4978 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3116},	//4979 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3117},	//4980 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3118},	//4981 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3119},	//4982 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3120},	//4983 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3121},	//4984 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3122},	//4985 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3123},	//4986 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3124},	//4987 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3125},	//4988 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3126},	//4989 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3127},	//4990 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3128},	//4991 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3129},	//4992 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3130},	//4993 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3131},	//4994 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3132},	//4995 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3133},	//4996 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3134},	//4997 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3135},	//4998 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3136},	//4999 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3137},	//5000 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3138},	//5001 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3139},	//5002 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3140},	//5003 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3141},	//5004 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3142},	//5005 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3143},	//5006 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3144},	//5007 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3145},	//5008 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3146},	//5009 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3147},	//5010 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3148},	//5011 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3149},	//5012 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3150},	//5013 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3151},	//5014 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3152},	//5015 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3153},	//5016 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3154},	//5017 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3155},	//5018 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3156},	//5019 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3157},	//5020 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3158},	//5021 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3159},	//5022 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3160},	//5023 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3161},	//5024 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3162},	//5025 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3163},	//5026 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3164},	//5027 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3165},	//5028 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3166},	//5029 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3167},	//5030 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3168},	//5031 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3169},	//5032 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3170},	//5033 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3171},	//5034 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3172},	//5035 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3173},	//5036 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3174},	//5037 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3175},	//5038 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3176},	//5039 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3177},	//5040 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3178},	//5041 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3179},	//5042 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3180},	//5043 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3181},	//5044 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3182},	//5045 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3183},	//5046 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3184},	//5047 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3185},	//5048 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3186},	//5049 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3187},	//5050 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3188},	//5051 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3189},	//5052 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3190},	//5053 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3191},	//5054 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3192},	//5055 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3193},	//5056 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3194},	//5057 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3195},	//5058 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3196},	//5059 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3197},	//5060 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3198},	//5061 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3199},	//5062 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3200},	//5063 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3201},	//5064 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3202},	//5065 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3203},	//5066 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3204},	//5067 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3205},	//5068 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3206},	//5069 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3207},	//5070 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3208},	//5071 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3209},	//5072 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3210},	//5073 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3211},	//5074 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3212},	//5075 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3213},	//5076 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3214},	//5077 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3215},	//5078 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3216},	//5079 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3217},	//5080 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3218},	//5081 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3219},	//5082 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3220},	//5083 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3221},	//5084 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3222},	//5085 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3223},	//5086 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3224},	//5087 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3225},	//5088 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3226},	//5089 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3227},	//5090 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3228},	//5091 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3229},	//5092 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3230},	//5093 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3231},	//5094 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3232},	//5095 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3233},	//5096 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3234},	//5097 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3235},	//5098 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3236},	//5099 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3237},	//5100 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3238},	//5101 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3239},	//5102 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3240},	//5103 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3241},	//5104 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3242},	//5105 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3243},	//5106 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3244},	//5107 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3245},	//5108 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3246},	//5109 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3247},	//5110 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3248},	//5111 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3249},	//5112 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3250},	//5113 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3251},	//5114 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3252},	//5115 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3253},	//5116 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3254},	//5117 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3255},	//5118 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3256},	//5119 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3257},	//5120 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3258},	//5121 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3259},	//5122 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3260},	//5123 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3261},	//5124 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3262},	//5125 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3263},	//5126 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3264},	//5127 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3265},	//5128 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3266},	//5129 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3267},	//5130 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3268},	//5131 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3269},	//5132 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3270},	//5133 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3271},	//5134 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3272},	//5135 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3273},	//5136 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3274},	//5137 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3275},	//5138 QsciScintillaBase::SCLEX_SML (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3276},	//5139 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3277},	//5140 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3278},	//5141 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3279},	//5142 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3280},	//5143 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3281},	//5144 QsciScintillaBase::SCLEX_XML (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3282},	//5145 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3283},	//5146 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3284},	//5147 QsciScintillaBase::SCLEX_VB (enum)
    {84, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3285},	//5148 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3286},	//5149 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3287},	//5150 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3288},	//5151 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3289},	//5152 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3290},	//5153 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3291},	//5154 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3292},	//5155 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3293},	//5156 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3294},	//5157 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3295},	//5158 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3296},	//5159 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3297},	//5160 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3298},	//5161 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3299},	//5162 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3300},	//5163 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3301},	//5164 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3302},	//5165 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3303},	//5166 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3304},	//5167 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3305},	//5168 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3306},	//5169 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3307},	//5170 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3308},	//5171 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3309},	//5172 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3310},	//5173 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3311},	//5174 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3312},	//5175 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3313},	//5176 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3314},	//5177 QsciScintillaBase::SCLEX_POV (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3315},	//5178 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3316},	//5179 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3317},	//5180 QsciScintillaBase::SCLEX_PS (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3318},	//5181 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3319},	//5182 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3320},	//5183 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3321},	//5184 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3322},	//5185 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3323},	//5186 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3324},	//5187 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3325},	//5188 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3326},	//5189 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3327},	//5190 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3328},	//5191 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3329},	//5192 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3330},	//5193 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3331},	//5194 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3332},	//5195 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3333},	//5196 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3334},	//5197 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3335},	//5198 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3336},	//5199 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3337},	//5200 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3338},	//5201 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3339},	//5202 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3340},	//5203 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3341},	//5204 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3342},	//5205 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3343},	//5206 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3344},	//5207 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3345},	//5208 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3346},	//5209 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3347},	//5210 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3348},	//5211 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3349},	//5212 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3350},	//5213 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3351},	//5214 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3352},	//5215 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3353},	//5216 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3354},	//5217 QsciScintillaBase::SCLEX_D (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3355},	//5218 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3356},	//5219 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3357},	//5220 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3358},	//5221 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3359},	//5222 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3360},	//5223 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3361},	//5224 QsciScintillaBase::SCLEX_R (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3362},	//5225 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3363},	//5226 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3364},	//5227 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3365},	//5228 QsciScintillaBase::SCLEX_PO (enum)
    {84, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3366},	//5229 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3367},	//5230 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3368},	//5231 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3369},	//5232 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3370},	//5233 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3371},	//5234 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3372},	//5235 QsciScintillaBase::SCLEX_SML (enum)
    {84, 1430, 0, 0, Smoke::mf_dtor, 0, 3373 },	//5236 QsciScintillaBase::~QsciScintillaBase()
    {85, 443, 18, 1, Smoke::mf_ctor, 103, 1},	//5237 QsciStyle::QsciStyle(int)
    {85, 443, 387, 6, Smoke::mf_ctor, 103, 2},	//5238 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {85, 1330, 0, 0, Smoke::mf_const, 221, 3},	//5239 QsciStyle::style() const
    {85, 1149, 57, 1, 0, 0, 4},	//5240 QsciStyle::setDescription(const QString&)
    {85, 824, 0, 0, Smoke::mf_const, 37, 5},	//5241 QsciStyle::description() const
    {85, 1138, 80, 1, 0, 0, 6},	//5242 QsciStyle::setColor(const QColor&)
    {85, 797, 0, 0, Smoke::mf_const, 5, 7},	//5243 QsciStyle::color() const
    {85, 1265, 80, 1, 0, 0, 8},	//5244 QsciStyle::setPaper(const QColor&)
    {85, 1027, 0, 0, Smoke::mf_const, 5, 9},	//5245 QsciStyle::paper() const
    {85, 1199, 42, 1, 0, 0, 10},	//5246 QsciStyle::setFont(const QFont&)
    {85, 891, 0, 0, Smoke::mf_const, 13, 11},	//5247 QsciStyle::font() const
    {85, 1163, 16, 1, 0, 0, 12},	//5248 QsciStyle::setEolFill(bool)
    {85, 849, 0, 0, Smoke::mf_const, 199, 13},	//5249 QsciStyle::eolFill() const
    {85, 1293, 394, 1, 0, 0, 14},	//5250 QsciStyle::setTextCase(QsciStyle::TextCase)
    {85, 1341, 0, 0, Smoke::mf_const, 104, 15},	//5251 QsciStyle::textCase() const
    {85, 1309, 16, 1, 0, 0, 16},	//5252 QsciStyle::setVisible(bool)
    {85, 1370, 0, 0, Smoke::mf_const, 199, 17},	//5253 QsciStyle::visible() const
    {85, 1136, 16, 1, 0, 0, 18},	//5254 QsciStyle::setChangeable(bool)
    {85, 783, 0, 0, Smoke::mf_const, 199, 19},	//5255 QsciStyle::changeable() const
    {85, 1202, 16, 1, 0, 0, 20},	//5256 QsciStyle::setHotspot(bool)
    {85, 907, 0, 0, Smoke::mf_const, 199, 21},	//5257 QsciStyle::hotspot() const
    {85, 1058, 0, 0, 0, 0, 22},	//5258 QsciStyle::refresh()
    {85, 443, 396, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 23},	//5259 QsciStyle::QsciStyle(const QsciStyle&)
    {85, 443, 0, 0, Smoke::mf_ctor, 103, 24},	//5260 QsciStyle::QsciStyle()
    {85, 443, 398, 5, Smoke::mf_ctor, 103, 25},	//5261 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {85, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 26},	//5262 QsciStyle::OriginalCase (enum)
    {85, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 27},	//5263 QsciStyle::UpperCase (enum)
    {85, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 28},	//5264 QsciStyle::LowerCase (enum)
    {85, 1431, 0, 0, Smoke::mf_dtor, 0, 29 },	//5265 QsciStyle::~QsciStyle()
    {86, 448, 404, 2, Smoke::mf_ctor, 105, 1},	//5266 QsciStyledText::QsciStyledText(const QString&, int)
    {86, 448, 407, 2, Smoke::mf_ctor, 105, 2},	//5267 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {86, 1339, 0, 0, Smoke::mf_const, 213, 3},	//5268 QsciStyledText::text() const
    {86, 1330, 0, 0, Smoke::mf_const, 221, 4},	//5269 QsciStyledText::style() const
    {86, 448, 410, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 5},	//5270 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {86, 1432, 0, 0, Smoke::mf_dtor, 0, 6 },	//5271 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    5222,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    5158,  // QsciScintillaBase::SCLEX_ADA
    0,
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    5199,  // QsciScintillaBase::SCLEX_APDL
    0,
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    5172,  // QsciScintillaBase::SCLEX_ASM
    0,
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    5201,  // QsciScintillaBase::SCLEX_ASN1
    0,
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    5167,  // QsciScintillaBase::SCLEX_ASP
    0,
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5223,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    5198,  // QsciScintillaBase::SCLEX_AU3
    0,
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    5157,  // QsciScintillaBase::SCLEX_AVE
    0,
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    5169,  // QsciScintillaBase::SCLEX_BAAN
    0,
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    5200,  // QsciScintillaBase::SCLEX_BASH
    0,
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    5151,  // QsciScintillaBase::SCLEX_BATCH
    0,
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5204,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    5165,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    5203,  // QsciScintillaBase::SCLEX_CAML
    0,
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    5183,  // QsciScintillaBase::SCLEX_CLW
    0,
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5184,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    5218,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    5230,  // QsciScintillaBase::SCLEX_COBOL
    0,
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    5155,  // QsciScintillaBase::SCLEX_CONF
    0,
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    5139,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    5142,  // QsciScintillaBase::SCLEX_CPP
    0,
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5173,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    5212,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    5176,  // QsciScintillaBase::SCLEX_CSS
    0,
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    5217,  // QsciScintillaBase::SCLEX_D
    0,
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    5154,  // QsciScintillaBase::SCLEX_DIFF
    0,
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    5161,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    5162,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    5191,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    5149,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    5179,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    5175,  // QsciScintillaBase::SCLEX_F77
    0,
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5211,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    5190,  // QsciScintillaBase::SCLEX_FORTH
    0,
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    5174,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    5213,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    5219,  // QsciScintillaBase::SCLEX_GAP
    0,
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    5196,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    5206,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    5143,  // QsciScintillaBase::SCLEX_HTML
    0,
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    5214,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    5195,  // QsciScintillaBase::SCLEX_KIX
    0,
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    5152,  // QsciScintillaBase::SCLEX_LATEX
    0,
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    5159,  // QsciScintillaBase::SCLEX_LISP
    0,
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    5185,  // QsciScintillaBase::SCLEX_LOT
    0,
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    5178,  // QsciScintillaBase::SCLEX_LOUT
    0,
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    5153,  // QsciScintillaBase::SCLEX_LUA
    0,
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    5225,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    5150,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    5170,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    5188,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    5182,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    5193,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    5227,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    5234,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5164,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    5181,  // QsciScintillaBase::SCLEX_NSIS
    0,
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    5140,  // QsciScintillaBase::SCLEX_NULL
    0,
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    5192,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    5215,  // QsciScintillaBase::SCLEX_OPAL
    0,
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    5156,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    5145,  // QsciScintillaBase::SCLEX_PERL
    0,
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    5168,  // QsciScintillaBase::SCLEX_PHP
    0,
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5207,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    5220,  // QsciScintillaBase::SCLEX_PLM
    0,
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    5228,  // QsciScintillaBase::SCLEX_PO
    0,
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    5177,  // QsciScintillaBase::SCLEX_POV
    0,
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    5189,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    5233,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    5226,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    5221,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    5148,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    5180,  // QsciScintillaBase::SCLEX_PS
    0,
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    5205,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    5141,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    5224,  // QsciScintillaBase::SCLEX_R
    0,
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    5209,  // QsciScintillaBase::SCLEX_REBOL
    0,
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    5160,  // QsciScintillaBase::SCLEX_RUBY
    0,
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5171,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    5210,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    5235,  // QsciScintillaBase::SCLEX_SML
    0,
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    5232,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    5197,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    5216,  // QsciScintillaBase::SCLEX_SPICE
    0,
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    5146,  // QsciScintillaBase::SCLEX_SQL
    0,
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    5231,  // QsciScintillaBase::SCLEX_TACL
    0,
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    5208,  // QsciScintillaBase::SCLEX_TADS3
    0,
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    5229,  // QsciScintillaBase::SCLEX_TAL
    0,
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    5163,  // QsciScintillaBase::SCLEX_TCL
    0,
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    5187,  // QsciScintillaBase::SCLEX_TEX
    0,
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    5147,  // QsciScintillaBase::SCLEX_VB
    0,
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5166,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    5194,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    5202,  // QsciScintillaBase::SCLEX_VHDL
    0,
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    5144,  // QsciScintillaBase::SCLEX_XML
    0,
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    5186,  // QsciScintillaBase::SCLEX_YAML
    0,
    1876,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1878,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1879,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    1936,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1881,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1884,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1873,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1874,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1875,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1877,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    1767,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1768,  // QsciScintilla::markerDefine(char)
    0,
    1611,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1612,  // QsciScintilla::markerDefine(char, int)
    0,
    1726,  // QsciScintilla::setMarginWidth(int, int)
    1727,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 253, 19},	// QGlobalSpace::LicensedActiveQt
    {16, 254, 25},	// QGlobalSpace::LicensedCore
    {16, 255, 17},	// QGlobalSpace::LicensedDBus
    {16, 256, 22},	// QGlobalSpace::LicensedDeclarative
    {16, 257, 12},	// QGlobalSpace::LicensedGui
    {16, 258, 31},	// QGlobalSpace::LicensedHelp
    {16, 259, 32},	// QGlobalSpace::LicensedMultimedia
    {16, 260, 35},	// QGlobalSpace::LicensedNetwork
    {16, 261, 24},	// QGlobalSpace::LicensedOpenGL
    {16, 262, 16},	// QGlobalSpace::LicensedOpenVG
    {16, 263, 33},	// QGlobalSpace::LicensedQt3Support
    {16, 264, 14},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 265, 15},	// QGlobalSpace::LicensedScript
    {16, 266, 20},	// QGlobalSpace::LicensedScriptTools
    {16, 267, 23},	// QGlobalSpace::LicensedSql
    {16, 268, 21},	// QGlobalSpace::LicensedSvg
    {16, 269, 18},	// QGlobalSpace::LicensedTest
    {16, 270, 13},	// QGlobalSpace::LicensedXml
    {16, 271, 34},	// QGlobalSpace::LicensedXmlPatterns
    {16, 360, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 361, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 362, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 363, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 364, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 452, 28},	// QGlobalSpace::QtCriticalMsg
    {16, 453, 26},	// QGlobalSpace::QtDebugMsg
    {16, 454, 29},	// QGlobalSpace::QtFatalMsg
    {16, 455, 30},	// QGlobalSpace::QtSystemMsg
    {16, 456, 27},	// QGlobalSpace::QtWarningMsg
    {45, 366, 78},	// QsciAPIs::QsciAPIs#
    {45, 726, 79},	// QsciAPIs::add$
    {45, 738, 94},	// QsciAPIs::apiPreparationCancelled
    {45, 739, 96},	// QsciAPIs::apiPreparationFinished
    {45, 740, 95},	// QsciAPIs::apiPreparationStarted
    {45, 752, 90},	// QsciAPIs::autoCompletionSelected$
    {45, 773, 91},	// QsciAPIs::callTips?$$?
    {45, 779, 84},	// QsciAPIs::cancelPreparation
    {45, 785, 80},	// QsciAPIs::clear
    {45, 822, 85},	// QsciAPIs::defaultPreparedName
    {45, 856, 92},	// QsciAPIs::event#
    {45, 933, 93},	// QsciAPIs::installedAPIFiles
    {45, 937, 99},	// QsciAPIs::isPrepared
    {45, 938, 86},	// QsciAPIs::isPrepared$
    {45, 967, 81},	// QsciAPIs::load$
    {45, 968, 100},	// QsciAPIs::loadPrepared
    {45, 969, 87},	// QsciAPIs::loadPrepared$
    {45, 1005, 71},	// QsciAPIs::metaObject
    {45, 1036, 83},	// QsciAPIs::prepare
    {45, 1044, 77},	// QsciAPIs::qt_metacall$$?
    {45, 1046, 72},	// QsciAPIs::qt_metacast$
    {45, 1063, 82},	// QsciAPIs::remove$
    {45, 1073, 101},	// QsciAPIs::savePrepared
    {45, 1074, 88},	// QsciAPIs::savePrepared$
    {45, 1329, 102},	// QsciAPIs::staticMetaObject
    {45, 1350, 97},	// QsciAPIs::tr$
    {45, 1351, 73},	// QsciAPIs::tr$$
    {45, 1352, 75},	// QsciAPIs::tr$$$
    {45, 1354, 98},	// QsciAPIs::trUtf8$
    {45, 1355, 74},	// QsciAPIs::trUtf8$$
    {45, 1356, 76},	// QsciAPIs::trUtf8$$$
    {45, 1361, 89},	// QsciAPIs::updateAutoCompletionList??
    {45, 1392, 103},	// QsciAPIs::~QsciAPIs
    {46, 368, 111},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {46, 752, 114},	// QsciAbstractAPIs::autoCompletionSelected$
    {46, 773, 115},	// QsciAbstractAPIs::callTips?$$?
    {46, 956, 112},	// QsciAbstractAPIs::lexer
    {46, 1005, 104},	// QsciAbstractAPIs::metaObject
    {46, 1044, 110},	// QsciAbstractAPIs::qt_metacall$$?
    {46, 1046, 105},	// QsciAbstractAPIs::qt_metacast$
    {46, 1329, 118},	// QsciAbstractAPIs::staticMetaObject
    {46, 1350, 116},	// QsciAbstractAPIs::tr$
    {46, 1351, 106},	// QsciAbstractAPIs::tr$$
    {46, 1352, 108},	// QsciAbstractAPIs::tr$$$
    {46, 1354, 117},	// QsciAbstractAPIs::trUtf8$
    {46, 1355, 107},	// QsciAbstractAPIs::trUtf8$$
    {46, 1356, 109},	// QsciAbstractAPIs::trUtf8$$$
    {46, 1361, 113},	// QsciAbstractAPIs::updateAutoCompletionList??
    {46, 1393, 119},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {47, 727, 123},	// QsciCommand::alternateKey
    {47, 824, 125},	// QsciCommand::description
    {47, 945, 122},	// QsciCommand::key
    {47, 1087, 121},	// QsciCommand::setAlternateKey$
    {47, 1225, 120},	// QsciCommand::setKey$
    {47, 1368, 124},	// QsciCommand::validKey$
    {47, 1394, 126},	// QsciCommand::~QsciCommand
    {48, 786, 131},	// QsciCommandSet::clearAlternateKeys
    {48, 792, 130},	// QsciCommandSet::clearKeys
    {48, 801, 129},	// QsciCommandSet::commands
    {48, 1052, 132},	// QsciCommandSet::readSettings#
    {48, 1053, 127},	// QsciCommandSet::readSettings#$
    {48, 1383, 133},	// QsciCommandSet::writeSettings#
    {48, 1384, 128},	// QsciCommandSet::writeSettings#$
    {49, 369, 134},	// QsciDocument::QsciDocument
    {49, 370, 135},	// QsciDocument::QsciDocument#
    {49, 1022, 136},	// QsciDocument::operator=#
    {49, 1395, 137},	// QsciDocument::~QsciDocument
    {50, 371, 199},	// QsciLexer::QsciLexer
    {50, 372, 145},	// QsciLexer::QsciLexer#
    {50, 741, 149},	// QsciLexer::apis
    {50, 748, 150},	// QsciLexer::autoCompletionFillups
    {50, 756, 151},	// QsciLexer::autoCompletionWordSeparators
    {50, 758, 152},	// QsciLexer::autoIndentStyle
    {50, 762, 200},	// QsciLexer::blockEnd
    {50, 763, 153},	// QsciLexer::blockEnd$
    {50, 764, 154},	// QsciLexer::blockLookback
    {50, 765, 201},	// QsciLexer::blockStart
    {50, 766, 155},	// QsciLexer::blockStart$
    {50, 767, 202},	// QsciLexer::blockStartKeyword
    {50, 768, 156},	// QsciLexer::blockStartKeyword$
    {50, 770, 157},	// QsciLexer::braceStyle
    {50, 780, 158},	// QsciLexer::caseSensitive
    {50, 798, 159},	// QsciLexer::color$
    {50, 800, 190},	// QsciLexer::colorChanged#$
    {50, 814, 167},	// QsciLexer::defaultColor
    {50, 815, 168},	// QsciLexer::defaultColor$
    {50, 817, 169},	// QsciLexer::defaultEolFill$
    {50, 818, 170},	// QsciLexer::defaultFont
    {50, 819, 171},	// QsciLexer::defaultFont$
    {50, 820, 172},	// QsciLexer::defaultPaper
    {50, 821, 173},	// QsciLexer::defaultPaper$
    {50, 823, 164},	// QsciLexer::defaultStyle
    {50, 825, 165},	// QsciLexer::description$
    {50, 841, 174},	// QsciLexer::editor
    {50, 850, 160},	// QsciLexer::eolFill$
    {50, 852, 191},	// QsciLexer::eolFillChanged$$
    {50, 892, 161},	// QsciLexer::font$
    {50, 895, 192},	// QsciLexer::fontChanged#$
    {50, 912, 162},	// QsciLexer::indentationGuideView
    {50, 950, 163},	// QsciLexer::keywords$
    {50, 951, 146},	// QsciLexer::language
    {50, 956, 147},	// QsciLexer::lexer
    {50, 957, 148},	// QsciLexer::lexerId
    {50, 1005, 138},	// QsciLexer::metaObject
    {50, 1028, 166},	// QsciLexer::paper$
    {50, 1030, 193},	// QsciLexer::paperChanged#$
    {50, 1042, 194},	// QsciLexer::propertyChanged$$
    {50, 1044, 144},	// QsciLexer::qt_metacall$$?
    {50, 1046, 139},	// QsciLexer::qt_metacast$
    {50, 1050, 195},	// QsciLexer::readProperties#$
    {50, 1052, 203},	// QsciLexer::readSettings#
    {50, 1053, 180},	// QsciLexer::readSettings#$
    {50, 1059, 181},	// QsciLexer::refreshProperties
    {50, 1085, 175},	// QsciLexer::setAPIs#
    {50, 1109, 185},	// QsciLexer::setAutoIndentStyle$
    {50, 1139, 205},	// QsciLexer::setColor#
    {50, 1140, 186},	// QsciLexer::setColor#$
    {50, 1144, 176},	// QsciLexer::setDefaultColor#
    {50, 1146, 177},	// QsciLexer::setDefaultFont#
    {50, 1148, 178},	// QsciLexer::setDefaultPaper#
    {50, 1162, 179},	// QsciLexer::setEditor#
    {50, 1164, 206},	// QsciLexer::setEolFill$
    {50, 1165, 187},	// QsciLexer::setEolFill$$
    {50, 1200, 207},	// QsciLexer::setFont#
    {50, 1201, 188},	// QsciLexer::setFont#$
    {50, 1266, 208},	// QsciLexer::setPaper#
    {50, 1267, 189},	// QsciLexer::setPaper#$
    {50, 1329, 209},	// QsciLexer::staticMetaObject
    {50, 1331, 182},	// QsciLexer::styleBitsNeeded
    {50, 1350, 197},	// QsciLexer::tr$
    {50, 1351, 140},	// QsciLexer::tr$$
    {50, 1352, 142},	// QsciLexer::tr$$$
    {50, 1354, 198},	// QsciLexer::trUtf8$
    {50, 1355, 141},	// QsciLexer::trUtf8$$
    {50, 1356, 143},	// QsciLexer::trUtf8$$$
    {50, 1376, 183},	// QsciLexer::wordCharacters
    {50, 1381, 196},	// QsciLexer::writeProperties#$
    {50, 1383, 204},	// QsciLexer::writeSettings#
    {50, 1384, 184},	// QsciLexer::writeSettings#$
    {50, 1396, 210},	// QsciLexer::~QsciLexer
    {51, 81, 251},	// QsciLexerBash::Backticks
    {51, 124, 242},	// QsciLexerBash::Comment
    {51, 144, 240},	// QsciLexerBash::Default
    {51, 155, 245},	// QsciLexerBash::DoubleQuotedString
    {51, 172, 241},	// QsciLexerBash::Error
    {51, 200, 252},	// QsciLexerBash::HereDocumentDelimiter
    {51, 209, 248},	// QsciLexerBash::Identifier
    {51, 233, 244},	// QsciLexerBash::Keyword
    {51, 295, 243},	// QsciLexerBash::Number
    {51, 299, 247},	// QsciLexerBash::Operator
    {51, 317, 250},	// QsciLexerBash::ParameterExpansion
    {51, 373, 238},	// QsciLexerBash::QsciLexerBash
    {51, 374, 218},	// QsciLexerBash::QsciLexerBash#
    {51, 621, 249},	// QsciLexerBash::Scalar
    {51, 638, 253},	// QsciLexerBash::SingleQuotedHereDocument
    {51, 639, 246},	// QsciLexerBash::SingleQuotedString
    {51, 770, 221},	// QsciLexerBash::braceStyle
    {51, 815, 223},	// QsciLexerBash::defaultColor$
    {51, 817, 224},	// QsciLexerBash::defaultEolFill$
    {51, 819, 225},	// QsciLexerBash::defaultFont$
    {51, 821, 226},	// QsciLexerBash::defaultPaper$
    {51, 825, 228},	// QsciLexerBash::description$
    {51, 879, 230},	// QsciLexerBash::foldComments
    {51, 880, 231},	// QsciLexerBash::foldCompact
    {51, 950, 227},	// QsciLexerBash::keywords$
    {51, 951, 219},	// QsciLexerBash::language
    {51, 956, 220},	// QsciLexerBash::lexer
    {51, 1005, 211},	// QsciLexerBash::metaObject
    {51, 1044, 217},	// QsciLexerBash::qt_metacall$$?
    {51, 1046, 212},	// QsciLexerBash::qt_metacast$
    {51, 1050, 234},	// QsciLexerBash::readProperties#$
    {51, 1059, 229},	// QsciLexerBash::refreshProperties
    {51, 1177, 232},	// QsciLexerBash::setFoldComments$
    {51, 1179, 233},	// QsciLexerBash::setFoldCompact$
    {51, 1329, 239},	// QsciLexerBash::staticMetaObject
    {51, 1350, 236},	// QsciLexerBash::tr$
    {51, 1351, 213},	// QsciLexerBash::tr$$
    {51, 1352, 215},	// QsciLexerBash::tr$$$
    {51, 1354, 237},	// QsciLexerBash::trUtf8$
    {51, 1355, 214},	// QsciLexerBash::trUtf8$$
    {51, 1356, 216},	// QsciLexerBash::trUtf8$$$
    {51, 1376, 222},	// QsciLexerBash::wordCharacters
    {51, 1381, 235},	// QsciLexerBash::writeProperties#$
    {51, 1397, 254},	// QsciLexerBash::~QsciLexerBash
    {52, 124, 278},	// QsciLexerBatch::Comment
    {52, 144, 277},	// QsciLexerBatch::Default
    {52, 179, 282},	// QsciLexerBatch::ExternalCommand
    {52, 204, 281},	// QsciLexerBatch::HideCommandChar
    {52, 233, 279},	// QsciLexerBatch::Keyword
    {52, 243, 280},	// QsciLexerBatch::Label
    {52, 299, 284},	// QsciLexerBatch::Operator
    {52, 375, 275},	// QsciLexerBatch::QsciLexerBatch
    {52, 376, 262},	// QsciLexerBatch::QsciLexerBatch#
    {52, 708, 283},	// QsciLexerBatch::Variable
    {52, 780, 266},	// QsciLexerBatch::caseSensitive
    {52, 815, 267},	// QsciLexerBatch::defaultColor$
    {52, 817, 268},	// QsciLexerBatch::defaultEolFill$
    {52, 819, 269},	// QsciLexerBatch::defaultFont$
    {52, 821, 270},	// QsciLexerBatch::defaultPaper$
    {52, 825, 272},	// QsciLexerBatch::description$
    {52, 950, 271},	// QsciLexerBatch::keywords$
    {52, 951, 263},	// QsciLexerBatch::language
    {52, 956, 264},	// QsciLexerBatch::lexer
    {52, 1005, 255},	// QsciLexerBatch::metaObject
    {52, 1044, 261},	// QsciLexerBatch::qt_metacall$$?
    {52, 1046, 256},	// QsciLexerBatch::qt_metacast$
    {52, 1329, 276},	// QsciLexerBatch::staticMetaObject
    {52, 1350, 273},	// QsciLexerBatch::tr$
    {52, 1351, 257},	// QsciLexerBatch::tr$$
    {52, 1352, 259},	// QsciLexerBatch::tr$$$
    {52, 1354, 274},	// QsciLexerBatch::trUtf8$
    {52, 1355, 258},	// QsciLexerBatch::trUtf8$$
    {52, 1356, 260},	// QsciLexerBatch::trUtf8$$$
    {52, 1376, 265},	// QsciLexerBatch::wordCharacters
    {52, 1398, 285},	// QsciLexerBatch::~QsciLexerBatch
    {53, 86, 320},	// QsciLexerCMake::BlockForeach
    {53, 87, 321},	// QsciLexerCMake::BlockIf
    {53, 88, 322},	// QsciLexerCMake::BlockMacro
    {53, 89, 319},	// QsciLexerCMake::BlockWhile
    {53, 124, 311},	// QsciLexerCMake::Comment
    {53, 144, 310},	// QsciLexerCMake::Default
    {53, 185, 315},	// QsciLexerCMake::Function
    {53, 237, 318},	// QsciLexerCMake::KeywordSet3
    {53, 243, 317},	// QsciLexerCMake::Label
    {53, 295, 324},	// QsciLexerCMake::Number
    {53, 377, 308},	// QsciLexerCMake::QsciLexerCMake
    {53, 378, 293},	// QsciLexerCMake::QsciLexerCMake#
    {53, 655, 312},	// QsciLexerCMake::String
    {53, 656, 313},	// QsciLexerCMake::StringLeftQuote
    {53, 657, 314},	// QsciLexerCMake::StringRightQuote
    {53, 659, 323},	// QsciLexerCMake::StringVariable
    {53, 708, 316},	// QsciLexerCMake::Variable
    {53, 815, 296},	// QsciLexerCMake::defaultColor$
    {53, 819, 297},	// QsciLexerCMake::defaultFont$
    {53, 821, 298},	// QsciLexerCMake::defaultPaper$
    {53, 825, 300},	// QsciLexerCMake::description$
    {53, 877, 302},	// QsciLexerCMake::foldAtElse
    {53, 950, 299},	// QsciLexerCMake::keywords$
    {53, 951, 294},	// QsciLexerCMake::language
    {53, 956, 295},	// QsciLexerCMake::lexer
    {53, 1005, 286},	// QsciLexerCMake::metaObject
    {53, 1044, 292},	// QsciLexerCMake::qt_metacall$$?
    {53, 1046, 287},	// QsciLexerCMake::qt_metacast$
    {53, 1050, 304},	// QsciLexerCMake::readProperties#$
    {53, 1059, 301},	// QsciLexerCMake::refreshProperties
    {53, 1173, 303},	// QsciLexerCMake::setFoldAtElse$
    {53, 1329, 309},	// QsciLexerCMake::staticMetaObject
    {53, 1350, 306},	// QsciLexerCMake::tr$
    {53, 1351, 288},	// QsciLexerCMake::tr$$
    {53, 1352, 290},	// QsciLexerCMake::tr$$$
    {53, 1354, 307},	// QsciLexerCMake::trUtf8$
    {53, 1355, 289},	// QsciLexerCMake::trUtf8$$
    {53, 1356, 291},	// QsciLexerCMake::trUtf8$$$
    {53, 1381, 305},	// QsciLexerCMake::writeProperties#$
    {53, 1399, 325},	// QsciLexerCMake::~QsciLexerCMake
    {54, 124, 372},	// QsciLexerCPP::Comment
    {54, 127, 374},	// QsciLexerCPP::CommentDoc
    {54, 128, 388},	// QsciLexerCPP::CommentDocKeyword
    {54, 129, 389},	// QsciLexerCPP::CommentDocKeywordError
    {54, 130, 373},	// QsciLexerCPP::CommentLine
    {54, 131, 386},	// QsciLexerCPP::CommentLineDoc
    {54, 144, 371},	// QsciLexerCPP::Default
    {54, 155, 377},	// QsciLexerCPP::DoubleQuotedString
    {54, 188, 390},	// QsciLexerCPP::GlobalClass
    {54, 209, 382},	// QsciLexerCPP::Identifier
    {54, 233, 376},	// QsciLexerCPP::Keyword
    {54, 236, 387},	// QsciLexerCPP::KeywordSet2
    {54, 295, 375},	// QsciLexerCPP::Number
    {54, 299, 381},	// QsciLexerCPP::Operator
    {54, 336, 380},	// QsciLexerCPP::PreProcessor
    {54, 379, 365},	// QsciLexerCPP::QsciLexerCPP
    {54, 380, 366},	// QsciLexerCPP::QsciLexerCPP#
    {54, 381, 333},	// QsciLexerCPP::QsciLexerCPP#$
    {54, 467, 385},	// QsciLexerCPP::Regex
    {54, 639, 378},	// QsciLexerCPP::SingleQuotedString
    {54, 691, 379},	// QsciLexerCPP::UUID
    {54, 692, 383},	// QsciLexerCPP::UnclosedString
    {54, 709, 384},	// QsciLexerCPP::VerbatimString
    {54, 756, 336},	// QsciLexerCPP::autoCompletionWordSeparators
    {54, 762, 367},	// QsciLexerCPP::blockEnd
    {54, 763, 337},	// QsciLexerCPP::blockEnd$
    {54, 765, 368},	// QsciLexerCPP::blockStart
    {54, 766, 338},	// QsciLexerCPP::blockStart$
    {54, 767, 369},	// QsciLexerCPP::blockStartKeyword
    {54, 768, 339},	// QsciLexerCPP::blockStartKeyword$
    {54, 770, 340},	// QsciLexerCPP::braceStyle
    {54, 815, 342},	// QsciLexerCPP::defaultColor$
    {54, 817, 343},	// QsciLexerCPP::defaultEolFill$
    {54, 819, 344},	// QsciLexerCPP::defaultFont$
    {54, 821, 345},	// QsciLexerCPP::defaultPaper$
    {54, 825, 347},	// QsciLexerCPP::description$
    {54, 829, 355},	// QsciLexerCPP::dollarsAllowed
    {54, 877, 349},	// QsciLexerCPP::foldAtElse
    {54, 879, 350},	// QsciLexerCPP::foldComments
    {54, 880, 351},	// QsciLexerCPP::foldCompact
    {54, 886, 352},	// QsciLexerCPP::foldPreprocessor
    {54, 950, 346},	// QsciLexerCPP::keywords$
    {54, 951, 334},	// QsciLexerCPP::language
    {54, 956, 335},	// QsciLexerCPP::lexer
    {54, 1005, 326},	// QsciLexerCPP::metaObject
    {54, 1044, 332},	// QsciLexerCPP::qt_metacall$$?
    {54, 1046, 327},	// QsciLexerCPP::qt_metacast$
    {54, 1050, 361},	// QsciLexerCPP::readProperties#$
    {54, 1059, 348},	// QsciLexerCPP::refreshProperties
    {54, 1154, 354},	// QsciLexerCPP::setDollarsAllowed$
    {54, 1173, 356},	// QsciLexerCPP::setFoldAtElse$
    {54, 1177, 357},	// QsciLexerCPP::setFoldComments$
    {54, 1179, 358},	// QsciLexerCPP::setFoldCompact$
    {54, 1189, 359},	// QsciLexerCPP::setFoldPreprocessor$
    {54, 1283, 360},	// QsciLexerCPP::setStylePreprocessor$
    {54, 1329, 370},	// QsciLexerCPP::staticMetaObject
    {54, 1333, 353},	// QsciLexerCPP::stylePreprocessor
    {54, 1350, 363},	// QsciLexerCPP::tr$
    {54, 1351, 328},	// QsciLexerCPP::tr$$
    {54, 1352, 330},	// QsciLexerCPP::tr$$$
    {54, 1354, 364},	// QsciLexerCPP::trUtf8$
    {54, 1355, 329},	// QsciLexerCPP::trUtf8$$
    {54, 1356, 331},	// QsciLexerCPP::trUtf8$$$
    {54, 1376, 341},	// QsciLexerCPP::wordCharacters
    {54, 1381, 362},	// QsciLexerCPP::writeProperties#$
    {54, 1400, 391},	// QsciLexerCPP::~QsciLexerCPP
    {55, 65, 434},	// QsciLexerCSS::AtRule
    {55, 66, 438},	// QsciLexerCSS::Attribute
    {55, 101, 428},	// QsciLexerCSS::CSS1Property
    {55, 102, 437},	// QsciLexerCSS::CSS2Property
    {55, 103, 439},	// QsciLexerCSS::CSS3Property
    {55, 119, 424},	// QsciLexerCSS::ClassSelector
    {55, 124, 431},	// QsciLexerCSS::Comment
    {55, 144, 422},	// QsciLexerCSS::Default
    {55, 155, 435},	// QsciLexerCSS::DoubleQuotedString
    {55, 175, 441},	// QsciLexerCSS::ExtendedCSSProperty
    {55, 177, 442},	// QsciLexerCSS::ExtendedPseudoClass
    {55, 178, 443},	// QsciLexerCSS::ExtendedPseudoElement
    {55, 207, 432},	// QsciLexerCSS::IDSelector
    {55, 213, 433},	// QsciLexerCSS::Important
    {55, 299, 427},	// QsciLexerCSS::Operator
    {55, 343, 425},	// QsciLexerCSS::PseudoClass
    {55, 344, 440},	// QsciLexerCSS::PseudoElement
    {55, 382, 418},	// QsciLexerCSS::QsciLexerCSS
    {55, 383, 399},	// QsciLexerCSS::QsciLexerCSS#
    {55, 639, 436},	// QsciLexerCSS::SingleQuotedString
    {55, 676, 423},	// QsciLexerCSS::Tag
    {55, 694, 429},	// QsciLexerCSS::UnknownProperty
    {55, 695, 426},	// QsciLexerCSS::UnknownPseudoClass
    {55, 707, 430},	// QsciLexerCSS::Value
    {55, 762, 419},	// QsciLexerCSS::blockEnd
    {55, 763, 402},	// QsciLexerCSS::blockEnd$
    {55, 765, 420},	// QsciLexerCSS::blockStart
    {55, 766, 403},	// QsciLexerCSS::blockStart$
    {55, 815, 405},	// QsciLexerCSS::defaultColor$
    {55, 819, 406},	// QsciLexerCSS::defaultFont$
    {55, 825, 408},	// QsciLexerCSS::description$
    {55, 879, 410},	// QsciLexerCSS::foldComments
    {55, 880, 411},	// QsciLexerCSS::foldCompact
    {55, 950, 407},	// QsciLexerCSS::keywords$
    {55, 951, 400},	// QsciLexerCSS::language
    {55, 956, 401},	// QsciLexerCSS::lexer
    {55, 1005, 392},	// QsciLexerCSS::metaObject
    {55, 1044, 398},	// QsciLexerCSS::qt_metacall$$?
    {55, 1046, 393},	// QsciLexerCSS::qt_metacast$
    {55, 1050, 414},	// QsciLexerCSS::readProperties#$
    {55, 1059, 409},	// QsciLexerCSS::refreshProperties
    {55, 1177, 412},	// QsciLexerCSS::setFoldComments$
    {55, 1179, 413},	// QsciLexerCSS::setFoldCompact$
    {55, 1329, 421},	// QsciLexerCSS::staticMetaObject
    {55, 1350, 416},	// QsciLexerCSS::tr$
    {55, 1351, 394},	// QsciLexerCSS::tr$$
    {55, 1352, 396},	// QsciLexerCSS::tr$$$
    {55, 1354, 417},	// QsciLexerCSS::trUtf8$
    {55, 1355, 395},	// QsciLexerCSS::trUtf8$$
    {55, 1356, 397},	// QsciLexerCSS::trUtf8$$$
    {55, 1376, 404},	// QsciLexerCSS::wordCharacters
    {55, 1381, 415},	// QsciLexerCSS::writeProperties#$
    {55, 1401, 444},	// QsciLexerCSS::~QsciLexerCSS
    {56, 384, 462},	// QsciLexerCSharp::QsciLexerCSharp
    {56, 385, 452},	// QsciLexerCSharp::QsciLexerCSharp#
    {56, 815, 454},	// QsciLexerCSharp::defaultColor$
    {56, 817, 455},	// QsciLexerCSharp::defaultEolFill$
    {56, 819, 456},	// QsciLexerCSharp::defaultFont$
    {56, 821, 457},	// QsciLexerCSharp::defaultPaper$
    {56, 825, 459},	// QsciLexerCSharp::description$
    {56, 950, 458},	// QsciLexerCSharp::keywords$
    {56, 951, 453},	// QsciLexerCSharp::language
    {56, 1005, 445},	// QsciLexerCSharp::metaObject
    {56, 1044, 451},	// QsciLexerCSharp::qt_metacall$$?
    {56, 1046, 446},	// QsciLexerCSharp::qt_metacast$
    {56, 1329, 463},	// QsciLexerCSharp::staticMetaObject
    {56, 1350, 460},	// QsciLexerCSharp::tr$
    {56, 1351, 447},	// QsciLexerCSharp::tr$$
    {56, 1352, 449},	// QsciLexerCSharp::tr$$$
    {56, 1354, 461},	// QsciLexerCSharp::trUtf8$
    {56, 1355, 448},	// QsciLexerCSharp::trUtf8$$
    {56, 1356, 450},	// QsciLexerCSharp::trUtf8$$$
    {56, 1402, 464},	// QsciLexerCSharp::~QsciLexerCSharp
    {57, 386, 481},	// QsciLexerCustom::QsciLexerCustom
    {57, 387, 472},	// QsciLexerCustom::QsciLexerCustom#
    {57, 1005, 465},	// QsciLexerCustom::metaObject
    {57, 1044, 471},	// QsciLexerCustom::qt_metacall$$?
    {57, 1046, 466},	// QsciLexerCustom::qt_metacast$
    {57, 1162, 477},	// QsciLexerCustom::setEditor#
    {57, 1285, 474},	// QsciLexerCustom::setStyling$#
    {57, 1286, 473},	// QsciLexerCustom::setStyling$$
    {57, 1327, 482},	// QsciLexerCustom::startStyling$
    {57, 1328, 475},	// QsciLexerCustom::startStyling$$
    {57, 1329, 483},	// QsciLexerCustom::staticMetaObject
    {57, 1331, 478},	// QsciLexerCustom::styleBitsNeeded
    {57, 1335, 476},	// QsciLexerCustom::styleText$$
    {57, 1350, 479},	// QsciLexerCustom::tr$
    {57, 1351, 467},	// QsciLexerCustom::tr$$
    {57, 1352, 469},	// QsciLexerCustom::tr$$$
    {57, 1354, 480},	// QsciLexerCustom::trUtf8$
    {57, 1355, 468},	// QsciLexerCustom::trUtf8$$
    {57, 1356, 470},	// QsciLexerCustom::trUtf8$$$
    {57, 1403, 484},	// QsciLexerCustom::~QsciLexerCustom
    {58, 109, 535},	// QsciLexerD::Character
    {58, 124, 524},	// QsciLexerD::Comment
    {58, 127, 526},	// QsciLexerD::CommentDoc
    {58, 128, 539},	// QsciLexerD::CommentDocKeyword
    {58, 129, 540},	// QsciLexerD::CommentDocKeywordError
    {58, 130, 525},	// QsciLexerD::CommentLine
    {58, 131, 538},	// QsciLexerD::CommentLineDoc
    {58, 133, 527},	// QsciLexerD::CommentNested
    {58, 144, 523},	// QsciLexerD::Default
    {58, 209, 537},	// QsciLexerD::Identifier
    {58, 233, 529},	// QsciLexerD::Keyword
    {58, 234, 531},	// QsciLexerD::KeywordDoc
    {58, 235, 530},	// QsciLexerD::KeywordSecondary
    {58, 295, 528},	// QsciLexerD::Number
    {58, 299, 536},	// QsciLexerD::Operator
    {58, 388, 518},	// QsciLexerD::QsciLexerD
    {58, 389, 492},	// QsciLexerD::QsciLexerD#
    {58, 655, 533},	// QsciLexerD::String
    {58, 689, 532},	// QsciLexerD::Typedefs
    {58, 692, 534},	// QsciLexerD::UnclosedString
    {58, 756, 495},	// QsciLexerD::autoCompletionWordSeparators
    {58, 762, 519},	// QsciLexerD::blockEnd
    {58, 763, 496},	// QsciLexerD::blockEnd$
    {58, 765, 520},	// QsciLexerD::blockStart
    {58, 766, 497},	// QsciLexerD::blockStart$
    {58, 767, 521},	// QsciLexerD::blockStartKeyword
    {58, 768, 498},	// QsciLexerD::blockStartKeyword$
    {58, 770, 499},	// QsciLexerD::braceStyle
    {58, 815, 501},	// QsciLexerD::defaultColor$
    {58, 817, 502},	// QsciLexerD::defaultEolFill$
    {58, 819, 503},	// QsciLexerD::defaultFont$
    {58, 821, 504},	// QsciLexerD::defaultPaper$
    {58, 825, 506},	// QsciLexerD::description$
    {58, 877, 508},	// QsciLexerD::foldAtElse
    {58, 879, 509},	// QsciLexerD::foldComments
    {58, 880, 510},	// QsciLexerD::foldCompact
    {58, 950, 505},	// QsciLexerD::keywords$
    {58, 951, 493},	// QsciLexerD::language
    {58, 956, 494},	// QsciLexerD::lexer
    {58, 1005, 485},	// QsciLexerD::metaObject
    {58, 1044, 491},	// QsciLexerD::qt_metacall$$?
    {58, 1046, 486},	// QsciLexerD::qt_metacast$
    {58, 1050, 514},	// QsciLexerD::readProperties#$
    {58, 1059, 507},	// QsciLexerD::refreshProperties
    {58, 1173, 511},	// QsciLexerD::setFoldAtElse$
    {58, 1177, 512},	// QsciLexerD::setFoldComments$
    {58, 1179, 513},	// QsciLexerD::setFoldCompact$
    {58, 1329, 522},	// QsciLexerD::staticMetaObject
    {58, 1350, 516},	// QsciLexerD::tr$
    {58, 1351, 487},	// QsciLexerD::tr$$
    {58, 1352, 489},	// QsciLexerD::tr$$$
    {58, 1354, 517},	// QsciLexerD::trUtf8$
    {58, 1355, 488},	// QsciLexerD::trUtf8$$
    {58, 1356, 490},	// QsciLexerD::trUtf8$$$
    {58, 1376, 500},	// QsciLexerD::wordCharacters
    {58, 1381, 515},	// QsciLexerD::writeProperties#$
    {58, 1404, 541},	// QsciLexerD::~QsciLexerD
    {59, 123, 561},	// QsciLexerDiff::Command
    {59, 124, 560},	// QsciLexerDiff::Comment
    {59, 144, 559},	// QsciLexerDiff::Default
    {59, 198, 562},	// QsciLexerDiff::Header
    {59, 272, 565},	// QsciLexerDiff::LineAdded
    {59, 273, 566},	// QsciLexerDiff::LineChanged
    {59, 275, 564},	// QsciLexerDiff::LineRemoved
    {59, 334, 563},	// QsciLexerDiff::Position
    {59, 390, 557},	// QsciLexerDiff::QsciLexerDiff
    {59, 391, 549},	// QsciLexerDiff::QsciLexerDiff#
    {59, 815, 553},	// QsciLexerDiff::defaultColor$
    {59, 825, 554},	// QsciLexerDiff::description$
    {59, 951, 550},	// QsciLexerDiff::language
    {59, 956, 551},	// QsciLexerDiff::lexer
    {59, 1005, 542},	// QsciLexerDiff::metaObject
    {59, 1044, 548},	// QsciLexerDiff::qt_metacall$$?
    {59, 1046, 543},	// QsciLexerDiff::qt_metacast$
    {59, 1329, 558},	// QsciLexerDiff::staticMetaObject
    {59, 1350, 555},	// QsciLexerDiff::tr$
    {59, 1351, 544},	// QsciLexerDiff::tr$$
    {59, 1352, 546},	// QsciLexerDiff::tr$$$
    {59, 1354, 556},	// QsciLexerDiff::trUtf8$
    {59, 1355, 545},	// QsciLexerDiff::trUtf8$$
    {59, 1356, 547},	// QsciLexerDiff::trUtf8$$$
    {59, 1376, 552},	// QsciLexerDiff::wordCharacters
    {59, 1405, 567},	// QsciLexerDiff::~QsciLexerDiff
    {60, 392, 581},	// QsciLexerFortran::QsciLexerFortran
    {60, 393, 575},	// QsciLexerFortran::QsciLexerFortran#
    {60, 950, 578},	// QsciLexerFortran::keywords$
    {60, 951, 576},	// QsciLexerFortran::language
    {60, 956, 577},	// QsciLexerFortran::lexer
    {60, 1005, 568},	// QsciLexerFortran::metaObject
    {60, 1044, 574},	// QsciLexerFortran::qt_metacall$$?
    {60, 1046, 569},	// QsciLexerFortran::qt_metacast$
    {60, 1329, 582},	// QsciLexerFortran::staticMetaObject
    {60, 1350, 579},	// QsciLexerFortran::tr$
    {60, 1351, 570},	// QsciLexerFortran::tr$$
    {60, 1352, 572},	// QsciLexerFortran::tr$$$
    {60, 1354, 580},	// QsciLexerFortran::trUtf8$
    {60, 1355, 571},	// QsciLexerFortran::trUtf8$$
    {60, 1356, 573},	// QsciLexerFortran::trUtf8$$$
    {60, 1406, 583},	// QsciLexerFortran::~QsciLexerFortran
    {61, 124, 611},	// QsciLexerFortran77::Comment
    {61, 135, 624},	// QsciLexerFortran77::Continuation
    {61, 144, 610},	// QsciLexerFortran77::Default
    {61, 153, 622},	// QsciLexerFortran77::DottedOperator
    {61, 155, 614},	// QsciLexerFortran77::DoubleQuotedString
    {61, 176, 620},	// QsciLexerFortran77::ExtendedFunction
    {61, 209, 617},	// QsciLexerFortran77::Identifier
    {61, 217, 619},	// QsciLexerFortran77::IntrinsicFunction
    {61, 233, 618},	// QsciLexerFortran77::Keyword
    {61, 243, 623},	// QsciLexerFortran77::Label
    {61, 295, 612},	// QsciLexerFortran77::Number
    {61, 299, 616},	// QsciLexerFortran77::Operator
    {61, 336, 621},	// QsciLexerFortran77::PreProcessor
    {61, 394, 608},	// QsciLexerFortran77::QsciLexerFortran77
    {61, 395, 591},	// QsciLexerFortran77::QsciLexerFortran77#
    {61, 639, 613},	// QsciLexerFortran77::SingleQuotedString
    {61, 692, 615},	// QsciLexerFortran77::UnclosedString
    {61, 770, 594},	// QsciLexerFortran77::braceStyle
    {61, 815, 595},	// QsciLexerFortran77::defaultColor$
    {61, 817, 596},	// QsciLexerFortran77::defaultEolFill$
    {61, 819, 597},	// QsciLexerFortran77::defaultFont$
    {61, 821, 598},	// QsciLexerFortran77::defaultPaper$
    {61, 825, 600},	// QsciLexerFortran77::description$
    {61, 880, 602},	// QsciLexerFortran77::foldCompact
    {61, 950, 599},	// QsciLexerFortran77::keywords$
    {61, 951, 592},	// QsciLexerFortran77::language
    {61, 956, 593},	// QsciLexerFortran77::lexer
    {61, 1005, 584},	// QsciLexerFortran77::metaObject
    {61, 1044, 590},	// QsciLexerFortran77::qt_metacall$$?
    {61, 1046, 585},	// QsciLexerFortran77::qt_metacast$
    {61, 1050, 604},	// QsciLexerFortran77::readProperties#$
    {61, 1059, 601},	// QsciLexerFortran77::refreshProperties
    {61, 1179, 603},	// QsciLexerFortran77::setFoldCompact$
    {61, 1329, 609},	// QsciLexerFortran77::staticMetaObject
    {61, 1350, 606},	// QsciLexerFortran77::tr$
    {61, 1351, 586},	// QsciLexerFortran77::tr$$
    {61, 1352, 588},	// QsciLexerFortran77::tr$$$
    {61, 1354, 607},	// QsciLexerFortran77::trUtf8$
    {61, 1355, 587},	// QsciLexerFortran77::trUtf8$$
    {61, 1356, 589},	// QsciLexerFortran77::trUtf8$$$
    {61, 1381, 605},	// QsciLexerFortran77::writeProperties#$
    {61, 1407, 625},	// QsciLexerFortran77::~QsciLexerFortran77
    {62, 11, 676},	// QsciLexerHTML::ASPAtStart
    {62, 12, 708},	// QsciLexerHTML::ASPJavaScriptComment
    {62, 13, 710},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {62, 14, 709},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {62, 15, 707},	// QsciLexerHTML::ASPJavaScriptDefault
    {62, 16, 714},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {62, 17, 713},	// QsciLexerHTML::ASPJavaScriptKeyword
    {62, 18, 711},	// QsciLexerHTML::ASPJavaScriptNumber
    {62, 19, 718},	// QsciLexerHTML::ASPJavaScriptRegex
    {62, 20, 715},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {62, 21, 706},	// QsciLexerHTML::ASPJavaScriptStart
    {62, 22, 716},	// QsciLexerHTML::ASPJavaScriptSymbol
    {62, 23, 717},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {62, 24, 712},	// QsciLexerHTML::ASPJavaScriptWord
    {62, 25, 757},	// QsciLexerHTML::ASPPythonClassName
    {62, 26, 750},	// QsciLexerHTML::ASPPythonComment
    {62, 27, 749},	// QsciLexerHTML::ASPPythonDefault
    {62, 28, 752},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {62, 29, 758},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {62, 30, 760},	// QsciLexerHTML::ASPPythonIdentifier
    {62, 31, 754},	// QsciLexerHTML::ASPPythonKeyword
    {62, 32, 751},	// QsciLexerHTML::ASPPythonNumber
    {62, 33, 759},	// QsciLexerHTML::ASPPythonOperator
    {62, 34, 753},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {62, 35, 748},	// QsciLexerHTML::ASPPythonStart
    {62, 36, 756},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {62, 37, 755},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {62, 38, 677},	// QsciLexerHTML::ASPStart
    {62, 39, 729},	// QsciLexerHTML::ASPVBScriptComment
    {62, 40, 728},	// QsciLexerHTML::ASPVBScriptDefault
    {62, 41, 733},	// QsciLexerHTML::ASPVBScriptIdentifier
    {62, 42, 731},	// QsciLexerHTML::ASPVBScriptKeyword
    {62, 43, 730},	// QsciLexerHTML::ASPVBScriptNumber
    {62, 44, 727},	// QsciLexerHTML::ASPVBScriptStart
    {62, 45, 732},	// QsciLexerHTML::ASPVBScriptString
    {62, 46, 734},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {62, 47, 681},	// QsciLexerHTML::ASPXCComment
    {62, 66, 664},	// QsciLexerHTML::Attribute
    {62, 100, 678},	// QsciLexerHTML::CDATA
    {62, 144, 661},	// QsciLexerHTML::Default
    {62, 166, 671},	// QsciLexerHTML::Entity
    {62, 192, 670},	// QsciLexerHTML::HTMLComment
    {62, 193, 667},	// QsciLexerHTML::HTMLDoubleQuotedString
    {62, 194, 666},	// QsciLexerHTML::HTMLNumber
    {62, 195, 668},	// QsciLexerHTML::HTMLSingleQuotedString
    {62, 196, 680},	// QsciLexerHTML::HTMLValue
    {62, 219, 695},	// QsciLexerHTML::JavaScriptComment
    {62, 220, 697},	// QsciLexerHTML::JavaScriptCommentDoc
    {62, 221, 696},	// QsciLexerHTML::JavaScriptCommentLine
    {62, 222, 694},	// QsciLexerHTML::JavaScriptDefault
    {62, 223, 701},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {62, 224, 700},	// QsciLexerHTML::JavaScriptKeyword
    {62, 225, 698},	// QsciLexerHTML::JavaScriptNumber
    {62, 226, 705},	// QsciLexerHTML::JavaScriptRegex
    {62, 227, 702},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {62, 228, 693},	// QsciLexerHTML::JavaScriptStart
    {62, 229, 703},	// QsciLexerHTML::JavaScriptSymbol
    {62, 230, 704},	// QsciLexerHTML::JavaScriptUnclosedString
    {62, 231, 699},	// QsciLexerHTML::JavaScriptWord
    {62, 301, 669},	// QsciLexerHTML::OtherInTag
    {62, 302, 767},	// QsciLexerHTML::PHPComment
    {62, 303, 768},	// QsciLexerHTML::PHPCommentLine
    {62, 304, 761},	// QsciLexerHTML::PHPDefault
    {62, 305, 762},	// QsciLexerHTML::PHPDoubleQuotedString
    {62, 306, 769},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {62, 307, 764},	// QsciLexerHTML::PHPKeyword
    {62, 308, 765},	// QsciLexerHTML::PHPNumber
    {62, 309, 770},	// QsciLexerHTML::PHPOperator
    {62, 310, 763},	// QsciLexerHTML::PHPSingleQuotedString
    {62, 311, 679},	// QsciLexerHTML::PHPStart
    {62, 312, 766},	// QsciLexerHTML::PHPVariable
    {62, 345, 744},	// QsciLexerHTML::PythonClassName
    {62, 346, 737},	// QsciLexerHTML::PythonComment
    {62, 347, 736},	// QsciLexerHTML::PythonDefault
    {62, 348, 739},	// QsciLexerHTML::PythonDoubleQuotedString
    {62, 349, 745},	// QsciLexerHTML::PythonFunctionMethodName
    {62, 350, 747},	// QsciLexerHTML::PythonIdentifier
    {62, 351, 741},	// QsciLexerHTML::PythonKeyword
    {62, 352, 738},	// QsciLexerHTML::PythonNumber
    {62, 353, 746},	// QsciLexerHTML::PythonOperator
    {62, 354, 740},	// QsciLexerHTML::PythonSingleQuotedString
    {62, 355, 735},	// QsciLexerHTML::PythonStart
    {62, 356, 743},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {62, 357, 742},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {62, 396, 659},	// QsciLexerHTML::QsciLexerHTML
    {62, 397, 633},	// QsciLexerHTML::QsciLexerHTML#
    {62, 610, 692},	// QsciLexerHTML::SGMLBlockDefault
    {62, 611, 683},	// QsciLexerHTML::SGMLCommand
    {62, 612, 690},	// QsciLexerHTML::SGMLComment
    {62, 613, 682},	// QsciLexerHTML::SGMLDefault
    {62, 614, 685},	// QsciLexerHTML::SGMLDoubleQuotedString
    {62, 615, 689},	// QsciLexerHTML::SGMLEntity
    {62, 616, 687},	// QsciLexerHTML::SGMLError
    {62, 617, 684},	// QsciLexerHTML::SGMLParameter
    {62, 618, 691},	// QsciLexerHTML::SGMLParameterComment
    {62, 619, 686},	// QsciLexerHTML::SGMLSingleQuotedString
    {62, 620, 688},	// QsciLexerHTML::SGMLSpecial
    {62, 623, 675},	// QsciLexerHTML::Script
    {62, 676, 662},	// QsciLexerHTML::Tag
    {62, 693, 665},	// QsciLexerHTML::UnknownAttribute
    {62, 696, 663},	// QsciLexerHTML::UnknownTag
    {62, 698, 721},	// QsciLexerHTML::VBScriptComment
    {62, 699, 720},	// QsciLexerHTML::VBScriptDefault
    {62, 700, 725},	// QsciLexerHTML::VBScriptIdentifier
    {62, 701, 723},	// QsciLexerHTML::VBScriptKeyword
    {62, 702, 722},	// QsciLexerHTML::VBScriptNumber
    {62, 703, 719},	// QsciLexerHTML::VBScriptStart
    {62, 704, 724},	// QsciLexerHTML::VBScriptString
    {62, 705, 726},	// QsciLexerHTML::VBScriptUnclosedString
    {62, 721, 674},	// QsciLexerHTML::XMLEnd
    {62, 722, 673},	// QsciLexerHTML::XMLStart
    {62, 723, 672},	// QsciLexerHTML::XMLTagEnd
    {62, 748, 636},	// QsciLexerHTML::autoCompletionFillups
    {62, 781, 647},	// QsciLexerHTML::caseSensitiveTags
    {62, 815, 638},	// QsciLexerHTML::defaultColor$
    {62, 817, 639},	// QsciLexerHTML::defaultEolFill$
    {62, 819, 640},	// QsciLexerHTML::defaultFont$
    {62, 821, 641},	// QsciLexerHTML::defaultPaper$
    {62, 825, 643},	// QsciLexerHTML::description$
    {62, 880, 645},	// QsciLexerHTML::foldCompact
    {62, 886, 646},	// QsciLexerHTML::foldPreprocessor
    {62, 888, 649},	// QsciLexerHTML::foldScriptComments
    {62, 889, 651},	// QsciLexerHTML::foldScriptHeredocs
    {62, 950, 642},	// QsciLexerHTML::keywords$
    {62, 951, 634},	// QsciLexerHTML::language
    {62, 956, 635},	// QsciLexerHTML::lexer
    {62, 1005, 626},	// QsciLexerHTML::metaObject
    {62, 1044, 632},	// QsciLexerHTML::qt_metacall$$?
    {62, 1046, 627},	// QsciLexerHTML::qt_metacast$
    {62, 1050, 655},	// QsciLexerHTML::readProperties#$
    {62, 1059, 644},	// QsciLexerHTML::refreshProperties
    {62, 1135, 654},	// QsciLexerHTML::setCaseSensitiveTags$
    {62, 1179, 652},	// QsciLexerHTML::setFoldCompact$
    {62, 1189, 653},	// QsciLexerHTML::setFoldPreprocessor$
    {62, 1193, 648},	// QsciLexerHTML::setFoldScriptComments$
    {62, 1195, 650},	// QsciLexerHTML::setFoldScriptHeredocs$
    {62, 1329, 660},	// QsciLexerHTML::staticMetaObject
    {62, 1350, 657},	// QsciLexerHTML::tr$
    {62, 1351, 628},	// QsciLexerHTML::tr$$
    {62, 1352, 630},	// QsciLexerHTML::tr$$$
    {62, 1354, 658},	// QsciLexerHTML::trUtf8$
    {62, 1355, 629},	// QsciLexerHTML::trUtf8$$
    {62, 1356, 631},	// QsciLexerHTML::trUtf8$$$
    {62, 1376, 637},	// QsciLexerHTML::wordCharacters
    {62, 1381, 656},	// QsciLexerHTML::writeProperties#$
    {62, 1408, 771},	// QsciLexerHTML::~QsciLexerHTML
    {63, 398, 786},	// QsciLexerIDL::QsciLexerIDL
    {63, 399, 779},	// QsciLexerIDL::QsciLexerIDL#
    {63, 815, 781},	// QsciLexerIDL::defaultColor$
    {63, 825, 783},	// QsciLexerIDL::description$
    {63, 950, 782},	// QsciLexerIDL::keywords$
    {63, 951, 780},	// QsciLexerIDL::language
    {63, 1005, 772},	// QsciLexerIDL::metaObject
    {63, 1044, 778},	// QsciLexerIDL::qt_metacall$$?
    {63, 1046, 773},	// QsciLexerIDL::qt_metacast$
    {63, 1329, 787},	// QsciLexerIDL::staticMetaObject
    {63, 1350, 784},	// QsciLexerIDL::tr$
    {63, 1351, 774},	// QsciLexerIDL::tr$$
    {63, 1352, 776},	// QsciLexerIDL::tr$$$
    {63, 1354, 785},	// QsciLexerIDL::trUtf8$
    {63, 1355, 775},	// QsciLexerIDL::trUtf8$$
    {63, 1356, 777},	// QsciLexerIDL::trUtf8$$$
    {63, 1409, 788},	// QsciLexerIDL::~QsciLexerIDL
    {64, 400, 801},	// QsciLexerJava::QsciLexerJava
    {64, 401, 796},	// QsciLexerJava::QsciLexerJava#
    {64, 950, 798},	// QsciLexerJava::keywords$
    {64, 951, 797},	// QsciLexerJava::language
    {64, 1005, 789},	// QsciLexerJava::metaObject
    {64, 1044, 795},	// QsciLexerJava::qt_metacall$$?
    {64, 1046, 790},	// QsciLexerJava::qt_metacast$
    {64, 1329, 802},	// QsciLexerJava::staticMetaObject
    {64, 1350, 799},	// QsciLexerJava::tr$
    {64, 1351, 791},	// QsciLexerJava::tr$$
    {64, 1352, 793},	// QsciLexerJava::tr$$$
    {64, 1354, 800},	// QsciLexerJava::trUtf8$
    {64, 1355, 792},	// QsciLexerJava::trUtf8$$
    {64, 1356, 794},	// QsciLexerJava::trUtf8$$$
    {64, 1410, 803},	// QsciLexerJava::~QsciLexerJava
    {65, 402, 821},	// QsciLexerJavaScript::QsciLexerJavaScript
    {65, 403, 811},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {65, 815, 813},	// QsciLexerJavaScript::defaultColor$
    {65, 817, 814},	// QsciLexerJavaScript::defaultEolFill$
    {65, 819, 815},	// QsciLexerJavaScript::defaultFont$
    {65, 821, 816},	// QsciLexerJavaScript::defaultPaper$
    {65, 825, 818},	// QsciLexerJavaScript::description$
    {65, 950, 817},	// QsciLexerJavaScript::keywords$
    {65, 951, 812},	// QsciLexerJavaScript::language
    {65, 1005, 804},	// QsciLexerJavaScript::metaObject
    {65, 1044, 810},	// QsciLexerJavaScript::qt_metacall$$?
    {65, 1046, 805},	// QsciLexerJavaScript::qt_metacast$
    {65, 1329, 822},	// QsciLexerJavaScript::staticMetaObject
    {65, 1350, 819},	// QsciLexerJavaScript::tr$
    {65, 1351, 806},	// QsciLexerJavaScript::tr$$
    {65, 1352, 808},	// QsciLexerJavaScript::tr$$$
    {65, 1354, 820},	// QsciLexerJavaScript::trUtf8$
    {65, 1355, 807},	// QsciLexerJavaScript::trUtf8$$
    {65, 1356, 809},	// QsciLexerJavaScript::trUtf8$$$
    {65, 1411, 823},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {66, 85, 865},	// QsciLexerLua::BasicFunctions
    {66, 109, 859},	// QsciLexerLua::Character
    {66, 124, 854},	// QsciLexerLua::Comment
    {66, 136, 867},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {66, 144, 853},	// QsciLexerLua::Default
    {66, 209, 863},	// QsciLexerLua::Identifier
    {66, 233, 857},	// QsciLexerLua::Keyword
    {66, 274, 855},	// QsciLexerLua::LineComment
    {66, 277, 860},	// QsciLexerLua::LiteralString
    {66, 295, 856},	// QsciLexerLua::Number
    {66, 299, 862},	// QsciLexerLua::Operator
    {66, 340, 861},	// QsciLexerLua::Preprocessor
    {66, 404, 850},	// QsciLexerLua::QsciLexerLua
    {66, 405, 831},	// QsciLexerLua::QsciLexerLua#
    {66, 655, 858},	// QsciLexerLua::String
    {66, 658, 866},	// QsciLexerLua::StringTableMathsFunctions
    {66, 692, 864},	// QsciLexerLua::UnclosedString
    {66, 756, 834},	// QsciLexerLua::autoCompletionWordSeparators
    {66, 765, 851},	// QsciLexerLua::blockStart
    {66, 766, 835},	// QsciLexerLua::blockStart$
    {66, 770, 836},	// QsciLexerLua::braceStyle
    {66, 815, 837},	// QsciLexerLua::defaultColor$
    {66, 817, 838},	// QsciLexerLua::defaultEolFill$
    {66, 819, 839},	// QsciLexerLua::defaultFont$
    {66, 821, 840},	// QsciLexerLua::defaultPaper$
    {66, 825, 842},	// QsciLexerLua::description$
    {66, 880, 844},	// QsciLexerLua::foldCompact
    {66, 950, 841},	// QsciLexerLua::keywords$
    {66, 951, 832},	// QsciLexerLua::language
    {66, 956, 833},	// QsciLexerLua::lexer
    {66, 1005, 824},	// QsciLexerLua::metaObject
    {66, 1044, 830},	// QsciLexerLua::qt_metacall$$?
    {66, 1046, 825},	// QsciLexerLua::qt_metacast$
    {66, 1050, 846},	// QsciLexerLua::readProperties#$
    {66, 1059, 843},	// QsciLexerLua::refreshProperties
    {66, 1179, 845},	// QsciLexerLua::setFoldCompact$
    {66, 1329, 852},	// QsciLexerLua::staticMetaObject
    {66, 1350, 848},	// QsciLexerLua::tr$
    {66, 1351, 826},	// QsciLexerLua::tr$$
    {66, 1352, 828},	// QsciLexerLua::tr$$$
    {66, 1354, 849},	// QsciLexerLua::trUtf8$
    {66, 1355, 827},	// QsciLexerLua::trUtf8$$
    {66, 1356, 829},	// QsciLexerLua::trUtf8$$$
    {66, 1381, 847},	// QsciLexerLua::writeProperties#$
    {66, 1412, 868},	// QsciLexerLua::~QsciLexerLua
    {67, 124, 890},	// QsciLexerMakefile::Comment
    {67, 144, 889},	// QsciLexerMakefile::Default
    {67, 172, 895},	// QsciLexerMakefile::Error
    {67, 299, 893},	// QsciLexerMakefile::Operator
    {67, 340, 891},	// QsciLexerMakefile::Preprocessor
    {67, 406, 887},	// QsciLexerMakefile::QsciLexerMakefile
    {67, 407, 876},	// QsciLexerMakefile::QsciLexerMakefile#
    {67, 677, 894},	// QsciLexerMakefile::Target
    {67, 708, 892},	// QsciLexerMakefile::Variable
    {67, 815, 880},	// QsciLexerMakefile::defaultColor$
    {67, 817, 881},	// QsciLexerMakefile::defaultEolFill$
    {67, 819, 882},	// QsciLexerMakefile::defaultFont$
    {67, 821, 883},	// QsciLexerMakefile::defaultPaper$
    {67, 825, 884},	// QsciLexerMakefile::description$
    {67, 951, 877},	// QsciLexerMakefile::language
    {67, 956, 878},	// QsciLexerMakefile::lexer
    {67, 1005, 869},	// QsciLexerMakefile::metaObject
    {67, 1044, 875},	// QsciLexerMakefile::qt_metacall$$?
    {67, 1046, 870},	// QsciLexerMakefile::qt_metacast$
    {67, 1329, 888},	// QsciLexerMakefile::staticMetaObject
    {67, 1350, 885},	// QsciLexerMakefile::tr$
    {67, 1351, 871},	// QsciLexerMakefile::tr$$
    {67, 1352, 873},	// QsciLexerMakefile::tr$$$
    {67, 1354, 886},	// QsciLexerMakefile::trUtf8$
    {67, 1355, 872},	// QsciLexerMakefile::trUtf8$$
    {67, 1356, 874},	// QsciLexerMakefile::trUtf8$$$
    {67, 1376, 879},	// QsciLexerMakefile::wordCharacters
    {67, 1413, 896},	// QsciLexerMakefile::~QsciLexerMakefile
    {68, 82, 937},	// QsciLexerPOV::BadDirective
    {68, 124, 929},	// QsciLexerPOV::Comment
    {68, 130, 930},	// QsciLexerPOV::CommentLine
    {68, 144, 928},	// QsciLexerPOV::Default
    {68, 151, 936},	// QsciLexerPOV::Directive
    {68, 209, 933},	// QsciLexerPOV::Identifier
    {68, 239, 942},	// QsciLexerPOV::KeywordSet6
    {68, 240, 943},	// QsciLexerPOV::KeywordSet7
    {68, 241, 944},	// QsciLexerPOV::KeywordSet8
    {68, 295, 931},	// QsciLexerPOV::Number
    {68, 297, 938},	// QsciLexerPOV::ObjectsCSGAppearance
    {68, 299, 932},	// QsciLexerPOV::Operator
    {68, 338, 941},	// QsciLexerPOV::PredefinedFunctions
    {68, 339, 940},	// QsciLexerPOV::PredefinedIdentifiers
    {68, 408, 926},	// QsciLexerPOV::QsciLexerPOV
    {68, 409, 904},	// QsciLexerPOV::QsciLexerPOV#
    {68, 655, 934},	// QsciLexerPOV::String
    {68, 690, 939},	// QsciLexerPOV::TypesModifiersItems
    {68, 692, 935},	// QsciLexerPOV::UnclosedString
    {68, 770, 907},	// QsciLexerPOV::braceStyle
    {68, 815, 909},	// QsciLexerPOV::defaultColor$
    {68, 817, 910},	// QsciLexerPOV::defaultEolFill$
    {68, 819, 911},	// QsciLexerPOV::defaultFont$
    {68, 821, 912},	// QsciLexerPOV::defaultPaper$
    {68, 825, 914},	// QsciLexerPOV::description$
    {68, 879, 916},	// QsciLexerPOV::foldComments
    {68, 880, 917},	// QsciLexerPOV::foldCompact
    {68, 881, 918},	// QsciLexerPOV::foldDirectives
    {68, 950, 913},	// QsciLexerPOV::keywords$
    {68, 951, 905},	// QsciLexerPOV::language
    {68, 956, 906},	// QsciLexerPOV::lexer
    {68, 1005, 897},	// QsciLexerPOV::metaObject
    {68, 1044, 903},	// QsciLexerPOV::qt_metacall$$?
    {68, 1046, 898},	// QsciLexerPOV::qt_metacast$
    {68, 1050, 922},	// QsciLexerPOV::readProperties#$
    {68, 1059, 915},	// QsciLexerPOV::refreshProperties
    {68, 1177, 919},	// QsciLexerPOV::setFoldComments$
    {68, 1179, 920},	// QsciLexerPOV::setFoldCompact$
    {68, 1181, 921},	// QsciLexerPOV::setFoldDirectives$
    {68, 1329, 927},	// QsciLexerPOV::staticMetaObject
    {68, 1350, 924},	// QsciLexerPOV::tr$
    {68, 1351, 899},	// QsciLexerPOV::tr$$
    {68, 1352, 901},	// QsciLexerPOV::tr$$$
    {68, 1354, 925},	// QsciLexerPOV::trUtf8$
    {68, 1355, 900},	// QsciLexerPOV::trUtf8$$
    {68, 1356, 902},	// QsciLexerPOV::trUtf8$$$
    {68, 1376, 908},	// QsciLexerPOV::wordCharacters
    {68, 1381, 923},	// QsciLexerPOV::writeProperties#$
    {68, 1414, 945},	// QsciLexerPOV::~QsciLexerPOV
    {69, 63, 999},	// QsciLexerPascal::Asm
    {69, 109, 997},	// QsciLexerPascal::Character
    {69, 124, 987},	// QsciLexerPascal::Comment
    {69, 130, 989},	// QsciLexerPascal::CommentLine
    {69, 134, 988},	// QsciLexerPascal::CommentParenthesis
    {69, 144, 985},	// QsciLexerPascal::Default
    {69, 201, 993},	// QsciLexerPascal::HexNumber
    {69, 209, 986},	// QsciLexerPascal::Identifier
    {69, 233, 994},	// QsciLexerPascal::Keyword
    {69, 295, 992},	// QsciLexerPascal::Number
    {69, 299, 998},	// QsciLexerPascal::Operator
    {69, 336, 990},	// QsciLexerPascal::PreProcessor
    {69, 337, 991},	// QsciLexerPascal::PreProcessorParenthesis
    {69, 410, 980},	// QsciLexerPascal::QsciLexerPascal
    {69, 411, 953},	// QsciLexerPascal::QsciLexerPascal#
    {69, 639, 995},	// QsciLexerPascal::SingleQuotedString
    {69, 692, 996},	// QsciLexerPascal::UnclosedString
    {69, 756, 956},	// QsciLexerPascal::autoCompletionWordSeparators
    {69, 762, 981},	// QsciLexerPascal::blockEnd
    {69, 763, 957},	// QsciLexerPascal::blockEnd$
    {69, 765, 982},	// QsciLexerPascal::blockStart
    {69, 766, 958},	// QsciLexerPascal::blockStart$
    {69, 767, 983},	// QsciLexerPascal::blockStartKeyword
    {69, 768, 959},	// QsciLexerPascal::blockStartKeyword$
    {69, 770, 960},	// QsciLexerPascal::braceStyle
    {69, 815, 961},	// QsciLexerPascal::defaultColor$
    {69, 817, 962},	// QsciLexerPascal::defaultEolFill$
    {69, 819, 963},	// QsciLexerPascal::defaultFont$
    {69, 821, 964},	// QsciLexerPascal::defaultPaper$
    {69, 825, 966},	// QsciLexerPascal::description$
    {69, 879, 968},	// QsciLexerPascal::foldComments
    {69, 880, 969},	// QsciLexerPascal::foldCompact
    {69, 886, 970},	// QsciLexerPascal::foldPreprocessor
    {69, 950, 965},	// QsciLexerPascal::keywords$
    {69, 951, 954},	// QsciLexerPascal::language
    {69, 956, 955},	// QsciLexerPascal::lexer
    {69, 1005, 946},	// QsciLexerPascal::metaObject
    {69, 1044, 952},	// QsciLexerPascal::qt_metacall$$?
    {69, 1046, 947},	// QsciLexerPascal::qt_metacast$
    {69, 1050, 976},	// QsciLexerPascal::readProperties#$
    {69, 1059, 967},	// QsciLexerPascal::refreshProperties
    {69, 1177, 973},	// QsciLexerPascal::setFoldComments$
    {69, 1179, 974},	// QsciLexerPascal::setFoldCompact$
    {69, 1189, 975},	// QsciLexerPascal::setFoldPreprocessor$
    {69, 1281, 971},	// QsciLexerPascal::setSmartHighlighting$
    {69, 1323, 972},	// QsciLexerPascal::smartHighlighting
    {69, 1329, 984},	// QsciLexerPascal::staticMetaObject
    {69, 1350, 978},	// QsciLexerPascal::tr$
    {69, 1351, 948},	// QsciLexerPascal::tr$$
    {69, 1352, 950},	// QsciLexerPascal::tr$$$
    {69, 1354, 979},	// QsciLexerPascal::trUtf8$
    {69, 1355, 949},	// QsciLexerPascal::trUtf8$$
    {69, 1356, 951},	// QsciLexerPascal::trUtf8$$$
    {69, 1381, 977},	// QsciLexerPascal::writeProperties#$
    {69, 1415, 1000},	// QsciLexerPascal::~QsciLexerPascal
    {70, 61, 1046},	// QsciLexerPerl::Array
    {70, 80, 1056},	// QsciLexerPerl::BacktickHereDocument
    {70, 81, 1051},	// QsciLexerPerl::Backticks
    {70, 124, 1037},	// QsciLexerPerl::Comment
    {70, 142, 1052},	// QsciLexerPerl::DataSection
    {70, 144, 1035},	// QsciLexerPerl::Default
    {70, 154, 1055},	// QsciLexerPerl::DoubleQuotedHereDocument
    {70, 155, 1041},	// QsciLexerPerl::DoubleQuotedString
    {70, 172, 1036},	// QsciLexerPerl::Error
    {70, 183, 1065},	// QsciLexerPerl::FormatBody
    {70, 184, 1064},	// QsciLexerPerl::FormatIdentifier
    {70, 197, 1047},	// QsciLexerPerl::Hash
    {70, 200, 1053},	// QsciLexerPerl::HereDocumentDelimiter
    {70, 209, 1044},	// QsciLexerPerl::Identifier
    {70, 233, 1040},	// QsciLexerPerl::Keyword
    {70, 295, 1039},	// QsciLexerPerl::Number
    {70, 299, 1043},	// QsciLexerPerl::Operator
    {70, 313, 1038},	// QsciLexerPerl::POD
    {70, 314, 1062},	// QsciLexerPerl::PODVerbatim
    {70, 412, 1033},	// QsciLexerPerl::QsciLexerPerl
    {70, 413, 1008},	// QsciLexerPerl::QsciLexerPerl#
    {70, 459, 1057},	// QsciLexerPerl::QuotedStringQ
    {70, 460, 1058},	// QsciLexerPerl::QuotedStringQQ
    {70, 461, 1060},	// QsciLexerPerl::QuotedStringQR
    {70, 462, 1061},	// QsciLexerPerl::QuotedStringQW
    {70, 463, 1059},	// QsciLexerPerl::QuotedStringQX
    {70, 467, 1049},	// QsciLexerPerl::Regex
    {70, 621, 1045},	// QsciLexerPerl::Scalar
    {70, 638, 1054},	// QsciLexerPerl::SingleQuotedHereDocument
    {70, 639, 1042},	// QsciLexerPerl::SingleQuotedString
    {70, 661, 1063},	// QsciLexerPerl::SubroutinePrototype
    {70, 662, 1050},	// QsciLexerPerl::Substitution
    {70, 669, 1048},	// QsciLexerPerl::SymbolTable
    {70, 756, 1011},	// QsciLexerPerl::autoCompletionWordSeparators
    {70, 770, 1012},	// QsciLexerPerl::braceStyle
    {70, 815, 1014},	// QsciLexerPerl::defaultColor$
    {70, 817, 1015},	// QsciLexerPerl::defaultEolFill$
    {70, 819, 1016},	// QsciLexerPerl::defaultFont$
    {70, 821, 1017},	// QsciLexerPerl::defaultPaper$
    {70, 825, 1019},	// QsciLexerPerl::description$
    {70, 879, 1021},	// QsciLexerPerl::foldComments
    {70, 880, 1022},	// QsciLexerPerl::foldCompact
    {70, 884, 1026},	// QsciLexerPerl::foldPODBlocks
    {70, 885, 1024},	// QsciLexerPerl::foldPackages
    {70, 950, 1018},	// QsciLexerPerl::keywords$
    {70, 951, 1009},	// QsciLexerPerl::language
    {70, 956, 1010},	// QsciLexerPerl::lexer
    {70, 1005, 1001},	// QsciLexerPerl::metaObject
    {70, 1044, 1007},	// QsciLexerPerl::qt_metacall$$?
    {70, 1046, 1002},	// QsciLexerPerl::qt_metacast$
    {70, 1050, 1029},	// QsciLexerPerl::readProperties#$
    {70, 1059, 1020},	// QsciLexerPerl::refreshProperties
    {70, 1177, 1027},	// QsciLexerPerl::setFoldComments$
    {70, 1179, 1028},	// QsciLexerPerl::setFoldCompact$
    {70, 1185, 1025},	// QsciLexerPerl::setFoldPODBlocks$
    {70, 1187, 1023},	// QsciLexerPerl::setFoldPackages$
    {70, 1329, 1034},	// QsciLexerPerl::staticMetaObject
    {70, 1350, 1031},	// QsciLexerPerl::tr$
    {70, 1351, 1003},	// QsciLexerPerl::tr$$
    {70, 1352, 1005},	// QsciLexerPerl::tr$$$
    {70, 1354, 1032},	// QsciLexerPerl::trUtf8$
    {70, 1355, 1004},	// QsciLexerPerl::trUtf8$$
    {70, 1356, 1006},	// QsciLexerPerl::trUtf8$$$
    {70, 1376, 1013},	// QsciLexerPerl::wordCharacters
    {70, 1381, 1030},	// QsciLexerPerl::writeProperties#$
    {70, 1416, 1066},	// QsciLexerPerl::~QsciLexerPerl
    {71, 62, 1107},	// QsciLexerPostScript::ArrayParenthesis
    {71, 83, 1113},	// QsciLexerPostScript::BadStringCharacter
    {71, 84, 1112},	// QsciLexerPostScript::Base85String
    {71, 124, 1099},	// QsciLexerPostScript::Comment
    {71, 140, 1100},	// QsciLexerPostScript::DSCComment
    {71, 141, 1101},	// QsciLexerPostScript::DSCCommentValue
    {71, 144, 1098},	// QsciLexerPostScript::Default
    {71, 149, 1108},	// QsciLexerPostScript::DictionaryParenthesis
    {71, 202, 1111},	// QsciLexerPostScript::HexString
    {71, 212, 1106},	// QsciLexerPostScript::ImmediateEvalLiteral
    {71, 233, 1104},	// QsciLexerPostScript::Keyword
    {71, 276, 1105},	// QsciLexerPostScript::Literal
    {71, 289, 1103},	// QsciLexerPostScript::Name
    {71, 295, 1102},	// QsciLexerPostScript::Number
    {71, 342, 1109},	// QsciLexerPostScript::ProcedureParenthesis
    {71, 414, 1096},	// QsciLexerPostScript::QsciLexerPostScript
    {71, 415, 1074},	// QsciLexerPostScript::QsciLexerPostScript#
    {71, 678, 1110},	// QsciLexerPostScript::Text
    {71, 770, 1077},	// QsciLexerPostScript::braceStyle
    {71, 815, 1078},	// QsciLexerPostScript::defaultColor$
    {71, 819, 1079},	// QsciLexerPostScript::defaultFont$
    {71, 821, 1080},	// QsciLexerPostScript::defaultPaper$
    {71, 825, 1082},	// QsciLexerPostScript::description$
    {71, 877, 1087},	// QsciLexerPostScript::foldAtElse
    {71, 880, 1086},	// QsciLexerPostScript::foldCompact
    {71, 950, 1081},	// QsciLexerPostScript::keywords$
    {71, 951, 1075},	// QsciLexerPostScript::language
    {71, 955, 1085},	// QsciLexerPostScript::level
    {71, 956, 1076},	// QsciLexerPostScript::lexer
    {71, 1005, 1067},	// QsciLexerPostScript::metaObject
    {71, 1044, 1073},	// QsciLexerPostScript::qt_metacall$$?
    {71, 1046, 1068},	// QsciLexerPostScript::qt_metacast$
    {71, 1050, 1092},	// QsciLexerPostScript::readProperties#$
    {71, 1059, 1083},	// QsciLexerPostScript::refreshProperties
    {71, 1173, 1091},	// QsciLexerPostScript::setFoldAtElse$
    {71, 1179, 1090},	// QsciLexerPostScript::setFoldCompact$
    {71, 1227, 1089},	// QsciLexerPostScript::setLevel$
    {71, 1296, 1088},	// QsciLexerPostScript::setTokenize$
    {71, 1329, 1097},	// QsciLexerPostScript::staticMetaObject
    {71, 1348, 1084},	// QsciLexerPostScript::tokenize
    {71, 1350, 1094},	// QsciLexerPostScript::tr$
    {71, 1351, 1069},	// QsciLexerPostScript::tr$$
    {71, 1352, 1071},	// QsciLexerPostScript::tr$$$
    {71, 1354, 1095},	// QsciLexerPostScript::trUtf8$
    {71, 1355, 1070},	// QsciLexerPostScript::trUtf8$$
    {71, 1356, 1072},	// QsciLexerPostScript::trUtf8$$$
    {71, 1381, 1093},	// QsciLexerPostScript::writeProperties#$
    {71, 1417, 1114},	// QsciLexerPostScript::~QsciLexerPostScript
    {72, 64, 1143},	// QsciLexerProperties::Assignment
    {72, 124, 1141},	// QsciLexerProperties::Comment
    {72, 144, 1140},	// QsciLexerProperties::Default
    {72, 145, 1144},	// QsciLexerProperties::DefaultValue
    {72, 232, 1145},	// QsciLexerProperties::Key
    {72, 416, 1138},	// QsciLexerProperties::QsciLexerProperties
    {72, 417, 1122},	// QsciLexerProperties::QsciLexerProperties#
    {72, 624, 1142},	// QsciLexerProperties::Section
    {72, 815, 1126},	// QsciLexerProperties::defaultColor$
    {72, 817, 1127},	// QsciLexerProperties::defaultEolFill$
    {72, 819, 1128},	// QsciLexerProperties::defaultFont$
    {72, 821, 1129},	// QsciLexerProperties::defaultPaper$
    {72, 825, 1130},	// QsciLexerProperties::description$
    {72, 880, 1132},	// QsciLexerProperties::foldCompact
    {72, 951, 1123},	// QsciLexerProperties::language
    {72, 956, 1124},	// QsciLexerProperties::lexer
    {72, 1005, 1115},	// QsciLexerProperties::metaObject
    {72, 1044, 1121},	// QsciLexerProperties::qt_metacall$$?
    {72, 1046, 1116},	// QsciLexerProperties::qt_metacast$
    {72, 1050, 1134},	// QsciLexerProperties::readProperties#$
    {72, 1059, 1131},	// QsciLexerProperties::refreshProperties
    {72, 1179, 1133},	// QsciLexerProperties::setFoldCompact$
    {72, 1329, 1139},	// QsciLexerProperties::staticMetaObject
    {72, 1350, 1136},	// QsciLexerProperties::tr$
    {72, 1351, 1117},	// QsciLexerProperties::tr$$
    {72, 1352, 1119},	// QsciLexerProperties::tr$$$
    {72, 1354, 1137},	// QsciLexerProperties::trUtf8$
    {72, 1355, 1118},	// QsciLexerProperties::trUtf8$$
    {72, 1356, 1120},	// QsciLexerProperties::trUtf8$$$
    {72, 1376, 1125},	// QsciLexerProperties::wordCharacters
    {72, 1381, 1135},	// QsciLexerProperties::writeProperties#$
    {72, 1418, 1146},	// QsciLexerProperties::~QsciLexerProperties
    {73, 118, 1196},	// QsciLexerPython::ClassName
    {73, 124, 1189},	// QsciLexerPython::Comment
    {73, 125, 1200},	// QsciLexerPython::CommentBlock
    {73, 143, 1203},	// QsciLexerPython::Decorator
    {73, 144, 1188},	// QsciLexerPython::Default
    {73, 155, 1191},	// QsciLexerPython::DoubleQuotedString
    {73, 186, 1197},	// QsciLexerPython::FunctionMethodName
    {73, 206, 1202},	// QsciLexerPython::HighlightedIdentifier
    {73, 209, 1199},	// QsciLexerPython::Identifier
    {73, 215, 1205},	// QsciLexerPython::Inconsistent
    {73, 233, 1193},	// QsciLexerPython::Keyword
    {73, 294, 1204},	// QsciLexerPython::NoWarning
    {73, 295, 1190},	// QsciLexerPython::Number
    {73, 299, 1198},	// QsciLexerPython::Operator
    {73, 418, 1185},	// QsciLexerPython::QsciLexerPython
    {73, 419, 1154},	// QsciLexerPython::QsciLexerPython#
    {73, 639, 1192},	// QsciLexerPython::SingleQuotedString
    {73, 643, 1207},	// QsciLexerPython::Spaces
    {73, 674, 1208},	// QsciLexerPython::Tabs
    {73, 675, 1206},	// QsciLexerPython::TabsAfterSpaces
    {73, 687, 1195},	// QsciLexerPython::TripleDoubleQuotedString
    {73, 688, 1194},	// QsciLexerPython::TripleSingleQuotedString
    {73, 692, 1201},	// QsciLexerPython::UnclosedString
    {73, 756, 1157},	// QsciLexerPython::autoCompletionWordSeparators
    {73, 764, 1158},	// QsciLexerPython::blockLookback
    {73, 765, 1186},	// QsciLexerPython::blockStart
    {73, 766, 1159},	// QsciLexerPython::blockStart$
    {73, 770, 1160},	// QsciLexerPython::braceStyle
    {73, 815, 1161},	// QsciLexerPython::defaultColor$
    {73, 817, 1162},	// QsciLexerPython::defaultEolFill$
    {73, 819, 1163},	// QsciLexerPython::defaultFont$
    {73, 821, 1164},	// QsciLexerPython::defaultPaper$
    {73, 825, 1167},	// QsciLexerPython::description$
    {73, 879, 1169},	// QsciLexerPython::foldComments
    {73, 887, 1170},	// QsciLexerPython::foldQuotes
    {73, 912, 1165},	// QsciLexerPython::indentationGuideView
    {73, 914, 1171},	// QsciLexerPython::indentationWarning
    {73, 950, 1166},	// QsciLexerPython::keywords$
    {73, 951, 1155},	// QsciLexerPython::language
    {73, 956, 1156},	// QsciLexerPython::lexer
    {73, 1005, 1147},	// QsciLexerPython::metaObject
    {73, 1044, 1153},	// QsciLexerPython::qt_metacall$$?
    {73, 1046, 1148},	// QsciLexerPython::qt_metacast$
    {73, 1050, 1181},	// QsciLexerPython::readProperties#$
    {73, 1059, 1168},	// QsciLexerPython::refreshProperties
    {73, 1177, 1178},	// QsciLexerPython::setFoldComments$
    {73, 1191, 1179},	// QsciLexerPython::setFoldQuotes$
    {73, 1213, 1180},	// QsciLexerPython::setIndentationWarning$
    {73, 1304, 1172},	// QsciLexerPython::setV2UnicodeAllowed$
    {73, 1306, 1174},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {73, 1308, 1176},	// QsciLexerPython::setV3BytesAllowed$
    {73, 1329, 1187},	// QsciLexerPython::staticMetaObject
    {73, 1350, 1183},	// QsciLexerPython::tr$
    {73, 1351, 1149},	// QsciLexerPython::tr$$
    {73, 1352, 1151},	// QsciLexerPython::tr$$$
    {73, 1354, 1184},	// QsciLexerPython::trUtf8$
    {73, 1355, 1150},	// QsciLexerPython::trUtf8$$
    {73, 1356, 1152},	// QsciLexerPython::trUtf8$$$
    {73, 1364, 1173},	// QsciLexerPython::v2UnicodeAllowed
    {73, 1365, 1175},	// QsciLexerPython::v3BinaryOctalAllowed
    {73, 1366, 1177},	// QsciLexerPython::v3BytesAllowed
    {73, 1381, 1182},	// QsciLexerPython::writeProperties#$
    {73, 1419, 1209},	// QsciLexerPython::~QsciLexerPython
    {74, 81, 1255},	// QsciLexerRuby::Backticks
    {74, 118, 1245},	// QsciLexerRuby::ClassName
    {74, 120, 1254},	// QsciLexerRuby::ClassVariable
    {74, 124, 1239},	// QsciLexerRuby::Comment
    {74, 142, 1256},	// QsciLexerRuby::DataSection
    {74, 144, 1237},	// QsciLexerRuby::Default
    {74, 146, 1264},	// QsciLexerRuby::DemotedKeyword
    {74, 155, 1243},	// QsciLexerRuby::DoubleQuotedString
    {74, 172, 1238},	// QsciLexerRuby::Error
    {74, 186, 1246},	// QsciLexerRuby::FunctionMethodName
    {74, 187, 1250},	// QsciLexerRuby::Global
    {74, 199, 1258},	// QsciLexerRuby::HereDocument
    {74, 200, 1257},	// QsciLexerRuby::HereDocumentDelimiter
    {74, 209, 1248},	// QsciLexerRuby::Identifier
    {74, 216, 1253},	// QsciLexerRuby::InstanceVariable
    {74, 233, 1242},	// QsciLexerRuby::Keyword
    {74, 286, 1252},	// QsciLexerRuby::ModuleName
    {74, 295, 1241},	// QsciLexerRuby::Number
    {74, 299, 1247},	// QsciLexerRuby::Operator
    {74, 313, 1240},	// QsciLexerRuby::POD
    {74, 319, 1260},	// QsciLexerRuby::PercentStringQ
    {74, 320, 1259},	// QsciLexerRuby::PercentStringq
    {74, 321, 1262},	// QsciLexerRuby::PercentStringr
    {74, 322, 1263},	// QsciLexerRuby::PercentStringw
    {74, 323, 1261},	// QsciLexerRuby::PercentStringx
    {74, 420, 1232},	// QsciLexerRuby::QsciLexerRuby
    {74, 421, 1217},	// QsciLexerRuby::QsciLexerRuby#
    {74, 467, 1249},	// QsciLexerRuby::Regex
    {74, 639, 1244},	// QsciLexerRuby::SingleQuotedString
    {74, 650, 1267},	// QsciLexerRuby::Stderr
    {74, 651, 1265},	// QsciLexerRuby::Stdin
    {74, 652, 1266},	// QsciLexerRuby::Stdout
    {74, 665, 1251},	// QsciLexerRuby::Symbol
    {74, 762, 1233},	// QsciLexerRuby::blockEnd
    {74, 763, 1220},	// QsciLexerRuby::blockEnd$
    {74, 765, 1234},	// QsciLexerRuby::blockStart
    {74, 766, 1221},	// QsciLexerRuby::blockStart$
    {74, 767, 1235},	// QsciLexerRuby::blockStartKeyword
    {74, 768, 1222},	// QsciLexerRuby::blockStartKeyword$
    {74, 770, 1223},	// QsciLexerRuby::braceStyle
    {74, 815, 1224},	// QsciLexerRuby::defaultColor$
    {74, 817, 1225},	// QsciLexerRuby::defaultEolFill$
    {74, 819, 1226},	// QsciLexerRuby::defaultFont$
    {74, 821, 1227},	// QsciLexerRuby::defaultPaper$
    {74, 825, 1229},	// QsciLexerRuby::description$
    {74, 950, 1228},	// QsciLexerRuby::keywords$
    {74, 951, 1218},	// QsciLexerRuby::language
    {74, 956, 1219},	// QsciLexerRuby::lexer
    {74, 1005, 1210},	// QsciLexerRuby::metaObject
    {74, 1044, 1216},	// QsciLexerRuby::qt_metacall$$?
    {74, 1046, 1211},	// QsciLexerRuby::qt_metacast$
    {74, 1329, 1236},	// QsciLexerRuby::staticMetaObject
    {74, 1350, 1230},	// QsciLexerRuby::tr$
    {74, 1351, 1212},	// QsciLexerRuby::tr$$
    {74, 1352, 1214},	// QsciLexerRuby::tr$$$
    {74, 1354, 1231},	// QsciLexerRuby::trUtf8$
    {74, 1355, 1213},	// QsciLexerRuby::trUtf8$$
    {74, 1356, 1215},	// QsciLexerRuby::trUtf8$$$
    {74, 1420, 1268},	// QsciLexerRuby::~QsciLexerRuby
    {75, 124, 1300},	// QsciLexerSQL::Comment
    {75, 127, 1302},	// QsciLexerSQL::CommentDoc
    {75, 128, 1313},	// QsciLexerSQL::CommentDocKeyword
    {75, 129, 1314},	// QsciLexerSQL::CommentDocKeywordError
    {75, 130, 1301},	// QsciLexerSQL::CommentLine
    {75, 132, 1312},	// QsciLexerSQL::CommentLineHash
    {75, 144, 1299},	// QsciLexerSQL::Default
    {75, 155, 1305},	// QsciLexerSQL::DoubleQuotedString
    {75, 209, 1310},	// QsciLexerSQL::Identifier
    {75, 233, 1304},	// QsciLexerSQL::Keyword
    {75, 238, 1315},	// QsciLexerSQL::KeywordSet5
    {75, 239, 1316},	// QsciLexerSQL::KeywordSet6
    {75, 240, 1317},	// QsciLexerSQL::KeywordSet7
    {75, 241, 1318},	// QsciLexerSQL::KeywordSet8
    {75, 295, 1303},	// QsciLexerSQL::Number
    {75, 299, 1309},	// QsciLexerSQL::Operator
    {75, 329, 1311},	// QsciLexerSQL::PlusComment
    {75, 330, 1307},	// QsciLexerSQL::PlusKeyword
    {75, 331, 1308},	// QsciLexerSQL::PlusPrompt
    {75, 422, 1297},	// QsciLexerSQL::QsciLexerSQL
    {75, 423, 1276},	// QsciLexerSQL::QsciLexerSQL#
    {75, 639, 1306},	// QsciLexerSQL::SingleQuotedString
    {75, 759, 1289},	// QsciLexerSQL::backslashEscapes
    {75, 770, 1279},	// QsciLexerSQL::braceStyle
    {75, 815, 1280},	// QsciLexerSQL::defaultColor$
    {75, 817, 1281},	// QsciLexerSQL::defaultEolFill$
    {75, 819, 1282},	// QsciLexerSQL::defaultFont$
    {75, 821, 1283},	// QsciLexerSQL::defaultPaper$
    {75, 825, 1285},	// QsciLexerSQL::description$
    {75, 879, 1287},	// QsciLexerSQL::foldComments
    {75, 880, 1288},	// QsciLexerSQL::foldCompact
    {75, 950, 1284},	// QsciLexerSQL::keywords$
    {75, 951, 1277},	// QsciLexerSQL::language
    {75, 956, 1278},	// QsciLexerSQL::lexer
    {75, 1005, 1269},	// QsciLexerSQL::metaObject
    {75, 1044, 1275},	// QsciLexerSQL::qt_metacall$$?
    {75, 1046, 1270},	// QsciLexerSQL::qt_metacast$
    {75, 1050, 1293},	// QsciLexerSQL::readProperties#$
    {75, 1059, 1286},	// QsciLexerSQL::refreshProperties
    {75, 1111, 1292},	// QsciLexerSQL::setBackslashEscapes$
    {75, 1177, 1290},	// QsciLexerSQL::setFoldComments$
    {75, 1179, 1291},	// QsciLexerSQL::setFoldCompact$
    {75, 1329, 1298},	// QsciLexerSQL::staticMetaObject
    {75, 1350, 1295},	// QsciLexerSQL::tr$
    {75, 1351, 1271},	// QsciLexerSQL::tr$$
    {75, 1352, 1273},	// QsciLexerSQL::tr$$$
    {75, 1354, 1296},	// QsciLexerSQL::trUtf8$
    {75, 1355, 1272},	// QsciLexerSQL::trUtf8$$
    {75, 1356, 1274},	// QsciLexerSQL::trUtf8$$$
    {75, 1381, 1294},	// QsciLexerSQL::writeProperties#$
    {75, 1421, 1319},	// QsciLexerSQL::~QsciLexerSQL
    {76, 124, 1347},	// QsciLexerTCL::Comment
    {76, 125, 1367},	// QsciLexerTCL::CommentBlock
    {76, 126, 1366},	// QsciLexerTCL::CommentBox
    {76, 130, 1348},	// QsciLexerTCL::CommentLine
    {76, 144, 1346},	// QsciLexerTCL::Default
    {76, 174, 1357},	// QsciLexerTCL::ExpandKeyword
    {76, 208, 1360},	// QsciLexerTCL::ITCLKeyword
    {76, 209, 1353},	// QsciLexerTCL::Identifier
    {76, 239, 1362},	// QsciLexerTCL::KeywordSet6
    {76, 240, 1363},	// QsciLexerTCL::KeywordSet7
    {76, 241, 1364},	// QsciLexerTCL::KeywordSet8
    {76, 242, 1365},	// QsciLexerTCL::KeywordSet9
    {76, 285, 1356},	// QsciLexerTCL::Modifier
    {76, 295, 1349},	// QsciLexerTCL::Number
    {76, 299, 1352},	// QsciLexerTCL::Operator
    {76, 424, 1344},	// QsciLexerTCL::QsciLexerTCL
    {76, 425, 1327},	// QsciLexerTCL::QsciLexerTCL#
    {76, 457, 1350},	// QsciLexerTCL::QuotedKeyword
    {76, 458, 1351},	// QsciLexerTCL::QuotedString
    {76, 662, 1354},	// QsciLexerTCL::Substitution
    {76, 663, 1355},	// QsciLexerTCL::SubstitutionBrace
    {76, 671, 1358},	// QsciLexerTCL::TCLKeyword
    {76, 684, 1361},	// QsciLexerTCL::TkCommand
    {76, 685, 1359},	// QsciLexerTCL::TkKeyword
    {76, 770, 1330},	// QsciLexerTCL::braceStyle
    {76, 815, 1331},	// QsciLexerTCL::defaultColor$
    {76, 817, 1332},	// QsciLexerTCL::defaultEolFill$
    {76, 819, 1333},	// QsciLexerTCL::defaultFont$
    {76, 821, 1334},	// QsciLexerTCL::defaultPaper$
    {76, 825, 1336},	// QsciLexerTCL::description$
    {76, 880, 1338},	// QsciLexerTCL::foldCompact
    {76, 950, 1335},	// QsciLexerTCL::keywords$
    {76, 951, 1328},	// QsciLexerTCL::language
    {76, 956, 1329},	// QsciLexerTCL::lexer
    {76, 1005, 1320},	// QsciLexerTCL::metaObject
    {76, 1044, 1326},	// QsciLexerTCL::qt_metacall$$?
    {76, 1046, 1321},	// QsciLexerTCL::qt_metacast$
    {76, 1050, 1340},	// QsciLexerTCL::readProperties#$
    {76, 1059, 1337},	// QsciLexerTCL::refreshProperties
    {76, 1179, 1339},	// QsciLexerTCL::setFoldCompact$
    {76, 1329, 1345},	// QsciLexerTCL::staticMetaObject
    {76, 1350, 1342},	// QsciLexerTCL::tr$
    {76, 1351, 1322},	// QsciLexerTCL::tr$$
    {76, 1352, 1324},	// QsciLexerTCL::tr$$$
    {76, 1354, 1343},	// QsciLexerTCL::trUtf8$
    {76, 1355, 1323},	// QsciLexerTCL::trUtf8$$
    {76, 1356, 1325},	// QsciLexerTCL::trUtf8$$$
    {76, 1381, 1341},	// QsciLexerTCL::writeProperties#$
    {76, 1422, 1368},	// QsciLexerTCL::~QsciLexerTCL
    {77, 123, 1391},	// QsciLexerTeX::Command
    {77, 144, 1387},	// QsciLexerTeX::Default
    {77, 190, 1389},	// QsciLexerTeX::Group
    {77, 426, 1385},	// QsciLexerTeX::QsciLexerTeX
    {77, 427, 1376},	// QsciLexerTeX::QsciLexerTeX#
    {77, 644, 1388},	// QsciLexerTeX::Special
    {77, 665, 1390},	// QsciLexerTeX::Symbol
    {77, 678, 1392},	// QsciLexerTeX::Text
    {77, 815, 1380},	// QsciLexerTeX::defaultColor$
    {77, 825, 1382},	// QsciLexerTeX::description$
    {77, 950, 1381},	// QsciLexerTeX::keywords$
    {77, 951, 1377},	// QsciLexerTeX::language
    {77, 956, 1378},	// QsciLexerTeX::lexer
    {77, 1005, 1369},	// QsciLexerTeX::metaObject
    {77, 1044, 1375},	// QsciLexerTeX::qt_metacall$$?
    {77, 1046, 1370},	// QsciLexerTeX::qt_metacast$
    {77, 1329, 1386},	// QsciLexerTeX::staticMetaObject
    {77, 1350, 1383},	// QsciLexerTeX::tr$
    {77, 1351, 1371},	// QsciLexerTeX::tr$$
    {77, 1352, 1373},	// QsciLexerTeX::tr$$$
    {77, 1354, 1384},	// QsciLexerTeX::trUtf8$
    {77, 1355, 1372},	// QsciLexerTeX::trUtf8$$
    {77, 1356, 1374},	// QsciLexerTeX::trUtf8$$$
    {77, 1376, 1379},	// QsciLexerTeX::wordCharacters
    {77, 1423, 1393},	// QsciLexerTeX::~QsciLexerTeX
    {78, 66, 1438},	// QsciLexerVHDL::Attribute
    {78, 124, 1429},	// QsciLexerVHDL::Comment
    {78, 130, 1430},	// QsciLexerVHDL::CommentLine
    {78, 144, 1428},	// QsciLexerVHDL::Default
    {78, 209, 1434},	// QsciLexerVHDL::Identifier
    {78, 233, 1436},	// QsciLexerVHDL::Keyword
    {78, 240, 1442},	// QsciLexerVHDL::KeywordSet7
    {78, 295, 1431},	// QsciLexerVHDL::Number
    {78, 299, 1433},	// QsciLexerVHDL::Operator
    {78, 428, 1426},	// QsciLexerVHDL::QsciLexerVHDL
    {78, 429, 1401},	// QsciLexerVHDL::QsciLexerVHDL#
    {78, 646, 1439},	// QsciLexerVHDL::StandardFunction
    {78, 647, 1437},	// QsciLexerVHDL::StandardOperator
    {78, 648, 1440},	// QsciLexerVHDL::StandardPackage
    {78, 649, 1441},	// QsciLexerVHDL::StandardType
    {78, 655, 1432},	// QsciLexerVHDL::String
    {78, 692, 1435},	// QsciLexerVHDL::UnclosedString
    {78, 770, 1404},	// QsciLexerVHDL::braceStyle
    {78, 815, 1405},	// QsciLexerVHDL::defaultColor$
    {78, 817, 1406},	// QsciLexerVHDL::defaultEolFill$
    {78, 819, 1407},	// QsciLexerVHDL::defaultFont$
    {78, 821, 1408},	// QsciLexerVHDL::defaultPaper$
    {78, 825, 1410},	// QsciLexerVHDL::description$
    {78, 876, 1415},	// QsciLexerVHDL::foldAtBegin
    {78, 877, 1414},	// QsciLexerVHDL::foldAtElse
    {78, 878, 1416},	// QsciLexerVHDL::foldAtParenthesis
    {78, 879, 1412},	// QsciLexerVHDL::foldComments
    {78, 880, 1413},	// QsciLexerVHDL::foldCompact
    {78, 950, 1409},	// QsciLexerVHDL::keywords$
    {78, 951, 1402},	// QsciLexerVHDL::language
    {78, 956, 1403},	// QsciLexerVHDL::lexer
    {78, 1005, 1394},	// QsciLexerVHDL::metaObject
    {78, 1044, 1400},	// QsciLexerVHDL::qt_metacall$$?
    {78, 1046, 1395},	// QsciLexerVHDL::qt_metacast$
    {78, 1050, 1422},	// QsciLexerVHDL::readProperties#$
    {78, 1059, 1411},	// QsciLexerVHDL::refreshProperties
    {78, 1171, 1420},	// QsciLexerVHDL::setFoldAtBegin$
    {78, 1173, 1419},	// QsciLexerVHDL::setFoldAtElse$
    {78, 1175, 1421},	// QsciLexerVHDL::setFoldAtParenthesis$
    {78, 1177, 1417},	// QsciLexerVHDL::setFoldComments$
    {78, 1179, 1418},	// QsciLexerVHDL::setFoldCompact$
    {78, 1329, 1427},	// QsciLexerVHDL::staticMetaObject
    {78, 1350, 1424},	// QsciLexerVHDL::tr$
    {78, 1351, 1396},	// QsciLexerVHDL::tr$$
    {78, 1352, 1398},	// QsciLexerVHDL::tr$$$
    {78, 1354, 1425},	// QsciLexerVHDL::trUtf8$
    {78, 1355, 1397},	// QsciLexerVHDL::trUtf8$$
    {78, 1356, 1399},	// QsciLexerVHDL::trUtf8$$$
    {78, 1381, 1423},	// QsciLexerVHDL::writeProperties#$
    {78, 1424, 1443},	// QsciLexerVHDL::~QsciLexerVHDL
    {79, 430, 1466},	// QsciLexerXML::QsciLexerXML
    {79, 431, 1451},	// QsciLexerXML::QsciLexerXML#
    {79, 815, 1454},	// QsciLexerXML::defaultColor$
    {79, 817, 1455},	// QsciLexerXML::defaultEolFill$
    {79, 819, 1456},	// QsciLexerXML::defaultFont$
    {79, 821, 1457},	// QsciLexerXML::defaultPaper$
    {79, 950, 1458},	// QsciLexerXML::keywords$
    {79, 951, 1452},	// QsciLexerXML::language
    {79, 956, 1453},	// QsciLexerXML::lexer
    {79, 1005, 1444},	// QsciLexerXML::metaObject
    {79, 1044, 1450},	// QsciLexerXML::qt_metacall$$?
    {79, 1046, 1445},	// QsciLexerXML::qt_metacast$
    {79, 1050, 1462},	// QsciLexerXML::readProperties#$
    {79, 1059, 1459},	// QsciLexerXML::refreshProperties
    {79, 1075, 1461},	// QsciLexerXML::scriptsStyled
    {79, 1271, 1460},	// QsciLexerXML::setScriptsStyled$
    {79, 1329, 1467},	// QsciLexerXML::staticMetaObject
    {79, 1350, 1464},	// QsciLexerXML::tr$
    {79, 1351, 1446},	// QsciLexerXML::tr$$
    {79, 1352, 1448},	// QsciLexerXML::tr$$$
    {79, 1354, 1465},	// QsciLexerXML::trUtf8$
    {79, 1355, 1447},	// QsciLexerXML::trUtf8$$
    {79, 1356, 1449},	// QsciLexerXML::trUtf8$$$
    {79, 1381, 1463},	// QsciLexerXML::writeProperties#$
    {79, 1425, 1468},	// QsciLexerXML::~QsciLexerXML
    {80, 124, 1495},	// QsciLexerYAML::Comment
    {80, 144, 1494},	// QsciLexerYAML::Default
    {80, 152, 1500},	// QsciLexerYAML::DocumentDelimiter
    {80, 209, 1496},	// QsciLexerYAML::Identifier
    {80, 233, 1497},	// QsciLexerYAML::Keyword
    {80, 295, 1498},	// QsciLexerYAML::Number
    {80, 299, 1503},	// QsciLexerYAML::Operator
    {80, 432, 1492},	// QsciLexerYAML::QsciLexerYAML
    {80, 433, 1476},	// QsciLexerYAML::QsciLexerYAML#
    {80, 466, 1499},	// QsciLexerYAML::Reference
    {80, 670, 1502},	// QsciLexerYAML::SyntaxErrorMarker
    {80, 679, 1501},	// QsciLexerYAML::TextBlockMarker
    {80, 815, 1479},	// QsciLexerYAML::defaultColor$
    {80, 817, 1480},	// QsciLexerYAML::defaultEolFill$
    {80, 819, 1481},	// QsciLexerYAML::defaultFont$
    {80, 821, 1482},	// QsciLexerYAML::defaultPaper$
    {80, 825, 1484},	// QsciLexerYAML::description$
    {80, 879, 1486},	// QsciLexerYAML::foldComments
    {80, 950, 1483},	// QsciLexerYAML::keywords$
    {80, 951, 1477},	// QsciLexerYAML::language
    {80, 956, 1478},	// QsciLexerYAML::lexer
    {80, 1005, 1469},	// QsciLexerYAML::metaObject
    {80, 1044, 1475},	// QsciLexerYAML::qt_metacall$$?
    {80, 1046, 1470},	// QsciLexerYAML::qt_metacast$
    {80, 1050, 1488},	// QsciLexerYAML::readProperties#$
    {80, 1059, 1485},	// QsciLexerYAML::refreshProperties
    {80, 1177, 1487},	// QsciLexerYAML::setFoldComments$
    {80, 1329, 1493},	// QsciLexerYAML::staticMetaObject
    {80, 1350, 1490},	// QsciLexerYAML::tr$
    {80, 1351, 1471},	// QsciLexerYAML::tr$$
    {80, 1352, 1473},	// QsciLexerYAML::tr$$$
    {80, 1354, 1491},	// QsciLexerYAML::trUtf8$
    {80, 1355, 1472},	// QsciLexerYAML::trUtf8$$
    {80, 1356, 1474},	// QsciLexerYAML::trUtf8$$$
    {80, 1381, 1489},	// QsciLexerYAML::writeProperties#$
    {80, 1426, 1504},	// QsciLexerYAML::~QsciLexerYAML
    {81, 435, 1512},	// QsciMacro::QsciMacro#
    {81, 436, 1513},	// QsciMacro::QsciMacro$#
    {81, 785, 1514},	// QsciMacro::clear
    {81, 843, 1519},	// QsciMacro::endRecording
    {81, 967, 1515},	// QsciMacro::load$
    {81, 1005, 1505},	// QsciMacro::metaObject
    {81, 1032, 1517},	// QsciMacro::play
    {81, 1044, 1511},	// QsciMacro::qt_metacall$$?
    {81, 1046, 1506},	// QsciMacro::qt_metacast$
    {81, 1072, 1516},	// QsciMacro::save
    {81, 1325, 1518},	// QsciMacro::startRecording
    {81, 1329, 1522},	// QsciMacro::staticMetaObject
    {81, 1350, 1520},	// QsciMacro::tr$
    {81, 1351, 1507},	// QsciMacro::tr$$
    {81, 1352, 1509},	// QsciMacro::tr$$$
    {81, 1354, 1521},	// QsciMacro::trUtf8$
    {81, 1355, 1508},	// QsciMacro::trUtf8$$
    {81, 1356, 1510},	// QsciMacro::trUtf8$$$
    {81, 1427, 1523},	// QsciMacro::~QsciMacro
    {82, 437, 1531},	// QsciPrinter::QsciPrinter
    {82, 438, 1524},	// QsciPrinter::QsciPrinter$
    {82, 897, 1525},	// QsciPrinter::formatPage#$#$
    {82, 970, 1526},	// QsciPrinter::magnification
    {82, 1038, 1532},	// QsciPrinter::printRange#
    {82, 1039, 1533},	// QsciPrinter::printRange#$
    {82, 1040, 1528},	// QsciPrinter::printRange#$$
    {82, 1231, 1527},	// QsciPrinter::setMagnification$
    {82, 1314, 1530},	// QsciPrinter::setWrapMode$
    {82, 1377, 1529},	// QsciPrinter::wrapMode
    {82, 1428, 1534},	// QsciPrinter::~QsciPrinter
    {83, 49, 1795},	// QsciScintilla::AcsAPIs
    {83, 50, 1793},	// QsciScintilla::AcsAll
    {83, 51, 1794},	// QsciScintilla::AcsDocument
    {83, 52, 1792},	// QsciScintilla::AcsNone
    {83, 54, 1788},	// QsciScintilla::AiClosing
    {83, 55, 1786},	// QsciScintilla::AiMaintain
    {83, 56, 1787},	// QsciScintilla::AiOpening
    {83, 58, 1791},	// QsciScintilla::AnnotationBoxed
    {83, 59, 1789},	// QsciScintilla::AnnotationHidden
    {83, 60, 1790},	// QsciScintilla::AnnotationStandard
    {83, 79, 1851},	// QsciScintilla::Background
    {83, 90, 1839},	// QsciScintilla::BottomLeftCorner
    {83, 92, 1821},	// QsciScintilla::BoxIndicator
    {83, 93, 1812},	// QsciScintilla::BoxedFoldStyle
    {83, 94, 1843},	// QsciScintilla::BoxedMinus
    {83, 95, 1844},	// QsciScintilla::BoxedMinusConnected
    {83, 96, 1841},	// QsciScintilla::BoxedPlus
    {83, 97, 1842},	// QsciScintilla::BoxedPlusConnected
    {83, 98, 1814},	// QsciScintilla::BoxedTreeFoldStyle
    {83, 104, 1802},	// QsciScintilla::CallTipsContext
    {83, 105, 1801},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {83, 106, 1800},	// QsciScintilla::CallTipsNoContext
    {83, 107, 1799},	// QsciScintilla::CallTipsNone
    {83, 111, 1829},	// QsciScintilla::Circle
    {83, 112, 1811},	// QsciScintilla::CircledFoldStyle
    {83, 113, 1849},	// QsciScintilla::CircledMinus
    {83, 114, 1850},	// QsciScintilla::CircledMinusConnected
    {83, 115, 1847},	// QsciScintilla::CircledPlus
    {83, 116, 1848},	// QsciScintilla::CircledPlusConnected
    {83, 117, 1813},	// QsciScintilla::CircledTreeFoldStyle
    {83, 148, 1818},	// QsciScintilla::DiagonalIndicator
    {83, 156, 1835},	// QsciScintilla::DownTriangle
    {83, 163, 1805},	// QsciScintilla::EdgeBackground
    {83, 164, 1804},	// QsciScintilla::EdgeLine
    {83, 165, 1803},	// QsciScintilla::EdgeNone
    {83, 169, 1808},	// QsciScintilla::EolMac
    {83, 170, 1807},	// QsciScintilla::EolUnix
    {83, 171, 1806},	// QsciScintilla::EolWindows
    {83, 203, 1820},	// QsciScintilla::HiddenIndicator
    {83, 218, 1834},	// QsciScintilla::Invisible
    {83, 249, 1846},	// QsciScintilla::LeftSideRoundedSplitter
    {83, 250, 1840},	// QsciScintilla::LeftSideSplitter
    {83, 284, 1836},	// QsciScintilla::Minus
    {83, 291, 1796},	// QsciScintilla::NoBraceMatch
    {83, 292, 1809},	// QsciScintilla::NoFoldStyle
    {83, 296, 1826},	// QsciScintilla::NumberMargin
    {83, 326, 1810},	// QsciScintilla::PlainFoldStyle
    {83, 327, 1815},	// QsciScintilla::PlainIndicator
    {83, 328, 1837},	// QsciScintilla::Plus
    {83, 439, 1760},	// QsciScintilla::QsciScintilla
    {83, 440, 1542},	// QsciScintilla::QsciScintilla#
    {83, 465, 1830},	// QsciScintilla::Rectangle
    {83, 468, 1833},	// QsciScintilla::RightArrow
    {83, 469, 1831},	// QsciScintilla::RightTriangle
    {83, 470, 1822},	// QsciScintilla::RoundBoxIndicator
    {83, 471, 1845},	// QsciScintilla::RoundedBottomLeftCorner
    {83, 640, 1798},	// QsciScintilla::SloppyBraceMatch
    {83, 642, 1832},	// QsciScintilla::SmallRectangle
    {83, 645, 1816},	// QsciScintilla::SquiggleIndicator
    {83, 653, 1797},	// QsciScintilla::StrictBraceMatch
    {83, 654, 1819},	// QsciScintilla::StrikeIndicator
    {83, 666, 1823},	// QsciScintilla::SymbolMargin
    {83, 667, 1825},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {83, 668, 1824},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {83, 672, 1817},	// QsciScintilla::TTIndicator
    {83, 680, 1827},	// QsciScintilla::TextMargin
    {83, 681, 1828},	// QsciScintilla::TextMarginRightJustified
    {83, 682, 1852},	// QsciScintilla::ThreeDots
    {83, 683, 1853},	// QsciScintilla::ThreeRightArrows
    {83, 710, 1838},	// QsciScintilla::VerticalLine
    {83, 712, 1859},	// QsciScintilla::WrapCharacter
    {83, 713, 1862},	// QsciScintilla::WrapFlagByBorder
    {83, 714, 1861},	// QsciScintilla::WrapFlagByText
    {83, 715, 1860},	// QsciScintilla::WrapFlagNone
    {83, 716, 1857},	// QsciScintilla::WrapNone
    {83, 717, 1858},	// QsciScintilla::WrapWord
    {83, 718, 1854},	// QsciScintilla::WsInvisible
    {83, 719, 1855},	// QsciScintilla::WsVisible
    {83, 720, 1856},	// QsciScintilla::WsVisibleAfterIndent
    {83, 729, 1546},	// QsciScintilla::annotate$#
    {83, 730, 1545},	// QsciScintilla::annotate$$#
    {83, 731, 1544},	// QsciScintilla::annotate$$$
    {83, 732, 1547},	// QsciScintilla::annotate$?
    {83, 734, 1548},	// QsciScintilla::annotation$
    {83, 735, 1549},	// QsciScintilla::annotationDisplay
    {83, 737, 1543},	// QsciScintilla::apiContext$$$
    {83, 743, 1673},	// QsciScintilla::append$
    {83, 744, 1675},	// QsciScintilla::autoCompleteFromAPIs
    {83, 745, 1674},	// QsciScintilla::autoCompleteFromAll
    {83, 746, 1676},	// QsciScintilla::autoCompleteFromDocument
    {83, 747, 1551},	// QsciScintilla::autoCompletionCaseSensitivity
    {83, 749, 1552},	// QsciScintilla::autoCompletionFillupsEnabled
    {83, 750, 1553},	// QsciScintilla::autoCompletionReplaceWord
    {83, 753, 1554},	// QsciScintilla::autoCompletionShowSingle
    {83, 754, 1555},	// QsciScintilla::autoCompletionSource
    {83, 755, 1556},	// QsciScintilla::autoCompletionThreshold
    {83, 757, 1557},	// QsciScintilla::autoIndent
    {83, 760, 1558},	// QsciScintilla::backspaceUnindents
    {83, 761, 1559},	// QsciScintilla::beginUndoAction
    {83, 769, 1560},	// QsciScintilla::braceMatching
    {83, 771, 1677},	// QsciScintilla::callTip
    {83, 774, 1561},	// QsciScintilla::callTipsStyle
    {83, 775, 1562},	// QsciScintilla::callTipsVisible
    {83, 778, 1563},	// QsciScintilla::cancelList
    {83, 780, 1564},	// QsciScintilla::caseSensitive
    {83, 785, 1678},	// QsciScintilla::clear
    {83, 787, 1761},	// QsciScintilla::clearAnnotations
    {83, 788, 1550},	// QsciScintilla::clearAnnotations$
    {83, 789, 1565},	// QsciScintilla::clearFolds
    {83, 791, 1566},	// QsciScintilla::clearIndicatorRange$$$$$
    {83, 793, 1776},	// QsciScintilla::clearMarginText
    {83, 794, 1650},	// QsciScintilla::clearMarginText$
    {83, 795, 1567},	// QsciScintilla::clearRegisteredImages
    {83, 797, 1568},	// QsciScintilla::color
    {83, 806, 1569},	// QsciScintilla::convertEols$
    {83, 807, 1679},	// QsciScintilla::copy
    {83, 809, 1748},	// QsciScintilla::copyAvailable$
    {83, 811, 1747},	// QsciScintilla::cursorPositionChanged$$
    {83, 813, 1680},	// QsciScintilla::cut
    {83, 828, 1570},	// QsciScintilla::document
    {83, 838, 1572},	// QsciScintilla::edgeColor
    {83, 839, 1573},	// QsciScintilla::edgeColumn
    {83, 840, 1574},	// QsciScintilla::edgeMode
    {83, 844, 1571},	// QsciScintilla::endUndoAction
    {83, 845, 1681},	// QsciScintilla::ensureCursorVisible
    {83, 847, 1682},	// QsciScintilla::ensureLineVisible$
    {83, 853, 1576},	// QsciScintilla::eolMode
    {83, 854, 1577},	// QsciScintilla::eolVisibility
    {83, 859, 1578},	// QsciScintilla::fillIndicatorRange$$$$$
    {83, 861, 1762},	// QsciScintilla::findFirst$$$$$
    {83, 862, 1763},	// QsciScintilla::findFirst$$$$$$
    {83, 863, 1764},	// QsciScintilla::findFirst$$$$$$$
    {83, 864, 1765},	// QsciScintilla::findFirst$$$$$$$$
    {83, 865, 1579},	// QsciScintilla::findFirst$$$$$$$$$
    {83, 866, 1580},	// QsciScintilla::findNext
    {83, 867, 1581},	// QsciScintilla::firstVisibleLine
    {83, 874, 1781},	// QsciScintilla::foldAll
    {83, 875, 1683},	// QsciScintilla::foldAll$
    {83, 883, 1684},	// QsciScintilla::foldLine$
    {83, 890, 1582},	// QsciScintilla::folding
    {83, 901, 1583},	// QsciScintilla::getCursorPosition$$
    {83, 903, 1584},	// QsciScintilla::getSelection$$$$
    {83, 904, 1585},	// QsciScintilla::hasSelectedText
    {83, 909, 1685},	// QsciScintilla::indent$
    {83, 911, 1586},	// QsciScintilla::indentation$
    {83, 913, 1587},	// QsciScintilla::indentationGuides
    {83, 915, 1589},	// QsciScintilla::indentationWidth
    {83, 916, 1588},	// QsciScintilla::indentationsUseTabs
    {83, 918, 1749},	// QsciScintilla::indicatorClicked$$$
    {83, 920, 1766},	// QsciScintilla::indicatorDefine$
    {83, 921, 1590},	// QsciScintilla::indicatorDefine$$
    {83, 923, 1591},	// QsciScintilla::indicatorDrawUnder$
    {83, 925, 1750},	// QsciScintilla::indicatorReleased$$$
    {83, 930, 1686},	// QsciScintilla::insert$
    {83, 932, 1687},	// QsciScintilla::insertAt$$$
    {83, 934, 1592},	// QsciScintilla::isCallTipActive
    {83, 935, 1593},	// QsciScintilla::isListActive
    {83, 936, 1594},	// QsciScintilla::isModified
    {83, 939, 1595},	// QsciScintilla::isReadOnly
    {83, 940, 1596},	// QsciScintilla::isRedoAvailable
    {83, 941, 1597},	// QsciScintilla::isUndoAvailable
    {83, 942, 1598},	// QsciScintilla::isUtf8
    {83, 944, 1599},	// QsciScintilla::isWordCharacter$
    {83, 954, 1604},	// QsciScintilla::length
    {83, 956, 1605},	// QsciScintilla::lexer
    {83, 959, 1600},	// QsciScintilla::lineAt#
    {83, 961, 1601},	// QsciScintilla::lineIndexFromPosition$$$
    {83, 963, 1602},	// QsciScintilla::lineLength$
    {83, 964, 1603},	// QsciScintilla::lines
    {83, 965, 1751},	// QsciScintilla::linesChanged
    {83, 972, 1752},	// QsciScintilla::marginClicked$$$
    {83, 974, 1606},	// QsciScintilla::marginLineNumbers$
    {83, 976, 1607},	// QsciScintilla::marginMarkerMask$
    {83, 978, 1608},	// QsciScintilla::marginSensitivity$
    {83, 980, 1609},	// QsciScintilla::marginType$
    {83, 982, 1610},	// QsciScintilla::marginWidth$
    {83, 984, 1614},	// QsciScintilla::markerAdd$$
    {83, 986, 1769},	// QsciScintilla::markerDefine#
    {83, 987, 1613},	// QsciScintilla::markerDefine#$
    {83, 988, -3409},	// QsciScintilla::markerDefine$
    {83, 989, -3412},	// QsciScintilla::markerDefine$$
    {83, 991, 1770},	// QsciScintilla::markerDelete$
    {83, 992, 1616},	// QsciScintilla::markerDelete$$
    {83, 993, 1771},	// QsciScintilla::markerDeleteAll
    {83, 994, 1617},	// QsciScintilla::markerDeleteAll$
    {83, 996, 1618},	// QsciScintilla::markerDeleteHandle$
    {83, 998, 1620},	// QsciScintilla::markerFindNext$$
    {83, 1000, 1621},	// QsciScintilla::markerFindPrevious$$
    {83, 1002, 1619},	// QsciScintilla::markerLine$
    {83, 1004, 1615},	// QsciScintilla::markersAtLine$
    {83, 1005, 1535},	// QsciScintilla::metaObject
    {83, 1008, 1753},	// QsciScintilla::modificationAttempted
    {83, 1010, 1754},	// QsciScintilla::modificationChanged$
    {83, 1020, 1688},	// QsciScintilla::moveToMatchingBrace
    {83, 1027, 1622},	// QsciScintilla::paper
    {83, 1031, 1689},	// QsciScintilla::paste
    {83, 1035, 1623},	// QsciScintilla::positionFromLineIndex$$
    {83, 1044, 1541},	// QsciScintilla::qt_metacall$$?
    {83, 1046, 1536},	// QsciScintilla::qt_metacast$
    {83, 1048, 1624},	// QsciScintilla::read#
    {83, 1054, 1772},	// QsciScintilla::recolor
    {83, 1055, 1773},	// QsciScintilla::recolor$
    {83, 1056, 1625},	// QsciScintilla::recolor$$
    {83, 1057, 1690},	// QsciScintilla::redo
    {83, 1061, 1626},	// QsciScintilla::registerImage$#
    {83, 1064, 1691},	// QsciScintilla::removeSelectedText
    {83, 1066, 1627},	// QsciScintilla::replace$
    {83, 1067, 1628},	// QsciScintilla::resetFoldMarginColors
    {83, 1068, 1692},	// QsciScintilla::resetSelectionBackgroundColor
    {83, 1069, 1693},	// QsciScintilla::resetSelectionForegroundColor
    {83, 1078, 1782},	// QsciScintilla::selectAll
    {83, 1079, 1694},	// QsciScintilla::selectAll$
    {83, 1080, 1695},	// QsciScintilla::selectToMatchingBrace
    {83, 1081, 1658},	// QsciScintilla::selectedText
    {83, 1082, 1755},	// QsciScintilla::selectionChanged
    {83, 1083, 1659},	// QsciScintilla::selectionToEol
    {83, 1089, 1630},	// QsciScintilla::setAnnotationDisplay$
    {83, 1091, 1696},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {83, 1093, 1632},	// QsciScintilla::setAutoCompletionFillups$
    {83, 1095, 1631},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {83, 1097, 1697},	// QsciScintilla::setAutoCompletionReplaceWord$
    {83, 1099, 1698},	// QsciScintilla::setAutoCompletionShowSingle$
    {83, 1101, 1699},	// QsciScintilla::setAutoCompletionSource$
    {83, 1103, 1700},	// QsciScintilla::setAutoCompletionThreshold$
    {83, 1105, 1633},	// QsciScintilla::setAutoCompletionWordSeparators?
    {83, 1107, 1701},	// QsciScintilla::setAutoIndent$
    {83, 1113, 1703},	// QsciScintilla::setBackspaceUnindents$
    {83, 1115, 1702},	// QsciScintilla::setBraceMatching$
    {83, 1117, 1634},	// QsciScintilla::setCallTipsBackgroundColor#
    {83, 1119, 1635},	// QsciScintilla::setCallTipsForegroundColor#
    {83, 1121, 1636},	// QsciScintilla::setCallTipsHighlightColor#
    {83, 1123, 1637},	// QsciScintilla::setCallTipsStyle$
    {83, 1125, 1638},	// QsciScintilla::setCallTipsVisible$
    {83, 1127, 1704},	// QsciScintilla::setCaretForegroundColor#
    {83, 1129, 1705},	// QsciScintilla::setCaretLineBackgroundColor#
    {83, 1131, 1706},	// QsciScintilla::setCaretLineVisible$
    {83, 1133, 1707},	// QsciScintilla::setCaretWidth$
    {83, 1139, 1708},	// QsciScintilla::setColor#
    {83, 1142, 1709},	// QsciScintilla::setCursorPosition$$
    {83, 1152, 1639},	// QsciScintilla::setDocument#
    {83, 1156, 1640},	// QsciScintilla::setEdgeColor#
    {83, 1158, 1641},	// QsciScintilla::setEdgeColumn$
    {83, 1160, 1642},	// QsciScintilla::setEdgeMode$
    {83, 1167, 1710},	// QsciScintilla::setEolMode$
    {83, 1169, 1711},	// QsciScintilla::setEolVisibility$
    {83, 1183, 1629},	// QsciScintilla::setFoldMarginColors##
    {83, 1197, 1783},	// QsciScintilla::setFolding$
    {83, 1198, 1712},	// QsciScintilla::setFolding$$
    {83, 1200, 1575},	// QsciScintilla::setFont#
    {83, 1205, 1713},	// QsciScintilla::setIndentation$$
    {83, 1207, 1714},	// QsciScintilla::setIndentationGuides$
    {83, 1209, 1715},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {83, 1211, 1716},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {83, 1215, 1718},	// QsciScintilla::setIndentationWidth$
    {83, 1217, 1717},	// QsciScintilla::setIndentationsUseTabs$
    {83, 1219, 1774},	// QsciScintilla::setIndicatorDrawUnder$
    {83, 1220, 1643},	// QsciScintilla::setIndicatorDrawUnder$$
    {83, 1222, 1775},	// QsciScintilla::setIndicatorForegroundColor#
    {83, 1223, 1644},	// QsciScintilla::setIndicatorForegroundColor#$
    {83, 1228, 1784},	// QsciScintilla::setLexer
    {83, 1229, 1719},	// QsciScintilla::setLexer#
    {83, 1233, 1723},	// QsciScintilla::setMarginLineNumbers$$
    {83, 1235, 1724},	// QsciScintilla::setMarginMarkerMask$$
    {83, 1237, 1725},	// QsciScintilla::setMarginSensitivity$$
    {83, 1239, 1647},	// QsciScintilla::setMarginText$#
    {83, 1240, 1646},	// QsciScintilla::setMarginText$$#
    {83, 1241, 1645},	// QsciScintilla::setMarginText$$$
    {83, 1242, 1648},	// QsciScintilla::setMarginText$?
    {83, 1244, 1649},	// QsciScintilla::setMarginType$$
    {83, 1246, -3415},	// QsciScintilla::setMarginWidth$$
    {83, 1248, 1720},	// QsciScintilla::setMarginsBackgroundColor#
    {83, 1250, 1721},	// QsciScintilla::setMarginsFont#
    {83, 1252, 1722},	// QsciScintilla::setMarginsForegroundColor#
    {83, 1254, 1777},	// QsciScintilla::setMarkerBackgroundColor#
    {83, 1255, 1651},	// QsciScintilla::setMarkerBackgroundColor#$
    {83, 1257, 1778},	// QsciScintilla::setMarkerForegroundColor#
    {83, 1258, 1652},	// QsciScintilla::setMarkerForegroundColor#$
    {83, 1260, 1653},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {83, 1262, 1654},	// QsciScintilla::setMatchedBraceForegroundColor#
    {83, 1264, 1728},	// QsciScintilla::setModified$
    {83, 1266, 1729},	// QsciScintilla::setPaper#
    {83, 1269, 1730},	// QsciScintilla::setReadOnly$
    {83, 1273, 1731},	// QsciScintilla::setSelection$$$$
    {83, 1275, 1732},	// QsciScintilla::setSelectionBackgroundColor#
    {83, 1277, 1733},	// QsciScintilla::setSelectionForegroundColor#
    {83, 1279, 1660},	// QsciScintilla::setSelectionToEol$
    {83, 1288, 1734},	// QsciScintilla::setTabIndents$
    {83, 1290, 1735},	// QsciScintilla::setTabWidth$
    {83, 1292, 1736},	// QsciScintilla::setText$
    {83, 1298, 1655},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {83, 1300, 1656},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {83, 1302, 1737},	// QsciScintilla::setUtf8$
    {83, 1312, 1738},	// QsciScintilla::setWhitespaceVisibility$
    {83, 1314, 1739},	// QsciScintilla::setWrapMode$
    {83, 1316, 1779},	// QsciScintilla::setWrapVisualFlags$
    {83, 1317, 1780},	// QsciScintilla::setWrapVisualFlags$$
    {83, 1318, 1657},	// QsciScintilla::setWrapVisualFlags$$$
    {83, 1321, 1661},	// QsciScintilla::showUserList$?
    {83, 1324, 1662},	// QsciScintilla::standardCommands
    {83, 1329, 1785},	// QsciScintilla::staticMetaObject
    {83, 1336, 1663},	// QsciScintilla::tabIndents
    {83, 1337, 1664},	// QsciScintilla::tabWidth
    {83, 1339, 1665},	// QsciScintilla::text
    {83, 1340, 1666},	// QsciScintilla::text$
    {83, 1342, 1756},	// QsciScintilla::textChanged
    {83, 1344, 1667},	// QsciScintilla::textHeight$
    {83, 1350, 1758},	// QsciScintilla::tr$
    {83, 1351, 1537},	// QsciScintilla::tr$$
    {83, 1352, 1539},	// QsciScintilla::tr$$$
    {83, 1354, 1759},	// QsciScintilla::trUtf8$
    {83, 1355, 1538},	// QsciScintilla::trUtf8$$
    {83, 1356, 1540},	// QsciScintilla::trUtf8$$$
    {83, 1357, 1740},	// QsciScintilla::undo
    {83, 1359, 1741},	// QsciScintilla::unindent$
    {83, 1363, 1757},	// QsciScintilla::userListActivated$$
    {83, 1372, 1668},	// QsciScintilla::whitespaceVisibility
    {83, 1375, 1669},	// QsciScintilla::wordAtPoint#
    {83, 1376, 1670},	// QsciScintilla::wordCharacters
    {83, 1377, 1671},	// QsciScintilla::wrapMode
    {83, 1379, 1672},	// QsciScintilla::write#
    {83, 1386, 1743},	// QsciScintilla::zoomIn
    {83, 1387, 1742},	// QsciScintilla::zoomIn$
    {83, 1388, 1745},	// QsciScintilla::zoomOut
    {83, 1389, 1744},	// QsciScintilla::zoomOut$
    {83, 1391, 1746},	// QsciScintilla::zoomTo$
    {83, 1429, 1863},	// QsciScintilla::~QsciScintilla
    {84, 359, 1886},	// QsciScintillaBase::QSCN_SELCHANGED$
    {84, 441, 1934},	// QsciScintillaBase::QsciScintillaBase
    {84, 442, 1871},	// QsciScintillaBase::QsciScintillaBase#
    {84, 472, 1890},	// QsciScintillaBase::SCEN_CHANGE
    {84, 473, -1},	// QsciScintillaBase::SCLEX_ABAQUS
    {84, 474, -36},	// QsciScintillaBase::SCLEX_ADA
    {84, 475, -71},	// QsciScintillaBase::SCLEX_APDL
    {84, 476, -106},	// QsciScintillaBase::SCLEX_ASM
    {84, 477, -141},	// QsciScintillaBase::SCLEX_ASN1
    {84, 478, -176},	// QsciScintillaBase::SCLEX_ASP
    {84, 479, -211},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {84, 480, -246},	// QsciScintillaBase::SCLEX_AU3
    {84, 481, -281},	// QsciScintillaBase::SCLEX_AVE
    {84, 482, -316},	// QsciScintillaBase::SCLEX_BAAN
    {84, 483, -351},	// QsciScintillaBase::SCLEX_BASH
    {84, 484, -386},	// QsciScintillaBase::SCLEX_BATCH
    {84, 485, -421},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {84, 486, -456},	// QsciScintillaBase::SCLEX_BULLANT
    {84, 487, -491},	// QsciScintillaBase::SCLEX_CAML
    {84, 488, -526},	// QsciScintillaBase::SCLEX_CLW
    {84, 489, -561},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {84, 490, -596},	// QsciScintillaBase::SCLEX_CMAKE
    {84, 491, -631},	// QsciScintillaBase::SCLEX_COBOL
    {84, 492, -666},	// QsciScintillaBase::SCLEX_CONF
    {84, 493, -701},	// QsciScintillaBase::SCLEX_CONTAINER
    {84, 494, -736},	// QsciScintillaBase::SCLEX_CPP
    {84, 495, -771},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {84, 496, -806},	// QsciScintillaBase::SCLEX_CSOUND
    {84, 497, -841},	// QsciScintillaBase::SCLEX_CSS
    {84, 498, -876},	// QsciScintillaBase::SCLEX_D
    {84, 499, -911},	// QsciScintillaBase::SCLEX_DIFF
    {84, 500, -946},	// QsciScintillaBase::SCLEX_EIFFEL
    {84, 501, -981},	// QsciScintillaBase::SCLEX_EIFFELKW
    {84, 502, -1016},	// QsciScintillaBase::SCLEX_ERLANG
    {84, 503, -1051},	// QsciScintillaBase::SCLEX_ERRORLIST
    {84, 504, -1086},	// QsciScintillaBase::SCLEX_ESCRIPT
    {84, 505, -1121},	// QsciScintillaBase::SCLEX_F77
    {84, 506, -1156},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {84, 507, -1191},	// QsciScintillaBase::SCLEX_FORTH
    {84, 508, -1226},	// QsciScintillaBase::SCLEX_FORTRAN
    {84, 509, -1261},	// QsciScintillaBase::SCLEX_FREEBASIC
    {84, 510, -1296},	// QsciScintillaBase::SCLEX_GAP
    {84, 511, -1331},	// QsciScintillaBase::SCLEX_GUI4CLI
    {84, 512, -1366},	// QsciScintillaBase::SCLEX_HASKELL
    {84, 513, -1401},	// QsciScintillaBase::SCLEX_HTML
    {84, 514, -1436},	// QsciScintillaBase::SCLEX_INNOSETUP
    {84, 515, -1471},	// QsciScintillaBase::SCLEX_KIX
    {84, 516, -1506},	// QsciScintillaBase::SCLEX_LATEX
    {84, 517, -1541},	// QsciScintillaBase::SCLEX_LISP
    {84, 518, -1576},	// QsciScintillaBase::SCLEX_LOT
    {84, 519, -1611},	// QsciScintillaBase::SCLEX_LOUT
    {84, 520, -1646},	// QsciScintillaBase::SCLEX_LUA
    {84, 521, -1681},	// QsciScintillaBase::SCLEX_MAGIK
    {84, 522, -1716},	// QsciScintillaBase::SCLEX_MAKEFILE
    {84, 523, -1751},	// QsciScintillaBase::SCLEX_MATLAB
    {84, 524, -1786},	// QsciScintillaBase::SCLEX_METAPOST
    {84, 525, -1821},	// QsciScintillaBase::SCLEX_MMIXAL
    {84, 526, -1856},	// QsciScintillaBase::SCLEX_MSSQL
    {84, 527, -1891},	// QsciScintillaBase::SCLEX_MYSQL
    {84, 528, -1926},	// QsciScintillaBase::SCLEX_NIMROD
    {84, 529, -1961},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {84, 530, -1996},	// QsciScintillaBase::SCLEX_NSIS
    {84, 531, -2031},	// QsciScintillaBase::SCLEX_NULL
    {84, 532, -2066},	// QsciScintillaBase::SCLEX_OCTAVE
    {84, 533, -2101},	// QsciScintillaBase::SCLEX_OPAL
    {84, 534, -2136},	// QsciScintillaBase::SCLEX_PASCAL
    {84, 535, -2171},	// QsciScintillaBase::SCLEX_PERL
    {84, 536, -2206},	// QsciScintillaBase::SCLEX_PHP
    {84, 537, -2241},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {84, 538, -2276},	// QsciScintillaBase::SCLEX_PLM
    {84, 539, -2311},	// QsciScintillaBase::SCLEX_PO
    {84, 540, -2346},	// QsciScintillaBase::SCLEX_POV
    {84, 541, -2381},	// QsciScintillaBase::SCLEX_POWERBASIC
    {84, 542, -2416},	// QsciScintillaBase::SCLEX_POWERPRO
    {84, 543, -2451},	// QsciScintillaBase::SCLEX_POWERSHELL
    {84, 544, -2486},	// QsciScintillaBase::SCLEX_PROGRESS
    {84, 545, -2521},	// QsciScintillaBase::SCLEX_PROPERTIES
    {84, 546, -2556},	// QsciScintillaBase::SCLEX_PS
    {84, 547, -2591},	// QsciScintillaBase::SCLEX_PUREBASIC
    {84, 548, -2626},	// QsciScintillaBase::SCLEX_PYTHON
    {84, 549, -2661},	// QsciScintillaBase::SCLEX_R
    {84, 550, -2696},	// QsciScintillaBase::SCLEX_REBOL
    {84, 551, -2731},	// QsciScintillaBase::SCLEX_RUBY
    {84, 552, -2766},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {84, 553, -2801},	// QsciScintillaBase::SCLEX_SMALLTALK
    {84, 554, -2836},	// QsciScintillaBase::SCLEX_SML
    {84, 555, -2871},	// QsciScintillaBase::SCLEX_SORCUS
    {84, 556, -2906},	// QsciScintillaBase::SCLEX_SPECMAN
    {84, 557, -2941},	// QsciScintillaBase::SCLEX_SPICE
    {84, 558, -2976},	// QsciScintillaBase::SCLEX_SQL
    {84, 559, -3011},	// QsciScintillaBase::SCLEX_TACL
    {84, 560, -3046},	// QsciScintillaBase::SCLEX_TADS3
    {84, 561, -3081},	// QsciScintillaBase::SCLEX_TAL
    {84, 562, -3116},	// QsciScintillaBase::SCLEX_TCL
    {84, 563, -3151},	// QsciScintillaBase::SCLEX_TEX
    {84, 564, -3186},	// QsciScintillaBase::SCLEX_VB
    {84, 565, -3221},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {84, 566, -3256},	// QsciScintillaBase::SCLEX_VERILOG
    {84, 567, -3291},	// QsciScintillaBase::SCLEX_VHDL
    {84, 568, -3326},	// QsciScintillaBase::SCLEX_XML
    {84, 569, -3361},	// QsciScintillaBase::SCLEX_YAML
    {84, 570, 1887},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {84, 571, 1888},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {84, 573, 1889},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {84, 575, 1891},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {84, 577, 1892},	// QsciScintillaBase::SCN_CHARADDED$
    {84, 579, 1893},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {84, 581, 1894},	// QsciScintillaBase::SCN_DWELLEND$$$
    {84, 583, 1895},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {84, 585, 1896},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {84, 587, 1897},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {84, 589, 1898},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {84, 591, 1899},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {84, 593, 1900},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {84, 595, 1901},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {84, 597, 1902},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {84, 598, 1903},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {84, 600, 1904},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {84, 601, 1905},	// QsciScintillaBase::SCN_PAINTED
    {84, 602, 1906},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {84, 603, 1907},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {84, 605, 1908},	// QsciScintillaBase::SCN_STYLENEEDED$
    {84, 606, 1909},	// QsciScintillaBase::SCN_UPDATEUI
    {84, 608, 1910},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {84, 609, 1911},	// QsciScintillaBase::SCN_ZOOM
    {84, 627, 1935},	// QsciScintillaBase::SendScintilla$
    {84, 628, 1882},	// QsciScintillaBase::SendScintilla$#
    {84, 629, -3396},	// QsciScintillaBase::SendScintilla$$
    {84, 630, -3401},	// QsciScintillaBase::SendScintilla$$#
    {84, 631, 1883},	// QsciScintillaBase::SendScintilla$$##$$
    {84, 632, -3404},	// QsciScintillaBase::SendScintilla$$$
    {84, 633, 1880},	// QsciScintillaBase::SendScintilla$$$$
    {84, 635, 1885},	// QsciScintillaBase::SendScintillaPtrResult$
    {84, 777, 1912},	// QsciScintillaBase::canInsertFromMimeData#
    {84, 804, 1915},	// QsciScintillaBase::contextMenuEvent#
    {84, 831, 1916},	// QsciScintillaBase::dragEnterEvent#
    {84, 833, 1917},	// QsciScintillaBase::dragLeaveEvent#
    {84, 835, 1918},	// QsciScintillaBase::dragMoveEvent#
    {84, 837, 1919},	// QsciScintillaBase::dropEvent#
    {84, 869, 1920},	// QsciScintillaBase::focusInEvent#
    {84, 871, 1922},	// QsciScintillaBase::focusNextPrevChild$
    {84, 873, 1921},	// QsciScintillaBase::focusOutEvent#
    {84, 899, 1913},	// QsciScintillaBase::fromMimeData#
    {84, 927, 1924},	// QsciScintillaBase::inputMethodEvent#
    {84, 947, 1923},	// QsciScintillaBase::keyPressEvent#
    {84, 1005, 1864},	// QsciScintillaBase::metaObject
    {84, 1012, 1925},	// QsciScintillaBase::mouseDoubleClickEvent#
    {84, 1014, 1926},	// QsciScintillaBase::mouseMoveEvent#
    {84, 1016, 1927},	// QsciScintillaBase::mousePressEvent#
    {84, 1018, 1928},	// QsciScintillaBase::mouseReleaseEvent#
    {84, 1025, 1929},	// QsciScintillaBase::paintEvent#
    {84, 1033, 1872},	// QsciScintillaBase::pool
    {84, 1044, 1870},	// QsciScintillaBase::qt_metacall$$?
    {84, 1046, 1865},	// QsciScintillaBase::qt_metacast$
    {84, 1071, 1930},	// QsciScintillaBase::resizeEvent#
    {84, 1077, 1931},	// QsciScintillaBase::scrollContentsBy$$
    {84, 1329, 1937},	// QsciScintillaBase::staticMetaObject
    {84, 1347, 1914},	// QsciScintillaBase::toMimeData$
    {84, 1350, 1932},	// QsciScintillaBase::tr$
    {84, 1351, 1866},	// QsciScintillaBase::tr$$
    {84, 1352, 1868},	// QsciScintillaBase::tr$$$
    {84, 1354, 1933},	// QsciScintillaBase::trUtf8$
    {84, 1355, 1867},	// QsciScintillaBase::trUtf8$$
    {84, 1356, 1869},	// QsciScintillaBase::trUtf8$$$
    {84, 1430, 5236},	// QsciScintillaBase::~QsciScintillaBase
    {85, 279, 5264},	// QsciStyle::LowerCase
    {85, 300, 5262},	// QsciStyle::OriginalCase
    {85, 443, 5260},	// QsciStyle::QsciStyle
    {85, 444, 5259},	// QsciStyle::QsciStyle#
    {85, 445, 5237},	// QsciStyle::QsciStyle$
    {85, 446, 5261},	// QsciStyle::QsciStyle$$###
    {85, 447, 5238},	// QsciStyle::QsciStyle$$###$
    {85, 697, 5263},	// QsciStyle::UpperCase
    {85, 783, 5255},	// QsciStyle::changeable
    {85, 797, 5243},	// QsciStyle::color
    {85, 824, 5241},	// QsciStyle::description
    {85, 849, 5249},	// QsciStyle::eolFill
    {85, 891, 5247},	// QsciStyle::font
    {85, 907, 5257},	// QsciStyle::hotspot
    {85, 1027, 5245},	// QsciStyle::paper
    {85, 1058, 5258},	// QsciStyle::refresh
    {85, 1137, 5254},	// QsciStyle::setChangeable$
    {85, 1139, 5242},	// QsciStyle::setColor#
    {85, 1150, 5240},	// QsciStyle::setDescription$
    {85, 1164, 5248},	// QsciStyle::setEolFill$
    {85, 1200, 5246},	// QsciStyle::setFont#
    {85, 1203, 5256},	// QsciStyle::setHotspot$
    {85, 1266, 5244},	// QsciStyle::setPaper#
    {85, 1294, 5250},	// QsciStyle::setTextCase$
    {85, 1310, 5252},	// QsciStyle::setVisible$
    {85, 1330, 5239},	// QsciStyle::style
    {85, 1341, 5251},	// QsciStyle::textCase
    {85, 1370, 5253},	// QsciStyle::visible
    {85, 1431, 5265},	// QsciStyle::~QsciStyle
    {86, 449, 5270},	// QsciStyledText::QsciStyledText#
    {86, 450, 5267},	// QsciStyledText::QsciStyledText$#
    {86, 451, 5266},	// QsciStyledText::QsciStyledText$$
    {86, 1330, 5269},	// QsciStyledText::style
    {86, 1339, 5268},	// QsciStyledText::text
    {86, 1432, 5271},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 86,
        __smokeqsci::methods, 5272,
        __smokeqsci::methodMaps, 2020,
        __smokeqsci::methodNames, 1432,
        __smokeqsci::types, 229,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
